/* DUPLICATOR MYSQL SCRIPT CREATED ON : August 5, 2014, 5:58 am */

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext NOT NULL,
  `comment_author_email` varchar(100) NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) NOT NULL DEFAULT '',
  `comment_type` varchar(20) NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_duplicator` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `token` varchar(25) NOT NULL,
  `packname` varchar(250) NOT NULL,
  `zipname` varchar(250) NOT NULL,
  `zipsize` int(11) DEFAULT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `settings` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` mediumblob NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) NOT NULL DEFAULT '',
  `link_name` varchar(255) NOT NULL DEFAULT '',
  `link_image` varchar(255) NOT NULL DEFAULT '',
  `link_target` varchar(25) NOT NULL DEFAULT '',
  `link_description` varchar(255) NOT NULL DEFAULT '',
  `link_visible` varchar(20) NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) NOT NULL DEFAULT '',
  `link_notes` mediumtext NOT NULL,
  `link_rss` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_nivoslider4wp` (
  `nivoslider4wp_id` int(11) NOT NULL AUTO_INCREMENT,
  `nivoslider4wp_type` text,
  `nivoslider4wp_order` int(11) DEFAULT NULL,
  `nivoslider4wp_text_headline` text,
  `nivoslider4wp_x` int(11) DEFAULT NULL,
  `nivoslider4wp_y` int(11) DEFAULT NULL,
  `nivoslider4wp_x2` int(11) DEFAULT NULL,
  `nivoslider4wp_y2` int(11) DEFAULT NULL,
  `nivoslider4wp_w` int(11) DEFAULT NULL,
  `nivoslider4wp_h` int(11) DEFAULT NULL,
  `nivoslider4wp_image_link` text,
  `nivoslider4wp_image_status` char(1) DEFAULT NULL,
  PRIMARY KEY (`nivoslider4wp_id`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(64) NOT NULL DEFAULT '',
  `option_value` longtext NOT NULL,
  `autoload` varchar(20) NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=MyISAM AUTO_INCREMENT=10918 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=MyISAM AUTO_INCREMENT=652 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext NOT NULL,
  `post_title` text NOT NULL,
  `post_excerpt` text NOT NULL,
  `post_status` varchar(20) NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) NOT NULL DEFAULT 'open',
  `post_password` varchar(20) NOT NULL DEFAULT '',
  `post_name` varchar(200) NOT NULL DEFAULT '',
  `to_ping` text NOT NULL,
  `pinged` text NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=MyISAM AUTO_INCREMENT=472 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `slug` varchar(200) NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `slug` (`slug`),
  KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=MyISAM AUTO_INCREMENT=33 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) NOT NULL DEFAULT '',
  `user_pass` varchar(64) NOT NULL DEFAULT '',
  `user_nicename` varchar(50) NOT NULL DEFAULT '',
  `user_email` varchar(100) NOT NULL DEFAULT '',
  `user_url` varchar(100) NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(60) NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_vslider` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `option_name` varchar(255) NOT NULL DEFAULT 'vslider_options',
  `active` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;


/* INSERT TABLE DATA: wp_duplicator */
INSERT INTO `wp_duplicator` VALUES("1", "52a6ddffba6f77746", "20131210_backup", "52a6ddffba6f77746_20131210_backup_package.zip", "12817814", "2013-12-10 09:25:35", "admin", "a:4:{s:14:\"plugin_version\";s:5:\"0.4.6\";s:4:\"type\";s:6:\"Manual\";s:6:\"status\";s:4:\"Pass\";s:5:\"notes\";s:0:\"\";}");

/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("1", "20140126_pini", "52e517bc925b53929140126141212", "100", "2014-01-26 14:12:12", "admin", "O:11:\"DUP_Package\":15:{s:2:\"ID\";i:1;s:4:\"Name\";s:13:\"20140126_pini\";s:4:\"Hash\";s:29:\"52e517bc925b53929140126141212\";s:8:\"NameHash\";s:43:\"20140126_pini_52e517bc925b53929140126141212\";s:7:\"Version\";s:5:\"0.5.0\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:51:\"/home3/arnonala/public_html/rublaw/wp-snapshots/tmp\";s:8:\"StoreURL\";s:33:\"http://ru-law.co.il/wp-snapshots/\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":15:{s:10:\"FilterDirs\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"File\";s:55:\"20140126_pini_52e517bc925b53929140126141212_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:34:\"/home3/arnonala/public_html/rublaw\";s:8:\"DirCount\";i:0;s:9:\"FileCount\";i:0;s:9:\"LinkCount\";i:0;s:4:\"Size\";i:16515262;s:11:\"BigFileList\";a:0:{}s:15:\"InvalidFileList\";a:0:{}s:10:\"\0*\0Package\";r:1;s:27:\"\0DUP_Archive\0filerDirsArray\";a:0:{}s:27:\"\0DUP_Archive\0filerExtsArray\";a:0:{}}s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";s:57:\"20140126_pini_52e517bc925b53929140126141212_installer.php\";s:4:\"Size\";i:437935;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSSLAdmin\";i:0;s:12:\"OptsSSLLogin\";i:0;s:11:\"OptsCacheWP\";i:0;s:13:\"OptsCachePath\";i:0;s:10:\"OptsURLNew\";s:0:\"\";s:10:\"\0*\0Package\";r:1;}s:8:\"Database\";O:12:\"DUP_Database\":9:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";i:3402589;s:4:\"File\";s:56:\"20140126_pini_52e517bc925b53929140126141212_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";s:108:\"/home3/arnonala/public_html/rublaw/wp-snapshots/tmp/20140126_pini_52e517bc925b53929140126141212_database.sql\";}}");
INSERT INTO `wp_duplicator_packages` VALUES("2", "2014aug_pini", "53e0728caa7996996140805055836", "20", "2014-08-05 05:58:36", "admin", "O:11:\"DUP_Package\":15:{s:2:\"ID\";i:2;s:4:\"Name\";s:12:\"2014aug_pini\";s:4:\"Hash\";s:29:\"53e0728caa7996996140805055836\";s:8:\"NameHash\";s:42:\"2014aug_pini_53e0728caa7996996140805055836\";s:7:\"Version\";s:5:\"0.5.0\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:51:\"/home3/arnonala/public_html/rublaw/wp-snapshots/tmp\";s:8:\"StoreURL\";s:33:\"http://ru-law.co.il/wp-snapshots/\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":15:{s:10:\"FilterDirs\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"File\";s:54:\"2014aug_pini_53e0728caa7996996140805055836_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:34:\"/home3/arnonala/public_html/rublaw\";s:8:\"DirCount\";i:0;s:9:\"FileCount\";i:0;s:9:\"LinkCount\";i:0;s:4:\"Size\";i:0;s:11:\"BigFileList\";a:0:{}s:15:\"InvalidFileList\";a:0:{}s:10:\"\0*\0Package\";r:1;s:27:\"\0DUP_Archive\0filerDirsArray\";a:0:{}s:27:\"\0DUP_Archive\0filerExtsArray\";a:0:{}}s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";s:56:\"2014aug_pini_53e0728caa7996996140805055836_installer.php\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSSLAdmin\";i:0;s:12:\"OptsSSLLogin\";i:0;s:11:\"OptsCacheWP\";i:0;s:13:\"OptsCachePath\";i:0;s:10:\"OptsURLNew\";s:0:\"\";s:10:\"\0*\0Package\";r:1;}s:8:\"Database\";O:12:\"DUP_Database\":9:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:55:\"2014aug_pini_53e0728caa7996996140805055836_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";N;}}");

/* INSERT TABLE DATA: wp_links */
INSERT INTO `wp_links` VALUES("1", "http://docs.wph.co.il/", "עזרה ותיעוד", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "");
INSERT INTO `wp_links` VALUES("2", "http://he.wordpress.org/", "וורדפרס בעברית", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "http://he.wordpress.org/feed");
INSERT INTO `wp_links` VALUES("3", "http://support.wph.co.il/", "תמיכה וסיוע", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "");
INSERT INTO `wp_links` VALUES("4", "http://planet.wph.co.il/", "פלאנט וורדפרס", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "");
INSERT INTO `wp_links` VALUES("5", "http://ozar.mof.gov.il/taxes/", "רשות המיסים (מס הכנסה, מע&quot;מ, מכס)", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "");
INSERT INTO `wp_links` VALUES("6", "http://www.court.gov.il/heb/home.htm", "הרשות השופטת", "", "", "", "Y", "1", "0", "0000-00-00 00:00:00", "", "", "");

/* INSERT TABLE DATA: wp_nivoslider4wp */
INSERT INTO `wp_nivoslider4wp` VALUES("21", "jpeg", "0", "", "0", "0", "922", "190", "922", "190", "", "1");
INSERT INTO `wp_nivoslider4wp` VALUES("20", "jpeg", "0", "", "0", "0", "922", "190", "922", "190", "", "1");
INSERT INTO `wp_nivoslider4wp` VALUES("19", "jpeg", "0", "", "0", "0", "910", "188", "910", "188", "", "1");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "start_of_week", "0", "yes");
INSERT INTO `wp_options` VALUES("3", "timezone_string", "Asia/Jerusalem", "yes");
INSERT INTO `wp_options` VALUES("10894", "_site_transient_timeout_theme_roots", "1407219076", "yes");
INSERT INTO `wp_options` VALUES("10895", "_site_transient_theme_roots", "a:6:{s:12:\"twentyeleven\";s:7:\"/themes\";s:14:\"twentyfourteen\";s:7:\"/themes\";s:9:\"twentyten\";s:7:\"/themes\";s:15:\"twentyten_child\";s:7:\"/themes\";s:14:\"twentythirteen\";s:7:\"/themes\";s:12:\"twentytwelve\";s:7:\"/themes\";}", "yes");
INSERT INTO `wp_options` VALUES("6", "siteurl", "http://ru-law.co.il", "yes");
INSERT INTO `wp_options` VALUES("7", "blogname", "פ. רובינשטיין - משרד עורכי דין", "yes");
INSERT INTO `wp_options` VALUES("8", "blogdescription", "", "yes");
INSERT INTO `wp_options` VALUES("9", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("10", "admin_email", "piniru@zahav.net.il", "yes");
INSERT INTO `wp_options` VALUES("11", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("12", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("13", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("14", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("15", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("16", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("18", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("19", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("20", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("21", "default_category", "1", "yes");
INSERT INTO `wp_options` VALUES("22", "default_comment_status", "closed", "yes");
INSERT INTO `wp_options` VALUES("23", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("24", "default_pingback_flag", "", "yes");
INSERT INTO `wp_options` VALUES("26", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("27", "date_format", "j בF Y", "yes");
INSERT INTO `wp_options` VALUES("28", "time_format", "G:i", "yes");
INSERT INTO `wp_options` VALUES("29", "links_updated_date_format", "j בF Y, G:i", "yes");
INSERT INTO `wp_options` VALUES("30", "links_recently_updated_prepend", "<em>", "yes");
INSERT INTO `wp_options` VALUES("31", "links_recently_updated_append", "</em>", "yes");
INSERT INTO `wp_options` VALUES("32", "links_recently_updated_time", "120", "yes");
INSERT INTO `wp_options` VALUES("33", "comment_moderation", "", "yes");
INSERT INTO `wp_options` VALUES("34", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("35", "permalink_structure", "/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("36", "gzipcompression", "0", "yes");
INSERT INTO `wp_options` VALUES("37", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("39", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("40", "active_plugins", "a:12:{i:0;s:19:\"akismet/akismet.php\";i:1;s:47:\"contact-form-7-widget/contact-form-7-widget.php\";i:2;s:36:\"contact-form-7/wp-contact-form-7.php\";i:3;s:56:\"customizable-search-widget/customizable-seach-widget.php\";i:4;s:35:\"display-widgets/display-widgets.php\";i:5;s:25:\"duplicator/duplicator.php\";i:6;s:30:\"facebook-like/facebooklike.php\";i:7;s:50:\"google-analytics-for-wordpress/googleanalytics.php\";i:8;s:56:\"jquery-vertical-accordion-menu/dcwp_jquery_accordion.php\";i:9;s:26:\"promotion-slider/index.php\";i:10;s:43:\"simple-image-widget/simple-image-widget.php\";i:11;s:25:\"ultimate-tinymce/main.php\";}", "yes");
INSERT INTO `wp_options` VALUES("41", "home", "http://ru-law.co.il", "yes");
INSERT INTO `wp_options` VALUES("42", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("43", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("44", "advanced_edit", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("46", "gmt_offset", "", "yes");
INSERT INTO `wp_options` VALUES("47", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("48", "recently_edited", "a:5:{i:0;s:78:\"/home3/arnonala/public_html/rublaw/wp-content/themes/twentyten_child/style.css\";i:2;s:73:\"/home3/arnonala/public_html/rublaw/wp-content/plugins/akismet/akismet.php\";i:3;s:70:\"/home3/arnonala/public_html/rublaw/wp-content/themes/twentyten/rtl.css\";i:4;s:72:\"/home3/arnonala/public_html/rublaw/wp-content/themes/twentyten/style.css\";i:5;s:89:\"/home3/arnonala/public_html/rublaw/wp-content/plugins/promotion-slider/js/promo_slider.js\";}", "no");
INSERT INTO `wp_options` VALUES("49", "template", "twentyten", "yes");
INSERT INTO `wp_options` VALUES("50", "stylesheet", "twentyten_child", "yes");
INSERT INTO `wp_options` VALUES("51", "comment_whitelist", "1", "yes");
INSERT INTO `wp_options` VALUES("52", "blacklist_keys", "", "no");
INSERT INTO `wp_options` VALUES("53", "comment_registration", "", "yes");
INSERT INTO `wp_options` VALUES("54", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("55", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("56", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("57", "db_version", "26692", "yes");
INSERT INTO `wp_options` VALUES("58", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("59", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("60", "blog_public", "1", "yes");
INSERT INTO `wp_options` VALUES("61", "default_link_category", "2", "yes");
INSERT INTO `wp_options` VALUES("62", "show_on_front", "page", "yes");
INSERT INTO `wp_options` VALUES("63", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("64", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("65", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("66", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("67", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("68", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("69", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("70", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("71", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("72", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("75", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("76", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("77", "image_default_link_type", "file", "yes");
INSERT INTO `wp_options` VALUES("78", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("79", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("80", "close_comments_for_old_posts", "1", "yes");
INSERT INTO `wp_options` VALUES("81", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("82", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("83", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("84", "page_comments", "", "yes");
INSERT INTO `wp_options` VALUES("85", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("86", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("87", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("88", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("89", "widget_categories", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("90", "widget_text", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("91", "widget_rss", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("93", "embed_size_w", "", "yes");
INSERT INTO `wp_options` VALUES("94", "embed_size_h", "600", "yes");
INSERT INTO `wp_options` VALUES("95", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("96", "page_on_front", "2", "yes");
INSERT INTO `wp_options` VALUES("97", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("98", "initial_db_version", "19470", "yes");
INSERT INTO `wp_options` VALUES("99", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:9:\"add_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("100", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("101", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("102", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("103", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("104", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("105", "sidebars_widgets", "a:13:{s:19:\"wp_inactive_widgets\";a:0:{}s:19:\"primary-widget-area\";a:1:{i:0;s:12:\"custom_cf7-2\";}s:21:\"secondary-widget-area\";a:2:{i:0;s:23:\"dc_jqaccordion_widget-2\";i:1;s:13:\"simpleimage-8\";}s:22:\"secondary1-widget-area\";a:1:{i:0;s:13:\"simpleimage-2\";}s:22:\"secondary2-widget-area\";a:1:{i:0;s:13:\"simpleimage-3\";}s:22:\"secondary3-widget-area\";a:1:{i:0;s:13:\"simpleimage-5\";}s:16:\"logo-widget-area\";a:1:{i:0;s:13:\"simpleimage-7\";}s:18:\"search-widget-area\";a:1:{i:0;s:19:\"customizable-search\";}s:24:\"first-footer-widget-area\";a:0:{}s:25:\"second-footer-widget-area\";a:0:{}s:24:\"third-footer-widget-area\";a:0:{}s:25:\"fourth-footer-widget-area\";a:0:{}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("106", "cron", "a:6:{i:1407229411;a:1:{s:24:\"akismet_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1407238995;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1407246033;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1407246044;a:1:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1407259140;a:1:{s:20:\"wp_maybe_auto_update\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("6356", "link_manager_enabled", "1", "yes");
INSERT INTO `wp_options` VALUES("113", "dashboard_widget_options", "a:4:{s:25:\"dashboard_recent_comments\";a:1:{s:5:\"items\";i:5;}s:24:\"dashboard_incoming_links\";a:5:{s:4:\"home\";s:19:\"http://ru-law.co.il\";s:4:\"link\";s:95:\"http://blogsearch.google.com/blogsearch?scoring=d&partner=wordpress&q=link:http://ru-law.co.il/\";s:3:\"url\";s:141:\"http://blogsearch.google.com/blogsearch_feeds?scoring=d&ie=utf-8&num=10&output=rss&partner=wordpress&q=link:http://techwebtesting.com/rublaw/\";s:5:\"items\";i:10;s:9:\"show_date\";b:0;}s:17:\"dashboard_primary\";a:7:{s:4:\"link\";s:24:\"http://he.wordpress.org/\";s:3:\"url\";s:29:\"http://he.wordpress.org/feed/\";s:5:\"title\";s:25:\"חדשות וורדפרס\";s:5:\"items\";i:2;s:12:\"show_summary\";i:1;s:11:\"show_author\";i:0;s:9:\"show_date\";i:1;}s:19:\"dashboard_secondary\";a:7:{s:4:\"link\";s:25:\"http://planet.mazhir.com/\";s:3:\"url\";s:39:\"http://feeds.feedburner.com/planetwpheb\";s:5:\"title\";s:40:\"עדכוני וורדפרס נוספים\";s:5:\"items\";i:5;s:12:\"show_summary\";i:0;s:11:\"show_author\";i:0;s:9:\"show_date\";i:0;}}", "yes");
INSERT INTO `wp_options` VALUES("154", "current_theme", "Twenty Ten child", "yes");
INSERT INTO `wp_options` VALUES("562", "_transient_random_seed", "52a443f36b86e16ecd6296ede2c2a7ab", "yes");
INSERT INTO `wp_options` VALUES("153", "theme_mods_twentyeleven", "a:1:{s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1342360015;s:4:\"data\";a:6:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}s:9:\"sidebar-4\";a:0:{}s:9:\"sidebar-5\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("155", "theme_mods_twentyten_child", "a:2:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:15;}}", "yes");
INSERT INTO `wp_options` VALUES("156", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("159", "recently_activated", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("163", "widget_logic", "a:7:{s:13:\"simpleimage-2\";s:0:\"\";s:13:\"simpleimage-3\";s:0:\"\";s:13:\"simpleimage-5\";s:0:\"\";s:12:\"custom_cf7-2\";s:0:\"\";s:6:\"text-2\";s:0:\"\";s:23:\"dc_jqaccordion_widget-2\";s:0:\"\";s:10:\"nav_menu-2\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("164", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("166", "widget_simpleimage", "a:6:{i:2;a:40:{s:5:\"image\";s:41:\"/wp-content/uploads/2012/07/s-banner1.png\";s:3:\"alt\";s:0:\"\";s:9:\"img_title\";s:0:\"\";s:4:\"link\";s:94:\"http://ru-law.co.il/%D7%9E%D7%99%D7%A1%D7%95%D7%99-%D7%9E%D7%A7%D7%A8%D7%A7%D7%A2%D7%99%D7%9F/\";s:10:\"new_window\";b:0;s:7:\"page-94\";i:0;s:6:\"page-2\";i:1;s:7:\"page-96\";i:0;s:7:\"page-98\";i:0;s:8:\"page-100\";i:0;s:8:\"page-102\";i:0;s:8:\"page-104\";i:0;s:7:\"page-88\";i:0;s:5:\"cat-4\";i:0;s:5:\"cat-3\";i:0;s:5:\"cat-8\";i:0;s:5:\"cat-1\";i:0;s:5:\"cat-9\";i:0;s:6:\"cat-13\";i:0;s:5:\"cat-7\";i:0;s:5:\"cat-6\";i:0;s:5:\"cat-5\";i:0;s:23:\"type-wpcf7_contact_form\";i:0;s:10:\"dw_include\";i:1;s:6:\"logout\";i:0;s:5:\"login\";i:0;s:9:\"other_ids\";s:0:\"\";s:10:\"page-front\";i:1;s:9:\"page-home\";i:1;s:12:\"page-archive\";i:0;s:11:\"page-single\";i:0;s:8:\"page-404\";i:0;s:11:\"page-search\";i:0;s:6:\"cat-16\";i:0;s:6:\"cat-17\";i:0;s:6:\"cat-18\";i:0;s:6:\"cat-19\";i:0;s:6:\"cat-20\";i:0;s:17:\"type-ps_promotion\";i:0;s:24:\"tax-promotion-categories\";i:0;}i:3;a:40:{s:5:\"image\";s:41:\"/wp-content/uploads/2012/07/s-banner2.png\";s:3:\"alt\";s:0:\"\";s:9:\"img_title\";s:0:\"\";s:4:\"link\";s:88:\"http://ru-law.co.il/%D7%9C%D7%99%D7%A7%D7%95%D7%99%D7%99-%D7%91%D7%A0%D7%99%D7%99%D7%94/\";s:10:\"new_window\";b:0;s:7:\"page-94\";i:1;s:6:\"page-2\";i:0;s:7:\"page-96\";i:1;s:7:\"page-98\";i:1;s:8:\"page-100\";i:1;s:8:\"page-102\";i:1;s:8:\"page-104\";i:1;s:7:\"page-88\";i:1;s:5:\"cat-4\";i:0;s:5:\"cat-3\";i:0;s:5:\"cat-8\";i:0;s:5:\"cat-1\";i:0;s:5:\"cat-9\";i:0;s:6:\"cat-13\";i:1;s:5:\"cat-7\";i:0;s:5:\"cat-6\";i:0;s:5:\"cat-5\";i:0;s:23:\"type-wpcf7_contact_form\";i:0;s:10:\"dw_include\";i:0;s:6:\"logout\";i:0;s:5:\"login\";i:0;s:9:\"other_ids\";s:0:\"\";s:10:\"page-front\";i:0;s:9:\"page-home\";i:0;s:12:\"page-archive\";i:0;s:11:\"page-single\";i:0;s:8:\"page-404\";i:0;s:11:\"page-search\";i:0;s:6:\"cat-16\";i:0;s:6:\"cat-17\";i:0;s:6:\"cat-18\";i:0;s:6:\"cat-19\";i:0;s:6:\"cat-20\";i:0;s:17:\"type-ps_promotion\";i:0;s:24:\"tax-promotion-categories\";i:0;}i:5;a:40:{s:5:\"image\";s:41:\"/wp-content/uploads/2012/07/s-banner3.png\";s:3:\"alt\";s:0:\"\";s:9:\"img_title\";s:0:\"\";s:4:\"link\";s:88:\"http://ru-law.co.il/%D7%94%D7%A4%D7%97%D7%AA%D7%AA-%D7%90%D7%A8%D7%A0%D7%95%D7%A0%D7%94/\";s:10:\"new_window\";b:0;s:7:\"page-94\";i:1;s:6:\"page-2\";i:0;s:7:\"page-96\";i:1;s:7:\"page-98\";i:1;s:8:\"page-100\";i:1;s:8:\"page-102\";i:1;s:8:\"page-104\";i:1;s:7:\"page-88\";i:1;s:5:\"cat-4\";i:1;s:5:\"cat-3\";i:0;s:5:\"cat-8\";i:0;s:5:\"cat-1\";i:0;s:5:\"cat-9\";i:0;s:6:\"cat-13\";i:1;s:5:\"cat-7\";i:0;s:5:\"cat-6\";i:0;s:5:\"cat-5\";i:0;s:23:\"type-wpcf7_contact_form\";i:1;s:10:\"dw_include\";i:0;s:6:\"logout\";i:0;s:5:\"login\";i:0;s:9:\"other_ids\";s:0:\"\";s:10:\"page-front\";i:0;s:9:\"page-home\";i:0;s:12:\"page-archive\";i:0;s:11:\"page-single\";i:0;s:8:\"page-404\";i:0;s:11:\"page-search\";i:0;s:6:\"cat-16\";i:0;s:6:\"cat-17\";i:0;s:6:\"cat-18\";i:0;s:6:\"cat-19\";i:0;s:6:\"cat-20\";i:0;s:17:\"type-ps_promotion\";i:0;s:24:\"tax-promotion-categories\";i:0;}i:7;a:33:{s:5:\"image\";s:36:\"/wp-content/uploads/2012/07/logo.jpg\";s:3:\"alt\";s:0:\"\";s:9:\"img_title\";s:0:\"\";s:4:\"link\";s:0:\"\";s:10:\"new_window\";b:0;s:7:\"page-94\";i:0;s:6:\"page-2\";i:0;s:7:\"page-96\";i:0;s:7:\"page-98\";i:0;s:8:\"page-100\";i:0;s:8:\"page-102\";i:0;s:8:\"page-104\";i:0;s:7:\"page-88\";i:0;s:5:\"cat-1\";i:0;s:6:\"cat-13\";i:0;s:23:\"type-wpcf7_contact_form\";i:0;s:10:\"dw_include\";i:0;s:6:\"logout\";i:0;s:5:\"login\";i:0;s:9:\"other_ids\";s:0:\"\";s:10:\"page-front\";i:0;s:9:\"page-home\";i:0;s:12:\"page-archive\";i:0;s:11:\"page-single\";i:0;s:8:\"page-404\";i:0;s:11:\"page-search\";i:0;s:6:\"cat-16\";i:0;s:6:\"cat-17\";i:0;s:6:\"cat-18\";i:0;s:6:\"cat-19\";i:0;s:6:\"cat-20\";i:0;s:17:\"type-ps_promotion\";i:0;s:24:\"tax-promotion-categories\";i:0;}i:8;a:33:{s:5:\"image\";s:36:\"/wp-content/uploads/2012/08/icon.jpg\";s:3:\"alt\";s:3:\"rss\";s:9:\"img_title\";s:0:\"\";s:4:\"link\";s:24:\"http://ru-law.co.il/feed\";s:10:\"new_window\";b:1;s:7:\"page-94\";i:0;s:6:\"page-2\";i:0;s:7:\"page-96\";i:0;s:7:\"page-98\";i:0;s:8:\"page-100\";i:0;s:8:\"page-102\";i:0;s:8:\"page-104\";i:0;s:7:\"page-88\";i:0;s:6:\"cat-16\";i:0;s:5:\"cat-1\";i:0;s:6:\"cat-17\";i:0;s:6:\"cat-13\";i:0;s:6:\"cat-18\";i:0;s:6:\"cat-19\";i:0;s:6:\"cat-20\";i:0;s:23:\"type-wpcf7_contact_form\";i:0;s:17:\"type-ps_promotion\";i:0;s:24:\"tax-promotion-categories\";i:0;s:10:\"dw_include\";i:0;s:6:\"logout\";i:0;s:5:\"login\";i:0;s:9:\"other_ids\";s:0:\"\";s:10:\"page-front\";i:0;s:9:\"page-home\";i:0;s:12:\"page-archive\";i:0;s:11:\"page-single\";i:0;s:8:\"page-404\";i:0;s:11:\"page-search\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("355", "widget_dc_jqaccordion_widget", "a:2:{i:2;a:37:{s:5:\"title\";s:0:\"\";s:8:\"nav_menu\";i:11;s:9:\"autoClose\";N;s:9:\"menuClose\";s:4:\"true\";s:9:\"saveState\";N;s:10:\"autoExpand\";s:4:\"true\";s:11:\"disableLink\";N;s:12:\"classDisable\";s:0:\"\";s:9:\"classMenu\";s:0:\"\";s:9:\"showCount\";N;s:5:\"event\";s:5:\"hover\";s:4:\"skin\";s:4:\"Blue\";s:5:\"speed\";s:4:\"slow\";s:10:\"hoverDelay\";s:3:\"200\";s:7:\"page-94\";i:0;s:6:\"page-2\";i:0;s:7:\"page-96\";i:0;s:7:\"page-98\";i:0;s:8:\"page-100\";i:0;s:8:\"page-102\";i:0;s:8:\"page-104\";i:0;s:7:\"page-88\";i:0;s:5:\"cat-1\";i:0;s:6:\"cat-13\";i:0;s:23:\"type-wpcf7_contact_form\";i:0;s:17:\"type-ps_promotion\";i:0;s:24:\"tax-promotion-categories\";i:0;s:10:\"dw_include\";i:0;s:6:\"logout\";i:0;s:5:\"login\";i:0;s:9:\"other_ids\";s:0:\"\";s:10:\"page-front\";i:0;s:9:\"page-home\";i:0;s:12:\"page-archive\";i:0;s:11:\"page-single\";i:0;s:8:\"page-404\";i:0;s:11:\"page-search\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("214", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("215", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("1087", "category_children", "a:1:{i:13;a:5:{i:0;i:16;i:1;i:17;i:2;i:18;i:3;i:19;i:4;i:20;}}", "yes");
INSERT INTO `wp_options` VALUES("1091", "fblike_display_lang", "he_IL", "yes");
INSERT INTO `wp_options` VALUES("219", "vslider_options", "a:48:{s:5:\"width\";s:3:\"920\";s:6:\"height\";s:3:\"150\";s:3:\"spw\";s:1:\"7\";s:3:\"sph\";s:1:\"5\";s:5:\"delay\";s:4:\"5000\";s:6:\"sDelay\";s:2:\"30\";s:7:\"opacity\";s:3:\"0.7\";s:10:\"titleSpeed\";s:4:\"2500\";s:6:\"effect\";s:4:\"fade\";s:10:\"navigation\";s:5:\"false\";s:9:\"stickynav\";s:5:\"false\";s:5:\"links\";s:5:\"false\";s:7:\"buttons\";s:5:\"false\";s:10:\"hoverPause\";s:4:\"true\";s:11:\"borderWidth\";s:1:\"5\";s:12:\"borderRadius\";s:1:\"0\";s:11:\"borderColor\";s:6:\"FFFFFF\";s:10:\"fontFamily\";s:28:\"Arial, Helvetica, sans-serif\";s:9:\"titleFont\";s:2:\"16\";s:8:\"fontSize\";s:2:\"12\";s:9:\"textColor\";s:6:\"FFFFFF\";s:7:\"bgColor\";s:6:\"222222\";s:8:\"navstyle\";s:4:\"none\";s:8:\"arrstyle\";s:4:\"none\";s:8:\"navplace\";s:17:\"10px 0 10px 100px\";s:8:\"timthumb\";s:1:\"1\";s:7:\"quality\";s:3:\"100\";s:6:\"layout\";s:13:\"stripe-bottom\";s:9:\"holdermar\";s:15:\"0px 0px 0px 0px\";s:11:\"holderfloat\";s:4:\"none\";s:9:\"customImg\";s:4:\"true\";s:6:\"imgCat\";s:1:\"0\";s:10:\"catchimage\";s:8:\"featured\";s:7:\"slideNr\";s:1:\"3\";s:7:\"excerpt\";s:4:\"true\";s:5:\"chars\";s:3:\"200\";s:6:\"slide1\";s:73:\"http://techwebtesting.com/rublaw/wp-content/uploads/2012/07/f-banner1.png\";s:5:\"link1\";s:0:\"\";s:8:\"heading1\";s:0:\"\";s:5:\"desc1\";s:0:\"\";s:6:\"slide2\";s:77:\"http://techwebtesting.com/rublaw/wp-content/plugins/vslider/images/slide2.jpg\";s:5:\"link2\";s:0:\"\";s:8:\"heading2\";s:0:\"\";s:5:\"desc2\";s:0:\"\";s:6:\"slide3\";s:77:\"http://techwebtesting.com/rublaw/wp-content/plugins/vslider/images/slide3.jpg\";s:5:\"link3\";s:0:\"\";s:8:\"heading3\";s:0:\"\";s:5:\"desc3\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("220", "vslider_support", "0", "yes");
INSERT INTO `wp_options` VALUES("256", "widget_custom_cf7", "a:2:{i:2;a:36:{s:5:\"title\";s:0:\"\";s:10:\"subheading\";s:0:\"\";s:4:\"form\";s:61:\"[contact-form-7 id=\"31\" title=\"טופס יצירת קשר 1\"]\";s:2:\"bg\";s:0:\"\";s:5:\"label\";s:0:\"\";s:8:\"submitbg\";s:0:\"\";s:6:\"submit\";s:0:\"\";s:5:\"round\";s:0:\"\";s:10:\"dw_include\";i:0;s:9:\"other_ids\";s:0:\"\";s:7:\"page-94\";i:0;s:6:\"page-2\";i:0;s:7:\"page-96\";i:0;s:7:\"page-98\";i:0;s:8:\"page-100\";i:0;s:8:\"page-102\";i:0;s:8:\"page-104\";i:0;s:7:\"page-88\";i:0;s:6:\"cat-16\";i:0;s:5:\"cat-1\";i:0;s:6:\"cat-17\";i:0;s:6:\"cat-13\";i:0;s:6:\"cat-18\";i:0;s:6:\"cat-19\";i:0;s:6:\"cat-20\";i:0;s:23:\"type-wpcf7_contact_form\";i:0;s:17:\"type-ps_promotion\";i:0;s:24:\"tax-promotion-categories\";i:0;s:6:\"logout\";i:0;s:5:\"login\";i:0;s:10:\"page-front\";i:0;s:9:\"page-home\";i:0;s:12:\"page-archive\";i:0;s:11:\"page-single\";i:0;s:8:\"page-404\";i:0;s:11:\"page-search\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("254", "wpcf7", "a:1:{s:7:\"version\";s:3:\"3.6\";}", "yes");
INSERT INTO `wp_options` VALUES("229", "wpns_category", "1", "yes");
INSERT INTO `wp_options` VALUES("230", "wpns_effect", "random", "yes");
INSERT INTO `wp_options` VALUES("231", "wpns_slices", "5", "yes");
INSERT INTO `wp_options` VALUES("252", "_transient_plugins_delete_result_1", "1", "yes");
INSERT INTO `wp_options` VALUES("233", "nivoslider4wp_width", "922", "yes");
INSERT INTO `wp_options` VALUES("234", "nivoslider4wp_height", "190", "yes");
INSERT INTO `wp_options` VALUES("235", "nivoslider4wp_colsBox", "4", "yes");
INSERT INTO `wp_options` VALUES("236", "nivoslider4wp_rowsBox", "2", "yes");
INSERT INTO `wp_options` VALUES("237", "nivoslider4wp_animSpeed", "1000", "yes");
INSERT INTO `wp_options` VALUES("238", "nivoslider4wp_effect", "fade", "yes");
INSERT INTO `wp_options` VALUES("239", "nivoslider4wp_pauseTime", "4000", "yes");
INSERT INTO `wp_options` VALUES("240", "nivoslider4wp_directionNav", "false", "yes");
INSERT INTO `wp_options` VALUES("241", "nivoslider4wp_directionNavHide", "false", "yes");
INSERT INTO `wp_options` VALUES("242", "nivoslider4wp_controlNav", "false", "yes");
INSERT INTO `wp_options` VALUES("243", "nivoslider4wp_keyboardNav", "false", "yes");
INSERT INTO `wp_options` VALUES("244", "nivoslider4wp_pauseOnHover", "false", "yes");
INSERT INTO `wp_options` VALUES("245", "nivoslider4wp_manualAdvance", "false", "yes");
INSERT INTO `wp_options` VALUES("246", "nivoslider4wp_backgroundCaption", "ffffff", "yes");
INSERT INTO `wp_options` VALUES("247", "nivoslider4wp_colorCaption", "ffffff", "yes");
INSERT INTO `wp_options` VALUES("248", "nivoslider4wp_captionOpacity", "0.8", "yes");
INSERT INTO `wp_options` VALUES("249", "nivoslider4wp_nivoslider4wp_js", "footer", "yes");
INSERT INTO `wp_options` VALUES("250", "nivoslider4wp_imageQuality", "90", "yes");
INSERT INTO `wp_options` VALUES("251", "nivoslider4wp_js", "head", "yes");
INSERT INTO `wp_options` VALUES("8523", "rewrite_rules", "a:93:{s:12:\"promotion/?$\";s:32:\"index.php?post_type=ps_promotion\";s:42:\"promotion/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?post_type=ps_promotion&feed=$matches[1]\";s:37:\"promotion/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?post_type=ps_promotion&feed=$matches[1]\";s:29:\"promotion/page/([0-9]{1,})/?$\";s:50:\"index.php?post_type=ps_promotion&paged=$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:37:\"promotion/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:47:\"promotion/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:67:\"promotion/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"promotion/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"promotion/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:30:\"promotion/([^/]+)/trackback/?$\";s:39:\"index.php?ps_promotion=$matches[1]&tb=1\";s:50:\"promotion/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:51:\"index.php?ps_promotion=$matches[1]&feed=$matches[2]\";s:45:\"promotion/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:51:\"index.php?ps_promotion=$matches[1]&feed=$matches[2]\";s:38:\"promotion/([^/]+)/page/?([0-9]{1,})/?$\";s:52:\"index.php?ps_promotion=$matches[1]&paged=$matches[2]\";s:45:\"promotion/([^/]+)/comment-page-([0-9]{1,})/?$\";s:52:\"index.php?ps_promotion=$matches[1]&cpage=$matches[2]\";s:30:\"promotion/([^/]+)(/[0-9]+)?/?$\";s:51:\"index.php?ps_promotion=$matches[1]&page=$matches[2]\";s:26:\"promotion/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:36:\"promotion/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:56:\"promotion/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:51:\"promotion/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:51:\"promotion/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:51:\"promotions/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:59:\"index.php?promotion-categories=$matches[1]&feed=$matches[2]\";s:46:\"promotions/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:59:\"index.php?promotion-categories=$matches[1]&feed=$matches[2]\";s:39:\"promotions/([^/]+)/page/?([0-9]{1,})/?$\";s:60:\"index.php?promotion-categories=$matches[1]&paged=$matches[2]\";s:21:\"promotions/([^/]+)/?$\";s:42:\"index.php?promotion-categories=$matches[1]\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:38:\"index.php?&page_id=2&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:20:\"(.?.+?)(/[0-9]+)?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:27:\"[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\"[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\"[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:20:\"([^/]+)/trackback/?$\";s:31:\"index.php?name=$matches[1]&tb=1\";s:40:\"([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:35:\"([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:28:\"([^/]+)/page/?([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&paged=$matches[2]\";s:35:\"([^/]+)/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&cpage=$matches[2]\";s:20:\"([^/]+)(/[0-9]+)?/?$\";s:43:\"index.php?name=$matches[1]&page=$matches[2]\";s:16:\"[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:26:\"[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:46:\"[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("400", "jwl_options_group", "a:80:{s:23:\"jwl_fontselect_field_id\";s:1:\"1\";s:23:\"jwl_fontselect_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:27:\"jwl_fontsizeselect_field_id\";s:1:\"1\";s:27:\"jwl_fontsizeselect_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:16:\"jwl_cut_field_id\";s:1:\"1\";s:16:\"jwl_cut_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:17:\"jwl_copy_field_id\";s:1:\"1\";s:17:\"jwl_copy_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:18:\"jwl_paste_field_id\";s:1:\"1\";s:18:\"jwl_paste_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:28:\"jwl_backcolorpicker_field_id\";s:1:\"1\";s:28:\"jwl_backcolorpicker_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:28:\"jwl_forecolorpicker_field_id\";s:1:\"1\";s:28:\"jwl_forecolorpicker_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:18:\"jwl_advhr_field_id\";s:1:\"1\";s:18:\"jwl_advhr_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:22:\"jwl_visualaid_field_id\";s:1:\"1\";s:22:\"jwl_visualaid_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:19:\"jwl_anchor_field_id\";s:1:\"1\";s:19:\"jwl_anchor_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:16:\"jwl_sub_field_id\";s:1:\"1\";s:16:\"jwl_sub_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:16:\"jwl_sup_field_id\";s:1:\"1\";s:16:\"jwl_sup_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:19:\"jwl_search_field_id\";s:1:\"1\";s:19:\"jwl_search_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:20:\"jwl_replace_field_id\";s:1:\"1\";s:20:\"jwl_replace_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:21:\"jwl_datetime_field_id\";s:1:\"1\";s:21:\"jwl_datetime_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:24:\"jwl_nonbreaking_field_id\";s:1:\"1\";s:24:\"jwl_nonbreaking_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:19:\"jwl_mailto_field_id\";s:1:\"1\";s:19:\"jwl_mailto_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:19:\"jwl_layers_field_id\";s:1:\"1\";s:19:\"jwl_layers_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:17:\"jwl_span_field_id\";s:1:\"1\";s:17:\"jwl_span_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 3\";}s:24:\"jwl_styleselect_field_id\";s:1:\"1\";s:24:\"jwl_styleselect_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:26:\"jwl_tableDropdown_field_id\";s:1:\"1\";s:26:\"jwl_tableDropdown_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:21:\"jwl_emotions_field_id\";s:1:\"1\";s:21:\"jwl_emotions_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:18:\"jwl_image_field_id\";s:1:\"1\";s:18:\"jwl_image_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:20:\"jwl_preview_field_id\";s:1:\"1\";s:20:\"jwl_preview_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:17:\"jwl_cite_field_id\";s:1:\"1\";s:17:\"jwl_cite_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:17:\"jwl_abbr_field_id\";s:1:\"1\";s:17:\"jwl_abbr_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:20:\"jwl_acronym_field_id\";s:1:\"1\";s:20:\"jwl_acronym_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:16:\"jwl_del_field_id\";s:1:\"1\";s:16:\"jwl_del_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:16:\"jwl_ins_field_id\";s:1:\"1\";s:16:\"jwl_ins_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:20:\"jwl_attribs_field_id\";s:1:\"1\";s:20:\"jwl_attribs_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:23:\"jwl_styleprops_field_id\";s:1:\"1\";s:23:\"jwl_styleprops_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:17:\"jwl_code_field_id\";s:1:\"1\";s:17:\"jwl_code_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:22:\"jwl_codemagic_field_id\";s:1:\"1\";s:22:\"jwl_codemagic_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:18:\"jwl_media_field_id\";s:1:\"1\";s:18:\"jwl_media_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:20:\"jwl_youtube_field_id\";s:1:\"1\";s:20:\"jwl_youtube_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:19:\"jwl_imgmap_field_id\";s:1:\"1\";s:19:\"jwl_imgmap_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:24:\"jwl_visualchars_field_id\";s:1:\"1\";s:24:\"jwl_visualchars_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:18:\"jwl_print_field_id\";s:1:\"1\";s:18:\"jwl_print_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:23:\"jwl_shortcodes_field_id\";s:1:\"1\";s:23:\"jwl_shortcodes_dropdown\";a:1:{s:3:\"row\";s:5:\"Row 4\";}s:26:\"jwl_tinycolor_css_field_id\";a:1:{s:9:\"tinycolor\";s:7:\"Default\";}s:20:\"jwl_signoff_field_id\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("360", "widget_links", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("817", "widget_customizable_search", "a:8:{s:5:\"title\";s:15:\"חפש באתר\";s:5:\"input\";i:0;s:4:\"size\";i:15;s:15:\"other_text_mods\";s:0:\"\";s:11:\"wrap_button\";i:1;s:11:\"button_type\";i:0;s:12:\"button_value\";s:0:\"\";s:17:\"other_button_mods\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("734", "bnc_iphone_pages", "s:1660:\"a:48:{s:20:\"enable-post-excerpts\";i:0;s:27:\"enable-twenty-eleven-footer\";i:0;s:16:\"enable-page-coms\";i:0;s:11:\"enable-zoom\";i:0;s:18:\"enable-cats-button\";i:1;s:18:\"enable-tags-button\";i:1;s:20:\"enable-search-button\";i:1;s:19:\"enable-login-button\";i:0;s:22:\"enable-gigpress-button\";i:0;s:16:\"enable-flat-icon\";i:0;s:16:\"enable-gravatars\";i:1;s:16:\"enable-main-home\";i:1;s:15:\"enable-main-rss\";i:1;s:17:\"enable-main-email\";i:1;s:23:\"enable-truncated-titles\";i:1;s:16:\"enable-main-name\";i:0;s:16:\"enable-main-tags\";i:0;s:22:\"enable-main-categories\";i:1;s:9:\"prowl-api\";s:0:\"\";s:28:\"enable-prowl-comments-button\";i:0;s:25:\"enable-prowl-users-button\";i:0;s:27:\"enable-prowl-message-button\";i:0;s:9:\"home-page\";s:7:\"Default\";s:10:\"statistics\";s:0:\"\";s:10:\"sort-order\";s:4:\"name\";s:22:\"enable-regular-default\";i:0;s:20:\"enable-show-comments\";i:1;s:18:\"enable-show-tweets\";i:0;s:19:\"enable-fixed-header\";i:0;s:18:\"custom-user-agents\";a:0:{}s:16:\"excluded-cat-ids\";s:0:\"\";s:16:\"excluded-tag-ids\";s:0:\"\";s:10:\"adsense-id\";s:0:\"\";s:15:\"adsense-channel\";s:0:\"\";s:14:\"post-cal-thumb\";s:14:\"calendar-icons\";s:7:\"h2-font\";s:21:\"Arial Rounded MT Bold\";s:18:\"style-text-justify\";s:14:\"full-justified\";s:16:\"style-background\";s:17:\"skated-wptouch-bg\";s:16:\"enable-exclusive\";i:0;s:16:\"wptouch-language\";s:4:\"auto\";s:10:\"ad_service\";s:7:\"adsense\";s:10:\"main_title\";s:11:\"Default.png\";s:12:\"header-title\";s:29:\"עו\\\"ד רובינשטיין\";s:17:\"custom-footer-msg\";s:51:\"All content Copyright עו\\\"ד רובינשטיין\";s:23:\"header-background-color\";s:6:\"000000\";s:19:\"header-border-color\";s:6:\"333333\";s:17:\"header-text-color\";s:6:\"eeeeee\";s:10:\"link-color\";s:6:\"006bb3\";}\";", "yes");
INSERT INTO `wp_options` VALUES("1076", "promotion_slider_options", "a:11:{s:7:\"version\";s:5:\"3.3.4\";s:8:\"start_on\";s:5:\"first\";s:12:\"auto_advance\";s:12:\"auto_advance\";s:10:\"time_delay\";i:6;s:11:\"display_nav\";s:5:\"fancy\";s:13:\"display_title\";s:4:\"none\";s:15:\"display_excerpt\";s:4:\"none\";s:14:\"pause_on_hover\";s:5:\"pause\";s:10:\"load_js_in\";s:4:\"head\";s:16:\"default_img_size\";s:4:\"full\";s:10:\"nav_option\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("1079", "promotion-categories_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("1092", "fblike_display_page", "", "yes");
INSERT INTO `wp_options` VALUES("1093", "fblike_display_front", "", "yes");
INSERT INTO `wp_options` VALUES("1094", "fblike_display_single", "1", "yes");
INSERT INTO `wp_options` VALUES("1095", "fblike_display_category", "", "yes");
INSERT INTO `wp_options` VALUES("1096", "fb_appid", "", "yes");
INSERT INTO `wp_options` VALUES("1097", "fb_app_id", "", "yes");
INSERT INTO `wp_options` VALUES("1098", "fb_width", "450", "yes");
INSERT INTO `wp_options` VALUES("1099", "fb_height", "130", "yes");
INSERT INTO `wp_options` VALUES("1100", "fb_placein", "bottom", "yes");
INSERT INTO `wp_options` VALUES("1101", "fblike_layout", "standard", "yes");
INSERT INTO `wp_options` VALUES("1102", "fblike_showSend", "", "yes");
INSERT INTO `wp_options` VALUES("1103", "fblike_showfaces", "", "yes");
INSERT INTO `wp_options` VALUES("1104", "fblike_action", "like", "yes");
INSERT INTO `wp_options` VALUES("1105", "fblike_font", "", "yes");
INSERT INTO `wp_options` VALUES("1106", "fblike_colorscheme", "light", "yes");
INSERT INTO `wp_options` VALUES("6008", "akismet_connectivity_time", "1385972139", "yes");
INSERT INTO `wp_options` VALUES("6009", "wordpress_api_key", "fef93ec4915b", "yes");
INSERT INTO `wp_options` VALUES("6010", "akismet_discard_month", "true", "yes");
INSERT INTO `wp_options` VALUES("6011", "akismet_show_user_comments_approved", "false", "yes");
INSERT INTO `wp_options` VALUES("6012", "akismet_spam_count", "1253", "yes");
INSERT INTO `wp_options` VALUES("6115", "duplicator_settings", "a:8:{s:7:\"version\";s:5:\"0.5.0\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:0;s:22:\"package_mysqldump_path\";s:0:\"\";s:17:\"package_zip_flush\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("6357", "uninstall_plugins", "a:2:{i:0;b:0;s:25:\"duplicator/duplicator.php\";s:20:\"duplicator_uninstall\";}", "no");
INSERT INTO `wp_options` VALUES("6117", "duplicator_version_plugin", "0.5.0", "yes");
INSERT INTO `wp_options` VALUES("6118", "duplicator_options", "s:217:\"a:9:{s:6:\"dbhost\";s:9:\"localhost\";s:6:\"dbname\";s:0:\"\";s:6:\"dbuser\";s:0:\"\";s:7:\"url_new\";s:0:\"\";s:8:\"email-me\";s:1:\"0\";s:12:\"email_others\";s:0:\"\";s:10:\"dir_bypass\";s:0:\"\";s:9:\"log_level\";s:1:\"0\";s:8:\"skip_ext\";s:0:\"\";}\";", "yes");
INSERT INTO `wp_options` VALUES("6119", "duplicator_pack_passcount", "1", "yes");
INSERT INTO `wp_options` VALUES("6120", "duplicator_add1_passcount", "1", "yes");
INSERT INTO `wp_options` VALUES("6121", "duplicator_add1_clicked", "0", "yes");
INSERT INTO `wp_options` VALUES("6123", "Yoast_Google_Analytics", "a:52:{s:16:\"advancedsettings\";b:0;s:11:\"allowanchor\";b:0;s:9:\"allowhash\";b:0;s:11:\"allowlinker\";b:0;s:11:\"anonymizeip\";b:0;s:10:\"customcode\";s:0:\"\";s:11:\"cv_loggedin\";b:0;s:13:\"cv_authorname\";b:0;s:11:\"cv_category\";b:0;s:17:\"cv_all_categories\";b:0;s:7:\"cv_tags\";b:0;s:7:\"cv_year\";b:0;s:12:\"cv_post_type\";b:0;s:5:\"debug\";b:0;s:12:\"dlextensions\";s:30:\"doc,exe,js,pdf,ppt,tgz,zip,xls\";s:6:\"domain\";s:0:\"\";s:11:\"domainorurl\";s:6:\"domain\";s:7:\"extrase\";b:0;s:10:\"extraseurl\";s:0:\"\";s:11:\"firebuglite\";b:0;s:16:\"ga_api_responses\";a:1:{s:45:\"1/a7mRTFf9-oLkvAyrzZtq5PWwLMct_FpQnu31F0847NY\";a:2:{s:8:\"response\";a:1:{s:4:\"code\";i:200;}s:4:\"body\";s:3526:\"<?xml version=\"1.0\" encoding=\"UTF-8\"?><feed gd:kind=\"analytics#profiles\" xmlns=\"http://www.w3.org/2005/Atom\" xmlns:dxp=\"http://schemas.google.com/analytics/2009\" xmlns:gd=\"http://schemas.google.com/g/2005\" xmlns:openSearch=\"http://a9.com/-/spec/opensearch/1.1/\"><id>https://www.googleapis.com/analytics/v2.4/management/accounts/~all/webproperties/~all/profiles</id><updated>2013-12-10T09:36:32.434Z</updated><title type=\"text\">Google Analytics Views (Profiles) for piniru1@gmail.com</title><link rel=\"self\" type=\"application/atom+xml\" href=\"https://www.googleapis.com/analytics/v2.4/management/accounts/~all/webproperties/~all/profiles\"/><author><name>Google Analytics</name></author><generator>Google Analytics</generator><openSearch:totalResults>2</openSearch:totalResults><openSearch:startIndex>1</openSearch:startIndex><openSearch:itemsPerPage>1000</openSearch:itemsPerPage><entry gd:kind=\"analytics#profile\"><id>https://www.googleapis.com/analytics/v2.4/management/accounts/16015133/webproperties/UA-16015133-1/profiles/31907069</id><updated>2010-05-08T08:12:27.606Z</updated><title type=\"text\">Google Analytics View (Profile) www.rubinstein-law.co.il</title><link rel=\"self\" type=\"application/atom+xml\" href=\"https://www.googleapis.com/analytics/v2.4/management/accounts/16015133/webproperties/UA-16015133-1/profiles/31907069\"/><link rel=\"http://schemas.google.com/ga/2009#parent\" type=\"application/atom+xml\" gd:targetKind=\"analytics#webproperty\" href=\"https://www.googleapis.com/analytics/v2.4/management/accounts/16015133/webproperties/UA-16015133-1\"/><link rel=\"http://schemas.google.com/ga/2009#child\" type=\"application/atom+xml\" gd:targetKind=\"analytics#goals\" href=\"https://www.googleapis.com/analytics/v2.4/management/accounts/16015133/webproperties/UA-16015133-1/profiles/31907069/goals\"/><dxp:property name=\"ga:accountId\" value=\"16015133\"/><dxp:property name=\"ga:webPropertyId\" value=\"UA-16015133-1\"/><dxp:property name=\"ga:profileName\" value=\"www.rubinstein-law.co.il\"/><dxp:property name=\"ga:profileId\" value=\"31907069\"/><dxp:property name=\"dxp:tableId\" value=\"ga:31907069\"/><dxp:property name=\"ga:currency\" value=\"USD\"/><dxp:property name=\"ga:timezone\" value=\"America/Los_Angeles\"/></entry><entry gd:kind=\"analytics#profile\"><id>https://www.googleapis.com/analytics/v2.4/management/accounts/46332023/webproperties/UA-46332023-1/profiles/79925439</id><updated>2013-12-10T09:35:34.590Z</updated><title type=\"text\">Google Analytics View (Profile) All Web Site Data</title><link rel=\"self\" type=\"application/atom+xml\" href=\"https://www.googleapis.com/analytics/v2.4/management/accounts/46332023/webproperties/UA-46332023-1/profiles/79925439\"/><link rel=\"http://schemas.google.com/ga/2009#parent\" type=\"application/atom+xml\" gd:targetKind=\"analytics#webproperty\" href=\"https://www.googleapis.com/analytics/v2.4/management/accounts/46332023/webproperties/UA-46332023-1\"/><link rel=\"http://schemas.google.com/ga/2009#child\" type=\"application/atom+xml\" gd:targetKind=\"analytics#goals\" href=\"https://www.googleapis.com/analytics/v2.4/management/accounts/46332023/webproperties/UA-46332023-1/profiles/79925439/goals\"/><dxp:property name=\"ga:accountId\" value=\"46332023\"/><dxp:property name=\"ga:webPropertyId\" value=\"UA-46332023-1\"/><dxp:property name=\"ga:profileName\" value=\"All Web Site Data\"/><dxp:property name=\"ga:profileId\" value=\"79925439\"/><dxp:property name=\"dxp:tableId\" value=\"ga:79925439\"/><dxp:property name=\"ga:currency\" value=\"USD\"/><dxp:property name=\"ga:timezone\" value=\"Asia/Jerusalem\"/></entry></feed>\";}}s:16:\"gajslocalhosting\";b:0;s:7:\"gajsurl\";s:0:\"\";s:16:\"ignore_userlevel\";s:2:\"11\";s:12:\"internallink\";s:0:\"\";s:17:\"internallinklabel\";s:0:\"\";s:16:\"outboundpageview\";b:0;s:17:\"downloadspageview\";b:0;s:17:\"othercrossdomains\";s:0:\"\";s:8:\"position\";s:6:\"header\";s:18:\"primarycrossdomain\";s:0:\"\";s:13:\"theme_updated\";b:0;s:16:\"trackcommentform\";b:1;s:16:\"trackcrossdomain\";b:0;s:12:\"trackadsense\";b:0;s:13:\"trackoutbound\";b:1;s:17:\"trackregistration\";b:0;s:14:\"rsslinktagging\";b:1;s:8:\"uastring\";s:13:\"UA-46332023-1\";s:7:\"version\";s:5:\"4.3.4\";s:10:\"gawp_oauth\";a:1:{s:12:\"access_token\";a:2:{s:11:\"oauth_token\";s:45:\"1/GkCkIwEG2eZsq7WWCQfxgTkhBGfe2RUEmTm6LV4zKec\";s:18:\"oauth_token_secret\";s:24:\"QXCOdJV_tWzwGuUU2KclckQs\";}}s:3:\"msg\";s:0:\"\";s:15:\"manual_uastring\";b:1;s:14:\"tracking_popup\";s:4:\"done\";s:14:\"yoast_tracking\";b:0;s:15:\"gfsubmiteventpv\";s:0:\"\";s:11:\"trackprefix\";s:0:\"\";s:13:\"admintracking\";b:0;s:11:\"taggfsubmit\";b:0;s:13:\"wpec_tracking\";b:0;s:14:\"shopp_tracking\";b:0;s:8:\"ga_token\";s:45:\"1/a7mRTFf9-oLkvAyrzZtq5PWwLMct_FpQnu31F0847NY\";}", "yes");
INSERT INTO `wp_options` VALUES("6358", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("6760", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:19:\"piniru@zahav.net.il\";s:7:\"version\";s:5:\"3.8.3\";s:9:\"timestamp\";i:1397542301;}", "yes");
INSERT INTO `wp_options` VALUES("6838", "jwl_options_group3", "a:1:{s:26:\"jwl_tinycolor_css_field_id\";a:1:{s:9:\"tinycolor\";s:7:\"Default\";}}", "yes");
INSERT INTO `wp_options` VALUES("6839", "jwl_options_group4", "a:2:{s:17:\"jwl_menu_location\";s:4:\"Main\";s:21:\"jwl_tinymce_user_role\";s:13:\"Administrator\";}", "yes");
INSERT INTO `wp_options` VALUES("6834", "duplicator_package_active", "s:1271:\"O:11:\"DUP_Package\":15:{s:2:\"ID\";N;s:4:\"Name\";s:12:\"2014aug_pini\";s:4:\"Hash\";N;s:8:\"NameHash\";N;s:7:\"Version\";s:5:\"0.5.0\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:51:\"/home3/arnonala/public_html/rublaw/wp-snapshots/tmp\";s:8:\"StoreURL\";s:33:\"http://ru-law.co.il/wp-snapshots/\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":15:{s:10:\"FilterDirs\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:34:\"/home3/arnonala/public_html/rublaw\";s:8:\"DirCount\";i:0;s:9:\"FileCount\";i:0;s:9:\"LinkCount\";i:0;s:4:\"Size\";i:0;s:11:\"BigFileList\";a:0:{}s:15:\"InvalidFileList\";a:0:{}s:10:\"\0*\0Package\";r:1;s:27:\"\0DUP_Archive\0filerDirsArray\";a:0:{}s:27:\"\0DUP_Archive\0filerExtsArray\";a:0:{}}s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSSLAdmin\";i:0;s:12:\"OptsSSLLogin\";i:0;s:11:\"OptsCacheWP\";i:0;s:13:\"OptsCachePath\";i:0;s:10:\"OptsURLNew\";s:0:\"\";s:10:\"\0*\0Package\";r:1;}s:8:\"Database\";O:12:\"DUP_Database\":9:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";N;}}\";", "yes");
INSERT INTO `wp_options` VALUES("6832", "duplicator_ui_view_state", "a:1:{s:14:\"dup-wpnotice01\";b:1;}", "yes");
INSERT INTO `wp_options` VALUES("8492", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:4:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:7:\"upgrade\";s:8:\"download\";s:65:\"https://downloads.wordpress.org/release/he_IL/wordpress-3.9.1.zip\";s:6:\"locale\";s:5:\"he_IL\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:65:\"https://downloads.wordpress.org/release/he_IL/wordpress-3.9.1.zip\";s:10:\"no_content\";b:0;s:11:\"new_bundled\";b:0;s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"3.9.1\";s:7:\"version\";s:5:\"3.9.1\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"3.8\";s:15:\"partial_version\";s:0:\"\";}i:1;O:8:\"stdClass\":10:{s:8:\"response\";s:7:\"upgrade\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-3.9.1.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-3.9.1.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-3.9.1-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-3.9.1-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"3.9.1\";s:7:\"version\";s:5:\"3.9.1\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"3.8\";s:15:\"partial_version\";s:0:\"\";}i:2;O:8:\"stdClass\":10:{s:8:\"response\";s:10:\"autoupdate\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-3.9.1.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-3.9.1.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-3.9.1-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-3.9.1-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"3.9.1\";s:7:\"version\";s:5:\"3.9.1\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"3.8\";s:15:\"partial_version\";s:0:\"\";}i:3;O:8:\"stdClass\":10:{s:8:\"response\";s:10:\"autoupdate\";s:8:\"download\";s:57:\"https://downloads.wordpress.org/release/wordpress-3.9.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:57:\"https://downloads.wordpress.org/release/wordpress-3.9.zip\";s:10:\"no_content\";b:0;s:11:\"new_bundled\";b:0;s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:3:\"3.9\";s:7:\"version\";s:3:\"3.9\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"3.8\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1407218247;s:15:\"version_checked\";s:5:\"3.8.3\";s:12:\"translations\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("8363", "_site_transient_timeout_browser_031a5f370ad4502c90f0f1a445bc6a1e", "1397674407", "yes");
INSERT INTO `wp_options` VALUES("8364", "_site_transient_browser_031a5f370ad4502c90f0f1a445bc6a1e", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"33.0.1750.154\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("8595", "_site_transient_timeout_browser_a105dda96d0e9092b9fd8fe644216135", "1398600431", "yes");
INSERT INTO `wp_options` VALUES("8596", "_site_transient_browser_a105dda96d0e9092b9fd8fe644216135", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"34.0.1847.116\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("10900", "_transient_timeout_feed_671be848bf783c9496225a09bd801bb4", "1407261403", "no");
INSERT INTO `wp_options` VALUES("10901", "_transient_feed_671be848bf783c9496225a09bd801bb4", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:51:\"\n	\n	\n	\n	\n	\n	\n		\n		\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WordPress | וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"http://he.wordpress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"מערכת אישית בקוד פתוח לניהול בלוגים עצמאיים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 25 May 2014 07:26:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"he-IL\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"http://wordpress.org/?v=4.0-beta2-20140804\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:51:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"וורדפרס 3.9.1 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"http://he.wordpress.org/2014/05/08/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-9-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"http://he.wordpress.org/2014/05/08/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-9-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 08 May 2014 20:55:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=704\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:610:\"וורדפרס 3.9.1 היא גרסת תחזוקה המטפלת ב-34 באגים שהתגלו מאז שחרור וורדפרס 3.9. הודעת השחרור של וורדפרס 3.9.1 באנגלית מידע נוסף על גרסה 3.9.1 באנגלית מידע נוסף על גרסת 3.9.1 בעברית הטיקטים שנסגרו ניתן להוריד את גרסה 3.9.1 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1234:\"<p>וורדפרס 3.9.1 היא גרסת תחזוקה המטפלת ב-34 באגים שהתגלו מאז שחרור וורדפרס 3.9.</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2014/05/wordpress-3-9-1/\" target=\"_blank\">הודעת השחרור של וורדפרס 3.9.1 באנגלית</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.9.1\" target=\"_blank\">מידע נוסף על גרסה 3.9.1 באנגלית</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2014/05/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9-1/\" target=\"_blank\">מידע נוסף על גרסת 3.9.1 בעברית</a></li>\n<li><a href=\"http://core.trac.wordpress.org/milestone/3.9.1\" target=\"_blank\">הטיקטים שנסגרו</a></li>\n</ul>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.9.1-he_IL.zip\" target=\"_blank\">להוריד את גרסה 3.9.1 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/trunk/wordpress-3.9.1-IIS-he_IL.zip\" target=\"_blank\">הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"http://he.wordpress.org/2014/05/08/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-9-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:54:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"וורדפרס 3.9 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:119:\"http://he.wordpress.org/2014/04/18/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-9-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:128:\"http://he.wordpress.org/2014/04/18/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-9-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 18 Apr 2014 10:10:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"ישראל\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=699\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:607:\"וורדפרס 3.9 היא הגרסה החדשה של וורדפרס. בגרסה זו שודרג ממשק המדיה והעורך הויזואלי, התווספה האפשרות להוספת פליליסט של וידאו ואודיו, התאמה אישית של וידג&#8217;טים ותמונות כותרת ועוד. ניתן להוריד את גרסה 3.9 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1388:\"<p>וורדפרס 3.9 היא הגרסה החדשה של וורדפרס. בגרסה זו שודרג ממשק המדיה והעורך הויזואלי, התווספה האפשרות להוספת פליליסט של וידאו ואודיו, התאמה אישית של וידג&#8217;טים ותמונות כותרת ועוד.</p>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.9-he_IL.zip\" target=\"_blank\">להוריד את גרסה 3.9 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/tags/3.9/wordpress-3.9-IIS-he_IL.zip\" target=\"_blank\">הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n<p>מידע נוסף על וורדפרס 3.9:</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2014/04/smith/\" target=\"_blank\">הודעת השחרור של WordPress 3.8</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.9\" target=\"_blank\">פירוט מלא של התכונות החדשות בוורדפרס 3.9 (באנגלית)</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9/\" target=\"_blank\">פירוט מלא של התכונות החדשות בוורדפרס 3.9 (בעברית)</a></li>\n</ul>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"http://he.wordpress.org/2014/04/18/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-9-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:51:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"וורדפרס 3.8.3 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"http://he.wordpress.org/2014/04/15/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-3-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"http://he.wordpress.org/2014/04/15/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-3-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 15 Apr 2014 00:00:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=693\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:605:\"וורדפרס 3.8.3 היא גרסת תחזוקה המטפלת באג שהגיע יחד עם וורדפרס 3.8.2. הודעת השחרור של וורדפרס 3.8.3 באנגלית מידע נוסף על גרסה 3.8.3 באנגלית מידע נוסף על גרסת 3.8.3 בעברית הטיקטים שנסגרו ניתן להוריד את גרסה 3.8.3 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1218:\"<p>וורדפרס 3.8.3 היא גרסת תחזוקה המטפלת באג שהגיע יחד עם וורדפרס 3.8.2.</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2014/04/wordpress-3-8-3/\" target=\"_blank\">הודעת השחרור של וורדפרס 3.8.3 באנגלית</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.8.3\" target=\"_blank\">מידע נוסף על גרסה 3.8.3 באנגלית</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-3/\" target=\"_blank\">מידע נוסף על גרסת 3.8.3 בעברית</a></li>\n<li><a href=\"http://core.trac.wordpress.org/milestone/3.8.3\" target=\"_blank\">הטיקטים שנסגרו</a></li>\n</ul>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.8.3-he_IL.zip\" target=\"_blank\">להוריד את גרסה 3.8.3 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/trunk/wordpress-3.8.3-IIS-he_IL.zip\" target=\"_blank\">הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"http://he.wordpress.org/2014/04/15/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-3-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:51:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"וורדפרס 3.8.2 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"http://he.wordpress.org/2014/04/08/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-2-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"http://he.wordpress.org/2014/04/08/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-2-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Apr 2014 22:03:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=686\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:618:\"וורדפרס 3.8.2 היא גרסת תחזוקה ואבטחה המטפלת ב-9 באגים ומספר סוגיות אבטחה. הודעת השחרור של וורדפרס 3.8.2 באנגלית מידע נוסף על גרסה 3.8.2 באנגלית מידע נוסף על גרסת 3.8.2 בעברית הטיקטים שנסגרו ניתן להוריד את גרסה 3.8.2 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1231:\"<p>וורדפרס 3.8.2 היא גרסת תחזוקה ואבטחה המטפלת ב-9 באגים ומספר סוגיות אבטחה.</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2014/04/wordpress-3-8-2/\" target=\"_blank\">הודעת השחרור של וורדפרס 3.8.2 באנגלית</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.8.2\" target=\"_blank\">מידע נוסף על גרסה 3.8.2 באנגלית</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-2/\" target=\"_blank\">מידע נוסף על גרסת 3.8.2 בעברית</a></li>\n<li><a href=\"http://core.trac.wordpress.org/milestone/3.8.2\" target=\"_blank\">הטיקטים שנסגרו</a></li>\n</ul>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.8.2-he_IL.zip\" target=\"_blank\">להוריד את גרסה 3.8.2 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/trunk/wordpress-3.8.2-IIS-he_IL.zip\" target=\"_blank\">הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"http://he.wordpress.org/2014/04/08/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-2-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:51:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"וורדפרס 3.8.1 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"http://he.wordpress.org/2014/01/24/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"http://he.wordpress.org/2014/01/24/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 Jan 2014 09:50:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=679\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:610:\"וורדפרס 3.8.1 היא גרסת תחזוקה המטפלת ב-31 באגים שהתגלו מאז שחרור וורדפרס 3.8. הודעת השחרור של וורדפרס 3.8.1 באנגלית מידע נוסף על גרסה 3.8.1 באנגלית מידע נוסף על גרסת 3.8.1 בעברית הטיקטים שנסגרו ניתן להוריד את גרסה 3.8.1 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1234:\"<p>וורדפרס 3.8.1 היא גרסת תחזוקה המטפלת ב-31 באגים שהתגלו מאז שחרור וורדפרס 3.8.</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2014/01/wordpress-3-8-1/\" target=\"_blank\">הודעת השחרור של וורדפרס 3.8.1 באנגלית</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.8.1\" target=\"_blank\">מידע נוסף על גרסה 3.8.1 באנגלית</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2014/01/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-1/\" target=\"_blank\">מידע נוסף על גרסת 3.8.1 בעברית</a></li>\n<li><a href=\"http://core.trac.wordpress.org/milestone/3.8.1\" target=\"_blank\">הטיקטים שנסגרו</a></li>\n</ul>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.8.1-he_IL.zip\" target=\"_blank\">להוריד את גרסה 3.8.1 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/trunk/wordpress-3.8.1-IIS-he_IL.zip\" target=\"_blank\">הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"http://he.wordpress.org/2014/01/24/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:54:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"וורדפרס 3.8 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:119:\"http://he.wordpress.org/2013/12/13/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:128:\"http://he.wordpress.org/2013/12/13/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 13 Dec 2013 16:39:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"ישראל\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=661\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:580:\"וורדפרס 3.8 היא הגרסה החדשה של וורדפרס. בגרסה זו שודרג ממשק המשתמש, עודכן לוח הבקרה, שופר ממשק הניווט בערכות העיצוב, הורחב ממשק הוידגטים והתווספה ערכת עיצוב חדשה &#8211; TwentyFourteen. ניתן להוריד את גרסה 3.8 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1382:\"<p>וורדפרס 3.8 היא הגרסה החדשה של וורדפרס. בגרסה זו שודרג ממשק המשתמש, עודכן לוח הבקרה, שופר ממשק הניווט בערכות העיצוב, הורחב ממשק הוידגטים והתווספה ערכת עיצוב חדשה &#8211; TwentyFourteen.</p>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.8-he_IL.zip\" target=\"_blank\">להוריד את גרסה 3.8 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/tags/3.8/wordpress-3.8-IIS-he_IL.zip\" target=\"_blank\">הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n<p>מידע נוסף על וורדפרס 3.8:</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2013/12/parker/\" target=\"_blank\">הודעת השחרור של WordPress 3.8</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.8\" target=\"_blank\">פירוט מלא של התכונות החדשות בוורדפרס 3.8 (באנגלית)</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2013/12/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8/\" target=\"_blank\">פירוט מלא של התכונות החדשות בוורדפרס 3.8 (בעברית)</a></li>\n</ul>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"http://he.wordpress.org/2013/12/13/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:51:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"וורדפרס 3.7.1 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"http://he.wordpress.org/2013/10/31/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-7-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"http://he.wordpress.org/2013/10/31/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-7-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 31 Oct 2013 10:29:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=659\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:610:\"וורדפרס 3.7.1 היא גרסת תחזוקה המטפלת ב-11 באגים שהתגלו מאז שחרור וורדפרס 3.7. הודעת השחרור של וורדפרס 3.7.1 באנגלית מידע נוסף על גרסה 3.7.1 באנגלית מידע נוסף על גרסת 3.7.1 בעברית הטיקטים שנסגרו ניתן להוריד את גרסה 3.7.1 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1239:\"<p>וורדפרס 3.7.1 היא גרסת תחזוקה המטפלת ב-11 באגים שהתגלו מאז שחרור וורדפרס 3.7.</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2013/10/wordpress-3-7-1/\" target=\"_blank\">הודעת השחרור של וורדפרס 3.7.1 באנגלית</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.7.1\" target=\"_blank\">מידע נוסף על גרסה 3.7.1 באנגלית</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2013/10/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-7-1/\" target=\"_blank\">מידע נוסף על גרסת 3.7.1 בעברית</a></li>\n<li><a href=\"http://core.trac.wordpress.org/milestone/3.7.1\" target=\"_blank\">הטיקטים שנסגרו</a></li>\n</ul>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.7.1-he_IL.zip\" target=\"_blank\">להוריד את גרסה 3.7.1 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/tags/3.6.1/wordpress-3.7.1-IIS-he_IL.zip\" target=\"_blank\">הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"http://he.wordpress.org/2013/10/31/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-7-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:54:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"וורדפרס 3.7 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:119:\"http://he.wordpress.org/2013/10/26/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-7-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:128:\"http://he.wordpress.org/2013/10/26/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-7-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 26 Oct 2013 19:25:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"ישראל\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=652\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:696:\"וורדפרס 3.7 היא הגרסה החדשה של וורדפרס. בגרסה זו נוסף מנגנון השדרוגים האוטומטיים, והוכנסו שיפורים במד-סיסמאות, תמיכה בגרסאות וורדפרס מקומיות ורלוונטיות תוצאות החיפוש. ניתן להוריד את גרסה 3.7 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג. מידע נוסף על וורדפרס 3.7: הודעת השחרור [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1403:\"<p>וורדפרס 3.7 היא הגרסה החדשה של וורדפרס. בגרסה זו נוסף מנגנון השדרוגים האוטומטיים, והוכנסו שיפורים במד-סיסמאות, תמיכה בגרסאות וורדפרס מקומיות ורלוונטיות תוצאות החיפוש.</p>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.7-he_IL.zip\" target=\"_blank\">להוריד את גרסה 3.7 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/tags/3.7/wordpress-3.7-IIS-he_IL.zip\" target=\"_blank\">הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n<p>מידע נוסף על וורדפרס 3.7:</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2013/10/basie/\" target=\"_blank\">הודעת השחרור של WordPress 3.7</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.7\" target=\"_blank\">פירוט מלא של התכונות החדשות בוורדפרס 3.7 (באנגלית)</a></li>\n<li><a title=\"וורדפרס 3.7\" href=\"http://www.wp-tricks.co.il/2013/10/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-7/\" target=\"_blank\">פירוט מלא של התכונות החדשות בוורדפרס 3.7 (בעברית)</a></li>\n</ul>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"http://he.wordpress.org/2013/10/26/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-7-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"וורדפרס 3.6.1 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"http://he.wordpress.org/2013/09/14/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-6-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"http://he.wordpress.org/2013/09/14/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-6-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 14 Sep 2013 11:51:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:10:\"אבטחה\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:21:\"עדכון אבטחה\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=646\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:613:\"וורדפרס 3.6.1 היא גרסת אבטחה ותחזוקה המטפלת ב-13 באגים וסוגיות אבטחה שהתגלו מאז שחרור וורדפרס 3.6. הודעת השחרור של וורדפרס 3.6.1 באנגלית מידע נוסף על גרסה 3.6.1 באנגלית מידע נוסף על גרסת 3.6.1 בעברית הטיקטים שנסגרו ניתן להוריד את גרסה 3.6.1 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1278:\"<p>וורדפרס 3.6.1 היא גרסת אבטחה ותחזוקה המטפלת ב-13 באגים וסוגיות אבטחה שהתגלו מאז שחרור וורדפרס 3.6.</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2013/09/wordpress-3-6-1/\" target=\"_blank\">הודעת השחרור של וורדפרס 3.6.1 באנגלית</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.6.1\" target=\"_blank\">מידע נוסף על גרסה 3.6.1 באנגלית</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2013/09/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-6-1/\" target=\"_blank\">מידע נוסף על גרסת 3.6.1 בעברית</a></li>\n<li><a href=\"http://core.trac.wordpress.org/milestone/3.6.1\" target=\"_blank\">הטיקטים שנסגרו</a></li>\n</ul>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.6.1-he_IL.zip\" target=\"_blank\">להוריד את גרסה 3.6.1 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/tags/3.6.1/wordpress-3.6.1-IIS-he_IL.zip\" target=\"_blank\">הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"http://he.wordpress.org/2013/09/14/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-6-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:54:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"וורדפרס 3.6 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:119:\"http://he.wordpress.org/2013/08/04/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-6-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:128:\"http://he.wordpress.org/2013/08/04/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-6-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 04 Aug 2013 20:16:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"ישראל\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=638\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:663:\"וורדפרס 3.6 היא הגרסה החדשה של וורדפרס. בגרסה זו שופר מנגנון ערכות העיצוב, שופר מנגנון תמונות הכותרת, צבעי הרקע וכיתוב התמונה. הביצועים באתרים גדולים שופרו והתרגום לשפות, כמו השפה העברית, הפכו למהירות יותר. ניתן להוריד את גרסה 3.6 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1471:\"<p>וורדפרס 3.6 היא הגרסה החדשה של וורדפרס. בגרסה זו שופר מנגנון ערכות העיצוב, שופר מנגנון תמונות הכותרת, צבעי הרקע וכיתוב התמונה. הביצועים באתרים גדולים שופרו והתרגום לשפות, כמו השפה העברית, הפכו למהירות יותר.</p>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.6-he_IL.zip\" target=\"_blank\">להוריד את גרסה 3.6 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/tags/3.6/wordpress-3.6-IIS-he_IL.zip\" target=\"_blank\">הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n<p>מידע נוסף על וורדפרס 3.6:</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2013/08/oscar/\" target=\"_blank\">הודעת השחרור של WordPress 3.6</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.6\" target=\"_blank\">פירוט מלא של התכונות החדשות בוורדפרס 3.6 (באנגלית)</a></li>\n<li><a title=\"וורדפרס 3.6\" href=\"http://www.wp-tricks.co.il/2013/08/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-6/\" target=\"_blank\">פירוט מלא של התכונות החדשות בוורדפרס 3.6 (בעברית)</a></li>\n</ul>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"http://he.wordpress.org/2013/08/04/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-6-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:29:\"http://he.wordpress.org/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Tue, 05 Aug 2014 05:56:43 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:10:\"connection\";s:5:\"close\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:10:\"x-pingback\";s:34:\"http://he.wordpress.org/xmlrpc.php\";s:13:\"last-modified\";s:29:\"Sun, 25 May 2014 07:26:23 GMT\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";}s:5:\"build\";s:14:\"20140105185047\";}", "no");
INSERT INTO `wp_options` VALUES("10902", "_transient_timeout_feed_mod_671be848bf783c9496225a09bd801bb4", "1407261403", "no");
INSERT INTO `wp_options` VALUES("9345", "_site_transient_timeout_browser_737f46a40394f7fb142f04cf52341754", "1401484631", "yes");
INSERT INTO `wp_options` VALUES("10904", "_transient_timeout_feed_db3c0122ec42f932b7ca02a2f9032e62", "1407261403", "no");
INSERT INTO `wp_options` VALUES("10905", "_transient_feed_db3c0122ec42f932b7ca02a2f9032e62", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:50:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"פלאנט וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"http://planet.mazhir.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"כותבים על וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 08 May 2014 20:55:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"he-IL\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"http://wordpress.org/?v=3.5.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:52:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"וורדפרס 3.9.1 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"http://he.wordpress.org/2014/05/08/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9-1-%D7%91%D7%A2%D7%91%D7%A8%D7%99%D7%AA/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"http://he.wordpress.org/2014/05/08/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9-1-%D7%91%D7%A2%D7%91%D7%A8%D7%99%D7%AA/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 08 May 2014 20:55:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=704\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1875:\"&#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.9.1 &#1492;&#1497;&#1488; &#1490;&#1512;&#1505;&#1514; &#1514;&#1495;&#1494;&#1493;&#1511;&#1492; &#1492;&#1502;&#1496;&#1508;&#1500;&#1514; &#1489;-34 &#1489;&#1488;&#1490;&#1497;&#1501; &#1513;&#1492;&#1514;&#1490;&#1500;&#1493; &#1502;&#1488;&#1494; &#1513;&#1495;&#1512;&#1493;&#1512; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.9. &#1492;&#1493;&#1491;&#1506;&#1514; &#1492;&#1513;&#1495;&#1512;&#1493;&#1512; &#1513;&#1500; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.9.1 &#1489;&#1488;&#1504;&#1490;&#1500;&#1497;&#1514; &#1502;&#1497;&#1491;&#1506; &#1504;&#1493;&#1505;&#1507; &#1506;&#1500; &#1490;&#1512;&#1505;&#1492; 3.9.1 &#1489;&#1488;&#1504;&#1490;&#1500;&#1497;&#1514; &#1502;&#1497;&#1491;&#1506; &#1504;&#1493;&#1505;&#1507; &#1506;&#1500; &#1490;&#1512;&#1505;&#1514; 3.9.1 &#1489;&#1506;&#1489;&#1512;&#1497;&#1514; &#1492;&#1496;&#1497;&#1511;&#1496;&#1497;&#1501; &#1513;&#1504;&#1505;&#1490;&#1512;&#1493; &#1504;&#1497;&#1514;&#1503;&#160;&#1500;&#1492;&#1493;&#1512;&#1497;&#1491; &#1488;&#1514; &#1490;&#1512;&#1505;&#1492; 3.9.1 &#1489;&#1506;&#1489;&#1512;&#1497;&#1514;&#160;&#1488;&#1493; &#1488;&#1514;&#160;&#1492;&#1490;&#1512;&#1505;&#1492; &#1500;&#1513;&#1512;&#1514;&#1497;&#160;IIS &#1513;&#1500; &#1502;&#1497;&#1511;&#1512;&#1493;&#1505;&#1493;&#1508;&#1496;. &#1500;&#1495;&#1500;&#1497;&#1508;&#1497;&#1503;, &#1504;&#1497;&#1514;&#1503;&#160;&#1500;&#1513;&#1491;&#1512;&#1490; &#1488;&#1514; &#1492;&#1502;&#1506;&#1512;&#1499;&#1514; &#1489;&#1510;&#1493;&#1512;&#1492; &#1488;&#1493;&#1496;&#1493;&#1502;&#1496;&#1497;&#1514; &#1491;&#1512;&#1498; &#1502;&#1502;&#1513;&#1511; &#1492;&#1504;&#1497;&#1492;&#1493;&#1500; &#1513;&#1500; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505;. &#1494;&#1497;&#1499;&#1512;&#1493; &#1500;&#1489;&#1510;&#1506; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:0:\"\";s:6:\"length\";s:0:\"\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1144:\"<p>וורדפרס 3.9.1 היא גרסת תחזוקה המטפלת ב-34 באגים שהתגלו מאז שחרור וורדפרס 3.9.</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2014/05/wordpress-3-9-1/\" >הודעת השחרור של וורדפרס 3.9.1 באנגלית</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.9.1\" >מידע נוסף על גרסה 3.9.1 באנגלית</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2014/05/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9-1/\" >מידע נוסף על גרסת 3.9.1 בעברית</a></li>\n<li><a href=\"http://core.trac.wordpress.org/milestone/3.9.1\" >הטיקטים שנסגרו</a></li>\n</ul>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.9.1-he_IL.zip\" >להוריד את גרסה 3.9.1 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/trunk/wordpress-3.9.1-IIS-he_IL.zip\" >הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"http://he.wordpress.org/2014/05/08/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-9-1-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:49:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\n		\n\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"וורדפרס 3.9.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"http://www.wp-tricks.co.il/2014/05/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"http://www.wp-tricks.co.il/2014/05/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9-1/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 08 May 2014 20:46:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:23:\"הודעות שחרור\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:20:\"וורדפרס 3.9.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"חדשות ועדכונים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"http://www.wp-tricks.co.il/?p=1903\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1386:\"&#1500;&#1502;&#1512;&#1493;&#1514; &#1513;&#1490;&#1512;&#1505;&#1492; 3.9 &#1495;&#1510;&#1514;&#1492; &#1488;&#1514; &#1512;&#1507; 9 &#1502;&#1497;&#1500;&#1497;&#1493;&#1503; &#1492;&#1492;&#1493;&#1512;&#1491;&#1493;&#1514;, &#1492;&#1497;&#1493; &#1492;&#1512;&#1489;&#1492; &#1514;&#1500;&#1493;&#1504;&#1493;&#1514; &#1506;&#1500; &#1490;&#1512;&#1505;&#1492; &#1494;&#1493;. &#1510;&#1493;&#1493;&#1514; &#1492;&#1508;&#1497;&#1514;&#1493;&#1495; &#1513;&#1511;&#1491; &#1513;&#1502;&#1513;&#1498; 3 &#1513;&#1489;&#1493;&#1506;&#1493;&#1514; &#1506;&#1500; &#1514;&#1497;&#1511;&#1493;&#1504;&#1497; &#1489;&#1488;&#1490;&#1497;&#1501;, &#1499;&#1491;&#1497; &#1513;&#1489;&#1490;&#1512;&#1505;&#1492; 3.9.1 &#1497;&#1514;&#1493;&#1511;&#1504;&#1493; &#1502;&#1512;&#1489;&#1497;&#1514; &#1492;&#1489;&#1506;&#1497;&#1493;&#1514; &#1489;&#1492;&#1503; &#1504;&#1514;&#1511;&#1500;&#1514;&#1501; &#1489;&#1513;&#1491;&#1512;&#1493;&#1490; &#1492;&#1488;&#1495;&#1512;&#1493;&#1503; &#1513;&#1500;&#1499;&#1501;. &#1497;&#1513; &#1500;&#1510;&#1497;&#1497;&#1503; &#1513;&#1502;&#1491;&#1493;&#1489;&#1512; &#1489;&#1490;&#1512;&#1505;&#1514; &#1514;&#1495;&#1494;&#1493;&#1511;&#1492;, &#1493;&#1500;&#1488; &#1490;&#1512;&#1505;&#1514; &#1488;&#1489;&#1496;&#1495;&#1492;, &#1500;&#1499;&#1503; &#1500;&#1488; &#1495;&#1493;&#1489;&#1492; &#1500;&#1513;&#1491;&#1512;&#1490;.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:88:\"http://www.wp-tricks.co.il/wp-content/uploads/2014/05/Screenshot-2014-05-08-23.47.00.png\";s:6:\"length\";s:0:\"\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"רמי\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:441:\"למרות שגרסה 3.9 חצתה את רף 9 מיליון ההורדות, היו הרבה תלונות על גרסה זו. צוות הפיתוח שקד שמשך 3 שבועות על תיקוני באגים, כדי שבגרסה 3.9.1 יתוקנו מרבית הבעיות בהן נתקלתם בשדרוג האחרון שלכם. יש לציין שמדובר בגרסת תחזוקה, ולא גרסת אבטחה, לכן לא חובה לשדרג.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"http://www.wp-tricks.co.il/2014/05/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-9-1/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:49:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\n		\n\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"אוטומטיק מגייסת 160 מיליון דולר\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:187:\"http://www.wp-tricks.co.il/2014/05/%D7%90%D7%95%D7%98%D7%95%D7%9E%D7%98%D7%99%D7%A7-%D7%9E%D7%92%D7%99%D7%99%D7%A1%D7%AA-160-%D7%9E%D7%99%D7%9C%D7%99%D7%95%D7%9F-%D7%93%D7%95%D7%9C%D7%A8/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:196:\"http://www.wp-tricks.co.il/2014/05/%D7%90%D7%95%D7%98%D7%95%D7%9E%D7%98%D7%99%D7%A7-%D7%9E%D7%92%D7%99%D7%99%D7%A1%D7%AA-160-%D7%9E%D7%99%D7%9C%D7%99%D7%95%D7%9F-%D7%93%D7%95%D7%9C%D7%A8/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 06 May 2014 20:22:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:16:\"אוטומטיק\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"גיוס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"חדשות ועדכונים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"http://www.wp-tricks.co.il/?p=1902\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1283:\"&#1495;&#1489;&#1512;&#1514; &#1488;&#1493;&#1496;&#1493;&#1502;&#1496;&#1497;&#1511;, &#1492;&#1506;&#1493;&#1502;&#1491;&#1514; &#1502;&#1488;&#1495;&#1493;&#1512;&#1497; &#1492;&#1508;&#1497;&#1514;&#1493;&#1495; &#1513;&#1500; &#1508;&#1500;&#1496;&#1508;&#1493;&#1512;&#1502;&#1514; &#1504;&#1497;&#1492;&#1493;&#1500; &#1492;&#1514;&#1493;&#1499;&#1503; &#1493;&#1492;&#1489;&#1500;&#1493;&#1490;&#1497;&#1501; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505;, &#1502;&#1490;&#1497;&#1497;&#1505;&#1514; 160 &#1502;&#1497;&#1500;&#1497;&#1493;&#1503; &#1491;&#1493;&#1500;&#1512; &#1489;- Series C round. &#1492;&#1490;&#1497;&#1493;&#1505; &#1502;&#1514;&#1489;&#1510;&#1506; &#1500;&#1508;&#1497; &#1513;&#1493;&#1493;&#1497; &#1495;&#1489;&#1512;&#1492; &#1489;&#1505;&#1498; 1.16 &#1502;&#1497;&#1500;&#1497;&#1488;&#1512;&#1491; &#1491;&#1493;&#1500;&#1512;, &#1493;&#1492;&#1499;&#1505;&#1507; &#1497;&#1513;&#1502;&#1513; &#1488;&#1514; &#1492;&#1495;&#1489;&#1512;&#1492; &#1500;&#1492;&#1512;&#1495;&#1489;&#1514; &#1513;&#1497;&#1512;&#1493;&#1514;&#1497;&#1492;, &#1492;&#1506;&#1502;&#1511;&#1514; &#1504;&#1514;&#1495; &#1513;&#1493;&#1511; &#1493;&#1492;&#1490;&#1491;&#1500;&#1514; &#1502;&#1510;&#1489;&#1514; &#1492;&#1506;&#1493;&#1489;&#1491;&#1497;&#1501;.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:95:\"http://www.wp-tricks.co.il/wp-content/uploads/2013/07/Matt_Mullenweg_State_of_the-Word_2013.png\";s:6:\"length\";s:0:\"\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"רמי\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:413:\"חברת אוטומטיק, העומדת מאחורי הפיתוח של פלטפורמת ניהול התוכן והבלוגים וורדפרס, מגייסת 160 מיליון דולר ב- Series C round. הגיוס מתבצע לפי שווי חברה בסך 1.16 מיליארד דולר, והכסף ישמש את החברה להרחבת שירותיה, העמקת נתח שוק והגדלת מצבת העובדים.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:192:\"http://www.wp-tricks.co.il/2014/05/%d7%90%d7%95%d7%98%d7%95%d7%9e%d7%98%d7%99%d7%a7-%d7%9e%d7%92%d7%99%d7%99%d7%a1%d7%aa-160-%d7%9e%d7%99%d7%9c%d7%99%d7%95%d7%9f-%d7%93%d7%95%d7%9c%d7%a8/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:43:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"וורדפרס 3.9\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 18 Apr 2014 16:18:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"חדשות ועדכונים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"http://www.wp-tricks.co.il/?p=1892\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1232:\"&#1500;&#1508;&#1504;&#1497; &#1497;&#1493;&#1502;&#1497;&#1497;&#1501; &#1513;&#1493;&#1495;&#1512;&#1512;&#1492; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.9 &#1506;&#1500; &#1513;&#1501; \"&#1490;\'&#1497;&#1502;&#1497; &#1505;&#1502;&#1497;&#1514;\", &#1493;&#1492;&#1497;&#1493;&#1501; &#1513;&#1493;&#1495;&#1512;&#1512;&#1492; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.9 &#1489;&#1506;&#1489;&#1512;&#1497;&#1514;. &#1489;&#1490;&#1512;&#1505;&#1492; &#1494;&#1493; &#1513;&#1493;&#1491;&#1512;&#1490; &#1502;&#1502;&#1513;&#1511; &#1492;&#1502;&#1491;&#1497;&#1492; &#1493;&#1492;&#1506;&#1493;&#1512;&#1498; &#1492;&#1493;&#1497;&#1494;&#1493;&#1488;&#1500;&#1497;, &#1492;&#1514;&#1493;&#1493;&#1505;&#1508;&#1492; &#1492;&#1488;&#1508;&#1513;&#1512;&#1493;&#1514; &#1500;&#1492;&#1493;&#1505;&#1508;&#1514; &#1508;&#1500;&#1497;&#1500;&#1497;&#1505;&#1496; &#1513;&#1500; &#1493;&#1497;&#1491;&#1488;&#1493; &#1493;&#1488;&#1493;&#1491;&#1497;&#1493;, &#1492;&#1514;&#1488;&#1502;&#1492; &#1488;&#1497;&#1513;&#1497;&#1514; &#1513;&#1500; &#1493;&#1497;&#1491;&#1490;&#8217;&#1496;&#1497;&#1501;, &#1514;&#1502;&#1493;&#1504;&#1493;&#1514; &#1499;&#1493;&#1514;&#1512;&#1514; &#1493;&#1506;&#1493;&#1491;.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:77:\"http://www.wp-tricks.co.il/wp-content/uploads/2014/04/wordpress_3.9_image.gif\";s:6:\"length\";s:0:\"\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"רמי\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:388:\"לפני יומיים שוחררה וורדפרס 3.9 על שם \"ג\'ימי סמית\", והיום שוחררה וורדפרס 3.9 בעברית. בגרסה זו שודרג ממשק המדיה והעורך הויזואלי, התווספה האפשרות להוספת פליליסט של וידאו ואודיו, התאמה אישית של וידג’טים, תמונות כותרת ועוד.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"http://www.wp-tricks.co.il/2014/04/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-9/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:55:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n		\n		\n				\n			\n		\n\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"וורדפרס 3.9 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:119:\"http://he.wordpress.org/2014/04/18/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9-%D7%91%D7%A2%D7%91%D7%A8%D7%99%D7%AA/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:128:\"http://he.wordpress.org/2014/04/18/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9-%D7%91%D7%A2%D7%91%D7%A8%D7%99%D7%AA/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 18 Apr 2014 10:10:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"ישראל\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=699\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1906:\"&#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.9 &#1492;&#1497;&#1488; &#1492;&#1490;&#1512;&#1505;&#1492; &#1492;&#1495;&#1491;&#1513;&#1492; &#1513;&#1500; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505;. &#1489;&#1490;&#1512;&#1505;&#1492; &#1494;&#1493; &#1513;&#1493;&#1491;&#1512;&#1490; &#1502;&#1502;&#1513;&#1511; &#1492;&#1502;&#1491;&#1497;&#1492;&#160;&#1493;&#1492;&#1506;&#1493;&#1512;&#1498; &#1492;&#1493;&#1497;&#1494;&#1493;&#1488;&#1500;&#1497;, &#1492;&#1514;&#1493;&#1493;&#1505;&#1508;&#1492; &#1492;&#1488;&#1508;&#1513;&#1512;&#1493;&#1514; &#1500;&#1492;&#1493;&#1505;&#1508;&#1514; &#1508;&#1500;&#1497;&#1500;&#1497;&#1505;&#1496; &#1513;&#1500; &#1493;&#1497;&#1491;&#1488;&#1493; &#1493;&#1488;&#1493;&#1491;&#1497;&#1493;, &#1492;&#1514;&#1488;&#1502;&#1492; &#1488;&#1497;&#1513;&#1497;&#1514; &#1513;&#1500; &#1493;&#1497;&#1491;&#1490;&#8217;&#1496;&#1497;&#1501; &#1493;&#1514;&#1502;&#1493;&#1504;&#1493;&#1514; &#1499;&#1493;&#1514;&#1512;&#1514; &#1493;&#1506;&#1493;&#1491;. &#1504;&#1497;&#1514;&#1503; &#1500;&#1492;&#1493;&#1512;&#1497;&#1491; &#1488;&#1514; &#1490;&#1512;&#1505;&#1492; 3.9 &#1489;&#1506;&#1489;&#1512;&#1497;&#1514; &#1488;&#1493; &#1488;&#1514; &#1492;&#1490;&#1512;&#1505;&#1492; &#1500;&#1513;&#1512;&#1514;&#1497; IIS &#1513;&#1500; &#1502;&#1497;&#1511;&#1512;&#1493;&#1505;&#1493;&#1508;&#1496;. &#1500;&#1495;&#1500;&#1497;&#1508;&#1497;&#1503;, &#1504;&#1497;&#1514;&#1503; &#1500;&#1513;&#1491;&#1512;&#1490; &#1488;&#1514; &#1492;&#1502;&#1506;&#1512;&#1499;&#1514; &#1489;&#1510;&#1493;&#1512;&#1492; &#1488;&#1493;&#1496;&#1493;&#1502;&#1496;&#1497;&#1514; &#1491;&#1512;&#1498; &#1502;&#1502;&#1513;&#1511; &#1492;&#1504;&#1497;&#1492;&#1493;&#1500; &#1513;&#1500; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505;. &#1494;&#1497;&#1499;&#1512;&#1493; &#1500;&#1489;&#1510;&#1506; &#1490;&#1497;&#1489;&#1493;&#1497; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:0:\"\";s:6:\"length\";s:0:\"\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1313:\"<p>וורדפרס 3.9 היא הגרסה החדשה של וורדפרס. בגרסה זו שודרג ממשק המדיה והעורך הויזואלי, התווספה האפשרות להוספת פליליסט של וידאו ואודיו, התאמה אישית של וידג&#8217;טים ותמונות כותרת ועוד.</p>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.9-he_IL.zip\" >להוריד את גרסה 3.9 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/tags/3.9/wordpress-3.9-IIS-he_IL.zip\" >הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n<p>מידע נוסף על וורדפרס 3.9:</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2014/04/smith/\" >הודעת השחרור של WordPress 3.8</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.9\" >פירוט מלא של התכונות החדשות בוורדפרס 3.9 (באנגלית)</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9/\" >פירוט מלא של התכונות החדשות בוורדפרס 3.9 (בעברית)</a></li>\n</ul>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"http://he.wordpress.org/2014/04/18/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-9-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:52:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"וורדפרס 3.8.3 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"http://he.wordpress.org/2014/04/15/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-3-%D7%91%D7%A2%D7%91%D7%A8%D7%99%D7%AA/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"http://he.wordpress.org/2014/04/15/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-3-%D7%91%D7%A2%D7%91%D7%A8%D7%99%D7%AA/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 15 Apr 2014 00:00:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=693\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1860:\"&#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.8.3 &#1492;&#1497;&#1488; &#1490;&#1512;&#1505;&#1514; &#1514;&#1495;&#1494;&#1493;&#1511;&#1492; &#1492;&#1502;&#1496;&#1508;&#1500;&#1514; &#1489;&#1488;&#1490; &#1513;&#1492;&#1490;&#1497;&#1506; &#1497;&#1495;&#1491; &#1506;&#1501; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.8.2. &#1492;&#1493;&#1491;&#1506;&#1514; &#1492;&#1513;&#1495;&#1512;&#1493;&#1512; &#1513;&#1500; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.8.3 &#1489;&#1488;&#1504;&#1490;&#1500;&#1497;&#1514; &#1502;&#1497;&#1491;&#1506; &#1504;&#1493;&#1505;&#1507; &#1506;&#1500; &#1490;&#1512;&#1505;&#1492; 3.8.3 &#1489;&#1488;&#1504;&#1490;&#1500;&#1497;&#1514; &#1502;&#1497;&#1491;&#1506; &#1504;&#1493;&#1505;&#1507; &#1506;&#1500; &#1490;&#1512;&#1505;&#1514; 3.8.3 &#1489;&#1506;&#1489;&#1512;&#1497;&#1514; &#1492;&#1496;&#1497;&#1511;&#1496;&#1497;&#1501; &#1513;&#1504;&#1505;&#1490;&#1512;&#1493; &#1504;&#1497;&#1514;&#1503;&#160;&#1500;&#1492;&#1493;&#1512;&#1497;&#1491; &#1488;&#1514; &#1490;&#1512;&#1505;&#1492; 3.8.3 &#1489;&#1506;&#1489;&#1512;&#1497;&#1514;&#160;&#1488;&#1493; &#1488;&#1514;&#160;&#1492;&#1490;&#1512;&#1505;&#1492; &#1500;&#1513;&#1512;&#1514;&#1497;&#160;IIS &#1513;&#1500; &#1502;&#1497;&#1511;&#1512;&#1493;&#1505;&#1493;&#1508;&#1496;. &#1500;&#1495;&#1500;&#1497;&#1508;&#1497;&#1503;, &#1504;&#1497;&#1514;&#1503;&#160;&#1500;&#1513;&#1491;&#1512;&#1490; &#1488;&#1514; &#1492;&#1502;&#1506;&#1512;&#1499;&#1514; &#1489;&#1510;&#1493;&#1512;&#1492; &#1488;&#1493;&#1496;&#1493;&#1502;&#1496;&#1497;&#1514; &#1491;&#1512;&#1498; &#1502;&#1502;&#1513;&#1511; &#1492;&#1504;&#1497;&#1492;&#1493;&#1500; &#1513;&#1500; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505;. &#1494;&#1497;&#1499;&#1512;&#1493; &#1500;&#1489;&#1510;&#1506; &#1490;&#1497;&#1489;&#1493;&#1497; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:0:\"\";s:6:\"length\";s:0:\"\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1128:\"<p>וורדפרס 3.8.3 היא גרסת תחזוקה המטפלת באג שהגיע יחד עם וורדפרס 3.8.2.</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2014/04/wordpress-3-8-3/\" >הודעת השחרור של וורדפרס 3.8.3 באנגלית</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.8.3\" >מידע נוסף על גרסה 3.8.3 באנגלית</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-3/\" >מידע נוסף על גרסת 3.8.3 בעברית</a></li>\n<li><a href=\"http://core.trac.wordpress.org/milestone/3.8.3\" >הטיקטים שנסגרו</a></li>\n</ul>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.8.3-he_IL.zip\" >להוריד את גרסה 3.8.3 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/trunk/wordpress-3.8.3-IIS-he_IL.zip\" >הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"http://he.wordpress.org/2014/04/15/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-3-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:52:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"וורדפרס 3.8.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-3/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 14 Apr 2014 22:00:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:23:\"הודעות שחרור\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:20:\"וורדפרס 3.7.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:20:\"וורדפרס 3.8.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:27:\"חדשות ועדכונים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"http://www.wp-tricks.co.il/?p=1888\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:497:\"&#1489;&#1502;&#1492;&#1500;&#1498; &#1506;&#1512;&#1489; &#1495;&#1490; &#1508;&#1505;&#1495;, &#1513;&#1493;&#1495;&#1512;&#1512;&#1492; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.8.3 &#1513;&#1492;&#1497;&#1488; &#1490;&#1512;&#1505;&#1514; &#1514;&#1495;&#1494;&#1493;&#1511;&#1492; &#1492;&#1502;&#1496;&#1508;&#1500;&#1514; &#1489;&#1489;&#1488;&#1490; &#1513;&#1492;&#1490;&#1497;&#1506; &#1497;&#1495;&#1491; &#1506;&#1501; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.8.2.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:65:\"http://www.wp-tricks.co.il/wp-content/uploads/2011/04/move-wp.jpg\";s:6:\"length\";s:0:\"\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"רמי\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:162:\"במהלך ערב חג פסח, שוחררה וורדפרס 3.8.3 שהיא גרסת תחזוקה המטפלת בבאג שהגיע יחד עם וורדפרס 3.8.2.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"http://www.wp-tricks.co.il/2014/04/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-3/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:52:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n		\n		\n				\n			\n		\n\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"וורדפרס 3.8.2 בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"http://he.wordpress.org/2014/04/08/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-2-%D7%91%D7%A2%D7%91%D7%A8%D7%99%D7%AA/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"http://he.wordpress.org/2014/04/08/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-2-%D7%91%D7%A2%D7%91%D7%A8%D7%99%D7%AA/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Apr 2014 22:03:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:14:\"וורדפרס\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:27:\"וורדפרס בעברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"עברית\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:14:\"שחרורים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"http://he.wordpress.org/?p=686\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1913:\"&#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.8.2 &#1492;&#1497;&#1488; &#1490;&#1512;&#1505;&#1514; &#1514;&#1495;&#1494;&#1493;&#1511;&#1492; &#1493;&#1488;&#1489;&#1496;&#1495;&#1492; &#1492;&#1502;&#1496;&#1508;&#1500;&#1514; &#1489;-9 &#1489;&#1488;&#1490;&#1497;&#1501; &#1493;&#1502;&#1505;&#1508;&#1512; &#1505;&#1493;&#1490;&#1497;&#1493;&#1514; &#1488;&#1489;&#1496;&#1495;&#1492;. &#1492;&#1493;&#1491;&#1506;&#1514; &#1492;&#1513;&#1495;&#1512;&#1493;&#1512; &#1513;&#1500; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; 3.8.2 &#1489;&#1488;&#1504;&#1490;&#1500;&#1497;&#1514; &#1502;&#1497;&#1491;&#1506; &#1504;&#1493;&#1505;&#1507; &#1506;&#1500; &#1490;&#1512;&#1505;&#1492; 3.8.2 &#1489;&#1488;&#1504;&#1490;&#1500;&#1497;&#1514; &#1502;&#1497;&#1491;&#1506; &#1504;&#1493;&#1505;&#1507; &#1506;&#1500; &#1490;&#1512;&#1505;&#1514; 3.8.2 &#1489;&#1506;&#1489;&#1512;&#1497;&#1514; &#1492;&#1496;&#1497;&#1511;&#1496;&#1497;&#1501; &#1513;&#1504;&#1505;&#1490;&#1512;&#1493; &#1504;&#1497;&#1514;&#1503;&#160;&#1500;&#1492;&#1493;&#1512;&#1497;&#1491; &#1488;&#1514; &#1490;&#1512;&#1505;&#1492; 3.8.2 &#1489;&#1506;&#1489;&#1512;&#1497;&#1514;&#160;&#1488;&#1493; &#1488;&#1514;&#160;&#1492;&#1490;&#1512;&#1505;&#1492; &#1500;&#1513;&#1512;&#1514;&#1497;&#160;IIS &#1513;&#1500; &#1502;&#1497;&#1511;&#1512;&#1493;&#1505;&#1493;&#1508;&#1496;. &#1500;&#1495;&#1500;&#1497;&#1508;&#1497;&#1503;, &#1504;&#1497;&#1514;&#1503;&#160;&#1500;&#1513;&#1491;&#1512;&#1490; &#1488;&#1514; &#1492;&#1502;&#1506;&#1512;&#1499;&#1514; &#1489;&#1510;&#1493;&#1512;&#1492; &#1488;&#1493;&#1496;&#1493;&#1502;&#1496;&#1497;&#1514; &#1491;&#1512;&#1498; &#1502;&#1502;&#1513;&#1511; &#1492;&#1504;&#1497;&#1492;&#1493;&#1500; &#1513;&#1500; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505;. &#1494;&#1497;&#1499;&#1512;&#1493; &#1500;&#1489;&#1510;&#1506; &#1490;&#1497;&#1489;&#1493;&#1497; [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:0:\"\";s:6:\"length\";s:0:\"\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Rami Yushuvaev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1141:\"<p>וורדפרס 3.8.2 היא גרסת תחזוקה ואבטחה המטפלת ב-9 באגים ומספר סוגיות אבטחה.</p>\n<ul>\n<li><a href=\"http://wordpress.org/news/2014/04/wordpress-3-8-2/\" >הודעת השחרור של וורדפרס 3.8.2 באנגלית</a></li>\n<li><a href=\"http://codex.wordpress.org/Version_3.8.2\" >מידע נוסף על גרסה 3.8.2 באנגלית</a></li>\n<li><a href=\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-2/\" >מידע נוסף על גרסת 3.8.2 בעברית</a></li>\n<li><a href=\"http://core.trac.wordpress.org/milestone/3.8.2\" >הטיקטים שנסגרו</a></li>\n</ul>\n<p>ניתן <a href=\"http://he.wordpress.org/wordpress-3.8.2-he_IL.zip\" >להוריד את גרסה 3.8.2 בעברית</a> או את <a href=\"http://he.wordpress.org/builds/he_IL/trunk/wordpress-3.8.2-IIS-he_IL.zip\" >הגרסה לשרתי IIS של מיקרוסופט</a>. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע גיבוי לפני ביצוע השדרוג.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"http://he.wordpress.org/2014/04/08/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-2-%d7%91%d7%a2%d7%91%d7%a8%d7%99%d7%aa/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:49:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\n		\n\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"וורדפרס 3.8.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"http://www.wp-tricks.co.il/2014/04/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-8-2/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Apr 2014 21:44:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:23:\"הודעות שחרור\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:20:\"וורדפרס 3.8.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"חדשות ועדכונים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"http://www.wp-tricks.co.il/?p=1880\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:830:\"&#1500;&#1508;&#1504;&#1497; &#1513;&#1506;&#1514;&#1497;&#1497;&#1501; &#1513;&#1493;&#1495;&#1512;&#1512;&#1492; &#1490;&#1512;&#1505;&#1492; 3.8.2 &#1513;&#1500; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; &#1493;&#1490;&#1512;&#1505;&#1492; 3.7.2. &#1502;&#1491;&#1493;&#1489;&#1512; &#1489;&#1490;&#1512;&#1505;&#1488;&#1493;&#1514; &#1488;&#1489;&#1496;&#1495;&#1492; &#1493;&#1514;&#1495;&#1494;&#1493;&#1511;&#1492; &#1492;&#1502;&#1496;&#1508;&#1500;&#1493;&#1514; &#1489;-9 &#1489;&#1488;&#1490;&#1497;&#1501; &#1513;&#1493;&#1504;&#1497;&#1501; &#1493;&#1502;&#1505;&#1508;&#1512; &#1505;&#1493;&#1490;&#1497;&#1493;&#1514; &#1488;&#1489;&#1496;&#1495;&#1492;, &#1500;&#1499;&#1503; &#1502;&#1493;&#1502;&#1500;&#1509; &#1500;&#1513;&#1491;&#1512;&#1490; &#1500;&#1500;&#1488; &#1491;&#1497;&#1495;&#1493;&#1497;.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:76:\"http://www.wp-tricks.co.il/wp-content/uploads/2009/12/wordpress_security.png\";s:6:\"length\";s:0:\"\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"רמי\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:265:\"לפני שעתיים שוחררה גרסה 3.8.2 של וורדפרס וגרסה 3.7.2. מדובר בגרסאות אבטחה ותחזוקה המטפלות ב-9 באגים שונים ומספר סוגיות אבטחה, לכן מומלץ לשדרג ללא דיחוי.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"http://www.wp-tricks.co.il/2014/04/%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1-3-8-2/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:46:\"\n		\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\n		\n\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"ספריית התוספים של וורדפרס חוצה את רף ה-30,000 תוספים!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:165:\"http://www.wp-tricks.co.il/2014/03/%D7%A9%D7%9C%D7%95%D7%A9%D7%99%D7%9D-%D7%90%D7%9C%D7%A3-%D7%AA%D7%95%D7%A1%D7%A4%D7%99-%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:174:\"http://www.wp-tricks.co.il/2014/03/%D7%A9%D7%9C%D7%95%D7%A9%D7%99%D7%9D-%D7%90%D7%9C%D7%A3-%D7%AA%D7%95%D7%A1%D7%A4%D7%99-%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 Mar 2014 16:46:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:27:\"חדשות ועדכונים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:12:\"תוספים\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"http://www.wp-tricks.co.il/?p=1873\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:562:\"&#1492;&#1497;&#1493;&#1501; &#1494;&#1492; &#1511;&#1512;&#1492;, &#1505;&#1508;&#1512;&#1497;&#1497;&#1514; &#1492;&#1514;&#1493;&#1505;&#1508;&#1497;&#1501; &#1513;&#1500; &#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; &#1495;&#1510;&#1514;&#1492; &#1488;&#1514; &#1512;&#1507; &#1492;-30 &#1488;&#1500;&#1507; &#1514;&#1493;&#1505;&#1508;&#1497;&#1501;! &#1488;&#1489;&#1503; &#1491;&#1512;&#1498; &#1502;&#1513;&#1502;&#1506;&#1493;&#1514;&#1497;&#1514; &#1500;&#1493;&#1493;&#1512;&#1491;&#1508;&#1512;&#1505; &#1499;&#1502;&#1506;&#1512;&#1499;&#1514;.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:65:\"http://www.wp-tricks.co.il/wp-content/uploads/2010/08/user_up.jpg\";s:6:\"length\";s:0:\"\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"רמי\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:177:\"היום זה קרה, ספריית התוספים של וורדפרס חצתה את רף ה-30 אלף תוספים! אבן דרך משמעותית לוורדפרס כמערכת.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:170:\"http://www.wp-tricks.co.il/2014/03/%d7%a9%d7%9c%d7%95%d7%a9%d7%99%d7%9d-%d7%90%d7%9c%d7%a3-%d7%aa%d7%95%d7%a1%d7%a4%d7%99-%d7%95%d7%95%d7%a8%d7%93%d7%a4%d7%a8%d7%a1/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:2:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";s:4:\"href\";s:39:\"http://feeds.feedburner.com/planetwpheb\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:3:\"rel\";s:3:\"hub\";s:4:\"href\";s:32:\"http://pubsubhubbub.appspot.com/\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:4:\"info\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:3:\"uri\";s:11:\"planetwpheb\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:10:{s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:4:\"etag\";s:27:\"hkJ1wQwFwJ8pJxOa2aTNrzUrNNo\";s:13:\"last-modified\";s:29:\"Tue, 05 Aug 2014 05:18:57 GMT\";s:4:\"date\";s:29:\"Tue, 05 Aug 2014 05:56:43 GMT\";s:7:\"expires\";s:29:\"Tue, 05 Aug 2014 05:56:43 GMT\";s:13:\"cache-control\";s:18:\"private, max-age=0\";s:22:\"x-content-type-options\";s:7:\"nosniff\";s:16:\"x-xss-protection\";s:13:\"1; mode=block\";s:6:\"server\";s:3:\"GSE\";s:18:\"alternate-protocol\";s:7:\"80:quic\";}s:5:\"build\";s:14:\"20140105185047\";}", "no");
INSERT INTO `wp_options` VALUES("10906", "_transient_timeout_feed_mod_db3c0122ec42f932b7ca02a2f9032e62", "1407261403", "no");
INSERT INTO `wp_options` VALUES("10907", "_transient_feed_mod_db3c0122ec42f932b7ca02a2f9032e62", "1407218203", "no");
INSERT INTO `wp_options` VALUES("9284", "_site_transient_timeout_browser_9a6fdb1686542e60272eb428c19dff9e", "1401299475", "yes");
INSERT INTO `wp_options` VALUES("9346", "_site_transient_browser_737f46a40394f7fb142f04cf52341754", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"35.0.1916.114\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("9285", "_site_transient_browser_9a6fdb1686542e60272eb428c19dff9e", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"34.0.1847.137\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("10908", "_transient_timeout_feed_b9388c83948825c1edaef0d856b7b109", "1407261404", "no");
INSERT INTO `wp_options` VALUES("10912", "_transient_timeout_plugin_slugs", "1407304668", "no");
INSERT INTO `wp_options` VALUES("10913", "_transient_plugin_slugs", "a:16:{i:0;s:19:\"akismet/akismet.php\";i:1;s:36:\"contact-form-7/wp-contact-form-7.php\";i:2;s:47:\"contact-form-7-widget/contact-form-7-widget.php\";i:3;s:56:\"customizable-search-widget/customizable-seach-widget.php\";i:4;s:35:\"display-widgets/display-widgets.php\";i:5;s:25:\"duplicator/duplicator.php\";i:6;s:30:\"facebook-like/facebooklike.php\";i:7;s:50:\"google-analytics-for-wordpress/googleanalytics.php\";i:8;s:9:\"hello.php\";i:9;s:56:\"jquery-vertical-accordion-menu/dcwp_jquery_accordion.php\";i:10;s:26:\"promotion-slider/index.php\";i:11;s:43:\"simple-image-widget/simple-image-widget.php\";i:12;s:25:\"ultimate-tinymce/main.php\";i:13;s:19:\"vslider/vslider.php\";i:14;s:29:\"widget-logic/widget_logic.php\";i:15;s:19:\"wptouch/wptouch.php\";}", "no");
INSERT INTO `wp_options` VALUES("10909", "_transient_feed_b9388c83948825c1edaef0d856b7b109", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n	\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n		\n				\n\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WordPress Plugins » View: Most Popular\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"http://wordpress.org/plugins/browse/popular/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WordPress Plugins » View: Most Popular\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 05 Aug 2014 05:30:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"http://bbpress.org/?v=1.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:15:{i:0;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Akismet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"http://wordpress.org/plugins/akismet/#post-15\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Mar 2007 22:11:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"15@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"Akismet checks your comments against the Akismet Web service to see if they look like spam or not.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Contact Form 7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"http://wordpress.org/plugins/contact-form-7/#post-2141\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Aug 2007 12:45:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2141@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Just another contact form plugin. Simple but flexible.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Takayuki Miyoshi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"Jetpack by WordPress.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"http://wordpress.org/plugins/jetpack/#post-23862\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 Jan 2011 02:21:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"23862@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"Supercharge your WordPress site with powerful features previously only available to WordPress.com users.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Tim Moore\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"All in One SEO Pack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://wordpress.org/plugins/all-in-one-seo-pack/#post-753\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 30 Mar 2007 20:08:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"753@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"All in One SEO Pack is a WordPress SEO plugin to automatically optimize your WordPress blog for Search Engines such as Google.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"uberdose\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"WordPress SEO by Yoast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"http://wordpress.org/plugins/wordpress-seo/#post-8321\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 01 Jan 2009 20:34:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"8321@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"Improve your WordPress SEO: Write better content and have a fully optimized WordPress site using the WordPress SEO plugin by Yoast.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Joost de Valk\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"MailPoet Newsletters\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.org/plugins/wysija-newsletters/#post-32629\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 02 Dec 2011 17:09:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"32629@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"Send newsletters, post notifications or autoresponders from WordPress easily, and beautifully.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"MailPoet Staff\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"NextGEN Gallery\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"http://wordpress.org/plugins/nextgen-gallery/#post-1169\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 23 Apr 2007 20:08:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"1169@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"The most popular WordPress gallery plugin and one of the most popular plugins of all time with over 10 million downloads.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Alex Rabe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"iThemes Security (formerly Better WP Security)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.org/plugins/better-wp-security/#post-21738\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 22 Oct 2010 22:06:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"21738@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"The easiest, most effective way to secure WordPress in seconds.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Chris Wiegman\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Google XML Sitemaps\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"http://wordpress.org/plugins/google-sitemap-generator/#post-132\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Mar 2007 22:31:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"132@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"This plugin will generate a special XML sitemap which will help search engines to better index your blog.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"arnee\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Wordfence Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"http://wordpress.org/plugins/wordfence/#post-29832\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 04 Sep 2011 03:13:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"29832@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:137:\"Wordfence Security is a free enterprise class security and performance plugin that makes your site up to 50 times faster and more secure.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Wordfence\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"WordPress Importer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"http://wordpress.org/plugins/wordpress-importer/#post-18101\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 May 2010 17:42:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"18101@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"Import posts, pages, comments, custom fields, categories, tags and more from a WordPress export file.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brian Colinger\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WooCommerce - excelling eCommerce\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"http://wordpress.org/plugins/woocommerce/#post-29860\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 05 Sep 2011 08:13:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"29860@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"WooCommerce is a powerful, extendable eCommerce plugin that helps you sell anything. Beautifully.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"WooThemes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Google Maps Ready!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://wordpress.org/plugins/google-maps-ready/#post-62478\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Jan 2014 10:47:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"62478@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:146:\"Display custom Google Maps. Set markers and locations with text, images, categories and links. Customize google map without any programming skills\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Google Maps plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Captcha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"http://wordpress.org/plugins/captcha/#post-26129\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 27 Apr 2011 05:53:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"26129@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"This plugin allows you to implement super security captcha form into web forms.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"bestwebsoft\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"Fast Secure Contact Form\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"http://wordpress.org/plugins/si-contact-form/#post-12636\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Aug 2009 01:20:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"12636@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"An easy and powerful form builder that lets your visitors send you email. Blocks all automated spammers. No templates to mess with.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mike Challis\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:45:\"http://wordpress.org/plugins/rss/view/popular\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:11:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Tue, 05 Aug 2014 05:56:44 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:10:\"connection\";s:5:\"close\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:7:\"expires\";s:29:\"Tue, 05 Aug 2014 06:05:03 GMT\";s:13:\"cache-control\";s:0:\"\";s:6:\"pragma\";s:0:\"\";s:13:\"last-modified\";s:31:\"Tue, 05 Aug 2014 05:30:03 +0000\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";}s:5:\"build\";s:14:\"20140105185047\";}", "no");
INSERT INTO `wp_options` VALUES("10910", "_transient_timeout_feed_mod_b9388c83948825c1edaef0d856b7b109", "1407261404", "no");
INSERT INTO `wp_options` VALUES("10911", "_transient_feed_mod_b9388c83948825c1edaef0d856b7b109", "1407218204", "no");
INSERT INTO `wp_options` VALUES("10903", "_transient_feed_mod_671be848bf783c9496225a09bd801bb4", "1407218203", "no");
INSERT INTO `wp_options` VALUES("10914", "_transient_timeout_dash_4077549d03da2e451c8b5f002294ff51", "1407261404", "no");
INSERT INTO `wp_options` VALUES("10915", "_transient_dash_4077549d03da2e451c8b5f002294ff51", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'http://he.wordpress.org/2014/05/08/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9-1-%D7%91%D7%A2%D7%91%D7%A8%D7%99%D7%AA/\' title=\'וורדפרס 3.9.1 היא גרסת תחזוקה המטפלת ב-34 באגים שהתגלו מאז שחרור וורדפרס 3.9. הודעת השחרור של וורדפרס 3.9.1 באנגלית מידע נוסף על גרסה 3.9.1 באנגלית מידע נוסף על גרסת 3.9.1 בעברית הטיקטים שנסגרו ניתן להוריד את גרסה 3.9.1 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע […]\'>וורדפרס 3.9.1 בעברית</a> <span class=\"rss-date\">8 במאי 2014</span><div class=\'rssSummary\'>וורדפרס 3.9.1 היא גרסת תחזוקה המטפלת ב-34 באגים שהתגלו מאז שחרור וורדפרס 3.9. הודעת השחרור של וורדפרס 3.9.1 באנגלית מידע נוסף על גרסה 3.9.1 באנגלית מידע נוסף על גרסת 3.9.1 בעברית הטיקטים שנסגרו ניתן להוריד את גרסה 3.9.1 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע […]</div></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'http://he.wordpress.org/2014/05/08/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9-1-%D7%91%D7%A2%D7%91%D7%A8%D7%99%D7%AA/\' title=\'וורדפרס 3.9.1 היא גרסת תחזוקה המטפלת ב-34 באגים שהתגלו מאז שחרור וורדפרס 3.9. הודעת השחרור של וורדפרס 3.9.1 באנגלית מידע נוסף על גרסה 3.9.1 באנגלית מידע נוסף על גרסת 3.9.1 בעברית הטיקטים שנסגרו ניתן להוריד את גרסה 3.9.1 בעברית או את הגרסה לשרתי IIS של מיקרוסופט. לחליפין, ניתן לשדרג את המערכת בצורה אוטומטית דרך ממשק הניהול של וורדפרס. זיכרו לבצע […]\'>וורדפרס 3.9.1 בעברית</a></li><li><a class=\'rsswidget\' href=\'http://www.wp-tricks.co.il/2014/05/%D7%95%D7%95%D7%A8%D7%93%D7%A4%D7%A8%D7%A1-3-9-1/\' title=\'למרות שגרסה 3.9 חצתה את רף 9 מיליון ההורדות, היו הרבה תלונות על גרסה זו. צוות הפיתוח שקד שמשך 3 שבועות על תיקוני באגים, כדי שבגרסה 3.9.1 יתוקנו מרבית הבעיות בהן נתקלתם בשדרוג האחרון שלכם. יש לציין שמדובר בגרסת תחזוקה, ולא גרסת אבטחה, לכן לא חובה לשדרג.\'>וורדפרס 3.9.1</a></li><li><a class=\'rsswidget\' href=\'http://www.wp-tricks.co.il/2014/05/%D7%90%D7%95%D7%98%D7%95%D7%9E%D7%98%D7%99%D7%A7-%D7%9E%D7%92%D7%99%D7%99%D7%A1%D7%AA-160-%D7%9E%D7%99%D7%9C%D7%99%D7%95%D7%9F-%D7%93%D7%95%D7%9C%D7%A8/\' title=\'חברת אוטומטיק, העומדת מאחורי הפיתוח של פלטפורמת ניהול התוכן והבלוגים וורדפרס, מגייסת 160 מיליון דולר ב- Series C round. הגיוס מתבצע לפי שווי חברה בסך 1.16 מיליארד דולר, והכסף ישמש את החברה להרחבת שירותיה, העמקת נתח שוק והגדלת מצבת העובדים.\'>אוטומטיק מגייסת 160 מיליון דולר</a></li></ul></div><div class=\"rss-widget\"><ul><li class=\'dashboard-news-plugin\'><span>תוספים פופולריים:</span> <a href=\'http://wordpress.org/plugins/woocommerce/\' class=\'dashboard-news-plugin-link\'>WooCommerce - excelling eCommerce</a></h5>&nbsp;<span>(<a href=\'plugin-install.php?tab=plugin-information&amp;plugin=woocommerce&amp;_wpnonce=18b96d84ce&amp;TB_iframe=true&amp;width=600&amp;height=800\' class=\'thickbox\' title=\'WooCommerce - excelling eCommerce\'>התקנה</a>)</span></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("8614", "can_compress_scripts", "0", "yes");
INSERT INTO `wp_options` VALUES("8895", "_site_transient_timeout_browser_eb32add8d008c3df92c77724094e9a6b", "1399805451", "yes");
INSERT INTO `wp_options` VALUES("8896", "_site_transient_browser_eb32add8d008c3df92c77724094e9a6b", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"34.0.1847.131\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("10896", "_site_transient_update_themes", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1407218262;s:7:\"checked\";a:6:{s:12:\"twentyeleven\";s:3:\"1.3\";s:14:\"twentyfourteen\";s:3:\"1.0\";s:9:\"twentyten\";s:3:\"1.3\";s:15:\"twentyten_child\";s:3:\"1.3\";s:14:\"twentythirteen\";s:3:\"1.1\";s:12:\"twentytwelve\";s:3:\"1.3\";}s:8:\"response\";a:5:{s:12:\"twentyeleven\";a:4:{s:5:\"theme\";s:12:\"twentyeleven\";s:11:\"new_version\";s:3:\"1.8\";s:3:\"url\";s:41:\"https://wordpress.org/themes/twentyeleven\";s:7:\"package\";s:58:\"https://wordpress.org/themes/download/twentyeleven.1.8.zip\";}s:14:\"twentyfourteen\";a:4:{s:5:\"theme\";s:14:\"twentyfourteen\";s:11:\"new_version\";s:3:\"1.1\";s:3:\"url\";s:43:\"https://wordpress.org/themes/twentyfourteen\";s:7:\"package\";s:60:\"https://wordpress.org/themes/download/twentyfourteen.1.1.zip\";}s:9:\"twentyten\";a:4:{s:5:\"theme\";s:9:\"twentyten\";s:11:\"new_version\";s:3:\"1.6\";s:3:\"url\";s:38:\"https://wordpress.org/themes/twentyten\";s:7:\"package\";s:55:\"https://wordpress.org/themes/download/twentyten.1.6.zip\";}s:14:\"twentythirteen\";a:4:{s:5:\"theme\";s:14:\"twentythirteen\";s:11:\"new_version\";s:3:\"1.2\";s:3:\"url\";s:43:\"https://wordpress.org/themes/twentythirteen\";s:7:\"package\";s:60:\"https://wordpress.org/themes/download/twentythirteen.1.2.zip\";}s:12:\"twentytwelve\";a:4:{s:5:\"theme\";s:12:\"twentytwelve\";s:11:\"new_version\";s:3:\"1.4\";s:3:\"url\";s:41:\"https://wordpress.org/themes/twentytwelve\";s:7:\"package\";s:58:\"https://wordpress.org/themes/download/twentytwelve.1.4.zip\";}}s:12:\"translations\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("10917", "_site_transient_update_plugins", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1407218263;s:7:\"checked\";a:16:{s:19:\"akismet/akismet.php\";s:5:\"3.0.1\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:3:\"3.6\";s:47:\"contact-form-7-widget/contact-form-7-widget.php\";s:3:\"1.0\";s:56:\"customizable-search-widget/customizable-seach-widget.php\";s:5:\"1.2.5\";s:35:\"display-widgets/display-widgets.php\";s:4:\"2.03\";s:25:\"duplicator/duplicator.php\";s:5:\"0.5.0\";s:30:\"facebook-like/facebooklike.php\";s:5:\"0.9.5\";s:50:\"google-analytics-for-wordpress/googleanalytics.php\";s:5:\"4.3.4\";s:9:\"hello.php\";s:3:\"1.6\";s:56:\"jquery-vertical-accordion-menu/dcwp_jquery_accordion.php\";s:5:\"3.1.2\";s:26:\"promotion-slider/index.php\";s:5:\"3.3.4\";s:43:\"simple-image-widget/simple-image-widget.php\";s:5:\"3.0.4\";s:25:\"ultimate-tinymce/main.php\";s:3:\"5.2\";s:19:\"vslider/vslider.php\";s:5:\"4.1.2\";s:29:\"widget-logic/widget_logic.php\";s:4:\"0.57\";s:19:\"wptouch/wptouch.php\";s:5:\"3.4.4\";}s:8:\"response\";a:5:{s:36:\"contact-form-7/wp-contact-form-7.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:3:\"790\";s:4:\"slug\";s:14:\"contact-form-7\";s:6:\"plugin\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:11:\"new_version\";s:5:\"3.9.1\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/contact-form-7/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/contact-form-7.3.9.1.zip\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"22600\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:5:\"0.5.6\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/duplicator.0.5.6.zip\";}s:50:\"google-analytics-for-wordpress/googleanalytics.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:3:\"965\";s:4:\"slug\";s:30:\"google-analytics-for-wordpress\";s:6:\"plugin\";s:50:\"google-analytics-for-wordpress/googleanalytics.php\";s:11:\"new_version\";s:5:\"4.3.5\";s:3:\"url\";s:61:\"https://wordpress.org/plugins/google-analytics-for-wordpress/\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/plugin/google-analytics-for-wordpress.4.3.5.zip\";}s:43:\"simple-image-widget/simple-image-widget.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:4:\"4504\";s:4:\"slug\";s:19:\"simple-image-widget\";s:6:\"plugin\";s:43:\"simple-image-widget/simple-image-widget.php\";s:11:\"new_version\";s:5:\"4.1.1\";s:3:\"url\";s:50:\"https://wordpress.org/plugins/simple-image-widget/\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/plugin/simple-image-widget.zip\";}s:25:\"ultimate-tinymce/main.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"27096\";s:4:\"slug\";s:16:\"ultimate-tinymce\";s:6:\"plugin\";s:25:\"ultimate-tinymce/main.php\";s:11:\"new_version\";s:3:\"5.3\";s:3:\"url\";s:47:\"https://wordpress.org/plugins/ultimate-tinymce/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/ultimate-tinymce.5.3.zip\";}}s:12:\"translations\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("9234", "_site_transient_timeout_browser_d6c6546ae86b37de15e3e7fd4e8b4667", "1401209574", "yes");
INSERT INTO `wp_options` VALUES("9235", "_site_transient_browser_d6c6546ae86b37de15e3e7fd4e8b4667", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"34.0.1847.137\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("10193", "_site_transient_timeout_browser_95d0083943ccc9d51de44d12ec4bf603", "1405098290", "yes");
INSERT INTO `wp_options` VALUES("10194", "_site_transient_browser_95d0083943ccc9d51de44d12ec4bf603", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"35.0.1916.153\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("10754", "_site_transient_timeout_browser_56567e76ba6327b29e3f2349bc614577", "1407416620", "yes");
INSERT INTO `wp_options` VALUES("10755", "_site_transient_browser_56567e76ba6327b29e3f2349bc614577", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"36.0.1985.125\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("10822", "_transient_is_multi_author", "0", "yes");
INSERT INTO `wp_options` VALUES("10804", "_site_transient_timeout_browser_7c593ba569d59ca34cabd211c4b37f4a", "1407507964", "yes");
INSERT INTO `wp_options` VALUES("10805", "_site_transient_browser_7c593ba569d59ca34cabd211c4b37f4a", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"36.0.1985.125\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("10898", "_site_transient_timeout_browser_34d7dfe1204a1f3a406d04c3911646db", "1407822999", "yes");
INSERT INTO `wp_options` VALUES("10899", "_site_transient_browser_34d7dfe1204a1f3a406d04c3911646db", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"36.0.1985.125\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("7", "6", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:3:\"293\";s:6:\"height\";s:3:\"157\";s:14:\"hwstring_small\";s:23:\"height=\'68\' width=\'128\'\";s:4:\"file\";s:21:\"2012/07/s-banner1.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:3:{s:4:\"file\";s:21:\"s-banner1-150x150.png\";s:5:\"width\";s:3:\"150\";s:6:\"height\";s:3:\"150\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("6", "6", "_wp_attached_file", "2012/07/s-banner1.png");
INSERT INTO `wp_postmeta` VALUES("8", "7", "_wp_attached_file", "2012/07/s-banner2.png");
INSERT INTO `wp_postmeta` VALUES("9", "7", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:3:\"293\";s:6:\"height\";s:3:\"157\";s:14:\"hwstring_small\";s:23:\"height=\'68\' width=\'128\'\";s:4:\"file\";s:21:\"2012/07/s-banner2.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:3:{s:4:\"file\";s:21:\"s-banner2-150x150.png\";s:5:\"width\";s:3:\"150\";s:6:\"height\";s:3:\"150\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("10", "8", "_wp_attached_file", "2012/07/s-banner3.png");
INSERT INTO `wp_postmeta` VALUES("11", "8", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:3:\"293\";s:6:\"height\";s:3:\"157\";s:14:\"hwstring_small\";s:23:\"height=\'68\' width=\'128\'\";s:4:\"file\";s:21:\"2012/07/s-banner3.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:3:{s:4:\"file\";s:21:\"s-banner3-150x150.png\";s:5:\"width\";s:3:\"150\";s:6:\"height\";s:3:\"150\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("422", "124", "_wp_attached_file", "2012/07/contact272.jpg");
INSERT INTO `wp_postmeta` VALUES("423", "124", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:3:\"272\";s:6:\"height\";s:3:\"259\";s:14:\"hwstring_small\";s:23:\"height=\'96\' width=\'100\'\";s:4:\"file\";s:22:\"2012/07/contact272.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:3:{s:4:\"file\";s:22:\"contact272-150x150.jpg\";s:5:\"width\";s:3:\"150\";s:6:\"height\";s:3:\"150\";}s:14:\"post-thumbnail\";a:3:{s:4:\"file\";s:22:\"contact272-272x198.jpg\";s:5:\"width\";s:3:\"272\";s:6:\"height\";s:3:\"198\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("336", "96", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("278", "56", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("279", "56", "_menu_item_object_id", "13");
INSERT INTO `wp_postmeta` VALUES("337", "98", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("280", "56", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("226", "46", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("225", "46", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("224", "46", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("223", "46", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("222", "46", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("338", "98", "_edit_lock", "1370499591:1");
INSERT INTO `wp_postmeta` VALUES("221", "46", "_menu_item_object_id", "1");
INSERT INTO `wp_postmeta` VALUES("220", "46", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("219", "46", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("339", "98", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("200", "43", "_wp_attachment_backup_sizes", "a:2:{s:9:\"full-orig\";a:3:{s:5:\"width\";s:3:\"256\";s:6:\"height\";s:3:\"256\";s:4:\"file\";s:10:\"Search.png\";}s:18:\"full-1342555368970\";a:3:{s:5:\"width\";s:2:\"20\";s:6:\"height\";s:2:\"20\";s:4:\"file\";s:25:\"Search-e1342524926223.png\";}}");
INSERT INTO `wp_postmeta` VALUES("281", "56", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("340", "100", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("341", "100", "_edit_lock", "1356512822:1");
INSERT INTO `wp_postmeta` VALUES("198", "43", "_wp_attached_file", "2012/07/Search-e1342555380319.png");
INSERT INTO `wp_postmeta` VALUES("199", "43", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:2:\"30\";s:6:\"height\";s:2:\"30\";s:14:\"hwstring_small\";s:22:\"height=\'30\' width=\'30\'\";s:4:\"file\";s:33:\"2012/07/Search-e1342555380319.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("342", "100", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("335", "96", "_edit_lock", "1395843470:1");
INSERT INTO `wp_postmeta` VALUES("334", "96", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("333", "94", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("332", "94", "_edit_lock", "1390477376:1");
INSERT INTO `wp_postmeta` VALUES("331", "94", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("329", "91", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("328", "91", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("327", "91", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("326", "91", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("325", "91", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("324", "91", "_menu_item_object_id", "88");
INSERT INTO `wp_postmeta` VALUES("323", "91", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("322", "91", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("319", "88", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("318", "88", "_edit_lock", "1397997064:1");
INSERT INTO `wp_postmeta` VALUES("317", "88", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("304", "74", "_edit_lock", "1348158410:1");
INSERT INTO `wp_postmeta` VALUES("303", "74", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("294", "64", "_edit_lock", "1348157963:1");
INSERT INTO `wp_postmeta` VALUES("293", "64", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("291", "61", "_edit_lock", "1342600549:1");
INSERT INTO `wp_postmeta` VALUES("290", "61", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("287", "57", "_edit_lock", "1342600490:1");
INSERT INTO `wp_postmeta` VALUES("286", "57", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("274", "52", "_edit_lock", "1342600446:1");
INSERT INTO `wp_postmeta` VALUES("277", "56", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("185", "40", "_wp_attached_file", "2012/07/send-btn.jpg");
INSERT INTO `wp_postmeta` VALUES("186", "40", "_wp_attachment_metadata", "a:5:{s:5:\"width\";s:2:\"71\";s:6:\"height\";s:2:\"27\";s:14:\"hwstring_small\";s:22:\"height=\'27\' width=\'71\'\";s:4:\"file\";s:20:\"2012/07/send-btn.jpg\";s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("634", "31", "_mail", "a:7:{s:7:\"subject\";s:14:\"[your-subject]\";s:6:\"sender\";s:26:\"[your-name] <[your-email]>\";s:4:\"body\";s:238:\"מאת: [your-name] <[your-email]>\nטלפון:  [text-620]\n\nתוכן ההודעה:\n[your-message]\n\n--\nדואר זה נשלח דרך טופס יצירת הקשר באתר - עו&quot;ד רובינשטיין http://techwebtesting.com/rublaw\";s:9:\"recipient\";s:17:\"info@ru-law.co.il\";s:18:\"additional_headers\";s:0:\"\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";b:0;}");
INSERT INTO `wp_postmeta` VALUES("282", "56", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("635", "31", "_mail_2", "a:8:{s:6:\"active\";b:0;s:7:\"subject\";s:14:\"[your-subject]\";s:6:\"sender\";s:26:\"[your-name] <[your-email]>\";s:4:\"body\";s:178:\"תוכן ההודעה:\n[your-message]\n\n--\nדואר זה נשלח דרך טופס יצירת הקשר באתר - עו&quot;ד רובינשטיין http://techwebtesting.com/rublaw\";s:9:\"recipient\";s:12:\"[your-email]\";s:18:\"additional_headers\";s:0:\"\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";b:0;}");
INSERT INTO `wp_postmeta` VALUES("636", "31", "_messages", "a:22:{s:12:\"mail_sent_ok\";s:149:\"<iframe src=\'http://ru-law.co.il/conversion-code.html\' width=\'1\' height=\'1\' frameborder=\'no\'></iframe>ההודעה נשלחה בהצלחה. תודה.\";s:12:\"mail_sent_ng\";s:122:\"שליחת ההודעה נכשלה. אנא נסה מאוחר יותר או פנה למנהל האתר בשיטה אחרת.\";s:16:\"validation_error\";s:74:\"אירעה תקלה. אנא בדוק את כל השדות ושלח שוב.\";s:12:\"accept_terms\";s:74:\"לא אישרת את התנאים, אנא אשר על מנת להמשיך.\";s:13:\"invalid_email\";s:61:\"כתובת הדואר האלקטרוני אינה תקינה.\";s:16:\"invalid_required\";s:44:\"נא למלא את כל שדות החובה.\";s:23:\"quiz_answer_not_correct\";s:33:\"התשובה אינה נכונה.\";s:17:\"akismet_says_spam\";s:122:\"שליחת ההודעה נכשלה. אנא נסה מאוחר יותר או פנה למנהל האתר בשיטה אחרת.\";s:17:\"captcha_not_match\";s:29:\"הקוד שהזנת שגוי.\";s:13:\"upload_failed\";s:33:\"טעינת הקובץ נכשלה.\";s:24:\"upload_file_type_invalid\";s:25:\"סוג קובץ אסור.\";s:21:\"upload_file_too_large\";s:27:\"הקובץ גדול מדי.\";s:23:\"upload_failed_php_error\";s:56:\"נכשלה טעינת הקובץ. אירעה שגיאה.\";s:4:\"spam\";s:122:\"שליחת ההודעה נכשלה. אנא נסה מאוחר יותר או פנה למנהל האתר בשיטה אחרת.\";s:14:\"invalid_number\";s:28:\"Number format seems invalid.\";s:16:\"number_too_small\";s:25:\"This number is too small.\";s:16:\"number_too_large\";s:25:\"This number is too large.\";s:11:\"invalid_url\";s:18:\"URL seems invalid.\";s:11:\"invalid_tel\";s:31:\"Telephone number seems invalid.\";s:12:\"invalid_date\";s:26:\"Date format seems invalid.\";s:14:\"date_too_early\";s:23:\"This date is too early.\";s:13:\"date_too_late\";s:22:\"This date is too late.\";}");
INSERT INTO `wp_postmeta` VALUES("637", "31", "_additional_settings", "");
INSERT INTO `wp_postmeta` VALUES("639", "429", "_mail", "a:7:{s:7:\"subject\";s:21:\"פנייה מהאתר\";s:6:\"sender\";s:26:\"[your-name] <[your-email]>\";s:4:\"body\";s:197:\"מאת: [your-name] <[your-email]>\n\nתוכן ההודעה:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on פ. רובינשטיין - משרד עורכי דין (http://ru-law.co.il)\";s:9:\"recipient\";s:25:\"carmit.mashiach@gmail.com\";s:18:\"additional_headers\";s:0:\"\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";b:0;}");
INSERT INTO `wp_postmeta` VALUES("640", "429", "_mail_2", "a:8:{s:6:\"active\";b:0;s:7:\"subject\";s:14:\"[your-subject]\";s:6:\"sender\";s:26:\"[your-name] <[your-email]>\";s:4:\"body\";s:161:\"תוכן ההודעה:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on פ. רובינשטיין - משרד עורכי דין (http://ru-law.co.il)\";s:9:\"recipient\";s:12:\"[your-email]\";s:18:\"additional_headers\";s:0:\"\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";b:0;}");
INSERT INTO `wp_postmeta` VALUES("641", "429", "_messages", "a:21:{s:12:\"mail_sent_ok\";s:149:\"<iframe src=\'http://ru-law.co.il/conversion-code.html\' width=\'1\' height=\'1\' frameborder=\'no\'></iframe>ההודעה נשלחה בהצלחה. תודה.\";s:12:\"mail_sent_ng\";s:122:\"שליחת ההודעה נכשלה. אנא נסה מאוחר יותר או פנה למנהל האתר בשיטה אחרת.\";s:16:\"validation_error\";s:74:\"אירעה תקלה. אנא בדוק את כל השדות ושלח שוב.\";s:4:\"spam\";s:122:\"שליחת ההודעה נכשלה. אנא נסה מאוחר יותר או פנה למנהל האתר בשיטה אחרת.\";s:12:\"accept_terms\";s:74:\"לא אישרת את התנאים, אנא אשר על מנת להמשיך.\";s:16:\"invalid_required\";s:44:\"נא למלא את כל שדות החובה.\";s:17:\"captcha_not_match\";s:29:\"הקוד שהזנת שגוי.\";s:14:\"invalid_number\";s:28:\"Number format seems invalid.\";s:16:\"number_too_small\";s:25:\"This number is too small.\";s:16:\"number_too_large\";s:25:\"This number is too large.\";s:13:\"invalid_email\";s:61:\"כתובת הדואר האלקטרוני אינה תקינה.\";s:11:\"invalid_url\";s:18:\"URL seems invalid.\";s:11:\"invalid_tel\";s:31:\"Telephone number seems invalid.\";s:23:\"quiz_answer_not_correct\";s:33:\"התשובה אינה נכונה.\";s:12:\"invalid_date\";s:26:\"Date format seems invalid.\";s:14:\"date_too_early\";s:23:\"This date is too early.\";s:13:\"date_too_late\";s:22:\"This date is too late.\";s:13:\"upload_failed\";s:33:\"טעינת הקובץ נכשלה.\";s:24:\"upload_file_type_invalid\";s:25:\"סוג קובץ אסור.\";s:21:\"upload_file_too_large\";s:27:\"הקובץ גדול מדי.\";s:23:\"upload_failed_php_error\";s:56:\"נכשלה טעינת הקובץ. אירעה שגיאה.\";}");
INSERT INTO `wp_postmeta` VALUES("638", "429", "_form", "<div id=\"contact-form\">\n    [text* your-name] \n    [text text-620] \n    [email* your-email] \n    [textarea your-message] \n[submit \" \"]\n</div>");
INSERT INTO `wp_postmeta` VALUES("273", "52", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("264", "51", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("265", "51", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("266", "51", "_menu_item_object_id", "51");
INSERT INTO `wp_postmeta` VALUES("267", "51", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("268", "51", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("269", "51", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("270", "51", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("271", "51", "_menu_item_url", "http://techwebtesting.com/rublaw/");
INSERT INTO `wp_postmeta` VALUES("283", "56", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("284", "56", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("343", "102", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("344", "102", "_edit_lock", "1379259542:1");
INSERT INTO `wp_postmeta` VALUES("345", "102", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("346", "104", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("347", "104", "_edit_lock", "1356512852:1");
INSERT INTO `wp_postmeta` VALUES("348", "104", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("349", "106", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("350", "106", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("351", "106", "_menu_item_object_id", "104");
INSERT INTO `wp_postmeta` VALUES("352", "106", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("353", "106", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("354", "106", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("355", "106", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("356", "106", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("403", "2", "_edit_lock", "1385461285:1");
INSERT INTO `wp_postmeta` VALUES("358", "107", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("359", "107", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("360", "107", "_menu_item_object_id", "102");
INSERT INTO `wp_postmeta` VALUES("361", "107", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("362", "107", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("363", "107", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("364", "107", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("365", "107", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("404", "2", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("367", "108", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("368", "108", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("369", "108", "_menu_item_object_id", "100");
INSERT INTO `wp_postmeta` VALUES("370", "108", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("371", "108", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("372", "108", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("373", "108", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("374", "108", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("405", "114", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("376", "109", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("377", "109", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("378", "109", "_menu_item_object_id", "98");
INSERT INTO `wp_postmeta` VALUES("379", "109", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("380", "109", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("381", "109", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("382", "109", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("383", "109", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("406", "114", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("385", "110", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("386", "110", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("387", "110", "_menu_item_object_id", "96");
INSERT INTO `wp_postmeta` VALUES("388", "110", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("389", "110", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("390", "110", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("391", "110", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("392", "110", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("407", "114", "_menu_item_object_id", "2");
INSERT INTO `wp_postmeta` VALUES("394", "111", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("395", "111", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("396", "111", "_menu_item_object_id", "94");
INSERT INTO `wp_postmeta` VALUES("397", "111", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("398", "111", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("399", "111", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("400", "111", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("401", "111", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("408", "114", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("409", "114", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("410", "114", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("411", "114", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("412", "114", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("443", "155", "_wp_attached_file", "2012/07/logo.jpg");
INSERT INTO `wp_postmeta` VALUES("444", "155", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:3:\"204\";s:6:\"height\";s:2:\"49\";s:14:\"hwstring_small\";s:23:\"height=\'30\' width=\'128\'\";s:4:\"file\";s:16:\"2012/07/logo.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:3:{s:4:\"file\";s:15:\"logo-150x49.jpg\";s:5:\"width\";s:3:\"150\";s:6:\"height\";s:2:\"49\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("501", "174", "_wp_attached_file", "2012/08/contact-detales.jpg");
INSERT INTO `wp_postmeta` VALUES("502", "174", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:3:\"272\";s:6:\"height\";s:3:\"106\";s:14:\"hwstring_small\";s:23:\"height=\'49\' width=\'128\'\";s:4:\"file\";s:27:\"2012/08/contact-detales.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:3:{s:4:\"file\";s:27:\"contact-detales-150x106.jpg\";s:5:\"width\";s:3:\"150\";s:6:\"height\";s:3:\"106\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("503", "175", "_wp_attached_file", "2012/08/contact-detales-hover.jpg");
INSERT INTO `wp_postmeta` VALUES("504", "175", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:3:\"162\";s:6:\"height\";s:2:\"20\";s:14:\"hwstring_small\";s:23:\"height=\'15\' width=\'128\'\";s:4:\"file\";s:33:\"2012/08/contact-detales-hover.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:3:{s:4:\"file\";s:32:\"contact-detales-hover-150x20.jpg\";s:5:\"width\";s:3:\"150\";s:6:\"height\";s:2:\"20\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("505", "177", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("506", "177", "_menu_item_menu_item_parent", "56");
INSERT INTO `wp_postmeta` VALUES("507", "177", "_menu_item_object_id", "16");
INSERT INTO `wp_postmeta` VALUES("508", "177", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("509", "177", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("510", "177", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("511", "177", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("512", "177", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("514", "178", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("515", "178", "_menu_item_menu_item_parent", "56");
INSERT INTO `wp_postmeta` VALUES("516", "178", "_menu_item_object_id", "17");
INSERT INTO `wp_postmeta` VALUES("517", "178", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("530", "179", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("518", "178", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("519", "178", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("520", "178", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("521", "178", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("523", "179", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("524", "179", "_menu_item_menu_item_parent", "56");
INSERT INTO `wp_postmeta` VALUES("525", "179", "_menu_item_object_id", "18");
INSERT INTO `wp_postmeta` VALUES("526", "179", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("527", "179", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("528", "179", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("529", "179", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("486", "169", "_wp_attached_file", "2012/08/banner1.jpg");
INSERT INTO `wp_postmeta` VALUES("487", "169", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:3:\"922\";s:6:\"height\";s:3:\"190\";s:14:\"hwstring_small\";s:23:\"height=\'26\' width=\'128\'\";s:4:\"file\";s:19:\"2012/08/banner1.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:3:{s:4:\"file\";s:19:\"banner1-150x150.jpg\";s:5:\"width\";s:3:\"150\";s:6:\"height\";s:3:\"150\";}s:6:\"medium\";a:3:{s:4:\"file\";s:18:\"banner1-300x61.jpg\";s:5:\"width\";s:3:\"300\";s:6:\"height\";s:2:\"61\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("488", "168", "_thumbnail_id", "169");
INSERT INTO `wp_postmeta` VALUES("489", "168", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("490", "168", "_edit_lock", "1344234931:1");
INSERT INTO `wp_postmeta` VALUES("491", "171", "_wp_attached_file", "2012/08/banner2.jpg");
INSERT INTO `wp_postmeta` VALUES("492", "171", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:3:\"922\";s:6:\"height\";s:3:\"190\";s:14:\"hwstring_small\";s:23:\"height=\'26\' width=\'128\'\";s:4:\"file\";s:19:\"2012/08/banner2.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:3:{s:4:\"file\";s:19:\"banner2-150x150.jpg\";s:5:\"width\";s:3:\"150\";s:6:\"height\";s:3:\"150\";}s:6:\"medium\";a:3:{s:4:\"file\";s:18:\"banner2-300x61.jpg\";s:5:\"width\";s:3:\"300\";s:6:\"height\";s:2:\"61\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("493", "170", "_thumbnail_id", "171");
INSERT INTO `wp_postmeta` VALUES("494", "170", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("495", "170", "_edit_lock", "1344235058:1");
INSERT INTO `wp_postmeta` VALUES("496", "173", "_wp_attached_file", "2012/08/banner3.jpg");
INSERT INTO `wp_postmeta` VALUES("497", "173", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:3:\"922\";s:6:\"height\";s:3:\"190\";s:14:\"hwstring_small\";s:23:\"height=\'26\' width=\'128\'\";s:4:\"file\";s:19:\"2012/08/banner3.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:3:{s:4:\"file\";s:19:\"banner3-150x150.jpg\";s:5:\"width\";s:3:\"150\";s:6:\"height\";s:3:\"150\";}s:6:\"medium\";a:3:{s:4:\"file\";s:18:\"banner3-300x61.jpg\";s:5:\"width\";s:3:\"300\";s:6:\"height\";s:2:\"61\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("498", "172", "_thumbnail_id", "173");
INSERT INTO `wp_postmeta` VALUES("499", "172", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("500", "172", "_edit_lock", "1370682285:1");
INSERT INTO `wp_postmeta` VALUES("532", "180", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("533", "180", "_menu_item_menu_item_parent", "56");
INSERT INTO `wp_postmeta` VALUES("534", "180", "_menu_item_object_id", "19");
INSERT INTO `wp_postmeta` VALUES("535", "180", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("536", "180", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("537", "180", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("538", "180", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("539", "180", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("541", "181", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("542", "181", "_menu_item_menu_item_parent", "56");
INSERT INTO `wp_postmeta` VALUES("543", "181", "_menu_item_object_id", "20");
INSERT INTO `wp_postmeta` VALUES("544", "181", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("545", "181", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("546", "181", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("547", "181", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("548", "181", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("556", "186", "_wp_attached_file", "2012/08/icon.jpg");
INSERT INTO `wp_postmeta` VALUES("557", "186", "_wp_attachment_metadata", "a:6:{s:5:\"width\";s:3:\"247\";s:6:\"height\";s:2:\"33\";s:14:\"hwstring_small\";s:23:\"height=\'17\' width=\'128\'\";s:4:\"file\";s:16:\"2012/08/icon.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:3:{s:4:\"file\";s:15:\"icon-150x33.jpg\";s:5:\"width\";s:3:\"150\";s:6:\"height\";s:2:\"33\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("563", "196", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("564", "196", "_edit_lock", "1384343669:1");
INSERT INTO `wp_postmeta` VALUES("573", "228", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("574", "228", "_edit_lock", "1399814210:1");
INSERT INTO `wp_postmeta` VALUES("578", "228", "_wp_old_slug", "%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94");
INSERT INTO `wp_postmeta` VALUES("580", "239", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("581", "239", "_edit_lock", "1370452739:1");
INSERT INTO `wp_postmeta` VALUES("599", "289", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("600", "289", "_edit_lock", "1404495586:1");
INSERT INTO `wp_postmeta` VALUES("615", "315", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("616", "315", "_edit_lock", "1350646407:1");
INSERT INTO `wp_postmeta` VALUES("629", "339", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("630", "339", "_edit_lock", "1391493108:1");
INSERT INTO `wp_postmeta` VALUES("631", "414", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("632", "414", "_edit_lock", "1390477413:1");
INSERT INTO `wp_postmeta` VALUES("633", "31", "_form", "<div id=\"contact-form\">\n    [text* your-name] \n    [text text-620] \n    [email* your-email] \n    [textarea your-message] \n[submit \" \"]\n</div>");
INSERT INTO `wp_postmeta` VALUES("642", "429", "_additional_settings", "");
INSERT INTO `wp_postmeta` VALUES("643", "429", "_locale", "he_IL");
INSERT INTO `wp_postmeta` VALUES("644", "452", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("645", "452", "_edit_lock", "1400879860:1");
INSERT INTO `wp_postmeta` VALUES("648", "463", "_wp_attached_file", "2012/10/סטטוסקופ.png");
INSERT INTO `wp_postmeta` VALUES("649", "463", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:294;s:6:\"height\";i:399;s:4:\"file\";s:28:\"2012/10/סטטוסקופ.png\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"סטטוסקופ-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:28:\"סטטוסקופ-221x300.png\";s:5:\"width\";i:221;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:28:\"סטטוסקופ-294x198.png\";s:5:\"width\";i:294;s:6:\"height\";i:198;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("650", "466", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("651", "466", "_edit_lock", "1406903090:1");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("2", "1", "2012-07-15 13:40:29", "2012-07-15 13:40:29", "<p style=\"text-align: justify;\"><strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\' הינו </strong><strong>\"משרד בוטיק\" מהמובילים בארץ, המתמחה בפתרונות משפטיים בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.</p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.</p>\r\n<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין</strong>\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\', <em><strong>בעיות משפטיות - הופכות לפתרונות מקצועיים!!!</strong></em></p>\r\n<p style=\"text-align: justify;\"><strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246250</strong></p>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "publish", "open", "open", "", "%d7%93%d7%a3-%d7%94%d7%91%d7%99%d7%aa", "", "", "2012-12-27 17:27:51", "2012-12-27 15:27:51", "", "0", "http://techwebtesting.com/rublaw/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("266", "1", "2012-10-09 11:43:11", "2012-10-09 09:43:11", "<strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong>\r\n<strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.\r\n<strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.\r\nמיסוי מקרקעין\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.\r\n<strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).\r\n<strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\',\r\nבעיות משפטיות - הופכות לפתרונות מקצועיים.\r\n<strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-9", "", "", "2012-10-09 11:43:11", "2012-10-09 09:43:11", "", "2", "http://ru-law.co.il/2-revision-9/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("113", "1", "2012-07-20 12:31:17", "2012-07-20 09:31:17", "דף הבית", "דף הבית", "", "inherit", "open", "open", "", "2-revision-2", "", "", "2012-07-20 12:31:17", "2012-07-20 09:31:17", "", "2", "http://techwebtesting.com/rublaw/2-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("114", "1", "2012-07-20 12:32:17", "2012-07-20 09:32:17", "", "דף הבית", "", "publish", "open", "open", "", "114", "", "", "2012-07-26 08:41:04", "2012-07-26 05:41:04", "", "0", "http://techwebtesting.com/rublaw/?p=114", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("115", "1", "2012-10-14 17:10:46", "2012-10-14 15:10:46", "<p style=\"text-align: justify;\"><strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\n<strong>משרד עורכי דין פ. רובינשטיין ושות\' הינו </strong><strong>\"משרד בוטיק\" מהמובילים בארץ, המתמחה בפתרונות משפטיים בתחומים הבאים:</strong></p>\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong>\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.</p>\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong>\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\nהשקע את כספך בחוכמה.</p>\n<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין</strong>\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\nליווי משפטי מקצועי יחסוך לך כסף רב.</p>\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong>\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).</p>\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בנייה</strong>\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\nאל תוותר על זכויותיך!\nבמשרד עורכי דין פ. רובינשטיין ושות\', <em><strong>בעיות משפטיות - הופכות לפתרונות מקצועיים</strong></em></p>\n<p style=\"text-align: justify;\"><strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-autosave", "", "", "2012-10-14 17:10:46", "2012-10-14 15:10:46", "", "2", "http://techwebtesting.com/rublaw/2-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("265", "1", "2012-09-20 16:58:11", "2012-09-20 13:58:11", "<p style=\"text-align: justify;\"><strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong></p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>קבל ייעוץ משפטי מקצועי!</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong></p>\r\n<p style=\"text-align: justify;\"><strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong></p>\r\n<p style=\"text-align: justify;\">כל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong></p>\r\n<p style=\"text-align: justify;\">במהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.</p>\r\n<p style=\"text-align: justify;\">השקע את כספך בחוכמה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין</strong></p>\r\n<p style=\"text-align: justify;\">בעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.</p>\r\n<p style=\"text-align: justify;\">ליווי משפטי מקצועי יחסוך לך כסף רב.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong></p>\r\n<p style=\"text-align: justify;\">האם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בנייה</strong></p>\r\n<p style=\"text-align: justify;\">הקבלן לא עמד בהבטחות? קיבלת נכס פגום?</p>\r\n<p style=\"text-align: justify;\">דליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.</p>\r\n<p style=\"text-align: justify;\">אל תוותר על זכויותיך!</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>במשרד עורכי דין פ. רובינשטיין ושות\',</strong></p>\r\n<p style=\"text-align: justify;\"><strong>בעיות משפטיות - הופכות לפתרונות מקצועיים.</strong></p>\r\n<p style=\"text-align: justify;\">אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</p>\r\n<p style=\"text-align: justify;\">ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</p>\r\n<p style=\"text-align: justify;\"><strong>לתיאום פגישה, התקשר עכשיו:</strong> <strong>03-6246248</strong></p>\r\n<p style=\"text-align: justify;\"> </p>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-8", "", "", "2012-09-20 16:58:11", "2012-09-20 13:58:11", "", "2", "http://ru-law.co.il/2-revision-8/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("116", "1", "2012-07-20 12:19:53", "2012-07-20 09:19:53", "אאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאא", "אודותינו", "", "inherit", "open", "open", "", "94-revision-2", "", "", "2012-07-20 12:19:53", "2012-07-20 09:19:53", "", "94", "http://techwebtesting.com/rublaw/94-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("7", "1", "2012-07-15 19:39:04", "2012-07-15 16:39:04", "", "s-banner2", "", "inherit", "open", "open", "", "s-banner2", "", "", "2012-07-15 19:39:04", "2012-07-15 16:39:04", "", "289", "http://techwebtesting.com/rublaw/wp-content/uploads/2012/07/s-banner2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("6", "1", "2012-07-15 19:23:15", "2012-07-15 16:23:15", "", "s-banner1", "", "inherit", "open", "open", "", "s-banner1", "", "", "2012-07-15 19:23:15", "2012-07-15 16:23:15", "", "0", "http://techwebtesting.com/rublaw/wp-content/uploads/2012/07/s-banner1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("8", "1", "2012-07-15 20:30:34", "2012-07-15 17:30:34", "", "s-banner3", "", "inherit", "open", "open", "", "s-banner3", "", "", "2012-07-15 20:30:34", "2012-07-15 17:30:34", "", "0", "http://techwebtesting.com/rublaw/wp-content/uploads/2012/07/s-banner3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("124", "1", "2012-07-22 12:02:32", "2012-07-22 09:02:32", "", "contact272", "", "inherit", "open", "open", "", "contact272", "", "", "2012-07-22 12:02:32", "2012-07-22 09:02:32", "", "0", "http://techwebtesting.com/rublaw/wp-content/uploads/2012/07/contact272.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("43", "1", "2012-07-17 14:35:05", "2012-07-17 11:35:05", "", "Search", "", "inherit", "open", "open", "", "search", "", "", "2012-07-17 14:35:05", "2012-07-17 11:35:05", "", "0", "http://techwebtesting.com/rublaw/wp-content/uploads/2012/07/Search.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("51", "1", "2012-07-18 08:13:56", "2012-07-18 05:13:56", "", "דף הבית", "", "publish", "open", "open", "", "%d7%93%d7%a3-%d7%94%d7%91%d7%99%d7%aa", "", "", "2012-07-18 08:13:56", "2012-07-18 05:13:56", "", "0", "http://techwebtesting.com/rublaw/?p=51", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("40", "1", "2012-07-17 11:53:04", "2012-07-17 08:53:04", "", "send-btn", "", "inherit", "open", "open", "", "send-btn", "", "", "2012-07-17 11:53:04", "2012-07-17 08:53:04", "", "0", "http://techwebtesting.com/rublaw/wp-content/uploads/2012/07/send-btn.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("46", "1", "2012-07-18 08:13:56", "2012-07-18 05:13:56", " ", "", "", "publish", "open", "open", "", "46", "", "", "2012-07-18 08:13:56", "2012-07-18 05:13:56", "", "0", "http://techwebtesting.com/rublaw/?p=46", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("57", "1", "2012-07-11 09:58:39", "2012-07-11 06:58:39", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\n&nbsp;\r\n\r\nפסיקת בתי הדין לעבודה הטילה הן על מעסיקים ציבוריים הן על מעסיקים דו-מהותיים והן על מעסיקים פרטיים את החובה להודיע לעובד מראש על הכוונה לפטרו, לנמק את הפיטורים ולקיים לעובד שימוע שבמסגרתו יוכל העובד להשמיע טענותיו בטרם תתקבל בעניינו החלטה העלולה לפגוע בהעסקתו ולהביא לפיטוריו.\r\n\r\nעל-פי הפסיקה, חובת השימוע קיימת גם במקרים של פיטורי צמצום וגם כאשר מדובר בעובד המועסק בחוזה לתקופה קצובה המתחדש מעת לעת (זאת רק במקרים שלעובד ציפייה לגיטימית שההתקשרות החוזית לא תסתיים מאליה).\r\n\r\nככלל, הסעד בגין הפרת זכות השימוע אינו בטלות הפיטורים והשבת העובד לעבודתו, אלא תשלום פיצויים.\r\n\r\nעל-פי הפסיקה, יש לבחון כל מקרה לגופו ורק בנסיבות מתאימות וחריגות ניתן יהא לבטל את הפיטורים ולאכוף יחסי עובד-מעביד.\r\n\r\nהסעד הראוי בכל מקרה ומקרה הינו בשיקול דעת בית הדין, אשר ייתן דעתו לסעד הראוי בשים לב לנסיבות המייחדות כל מקרה ספציפי, ובין היתר יידרש בית הדין לשיקולים כדלקמן:\r\n\r\n(א) מהותו וחומרתו של הפגם שנפל בהליך הפיטורים;\r\n\r\n(ב) סוג המשרה בה מדובר;\r\n\r\n(ג) השפעתו של הסעד שיינתן על העובד, על ההקשר התעשייתי והתעסוקתי, תוך מתן משקל להיבטים החוקיים והחוקתיים, ככל שאף הם באים בגדר העניין;\r\n\r\n(ד) במקרה המתאים יבדוק בית הדין אם נכון הוא לתקן עוול בעוול – ככל שעלול להגרם עוול למי מהצדדים המעורבים.", "זכות השימוע והסעד בגין פיטורים ללא שימוע", "", "publish", "open", "open", "", "%d7%96%d7%9b%d7%95%d7%aa-%d7%94%d7%a9%d7%99%d7%9e%d7%95%d7%a2-%d7%95%d7%94%d7%a1%d7%a2%d7%93-%d7%91%d7%92%d7%99%d7%9f-%d7%a4%d7%99%d7%98%d7%95%d7%a8%d7%99%d7%9d-%d7%9c%d7%9c%d7%90-%d7%a9%d7%99%d7%9e", "", "", "2012-07-18 11:36:28", "2012-07-18 08:36:28", "", "0", "http://techwebtesting.com/rublaw/?p=57", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("155", "1", "2012-07-26 12:07:13", "2012-07-26 09:07:13", "", "logo", "", "inherit", "open", "open", "", "logo", "", "", "2012-07-26 12:07:13", "2012-07-26 09:07:13", "", "0", "http://techwebtesting.com/rublaw/wp-content/uploads/2012/07/logo.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("31", "1", "2012-07-16 11:33:53", "2012-07-16 08:33:53", "<div id=\"contact-form\">\r\n    [text* your-name] \r\n    [text text-620] \r\n    [email* your-email] \r\n    [textarea your-message] \r\n[submit \" \"]\r\n</div>\n[your-subject]\n[your-name] <[your-email]>\nמאת: [your-name] <[your-email]>\r\nטלפון:  [text-620]\r\n\r\nתוכן ההודעה:\r\n[your-message]\r\n\r\n--\r\nדואר זה נשלח דרך טופס יצירת הקשר באתר - עו&quot;ד רובינשטיין http://techwebtesting.com/rublaw\ninfo@ru-law.co.il\n\n\n\n\n[your-subject]\n[your-name] <[your-email]>\nתוכן ההודעה:\r\n[your-message]\r\n\r\n--\r\nדואר זה נשלח דרך טופס יצירת הקשר באתר - עו&quot;ד רובינשטיין http://techwebtesting.com/rublaw\n[your-email]\n\n\n\n<iframe src=\'http://ru-law.co.il/conversion-code.html\' width=\'1\' height=\'1\' frameborder=\'no\'></iframe>ההודעה נשלחה בהצלחה. תודה.\nשליחת ההודעה נכשלה. אנא נסה מאוחר יותר או פנה למנהל האתר בשיטה אחרת.\nאירעה תקלה. אנא בדוק את כל השדות ושלח שוב.\nלא אישרת את התנאים, אנא אשר על מנת להמשיך.\nכתובת הדואר האלקטרוני אינה תקינה.\nנא למלא את כל שדות החובה.\nהתשובה אינה נכונה.\nשליחת ההודעה נכשלה. אנא נסה מאוחר יותר או פנה למנהל האתר בשיטה אחרת.\nהקוד שהזנת שגוי.\nטעינת הקובץ נכשלה.\nסוג קובץ אסור.\nהקובץ גדול מדי.\nנכשלה טעינת הקובץ. אירעה שגיאה.\nשליחת ההודעה נכשלה. אנא נסה מאוחר יותר או פנה למנהל האתר בשיטה אחרת.\nNumber format seems invalid.\nThis number is too small.\nThis number is too large.\nURL seems invalid.\nTelephone number seems invalid.\nDate format seems invalid.\nThis date is too early.\nThis date is too late.", "טופס יצירת קשר 1", "", "publish", "open", "open", "", "%d7%98%d7%95%d7%a4%d7%a1-%d7%99%d7%a6%d7%99%d7%a8%d7%aa-%d7%a7%d7%a9%d7%a8-1", "", "", "2014-01-06 10:57:44", "2014-01-06 08:57:44", "", "0", "http://techwebtesting.com/rublaw/?wpcf7_contact_form=%d7%98%d7%95%d7%a4%d7%a1-%d7%99%d7%a6%d7%99%d7%a8%d7%aa-%d7%a7%d7%a9%d7%a8-1", "0", "wpcf7_contact_form", "", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2012-07-10 09:41:47", "2012-07-10 06:41:47", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nלא יפטר מעביד עובדת שהיא בהריון וטרם יצאה לחופשת לידה אלא בהיתר מאת שר העבודה והרווחה, ולא יתיר השר פיטורי עובדת בהריון אם הפיטורים הם, לדעתו, בקשר להריון; הוראות סעיף קטן זה יחולו הן על עובדת בהריון שהיא עובדת קבועה והן על עובדת בהריון שהיא עובדת ארעית או זמנית ובלבד שהעובדת עבדה אצל אותו מעביד או באותו מקום עבודה ששה חדשים לפחות;\r\n\r\n\"פיטורים\" - לרבות אי-חידוש חוזה עבודה לתקופה קצובה שהוא אחד מאלה:\r\n\r\n(1) חוזה עבודה לתקופה קצובה של שנים עשר חודשים או יותר;\r\n\r\n(2) חוזה עבודה לתקופה קצובה הפחותה משנים עשר חודשים, שהאריך או שחידש העסקה קודמת שהיתה סמוך לפני תחילת תוקפו של החוזה;\r\n\r\nהיה המעביד קבלן כוח אדם והעובדת הועסקה אצלו בפועל במשך שישה חודשים לפחות יראו גם הפסקה זמנית של העסקתה כפיטורים;\r\n\r\nלעניין עובדת של קבלן כוח אדם המועסקת אצל מעסיק בפועל במשך שישה חודשים לפחות, יחולו הוראות אלה:\r\n\r\n(א) לא יגרום מעסיק בפועל לכך שקבלן כוח אדם יפטר עובדת בהריון בניגוד להוראות שלעיל ולהלן;\r\n\r\n(ב) פוטרה עובדת בהריון בניגוד להוראות שלעיל ולהלן, חזקה היא שהמעסיק בפועל הוא שגרם לפיטורים, אלא אם כן הוכיח אחרת;\r\n\r\n(ג) בקשה להיתר לפיטורי עובדת בהריון תוגש הן בידי המעסיק בפועל והן בידי קבלן כוח האדם.\r\n\r\nלא יפטר מעביד עובדת או עובד בחופשת לידה ובמשך תקופה של 60 ימים לאחר תום חופשת הלידה, ולא ייתן הודעת פיטורים למועד החל בתקופה הנ\"ל, אלא בהיתר מאת שר התעשיה המסחר והתעסוקה; השר לא יתיר פיטורים בתקופה הנ\"ל אלא אם כן שוכנע כי מתקיימים כל אלה:\r\n\r\n(א) הפיטורים אינם בקשר ללידה, לחופשת הלידה או להיעדרות כאמור;\r\n\r\n(ב) עסקו של המעביד חדל לפעול או שהמעביד הוכרז כפושט רגל, ואם הוא תאגיד - ניתן צו פירוק;\r\n\r\nאיסור פגיעה בהיקף משרה או בהכנסה בתקופת איסור הפיטורים:\r\n\r\nלא יפגע מעביד בהיקף המשרה או בהכנסה של עובדת או עובד שחלה הגבלה על פיטוריהם כאמור לעיל, בתקופה שבה חלה ההגבלה הנ\"ל, אלא בהיתר מאת שר התעשיה המסחר והתעסוקה, ולא יתיר השר פגיעה כאמור אם היא לדעתו בקשר לעילה שבשלה חלה אותה הגבלה.\r\n\r\n\"פגיעה\", בהיקף המשרה - למעט שינוי זמני בהיקף המשרה לפי בקשה שיזמו העובדת או העובד בשל מצבם הרפואי לפי אישור בכתב מאת רופא;\r\n\r\n\"פגיעה\", בהכנסה, למעט:\r\n\r\n(1) פגיעה בהכנסה החלה במקום העבודה מכוח דין או הסכם קיבוצי;\r\n\r\n(2) פגיעה ברכיב השכר המשולם לעובדת או לעובד בהתאם לתפוקת עבודתם ובלבד שהפגיעה בתפוקתם של העובדת או העובד לא נגרמה מסיבות התלויות במעביד.\r\n\r\nהמידע המוצג במאמר הנו מידע כללי בלבד, ואין בו כדי להוות ייעוץ ו/או חוות דעת משפטית. המחבר אינו נושא באחריות כלשהי כלפי הקוראים, ואלה נדרשים לקבל עצה מקצועית לפני כל פעולה המסתמכת על הדברים האמורים.\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום דיני עבודה ויחסי עובד-מעביד, ובפרט בתחום עבודת נשים, פיטורים בזמן הריון, הרעת תנאים בזמן הריון ו/או בשל ההריוןן, הפליה בשל הריון, פיטורים בחופשת לידה, פיטורים אחרי חופשת לידה, הרעת תנאים אחרי חופשת לידה ועוד.\r\n\r\nמשרדנו משרדנו מייצג נשים רבות אשר נפלו קורבן להפליה על רקע הריון ו/או לידה, ומסייע לנשים אלו במיצוי ואכיפת זכויותיהן וכן בקבלת פיצויים בגין התנהגות המעביד.\r\n\r\nאל תהיי גם את קורבן להתנהגות קלוקלת ומפלה של מעסיקך. פני אלינו עוד היום לקבלת ייעוץ ולסיוע במיצוי ובאכיפת זכויותיך החוקיות !!!", "פיטורים בהריון, בחופשת לידה או לאחר חופשת לידה – איסור/הגבלת פיטורים", "", "publish", "open", "open", "", "%d7%a4%d7%99%d7%98%d7%95%d7%a8%d7%99%d7%9d-%d7%91%d7%94%d7%a8%d7%99%d7%95%d7%9f-%d7%91%d7%97%d7%95%d7%a4%d7%a9%d7%aa-%d7%9c%d7%99%d7%93%d7%94-%d7%90%d7%95-%d7%9c%d7%90%d7%97%d7%a8-%d7%97%d7%95%d7%a4", "", "", "2012-07-18 11:35:51", "2012-07-18 08:35:51", "", "0", "http://techwebtesting.com/rublaw/?p=52", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("58", "1", "2012-07-18 09:58:24", "2012-07-18 06:58:24", "מאת: פיני רובינשטיין, עו\"ד\n\n&nbsp;\n\nפסיקת בתי הדין לעבודה הטילה הן על מעסיקים ציבוריים הן על מעסיקים דו-מהותיים והן על מעסיקים פרטיים את החובה להודיע לעובד מראש על הכוונה לפטרו, לנמק את הפיטורים ולקיים לעובד שימוע שבמסגרתו יוכל העובד להשמיע טענותיו בטרם תתקבל בעניינו החלטה העלולה לפגוע בהעסקתו ולהביא לפיטוריו.\n\nעל-פי הפסיקה, חובת השימוע קיימת גם במקרים של פיטורי צמצום וגם כאשר מדובר בעובד המועסק בחוזה לתקופה קצובה המתחדש מעת לעת (זאת רק במקרים שלעובד ציפייה לגיטימית שההתקשרות החוזית לא תסתיים מאליה).\n\nככלל, הסעד בגין הפרת זכות השימוע אינו בטלות הפיטורים והשבת העובד לעבודתו, אלא תשלום פיצויים.\n\nעל-פי הפסיקה, יש לבחון כל מקרה לגופו ורק בנסיבות מתאימות וחריגות ניתן יהא לבטל את הפיטורים ולאכוף יחסי עובד-מעביד.\n\nהסעד הראוי בכל מקרה ומקרה הינו בשיקול דעת בית הדין, אשר ייתן דעתו לסעד הראוי בשים לב לנסיבות המייחדות כל מקרה ספציפי, ובין היתר יידרש בית הדין לשיקולים כדלקמן:\n\n(א) מהותו וחומרתו של הפגם שנפל בהליך הפיטורים;\n\n(ב) סוג המשרה בה מדובר;\n\n(ג) השפעתו של הסעד שיינתן על העובד, על ההקשר התעשייתי והתעסוקתי, תוך מתן משקל להיבטים החוקיים והחוקתיים, ככל שאף הם באים בגדר העניין;\n\n&nbsp;\n\n(ד) במקרה המתאים יבדוק בית הדין אם נכון הוא לתקן עוול בעוול – ככל שעלול להגרם עוול למי מהצדדים המעורבים;", "זכות השימוע והסעד בגין פיטורים ללא שימוע", "", "inherit", "open", "open", "", "57-revision", "", "", "2012-07-18 09:58:24", "2012-07-18 06:58:24", "", "57", "http://techwebtesting.com/rublaw/57-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("53", "1", "2012-07-18 09:41:33", "2012-07-18 06:41:33", "<div dir=\"rtl\" align=\"center\">מאת: פיני רובינשטיין, עו\"ד</div>\n<div dir=\"rtl\"></div>\n<div dir=\"rtl\"></div>\n<div dir=\"rtl\" align=\"justify\">לא יפטר מעביד עובדת שהיא בהריון וטרם יצאה לחופשת לידה אלא בהיתר מאת שר העבודה והרווחה, ולא יתיר השר פיטורי עובדת בהריון אם הפיטורים הם, לדעתו, בקשר להריון; הוראות סעיף קטן זה יחולו הן על עובדת בהריון שהיא עובדת קבועה והן על עובדת בהריון שהיא עובדת ארעית או זמנית <strong><span style=\"text-decoration: underline;\">ובלבד שהעובדת עבדה אצל אותו מעביד או באותו מקום עבודה ששה חדשים לפחות</span></strong>;</div>\n<div dir=\"rtl\" align=\"justify\"></div>\n<div dir=\"rtl\" align=\"justify\">\"<strong>פיטורים</strong>\" - לרבות אי-חידוש חוזה עבודה לתקופה קצובה שהוא אחד מאלה:</div>\n<div dir=\"rtl\" align=\"justify\"></div>\n<div dir=\"rtl\" align=\"justify\">(1) חוזה עבודה לתקופה קצובה של שנים עשר חודשים או יותר;</div>\n<div dir=\"rtl\" align=\"justify\">(2) חוזה עבודה לתקופה קצובה הפחותה משנים עשר חודשים, שהאריך או שחידש העסקה קודמת שהיתה סמוך לפני תחילת תוקפו של החוזה;</div>\n<div dir=\"rtl\" align=\"justify\"></div>\n<div dir=\"rtl\" align=\"justify\">היה המעביד קבלן כוח אדם והעובדת הועסקה אצלו בפועל במשך שישה חודשים לפחות יראו גם הפסקה זמנית של העסקתה כפיטורים;</div>\n<div dir=\"rtl\" align=\"justify\"></div>\n<div dir=\"rtl\" align=\"justify\">לעניין עובדת של קבלן כוח אדם המועסקת אצל מעסיק בפועל במשך שישה חודשים לפחות, יחולו הוראות אלה:</div>\n<div dir=\"rtl\" align=\"justify\"></div>\n<div dir=\"rtl\" align=\"justify\">(א) לא יגרום מעסיק בפועל לכך שקבלן כוח אדם יפטר עובדת בהריון בניגוד להוראות שלעיל ולהלן;</div>\n<div dir=\"rtl\" align=\"justify\">(ב)  פוטרה עובדת בהריון בניגוד להוראות שלעיל ולהלן, חזקה היא שהמעסיק בפועל הוא שגרם לפיטורים, אלא אם כן הוכיח אחרת;</div>\n<div dir=\"rtl\" align=\"justify\">(ג)  בקשה להיתר לפיטורי עובדת בהריון תוגש הן בידי המעסיק בפועל והן בידי קבלן כוח האדם.</div>\n<div dir=\"rtl\" align=\"justify\"></div>\n<div dir=\"rtl\" align=\"justify\">לא יפטר מעביד עובדת או עובד בחופשת לידה ובמשך תקופה של 60 ימים לאחר תום חופשת הלידה, ולא ייתן הודעת פיטורים למועד החל בתקופה הנ\"ל, אלא בהיתר מאת שר התעשיה המסחר והתעסוקה; השר לא יתיר פיטורים בתקופה הנ\"ל אלא אם כן שוכנע כי מתקיימים כל אלה:</div>\n<div dir=\"rtl\" align=\"justify\"></div>\n<div dir=\"rtl\" align=\"justify\">(א)  הפיטורים אינם בקשר ללידה, לחופשת הלידה או להיעדרות כאמור;</div>\n<div dir=\"rtl\" align=\"justify\">(ב)  עסקו של המעביד חדל לפעול או שהמעביד הוכרז כפושט רגל, ואם הוא תאגיד - ניתן צו פירוק;</div>\n<div dir=\"rtl\" align=\"justify\"></div>\n<div dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><strong>איסור פגיעה בהיקף משרה או בהכנסה בתקופת איסור הפיטורים</strong></span><span style=\"text-decoration: underline;\">:</span></div>\n<div dir=\"rtl\" align=\"justify\"></div>\n<div dir=\"rtl\" align=\"justify\">לא יפגע מעביד בהיקף המשרה או בהכנסה של עובדת או עובד שחלה הגבלה על פיטוריהם כאמור לעיל, בתקופה שבה חלה ההגבלה הנ\"ל, אלא בהיתר מאת שר התעשיה המסחר והתעסוקה, ולא יתיר השר פגיעה כאמור אם היא לדעתו בקשר לעילה שבשלה חלה אותה הגבלה.</div>\n<div dir=\"rtl\" align=\"justify\"></div>\n<div dir=\"rtl\" align=\"justify\"><strong>\"פגיעה\", בהיקף המשרה </strong>- למעט שינוי זמני בהיקף המשרה לפי בקשה שיזמו העובדת או העובד בשל מצבם הרפואי לפי אישור בכתב מאת רופא;</div>\n<div dir=\"rtl\" align=\"justify\"><strong>\"פגיעה\", בהכנסה</strong>, למעט:</div>\n<div dir=\"rtl\" align=\"justify\"></div>\n<div dir=\"rtl\" align=\"justify\">(1) פגיעה בהכנסה החלה במקום העבודה מכוח דין או הסכם קיבוצי;</div>\n<div dir=\"rtl\" align=\"justify\">(2) פגיעה ברכיב השכר המשולם לעובדת או לעובד בהתאם לתפוקת עבודתם ובלבד שהפגיעה בתפוקתם של העובדת או העובד לא נגרמה מסיבות התלויות במעביד.</div>\n<strong>המידע המוצג במאמר הנו מידע כללי בלבד, ואין בו כדי להוות ייעוץ ו/או חוות דעת משפטית. המחבר אינו נושא באחריות כלשהי כלפי הקוראים, ואלה נדרשים לקבל עצה מקצועית לפני כל פעולה המסתמכת על הדברים האמורים.</strong>\n\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום דיני עבודה ו<span style=\"font-size: medium;\">יחסי עובד-מעביד, ובפרט בתחום עבודת נשים, <a href=\"http://www.rubinstein-law.co.il/107767/%D7%A0%D7%A9%D7%99%D7%9D-%D7%91%D7%94%D7%A8%D7%99%D7%95%D7%9F---%D7%90%D7%99%D7%A1%D7%95%D7%A8-%D7%94%D7%92%D7%91%D7%9C%D7%AA-%D7%A4%D7%99%D7%98%D7%95%D7%A8%D7%99%D7%9D\">פיטורים בזמן הריון</a>, <a href=\"http://www.rubinstein-law.co.il/107767/%D7%A0%D7%A9%D7%99%D7%9D-%D7%91%D7%94%D7%A8%D7%99%D7%95%D7%9F---%D7%90%D7%99%D7%A1%D7%95%D7%A8-%D7%94%D7%92%D7%91%D7%9C%D7%AA-%D7%A4%D7%99%D7%98%D7%95%D7%A8%D7%99%D7%9D\">הרעת תנאים בזמן הריון ו/או בשל ההריוןן</a>, <a href=\"http://www.rubinstein-law.co.il/107767/%D7%A0%D7%A9%D7%99%D7%9D-%D7%91%D7%94%D7%A8%D7%99%D7%95%D7%9F---%D7%90%D7%99%D7%A1%D7%95%D7%A8-%D7%94%D7%92%D7%91%D7%9C%D7%AA-%D7%A4%D7%99%D7%98%D7%95%D7%A8%D7%99%D7%9D\">הפליה בשל הריון</a>, פיטורים בחופשת לידה, פיטורים אחרי חופשת לידה, הרעת תנאים אחרי חופשת לידה ועוד.\n\n<span style=\"font-size: medium;\"><span style=\"font-size: medium;\">משרדנו משרדנו מייצג נשים רבות אשר נפלו קורבן להפליה על רקע הריון ו/או לידה, ומסייע לנשים אלו במיצוי ואכיפת זכויותיהן וכן בקבלת פיצויים בגין התנהגות המעביד.\n\n<strong>אל תהיי גם את קורבן להתנהגות קלוקלת ומפלה של מעסיקך. פני אלינו עוד היום לקבלת ייעוץ ולסיוע במיצוי ובאכיפת זכויותיך </strong></span></span></span>", "פיטורים בהריון, בחופשת לידה או לאחר חופשת לידה – איסור/הגבלת פיטורים", "", "inherit", "open", "open", "", "52-revision", "", "", "2012-07-18 09:41:33", "2012-07-18 06:41:33", "", "52", "http://techwebtesting.com/rublaw/52-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("54", "1", "2012-07-18 09:48:02", "2012-07-18 06:48:02", "מאת: פיני רובינשטיין, עו\"ד\n\nלא יפטר מעביד עובדת שהיא בהריון וטרם יצאה לחופשת לידה אלא בהיתר מאת שר העבודה והרווחה, ולא יתיר השר פיטורי עובדת בהריון אם הפיטורים הם, לדעתו, בקשר להריון; הוראות סעיף קטן זה יחולו הן על עובדת בהריון שהיא עובדת קבועה והן על עובדת בהריון שהיא עובדת ארעית או זמנית ובלבד שהעובדת עבדה אצל אותו מעביד או באותו מקום עבודה ששה חדשים לפחות;\n\n\"פיטורים\" - לרבות אי-חידוש חוזה עבודה לתקופה קצובה שהוא אחד מאלה:\n\n(1) חוזה עבודה לתקופה קצובה של שנים עשר חודשים או יותר;\n\n(2) חוזה עבודה לתקופה קצובה הפחותה משנים עשר חודשים, שהאריך או שחידש העסקה קודמת שהיתה סמוך לפני תחילת תוקפו של החוזה;\n\nהיה המעביד קבלן כוח אדם והעובדת הועסקה אצלו בפועל במשך שישה חודשים לפחות יראו גם הפסקה זמנית של העסקתה כפיטורים;\n\nלעניין עובדת של קבלן כוח אדם המועסקת אצל מעסיק בפועל במשך שישה חודשים לפחות, יחולו הוראות אלה:\n\n(א) לא יגרום מעסיק בפועל לכך שקבלן כוח אדם יפטר עובדת בהריון בניגוד להוראות שלעיל ולהלן;\n\n(ב) פוטרה עובדת בהריון בניגוד להוראות שלעיל ולהלן, חזקה היא שהמעסיק בפועל הוא שגרם לפיטורים, אלא אם כן הוכיח אחרת;\n\n(ג) בקשה להיתר לפיטורי עובדת בהריון תוגש הן בידי המעסיק בפועל והן בידי קבלן כוח האדם.\n\nלא יפטר מעביד עובדת או עובד בחופשת לידה ובמשך תקופה של 60 ימים לאחר תום חופשת הלידה, ולא ייתן הודעת פיטורים למועד החל בתקופה הנ\"ל, אלא בהיתר מאת שר התעשיה המסחר והתעסוקה; השר לא יתיר פיטורים בתקופה הנ\"ל אלא אם כן שוכנע כי מתקיימים כל אלה:\n\n(א) הפיטורים אינם בקשר ללידה, לחופשת הלידה או להיעדרות כאמור;\n\n(ב) עסקו של המעביד חדל לפעול או שהמעביד הוכרז כפושט רגל, ואם הוא תאגיד - ניתן צו פירוק;\n\nאיסור פגיעה בהיקף משרה או בהכנסה בתקופת איסור הפיטורים:\n\nלא יפגע מעביד בהיקף המשרה או בהכנסה של עובדת או עובד שחלה הגבלה על פיטוריהם כאמור לעיל, בתקופה שבה חלה ההגבלה הנ\"ל, אלא בהיתר מאת שר התעשיה המסחר והתעסוקה, ולא יתיר השר פגיעה כאמור אם היא לדעתו בקשר לעילה שבשלה חלה אותה הגבלה.\n\n\"פגיעה\", בהיקף המשרה - למעט שינוי זמני בהיקף המשרה לפי בקשה שיזמו העובדת או העובד בשל מצבם הרפואי לפי אישור בכתב מאת רופא;\n\n\"פגיעה\", בהכנסה, למעט:\n\n(1) פגיעה בהכנסה החלה במקום העבודה מכוח דין או הסכם קיבוצי;\n\n(2) פגיעה ברכיב השכר המשולם לעובדת או לעובד בהתאם לתפוקת עבודתם ובלבד שהפגיעה בתפוקתם של העובדת או העובד לא נגרמה מסיבות התלויות במעביד.\n\nהמידע המוצג במאמר הנו מידע כללי בלבד, ואין בו כדי להוות ייעוץ ו/או חוות דעת משפטית. המחבר אינו נושא באחריות כלשהי כלפי הקוראים, ואלה נדרשים לקבל עצה מקצועית לפני כל פעולה המסתמכת על הדברים האמורים.\n\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום דיני עבודה ויחסי עובד-מעביד, ובפרט בתחום עבודת נשים, פיטורים בזמן הריון, הרעת תנאים בזמן הריון ו/או בשל ההריוןן, הפליה בשל הריון, פיטורים בחופשת לידה, פיטורים אחרי חופשת לידה, הרעת תנאים אחרי חופשת לידה ועוד.\n\nמשרדנו משרדנו מייצג נשים רבות אשר נפלו קורבן להפליה על רקע הריון ו/או לידה, ומסייע לנשים אלו במיצוי ואכיפת זכויותיהן וכן בקבלת פיצויים בגין התנהגות המעביד.\n\nאל תהיי גם את קורבן להתנהגות קלוקלת ומפלה של מעסיקך. פני אלינו עוד היום לקבלת ייעוץ ולסיוע במיצוי ובאכיפת זכויותיך החוקיות !!!", "פיטורים בהריון, בחופשת לידה או לאחר חופשת לידה – איסור/הגבלת פיטורים", "", "inherit", "open", "open", "", "52-autosave", "", "", "2012-07-18 09:48:02", "2012-07-18 06:48:02", "", "52", "http://techwebtesting.com/rublaw/52-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("56", "1", "2012-07-18 09:49:31", "2012-07-18 06:49:31", "", "מאמרים ומידע מקצועי", "", "publish", "open", "open", "", "56", "", "", "2012-08-06 11:44:38", "2012-08-06 08:44:38", "", "0", "http://techwebtesting.com/rublaw/?p=56", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("55", "1", "2012-07-18 09:41:47", "2012-07-18 06:41:47", "<div dir=\"rtl\" align=\"center\">מאת: פיני רובינשטיין, עו\"ד</div>\r\n<div dir=\"rtl\"></div>\r\n<div dir=\"rtl\"></div>\r\n<div dir=\"rtl\" align=\"justify\">לא יפטר מעביד עובדת שהיא בהריון וטרם יצאה לחופשת לידה אלא בהיתר מאת שר העבודה והרווחה, ולא יתיר השר פיטורי עובדת בהריון אם הפיטורים הם, לדעתו, בקשר להריון; הוראות סעיף קטן זה יחולו הן על עובדת בהריון שהיא עובדת קבועה והן על עובדת בהריון שהיא עובדת ארעית או זמנית <strong><span style=\"text-decoration: underline;\">ובלבד שהעובדת עבדה אצל אותו מעביד או באותו מקום עבודה ששה חדשים לפחות</span></strong>;</div>\r\n<div dir=\"rtl\" align=\"justify\"></div>\r\n<div dir=\"rtl\" align=\"justify\">\"<strong>פיטורים</strong>\" - לרבות אי-חידוש חוזה עבודה לתקופה קצובה שהוא אחד מאלה:</div>\r\n<div dir=\"rtl\" align=\"justify\"></div>\r\n<div dir=\"rtl\" align=\"justify\">(1) חוזה עבודה לתקופה קצובה של שנים עשר חודשים או יותר;</div>\r\n<div dir=\"rtl\" align=\"justify\">(2) חוזה עבודה לתקופה קצובה הפחותה משנים עשר חודשים, שהאריך או שחידש העסקה קודמת שהיתה סמוך לפני תחילת תוקפו של החוזה;</div>\r\n<div dir=\"rtl\" align=\"justify\"></div>\r\n<div dir=\"rtl\" align=\"justify\">היה המעביד קבלן כוח אדם והעובדת הועסקה אצלו בפועל במשך שישה חודשים לפחות יראו גם הפסקה זמנית של העסקתה כפיטורים;</div>\r\n<div dir=\"rtl\" align=\"justify\"></div>\r\n<div dir=\"rtl\" align=\"justify\">לעניין עובדת של קבלן כוח אדם המועסקת אצל מעסיק בפועל במשך שישה חודשים לפחות, יחולו הוראות אלה:</div>\r\n<div dir=\"rtl\" align=\"justify\"></div>\r\n<div dir=\"rtl\" align=\"justify\">(א) לא יגרום מעסיק בפועל לכך שקבלן כוח אדם יפטר עובדת בהריון בניגוד להוראות שלעיל ולהלן;</div>\r\n<div dir=\"rtl\" align=\"justify\">(ב)  פוטרה עובדת בהריון בניגוד להוראות שלעיל ולהלן, חזקה היא שהמעסיק בפועל הוא שגרם לפיטורים, אלא אם כן הוכיח אחרת;</div>\r\n<div dir=\"rtl\" align=\"justify\">(ג)  בקשה להיתר לפיטורי עובדת בהריון תוגש הן בידי המעסיק בפועל והן בידי קבלן כוח האדם.</div>\r\n<div dir=\"rtl\" align=\"justify\"></div>\r\n<div dir=\"rtl\" align=\"justify\">לא יפטר מעביד עובדת או עובד בחופשת לידה ובמשך תקופה של 60 ימים לאחר תום חופשת הלידה, ולא ייתן הודעת פיטורים למועד החל בתקופה הנ\"ל, אלא בהיתר מאת שר התעשיה המסחר והתעסוקה; השר לא יתיר פיטורים בתקופה הנ\"ל אלא אם כן שוכנע כי מתקיימים כל אלה:</div>\r\n<div dir=\"rtl\" align=\"justify\"></div>\r\n<div dir=\"rtl\" align=\"justify\">(א)  הפיטורים אינם בקשר ללידה, לחופשת הלידה או להיעדרות כאמור;</div>\r\n<div dir=\"rtl\" align=\"justify\">(ב)  עסקו של המעביד חדל לפעול או שהמעביד הוכרז כפושט רגל, ואם הוא תאגיד - ניתן צו פירוק;</div>\r\n<div dir=\"rtl\" align=\"justify\"></div>\r\n<div dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><strong>איסור פגיעה בהיקף משרה או בהכנסה בתקופת איסור הפיטורים</strong></span><span style=\"text-decoration: underline;\">:</span></div>\r\n<div dir=\"rtl\" align=\"justify\"></div>\r\n<div dir=\"rtl\" align=\"justify\">לא יפגע מעביד בהיקף המשרה או בהכנסה של עובדת או עובד שחלה הגבלה על פיטוריהם כאמור לעיל, בתקופה שבה חלה ההגבלה הנ\"ל, אלא בהיתר מאת שר התעשיה המסחר והתעסוקה, ולא יתיר השר פגיעה כאמור אם היא לדעתו בקשר לעילה שבשלה חלה אותה הגבלה.</div>\r\n<div dir=\"rtl\" align=\"justify\"></div>\r\n<div dir=\"rtl\" align=\"justify\"><strong>\"פגיעה\", בהיקף המשרה </strong>- למעט שינוי זמני בהיקף המשרה לפי בקשה שיזמו העובדת או העובד בשל מצבם הרפואי לפי אישור בכתב מאת רופא;</div>\r\n<div dir=\"rtl\" align=\"justify\"><strong>\"פגיעה\", בהכנסה</strong>, למעט:</div>\r\n<div dir=\"rtl\" align=\"justify\"></div>\r\n<div dir=\"rtl\" align=\"justify\">(1) פגיעה בהכנסה החלה במקום העבודה מכוח דין או הסכם קיבוצי;</div>\r\n<div dir=\"rtl\" align=\"justify\">(2) פגיעה ברכיב השכר המשולם לעובדת או לעובד בהתאם לתפוקת עבודתם ובלבד שהפגיעה בתפוקתם של העובדת או העובד לא נגרמה מסיבות התלויות במעביד.</div>\r\n<strong>המידע המוצג במאמר הנו מידע כללי בלבד, ואין בו כדי להוות ייעוץ ו/או חוות דעת משפטית. המחבר אינו נושא באחריות כלשהי כלפי הקוראים, ואלה נדרשים לקבל עצה מקצועית לפני כל פעולה המסתמכת על הדברים האמורים.</strong>\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום דיני עבודה ו<span style=\"font-size: medium;\">יחסי עובד-מעביד, ובפרט בתחום עבודת נשים, <a href=\"http://www.rubinstein-law.co.il/107767/%D7%A0%D7%A9%D7%99%D7%9D-%D7%91%D7%94%D7%A8%D7%99%D7%95%D7%9F---%D7%90%D7%99%D7%A1%D7%95%D7%A8-%D7%94%D7%92%D7%91%D7%9C%D7%AA-%D7%A4%D7%99%D7%98%D7%95%D7%A8%D7%99%D7%9D\">פיטורים בזמן הריון</a>, <a href=\"http://www.rubinstein-law.co.il/107767/%D7%A0%D7%A9%D7%99%D7%9D-%D7%91%D7%94%D7%A8%D7%99%D7%95%D7%9F---%D7%90%D7%99%D7%A1%D7%95%D7%A8-%D7%94%D7%92%D7%91%D7%9C%D7%AA-%D7%A4%D7%99%D7%98%D7%95%D7%A8%D7%99%D7%9D\">הרעת תנאים בזמן הריון ו/או בשל ההריוןן</a>, <a href=\"http://www.rubinstein-law.co.il/107767/%D7%A0%D7%A9%D7%99%D7%9D-%D7%91%D7%94%D7%A8%D7%99%D7%95%D7%9F---%D7%90%D7%99%D7%A1%D7%95%D7%A8-%D7%94%D7%92%D7%91%D7%9C%D7%AA-%D7%A4%D7%99%D7%98%D7%95%D7%A8%D7%99%D7%9D\">הפליה בשל הריון</a>, פיטורים בחופשת לידה, פיטורים אחרי חופשת לידה, הרעת תנאים אחרי חופשת לידה ועוד.\r\n\r\n<span style=\"font-size: medium;\"><span style=\"font-size: medium;\">משרדנו משרדנו מייצג נשים רבות אשר נפלו קורבן להפליה על רקע הריון ו/או לידה, ומסייע לנשים אלו במיצוי ואכיפת זכויותיהן וכן בקבלת פיצויים בגין התנהגות המעביד.\r\n\r\n<strong>אל תהיי גם את קורבן להתנהגות קלוקלת ומפלה של מעסיקך. פני אלינו עוד היום לקבלת ייעוץ ולסיוע במיצוי ובאכיפת זכויותיך </strong></span></span></span>", "פיטורים בהריון, בחופשת לידה או לאחר חופשת לידה – איסור/הגבלת פיטורים", "", "inherit", "open", "open", "", "52-revision-2", "", "", "2012-07-18 09:41:47", "2012-07-18 06:41:47", "", "52", "http://techwebtesting.com/rublaw/52-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("59", "1", "2012-07-18 09:58:39", "2012-07-18 06:58:39", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\n&nbsp;\r\n\r\nפסיקת בתי הדין לעבודה הטילה הן על מעסיקים ציבוריים הן על מעסיקים דו-מהותיים והן על מעסיקים פרטיים את החובה להודיע לעובד מראש על הכוונה לפטרו, לנמק את הפיטורים ולקיים לעובד שימוע שבמסגרתו יוכל העובד להשמיע טענותיו בטרם תתקבל בעניינו החלטה העלולה לפגוע בהעסקתו ולהביא לפיטוריו.\r\n\r\nעל-פי הפסיקה, חובת השימוע קיימת גם במקרים של פיטורי צמצום וגם כאשר מדובר בעובד המועסק בחוזה לתקופה קצובה המתחדש מעת לעת (זאת רק במקרים שלעובד ציפייה לגיטימית שההתקשרות החוזית לא תסתיים מאליה).\r\n\r\nככלל, הסעד בגין הפרת זכות השימוע אינו בטלות הפיטורים והשבת העובד לעבודתו, אלא תשלום פיצויים.\r\n\r\nעל-פי הפסיקה, יש לבחון כל מקרה לגופו ורק בנסיבות מתאימות וחריגות ניתן יהא לבטל את הפיטורים ולאכוף יחסי עובד-מעביד.\r\n\r\nהסעד הראוי בכל מקרה ומקרה הינו בשיקול דעת בית הדין, אשר ייתן דעתו לסעד הראוי בשים לב לנסיבות המייחדות כל מקרה ספציפי, ובין היתר יידרש בית הדין לשיקולים כדלקמן:\r\n\r\n(א) מהותו וחומרתו של הפגם שנפל בהליך הפיטורים;\r\n\r\n(ב) סוג המשרה בה מדובר;\r\n\r\n(ג) השפעתו של הסעד שיינתן על העובד, על ההקשר התעשייתי והתעסוקתי, תוך מתן משקל להיבטים החוקיים והחוקתיים, ככל שאף הם באים בגדר העניין;\r\n\r\n(ד) במקרה המתאים יבדוק בית הדין אם נכון הוא לתקן עוול בעוול – ככל שעלול להגרם עוול למי מהצדדים המעורבים.", "זכות השימוע והסעד בגין פיטורים ללא שימוע", "", "inherit", "open", "open", "", "57-revision-2", "", "", "2012-07-18 09:58:39", "2012-07-18 06:58:39", "", "57", "http://techwebtesting.com/rublaw/57-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("60", "1", "2012-07-18 10:00:16", "2012-07-18 07:00:16", "מאת: פיני רובינשטיין, עו\"ד\n\n&nbsp;\n\nפסיקת בתי הדין לעבודה הטילה הן על מעסיקים ציבוריים הן על מעסיקים דו-מהותיים והן על מעסיקים פרטיים את החובה להודיע לעובד מראש על הכוונה לפטרו, לנמק את הפיטורים ולקיים לעובד שימוע שבמסגרתו יוכל העובד להשמיע טענותיו בטרם תתקבל בעניינו החלטה העלולה לפגוע בהעסקתו ולהביא לפיטוריו.\n\nעל-פי הפסיקה, חובת השימוע קיימת גם במקרים של פיטורי צמצום וגם כאשר מדובר בעובד המועסק בחוזה לתקופה קצובה המתחדש מעת לעת (זאת רק במקרים שלעובד ציפייה לגיטימית שההתקשרות החוזית לא תסתיים מאליה).\n\nככלל, הסעד בגין הפרת זכות השימוע אינו בטלות הפיטורים והשבת העובד לעבודתו, אלא תשלום פיצויים.\n\nעל-פי הפסיקה, יש לבחון כל מקרה לגופו ורק בנסיבות מתאימות וחריגות ניתן יהא לבטל את הפיטורים ולאכוף יחסי עובד-מעביד.\n\nהסעד הראוי בכל מקרה ומקרה הינו בשיקול דעת בית הדין, אשר ייתן דעתו לסעד הראוי בשים לב לנסיבות המייחדות כל מקרה ספציפי, ובין היתר יידרש בית הדין לשיקולים כדלקמן:\n\n(א) מהותו וחומרתו של הפגם שנפל בהליך הפיטורים;\n\n(ב) סוג המשרה בה מדובר;\n\n(ג) השפעתו של הסעד שיינתן על העובד, על ההקשר התעשייתי והתעסוקתי, תוך מתן משקל להיבטים החוקיים והחוקתיים, ככל שאף הם באים בגדר העניין;\n\n(ד) במקרה המתאים יבדוק בית הדין אם נכון הוא לתקן עוול בעוול – ככל שעלול להגרם עוול למי מהצדדים המעורבים.", "זכות השימוע והסעד בגין פיטורים ללא שימוע", "", "inherit", "open", "open", "", "57-autosave", "", "", "2012-07-18 10:00:16", "2012-07-18 07:00:16", "", "57", "http://techwebtesting.com/rublaw/57-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("61", "1", "2012-07-12 10:08:11", "2012-07-12 07:08:11", "מאת: פיני רובינשטיין, עו\"ד\r\n<h2> חובה ליתן הודעה מוקדמת לפיטורים ולהתפטרות</h2>\r\nמעביד המבקש לפטר עובד ייתן לו הודעה מוקדמת לפיטורים.\r\n\r\nעובד המבקש להתפטר מעבודתו ייתן למעבידו הודעה מוקדמת להתפטרות.\r\n\r\nהודעה מוקדמת תינתן בכתב ותציין את יום הוצאת ההודעה ואת יום הכניסה לתוקף של הפיטורים או ההתפטרות, לפי הענין.\r\n<h2>הודעה מוקדמת לפיטורים לעובד במשכורת</h2>\r\n\"עובד במשכורת\" - עובד שעיקר גמול עבודתו, משתלם על בסיס של חודש או של תקופה ארוכה יותר.\r\n\r\nעובד במשכורת זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\r\n\r\n*במהלך ששת חודשי עבודתו הראשונים - של יום אחד בשל כל חודש עבודה;\r\n\r\n*במהלך התקופה החל בחודש השביעי לעבודתו עד תום שנת עבודתו הראשונה - של 6 ימים, בתוספת של יומיים וחצי בשל כל חודש עבודה בתקופה הנ\"ל;\r\n\r\n*לאחר שנת עבודתו הראשונה - של חודש ימים;\r\n\r\n&nbsp;\r\n\r\nההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.\r\n\r\n&nbsp;\r\n<h2>הודעה מוקדמת לפיטורים לעובד בשכר</h2>\r\n\"עובד בשכר\" - עובד שאינו עובד במשכורת.\r\n\r\nעובד בשכר זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\r\n\r\n*במהלך שנת עבודתו הראשונה - של יום אחד בשל כל חודש עבודה;\r\n\r\n*במהלך שנת עבודתו השניה - של 14 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\r\n\r\n*במהלך שנת עבודתו השלישית - של 21 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\r\n\r\n*לאחר שנת עבודתו השלישית - של חודש ימים;\r\n\r\n&nbsp;\r\n\r\nההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.\r\n\r\n&nbsp;\r\n<h2>ויתור על עבודה בפועל</h2>\r\nמעביד רשאי להודיע לעובד, בהודעה מוקדמת לפיטורים, כי הוא מוותר על נוכחות העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובד פיצוי בסכום השווה לשכרו הרגיל של העובד בעד בתקופה שלגביה ויתר על עבודתו.\r\n\r\nמעביד רשאי להודיע לעובד שנתן הודעה מוקדמת להתפטרות, כי הוא מוותר על נוכחותו של העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובדו פיצוי בסכום השווה לשכרו הרגיל של העובד בעד התקופה שלגביה ויתר על עבודתו.\r\n\r\n&nbsp;\r\n<h2>תוצאות אי מתן הודעה מוקדמת</h2>\r\nמעביד שפיטר עובד ולא נתן לו הודעה מוקדמת לפיטורים, ישלם לעובד פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\r\n\r\nעובד שחדל לעבוד ולא נתן למעבידו הודעה מוקדמת להתפטרות, ישלם למעבידו פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\r\n<h2>פיטורים והתפטרות בלא מתן הודעה מוקדמת</h2>\r\nהתפטרות ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת להתפטרות, לא יחולו על עובד, בנסיבות מיוחדות שעקב קיומן אין לדרוש ממנו כי יעבוד בתקופת ההודעה המוקדמת.\r\n\r\nפיטורים ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת לפיטורים, לא יחולו על מעביד, בנסיבות שבהן העובד שפוטר אינו זכאי לפיצויים, על פי החלטת בית דין למשמעת אשר הורה על פיטורים בלא פיצויים מכוח הוראות חיקוק הקובע שיפוט משמעתי, או במקרה שעובד פוטר בנסיבות הבאות:\r\n\r\n&nbsp;\r\n\r\n*פיטורים ללא פיצויים מכוח הסכם קיבוצי - לא יהיה עובד זכאי לפיצויים או יהיה זכאי לפיצויים חלקיים בלבד, הכל לפי הענין, אם פוטר בנסיבות, שעל פי הסכם קיבוצי החל על המעביד והעובד - ובאין הסכם כזה, על פי ההסכם הקיבוצי החל על המספר הגדול ביותר של העובדים באותו ענף - מצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים בלבד.\r\n\r\n*פיטורים ללא פיצויים מכוח פסק דין - בענף העבודה שאין בו הסכם קיבוצי, רשאי בית הדין האזורי לעבודה לקבוע שפיטוריו של עובד היו בנסיבות המצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים שיקבע; בדונו בענין זה יונחה בית הדין האזורי לעבודה על פי הכללים שבהסכם הקיבוצי החל על המספר הגדול ביותר של עובדים.\r\n\r\nהאמור לעיל אינו בא למעט מכל זכות הנתונה לעובד לפי חוק, הסכם קיבוצי או חוזה עבודה.\r\n\r\n&nbsp;\r\n\r\nהמידע המוצג במאמר הנו מידע כללי בלבד, ואין בו כדי להוות ייעוץ ו/או חוות דעת משפטית. המחבר אינו נושא באחריות כלשהי כלפי הקוראים, ואלה נדרשים לקבל עצה מקצועית לפני כל פעולה המסתמכת על הדברים האמורים.\r\n\r\n&nbsp;\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום דיני עבודה,יחסי עובד מעביד, חופש העיסוק, שכר עבודה והלנה, פיטורים והתפטרות, פיצויים, פיצויי פיטורים במקרים של התפטרות, שעות עבודה ומנוחה, עבודת נשים, פיטורים בזמן הריון, הרעת תנאים בשל הריון, הפליה בשל הריון, חילופי מעבידים, הסכמי עבודה/העסקה, סודיות ואי תחרות, תנאי עבודה וזכויות סוציאליות ועוד.\r\n\r\n&nbsp;\r\n\r\nמשרדנו הינו בעל התמחות ייחודית במקרים של התמוטטות כלכלית של המעביד (הפסקת פעילות, פשיטת רגל או פירוק של המעסיק) ומייצג עובדים במיצוי ואכיפת זכויותיהם במקרים שכאלו.", "הודעה מוקדמת לפיטורים ולהתפטרות", "", "publish", "open", "open", "", "%d7%94%d7%95%d7%93%d7%a2%d7%94-%d7%9e%d7%95%d7%a7%d7%93%d7%9e%d7%aa-%d7%9c%d7%a4%d7%99%d7%98%d7%95%d7%a8%d7%99%d7%9d-%d7%95%d7%9c%d7%94%d7%aa%d7%a4%d7%98%d7%a8%d7%95%d7%aa", "", "", "2012-07-18 11:37:24", "2012-07-18 08:37:24", "", "0", "http://techwebtesting.com/rublaw/?p=61", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2012-07-18 10:07:44", "2012-07-18 07:07:44", "מאת: פיני רובינשטיין, עו\"ד\n\n<span style=\"text-decoration: underline;\"> <strong>חובה ליתן הודעה מוקדמת לפיטורים ולהתפטרות</strong></span>\n\nמעביד המבקש לפטר עובד ייתן לו הודעה מוקדמת לפיטורים.\n\nעובד המבקש להתפטר מעבודתו ייתן למעבידו הודעה מוקדמת להתפטרות.\n\nהודעה מוקדמת תינתן בכתב ותציין את יום הוצאת ההודעה ואת יום הכניסה לתוקף של הפיטורים או ההתפטרות, לפי הענין.\n\n<span style=\"text-decoration: underline;\"><strong>הודעה מוקדמת לפיטורים לעובד במשכורת</strong></span>\n\n\"עובד במשכורת\" - עובד שעיקר גמול עבודתו, משתלם על בסיס של חודש או של תקופה ארוכה יותר.\n\nעובד במשכורת זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\n\n*במהלך ששת חודשי עבודתו הראשונים - של יום אחד בשל כל חודש עבודה;\n\n*במהלך התקופה החל בחודש השביעי לעבודתו עד תום שנת עבודתו הראשונה - של 6 ימים, בתוספת של יומיים וחצי בשל כל חודש עבודה בתקופה הנ\"ל;\n\n*לאחר שנת עבודתו הראשונה - של חודש ימים;\n\n&nbsp;\n\n<strong>ההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.</strong>\n\n&nbsp;\n\n<span style=\"text-decoration: underline;\"><strong>הודעה מוקדמת לפיטורים לעובד בשכר</strong></span>\n\n\"עובד בשכר\" - עובד שאינו עובד במשכורת.\n\nעובד בשכר זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\n\n*במהלך שנת עבודתו הראשונה - של יום אחד בשל כל חודש עבודה;\n\n*במהלך שנת עבודתו השניה - של 14 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\n\n*במהלך שנת עבודתו השלישית - של 21 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\n\n*לאחר שנת עבודתו השלישית - של חודש ימים;\n\n&nbsp;\n\n<strong>ההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.</strong>\n\n&nbsp;\n\n<span style=\"text-decoration: underline;\"><strong>ויתור על עבודה בפועל</strong></span>\n\nמעביד רשאי להודיע לעובד, בהודעה מוקדמת לפיטורים, כי הוא מוותר על נוכחות העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובד פיצוי בסכום השווה לשכרו הרגיל של העובד בעד בתקופה שלגביה ויתר על עבודתו.\n\nמעביד רשאי להודיע לעובד שנתן הודעה מוקדמת להתפטרות, כי הוא מוותר על נוכחותו של העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובדו פיצוי בסכום השווה לשכרו הרגיל של העובד בעד התקופה שלגביה ויתר על עבודתו.\n\n&nbsp;\n\n<span style=\"text-decoration: underline;\"><strong>תוצאות אי מתן הודעה מוקדמת</strong></span>\n\nמעביד שפיטר עובד ולא נתן לו הודעה מוקדמת לפיטורים, ישלם לעובד פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\n\nעובד שחדל לעבוד ולא נתן למעבידו הודעה מוקדמת להתפטרות, ישלם למעבידו פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\n\n<span style=\"text-decoration: underline;\"><strong>פיטורים והתפטרות בלא מתן הודעה מוקדמת</strong></span>\n\nהתפטרות ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת להתפטרות, לא יחולו על עובד, בנסיבות מיוחדות שעקב קיומן אין לדרוש ממנו כי יעבוד בתקופת ההודעה המוקדמת.\n\nפיטורים ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת לפיטורים, לא יחולו על מעביד, בנסיבות שבהן העובד שפוטר אינו זכאי לפיצויים, על פי החלטת בית דין למשמעת אשר הורה על פיטורים בלא פיצויים מכוח הוראות חיקוק הקובע שיפוט משמעתי, או במקרה שעובד פוטר בנסיבות הבאות:\n\n&nbsp;\n\n*פיטורים ללא פיצויים מכוח הסכם קיבוצי - לא יהיה עובד זכאי לפיצויים או יהיה זכאי לפיצויים חלקיים בלבד, הכל לפי הענין, אם פוטר בנסיבות, שעל פי הסכם קיבוצי החל על המעביד והעובד - ובאין הסכם כזה, על פי ההסכם הקיבוצי החל על המספר הגדול ביותר של העובדים באותו ענף - מצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים בלבד.\n\n*פיטורים ללא פיצויים מכוח פסק דין - בענף העבודה שאין בו הסכם קיבוצי, רשאי בית הדין האזורי לעבודה לקבוע שפיטוריו של עובד היו בנסיבות המצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים שיקבע; בדונו בענין זה יונחה בית הדין האזורי לעבודה על פי הכללים שבהסכם הקיבוצי החל על המספר הגדול ביותר של עובדים.\n\n&nbsp;\n\n&nbsp;\n\nהאמור לעיל אינו בא למעט מכל זכות הנתונה לעובד לפי חוק, הסכם קיבוצי או חוזה עבודה.\n\n&nbsp;\n\nהמידע המוצג במאמר הנו מידע כללי בלבד, ואין בו כדי להוות ייעוץ ו/או חוות דעת משפטית. המחבר אינו נושא באחריות כלשהי כלפי הקוראים, ואלה נדרשים לקבל עצה מקצועית לפני כל פעולה המסתמכת על הדברים האמורים.\n\n&nbsp;\n\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום דיני עבודה,יחסי עובד מעביד, חופש העיסוק, שכר עבודה והלנה, פיטורים והתפטרות, פיצויים, פיצויי פיטורים במקרים של התפטרות, שעות עבודה ומנוחה, עבודת נשים, פיטורים בזמן הריון, הרעת תנאים בשל הריון, הפליה בשל הריון, חילופי מעבידים, הסכמי עבודה/העסקה, סודיות ואי תחרות, תנאי עבודה וזכויות סוציאליות ועוד.\n\n&nbsp;\n\nמשרדנו הינו בעל התמחות ייחודית במקרים של התמוטטות כלכלית של המעביד (הפסקת פעילות, פשיטת רגל או פירוק של המעסיק) ומייצג עובדים במיצוי ואכיפת זכויותיהם במקרים שכאלו.", "הודעה מוקדמת לפיטורים ולהתפטרות", "", "inherit", "open", "open", "", "61-revision", "", "", "2012-07-18 10:07:44", "2012-07-18 07:07:44", "", "61", "http://techwebtesting.com/rublaw/61-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("63", "1", "2012-07-18 11:05:25", "2012-07-18 08:05:25", "מאת: פיני רובינשטיין, עו\"ד\n<h2> חובה ליתן הודעה מוקדמת לפיטורים ולהתפטרות</h2>\nמעביד המבקש לפטר עובד ייתן לו הודעה מוקדמת לפיטורים.\n\nעובד המבקש להתפטר מעבודתו ייתן למעבידו הודעה מוקדמת להתפטרות.\n\nהודעה מוקדמת תינתן בכתב ותציין את יום הוצאת ההודעה ואת יום הכניסה לתוקף של הפיטורים או ההתפטרות, לפי הענין.\n<h2>הודעה מוקדמת לפיטורים לעובד במשכורת</h2>\n\"עובד במשכורת\" - עובד שעיקר גמול עבודתו, משתלם על בסיס של חודש או של תקופה ארוכה יותר.\n\nעובד במשכורת זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\n\n*במהלך ששת חודשי עבודתו הראשונים - של יום אחד בשל כל חודש עבודה;\n\n*במהלך התקופה החל בחודש השביעי לעבודתו עד תום שנת עבודתו הראשונה - של 6 ימים, בתוספת של יומיים וחצי בשל כל חודש עבודה בתקופה הנ\"ל;\n\n*לאחר שנת עבודתו הראשונה - של חודש ימים;\n\n&nbsp;\n\nההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.\n\n&nbsp;\n<h2>הודעה מוקדמת לפיטורים לעובד בשכר</h2>\n\"עובד בשכר\" - עובד שאינו עובד במשכורת.\n\nעובד בשכר זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\n\n*במהלך שנת עבודתו הראשונה - של יום אחד בשל כל חודש עבודה;\n\n*במהלך שנת עבודתו השניה - של 14 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\n\n*במהלך שנת עבודתו השלישית - של 21 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\n\n*לאחר שנת עבודתו השלישית - של חודש ימים;\n\n&nbsp;\n\nההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.\n\n&nbsp;\n<h2>ויתור על עבודה בפועל</h2>\nמעביד רשאי להודיע לעובד, בהודעה מוקדמת לפיטורים, כי הוא מוותר על נוכחות העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובד פיצוי בסכום השווה לשכרו הרגיל של העובד בעד בתקופה שלגביה ויתר על עבודתו.\n\nמעביד רשאי להודיע לעובד שנתן הודעה מוקדמת להתפטרות, כי הוא מוותר על נוכחותו של העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובדו פיצוי בסכום השווה לשכרו הרגיל של העובד בעד התקופה שלגביה ויתר על עבודתו.\n\n&nbsp;\n<h2>תוצאות אי מתן הודעה מוקדמת</h2>\nמעביד שפיטר עובד ולא נתן לו הודעה מוקדמת לפיטורים, ישלם לעובד פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\n\nעובד שחדל לעבוד ולא נתן למעבידו הודעה מוקדמת להתפטרות, ישלם למעבידו פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\n<h2>פיטורים והתפטרות בלא מתן הודעה מוקדמת</h2>\nהתפטרות ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת להתפטרות, לא יחולו על עובד, בנסיבות מיוחדות שעקב קיומן אין לדרוש ממנו כי יעבוד בתקופת ההודעה המוקדמת.\n\nפיטורים ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת לפיטורים, לא יחולו על מעביד, בנסיבות שבהן העובד שפוטר אינו זכאי לפיצויים, על פי החלטת בית דין למשמעת אשר הורה על פיטורים בלא פיצויים מכוח הוראות חיקוק הקובע שיפוט משמעתי, או במקרה שעובד פוטר בנסיבות הבאות:\n\n&nbsp;\n\n*פיטורים ללא פיצויים מכוח הסכם קיבוצי - לא יהיה עובד זכאי לפיצויים או יהיה זכאי לפיצויים חלקיים בלבד, הכל לפי הענין, אם פוטר בנסיבות, שעל פי הסכם קיבוצי החל על המעביד והעובד - ובאין הסכם כזה, על פי ההסכם הקיבוצי החל על המספר הגדול ביותר של העובדים באותו ענף - מצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים בלבד.\n\n*פיטורים ללא פיצויים מכוח פסק דין - בענף העבודה שאין בו הסכם קיבוצי, רשאי בית הדין האזורי לעבודה לקבוע שפיטוריו של עובד היו בנסיבות המצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים שיקבע; בדונו בענין זה יונחה בית הדין האזורי לעבודה על פי הכללים שבהסכם הקיבוצי החל על המספר הגדול ביותר של עובדים.\n\nהאמור לעיל אינו בא למעט מכל זכות הנתונה לעובד לפי חוק, הסכם קיבוצי או חוזה עבודה.\n\n&nbsp;\n\nהמידע המוצג במאמר הנו מידע כללי בלבד, ואין בו כדי להוות ייעוץ ו/או חוות דעת משפטית. המחבר אינו נושא באחריות כלשהי כלפי הקוראים, ואלה נדרשים לקבל עצה מקצועית לפני כל פעולה המסתמכת על הדברים האמורים.\n\n&nbsp;\n\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום דיני עבודה,יחסי עובד מעביד, חופש העיסוק, שכר עבודה והלנה, פיטורים והתפטרות, פיצויים, פיצויי פיטורים במקרים של התפטרות, שעות עבודה ומנוחה, עבודת נשים, פיטורים בזמן הריון, הרעת תנאים בשל הריון, הפליה בשל הריון, חילופי מעבידים, הסכמי עבודה/העסקה, סודיות ואי תחרות, תנאי עבודה וזכויות סוציאליות ועוד.\n\n&nbsp;\n\nמשרדנו הינו בעל התמחות ייחודית במקרים של התמוטטות כלכלית של המעביד (הפסקת פעילות, פשיטת רגל או פירוק של המעסיק) ומייצג עובדים במיצוי ואכיפת זכויותיהם במקרים שכאלו.", "הודעה מוקדמת לפיטורים ולהתפטרות", "", "inherit", "open", "open", "", "61-autosave", "", "", "2012-07-18 11:05:25", "2012-07-18 08:05:25", "", "61", "http://techwebtesting.com/rublaw/61-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("70", "1", "2012-09-20 19:18:48", "2012-09-20 16:18:48", "כ\"ה סיון תשס\"ט\n\n‏17 יוני 2009\n\nמש- 04427109\n<h1>הוראת ביצוע מיסוי מקרקעין 8/2009</h1>\n<h1>הנדון: \"דמי מפתח\" - התרתם בניכוי בחישוב השבח</h1>\n<h2>1. כללי</h2>\nא. הוראת ביצוע זו עניינה במכירת זכות במקרקעין במובן חוק מיסוי מקרקעין (שבח ורכישה) התשכ\"ג - 1963 (להלן: \"החוק\") ע\"י מי שהיה דייר מוגן ובשלב מאוחר יותר רכש את זכות הבעלות. במקרה זה עולה השאלה האם יש להביא בחשבון בעת חישוב השבח את התשלום ששילם המוכר לרכישת זכות הדיירות המוגנת קרי, את תשלום דמי המפתח.\n\nב. עפ\"י חוק הגנת הדייר (נוסח משולב) התשל\"ב – 1972 (להלן: \"חוק הגנת הדייר\") , במכירת זכות דיירות מוגנת על ידי בעל הבית משלם הדייר הנכנס, דמי מפתח לבעל הבית. כמו כן, בעת החלפת דייר מוגן משלם הדייר הנכנס דמי מפתח, שחלקם משתלמים לבעל בית ויתרתם משתלמים לדייר היוצא.\n\nג. קבלת \"דמי מפתח\" בידי בעל הבית, תחויב במס פירותי לפי סעיף 2(6) לפקודה בשיעור מס הקבוע בסעיף 124 לפקודה.\n\nחלק התשלום המשולם לדייר היוצא חייב במס רווח הון לפי חלק ה\' לפקודה. אלא אם כן הזכויות הנמכרות הן \"בדירת מגורים\", שאינן מחויבות במס.\n<h2> חוק הגנת הדייר – מושגים</h2>\nחוק הגנת הדייר (נוסח משולב), התשל\"ב - 1972, (להלן-\"החוק\") מגדיר את זכויות וחובות של בעל הבית והדייר , ומונה את עילות הפינוי של הדייר המוגן. כמו כן החוק חל הן על דיירים המחזיקים בנכס עסקי וכן על דירות מגורים.\n\nד. תחולת החוק:\n\n1. נכס הנכלל בתחולת החוק, הינו:\n\nשכירות של בנין או חלק מבנין וחצר או גינה המשמשים את מטרת השכירות, למעט: (רשימה חלקית )\n\nא. קרקע פנויה שהושכרה לאחר 8.7.1955.\n\nב. שכירות לתקופה של יותר משבע שנים, שנעשתה לאחר 8.7.1955, ופורש בחוזה השכירות בכתב, כי הדייר לא יהיה מוגן על פי חוק זה. וכן שכירות של יותר מ - 14 שנה, שנעשתה לפני 8.7.1955.\n\nג. משק חקלאי.\n\nד. בניינים חדשים שנבנו לאחר 20.8.1968.\n<h2>2. \"דייר מוגן\" , על פי החוק , הוא:</h2>\nא. דייר ששילם דמי מפתח עבור הנכס המוחזק.\n\nב. דייר שלא שילם דמי מפתח, אך נכנס לנכס לפני שנת 1940.\n\nג. כל בן משפחה שהפך לדייר מוגן לאחר שעברה אליו הזכות מהדייר\n\nהמוגן המקורי על פי התנאים בחוק.\n\nד. דייר שנכנס לנכס לאחר 20.08.1968, ושילם דמי מפתח.\n\nה. \"דמי מפתח \" - כל תמורה שאינה דמי שכירות, הניתנת בקשר לשכירות של מושכר או בקשר לקבלת החזקה או להחזרת החזקה במושכר לפי חוק זה- ללא קשר למועד התשלום בפועל.\n\nו. \"בעל בית\" - מי שהשכיר נכס בשכירות ראשית, בין אם הוא בעלו של הנכס המושכר ובין אם לא, לרבות חליפיו.\n<h2> 2. פסק הדין בעניין פרוכטר (ע 1328/04, 1336/04)</h2>\nבפסק הדין בעניין פרוכטר נדונה השאלה כאמור בסעיף 1(א) לעיל, דעת הרוב פסקה כי בחישוב השבח יש לקבוע את שווי הרכישה של זכות הבעלות \"כשווי המכירה\" שנקבע בעת שהדייר המוגן רכש את זכות הבעלות – מחיר ששיקף שווי נמוך בשל היות הנכס \"תפוס\" כבר על ידו כדייר מוגן.\n\nבעמדתה זו, לא התחשבה דעת הרוב בעלות הנוספת שהיתה לדייר המוגן (דמי המפתח) ואשר בשלה שווי רכישת זכות הבעלות היה נמוך.\n\nדעת המיעוט, לעומת זאת קבעה כי יש להתחשב בעלות רכישת הדיירות המוגנת בעת חישוב השבח, בין היתר גם מהטעם שלאחר תיקון 55 לחוק ותיקון הרישא שבסעיף 39 לחוק, יש לראות בדמי מפתח הוצאה המותרת בניכויי \"כהוצאה שהוציא המוכר לרכישת הזכות במקרקעין\".\n<h2> 3. הוראות לפעולה</h2>\nעל מנת להגיע למיסוי נכון של הרווח הכלכלי האמיתי שנצמח למוכר זכות במקרקעין שהיה דייר מוגן ורכש את זכות הבעלות, ועל-מנת למנוע את העיוותים הכלכליים נשוא הו\"ב 24/85, נקבע כדלקמן:\n\nא. סעיף 3 בהוראת ביצוע 24/85 מיום 4.9.85 מבוטל.\n\nב. בחישוב השבח במכירת זכות במקרקעין ע\"י מי שהיה דייר מוגן ורכש את זכות הבעלות, יותרו בניכוי דמי המפתח ששולמו בשעתו על ידו לצורך רכישת זכות הדיירות המוגנת.\n\nהוצאת דמי המפתח תתואם מיום ההוצאה ועד ליום רכישת הבעלות בנכס, ותותר בניכוי ליום רכישת זכות הבעלות.\n\nיובהר, כי לא כל דייר מוגן נדרש לשלם דמי מפתח, לפיכך יש לקבל תיעוד או אסמכתאות על תשלום בפועל.\n\nג. דמי מפתח בעד שכירות מוגנת בבית עסק ששילם הדייר עד ליום 31/3/64, ניתן היה לנכותם על פי הפקודה, תקנות מס הכנסה (התרת הפחתות בעד הוצאות) התשל\"ט- 1978.\n\nלפיכך, על המנהל להשתכנע שדמי המפתח לא הותרו בניכוי על ידי פקיד השומה לפני התרתם בניכוי בחישוב השבח.\n\nד. תחולת ההוראה מיום הפצתה.\n\n<strong>בברכה,</strong><strong>רשות המסים בישראל</strong>", "מיסוי מקרקעין - דמי מפתח - התרתם בניכוי בחישוב השבח", "", "inherit", "open", "open", "", "64-autosave", "", "", "2012-09-20 19:18:48", "2012-09-20 16:18:48", "", "64", "http://techwebtesting.com/rublaw/64-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("67", "1", "2012-07-18 10:08:11", "2012-07-18 07:08:11", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\n<span style=\"text-decoration: underline;\"> <strong>חובה ליתן הודעה מוקדמת לפיטורים ולהתפטרות</strong></span>\r\n\r\nמעביד המבקש לפטר עובד ייתן לו הודעה מוקדמת לפיטורים.\r\n\r\nעובד המבקש להתפטר מעבודתו ייתן למעבידו הודעה מוקדמת להתפטרות.\r\n\r\nהודעה מוקדמת תינתן בכתב ותציין את יום הוצאת ההודעה ואת יום הכניסה לתוקף של הפיטורים או ההתפטרות, לפי הענין.\r\n\r\n<span style=\"text-decoration: underline;\"><strong>הודעה מוקדמת לפיטורים לעובד במשכורת</strong></span>\r\n\r\n\"עובד במשכורת\" - עובד שעיקר גמול עבודתו, משתלם על בסיס של חודש או של תקופה ארוכה יותר.\r\n\r\nעובד במשכורת זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\r\n\r\n*במהלך ששת חודשי עבודתו הראשונים - של יום אחד בשל כל חודש עבודה;\r\n\r\n*במהלך התקופה החל בחודש השביעי לעבודתו עד תום שנת עבודתו הראשונה - של 6 ימים, בתוספת של יומיים וחצי בשל כל חודש עבודה בתקופה הנ\"ל;\r\n\r\n*לאחר שנת עבודתו הראשונה - של חודש ימים;\r\n\r\n&nbsp;\r\n\r\n<strong>ההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.</strong>\r\n\r\n&nbsp;\r\n\r\n<span style=\"text-decoration: underline;\"><strong>הודעה מוקדמת לפיטורים לעובד בשכר</strong></span>\r\n\r\n\"עובד בשכר\" - עובד שאינו עובד במשכורת.\r\n\r\nעובד בשכר זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\r\n\r\n*במהלך שנת עבודתו הראשונה - של יום אחד בשל כל חודש עבודה;\r\n\r\n*במהלך שנת עבודתו השניה - של 14 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\r\n\r\n*במהלך שנת עבודתו השלישית - של 21 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\r\n\r\n*לאחר שנת עבודתו השלישית - של חודש ימים;\r\n\r\n&nbsp;\r\n\r\n<strong>ההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.</strong>\r\n\r\n&nbsp;\r\n\r\n<span style=\"text-decoration: underline;\"><strong>ויתור על עבודה בפועל</strong></span>\r\n\r\nמעביד רשאי להודיע לעובד, בהודעה מוקדמת לפיטורים, כי הוא מוותר על נוכחות העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובד פיצוי בסכום השווה לשכרו הרגיל של העובד בעד בתקופה שלגביה ויתר על עבודתו.\r\n\r\nמעביד רשאי להודיע לעובד שנתן הודעה מוקדמת להתפטרות, כי הוא מוותר על נוכחותו של העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובדו פיצוי בסכום השווה לשכרו הרגיל של העובד בעד התקופה שלגביה ויתר על עבודתו.\r\n\r\n&nbsp;\r\n\r\n<span style=\"text-decoration: underline;\"><strong>תוצאות אי מתן הודעה מוקדמת</strong></span>\r\n\r\nמעביד שפיטר עובד ולא נתן לו הודעה מוקדמת לפיטורים, ישלם לעובד פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\r\n\r\nעובד שחדל לעבוד ולא נתן למעבידו הודעה מוקדמת להתפטרות, ישלם למעבידו פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\r\n\r\n<span style=\"text-decoration: underline;\"><strong>פיטורים והתפטרות בלא מתן הודעה מוקדמת</strong></span>\r\n\r\nהתפטרות ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת להתפטרות, לא יחולו על עובד, בנסיבות מיוחדות שעקב קיומן אין לדרוש ממנו כי יעבוד בתקופת ההודעה המוקדמת.\r\n\r\nפיטורים ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת לפיטורים, לא יחולו על מעביד, בנסיבות שבהן העובד שפוטר אינו זכאי לפיצויים, על פי החלטת בית דין למשמעת אשר הורה על פיטורים בלא פיצויים מכוח הוראות חיקוק הקובע שיפוט משמעתי, או במקרה שעובד פוטר בנסיבות הבאות:\r\n\r\n&nbsp;\r\n\r\n*פיטורים ללא פיצויים מכוח הסכם קיבוצי - לא יהיה עובד זכאי לפיצויים או יהיה זכאי לפיצויים חלקיים בלבד, הכל לפי הענין, אם פוטר בנסיבות, שעל פי הסכם קיבוצי החל על המעביד והעובד - ובאין הסכם כזה, על פי ההסכם הקיבוצי החל על המספר הגדול ביותר של העובדים באותו ענף - מצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים בלבד.\r\n\r\n*פיטורים ללא פיצויים מכוח פסק דין - בענף העבודה שאין בו הסכם קיבוצי, רשאי בית הדין האזורי לעבודה לקבוע שפיטוריו של עובד היו בנסיבות המצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים שיקבע; בדונו בענין זה יונחה בית הדין האזורי לעבודה על פי הכללים שבהסכם הקיבוצי החל על המספר הגדול ביותר של עובדים.\r\n\r\nהאמור לעיל אינו בא למעט מכל זכות הנתונה לעובד לפי חוק, הסכם קיבוצי או חוזה עבודה.\r\n\r\n&nbsp;\r\n\r\nהמידע המוצג במאמר הנו מידע כללי בלבד, ואין בו כדי להוות ייעוץ ו/או חוות דעת משפטית. המחבר אינו נושא באחריות כלשהי כלפי הקוראים, ואלה נדרשים לקבל עצה מקצועית לפני כל פעולה המסתמכת על הדברים האמורים.\r\n\r\n&nbsp;\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום דיני עבודה,יחסי עובד מעביד, חופש העיסוק, שכר עבודה והלנה, פיטורים והתפטרות, פיצויים, פיצויי פיטורים במקרים של התפטרות, שעות עבודה ומנוחה, עבודת נשים, פיטורים בזמן הריון, הרעת תנאים בשל הריון, הפליה בשל הריון, חילופי מעבידים, הסכמי עבודה/העסקה, סודיות ואי תחרות, תנאי עבודה וזכויות סוציאליות ועוד.\r\n\r\n&nbsp;\r\n\r\nמשרדנו הינו בעל התמחות ייחודית במקרים של התמוטטות כלכלית של המעביד (הפסקת פעילות, פשיטת רגל או פירוק של המעסיק) ומייצג עובדים במיצוי ואכיפת זכויותיהם במקרים שכאלו.", "הודעה מוקדמת לפיטורים ולהתפטרות", "", "inherit", "open", "open", "", "61-revision-2", "", "", "2012-07-18 10:08:11", "2012-07-18 07:08:11", "", "61", "http://techwebtesting.com/rublaw/61-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("64", "1", "2012-07-13 10:16:25", "2012-07-13 07:16:25", "כ\"ה סיון תשס\"ט\r\n\r\n‏17 יוני 2009\r\n\r\nמש- 04427109\r\n<h1>הוראת ביצוע מיסוי מקרקעין 8/2009</h1>\r\n<h1>הנדון: \"דמי מפתח\" - התרתם בניכוי בחישוב השבח</h1>\r\n<h2>1. כללי</h2>\r\nא. הוראת ביצוע זו עניינה במכירת זכות במקרקעין במובן חוק מיסוי מקרקעין (שבח ורכישה) התשכ\"ג - 1963 (להלן: \"החוק\") ע\"י מי שהיה דייר מוגן ובשלב מאוחר יותר רכש את זכות הבעלות. במקרה זה עולה השאלה האם יש להביא בחשבון בעת חישוב השבח את התשלום ששילם המוכר לרכישת זכות הדיירות המוגנת קרי, את תשלום דמי המפתח.\r\n\r\nב. עפ\"י חוק הגנת הדייר (נוסח משולב) התשל\"ב – 1972 (להלן: \"חוק הגנת הדייר\") , במכירת זכות דיירות מוגנת על ידי בעל הבית משלם הדייר הנכנס, דמי מפתח לבעל הבית. כמו כן, בעת החלפת דייר מוגן משלם הדייר הנכנס דמי מפתח, שחלקם משתלמים לבעל בית ויתרתם משתלמים לדייר היוצא.\r\n\r\nג. קבלת \"דמי מפתח\" בידי בעל הבית, תחויב במס פירותי לפי סעיף 2(6) לפקודה בשיעור מס הקבוע בסעיף 124 לפקודה.\r\n\r\nחלק התשלום המשולם לדייר היוצא חייב במס רווח הון לפי חלק ה\' לפקודה. אלא אם כן הזכויות הנמכרות הן \"בדירת מגורים\", שאינן מחויבות במס.\r\n<h2> חוק הגנת הדייר – מושגים</h2>\r\nחוק הגנת הדייר (נוסח משולב), התשל\"ב - 1972, (להלן-\"החוק\") מגדיר את זכויות וחובות של בעל הבית והדייר , ומונה את עילות הפינוי של הדייר המוגן. כמו כן החוק חל הן על דיירים המחזיקים בנכס עסקי וכן על דירות מגורים.\r\n\r\nד. תחולת החוק:\r\n\r\n1. נכס הנכלל בתחולת החוק, הינו:\r\n\r\nשכירות של בנין או חלק מבנין וחצר או גינה המשמשים את מטרת השכירות, למעט: (רשימה חלקית )\r\n\r\nא. קרקע פנויה שהושכרה לאחר 8.7.1955.\r\n\r\nב. שכירות לתקופה של יותר משבע שנים, שנעשתה לאחר 8.7.1955, ופורש בחוזה השכירות בכתב, כי הדייר לא יהיה מוגן על פי חוק זה. וכן שכירות של יותר מ - 14 שנה, שנעשתה לפני 8.7.1955.\r\n\r\nג. משק חקלאי.\r\n\r\nד. בניינים חדשים שנבנו לאחר 20.8.1968.\r\n<h2>2. \"דייר מוגן\" , על פי החוק , הוא:</h2>\r\nא. דייר ששילם דמי מפתח עבור הנכס המוחזק.\r\n\r\nב. דייר שלא שילם דמי מפתח, אך נכנס לנכס לפני שנת 1940.\r\n\r\nג. כל בן משפחה שהפך לדייר מוגן לאחר שעברה אליו הזכות מהדייר\r\n\r\nהמוגן המקורי על פי התנאים בחוק.\r\n\r\nד. דייר שנכנס לנכס לאחר 20.08.1968, ושילם דמי מפתח.\r\n\r\nה. \"דמי מפתח \" - כל תמורה שאינה דמי שכירות, הניתנת בקשר לשכירות של מושכר או בקשר לקבלת החזקה או להחזרת החזקה במושכר לפי חוק זה- ללא קשר למועד התשלום בפועל.\r\n\r\nו. \"בעל בית\" - מי שהשכיר נכס בשכירות ראשית, בין אם הוא בעלו של הנכס המושכר ובין אם לא, לרבות חליפיו.\r\n<h2> 2. פסק הדין בעניין פרוכטר (ע 1328/04, 1336/04)</h2>\r\nבפסק הדין בעניין פרוכטר נדונה השאלה כאמור בסעיף 1(א) לעיל, דעת הרוב פסקה כי בחישוב השבח יש לקבוע את שווי הרכישה של זכות הבעלות \"כשווי המכירה\" שנקבע בעת שהדייר המוגן רכש את זכות הבעלות – מחיר ששיקף שווי נמוך בשל היות הנכס \"תפוס\" כבר על ידו כדייר מוגן.\r\n\r\nבעמדתה זו, לא התחשבה דעת הרוב בעלות הנוספת שהיתה לדייר המוגן (דמי המפתח) ואשר בשלה שווי רכישת זכות הבעלות היה נמוך.\r\n\r\nדעת המיעוט, לעומת זאת קבעה כי יש להתחשב בעלות רכישת הדיירות המוגנת בעת חישוב השבח, בין היתר גם מהטעם שלאחר תיקון 55 לחוק ותיקון הרישא שבסעיף 39 לחוק, יש לראות בדמי מפתח הוצאה המותרת בניכויי \"כהוצאה שהוציא המוכר לרכישת הזכות במקרקעין\".\r\n<h2> 3. הוראות לפעולה</h2>\r\nעל מנת להגיע למיסוי נכון של הרווח הכלכלי האמיתי שנצמח למוכר זכות במקרקעין שהיה דייר מוגן ורכש את זכות הבעלות, ועל-מנת למנוע את העיוותים הכלכליים נשוא הו\"ב 24/85, נקבע כדלקמן:\r\n\r\nא. סעיף 3 בהוראת ביצוע 24/85 מיום 4.9.85 מבוטל.\r\n\r\nב. בחישוב השבח במכירת זכות במקרקעין ע\"י מי שהיה דייר מוגן ורכש את זכות הבעלות, יותרו בניכוי דמי המפתח ששולמו בשעתו על ידו לצורך רכישת זכות הדיירות המוגנת.\r\n\r\nהוצאת דמי המפתח תתואם מיום ההוצאה ועד ליום רכישת הבעלות בנכס, ותותר בניכוי ליום רכישת זכות הבעלות.\r\n\r\nיובהר, כי לא כל דייר מוגן נדרש לשלם דמי מפתח, לפיכך יש לקבל תיעוד או אסמכתאות על תשלום בפועל.\r\n\r\nג. דמי מפתח בעד שכירות מוגנת בבית עסק ששילם הדייר עד ליום 31/3/64, ניתן היה לנכותם על פי הפקודה, תקנות מס הכנסה (התרת הפחתות בעד הוצאות) התשל\"ט- 1978.\r\n\r\nלפיכך, על המנהל להשתכנע שדמי המפתח לא הותרו בניכוי על ידי פקיד השומה לפני התרתם בניכוי בחישוב השבח.\r\n\r\nד. תחולת ההוראה מיום הפצתה.\r\n\r\n<strong>בברכה,</strong><strong>רשות המסים בישראל</strong>", "מיסוי מקרקעין - דמי מפתח - התרתם בניכוי בחישוב השבח", "", "publish", "open", "open", "", "%d7%9e%d7%99%d7%a1%d7%95%d7%99-%d7%9e%d7%a7%d7%a8%d7%a7%d7%a2%d7%99%d7%9f-%d7%93%d7%9e%d7%99-%d7%9e%d7%a4%d7%aa%d7%97-%d7%94%d7%aa%d7%a8%d7%aa%d7%9d-%d7%91%d7%a0%d7%99%d7%9b%d7%95%d7%99-%d7%91", "", "", "2012-09-20 19:19:20", "2012-09-20 16:19:20", "", "0", "http://techwebtesting.com/rublaw/?p=64", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("65", "1", "2012-07-18 10:13:41", "2012-07-18 07:13:41", "כ\"ה סיון תשס\"ט\n\n‏17 יוני 2009\n\nמש- 04427109\n\n<strong>הוראת ביצוע מיסוי מקרקעין 8/2009</strong>\n\n<strong> הנדון: \"דמי מפתח\" - התרתם בניכוי בחישוב השבח</strong>\n\n&nbsp;\n\n<strong>1. <span style=\"text-decoration: underline;\">כללי</span></strong>\n\n&nbsp;\n\nא. הוראת ביצוע זו עניינה במכירת זכות במקרקעין במובן חוק מיסוי מקרקעין (שבח ורכישה) התשכ\"ג - 1963 (להלן: \"החוק\") ע\"י מי שהיה דייר מוגן ובשלב מאוחר יותר רכש את זכות הבעלות. במקרה זה עולה השאלה האם יש להביא בחשבון בעת חישוב השבח את התשלום ששילם המוכר לרכישת זכות הדיירות המוגנת קרי, את תשלום דמי המפתח.\n\n&nbsp;\n\nב. עפ\"י חוק הגנת הדייר (נוסח משולב) התשל\"ב – 1972 (להלן: \"חוק הגנת הדייר\") , במכירת זכות דיירות מוגנת על ידי בעל הבית משלם הדייר הנכנס, דמי מפתח לבעל הבית. כמו כן, בעת החלפת דייר מוגן משלם הדייר הנכנס דמי מפתח, שחלקם משתלמים לבעל בית ויתרתם משתלמים לדייר היוצא.\n\n&nbsp;\n\nג. קבלת \"דמי מפתח\" בידי בעל הבית, תחויב במס פירותי לפי סעיף 2(6) לפקודה בשיעור מס הקבוע בסעיף 124 לפקודה.\n\n&nbsp;\n\nחלק התשלום המשולם לדייר היוצא חייב במס רווח הון לפי חלק ה\' לפקודה. אלא אם כן הזכויות הנמכרות הן \"בדירת מגורים\", שאינן מחויבות במס.\n\n&nbsp;\n\n<span style=\"text-decoration: underline;\"><strong>חוק הגנת הדייר – מושגים</strong></span>\n\nחוק הגנת הדייר (נוסח משולב), התשל\"ב - 1972, (להלן-\"החוק\") מגדיר את זכויות וחובות של בעל הבית והדייר , ומונה את עילות הפינוי של הדייר המוגן. כמו כן החוק חל הן על דיירים המחזיקים בנכס עסקי וכן על דירות מגורים.\n\n&nbsp;\n\nד. תחולת החוק:\n\n&nbsp;\n\n1. נכס הנכלל בתחולת החוק, הינו:\n\n&nbsp;\n\nשכירות של בנין או חלק מבנין וחצר או גינה המשמשים את מטרת השכירות, למעט: (רשימה חלקית )\n\n&nbsp;\n\nא. קרקע פנויה שהושכרה לאחר 8.7.1955.\n\nב. שכירות לתקופה של יותר משבע שנים, שנעשתה לאחר 8.7.1955, ופורש בחוזה השכירות בכתב, כי הדייר לא יהיה מוגן על פי חוק זה. וכן שכירות של יותר מ - 14 שנה, שנעשתה לפני 8.7.1955.\n\nג. משק חקלאי.\n\nד. בניינים חדשים שנבנו לאחר 20.8.1968.\n\n&nbsp;\n\n2. \"דייר מוגן\" , על פי החוק , הוא:\n\n&nbsp;\n\nא. דייר ששילם דמי מפתח עבור הנכס המוחזק.\n\nב. דייר שלא שילם דמי מפתח, אך נכנס לנכס לפני שנת 1940.\n\nג. כל בן משפחה שהפך לדייר מוגן לאחר שעברה אליו הזכות מהדייר\n\nהמוגן המקורי על פי התנאים בחוק.\n\nד. דייר שנכנס לנכס לאחר 20.08.1968, ושילם דמי מפתח.\n\n&nbsp;\n\nה. \"דמי מפתח \" - כל תמורה שאינה דמי שכירות, הניתנת בקשר לשכירות של מושכר או בקשר לקבלת החזקה או להחזרת החזקה במושכר לפי חוק זה- ללא קשר למועד התשלום בפועל.\n\n&nbsp;\n\nו. \"בעל בית\" - מי שהשכיר נכס בשכירות ראשית, בין אם הוא בעלו של הנכס המושכר ובין אם לא, לרבות חליפיו.\n\n&nbsp;\n\n2. פסק הדין בעניין פרוכטר (ע 1328/04, 1336/04)\n\n&nbsp;\n\nבפסק הדין בעניין פרוכטר נדונה השאלה כאמור בסעיף 1(א) לעיל, דעת הרוב פסקה כי בחישוב השבח יש לקבוע את שווי הרכישה של זכות הבעלות \"כשווי המכירה\" שנקבע בעת שהדייר המוגן רכש את זכות הבעלות – מחיר ששיקף שווי נמוך בשל היות הנכס \"תפוס\" כבר על ידו כדייר מוגן.\n\n&nbsp;\n\nבעמדתה זו, לא התחשבה דעת הרוב בעלות הנוספת שהיתה לדייר המוגן (דמי המפתח) ואשר בשלה שווי רכישת זכות הבעלות היה נמוך.\n\n&nbsp;\n\nדעת המיעוט, לעומת זאת קבעה כי יש להתחשב בעלות רכישת הדיירות המוגנת בעת חישוב השבח, בין היתר גם מהטעם שלאחר תיקון 55 לחוק ותיקון הרישא שבסעיף 39 לחוק, יש לראות בדמי מפתח הוצאה המותרת בניכויי \"כהוצאה שהוציא המוכר לרכישת הזכות במקרקעין\".\n\n&nbsp;\n\n3. הוראות לפעולה\n\n&nbsp;\n\nעל מנת להגיע למיסוי נכון של הרווח הכלכלי האמיתי שנצמח למוכר זכות במקרקעין שהיה דייר מוגן ורכש את זכות הבעלות, ועל-מנת למנוע את העיוותים הכלכליים נשוא הו\"ב 24/85, נקבע כדלקמן:\n\n&nbsp;\n\nא. סעיף 3 בהוראת ביצוע 24/85 מיום 4.9.85 מבוטל.\n\n&nbsp;\n\nב. בחישוב השבח במכירת זכות במקרקעין ע\"י מי שהיה דייר מוגן ורכש את זכות הבעלות, יותרו בניכוי דמי המפתח ששולמו בשעתו על ידו לצורך רכישת זכות הדיירות המוגנת.\n\n&nbsp;\n\nהוצאת דמי המפתח תתואם מיום ההוצאה ועד ליום רכישת הבעלות בנכס, ותותר בניכוי ליום רכישת זכות הבעלות.\n\nיובהר, כי לא כל דייר מוגן נדרש לשלם דמי מפתח, לפיכך יש לקבל תיעוד או אסמכתאות על תשלום בפועל.\n\n&nbsp;\n\nג. דמי מפתח בעד שכירות מוגנת בבית עסק ששילם הדייר עד ליום 31/3/64, ניתן היה לנכותם על פי הפקודה, תקנות מס הכנסה (התרת הפחתות בעד הוצאות) התשל\"ט- 1978.\n\n&nbsp;\n\nלפיכך, על המנהל להשתכנע שדמי המפתח לא הותרו בניכוי על ידי פקיד השומה לפני התרתם בניכוי בחישוב השבח.\n\n&nbsp;\n\nד. תחולת ההוראה מיום הפצתה.", "מיסוי מקרקעין - דמי מפתח - התרתם בניכוי בחישוב השבח", "", "inherit", "open", "open", "", "64-revision", "", "", "2012-07-18 10:13:41", "2012-07-18 07:13:41", "", "64", "http://techwebtesting.com/rublaw/64-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("69", "1", "2012-07-18 10:20:34", "2012-07-18 07:20:34", "מאת: פיני רובינשטיין, עו\"ד\r\n<h2> חובה ליתן הודעה מוקדמת לפיטורים ולהתפטרות</h2>\r\nמעביד המבקש לפטר עובד ייתן לו הודעה מוקדמת לפיטורים.\r\n\r\nעובד המבקש להתפטר מעבודתו ייתן למעבידו הודעה מוקדמת להתפטרות.\r\n\r\nהודעה מוקדמת תינתן בכתב ותציין את יום הוצאת ההודעה ואת יום הכניסה לתוקף של הפיטורים או ההתפטרות, לפי הענין.\r\n<h2>הודעה מוקדמת לפיטורים לעובד במשכורת</h2>\r\n\"עובד במשכורת\" - עובד שעיקר גמול עבודתו, משתלם על בסיס של חודש או של תקופה ארוכה יותר.\r\n\r\nעובד במשכורת זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\r\n\r\n*במהלך ששת חודשי עבודתו הראשונים - של יום אחד בשל כל חודש עבודה;\r\n\r\n*במהלך התקופה החל בחודש השביעי לעבודתו עד תום שנת עבודתו הראשונה - של 6 ימים, בתוספת של יומיים וחצי בשל כל חודש עבודה בתקופה הנ\"ל;\r\n\r\n*לאחר שנת עבודתו הראשונה - של חודש ימים;\r\n\r\n&nbsp;\r\n\r\n<strong>ההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.</strong>\r\n\r\n&nbsp;\r\n<h2>הודעה מוקדמת לפיטורים לעובד בשכר</h2>\r\n\"עובד בשכר\" - עובד שאינו עובד במשכורת.\r\n\r\nעובד בשכר זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\r\n\r\n*במהלך שנת עבודתו הראשונה - של יום אחד בשל כל חודש עבודה;\r\n\r\n*במהלך שנת עבודתו השניה - של 14 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\r\n\r\n*במהלך שנת עבודתו השלישית - של 21 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\r\n\r\n*לאחר שנת עבודתו השלישית - של חודש ימים;\r\n\r\n&nbsp;\r\n\r\n<strong>ההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.</strong>\r\n\r\n&nbsp;\r\n<h2>ויתור על עבודה בפועל</h2>\r\nמעביד רשאי להודיע לעובד, בהודעה מוקדמת לפיטורים, כי הוא מוותר על נוכחות העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובד פיצוי בסכום השווה לשכרו הרגיל של העובד בעד בתקופה שלגביה ויתר על עבודתו.\r\n\r\nמעביד רשאי להודיע לעובד שנתן הודעה מוקדמת להתפטרות, כי הוא מוותר על נוכחותו של העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובדו פיצוי בסכום השווה לשכרו הרגיל של העובד בעד התקופה שלגביה ויתר על עבודתו.\r\n\r\n&nbsp;\r\n<h2>תוצאות אי מתן הודעה מוקדמת</h2>\r\nמעביד שפיטר עובד ולא נתן לו הודעה מוקדמת לפיטורים, ישלם לעובד פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\r\n\r\nעובד שחדל לעבוד ולא נתן למעבידו הודעה מוקדמת להתפטרות, ישלם למעבידו פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\r\n<h2>פיטורים והתפטרות בלא מתן הודעה מוקדמת</h2>\r\nהתפטרות ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת להתפטרות, לא יחולו על עובד, בנסיבות מיוחדות שעקב קיומן אין לדרוש ממנו כי יעבוד בתקופת ההודעה המוקדמת.\r\n\r\nפיטורים ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת לפיטורים, לא יחולו על מעביד, בנסיבות שבהן העובד שפוטר אינו זכאי לפיצויים, על פי החלטת בית דין למשמעת אשר הורה על פיטורים בלא פיצויים מכוח הוראות חיקוק הקובע שיפוט משמעתי, או במקרה שעובד פוטר בנסיבות הבאות:\r\n\r\n&nbsp;\r\n\r\n*פיטורים ללא פיצויים מכוח הסכם קיבוצי - לא יהיה עובד זכאי לפיצויים או יהיה זכאי לפיצויים חלקיים בלבד, הכל לפי הענין, אם פוטר בנסיבות, שעל פי הסכם קיבוצי החל על המעביד והעובד - ובאין הסכם כזה, על פי ההסכם הקיבוצי החל על המספר הגדול ביותר של העובדים באותו ענף - מצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים בלבד.\r\n\r\n*פיטורים ללא פיצויים מכוח פסק דין - בענף העבודה שאין בו הסכם קיבוצי, רשאי בית הדין האזורי לעבודה לקבוע שפיטוריו של עובד היו בנסיבות המצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים שיקבע; בדונו בענין זה יונחה בית הדין האזורי לעבודה על פי הכללים שבהסכם הקיבוצי החל על המספר הגדול ביותר של עובדים.\r\n\r\nהאמור לעיל אינו בא למעט מכל זכות הנתונה לעובד לפי חוק, הסכם קיבוצי או חוזה עבודה.\r\n\r\n&nbsp;\r\n\r\nהמידע המוצג במאמר הנו מידע כללי בלבד, ואין בו כדי להוות ייעוץ ו/או חוות דעת משפטית. המחבר אינו נושא באחריות כלשהי כלפי הקוראים, ואלה נדרשים לקבל עצה מקצועית לפני כל פעולה המסתמכת על הדברים האמורים.\r\n\r\n&nbsp;\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום דיני עבודה,יחסי עובד מעביד, חופש העיסוק, שכר עבודה והלנה, פיטורים והתפטרות, פיצויים, פיצויי פיטורים במקרים של התפטרות, שעות עבודה ומנוחה, עבודת נשים, פיטורים בזמן הריון, הרעת תנאים בשל הריון, הפליה בשל הריון, חילופי מעבידים, הסכמי עבודה/העסקה, סודיות ואי תחרות, תנאי עבודה וזכויות סוציאליות ועוד.\r\n\r\n&nbsp;\r\n\r\nמשרדנו הינו בעל התמחות ייחודית במקרים של התמוטטות כלכלית של המעביד (הפסקת פעילות, פשיטת רגל או פירוק של המעסיק) ומייצג עובדים במיצוי ואכיפת זכויותיהם במקרים שכאלו.", "הודעה מוקדמת לפיטורים ולהתפטרות", "", "inherit", "open", "open", "", "61-revision-3", "", "", "2012-07-18 10:20:34", "2012-07-18 07:20:34", "", "61", "http://techwebtesting.com/rublaw/61-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("72", "1", "2012-07-18 11:14:54", "2012-07-18 08:14:54", "כ\"ה סיון תשס\"ט\r\n\r\n‏17 יוני 2009\r\n\r\nמש- 04427109\r\n<h1>הוראת ביצוע מיסוי מקרקעין 8/2009</h1>\r\n<h1> הנדון: \"דמי מפתח\" - התרתם בניכוי בחישוב השבח</h1>\r\n<h2>1. כללי</h2>\r\nא. הוראת ביצוע זו עניינה במכירת זכות במקרקעין במובן חוק מיסוי מקרקעין (שבח ורכישה) התשכ\"ג - 1963 (להלן: \"החוק\") ע\"י מי שהיה דייר מוגן ובשלב מאוחר יותר רכש את זכות הבעלות. במקרה זה עולה השאלה האם יש להביא בחשבון בעת חישוב השבח את התשלום ששילם המוכר לרכישת זכות הדיירות המוגנת קרי, את תשלום דמי המפתח.\r\n\r\nב. עפ\"י חוק הגנת הדייר (נוסח משולב) התשל\"ב – 1972 (להלן: \"חוק הגנת הדייר\") , במכירת זכות דיירות מוגנת על ידי בעל הבית משלם הדייר הנכנס, דמי מפתח לבעל הבית. כמו כן, בעת החלפת דייר מוגן משלם הדייר הנכנס דמי מפתח, שחלקם משתלמים לבעל בית ויתרתם משתלמים לדייר היוצא.\r\n\r\nג. קבלת \"דמי מפתח\" בידי בעל הבית, תחויב במס פירותי לפי סעיף 2(6) לפקודה בשיעור מס הקבוע בסעיף 124 לפקודה.\r\n\r\nחלק התשלום המשולם לדייר היוצא חייב במס רווח הון לפי חלק ה\' לפקודה. אלא אם כן הזכויות הנמכרות הן \"בדירת מגורים\", שאינן מחויבות במס.\r\n<h2> חוק הגנת הדייר – מושגים</h2>\r\nחוק הגנת הדייר (נוסח משולב), התשל\"ב - 1972, (להלן-\"החוק\") מגדיר את זכויות וחובות של בעל הבית והדייר , ומונה את עילות הפינוי של הדייר המוגן. כמו כן החוק חל הן על דיירים המחזיקים בנכס עסקי וכן על דירות מגורים.\r\n\r\nד. תחולת החוק:\r\n\r\n1. נכס הנכלל בתחולת החוק, הינו:\r\n\r\nשכירות של בנין או חלק מבנין וחצר או גינה המשמשים את מטרת השכירות, למעט: (רשימה חלקית )\r\n\r\nא. קרקע פנויה שהושכרה לאחר 8.7.1955.\r\n\r\nב. שכירות לתקופה של יותר משבע שנים, שנעשתה לאחר 8.7.1955, ופורש בחוזה השכירות בכתב, כי הדייר לא יהיה מוגן על פי חוק זה. וכן שכירות של יותר מ - 14 שנה, שנעשתה לפני 8.7.1955.\r\n\r\nג. משק חקלאי.\r\n\r\nד. בניינים חדשים שנבנו לאחר 20.8.1968.\r\n<h2>2. \"דייר מוגן\" , על פי החוק , הוא:</h2>\r\n&nbsp;\r\n\r\nא. דייר ששילם דמי מפתח עבור הנכס המוחזק.\r\n\r\nב. דייר שלא שילם דמי מפתח, אך נכנס לנכס לפני שנת 1940.\r\n\r\nג. כל בן משפחה שהפך לדייר מוגן לאחר שעברה אליו הזכות מהדייר\r\n\r\nהמוגן המקורי על פי התנאים בחוק.\r\n\r\nד. דייר שנכנס לנכס לאחר 20.08.1968, ושילם דמי מפתח.\r\n\r\nה. \"דמי מפתח \" - כל תמורה שאינה דמי שכירות, הניתנת בקשר לשכירות של מושכר או בקשר לקבלת החזקה או להחזרת החזקה במושכר לפי חוק זה- ללא קשר למועד התשלום בפועל.\r\n\r\nו. \"בעל בית\" - מי שהשכיר נכס בשכירות ראשית, בין אם הוא בעלו של הנכס המושכר ובין אם לא, לרבות חליפיו.\r\n<h2> 2. פסק הדין בעניין פרוכטר (ע 1328/04, 1336/04)</h2>\r\nבפסק הדין בעניין פרוכטר נדונה השאלה כאמור בסעיף 1(א) לעיל, דעת הרוב פסקה כי בחישוב השבח יש לקבוע את שווי הרכישה של זכות הבעלות \"כשווי המכירה\" שנקבע בעת שהדייר המוגן רכש את זכות הבעלות – מחיר ששיקף שווי נמוך בשל היות הנכס \"תפוס\" כבר על ידו כדייר מוגן.\r\n\r\nבעמדתה זו, לא התחשבה דעת הרוב בעלות הנוספת שהיתה לדייר המוגן (דמי המפתח) ואשר בשלה שווי רכישת זכות הבעלות היה נמוך.\r\n\r\nדעת המיעוט, לעומת זאת קבעה כי יש להתחשב בעלות רכישת הדיירות המוגנת בעת חישוב השבח, בין היתר גם מהטעם שלאחר תיקון 55 לחוק ותיקון הרישא שבסעיף 39 לחוק, יש לראות בדמי מפתח הוצאה המותרת בניכויי \"כהוצאה שהוציא המוכר לרכישת הזכות במקרקעין\".\r\n<h2> 3. הוראות לפעולה</h2>\r\nעל מנת להגיע למיסוי נכון של הרווח הכלכלי האמיתי שנצמח למוכר זכות במקרקעין שהיה דייר מוגן ורכש את זכות הבעלות, ועל-מנת למנוע את העיוותים הכלכליים נשוא הו\"ב 24/85, נקבע כדלקמן:\r\n\r\nא. סעיף 3 בהוראת ביצוע 24/85 מיום 4.9.85 מבוטל.\r\n\r\nב. בחישוב השבח במכירת זכות במקרקעין ע\"י מי שהיה דייר מוגן ורכש את זכות הבעלות, יותרו בניכוי דמי המפתח ששולמו בשעתו על ידו לצורך רכישת זכות הדיירות המוגנת.\r\n\r\nהוצאת דמי המפתח תתואם מיום ההוצאה ועד ליום רכישת הבעלות בנכס, ותותר בניכוי ליום רכישת זכות הבעלות.\r\n\r\nיובהר, כי לא כל דייר מוגן נדרש לשלם דמי מפתח, לפיכך יש לקבל תיעוד או אסמכתאות על תשלום בפועל.\r\n\r\nג. דמי מפתח בעד שכירות מוגנת בבית עסק ששילם הדייר עד ליום 31/3/64, ניתן היה לנכותם על פי הפקודה, תקנות מס הכנסה (התרת הפחתות בעד הוצאות) התשל\"ט- 1978.\r\n\r\nלפיכך, על המנהל להשתכנע שדמי המפתח לא הותרו בניכוי על ידי פקיד השומה לפני התרתם בניכוי בחישוב השבח.\r\n\r\nד. תחולת ההוראה מיום הפצתה.\r\n\r\n<strong>בברכה,</strong><strong>רשות המסים בישראל</strong>", "מיסוי מקרקעין - דמי מפתח - התרתם בניכוי בחישוב השבח", "", "inherit", "open", "open", "", "64-revision-3", "", "", "2012-07-18 11:14:54", "2012-07-18 08:14:54", "", "64", "http://techwebtesting.com/rublaw/64-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("71", "1", "2012-07-18 10:16:25", "2012-07-18 07:16:25", "כ\"ה סיון תשס\"ט\r\n\r\n‏17 יוני 2009\r\n\r\nמש- 04427109\r\n\r\n<strong>הוראת ביצוע מיסוי מקרקעין 8/2009</strong>\r\n\r\n<strong> הנדון: \"דמי מפתח\" - התרתם בניכוי בחישוב השבח</strong>\r\n\r\n&nbsp;\r\n\r\n<strong>1. <span style=\"text-decoration: underline;\">כללי</span></strong>\r\n\r\n&nbsp;\r\n\r\nא. הוראת ביצוע זו עניינה במכירת זכות במקרקעין במובן חוק מיסוי מקרקעין (שבח ורכישה) התשכ\"ג - 1963 (להלן: \"החוק\") ע\"י מי שהיה דייר מוגן ובשלב מאוחר יותר רכש את זכות הבעלות. במקרה זה עולה השאלה האם יש להביא בחשבון בעת חישוב השבח את התשלום ששילם המוכר לרכישת זכות הדיירות המוגנת קרי, את תשלום דמי המפתח.\r\n\r\n&nbsp;\r\n\r\nב. עפ\"י חוק הגנת הדייר (נוסח משולב) התשל\"ב – 1972 (להלן: \"חוק הגנת הדייר\") , במכירת זכות דיירות מוגנת על ידי בעל הבית משלם הדייר הנכנס, דמי מפתח לבעל הבית. כמו כן, בעת החלפת דייר מוגן משלם הדייר הנכנס דמי מפתח, שחלקם משתלמים לבעל בית ויתרתם משתלמים לדייר היוצא.\r\n\r\n&nbsp;\r\n\r\nג. קבלת \"דמי מפתח\" בידי בעל הבית, תחויב במס פירותי לפי סעיף 2(6) לפקודה בשיעור מס הקבוע בסעיף 124 לפקודה.\r\n\r\n&nbsp;\r\n\r\nחלק התשלום המשולם לדייר היוצא חייב במס רווח הון לפי חלק ה\' לפקודה. אלא אם כן הזכויות הנמכרות הן \"בדירת מגורים\", שאינן מחויבות במס.\r\n\r\n&nbsp;\r\n\r\n<span style=\"text-decoration: underline;\"><strong>חוק הגנת הדייר – מושגים</strong></span>\r\n\r\nחוק הגנת הדייר (נוסח משולב), התשל\"ב - 1972, (להלן-\"החוק\") מגדיר את זכויות וחובות של בעל הבית והדייר , ומונה את עילות הפינוי של הדייר המוגן. כמו כן החוק חל הן על דיירים המחזיקים בנכס עסקי וכן על דירות מגורים.\r\n\r\n&nbsp;\r\n\r\nד. תחולת החוק:\r\n\r\n&nbsp;\r\n\r\n1. נכס הנכלל בתחולת החוק, הינו:\r\n\r\n&nbsp;\r\n\r\nשכירות של בנין או חלק מבנין וחצר או גינה המשמשים את מטרת השכירות, למעט: (רשימה חלקית )\r\n\r\n&nbsp;\r\n\r\nא. קרקע פנויה שהושכרה לאחר 8.7.1955.\r\n\r\nב. שכירות לתקופה של יותר משבע שנים, שנעשתה לאחר 8.7.1955, ופורש בחוזה השכירות בכתב, כי הדייר לא יהיה מוגן על פי חוק זה. וכן שכירות של יותר מ - 14 שנה, שנעשתה לפני 8.7.1955.\r\n\r\nג. משק חקלאי.\r\n\r\nד. בניינים חדשים שנבנו לאחר 20.8.1968.\r\n\r\n&nbsp;\r\n\r\n2. \"דייר מוגן\" , על פי החוק , הוא:\r\n\r\n&nbsp;\r\n\r\nא. דייר ששילם דמי מפתח עבור הנכס המוחזק.\r\n\r\nב. דייר שלא שילם דמי מפתח, אך נכנס לנכס לפני שנת 1940.\r\n\r\nג. כל בן משפחה שהפך לדייר מוגן לאחר שעברה אליו הזכות מהדייר\r\n\r\nהמוגן המקורי על פי התנאים בחוק.\r\n\r\nד. דייר שנכנס לנכס לאחר 20.08.1968, ושילם דמי מפתח.\r\n\r\n&nbsp;\r\n\r\nה. \"דמי מפתח \" - כל תמורה שאינה דמי שכירות, הניתנת בקשר לשכירות של מושכר או בקשר לקבלת החזקה או להחזרת החזקה במושכר לפי חוק זה- ללא קשר למועד התשלום בפועל.\r\n\r\n&nbsp;\r\n\r\nו. \"בעל בית\" - מי שהשכיר נכס בשכירות ראשית, בין אם הוא בעלו של הנכס המושכר ובין אם לא, לרבות חליפיו.\r\n\r\n&nbsp;\r\n\r\n2. פסק הדין בעניין פרוכטר (ע 1328/04, 1336/04)\r\n\r\n&nbsp;\r\n\r\nבפסק הדין בעניין פרוכטר נדונה השאלה כאמור בסעיף 1(א) לעיל, דעת הרוב פסקה כי בחישוב השבח יש לקבוע את שווי הרכישה של זכות הבעלות \"כשווי המכירה\" שנקבע בעת שהדייר המוגן רכש את זכות הבעלות – מחיר ששיקף שווי נמוך בשל היות הנכס \"תפוס\" כבר על ידו כדייר מוגן.\r\n\r\n&nbsp;\r\n\r\nבעמדתה זו, לא התחשבה דעת הרוב בעלות הנוספת שהיתה לדייר המוגן (דמי המפתח) ואשר בשלה שווי רכישת זכות הבעלות היה נמוך.\r\n\r\n&nbsp;\r\n\r\nדעת המיעוט, לעומת זאת קבעה כי יש להתחשב בעלות רכישת הדיירות המוגנת בעת חישוב השבח, בין היתר גם מהטעם שלאחר תיקון 55 לחוק ותיקון הרישא שבסעיף 39 לחוק, יש לראות בדמי מפתח הוצאה המותרת בניכויי \"כהוצאה שהוציא המוכר לרכישת הזכות במקרקעין\".\r\n\r\n&nbsp;\r\n\r\n3. הוראות לפעולה\r\n\r\n&nbsp;\r\n\r\nעל מנת להגיע למיסוי נכון של הרווח הכלכלי האמיתי שנצמח למוכר זכות במקרקעין שהיה דייר מוגן ורכש את זכות הבעלות, ועל-מנת למנוע את העיוותים הכלכליים נשוא הו\"ב 24/85, נקבע כדלקמן:\r\n\r\n&nbsp;\r\n\r\nא. סעיף 3 בהוראת ביצוע 24/85 מיום 4.9.85 מבוטל.\r\n\r\n&nbsp;\r\n\r\nב. בחישוב השבח במכירת זכות במקרקעין ע\"י מי שהיה דייר מוגן ורכש את זכות הבעלות, יותרו בניכוי דמי המפתח ששולמו בשעתו על ידו לצורך רכישת זכות הדיירות המוגנת.\r\n\r\n&nbsp;\r\n\r\nהוצאת דמי המפתח תתואם מיום ההוצאה ועד ליום רכישת הבעלות בנכס, ותותר בניכוי ליום רכישת זכות הבעלות.\r\n\r\nיובהר, כי לא כל דייר מוגן נדרש לשלם דמי מפתח, לפיכך יש לקבל תיעוד או אסמכתאות על תשלום בפועל.\r\n\r\n&nbsp;\r\n\r\nג. דמי מפתח בעד שכירות מוגנת בבית עסק ששילם הדייר עד ליום 31/3/64, ניתן היה לנכותם על פי הפקודה, תקנות מס הכנסה (התרת הפחתות בעד הוצאות) התשל\"ט- 1978.\r\n\r\n&nbsp;\r\n\r\nלפיכך, על המנהל להשתכנע שדמי המפתח לא הותרו בניכוי על ידי פקיד השומה לפני התרתם בניכוי בחישוב השבח.\r\n\r\n&nbsp;\r\n\r\nד. תחולת ההוראה מיום הפצתה.", "מיסוי מקרקעין - דמי מפתח - התרתם בניכוי בחישוב השבח", "", "inherit", "open", "open", "", "64-revision-2", "", "", "2012-07-18 10:16:25", "2012-07-18 07:16:25", "", "64", "http://techwebtesting.com/rublaw/64-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("73", "1", "2012-07-18 11:16:39", "2012-07-18 08:16:39", "כ\"ה סיון תשס\"ט\r\n\r\n‏17 יוני 2009\r\n\r\nמש- 04427109\r\n<h1>הוראת ביצוע מיסוי מקרקעין 8/2009</h1>\r\n<h1> הנדון: \"דמי מפתח\" - התרתם בניכוי בחישוב השבח</h1>\r\n<h2>1. כללי</h2>\r\nא. הוראת ביצוע זו עניינה במכירת זכות במקרקעין במובן חוק מיסוי מקרקעין (שבח ורכישה) התשכ\"ג - 1963 (להלן: \"החוק\") ע\"י מי שהיה דייר מוגן ובשלב מאוחר יותר רכש את זכות הבעלות. במקרה זה עולה השאלה האם יש להביא בחשבון בעת חישוב השבח את התשלום ששילם המוכר לרכישת זכות הדיירות המוגנת קרי, את תשלום דמי המפתח.\r\n\r\nב. עפ\"י חוק הגנת הדייר (נוסח משולב) התשל\"ב – 1972 (להלן: \"חוק הגנת הדייר\") , במכירת זכות דיירות מוגנת על ידי בעל הבית משלם הדייר הנכנס, דמי מפתח לבעל הבית. כמו כן, בעת החלפת דייר מוגן משלם הדייר הנכנס דמי מפתח, שחלקם משתלמים לבעל בית ויתרתם משתלמים לדייר היוצא.\r\n\r\nג. קבלת \"דמי מפתח\" בידי בעל הבית, תחויב במס פירותי לפי סעיף 2(6) לפקודה בשיעור מס הקבוע בסעיף 124 לפקודה.\r\n\r\nחלק התשלום המשולם לדייר היוצא חייב במס רווח הון לפי חלק ה\' לפקודה. אלא אם כן הזכויות הנמכרות הן \"בדירת מגורים\", שאינן מחויבות במס.\r\n<h2> חוק הגנת הדייר – מושגים</h2>\r\nחוק הגנת הדייר (נוסח משולב), התשל\"ב - 1972, (להלן-\"החוק\") מגדיר את זכויות וחובות של בעל הבית והדייר , ומונה את עילות הפינוי של הדייר המוגן. כמו כן החוק חל הן על דיירים המחזיקים בנכס עסקי וכן על דירות מגורים.\r\n\r\nד. תחולת החוק:\r\n\r\n1. נכס הנכלל בתחולת החוק, הינו:\r\n\r\nשכירות של בנין או חלק מבנין וחצר או גינה המשמשים את מטרת השכירות, למעט: (רשימה חלקית )\r\n\r\nא. קרקע פנויה שהושכרה לאחר 8.7.1955.\r\n\r\nב. שכירות לתקופה של יותר משבע שנים, שנעשתה לאחר 8.7.1955, ופורש בחוזה השכירות בכתב, כי הדייר לא יהיה מוגן על פי חוק זה. וכן שכירות של יותר מ - 14 שנה, שנעשתה לפני 8.7.1955.\r\n\r\nג. משק חקלאי.\r\n\r\nד. בניינים חדשים שנבנו לאחר 20.8.1968.\r\n<h2>2. \"דייר מוגן\" , על פי החוק , הוא:</h2>\r\nא. דייר ששילם דמי מפתח עבור הנכס המוחזק.\r\n\r\nב. דייר שלא שילם דמי מפתח, אך נכנס לנכס לפני שנת 1940.\r\n\r\nג. כל בן משפחה שהפך לדייר מוגן לאחר שעברה אליו הזכות מהדייר\r\n\r\nהמוגן המקורי על פי התנאים בחוק.\r\n\r\nד. דייר שנכנס לנכס לאחר 20.08.1968, ושילם דמי מפתח.\r\n\r\nה. \"דמי מפתח \" - כל תמורה שאינה דמי שכירות, הניתנת בקשר לשכירות של מושכר או בקשר לקבלת החזקה או להחזרת החזקה במושכר לפי חוק זה- ללא קשר למועד התשלום בפועל.\r\n\r\nו. \"בעל בית\" - מי שהשכיר נכס בשכירות ראשית, בין אם הוא בעלו של הנכס המושכר ובין אם לא, לרבות חליפיו.\r\n<h2> 2. פסק הדין בעניין פרוכטר (ע 1328/04, 1336/04)</h2>\r\nבפסק הדין בעניין פרוכטר נדונה השאלה כאמור בסעיף 1(א) לעיל, דעת הרוב פסקה כי בחישוב השבח יש לקבוע את שווי הרכישה של זכות הבעלות \"כשווי המכירה\" שנקבע בעת שהדייר המוגן רכש את זכות הבעלות – מחיר ששיקף שווי נמוך בשל היות הנכס \"תפוס\" כבר על ידו כדייר מוגן.\r\n\r\nבעמדתה זו, לא התחשבה דעת הרוב בעלות הנוספת שהיתה לדייר המוגן (דמי המפתח) ואשר בשלה שווי רכישת זכות הבעלות היה נמוך.\r\n\r\nדעת המיעוט, לעומת זאת קבעה כי יש להתחשב בעלות רכישת הדיירות המוגנת בעת חישוב השבח, בין היתר גם מהטעם שלאחר תיקון 55 לחוק ותיקון הרישא שבסעיף 39 לחוק, יש לראות בדמי מפתח הוצאה המותרת בניכויי \"כהוצאה שהוציא המוכר לרכישת הזכות במקרקעין\".\r\n<h2> 3. הוראות לפעולה</h2>\r\nעל מנת להגיע למיסוי נכון של הרווח הכלכלי האמיתי שנצמח למוכר זכות במקרקעין שהיה דייר מוגן ורכש את זכות הבעלות, ועל-מנת למנוע את העיוותים הכלכליים נשוא הו\"ב 24/85, נקבע כדלקמן:\r\n\r\nא. סעיף 3 בהוראת ביצוע 24/85 מיום 4.9.85 מבוטל.\r\n\r\nב. בחישוב השבח במכירת זכות במקרקעין ע\"י מי שהיה דייר מוגן ורכש את זכות הבעלות, יותרו בניכוי דמי המפתח ששולמו בשעתו על ידו לצורך רכישת זכות הדיירות המוגנת.\r\n\r\nהוצאת דמי המפתח תתואם מיום ההוצאה ועד ליום רכישת הבעלות בנכס, ותותר בניכוי ליום רכישת זכות הבעלות.\r\n\r\nיובהר, כי לא כל דייר מוגן נדרש לשלם דמי מפתח, לפיכך יש לקבל תיעוד או אסמכתאות על תשלום בפועל.\r\n\r\nג. דמי מפתח בעד שכירות מוגנת בבית עסק ששילם הדייר עד ליום 31/3/64, ניתן היה לנכותם על פי הפקודה, תקנות מס הכנסה (התרת הפחתות בעד הוצאות) התשל\"ט- 1978.\r\n\r\nלפיכך, על המנהל להשתכנע שדמי המפתח לא הותרו בניכוי על ידי פקיד השומה לפני התרתם בניכוי בחישוב השבח.\r\n\r\nד. תחולת ההוראה מיום הפצתה.\r\n\r\n<strong>בברכה,</strong><strong>רשות המסים בישראל</strong>", "מיסוי מקרקעין - דמי מפתח - התרתם בניכוי בחישוב השבח", "", "inherit", "open", "open", "", "64-revision-4", "", "", "2012-07-18 11:16:39", "2012-07-18 08:16:39", "", "64", "http://techwebtesting.com/rublaw/64-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("74", "1", "2012-07-10 11:28:02", "2012-07-10 08:28:02", "<p style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p style=\"text-align: justify;\"></p>\r\n\r\n<h2 style=\"text-align: justify;\">הגדרת \"דירת מגורים\" ו\"דירת מגורים מזכה\":</h2>\r\n<p style=\"text-align: justify;\">\"דירת מגורים\" - דירה או חלק מדירה, שבנייתה נסתיימה והיא בבעלותו או בחכירתו של יחיד, ומשמשת למגורים או מיועדת למגורים לפי טיבה, למעט דירה המהווה מלאי עסקי לענין מס הכנסה.</p>\r\n<p style=\"text-align: justify;\">\"דירת מגורים מזכה\" – דירת מגורים ששימשה בעיקרה למגורים לפחות באחת משתי התקופות שלהלן:</p>\r\n<p style=\"text-align: justify;\">(1) ארבע חמישיות מהתקופה שבשלה מחושב השבח (לא תובא בחשבון התקופה שקדמה ליום 1.1.1998);</p>\r\n<p style=\"text-align: justify;\">(2) ארבע השנים שקדמו למכירתה;</p>\r\n<p style=\"text-align: justify;\">לענין זה יראו תקופה שבה לא נעשה בדירה שימוש כלשהו, או תקופה שבה שימשה הדירה לפעולות חינוך (גן ילדים, פעוטון, בית ספר, ישיבה) או דת כפי שקבע שר האוצר, באישור ועדת הכספים של הכנסת, כתקופה שבה שימשה הדירה למגורים.</p>\r\n<p style=\"text-align: justify;\">לפי פרשנות רשויות מיסוי מקרקעין, במונח \"שימשה בעיקרה למגורים\" הכוונה שלפחות 50% משטח הדירה שימש למגורים.</p>\r\n\r\n<h2 style=\"text-align: justify;\"> תנאים כלליים:</h2>\r\n<p style=\"text-align: justify;\">מוכר, בן זוגו (למעט בן זוג הגר דרך קבע בנפרד) וילדיהם שטרם מלאו להם 18 שנים, למעט ילדים נשואים, נחשבים כמוכר אחד.</p>\r\n<p style=\"text-align: justify;\">המוכר לא יהא זכאי לפטור ממס שבח, אלא אם נמכרות כל הזכויות שיש לו בדירת מגורים מזכה.</p>\r\n\r\n<h2 style=\"text-align: justify;\"> הפטורים:</h2>\r\n<h2 style=\"text-align: justify;\"> פטור ממס שבח במכירת דירה אחת ל- 4 שנים</h2>\r\n<p style=\"text-align: justify;\">המוכר לא מכר בארבע השנים שקדמו למכירה האמורה דירת מגורים אחרת בפטור ממס שבח; לענין זה, מכירה בפטור ממס שבח – לרבות מכירה בפטור חלקי, אך למעט:</p>\r\n<p style=\"text-align: justify;\">(א) מתנה פטורה על פי סעיף 62 לילדו או לבן זוגו של נותן המתנה;</p>\r\n<p style=\"text-align: justify;\">(ב) מתנה פטורה על פי סעיפים 60 או 61 (מתנה למדינה, לרשות מקומית, לקרן הקיימת לישראל, לקרן היסוד - המגבית המאוחדת לישראל או למוסד ציבורי);</p>\r\n<p style=\"text-align: justify;\">(ג) מכירה פטורה לפי סעיפים 49ז1, 64, 65, 67, 69 או 70 (החלפת מקרקעין בשל צו של רשות מוסמכת, חלוקת מקרקעין בין בעלים משותפים, מכירה מנאמן לנהנה, מכירת זכות לאיגוד על-ידי בעלי הזכויות באיגוד);</p>\r\n<p style=\"text-align: justify;\">(ד) מכירה בפטור מיוחד של דירה שנתקבלה בירושה (ראה להלן – פטור במכירת דירה שהתקבלה בירושה);</p>\r\n\r\n<h2 style=\"text-align: justify;\"> פטור ממס שבח במכירת דירה יחידה</h2>\r\n<p style=\"text-align: justify;\">הדירה הנמכרת היא דירתו היחידה של המוכר בישראל (לרבות ביהודה ושומרון ו/או חבל עזה) והמוכר לא מכר, במשך שמונה עשר החודשים שקדמו למכירה האמורה, דירת מגורים אחרת כאמור, בפטור ממס שבח לפי חלופה זו (פטור במכירת דירה יחידה), ובארבע השנים שקדמו למכירה לא היתה לו בעת ובעונה אחת יותר מדירת מגורים אחת.</p>\r\n<p style=\"text-align: justify;\">פטור זה לא יינתן במקרה של מכירת חלק בדירה שבה יש למוכר פחות מ-25%, ובמקרה של מכירת דירה שהושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997.</p>\r\n<p style=\"text-align: justify;\">לענין פטור זה, יראו את הדירה הנמכרת כדירת המגורים היחידה שבבעלות המוכר גם אם יש לו, בנוסף על הדירה הנמכרת, דירת מגורים שנתקיים לגביה אחד מאלה:</p>\r\n<p style=\"text-align: justify;\">(1) היא נרכשה כתחליף לדירה הנמכרת ב-18 החודשים שקדמו למכירה;</p>\r\n<p style=\"text-align: justify;\">(2) היא הושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997;</p>\r\n<p style=\"text-align: justify;\">(3) חלקו של המוכר בבעלות בדירה הנוספת הוא פחות מ-25%.</p>\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\">ואולם, יראו כדירת מגורים נוספת גם דירה המשמשת למגורים או מיועדת למגורים לפי טיבה שהיא בבעלותו של איגוד, למעט דירה המהווה מלאי עסקי לענין מס הכנסה, אך למוכר יש באמצעות זכויותיו באיגוד, במישרין או בעקיפין, 25% לפחות בבעלות בה והיא לא הושכרה בשכירות מוגנת לפני יום 1.1.1997; לענין זה, \"זכויות\" – כל אחת מאלה: הזכות לקבלת נכסי האיגוד בעת פירוקו, הזכות לקבל רווחים והזכות למנות מנהלים.</p>\r\n\r\n<h2 style=\"text-align: justify;\"> פטור ממס שבח במכירת דירה שהתקבלה בירושה</h2>\r\n<p style=\"text-align: justify;\">במכירה של דירת מגורים מזכה שקיבל המוכר בירושה, יינתן הפטור ממס שבח בהתקיים כל אלה:</p>\r\n<p style=\"text-align: justify;\">(א) המוכר הוא בן זוגו של המוריש, או צאצא של המוריש, או בן זוגו של צאצא של המוריש;</p>\r\n<p style=\"text-align: justify;\">(ב) לפני פטירתו היה המוריש בעלה של דירת מגורים אחת בלבד;</p>\r\n<p style=\"text-align: justify;\">(ג) אילו היה המוריש עדיין בחיים ומוכר את דירת המגורים, היה פטור ממס שבח בשל המכירה.</p>\r\n\r\n<h2 style=\"text-align: justify;\"> מכירת דירה בפטור חד-פעמי</h2>\r\n<p style=\"text-align: justify;\">תושב ישראל המוכר דירת מגורים מזכה, יהא זכאי לפטור ממס שבח במכירתה גם אם אינו זכאי לפטור לפי אחת החלופות האחרות, ובלבד שנתקיימו כל אלה:</p>\r\n<p style=\"text-align: justify;\">(1) המוכר מכר בפטור ממס שבח דירה אחרת לפי פרק חמישי 1 לחוק (פרק הפטורים לדירות מגורים) בתוך שנים עשר החודשים שקדמו למכירה נושא הפטור (להלן – הדירה הראשונה);</p>\r\n<p style=\"text-align: justify;\">(2) סכום השווי של הדירה הראשונה ושל הדירה הנמכרת (להלן – הדירה השניה), ביחד, לא עלה על -.1,500,000 ₪;</p>\r\n<p style=\"text-align: justify;\">(3) המוכר רכש בשנה שלפני מכירת הדירה השניה או ירכוש בשנה שלאחר מכירתה, דירה אחרת (דירה המשמשת או המיועדת לשמש למגורים, ובדירה שבנייתה טרם נסתיימה, למעט דירה שאין עמה התחייבות מצד המוכר לסיים את הבניה), בישראל (לרבות ביהודה ושומרון ו/או חבל עזה), בסכום השווה לשלושה רבעים לפחות משווי שתי הדירות שמכר;</p>\r\n<p style=\"text-align: justify;\">(4) במידה וסכום השווי של הדירה הראשונה והדירה השניה, יחד, עלה על -.1,500,000 ₪ אך לא עלה על -.2,500,000 ₪, יהא המוכר זכאי לפטור ממס שבח במכירה של הדירה השניה, על סכום השווה להפרש שבין -.1,500,000 ₪ לבין סכום השווי של הדירה הראשונה; יתרת סכום השווי של הדירה השניה תחוייב במס שבח.</p>\r\n<p style=\"text-align: justify;\">פטור זה יינתן למוכר (כולל התא המשפחתי שלו) רק פעם אחת בחייו.</p>\r\n\r\n<h2 style=\"text-align: justify;\"> סייגים במקרה של מכירת דירה שהתקבלה במתנה:</h2>\r\n<p style=\"text-align: justify;\">על אף האמור לעיל, לא יינתן פטור ממס שבח במכירת דירת מגורים שהמוכר קיבל אותה במתנה במקרים שלהלן:</p>\r\n<p style=\"text-align: justify;\">(1) אם הדירה לא שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 4 שנים מיום שנעשה בעלה, וכשנותן המתנה הוא הורה – 3 שנים מיום שנעשה בעלה;</p>\r\n<p style=\"text-align: justify;\">(2) אם הדירה שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 3 שנים מיום שהחל לגור בה דרך קבע בהיותו בעלה, וכשנותן המתנה הוא הורהו – רק לאחר שיחלפו שנתיים מיום שהחל לגור בה דרך קבע בהיותו בעלה, ואם הוא נשוי או אם הוא הורה יחיד כהגדרתו בסעיף 1 לחוק משפחות חד הוריות, התשנ\"ב-1992 – כעבור שנה אחת.</p>\r\n<p style=\"text-align: justify;\">יראו קבלת 50% לפחות ממחיר הדירה במתנה, בתוך שלוש שנים שקדמו לרכישתה, כקבלת הדירה במתנה.</p>\r\n<p style=\"text-align: justify;\">מוכר שקיבל את הדירה לפני שמלאו לו 18 שנים, יתחיל לגביו מנין השנים האמורות מיום שמלאו לו 18 שנים. אך אם הבעלות בדירה הנמכרת משותפת לבני-זוג, יביאו בחשבון לענין התקופות הנ\"ל את גילו של המבוגר שבהם.</p>\r\n<p style=\"text-align: justify;\">משרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום מיסוי מקרקעין ונדל\"ן (מס שבח, מס מכירה, מס רכישה), ומעניק ייעוץ, הערכות ותכנון מס בעסקאות מקרקעין, לרבות טיפול בהגשת דיווחים על מכירת/רכישת זכויות במקרקעין, ייצוג בפני רשויות המס ומשרדי מיסוי מקרקעין בכל הליכי השומה ובפני וועדות ערר (לרבות השגות ועררים) ובבתי המשפט בכל הערכאות, מתן חוות דעת ועוד.</p>", "פטור ממס שבח במכירת דירת מגורים מזכה", "", "publish", "open", "open", "", "%d7%9e%d7%99%d7%a1%d7%95%d7%99-%d7%9e%d7%a7%d7%a8%d7%a7%d7%a2%d7%99%d7%9f-%d7%95%d7%9e%d7%a1-%d7%a9%d7%91%d7%97-%d7%a4%d7%98%d7%95%d7%a8-%d7%9e%d7%9e%d7%a1-%d7%a9%d7%91%d7%97-%d7%91%d7%9e", "", "", "2012-09-20 19:26:49", "2012-09-20 16:26:49", "", "0", "http://techwebtesting.com/rublaw/?p=74", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("75", "1", "2012-07-18 11:27:11", "2012-07-18 08:27:11", "מאת: פיני רובינשטיין, עו\"ד\n<h2>הגדרת \"דירת מגורים\" ו\"דירת מגורים מזכה\":</h2>\n\"דירת מגורים\" - דירה או חלק מדירה, שבנייתה נסתיימה והיא בבעלותו או בחכירתו של יחיד, ומשמשת למגורים או מיועדת למגורים לפי טיבה, למעט דירה המהווה מלאי עסקי לענין מס הכנסה.\n\n\"דירת מגורים מזכה\" – דירת מגורים ששימשה בעיקרה למגורים לפחות באחת משתי התקופות שלהלן:\n\n(1) ארבע חמישיות מהתקופה שבשלה מחושב השבח (לא תובא בחשבון התקופה שקדמה ליום 1.1.1998);\n\n(2) ארבע השנים שקדמו למכירתה;\n\nלענין זה יראו תקופה שבה לא נעשה בדירה שימוש כלשהו, או תקופה שבה שימשה הדירה לפעולות חינוך (גן ילדים, פעוטון, בית ספר, ישיבה) או דת כפי שקבע שר האוצר, באישור ועדת הכספים של הכנסת, כתקופה שבה שימשה הדירה למגורים.\n\nלפי פרשנות רשויות מיסוי מקרקעין, במונח \"שימשה בעיקרה למגורים\" הכוונה שלפחות 50% משטח הדירה שימש למגורים.\n<h2> תנאים כלליים:</h2>\nמוכר, בן זוגו (למעט בן זוג הגר דרך קבע בנפרד) וילדיהם שטרם מלאו להם 18 שנים, למעט ילדים נשואים, נחשבים כמוכר אחד.\n\nהמוכר לא יהא זכאי לפטור ממס שבח, אלא אם נמכרות כל הזכויות שיש לו בדירת מגורים מזכה.\n<h2> הפטורים:</h2>\n<h2> פטור ממס שבח במכירת דירה אחת ל- 4 שנים</h2>\nהמוכר לא מכר בארבע השנים שקדמו למכירה האמורה דירת מגורים אחרת בפטור ממס שבח; לענין זה, מכירה בפטור ממס שבח – לרבות מכירה בפטור חלקי, אך למעט:\n\n(א) מתנה פטורה על פי סעיף 62 לילדו או לבן זוגו של נותן המתנה;\n\n(ב) מתנה פטורה על פי סעיפים 60 או 61 (מתנה למדינה, לרשות מקומית, לקרן הקיימת לישראל, לקרן היסוד - המגבית המאוחדת לישראל או למוסד ציבורי);\n\n(ג) מכירה פטורה לפי סעיפים 49ז1, 64, 65, 67, 69 או 70 (החלפת מקרקעין בשל צו של רשות מוסמכת, חלוקת מקרקעין בין בעלים משותפים, מכירה מנאמן לנהנה, מכירת זכות לאיגוד על-ידי בעלי הזכויות באיגוד);\n\n(ד) מכירה בפטור מיוחד של דירה שנתקבלה בירושה (ראה להלן – פטור במכירת דירה שהתקבלה בירושה);\n<h2> פטור ממס שבח במכירת דירה יחידה</h2>\nהדירה הנמכרת היא דירתו היחידה של המוכר בישראל (לרבות ביהודה ושומרון ו/או חבל עזה) והמוכר לא מכר, במשך שמונה עשר החודשים שקדמו למכירה האמורה, דירת מגורים אחרת כאמור, בפטור ממס שבח לפי חלופה זו (פטור במכירת דירה יחידה), ובארבע השנים שקדמו למכירה לא היתה לו בעת ובעונה אחת יותר מדירת מגורים אחת.\n\nפטור זה לא יינתן במקרה של מכירת חלק בדירה שבה יש למוכר פחות מ-25%, ובמקרה של מכירת דירה שהושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997.\n\nלענין פטור זה, יראו את הדירה הנמכרת כדירת המגורים היחידה שבבעלות המוכר גם אם יש לו, בנוסף על הדירה הנמכרת, דירת מגורים שנתקיים לגביה אחד מאלה:\n\n(1) היא נרכשה כתחליף לדירה הנמכרת ב-18 החודשים שקדמו למכירה;\n\n(2) היא הושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997;\n\n(3) חלקו של המוכר בבעלות בדירה הנוספת הוא פחות מ-25%.\n\n&nbsp;\n\nואולם, יראו כדירת מגורים נוספת גם דירה המשמשת למגורים או מיועדת למגורים לפי טיבה שהיא בבעלותו של איגוד, למעט דירה המהווה מלאי עסקי לענין מס הכנסה, אך למוכר יש באמצעות זכויותיו באיגוד, במישרין או בעקיפין, 25% לפחות בבעלות בה והיא לא הושכרה בשכירות מוגנת לפני יום 1.1.1997; לענין זה, \"זכויות\" – כל אחת מאלה: הזכות לקבלת נכסי האיגוד בעת פירוקו, הזכות לקבל רווחים והזכות למנות מנהלים.\n<h2> פטור ממס שבח במכירת דירה שהתקבלה בירושה</h2>\nבמכירה של דירת מגורים מזכה שקיבל המוכר בירושה, יינתן הפטור ממס שבח בהתקיים כל אלה:\n\n(א) המוכר הוא בן זוגו של המוריש, או צאצא של המוריש, או בן זוגו של צאצא של המוריש;\n\n(ב) לפני פטירתו היה המוריש בעלה של דירת מגורים אחת בלבד;\n\n(ג) אילו היה המוריש עדיין בחיים ומוכר את דירת המגורים, היה פטור ממס שבח בשל המכירה.\n<h2> מכירת דירה בפטור חד-פעמי</h2>\nתושב ישראל המוכר דירת מגורים מזכה, יהא זכאי לפטור ממס שבח במכירתה גם אם אינו זכאי לפטור לפי אחת החלופות האחרות, ובלבד שנתקיימו כל אלה:\n\n(1) המוכר מכר בפטור ממס שבח דירה אחרת לפי פרק חמישי 1 לחוק (פרק הפטורים לדירות מגורים) בתוך שנים עשר החודשים שקדמו למכירה נושא הפטור (להלן – הדירה הראשונה);\n\n(2) סכום השווי של הדירה הראשונה ושל הדירה הנמכרת (להלן – הדירה השניה), ביחד, לא עלה על -.1,500,000 ₪;\n\n(3) המוכר רכש בשנה שלפני מכירת הדירה השניה או ירכוש בשנה שלאחר מכירתה, דירה אחרת (דירה המשמשת או המיועדת לשמש למגורים, ובדירה שבנייתה טרם נסתיימה, למעט דירה שאין עמה התחייבות מצד המוכר לסיים את הבניה), בישראל (לרבות ביהודה ושומרון ו/או חבל עזה), בסכום השווה לשלושה רבעים לפחות משווי שתי הדירות שמכר;\n\n(4) במידה וסכום השווי של הדירה הראשונה והדירה השניה, יחד, עלה על -.1,500,000 ₪ אך לא עלה על -.2,500,000 ₪, יהא המוכר זכאי לפטור ממס שבח במכירה של הדירה השניה, על סכום השווה להפרש שבין -.1,500,000 ₪ לבין סכום השווי של הדירה הראשונה; יתרת סכום השווי של הדירה השניה תחוייב במס שבח.\n\nפטור זה יינתן למוכר (כולל התא המשפחתי שלו) רק פעם אחת בחייו.\n\nסייגים במקרה של מכירת דירה שהתקבלה במתנה:\n\n&nbsp;\n\nעל אף האמור לעיל, לא יינתן פטור ממס שבח במכירת דירת מגורים שהמוכר קיבל אותה במתנה במקרים שלהלן:\n\n(1) אם הדירה לא שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 4 שנים מיום שנעשה בעלה, וכשנותן המתנה הוא הורה – 3 שנים מיום שנעשה בעלה;\n\n(2) אם הדירה שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 3 שנים מיום שהחל לגור בה דרך קבע בהיותו בעלה, וכשנותן המתנה הוא הורהו – רק לאחר שיחלפו שנתיים מיום שהחל לגור בה דרך קבע בהיותו בעלה, ואם הוא נשוי או אם הוא הורה יחיד כהגדרתו בסעיף 1 לחוק משפחות חד הוריות, התשנ\"ב-1992 – כעבור שנה אחת.\n\n&nbsp;\n\nיראו קבלת 50% לפחות ממחיר הדירה במתנה, בתוך שלוש שנים שקדמו לרכישתה, כקבלת הדירה במתנה.\n\n&nbsp;\n\nמוכר שקיבל את הדירה לפני שמלאו לו 18 שנים, יתחיל לגביו מנין השנים האמורות מיום שמלאו לו 18 שנים. אך אם הבעלות בדירה הנמכרת משותפת לבני-זוג, יביאו בחשבון לענין התקופות הנ\"ל את גילו של המבוגר שבהם.\n\n&nbsp;\n\n&nbsp;\n\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום מיסוי מקרקעין ונדל\"ן (מס שבח, מס מכירה, מס רכישה), ומעניק ייעוץ, הערכות ותכנון מס בעסקאות מקרקעין, לרבות טיפול בהגשת דיווחים על מכירת/רכישת זכויות במקרקעין, ייצוג בפני רשויות המס ומשרדי מיסוי מקרקעין בכל הליכי השומה ובפני וועדות ערר (לרבות השגות ועררים) ובבתי המשפט בכל הערכאות, מתן חוות דעת ועוד.", "מיסוי מקרקעין ומס שבח – פטור ממס שבח במכירת דירת מגורים מזכה", "", "inherit", "open", "open", "", "74-revision", "", "", "2012-07-18 11:27:11", "2012-07-18 08:27:11", "", "74", "http://techwebtesting.com/rublaw/74-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("76", "1", "2012-07-18 11:28:02", "2012-07-18 08:28:02", "מאת: פיני רובינשטיין, עו\"ד\r\n<h2>הגדרת \"דירת מגורים\" ו\"דירת מגורים מזכה\":</h2>\r\n\"דירת מגורים\" - דירה או חלק מדירה, שבנייתה נסתיימה והיא בבעלותו או בחכירתו של יחיד, ומשמשת למגורים או מיועדת למגורים לפי טיבה, למעט דירה המהווה מלאי עסקי לענין מס הכנסה.\r\n\r\n\"דירת מגורים מזכה\" – דירת מגורים ששימשה בעיקרה למגורים לפחות באחת משתי התקופות שלהלן:\r\n\r\n(1) ארבע חמישיות מהתקופה שבשלה מחושב השבח (לא תובא בחשבון התקופה שקדמה ליום 1.1.1998);\r\n\r\n(2) ארבע השנים שקדמו למכירתה;\r\n\r\nלענין זה יראו תקופה שבה לא נעשה בדירה שימוש כלשהו, או תקופה שבה שימשה הדירה לפעולות חינוך (גן ילדים, פעוטון, בית ספר, ישיבה) או דת כפי שקבע שר האוצר, באישור ועדת הכספים של הכנסת, כתקופה שבה שימשה הדירה למגורים.\r\n\r\nלפי פרשנות רשויות מיסוי מקרקעין, במונח \"שימשה בעיקרה למגורים\" הכוונה שלפחות 50% משטח הדירה שימש למגורים.\r\n<h2> תנאים כלליים:</h2>\r\nמוכר, בן זוגו (למעט בן זוג הגר דרך קבע בנפרד) וילדיהם שטרם מלאו להם 18 שנים, למעט ילדים נשואים, נחשבים כמוכר אחד.\r\n\r\nהמוכר לא יהא זכאי לפטור ממס שבח, אלא אם נמכרות כל הזכויות שיש לו בדירת מגורים מזכה.\r\n<h2> הפטורים:</h2>\r\n<h2> פטור ממס שבח במכירת דירה אחת ל- 4 שנים</h2>\r\nהמוכר לא מכר בארבע השנים שקדמו למכירה האמורה דירת מגורים אחרת בפטור ממס שבח; לענין זה, מכירה בפטור ממס שבח – לרבות מכירה בפטור חלקי, אך למעט:\r\n\r\n(א) מתנה פטורה על פי סעיף 62 לילדו או לבן זוגו של נותן המתנה;\r\n\r\n(ב) מתנה פטורה על פי סעיפים 60 או 61 (מתנה למדינה, לרשות מקומית, לקרן הקיימת לישראל, לקרן היסוד - המגבית המאוחדת לישראל או למוסד ציבורי);\r\n\r\n(ג) מכירה פטורה לפי סעיפים 49ז1, 64, 65, 67, 69 או 70 (החלפת מקרקעין בשל צו של רשות מוסמכת, חלוקת מקרקעין בין בעלים משותפים, מכירה מנאמן לנהנה, מכירת זכות לאיגוד על-ידי בעלי הזכויות באיגוד);\r\n\r\n(ד) מכירה בפטור מיוחד של דירה שנתקבלה בירושה (ראה להלן – פטור במכירת דירה שהתקבלה בירושה);\r\n<h2> פטור ממס שבח במכירת דירה יחידה</h2>\r\nהדירה הנמכרת היא דירתו היחידה של המוכר בישראל (לרבות ביהודה ושומרון ו/או חבל עזה) והמוכר לא מכר, במשך שמונה עשר החודשים שקדמו למכירה האמורה, דירת מגורים אחרת כאמור, בפטור ממס שבח לפי חלופה זו (פטור במכירת דירה יחידה), ובארבע השנים שקדמו למכירה לא היתה לו בעת ובעונה אחת יותר מדירת מגורים אחת.\r\n\r\nפטור זה לא יינתן במקרה של מכירת חלק בדירה שבה יש למוכר פחות מ-25%, ובמקרה של מכירת דירה שהושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997.\r\n\r\nלענין פטור זה, יראו את הדירה הנמכרת כדירת המגורים היחידה שבבעלות המוכר גם אם יש לו, בנוסף על הדירה הנמכרת, דירת מגורים שנתקיים לגביה אחד מאלה:\r\n\r\n(1) היא נרכשה כתחליף לדירה הנמכרת ב-18 החודשים שקדמו למכירה;\r\n\r\n(2) היא הושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997;\r\n\r\n(3) חלקו של המוכר בבעלות בדירה הנוספת הוא פחות מ-25%.\r\n\r\n&nbsp;\r\n\r\nואולם, יראו כדירת מגורים נוספת גם דירה המשמשת למגורים או מיועדת למגורים לפי טיבה שהיא בבעלותו של איגוד, למעט דירה המהווה מלאי עסקי לענין מס הכנסה, אך למוכר יש באמצעות זכויותיו באיגוד, במישרין או בעקיפין, 25% לפחות בבעלות בה והיא לא הושכרה בשכירות מוגנת לפני יום 1.1.1997; לענין זה, \"זכויות\" – כל אחת מאלה: הזכות לקבלת נכסי האיגוד בעת פירוקו, הזכות לקבל רווחים והזכות למנות מנהלים.\r\n<h2> פטור ממס שבח במכירת דירה שהתקבלה בירושה</h2>\r\nבמכירה של דירת מגורים מזכה שקיבל המוכר בירושה, יינתן הפטור ממס שבח בהתקיים כל אלה:\r\n\r\n(א) המוכר הוא בן זוגו של המוריש, או צאצא של המוריש, או בן זוגו של צאצא של המוריש;\r\n\r\n(ב) לפני פטירתו היה המוריש בעלה של דירת מגורים אחת בלבד;\r\n\r\n(ג) אילו היה המוריש עדיין בחיים ומוכר את דירת המגורים, היה פטור ממס שבח בשל המכירה.\r\n<h2> מכירת דירה בפטור חד-פעמי</h2>\r\nתושב ישראל המוכר דירת מגורים מזכה, יהא זכאי לפטור ממס שבח במכירתה גם אם אינו זכאי לפטור לפי אחת החלופות האחרות, ובלבד שנתקיימו כל אלה:\r\n\r\n(1) המוכר מכר בפטור ממס שבח דירה אחרת לפי פרק חמישי 1 לחוק (פרק הפטורים לדירות מגורים) בתוך שנים עשר החודשים שקדמו למכירה נושא הפטור (להלן – הדירה הראשונה);\r\n\r\n(2) סכום השווי של הדירה הראשונה ושל הדירה הנמכרת (להלן – הדירה השניה), ביחד, לא עלה על -.1,500,000 ₪;\r\n\r\n(3) המוכר רכש בשנה שלפני מכירת הדירה השניה או ירכוש בשנה שלאחר מכירתה, דירה אחרת (דירה המשמשת או המיועדת לשמש למגורים, ובדירה שבנייתה טרם נסתיימה, למעט דירה שאין עמה התחייבות מצד המוכר לסיים את הבניה), בישראל (לרבות ביהודה ושומרון ו/או חבל עזה), בסכום השווה לשלושה רבעים לפחות משווי שתי הדירות שמכר;\r\n\r\n(4) במידה וסכום השווי של הדירה הראשונה והדירה השניה, יחד, עלה על -.1,500,000 ₪ אך לא עלה על -.2,500,000 ₪, יהא המוכר זכאי לפטור ממס שבח במכירה של הדירה השניה, על סכום השווה להפרש שבין -.1,500,000 ₪ לבין סכום השווי של הדירה הראשונה; יתרת סכום השווי של הדירה השניה תחוייב במס שבח.\r\n\r\nפטור זה יינתן למוכר (כולל התא המשפחתי שלו) רק פעם אחת בחייו.\r\n<h2> סייגים במקרה של מכירת דירה שהתקבלה במתנה:</h2>\r\nעל אף האמור לעיל, לא יינתן פטור ממס שבח במכירת דירת מגורים שהמוכר קיבל אותה במתנה במקרים שלהלן:\r\n\r\n(1) אם הדירה לא שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 4 שנים מיום שנעשה בעלה, וכשנותן המתנה הוא הורה – 3 שנים מיום שנעשה בעלה;\r\n\r\n(2) אם הדירה שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 3 שנים מיום שהחל לגור בה דרך קבע בהיותו בעלה, וכשנותן המתנה הוא הורהו – רק לאחר שיחלפו שנתיים מיום שהחל לגור בה דרך קבע בהיותו בעלה, ואם הוא נשוי או אם הוא הורה יחיד כהגדרתו בסעיף 1 לחוק משפחות חד הוריות, התשנ\"ב-1992 – כעבור שנה אחת.\r\n\r\nיראו קבלת 50% לפחות ממחיר הדירה במתנה, בתוך שלוש שנים שקדמו לרכישתה, כקבלת הדירה במתנה.\r\n\r\nמוכר שקיבל את הדירה לפני שמלאו לו 18 שנים, יתחיל לגביו מנין השנים האמורות מיום שמלאו לו 18 שנים. אך אם הבעלות בדירה הנמכרת משותפת לבני-זוג, יביאו בחשבון לענין התקופות הנ\"ל את גילו של המבוגר שבהם.\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום מיסוי מקרקעין ונדל\"ן (מס שבח, מס מכירה, מס רכישה), ומעניק ייעוץ, הערכות ותכנון מס בעסקאות מקרקעין, לרבות טיפול בהגשת דיווחים על מכירת/רכישת זכויות במקרקעין, ייצוג בפני רשויות המס ומשרדי מיסוי מקרקעין בכל הליכי השומה ובפני וועדות ערר (לרבות השגות ועררים) ובבתי המשפט בכל הערכאות, מתן חוות דעת ועוד.", "מיסוי מקרקעין ומס שבח – פטור ממס שבח במכירת דירת מגורים מזכה", "", "inherit", "open", "open", "", "74-revision-2", "", "", "2012-07-18 11:28:02", "2012-07-18 08:28:02", "", "74", "http://techwebtesting.com/rublaw/74-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("77", "1", "2012-09-20 19:25:45", "2012-09-20 16:25:45", "<p style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n\r\n<h2 style=\"text-align: justify;\">הגדרת \"דירת מגורים\" ו\"דירת מגורים מזכה\":</h2>\r\n<p style=\"text-align: justify;\">\"דירת מגורים\" - דירה או חלק מדירה, שבנייתה נסתיימה והיא בבעלותו או בחכירתו של יחיד, ומשמשת למגורים או מיועדת למגורים לפי טיבה, למעט דירה המהווה מלאי עסקי לענין מס הכנסה.</p>\r\n<p style=\"text-align: justify;\">\"דירת מגורים מזכה\" – דירת מגורים ששימשה בעיקרה למגורים לפחות באחת משתי התקופות שלהלן:</p>\r\n<p style=\"text-align: justify;\">(1) ארבע חמישיות מהתקופה שבשלה מחושב השבח (לא תובא בחשבון התקופה שקדמה ליום 1.1.1998);</p>\r\n<p style=\"text-align: justify;\">(2) ארבע השנים שקדמו למכירתה;</p>\r\n<p style=\"text-align: justify;\">לענין זה יראו תקופה שבה לא נעשה בדירה שימוש כלשהו, או תקופה שבה שימשה הדירה לפעולות חינוך (גן ילדים, פעוטון, בית ספר, ישיבה) או דת כפי שקבע שר האוצר, באישור ועדת הכספים של הכנסת, כתקופה שבה שימשה הדירה למגורים.</p>\r\n<p style=\"text-align: justify;\">לפי פרשנות רשויות מיסוי מקרקעין, במונח \"שימשה בעיקרה למגורים\" הכוונה שלפחות 50% משטח הדירה שימש למגורים.</p>\r\n\r\n<h2 style=\"text-align: justify;\"> תנאים כלליים:</h2>\r\n<p style=\"text-align: justify;\">מוכר, בן זוגו (למעט בן זוג הגר דרך קבע בנפרד) וילדיהם שטרם מלאו להם 18 שנים, למעט ילדים נשואים, נחשבים כמוכר אחד.</p>\r\n<p style=\"text-align: justify;\">המוכר לא יהא זכאי לפטור ממס שבח, אלא אם נמכרות כל הזכויות שיש לו בדירת מגורים מזכה.</p>\r\n\r\n<h2 style=\"text-align: justify;\"> הפטורים:</h2>\r\n<h2 style=\"text-align: justify;\"> פטור ממס שבח במכירת דירה אחת ל- 4 שנים</h2>\r\n<p style=\"text-align: justify;\">המוכר לא מכר בארבע השנים שקדמו למכירה האמורה דירת מגורים אחרת בפטור ממס שבח; לענין זה, מכירה בפטור ממס שבח – לרבות מכירה בפטור חלקי, אך למעט:</p>\r\n<p style=\"text-align: justify;\">(א) מתנה פטורה על פי סעיף 62 לילדו או לבן זוגו של נותן המתנה;</p>\r\n<p style=\"text-align: justify;\">(ב) מתנה פטורה על פי סעיפים 60 או 61 (מתנה למדינה, לרשות מקומית, לקרן הקיימת לישראל, לקרן היסוד - המגבית המאוחדת לישראל או למוסד ציבורי);</p>\r\n<p style=\"text-align: justify;\">(ג) מכירה פטורה לפי סעיפים 49ז1, 64, 65, 67, 69 או 70 (החלפת מקרקעין בשל צו של רשות מוסמכת, חלוקת מקרקעין בין בעלים משותפים, מכירה מנאמן לנהנה, מכירת זכות לאיגוד על-ידי בעלי הזכויות באיגוד);</p>\r\n<p style=\"text-align: justify;\">(ד) מכירה בפטור מיוחד של דירה שנתקבלה בירושה (ראה להלן – פטור במכירת דירה שהתקבלה בירושה);</p>\r\n\r\n<h2 style=\"text-align: justify;\"> פטור ממס שבח במכירת דירה יחידה</h2>\r\n<p style=\"text-align: justify;\">הדירה הנמכרת היא דירתו היחידה של המוכר בישראל (לרבות ביהודה ושומרון ו/או חבל עזה) והמוכר לא מכר, במשך שמונה עשר החודשים שקדמו למכירה האמורה, דירת מגורים אחרת כאמור, בפטור ממס שבח לפי חלופה זו (פטור במכירת דירה יחידה), ובארבע השנים שקדמו למכירה לא היתה לו בעת ובעונה אחת יותר מדירת מגורים אחת.</p>\r\n<p style=\"text-align: justify;\">פטור זה לא יינתן במקרה של מכירת חלק בדירה שבה יש למוכר פחות מ-25%, ובמקרה של מכירת דירה שהושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997.</p>\r\n<p style=\"text-align: justify;\">לענין פטור זה, יראו את הדירה הנמכרת כדירת המגורים היחידה שבבעלות המוכר גם אם יש לו, בנוסף על הדירה הנמכרת, דירת מגורים שנתקיים לגביה אחד מאלה:</p>\r\n<p style=\"text-align: justify;\">(1) היא נרכשה כתחליף לדירה הנמכרת ב-18 החודשים שקדמו למכירה;</p>\r\n<p style=\"text-align: justify;\">(2) היא הושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997;</p>\r\n<p style=\"text-align: justify;\">(3) חלקו של המוכר בבעלות בדירה הנוספת הוא פחות מ-25%.</p>\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\">ואולם, יראו כדירת מגורים נוספת גם דירה המשמשת למגורים או מיועדת למגורים לפי טיבה שהיא בבעלותו של איגוד, למעט דירה המהווה מלאי עסקי לענין מס הכנסה, אך למוכר יש באמצעות זכויותיו באיגוד, במישרין או בעקיפין, 25% לפחות בבעלות בה והיא לא הושכרה בשכירות מוגנת לפני יום 1.1.1997; לענין זה, \"זכויות\" – כל אחת מאלה: הזכות לקבלת נכסי האיגוד בעת פירוקו, הזכות לקבל רווחים והזכות למנות מנהלים.</p>\r\n\r\n<h2 style=\"text-align: justify;\"> פטור ממס שבח במכירת דירה שהתקבלה בירושה</h2>\r\n<p style=\"text-align: justify;\">במכירה של דירת מגורים מזכה שקיבל המוכר בירושה, יינתן הפטור ממס שבח בהתקיים כל אלה:</p>\r\n<p style=\"text-align: justify;\">(א) המוכר הוא בן זוגו של המוריש, או צאצא של המוריש, או בן זוגו של צאצא של המוריש;</p>\r\n<p style=\"text-align: justify;\">(ב) לפני פטירתו היה המוריש בעלה של דירת מגורים אחת בלבד;</p>\r\n<p style=\"text-align: justify;\">(ג) אילו היה המוריש עדיין בחיים ומוכר את דירת המגורים, היה פטור ממס שבח בשל המכירה.</p>\r\n\r\n<h2 style=\"text-align: justify;\"> מכירת דירה בפטור חד-פעמי</h2>\r\n<p style=\"text-align: justify;\">תושב ישראל המוכר דירת מגורים מזכה, יהא זכאי לפטור ממס שבח במכירתה גם אם אינו זכאי לפטור לפי אחת החלופות האחרות, ובלבד שנתקיימו כל אלה:</p>\r\n<p style=\"text-align: justify;\">(1) המוכר מכר בפטור ממס שבח דירה אחרת לפי פרק חמישי 1 לחוק (פרק הפטורים לדירות מגורים) בתוך שנים עשר החודשים שקדמו למכירה נושא הפטור (להלן – הדירה הראשונה);</p>\r\n<p style=\"text-align: justify;\">(2) סכום השווי של הדירה הראשונה ושל הדירה הנמכרת (להלן – הדירה השניה), ביחד, לא עלה על -.1,500,000 ₪;</p>\r\n<p style=\"text-align: justify;\">(3) המוכר רכש בשנה שלפני מכירת הדירה השניה או ירכוש בשנה שלאחר מכירתה, דירה אחרת (דירה המשמשת או המיועדת לשמש למגורים, ובדירה שבנייתה טרם נסתיימה, למעט דירה שאין עמה התחייבות מצד המוכר לסיים את הבניה), בישראל (לרבות ביהודה ושומרון ו/או חבל עזה), בסכום השווה לשלושה רבעים לפחות משווי שתי הדירות שמכר;</p>\r\n<p style=\"text-align: justify;\">(4) במידה וסכום השווי של הדירה הראשונה והדירה השניה, יחד, עלה על -.1,500,000 ₪ אך לא עלה על -.2,500,000 ₪, יהא המוכר זכאי לפטור ממס שבח במכירה של הדירה השניה, על סכום השווה להפרש שבין -.1,500,000 ₪ לבין סכום השווי של הדירה הראשונה; יתרת סכום השווי של הדירה השניה תחוייב במס שבח.</p>\r\n<p style=\"text-align: justify;\">פטור זה יינתן למוכר (כולל התא המשפחתי שלו) רק פעם אחת בחייו.</p>\r\n\r\n<h2 style=\"text-align: justify;\"> סייגים במקרה של מכירת דירה שהתקבלה במתנה:</h2>\r\n<p style=\"text-align: justify;\">על אף האמור לעיל, לא יינתן פטור ממס שבח במכירת דירת מגורים שהמוכר קיבל אותה במתנה במקרים שלהלן:</p>\r\n<p style=\"text-align: justify;\">(1) אם הדירה לא שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 4 שנים מיום שנעשה בעלה, וכשנותן המתנה הוא הורה – 3 שנים מיום שנעשה בעלה;</p>\r\n<p style=\"text-align: justify;\">(2) אם הדירה שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 3 שנים מיום שהחל לגור בה דרך קבע בהיותו בעלה, וכשנותן המתנה הוא הורהו – רק לאחר שיחלפו שנתיים מיום שהחל לגור בה דרך קבע בהיותו בעלה, ואם הוא נשוי או אם הוא הורה יחיד כהגדרתו בסעיף 1 לחוק משפחות חד הוריות, התשנ\"ב-1992 – כעבור שנה אחת.</p>\r\n<p style=\"text-align: justify;\">יראו קבלת 50% לפחות ממחיר הדירה במתנה, בתוך שלוש שנים שקדמו לרכישתה, כקבלת הדירה במתנה.</p>\r\n<p style=\"text-align: justify;\">מוכר שקיבל את הדירה לפני שמלאו לו 18 שנים, יתחיל לגביו מנין השנים האמורות מיום שמלאו לו 18 שנים. אך אם הבעלות בדירה הנמכרת משותפת לבני-זוג, יביאו בחשבון לענין התקופות הנ\"ל את גילו של המבוגר שבהם.</p>\r\n<p style=\"text-align: justify;\">משרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום מיסוי מקרקעין ונדל\"ן (מס שבח, מס מכירה, מס רכישה), ומעניק ייעוץ, הערכות ותכנון מס בעסקאות מקרקעין, לרבות טיפול בהגשת דיווחים על מכירת/רכישת זכויות במקרקעין, ייצוג בפני רשויות המס ומשרדי מיסוי מקרקעין בכל הליכי השומה ובפני וועדות ערר (לרבות השגות ועררים) ובבתי המשפט בכל הערכאות, מתן חוות דעת ועוד.</p>", "פטור ממס שבח במכירת דירת מגורים מזכה", "", "inherit", "open", "open", "", "74-autosave", "", "", "2012-09-20 19:25:45", "2012-09-20 16:25:45", "", "74", "http://techwebtesting.com/rublaw/74-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("78", "1", "2012-07-18 11:28:32", "2012-07-18 08:28:32", "מאת: פיני רובינשטיין, עו\"ד\r\n<h2>הגדרת \"דירת מגורים\" ו\"דירת מגורים מזכה\":</h2>\r\n\"דירת מגורים\" - דירה או חלק מדירה, שבנייתה נסתיימה והיא בבעלותו או בחכירתו של יחיד, ומשמשת למגורים או מיועדת למגורים לפי טיבה, למעט דירה המהווה מלאי עסקי לענין מס הכנסה.\r\n\r\n\"דירת מגורים מזכה\" – דירת מגורים ששימשה בעיקרה למגורים לפחות באחת משתי התקופות שלהלן:\r\n\r\n(1) ארבע חמישיות מהתקופה שבשלה מחושב השבח (לא תובא בחשבון התקופה שקדמה ליום 1.1.1998);\r\n\r\n(2) ארבע השנים שקדמו למכירתה;\r\n\r\nלענין זה יראו תקופה שבה לא נעשה בדירה שימוש כלשהו, או תקופה שבה שימשה הדירה לפעולות חינוך (גן ילדים, פעוטון, בית ספר, ישיבה) או דת כפי שקבע שר האוצר, באישור ועדת הכספים של הכנסת, כתקופה שבה שימשה הדירה למגורים.\r\n\r\nלפי פרשנות רשויות מיסוי מקרקעין, במונח \"שימשה בעיקרה למגורים\" הכוונה שלפחות 50% משטח הדירה שימש למגורים.\r\n<h2> תנאים כלליים:</h2>\r\nמוכר, בן זוגו (למעט בן זוג הגר דרך קבע בנפרד) וילדיהם שטרם מלאו להם 18 שנים, למעט ילדים נשואים, נחשבים כמוכר אחד.\r\n\r\nהמוכר לא יהא זכאי לפטור ממס שבח, אלא אם נמכרות כל הזכויות שיש לו בדירת מגורים מזכה.\r\n<h2> הפטורים:</h2>\r\n<h2> פטור ממס שבח במכירת דירה אחת ל- 4 שנים</h2>\r\nהמוכר לא מכר בארבע השנים שקדמו למכירה האמורה דירת מגורים אחרת בפטור ממס שבח; לענין זה, מכירה בפטור ממס שבח – לרבות מכירה בפטור חלקי, אך למעט:\r\n\r\n(א) מתנה פטורה על פי סעיף 62 לילדו או לבן זוגו של נותן המתנה;\r\n\r\n(ב) מתנה פטורה על פי סעיפים 60 או 61 (מתנה למדינה, לרשות מקומית, לקרן הקיימת לישראל, לקרן היסוד - המגבית המאוחדת לישראל או למוסד ציבורי);\r\n\r\n(ג) מכירה פטורה לפי סעיפים 49ז1, 64, 65, 67, 69 או 70 (החלפת מקרקעין בשל צו של רשות מוסמכת, חלוקת מקרקעין בין בעלים משותפים, מכירה מנאמן לנהנה, מכירת זכות לאיגוד על-ידי בעלי הזכויות באיגוד);\r\n\r\n(ד) מכירה בפטור מיוחד של דירה שנתקבלה בירושה (ראה להלן – פטור במכירת דירה שהתקבלה בירושה);\r\n<h2> פטור ממס שבח במכירת דירה יחידה</h2>\r\nהדירה הנמכרת היא דירתו היחידה של המוכר בישראל (לרבות ביהודה ושומרון ו/או חבל עזה) והמוכר לא מכר, במשך שמונה עשר החודשים שקדמו למכירה האמורה, דירת מגורים אחרת כאמור, בפטור ממס שבח לפי חלופה זו (פטור במכירת דירה יחידה), ובארבע השנים שקדמו למכירה לא היתה לו בעת ובעונה אחת יותר מדירת מגורים אחת.\r\n\r\nפטור זה לא יינתן במקרה של מכירת חלק בדירה שבה יש למוכר פחות מ-25%, ובמקרה של מכירת דירה שהושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997.\r\n\r\nלענין פטור זה, יראו את הדירה הנמכרת כדירת המגורים היחידה שבבעלות המוכר גם אם יש לו, בנוסף על הדירה הנמכרת, דירת מגורים שנתקיים לגביה אחד מאלה:\r\n\r\n(1) היא נרכשה כתחליף לדירה הנמכרת ב-18 החודשים שקדמו למכירה;\r\n\r\n(2) היא הושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997;\r\n\r\n(3) חלקו של המוכר בבעלות בדירה הנוספת הוא פחות מ-25%.\r\n\r\n&nbsp;\r\n\r\nואולם, יראו כדירת מגורים נוספת גם דירה המשמשת למגורים או מיועדת למגורים לפי טיבה שהיא בבעלותו של איגוד, למעט דירה המהווה מלאי עסקי לענין מס הכנסה, אך למוכר יש באמצעות זכויותיו באיגוד, במישרין או בעקיפין, 25% לפחות בבעלות בה והיא לא הושכרה בשכירות מוגנת לפני יום 1.1.1997; לענין זה, \"זכויות\" – כל אחת מאלה: הזכות לקבלת נכסי האיגוד בעת פירוקו, הזכות לקבל רווחים והזכות למנות מנהלים.\r\n<h2> פטור ממס שבח במכירת דירה שהתקבלה בירושה</h2>\r\nבמכירה של דירת מגורים מזכה שקיבל המוכר בירושה, יינתן הפטור ממס שבח בהתקיים כל אלה:\r\n\r\n(א) המוכר הוא בן זוגו של המוריש, או צאצא של המוריש, או בן זוגו של צאצא של המוריש;\r\n\r\n(ב) לפני פטירתו היה המוריש בעלה של דירת מגורים אחת בלבד;\r\n\r\n(ג) אילו היה המוריש עדיין בחיים ומוכר את דירת המגורים, היה פטור ממס שבח בשל המכירה.\r\n<h2> מכירת דירה בפטור חד-פעמי</h2>\r\nתושב ישראל המוכר דירת מגורים מזכה, יהא זכאי לפטור ממס שבח במכירתה גם אם אינו זכאי לפטור לפי אחת החלופות האחרות, ובלבד שנתקיימו כל אלה:\r\n\r\n(1) המוכר מכר בפטור ממס שבח דירה אחרת לפי פרק חמישי 1 לחוק (פרק הפטורים לדירות מגורים) בתוך שנים עשר החודשים שקדמו למכירה נושא הפטור (להלן – הדירה הראשונה);\r\n\r\n(2) סכום השווי של הדירה הראשונה ושל הדירה הנמכרת (להלן – הדירה השניה), ביחד, לא עלה על -.1,500,000 ₪;\r\n\r\n(3) המוכר רכש בשנה שלפני מכירת הדירה השניה או ירכוש בשנה שלאחר מכירתה, דירה אחרת (דירה המשמשת או המיועדת לשמש למגורים, ובדירה שבנייתה טרם נסתיימה, למעט דירה שאין עמה התחייבות מצד המוכר לסיים את הבניה), בישראל (לרבות ביהודה ושומרון ו/או חבל עזה), בסכום השווה לשלושה רבעים לפחות משווי שתי הדירות שמכר;\r\n\r\n(4) במידה וסכום השווי של הדירה הראשונה והדירה השניה, יחד, עלה על -.1,500,000 ₪ אך לא עלה על -.2,500,000 ₪, יהא המוכר זכאי לפטור ממס שבח במכירה של הדירה השניה, על סכום השווה להפרש שבין -.1,500,000 ₪ לבין סכום השווי של הדירה הראשונה; יתרת סכום השווי של הדירה השניה תחוייב במס שבח.\r\n\r\nפטור זה יינתן למוכר (כולל התא המשפחתי שלו) רק פעם אחת בחייו.\r\n<h2> סייגים במקרה של מכירת דירה שהתקבלה במתנה:</h2>\r\nעל אף האמור לעיל, לא יינתן פטור ממס שבח במכירת דירת מגורים שהמוכר קיבל אותה במתנה במקרים שלהלן:\r\n\r\n(1) אם הדירה לא שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 4 שנים מיום שנעשה בעלה, וכשנותן המתנה הוא הורה – 3 שנים מיום שנעשה בעלה;\r\n\r\n(2) אם הדירה שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 3 שנים מיום שהחל לגור בה דרך קבע בהיותו בעלה, וכשנותן המתנה הוא הורהו – רק לאחר שיחלפו שנתיים מיום שהחל לגור בה דרך קבע בהיותו בעלה, ואם הוא נשוי או אם הוא הורה יחיד כהגדרתו בסעיף 1 לחוק משפחות חד הוריות, התשנ\"ב-1992 – כעבור שנה אחת.\r\n\r\nיראו קבלת 50% לפחות ממחיר הדירה במתנה, בתוך שלוש שנים שקדמו לרכישתה, כקבלת הדירה במתנה.\r\n\r\nמוכר שקיבל את הדירה לפני שמלאו לו 18 שנים, יתחיל לגביו מנין השנים האמורות מיום שמלאו לו 18 שנים. אך אם הבעלות בדירה הנמכרת משותפת לבני-זוג, יביאו בחשבון לענין התקופות הנ\"ל את גילו של המבוגר שבהם.\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום מיסוי מקרקעין ונדל\"ן (מס שבח, מס מכירה, מס רכישה), ומעניק ייעוץ, הערכות ותכנון מס בעסקאות מקרקעין, לרבות טיפול בהגשת דיווחים על מכירת/רכישת זכויות במקרקעין, ייצוג בפני רשויות המס ומשרדי מיסוי מקרקעין בכל הליכי השומה ובפני וועדות ערר (לרבות השגות ועררים) ובבתי המשפט בכל הערכאות, מתן חוות דעת ועוד.", "מיסוי מקרקעין ומס שבח – פטור ממס שבח במכירת דירת מגורים מזכה", "", "inherit", "open", "open", "", "74-revision-3", "", "", "2012-07-18 11:28:32", "2012-07-18 08:28:32", "", "74", "http://techwebtesting.com/rublaw/74-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("80", "1", "2012-07-18 11:21:50", "2012-07-18 08:21:50", "כ\"ה סיון תשס\"ט\r\n\r\n‏17 יוני 2009\r\n\r\nמש- 04427109\r\n<h1>הוראת ביצוע מיסוי מקרקעין 8/2009</h1>\r\n<h1>הנדון: \"דמי מפתח\" - התרתם בניכוי בחישוב השבח</h1>\r\n<h2>1. כללי</h2>\r\nא. הוראת ביצוע זו עניינה במכירת זכות במקרקעין במובן חוק מיסוי מקרקעין (שבח ורכישה) התשכ\"ג - 1963 (להלן: \"החוק\") ע\"י מי שהיה דייר מוגן ובשלב מאוחר יותר רכש את זכות הבעלות. במקרה זה עולה השאלה האם יש להביא בחשבון בעת חישוב השבח את התשלום ששילם המוכר לרכישת זכות הדיירות המוגנת קרי, את תשלום דמי המפתח.\r\n\r\nב. עפ\"י חוק הגנת הדייר (נוסח משולב) התשל\"ב – 1972 (להלן: \"חוק הגנת הדייר\") , במכירת זכות דיירות מוגנת על ידי בעל הבית משלם הדייר הנכנס, דמי מפתח לבעל הבית. כמו כן, בעת החלפת דייר מוגן משלם הדייר הנכנס דמי מפתח, שחלקם משתלמים לבעל בית ויתרתם משתלמים לדייר היוצא.\r\n\r\nג. קבלת \"דמי מפתח\" בידי בעל הבית, תחויב במס פירותי לפי סעיף 2(6) לפקודה בשיעור מס הקבוע בסעיף 124 לפקודה.\r\n\r\nחלק התשלום המשולם לדייר היוצא חייב במס רווח הון לפי חלק ה\' לפקודה. אלא אם כן הזכויות הנמכרות הן \"בדירת מגורים\", שאינן מחויבות במס.\r\n<h2> חוק הגנת הדייר – מושגים</h2>\r\nחוק הגנת הדייר (נוסח משולב), התשל\"ב - 1972, (להלן-\"החוק\") מגדיר את זכויות וחובות של בעל הבית והדייר , ומונה את עילות הפינוי של הדייר המוגן. כמו כן החוק חל הן על דיירים המחזיקים בנכס עסקי וכן על דירות מגורים.\r\n\r\nד. תחולת החוק:\r\n\r\n1. נכס הנכלל בתחולת החוק, הינו:\r\n\r\nשכירות של בנין או חלק מבנין וחצר או גינה המשמשים את מטרת השכירות, למעט: (רשימה חלקית )\r\n\r\nא. קרקע פנויה שהושכרה לאחר 8.7.1955.\r\n\r\nב. שכירות לתקופה של יותר משבע שנים, שנעשתה לאחר 8.7.1955, ופורש בחוזה השכירות בכתב, כי הדייר לא יהיה מוגן על פי חוק זה. וכן שכירות של יותר מ - 14 שנה, שנעשתה לפני 8.7.1955.\r\n\r\nג. משק חקלאי.\r\n\r\nד. בניינים חדשים שנבנו לאחר 20.8.1968.\r\n<h2>2. \"דייר מוגן\" , על פי החוק , הוא:</h2>\r\nא. דייר ששילם דמי מפתח עבור הנכס המוחזק.\r\n\r\nב. דייר שלא שילם דמי מפתח, אך נכנס לנכס לפני שנת 1940.\r\n\r\nג. כל בן משפחה שהפך לדייר מוגן לאחר שעברה אליו הזכות מהדייר\r\n\r\nהמוגן המקורי על פי התנאים בחוק.\r\n\r\nד. דייר שנכנס לנכס לאחר 20.08.1968, ושילם דמי מפתח.\r\n\r\nה. \"דמי מפתח \" - כל תמורה שאינה דמי שכירות, הניתנת בקשר לשכירות של מושכר או בקשר לקבלת החזקה או להחזרת החזקה במושכר לפי חוק זה- ללא קשר למועד התשלום בפועל.\r\n\r\nו. \"בעל בית\" - מי שהשכיר נכס בשכירות ראשית, בין אם הוא בעלו של הנכס המושכר ובין אם לא, לרבות חליפיו.\r\n<h2> 2. פסק הדין בעניין פרוכטר (ע 1328/04, 1336/04)</h2>\r\nבפסק הדין בעניין פרוכטר נדונה השאלה כאמור בסעיף 1(א) לעיל, דעת הרוב פסקה כי בחישוב השבח יש לקבוע את שווי הרכישה של זכות הבעלות \"כשווי המכירה\" שנקבע בעת שהדייר המוגן רכש את זכות הבעלות – מחיר ששיקף שווי נמוך בשל היות הנכס \"תפוס\" כבר על ידו כדייר מוגן.\r\n\r\nבעמדתה זו, לא התחשבה דעת הרוב בעלות הנוספת שהיתה לדייר המוגן (דמי המפתח) ואשר בשלה שווי רכישת זכות הבעלות היה נמוך.\r\n\r\nדעת המיעוט, לעומת זאת קבעה כי יש להתחשב בעלות רכישת הדיירות המוגנת בעת חישוב השבח, בין היתר גם מהטעם שלאחר תיקון 55 לחוק ותיקון הרישא שבסעיף 39 לחוק, יש לראות בדמי מפתח הוצאה המותרת בניכויי \"כהוצאה שהוציא המוכר לרכישת הזכות במקרקעין\".\r\n<h2> 3. הוראות לפעולה</h2>\r\nעל מנת להגיע למיסוי נכון של הרווח הכלכלי האמיתי שנצמח למוכר זכות במקרקעין שהיה דייר מוגן ורכש את זכות הבעלות, ועל-מנת למנוע את העיוותים הכלכליים נשוא הו\"ב 24/85, נקבע כדלקמן:\r\n\r\nא. סעיף 3 בהוראת ביצוע 24/85 מיום 4.9.85 מבוטל.\r\n\r\nב. בחישוב השבח במכירת זכות במקרקעין ע\"י מי שהיה דייר מוגן ורכש את זכות הבעלות, יותרו בניכוי דמי המפתח ששולמו בשעתו על ידו לצורך רכישת זכות הדיירות המוגנת.\r\n\r\nהוצאת דמי המפתח תתואם מיום ההוצאה ועד ליום רכישת הבעלות בנכס, ותותר בניכוי ליום רכישת זכות הבעלות.\r\n\r\nיובהר, כי לא כל דייר מוגן נדרש לשלם דמי מפתח, לפיכך יש לקבל תיעוד או אסמכתאות על תשלום בפועל.\r\n\r\nג. דמי מפתח בעד שכירות מוגנת בבית עסק ששילם הדייר עד ליום 31/3/64, ניתן היה לנכותם על פי הפקודה, תקנות מס הכנסה (התרת הפחתות בעד הוצאות) התשל\"ט- 1978.\r\n\r\nלפיכך, על המנהל להשתכנע שדמי המפתח לא הותרו בניכוי על ידי פקיד השומה לפני התרתם בניכוי בחישוב השבח.\r\n\r\nד. תחולת ההוראה מיום הפצתה.\r\n\r\n<strong>בברכה,</strong><strong>רשות המסים בישראל</strong>", "מיסוי מקרקעין - דמי מפתח - התרתם בניכוי בחישוב השבח", "", "inherit", "open", "open", "", "64-revision-5", "", "", "2012-07-18 11:21:50", "2012-07-18 08:21:50", "", "64", "http://techwebtesting.com/rublaw/64-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("81", "1", "2012-07-18 09:46:56", "2012-07-18 06:46:56", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nלא יפטר מעביד עובדת שהיא בהריון וטרם יצאה לחופשת לידה אלא בהיתר מאת שר העבודה והרווחה, ולא יתיר השר פיטורי עובדת בהריון אם הפיטורים הם, לדעתו, בקשר להריון; הוראות סעיף קטן זה יחולו הן על עובדת בהריון שהיא עובדת קבועה והן על עובדת בהריון שהיא עובדת ארעית או זמנית ובלבד שהעובדת עבדה אצל אותו מעביד או באותו מקום עבודה ששה חדשים לפחות;\r\n\r\n\"פיטורים\" - לרבות אי-חידוש חוזה עבודה לתקופה קצובה שהוא אחד מאלה:\r\n\r\n(1) חוזה עבודה לתקופה קצובה של שנים עשר חודשים או יותר;\r\n\r\n(2) חוזה עבודה לתקופה קצובה הפחותה משנים עשר חודשים, שהאריך או שחידש העסקה קודמת שהיתה סמוך לפני תחילת תוקפו של החוזה;\r\n\r\nהיה המעביד קבלן כוח אדם והעובדת הועסקה אצלו בפועל במשך שישה חודשים לפחות יראו גם הפסקה זמנית של העסקתה כפיטורים;\r\n\r\nלעניין עובדת של קבלן כוח אדם המועסקת אצל מעסיק בפועל במשך שישה חודשים לפחות, יחולו הוראות אלה:\r\n\r\n(א) לא יגרום מעסיק בפועל לכך שקבלן כוח אדם יפטר עובדת בהריון בניגוד להוראות שלעיל ולהלן;\r\n\r\n(ב) פוטרה עובדת בהריון בניגוד להוראות שלעיל ולהלן, חזקה היא שהמעסיק בפועל הוא שגרם לפיטורים, אלא אם כן הוכיח אחרת;\r\n\r\n(ג) בקשה להיתר לפיטורי עובדת בהריון תוגש הן בידי המעסיק בפועל והן בידי קבלן כוח האדם.\r\n\r\nלא יפטר מעביד עובדת או עובד בחופשת לידה ובמשך תקופה של 60 ימים לאחר תום חופשת הלידה, ולא ייתן הודעת פיטורים למועד החל בתקופה הנ\"ל, אלא בהיתר מאת שר התעשיה המסחר והתעסוקה; השר לא יתיר פיטורים בתקופה הנ\"ל אלא אם כן שוכנע כי מתקיימים כל אלה:\r\n\r\n(א) הפיטורים אינם בקשר ללידה, לחופשת הלידה או להיעדרות כאמור;\r\n\r\n(ב) עסקו של המעביד חדל לפעול או שהמעביד הוכרז כפושט רגל, ואם הוא תאגיד - ניתן צו פירוק;\r\n\r\nאיסור פגיעה בהיקף משרה או בהכנסה בתקופת איסור הפיטורים:\r\n\r\nלא יפגע מעביד בהיקף המשרה או בהכנסה של עובדת או עובד שחלה הגבלה על פיטוריהם כאמור לעיל, בתקופה שבה חלה ההגבלה הנ\"ל, אלא בהיתר מאת שר התעשיה המסחר והתעסוקה, ולא יתיר השר פגיעה כאמור אם היא לדעתו בקשר לעילה שבשלה חלה אותה הגבלה.\r\n\r\n\"פגיעה\", בהיקף המשרה - למעט שינוי זמני בהיקף המשרה לפי בקשה שיזמו העובדת או העובד בשל מצבם הרפואי לפי אישור בכתב מאת רופא;\r\n\r\n\"פגיעה\", בהכנסה, למעט:\r\n\r\n(1) פגיעה בהכנסה החלה במקום העבודה מכוח דין או הסכם קיבוצי;\r\n\r\n(2) פגיעה ברכיב השכר המשולם לעובדת או לעובד בהתאם לתפוקת עבודתם ובלבד שהפגיעה בתפוקתם של העובדת או העובד לא נגרמה מסיבות התלויות במעביד.\r\n\r\nהמידע המוצג במאמר הנו מידע כללי בלבד, ואין בו כדי להוות ייעוץ ו/או חוות דעת משפטית. המחבר אינו נושא באחריות כלשהי כלפי הקוראים, ואלה נדרשים לקבל עצה מקצועית לפני כל פעולה המסתמכת על הדברים האמורים.\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום דיני עבודה ויחסי עובד-מעביד, ובפרט בתחום עבודת נשים, פיטורים בזמן הריון, הרעת תנאים בזמן הריון ו/או בשל ההריוןן, הפליה בשל הריון, פיטורים בחופשת לידה, פיטורים אחרי חופשת לידה, הרעת תנאים אחרי חופשת לידה ועוד.\r\n\r\nמשרדנו משרדנו מייצג נשים רבות אשר נפלו קורבן להפליה על רקע הריון ו/או לידה, ומסייע לנשים אלו במיצוי ואכיפת זכויותיהן וכן בקבלת פיצויים בגין התנהגות המעביד.\r\n\r\nאל תהיי גם את קורבן להתנהגות קלוקלת ומפלה של מעסיקך. פני אלינו עוד היום לקבלת ייעוץ ולסיוע במיצוי ובאכיפת זכויותיך החוקיות !!!", "פיטורים בהריון, בחופשת לידה או לאחר חופשת לידה – איסור/הגבלת פיטורים", "", "inherit", "open", "open", "", "52-revision-3", "", "", "2012-07-18 09:46:56", "2012-07-18 06:46:56", "", "52", "http://techwebtesting.com/rublaw/52-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("82", "1", "2012-07-18 09:59:10", "2012-07-18 06:59:10", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\n&nbsp;\r\n\r\nפסיקת בתי הדין לעבודה הטילה הן על מעסיקים ציבוריים הן על מעסיקים דו-מהותיים והן על מעסיקים פרטיים את החובה להודיע לעובד מראש על הכוונה לפטרו, לנמק את הפיטורים ולקיים לעובד שימוע שבמסגרתו יוכל העובד להשמיע טענותיו בטרם תתקבל בעניינו החלטה העלולה לפגוע בהעסקתו ולהביא לפיטוריו.\r\n\r\nעל-פי הפסיקה, חובת השימוע קיימת גם במקרים של פיטורי צמצום וגם כאשר מדובר בעובד המועסק בחוזה לתקופה קצובה המתחדש מעת לעת (זאת רק במקרים שלעובד ציפייה לגיטימית שההתקשרות החוזית לא תסתיים מאליה).\r\n\r\nככלל, הסעד בגין הפרת זכות השימוע אינו בטלות הפיטורים והשבת העובד לעבודתו, אלא תשלום פיצויים.\r\n\r\nעל-פי הפסיקה, יש לבחון כל מקרה לגופו ורק בנסיבות מתאימות וחריגות ניתן יהא לבטל את הפיטורים ולאכוף יחסי עובד-מעביד.\r\n\r\nהסעד הראוי בכל מקרה ומקרה הינו בשיקול דעת בית הדין, אשר ייתן דעתו לסעד הראוי בשים לב לנסיבות המייחדות כל מקרה ספציפי, ובין היתר יידרש בית הדין לשיקולים כדלקמן:\r\n\r\n(א) מהותו וחומרתו של הפגם שנפל בהליך הפיטורים;\r\n\r\n(ב) סוג המשרה בה מדובר;\r\n\r\n(ג) השפעתו של הסעד שיינתן על העובד, על ההקשר התעשייתי והתעסוקתי, תוך מתן משקל להיבטים החוקיים והחוקתיים, ככל שאף הם באים בגדר העניין;\r\n\r\n(ד) במקרה המתאים יבדוק בית הדין אם נכון הוא לתקן עוול בעוול – ככל שעלול להגרם עוול למי מהצדדים המעורבים.", "זכות השימוע והסעד בגין פיטורים ללא שימוע", "", "inherit", "open", "open", "", "57-revision-3", "", "", "2012-07-18 09:59:10", "2012-07-18 06:59:10", "", "57", "http://techwebtesting.com/rublaw/57-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("83", "1", "2012-07-18 11:04:18", "2012-07-18 08:04:18", "מאת: פיני רובינשטיין, עו\"ד\r\n<h2> חובה ליתן הודעה מוקדמת לפיטורים ולהתפטרות</h2>\r\nמעביד המבקש לפטר עובד ייתן לו הודעה מוקדמת לפיטורים.\r\n\r\nעובד המבקש להתפטר מעבודתו ייתן למעבידו הודעה מוקדמת להתפטרות.\r\n\r\nהודעה מוקדמת תינתן בכתב ותציין את יום הוצאת ההודעה ואת יום הכניסה לתוקף של הפיטורים או ההתפטרות, לפי הענין.\r\n<h2>הודעה מוקדמת לפיטורים לעובד במשכורת</h2>\r\n\"עובד במשכורת\" - עובד שעיקר גמול עבודתו, משתלם על בסיס של חודש או של תקופה ארוכה יותר.\r\n\r\nעובד במשכורת זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\r\n\r\n*במהלך ששת חודשי עבודתו הראשונים - של יום אחד בשל כל חודש עבודה;\r\n\r\n*במהלך התקופה החל בחודש השביעי לעבודתו עד תום שנת עבודתו הראשונה - של 6 ימים, בתוספת של יומיים וחצי בשל כל חודש עבודה בתקופה הנ\"ל;\r\n\r\n*לאחר שנת עבודתו הראשונה - של חודש ימים;\r\n\r\n&nbsp;\r\n\r\nההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.\r\n\r\n&nbsp;\r\n<h2>הודעה מוקדמת לפיטורים לעובד בשכר</h2>\r\n\"עובד בשכר\" - עובד שאינו עובד במשכורת.\r\n\r\nעובד בשכר זכאי להודעה מוקדמת לפיטורים, כמפורט להלן:\r\n\r\n*במהלך שנת עבודתו הראשונה - של יום אחד בשל כל חודש עבודה;\r\n\r\n*במהלך שנת עבודתו השניה - של 14 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\r\n\r\n*במהלך שנת עבודתו השלישית - של 21 ימים, בתוספת של יום אחד בשל כל שני חודשי עבודה בשנה האמורה;\r\n\r\n*לאחר שנת עבודתו השלישית - של חודש ימים;\r\n\r\n&nbsp;\r\n\r\nההוראה הנ\"ל תחול, בשינויים המחויבים לפי הענין, על הודעה מוקדמת להתפטרות.\r\n\r\n&nbsp;\r\n<h2>ויתור על עבודה בפועל</h2>\r\nמעביד רשאי להודיע לעובד, בהודעה מוקדמת לפיטורים, כי הוא מוותר על נוכחות העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובד פיצוי בסכום השווה לשכרו הרגיל של העובד בעד בתקופה שלגביה ויתר על עבודתו.\r\n\r\nמעביד רשאי להודיע לעובד שנתן הודעה מוקדמת להתפטרות, כי הוא מוותר על נוכחותו של העובד ועל עבודתו בפועל בתקופת ההודעה האמורה, כולה או מקצתה, ובלבד שישלם לעובדו פיצוי בסכום השווה לשכרו הרגיל של העובד בעד התקופה שלגביה ויתר על עבודתו.\r\n\r\n&nbsp;\r\n<h2>תוצאות אי מתן הודעה מוקדמת</h2>\r\nמעביד שפיטר עובד ולא נתן לו הודעה מוקדמת לפיטורים, ישלם לעובד פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\r\n\r\nעובד שחדל לעבוד ולא נתן למעבידו הודעה מוקדמת להתפטרות, ישלם למעבידו פיצוי בסכום השווה לשכרו הרגיל בעד התקופה שלגביה לא ניתנה ההודעה המוקדמת.\r\n<h2>פיטורים והתפטרות בלא מתן הודעה מוקדמת</h2>\r\nהתפטרות ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת להתפטרות, לא יחולו על עובד, בנסיבות מיוחדות שעקב קיומן אין לדרוש ממנו כי יעבוד בתקופת ההודעה המוקדמת.\r\n\r\nפיטורים ללא הודעה מוקדמת – האמור לעיל, לעניין חובת הודעה מוקדמת לפיטורים, לא יחולו על מעביד, בנסיבות שבהן העובד שפוטר אינו זכאי לפיצויים, על פי החלטת בית דין למשמעת אשר הורה על פיטורים בלא פיצויים מכוח הוראות חיקוק הקובע שיפוט משמעתי, או במקרה שעובד פוטר בנסיבות הבאות:\r\n\r\n&nbsp;\r\n\r\n*פיטורים ללא פיצויים מכוח הסכם קיבוצי - לא יהיה עובד זכאי לפיצויים או יהיה זכאי לפיצויים חלקיים בלבד, הכל לפי הענין, אם פוטר בנסיבות, שעל פי הסכם קיבוצי החל על המעביד והעובד - ובאין הסכם כזה, על פי ההסכם הקיבוצי החל על המספר הגדול ביותר של העובדים באותו ענף - מצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים בלבד.\r\n\r\n*פיטורים ללא פיצויים מכוח פסק דין - בענף העבודה שאין בו הסכם קיבוצי, רשאי בית הדין האזורי לעבודה לקבוע שפיטוריו של עובד היו בנסיבות המצדיקות פיטורים ללא-פיצויים או בפיצויים חלקיים שיקבע; בדונו בענין זה יונחה בית הדין האזורי לעבודה על פי הכללים שבהסכם הקיבוצי החל על המספר הגדול ביותר של עובדים.\r\n\r\nהאמור לעיל אינו בא למעט מכל זכות הנתונה לעובד לפי חוק, הסכם קיבוצי או חוזה עבודה.\r\n\r\n&nbsp;\r\n\r\nהמידע המוצג במאמר הנו מידע כללי בלבד, ואין בו כדי להוות ייעוץ ו/או חוות דעת משפטית. המחבר אינו נושא באחריות כלשהי כלפי הקוראים, ואלה נדרשים לקבל עצה מקצועית לפני כל פעולה המסתמכת על הדברים האמורים.\r\n\r\n&nbsp;\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום דיני עבודה,יחסי עובד מעביד, חופש העיסוק, שכר עבודה והלנה, פיטורים והתפטרות, פיצויים, פיצויי פיטורים במקרים של התפטרות, שעות עבודה ומנוחה, עבודת נשים, פיטורים בזמן הריון, הרעת תנאים בשל הריון, הפליה בשל הריון, חילופי מעבידים, הסכמי עבודה/העסקה, סודיות ואי תחרות, תנאי עבודה וזכויות סוציאליות ועוד.\r\n\r\n&nbsp;\r\n\r\nמשרדנו הינו בעל התמחות ייחודית במקרים של התמוטטות כלכלית של המעביד (הפסקת פעילות, פשיטת רגל או פירוק של המעסיק) ומייצג עובדים במיצוי ואכיפת זכויותיהם במקרים שכאלו.", "הודעה מוקדמת לפיטורים ולהתפטרות", "", "inherit", "open", "open", "", "61-revision-4", "", "", "2012-07-18 11:04:18", "2012-07-18 08:04:18", "", "61", "http://techwebtesting.com/rublaw/61-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("84", "1", "2012-07-18 11:33:52", "2012-07-18 08:33:52", "כ\"ה סיון תשס\"ט\r\n\r\n‏17 יוני 2009\r\n\r\nמש- 04427109\r\n<h1>הוראת ביצוע מיסוי מקרקעין 8/2009</h1>\r\n<h1>הנדון: \"דמי מפתח\" - התרתם בניכוי בחישוב השבח</h1>\r\n<h2>1. כללי</h2>\r\nא. הוראת ביצוע זו עניינה במכירת זכות במקרקעין במובן חוק מיסוי מקרקעין (שבח ורכישה) התשכ\"ג - 1963 (להלן: \"החוק\") ע\"י מי שהיה דייר מוגן ובשלב מאוחר יותר רכש את זכות הבעלות. במקרה זה עולה השאלה האם יש להביא בחשבון בעת חישוב השבח את התשלום ששילם המוכר לרכישת זכות הדיירות המוגנת קרי, את תשלום דמי המפתח.\r\n\r\nב. עפ\"י חוק הגנת הדייר (נוסח משולב) התשל\"ב – 1972 (להלן: \"חוק הגנת הדייר\") , במכירת זכות דיירות מוגנת על ידי בעל הבית משלם הדייר הנכנס, דמי מפתח לבעל הבית. כמו כן, בעת החלפת דייר מוגן משלם הדייר הנכנס דמי מפתח, שחלקם משתלמים לבעל בית ויתרתם משתלמים לדייר היוצא.\r\n\r\nג. קבלת \"דמי מפתח\" בידי בעל הבית, תחויב במס פירותי לפי סעיף 2(6) לפקודה בשיעור מס הקבוע בסעיף 124 לפקודה.\r\n\r\nחלק התשלום המשולם לדייר היוצא חייב במס רווח הון לפי חלק ה\' לפקודה. אלא אם כן הזכויות הנמכרות הן \"בדירת מגורים\", שאינן מחויבות במס.\r\n<h2> חוק הגנת הדייר – מושגים</h2>\r\nחוק הגנת הדייר (נוסח משולב), התשל\"ב - 1972, (להלן-\"החוק\") מגדיר את זכויות וחובות של בעל הבית והדייר , ומונה את עילות הפינוי של הדייר המוגן. כמו כן החוק חל הן על דיירים המחזיקים בנכס עסקי וכן על דירות מגורים.\r\n\r\nד. תחולת החוק:\r\n\r\n1. נכס הנכלל בתחולת החוק, הינו:\r\n\r\nשכירות של בנין או חלק מבנין וחצר או גינה המשמשים את מטרת השכירות, למעט: (רשימה חלקית )\r\n\r\nא. קרקע פנויה שהושכרה לאחר 8.7.1955.\r\n\r\nב. שכירות לתקופה של יותר משבע שנים, שנעשתה לאחר 8.7.1955, ופורש בחוזה השכירות בכתב, כי הדייר לא יהיה מוגן על פי חוק זה. וכן שכירות של יותר מ - 14 שנה, שנעשתה לפני 8.7.1955.\r\n\r\nג. משק חקלאי.\r\n\r\nד. בניינים חדשים שנבנו לאחר 20.8.1968.\r\n<h2>2. \"דייר מוגן\" , על פי החוק , הוא:</h2>\r\nא. דייר ששילם דמי מפתח עבור הנכס המוחזק.\r\n\r\nב. דייר שלא שילם דמי מפתח, אך נכנס לנכס לפני שנת 1940.\r\n\r\nג. כל בן משפחה שהפך לדייר מוגן לאחר שעברה אליו הזכות מהדייר\r\n\r\nהמוגן המקורי על פי התנאים בחוק.\r\n\r\nד. דייר שנכנס לנכס לאחר 20.08.1968, ושילם דמי מפתח.\r\n\r\nה. \"דמי מפתח \" - כל תמורה שאינה דמי שכירות, הניתנת בקשר לשכירות של מושכר או בקשר לקבלת החזקה או להחזרת החזקה במושכר לפי חוק זה- ללא קשר למועד התשלום בפועל.\r\n\r\nו. \"בעל בית\" - מי שהשכיר נכס בשכירות ראשית, בין אם הוא בעלו של הנכס המושכר ובין אם לא, לרבות חליפיו.\r\n<h2> 2. פסק הדין בעניין פרוכטר (ע 1328/04, 1336/04)</h2>\r\nבפסק הדין בעניין פרוכטר נדונה השאלה כאמור בסעיף 1(א) לעיל, דעת הרוב פסקה כי בחישוב השבח יש לקבוע את שווי הרכישה של זכות הבעלות \"כשווי המכירה\" שנקבע בעת שהדייר המוגן רכש את זכות הבעלות – מחיר ששיקף שווי נמוך בשל היות הנכס \"תפוס\" כבר על ידו כדייר מוגן.\r\n\r\nבעמדתה זו, לא התחשבה דעת הרוב בעלות הנוספת שהיתה לדייר המוגן (דמי המפתח) ואשר בשלה שווי רכישת זכות הבעלות היה נמוך.\r\n\r\nדעת המיעוט, לעומת זאת קבעה כי יש להתחשב בעלות רכישת הדיירות המוגנת בעת חישוב השבח, בין היתר גם מהטעם שלאחר תיקון 55 לחוק ותיקון הרישא שבסעיף 39 לחוק, יש לראות בדמי מפתח הוצאה המותרת בניכויי \"כהוצאה שהוציא המוכר לרכישת הזכות במקרקעין\".\r\n<h2> 3. הוראות לפעולה</h2>\r\nעל מנת להגיע למיסוי נכון של הרווח הכלכלי האמיתי שנצמח למוכר זכות במקרקעין שהיה דייר מוגן ורכש את זכות הבעלות, ועל-מנת למנוע את העיוותים הכלכליים נשוא הו\"ב 24/85, נקבע כדלקמן:\r\n\r\nא. סעיף 3 בהוראת ביצוע 24/85 מיום 4.9.85 מבוטל.\r\n\r\nב. בחישוב השבח במכירת זכות במקרקעין ע\"י מי שהיה דייר מוגן ורכש את זכות הבעלות, יותרו בניכוי דמי המפתח ששולמו בשעתו על ידו לצורך רכישת זכות הדיירות המוגנת.\r\n\r\nהוצאת דמי המפתח תתואם מיום ההוצאה ועד ליום רכישת הבעלות בנכס, ותותר בניכוי ליום רכישת זכות הבעלות.\r\n\r\nיובהר, כי לא כל דייר מוגן נדרש לשלם דמי מפתח, לפיכך יש לקבל תיעוד או אסמכתאות על תשלום בפועל.\r\n\r\nג. דמי מפתח בעד שכירות מוגנת בבית עסק ששילם הדייר עד ליום 31/3/64, ניתן היה לנכותם על פי הפקודה, תקנות מס הכנסה (התרת הפחתות בעד הוצאות) התשל\"ט- 1978.\r\n\r\nלפיכך, על המנהל להשתכנע שדמי המפתח לא הותרו בניכוי על ידי פקיד השומה לפני התרתם בניכוי בחישוב השבח.\r\n\r\nד. תחולת ההוראה מיום הפצתה.\r\n\r\n<strong>בברכה,</strong><strong>רשות המסים בישראל</strong>", "מיסוי מקרקעין - דמי מפתח - התרתם בניכוי בחישוב השבח", "", "inherit", "open", "open", "", "64-revision-6", "", "", "2012-07-18 11:33:52", "2012-07-18 08:33:52", "", "64", "http://techwebtesting.com/rublaw/64-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("85", "1", "2012-07-18 11:31:07", "2012-07-18 08:31:07", "<p style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n\r\n<h2>הגדרת \"דירת מגורים\" ו\"דירת מגורים מזכה\":</h2>\r\n\"דירת מגורים\" - דירה או חלק מדירה, שבנייתה נסתיימה והיא בבעלותו או בחכירתו של יחיד, ומשמשת למגורים או מיועדת למגורים לפי טיבה, למעט דירה המהווה מלאי עסקי לענין מס הכנסה.\r\n\r\n\"דירת מגורים מזכה\" – דירת מגורים ששימשה בעיקרה למגורים לפחות באחת משתי התקופות שלהלן:\r\n\r\n(1) ארבע חמישיות מהתקופה שבשלה מחושב השבח (לא תובא בחשבון התקופה שקדמה ליום 1.1.1998);\r\n\r\n(2) ארבע השנים שקדמו למכירתה;\r\n\r\nלענין זה יראו תקופה שבה לא נעשה בדירה שימוש כלשהו, או תקופה שבה שימשה הדירה לפעולות חינוך (גן ילדים, פעוטון, בית ספר, ישיבה) או דת כפי שקבע שר האוצר, באישור ועדת הכספים של הכנסת, כתקופה שבה שימשה הדירה למגורים.\r\n\r\nלפי פרשנות רשויות מיסוי מקרקעין, במונח \"שימשה בעיקרה למגורים\" הכוונה שלפחות 50% משטח הדירה שימש למגורים.\r\n<h2> תנאים כלליים:</h2>\r\nמוכר, בן זוגו (למעט בן זוג הגר דרך קבע בנפרד) וילדיהם שטרם מלאו להם 18 שנים, למעט ילדים נשואים, נחשבים כמוכר אחד.\r\n\r\nהמוכר לא יהא זכאי לפטור ממס שבח, אלא אם נמכרות כל הזכויות שיש לו בדירת מגורים מזכה.\r\n<h2> הפטורים:</h2>\r\n<h2> פטור ממס שבח במכירת דירה אחת ל- 4 שנים</h2>\r\nהמוכר לא מכר בארבע השנים שקדמו למכירה האמורה דירת מגורים אחרת בפטור ממס שבח; לענין זה, מכירה בפטור ממס שבח – לרבות מכירה בפטור חלקי, אך למעט:\r\n\r\n(א) מתנה פטורה על פי סעיף 62 לילדו או לבן זוגו של נותן המתנה;\r\n\r\n(ב) מתנה פטורה על פי סעיפים 60 או 61 (מתנה למדינה, לרשות מקומית, לקרן הקיימת לישראל, לקרן היסוד - המגבית המאוחדת לישראל או למוסד ציבורי);\r\n\r\n(ג) מכירה פטורה לפי סעיפים 49ז1, 64, 65, 67, 69 או 70 (החלפת מקרקעין בשל צו של רשות מוסמכת, חלוקת מקרקעין בין בעלים משותפים, מכירה מנאמן לנהנה, מכירת זכות לאיגוד על-ידי בעלי הזכויות באיגוד);\r\n\r\n(ד) מכירה בפטור מיוחד של דירה שנתקבלה בירושה (ראה להלן – פטור במכירת דירה שהתקבלה בירושה);\r\n<h2> פטור ממס שבח במכירת דירה יחידה</h2>\r\nהדירה הנמכרת היא דירתו היחידה של המוכר בישראל (לרבות ביהודה ושומרון ו/או חבל עזה) והמוכר לא מכר, במשך שמונה עשר החודשים שקדמו למכירה האמורה, דירת מגורים אחרת כאמור, בפטור ממס שבח לפי חלופה זו (פטור במכירת דירה יחידה), ובארבע השנים שקדמו למכירה לא היתה לו בעת ובעונה אחת יותר מדירת מגורים אחת.\r\n\r\nפטור זה לא יינתן במקרה של מכירת חלק בדירה שבה יש למוכר פחות מ-25%, ובמקרה של מכירת דירה שהושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997.\r\n\r\nלענין פטור זה, יראו את הדירה הנמכרת כדירת המגורים היחידה שבבעלות המוכר גם אם יש לו, בנוסף על הדירה הנמכרת, דירת מגורים שנתקיים לגביה אחד מאלה:\r\n\r\n(1) היא נרכשה כתחליף לדירה הנמכרת ב-18 החודשים שקדמו למכירה;\r\n\r\n(2) היא הושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997;\r\n\r\n(3) חלקו של המוכר בבעלות בדירה הנוספת הוא פחות מ-25%.\r\n\r\n&nbsp;\r\n\r\nואולם, יראו כדירת מגורים נוספת גם דירה המשמשת למגורים או מיועדת למגורים לפי טיבה שהיא בבעלותו של איגוד, למעט דירה המהווה מלאי עסקי לענין מס הכנסה, אך למוכר יש באמצעות זכויותיו באיגוד, במישרין או בעקיפין, 25% לפחות בבעלות בה והיא לא הושכרה בשכירות מוגנת לפני יום 1.1.1997; לענין זה, \"זכויות\" – כל אחת מאלה: הזכות לקבלת נכסי האיגוד בעת פירוקו, הזכות לקבל רווחים והזכות למנות מנהלים.\r\n<h2> פטור ממס שבח במכירת דירה שהתקבלה בירושה</h2>\r\nבמכירה של דירת מגורים מזכה שקיבל המוכר בירושה, יינתן הפטור ממס שבח בהתקיים כל אלה:\r\n\r\n(א) המוכר הוא בן זוגו של המוריש, או צאצא של המוריש, או בן זוגו של צאצא של המוריש;\r\n\r\n(ב) לפני פטירתו היה המוריש בעלה של דירת מגורים אחת בלבד;\r\n\r\n(ג) אילו היה המוריש עדיין בחיים ומוכר את דירת המגורים, היה פטור ממס שבח בשל המכירה.\r\n<h2> מכירת דירה בפטור חד-פעמי</h2>\r\nתושב ישראל המוכר דירת מגורים מזכה, יהא זכאי לפטור ממס שבח במכירתה גם אם אינו זכאי לפטור לפי אחת החלופות האחרות, ובלבד שנתקיימו כל אלה:\r\n\r\n(1) המוכר מכר בפטור ממס שבח דירה אחרת לפי פרק חמישי 1 לחוק (פרק הפטורים לדירות מגורים) בתוך שנים עשר החודשים שקדמו למכירה נושא הפטור (להלן – הדירה הראשונה);\r\n\r\n(2) סכום השווי של הדירה הראשונה ושל הדירה הנמכרת (להלן – הדירה השניה), ביחד, לא עלה על -.1,500,000 ₪;\r\n\r\n(3) המוכר רכש בשנה שלפני מכירת הדירה השניה או ירכוש בשנה שלאחר מכירתה, דירה אחרת (דירה המשמשת או המיועדת לשמש למגורים, ובדירה שבנייתה טרם נסתיימה, למעט דירה שאין עמה התחייבות מצד המוכר לסיים את הבניה), בישראל (לרבות ביהודה ושומרון ו/או חבל עזה), בסכום השווה לשלושה רבעים לפחות משווי שתי הדירות שמכר;\r\n\r\n(4) במידה וסכום השווי של הדירה הראשונה והדירה השניה, יחד, עלה על -.1,500,000 ₪ אך לא עלה על -.2,500,000 ₪, יהא המוכר זכאי לפטור ממס שבח במכירה של הדירה השניה, על סכום השווה להפרש שבין -.1,500,000 ₪ לבין סכום השווי של הדירה הראשונה; יתרת סכום השווי של הדירה השניה תחוייב במס שבח.\r\n\r\nפטור זה יינתן למוכר (כולל התא המשפחתי שלו) רק פעם אחת בחייו.\r\n<h2> סייגים במקרה של מכירת דירה שהתקבלה במתנה:</h2>\r\nעל אף האמור לעיל, לא יינתן פטור ממס שבח במכירת דירת מגורים שהמוכר קיבל אותה במתנה במקרים שלהלן:\r\n\r\n(1) אם הדירה לא שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 4 שנים מיום שנעשה בעלה, וכשנותן המתנה הוא הורה – 3 שנים מיום שנעשה בעלה;\r\n\r\n(2) אם הדירה שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 3 שנים מיום שהחל לגור בה דרך קבע בהיותו בעלה, וכשנותן המתנה הוא הורהו – רק לאחר שיחלפו שנתיים מיום שהחל לגור בה דרך קבע בהיותו בעלה, ואם הוא נשוי או אם הוא הורה יחיד כהגדרתו בסעיף 1 לחוק משפחות חד הוריות, התשנ\"ב-1992 – כעבור שנה אחת.\r\n\r\nיראו קבלת 50% לפחות ממחיר הדירה במתנה, בתוך שלוש שנים שקדמו לרכישתה, כקבלת הדירה במתנה.\r\n\r\nמוכר שקיבל את הדירה לפני שמלאו לו 18 שנים, יתחיל לגביו מנין השנים האמורות מיום שמלאו לו 18 שנים. אך אם הבעלות בדירה הנמכרת משותפת לבני-זוג, יביאו בחשבון לענין התקופות הנ\"ל את גילו של המבוגר שבהם.\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום מיסוי מקרקעין ונדל\"ן (מס שבח, מס מכירה, מס רכישה), ומעניק ייעוץ, הערכות ותכנון מס בעסקאות מקרקעין, לרבות טיפול בהגשת דיווחים על מכירת/רכישת זכויות במקרקעין, ייצוג בפני רשויות המס ומשרדי מיסוי מקרקעין בכל הליכי השומה ובפני וועדות ערר (לרבות השגות ועררים) ובבתי המשפט בכל הערכאות, מתן חוות דעת ועוד.", "מיסוי מקרקעין ומס שבח – פטור ממס שבח במכירת דירת מגורים מזכה", "", "inherit", "open", "open", "", "74-revision-4", "", "", "2012-07-18 11:31:07", "2012-07-18 08:31:07", "", "74", "http://techwebtesting.com/rublaw/74-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("86", "1", "2012-07-18 11:39:06", "2012-07-18 08:39:06", "<p style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n\r\n<h2>הגדרת \"דירת מגורים\" ו\"דירת מגורים מזכה\":</h2>\r\n\"דירת מגורים\" - דירה או חלק מדירה, שבנייתה נסתיימה והיא בבעלותו או בחכירתו של יחיד, ומשמשת למגורים או מיועדת למגורים לפי טיבה, למעט דירה המהווה מלאי עסקי לענין מס הכנסה.\r\n\r\n\"דירת מגורים מזכה\" – דירת מגורים ששימשה בעיקרה למגורים לפחות באחת משתי התקופות שלהלן:\r\n\r\n(1) ארבע חמישיות מהתקופה שבשלה מחושב השבח (לא תובא בחשבון התקופה שקדמה ליום 1.1.1998);\r\n\r\n(2) ארבע השנים שקדמו למכירתה;\r\n\r\nלענין זה יראו תקופה שבה לא נעשה בדירה שימוש כלשהו, או תקופה שבה שימשה הדירה לפעולות חינוך (גן ילדים, פעוטון, בית ספר, ישיבה) או דת כפי שקבע שר האוצר, באישור ועדת הכספים של הכנסת, כתקופה שבה שימשה הדירה למגורים.\r\n\r\nלפי פרשנות רשויות מיסוי מקרקעין, במונח \"שימשה בעיקרה למגורים\" הכוונה שלפחות 50% משטח הדירה שימש למגורים.\r\n<h2> תנאים כלליים:</h2>\r\nמוכר, בן זוגו (למעט בן זוג הגר דרך קבע בנפרד) וילדיהם שטרם מלאו להם 18 שנים, למעט ילדים נשואים, נחשבים כמוכר אחד.\r\n\r\nהמוכר לא יהא זכאי לפטור ממס שבח, אלא אם נמכרות כל הזכויות שיש לו בדירת מגורים מזכה.\r\n<h2> הפטורים:</h2>\r\n<h2> פטור ממס שבח במכירת דירה אחת ל- 4 שנים</h2>\r\nהמוכר לא מכר בארבע השנים שקדמו למכירה האמורה דירת מגורים אחרת בפטור ממס שבח; לענין זה, מכירה בפטור ממס שבח – לרבות מכירה בפטור חלקי, אך למעט:\r\n\r\n(א) מתנה פטורה על פי סעיף 62 לילדו או לבן זוגו של נותן המתנה;\r\n\r\n(ב) מתנה פטורה על פי סעיפים 60 או 61 (מתנה למדינה, לרשות מקומית, לקרן הקיימת לישראל, לקרן היסוד - המגבית המאוחדת לישראל או למוסד ציבורי);\r\n\r\n(ג) מכירה פטורה לפי סעיפים 49ז1, 64, 65, 67, 69 או 70 (החלפת מקרקעין בשל צו של רשות מוסמכת, חלוקת מקרקעין בין בעלים משותפים, מכירה מנאמן לנהנה, מכירת זכות לאיגוד על-ידי בעלי הזכויות באיגוד);\r\n\r\n(ד) מכירה בפטור מיוחד של דירה שנתקבלה בירושה (ראה להלן – פטור במכירת דירה שהתקבלה בירושה);\r\n<h2> פטור ממס שבח במכירת דירה יחידה</h2>\r\nהדירה הנמכרת היא דירתו היחידה של המוכר בישראל (לרבות ביהודה ושומרון ו/או חבל עזה) והמוכר לא מכר, במשך שמונה עשר החודשים שקדמו למכירה האמורה, דירת מגורים אחרת כאמור, בפטור ממס שבח לפי חלופה זו (פטור במכירת דירה יחידה), ובארבע השנים שקדמו למכירה לא היתה לו בעת ובעונה אחת יותר מדירת מגורים אחת.\r\n\r\nפטור זה לא יינתן במקרה של מכירת חלק בדירה שבה יש למוכר פחות מ-25%, ובמקרה של מכירת דירה שהושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997.\r\n\r\nלענין פטור זה, יראו את הדירה הנמכרת כדירת המגורים היחידה שבבעלות המוכר גם אם יש לו, בנוסף על הדירה הנמכרת, דירת מגורים שנתקיים לגביה אחד מאלה:\r\n\r\n(1) היא נרכשה כתחליף לדירה הנמכרת ב-18 החודשים שקדמו למכירה;\r\n\r\n(2) היא הושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997;\r\n\r\n(3) חלקו של המוכר בבעלות בדירה הנוספת הוא פחות מ-25%.\r\n\r\n&nbsp;\r\n\r\nואולם, יראו כדירת מגורים נוספת גם דירה המשמשת למגורים או מיועדת למגורים לפי טיבה שהיא בבעלותו של איגוד, למעט דירה המהווה מלאי עסקי לענין מס הכנסה, אך למוכר יש באמצעות זכויותיו באיגוד, במישרין או בעקיפין, 25% לפחות בבעלות בה והיא לא הושכרה בשכירות מוגנת לפני יום 1.1.1997; לענין זה, \"זכויות\" – כל אחת מאלה: הזכות לקבלת נכסי האיגוד בעת פירוקו, הזכות לקבל רווחים והזכות למנות מנהלים.\r\n<h2> פטור ממס שבח במכירת דירה שהתקבלה בירושה</h2>\r\nבמכירה של דירת מגורים מזכה שקיבל המוכר בירושה, יינתן הפטור ממס שבח בהתקיים כל אלה:\r\n\r\n(א) המוכר הוא בן זוגו של המוריש, או צאצא של המוריש, או בן זוגו של צאצא של המוריש;\r\n\r\n(ב) לפני פטירתו היה המוריש בעלה של דירת מגורים אחת בלבד;\r\n\r\n(ג) אילו היה המוריש עדיין בחיים ומוכר את דירת המגורים, היה פטור ממס שבח בשל המכירה.\r\n<h2> מכירת דירה בפטור חד-פעמי</h2>\r\nתושב ישראל המוכר דירת מגורים מזכה, יהא זכאי לפטור ממס שבח במכירתה גם אם אינו זכאי לפטור לפי אחת החלופות האחרות, ובלבד שנתקיימו כל אלה:\r\n\r\n(1) המוכר מכר בפטור ממס שבח דירה אחרת לפי פרק חמישי 1 לחוק (פרק הפטורים לדירות מגורים) בתוך שנים עשר החודשים שקדמו למכירה נושא הפטור (להלן – הדירה הראשונה);\r\n\r\n(2) סכום השווי של הדירה הראשונה ושל הדירה הנמכרת (להלן – הדירה השניה), ביחד, לא עלה על -.1,500,000 ₪;\r\n\r\n(3) המוכר רכש בשנה שלפני מכירת הדירה השניה או ירכוש בשנה שלאחר מכירתה, דירה אחרת (דירה המשמשת או המיועדת לשמש למגורים, ובדירה שבנייתה טרם נסתיימה, למעט דירה שאין עמה התחייבות מצד המוכר לסיים את הבניה), בישראל (לרבות ביהודה ושומרון ו/או חבל עזה), בסכום השווה לשלושה רבעים לפחות משווי שתי הדירות שמכר;\r\n\r\n(4) במידה וסכום השווי של הדירה הראשונה והדירה השניה, יחד, עלה על -.1,500,000 ₪ אך לא עלה על -.2,500,000 ₪, יהא המוכר זכאי לפטור ממס שבח במכירה של הדירה השניה, על סכום השווה להפרש שבין -.1,500,000 ₪ לבין סכום השווי של הדירה הראשונה; יתרת סכום השווי של הדירה השניה תחוייב במס שבח.\r\n\r\nפטור זה יינתן למוכר (כולל התא המשפחתי שלו) רק פעם אחת בחייו.\r\n<h2> סייגים במקרה של מכירת דירה שהתקבלה במתנה:</h2>\r\nעל אף האמור לעיל, לא יינתן פטור ממס שבח במכירת דירת מגורים שהמוכר קיבל אותה במתנה במקרים שלהלן:\r\n\r\n(1) אם הדירה לא שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 4 שנים מיום שנעשה בעלה, וכשנותן המתנה הוא הורה – 3 שנים מיום שנעשה בעלה;\r\n\r\n(2) אם הדירה שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 3 שנים מיום שהחל לגור בה דרך קבע בהיותו בעלה, וכשנותן המתנה הוא הורהו – רק לאחר שיחלפו שנתיים מיום שהחל לגור בה דרך קבע בהיותו בעלה, ואם הוא נשוי או אם הוא הורה יחיד כהגדרתו בסעיף 1 לחוק משפחות חד הוריות, התשנ\"ב-1992 – כעבור שנה אחת.\r\n\r\nיראו קבלת 50% לפחות ממחיר הדירה במתנה, בתוך שלוש שנים שקדמו לרכישתה, כקבלת הדירה במתנה.\r\n\r\nמוכר שקיבל את הדירה לפני שמלאו לו 18 שנים, יתחיל לגביו מנין השנים האמורות מיום שמלאו לו 18 שנים. אך אם הבעלות בדירה הנמכרת משותפת לבני-זוג, יביאו בחשבון לענין התקופות הנ\"ל את גילו של המבוגר שבהם.\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום מיסוי מקרקעין ונדל\"ן (מס שבח, מס מכירה, מס רכישה), ומעניק ייעוץ, הערכות ותכנון מס בעסקאות מקרקעין, לרבות טיפול בהגשת דיווחים על מכירת/רכישת זכויות במקרקעין, ייצוג בפני רשויות המס ומשרדי מיסוי מקרקעין בכל הליכי השומה ובפני וועדות ערר (לרבות השגות ועררים) ובבתי המשפט בכל הערכאות, מתן חוות דעת ועוד.", "מיסוי מקרקעין ומס שבח – פטור ממס שבח במכירת דירת מגורים מזכה", "", "inherit", "open", "open", "", "74-revision-5", "", "", "2012-07-18 11:39:06", "2012-07-18 08:39:06", "", "74", "http://techwebtesting.com/rublaw/74-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("88", "1", "2012-07-18 12:07:03", "2012-07-18 09:07:03", "&nbsp;\r\n<h2>אתרים ממשלתיים</h2>\r\n&gt;<a href=\"http://ozar.mof.gov.il/taxes/\"> רשות המיסים (מס הכנסה, מע\"מ, מכס)</a>\r\n\r\n&gt; <a href=\"http://www.court.gov.il/heb/home.htm\">הרשות השופטת</a>\r\n\r\n&gt; <a href=\"http://elyon1.court.gov.il/heb/avoda/AvodaHomePage.htm\">בתי הדין לעבודה</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/mojheb/rasuthataagidim\">רשם החברות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/Maskonot/\">רשם המשכונות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/ApotroposKlali/KonesRishmi\">הכונס הרשמי</a>\r\n<h2>ליקויי בנייה - בדק בית</h2>\r\n&gt; <a title=\"פלס ביקורת ליקויי בנייה בדק בית בע&quot;מ\" href=\"http://www.peles-group.com/\" target=\"_blank\"><span style=\"color: #3366ff;\"><span style=\"color: #3366ff;\">פלס ביקורת ליקויי בנייה</span></span></a>\r\n\r\n<span style=\"color: #000000; font-size: 1.8em; line-height: 1.5em;\">מחשבונים</span>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/svtsvazmit/\">מחשבון מס שבח</a>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/simulator_mekarkein/\">מחשבון מס רכישה</a>\r\n\r\n&nbsp;", "קישורים", "", "publish", "open", "open", "", "%d7%a7%d7%99%d7%a9%d7%95%d7%a8%d7%99%d7%9d", "", "", "2014-04-20 15:32:45", "2014-04-20 12:32:45", "", "0", "http://techwebtesting.com/rublaw/?page_id=88", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("446", "1", "2014-04-20 15:32:45", "2014-04-20 12:32:45", "&nbsp;\r\n<h2>אתרים ממשלתיים</h2>\r\n&gt;<a href=\"http://ozar.mof.gov.il/taxes/\"> רשות המיסים (מס הכנסה, מע\"מ, מכס)</a>\r\n\r\n&gt; <a href=\"http://www.court.gov.il/heb/home.htm\">הרשות השופטת</a>\r\n\r\n&gt; <a href=\"http://elyon1.court.gov.il/heb/avoda/AvodaHomePage.htm\">בתי הדין לעבודה</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/mojheb/rasuthataagidim\">רשם החברות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/Maskonot/\">רשם המשכונות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/ApotroposKlali/KonesRishmi\">הכונס הרשמי</a>\r\n<h2>ליקויי בנייה - בדק בית</h2>\r\n&gt; <a title=\"פלס ביקורת ליקויי בנייה בדק בית בע&quot;מ\" href=\"http://www.peles-group.com/\" target=\"_blank\"><span style=\"color: #3366ff;\"><span style=\"color: #3366ff;\">פלס ביקורת ליקויי בנייה</span></span></a>\r\n\r\n<span style=\"color: #000000; font-size: 1.8em; line-height: 1.5em;\">מחשבונים</span>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/svtsvazmit/\">מחשבון מס שבח</a>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/simulator_mekarkein/\">מחשבון מס רכישה</a>\r\n\r\n&nbsp;", "קישורים", "", "inherit", "closed", "open", "", "88-revision-v1", "", "", "2014-04-20 15:32:45", "2014-04-20 12:32:45", "", "88", "http://ru-law.co.il/88-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("89", "1", "2012-07-18 12:06:54", "2012-07-18 09:06:54", "&nbsp;\n<h2>אתרים ממשלתיים</h2>\n&nbsp;\n\n&gt;<a href=\"http://ozar.mof.gov.il/taxes/\"> רשות המיסים (מס הכנסה, מע\"מ, מכס)</a>\n\n&gt; <a href=\"http://www.court.gov.il/heb/home.htm\">הרשות השופטת</a>\n\n&gt; <a href=\"http://elyon1.court.gov.il/heb/avoda/AvodaHomePage.htm\">בתי הדין לעבודה</a>\n\n&gt; <a href=\"http://www.justice.gov.il/mojheb/rasuthataagidim\">רשם החברות</a>\n\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/Maskonot/\">רשם המשכונות</a>\n\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/ApotroposKlali/KonesRishmi\">הכונס הרשמי</a>\n<h2>מחשבונים</h2>\n&gt; <a href=\"https://www.misim.gov.il/svtsvazmit/\">מחשבון מס שבח</a>\n\n&gt; <a href=\"https://www.misim.gov.il/simulator_mekarkein/\">מחשבון מס רכישה</a>\n\n&nbsp;\n\n&nbsp;\n\n<strong>\n</strong>", "", "", "inherit", "open", "open", "", "88-revision-v1", "", "", "2012-07-18 12:06:54", "2012-07-18 09:06:54", "", "88", "http://techwebtesting.com/rublaw/88-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("91", "1", "2012-07-18 12:07:59", "2012-07-18 09:07:59", " ", "", "", "publish", "open", "open", "", "91", "", "", "2012-08-06 11:44:38", "2012-08-06 08:44:38", "", "0", "http://techwebtesting.com/rublaw/?p=91", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("445", "1", "2014-04-20 15:32:15", "2014-04-20 12:32:15", "&nbsp;\r\n<h2>אתרים ממשלתיים</h2>\r\n&gt;<a href=\"http://ozar.mof.gov.il/taxes/\"> רשות המיסים (מס הכנסה, מע\"מ, מכס)</a>\r\n\r\n&gt; <a href=\"http://www.court.gov.il/heb/home.htm\">הרשות השופטת</a>\r\n\r\n&gt; <a href=\"http://elyon1.court.gov.il/heb/avoda/AvodaHomePage.htm\">בתי הדין לעבודה</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/mojheb/rasuthataagidim\">רשם החברות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/Maskonot/\">רשם המשכונות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/ApotroposKlali/KonesRishmi\">הכונס הרשמי</a>\r\n<h2>ליקויי בנייה - בדק בית</h2>\r\n&gt; <a title=\"פלס ביקורת ליקויי בנייה בדק בית בע&quot;מ\" href=\"http://www.peles-group.com/\" target=\"_blank\"><span style=\"color: #3366ff;\"><span style=\"color: #3366ff;\">פלס ביקורת ליקויי בנייה</span></span></a>\r\n\r\n<span style=\"color: #000000; font-size: 1.8em; line-height: 1.5em;\">מחשבונים</span>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/svtsvazmit/\">מחשבון מס שבח</a>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/simulator_mekarkein/\">מחשבון מס רכישה</a>\r\n\r\n&nbsp;", "קישורים", "", "inherit", "closed", "open", "", "88-autosave-v1", "", "", "2014-04-20 15:32:15", "2014-04-20 12:32:15", "", "88", "http://ru-law.co.il/88-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("93", "1", "2012-07-18 12:07:03", "2012-07-18 09:07:03", "&nbsp;\r\n<h2>אתרים ממשלתיים</h2>\r\n&nbsp;\r\n\r\n&gt;<a href=\"http://ozar.mof.gov.il/taxes/\"> רשות המיסים (מס הכנסה, מע\"מ, מכס)</a>\r\n\r\n&gt; <a href=\"http://www.court.gov.il/heb/home.htm\">הרשות השופטת</a>\r\n\r\n&gt; <a href=\"http://elyon1.court.gov.il/heb/avoda/AvodaHomePage.htm\">בתי הדין לעבודה</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/mojheb/rasuthataagidim\">רשם החברות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/Maskonot/\">רשם המשכונות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/ApotroposKlali/KonesRishmi\">הכונס הרשמי</a>\r\n<h2>מחשבונים</h2>\r\n&gt; <a href=\"https://www.misim.gov.il/svtsvazmit/\">מחשבון מס שבח</a>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/simulator_mekarkein/\">מחשבון מס רכישה</a>\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n<strong>\r\n</strong>", "קישורים", "", "inherit", "open", "open", "", "88-revision-v1", "", "", "2012-07-18 12:07:03", "2012-07-18 09:07:03", "", "88", "http://techwebtesting.com/rublaw/88-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("94", "1", "2012-07-20 12:19:53", "2012-07-20 09:19:53", "<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' מספק שירותים משפטיים בתחום המשפט המסחרי ובמקרקעין-נדל\"ן.</strong></p>\r\n<p style=\"text-align: justify;\">אנו מציעים שירות איכותי המבוסס על מספר עקרונות:</p>\r\n<p style=\"text-align: justify;\"><strong>מחויבות לכל אורך הדרך</strong> – אנו מחויבים למטרות הלקוח ומספקים שירות המבוסס על ניסיון רב, הבנה מעמיקה, ואכפתיות.</p>\r\n<p style=\"text-align: justify;\"><strong>קשר אישי</strong> - אצלנו הלקוח אינו \"תיק\" או \"סוגיה משפטית\" אלא קודם כל אדם שזקוק לעזרה משפטית. גישה זו מנחה אותנו לכל אורך הדרך בקשרי לקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>מומחיות ומיומנות</strong> - מייסד המשרד והעומד בראשו, עו\"ד פיני רובינשטיין, הוא משפטן בעל ותק מקצועי וניסיון רב ממנו נהנים הצוות המקצועי וכלל הלקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>פתרונות יצירתיים</strong> – אנו גאים לספק ללקוחותינו גישה מעמיקה, ניתוח משפטי, יוזמה, ויישום עדכני של דינים, תיקוני חוק ותקנות חדשים.</p>\r\n<p style=\"text-align: justify;\">הודות לשירות לקוחות ללא פשרות, נהנה המשרד מבסיס לקוחות מגוון הכולל: גופים ציבוריים, חברות מסחריות, ולקוחות פרטיים.</p>\r\n\r\n<h2 style=\"text-align: justify;\">פתרונות משפטיים</h2>\r\n<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' הינו משרד בוטיק מהמובילים בארץ, המתמחה במשפט ומסחרי ובמקרקעין-נדל\"ן. המשרד </strong><strong>מספק שירותים משפטיים, ייעוץ, ליווי, וייצוג בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב חברות לטפל בהיבט המשפטי של הישות העסקית ברמה כמעט יומיומית. אנו מספקים שירותים משפטיים למגוון חברות מסקטורים שונים של המשק, ובכך מסייעים להן למנף את עסקיהן.</p>\r\n<p style=\"text-align: justify;\">תחום זה ידוע כתחום דינאמי הכולל התמחויות רבות, לרבות:</p>\r\n<p style=\"text-align: justify;\">*ייעוץ משפטי מסחרי.</p>\r\n<p style=\"text-align: justify;\">*עריכת חוזים.</p>\r\n<p style=\"text-align: justify;\">*תכנון עסקאות.</p>\r\n<p style=\"text-align: justify;\">*הסכמי מייסדים ויזמות.</p>\r\n<p style=\"text-align: justify;\">*מכירה ורכישה של חברות.</p>\r\n<p style=\"text-align: justify;\">*טיפול משפטי בסכסוכים מסחריים בין חברות.</p>\r\n<p style=\"text-align: justify;\">*פתרון סכסוכים בין בעלי מניות.</p>\r\n<p style=\"text-align: justify;\">*פירוק חברה מרצון (או שלא מרצון).</p>\r\n<p style=\"text-align: justify;\">*טיפול בכל הנושאים המשפטיים שהם חלק מהתנהלותן השוטפת של חברות (על בסיס ריטיינר חודשי או על בסיס הסכם התקשרות אחר) ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong></p>\r\n<p style=\"text-align: justify;\">כמעט כל אחד מאתנו נזקק במהלך חייו לעורך דין המתמחה בדיני מקרקעין. תחום זה כולל:</p>\r\n<p style=\"text-align: justify;\">*רכישת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*מכירת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*קניית מגרש לבנייה.</p>\r\n<p style=\"text-align: justify;\">*עסקאות מכר במושבים ובהרחבות.</p>\r\n<p style=\"text-align: justify;\">*עסקאות קומבינציה.</p>\r\n<p style=\"text-align: justify;\">*יעוץ וסיוע משפטי בענייני תכנון ובנייה.</p>\r\n<p style=\"text-align: justify;\">*טיפול בענייני הפקעות מקרקעין.</p>\r\n<p style=\"text-align: justify;\">*תביעות בגין ירידת ערך בגין פגיעת תוכנית.</p>\r\n<p style=\"text-align: justify;\">*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.</p>\r\n<p style=\"text-align: justify;\">אלו רק חלק מהפעולות שכדאי ורצוי לעשות בעזרת עורך דין המתמחה במקרקעין ונדל\"ן.</p>\r\n<p style=\"text-align: justify;\">אל תוותר על הייעוץ המקצועי ביותר שיחסוך לך כספים ועוגמת נפש.</p>\r\n<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין</strong></p>\r\n<p style=\"text-align: justify;\">עסקאות מקרקעין כוללות הוצאות גבוהות נוספות (מעבר לעלות הנכס עצמו) בגין מיסים שונים, כגון:</p>\r\n<p style=\"text-align: justify;\">*מס רכישה.</p>\r\n<p style=\"text-align: justify;\">*מס שבח.</p>\r\n<p style=\"text-align: justify;\">*מע\"מ.</p>\r\n<p style=\"text-align: justify;\">*היטל השבחה ועוד.</p>\r\n<p style=\"text-align: justify;\">ביצוע עסקאות בעלות כה גבוהה דורשת ליווי מקצועי שיחסוך לך כסף רב בהווה ובעתיד.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים (מידי) עסקים וארגונים משלמים ארנונה גבוהה מידי!</p>\r\n<p style=\"text-align: justify;\">משרדנו עורך בדיקה ומטפל במקרים שבהם מתגלה עודף גביה.</p>\r\n<p style=\"text-align: justify;\">אנו נסייע לך לתבוע את ההחזרים המגיעים לך במקרים שיימצאו חיובי יתר.</p>\r\n<p style=\"text-align: justify;\">עסקים רבים כבר נהנו מהפחתת החיובים השוטפים, ומהחזרים כספיים משמעותיים.</p>\r\n<p style=\"text-align: justify;\">בנוסף, אנו מספקים שירות משפטי במקרים הבאים:</p>\r\n<p style=\"text-align: justify;\">ייצוג בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה מנהליים שהתיישנו.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה אישית (של חובות ארנונה של חברה מבעלי המניות בחברה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בניה</strong></p>\r\n<p style=\"text-align: justify;\">למרבה הצער, דיירים רבים נזקקים לייצוג וליווי משפטי בתביעות ליקויי בנייה נגד קבלני בניין, בגין כשלים בבניה. אל תתפשר - בעזרת טיפול משפטי הולם תוכל לאכוף את התחייבויות הקבלן כלפיך, וליהנות מנכס שעומד בסטנדרטים ובתקנים הנדרשים!</p>\r\n<p style=\"text-align: justify;\"><strong>אם יש לך בעיה משפטית - צור קשר!</strong></p>\r\n<p style=\"text-align: justify;\">אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</p>\r\n<p style=\"text-align: justify;\">ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</p>\r\n<p style=\"text-align: justify;\"><strong>לתיאום פגישה, התקשר עכשיו: 03-6246250</strong></p>", "אודותינו", "", "publish", "open", "open", "", "%d7%90%d7%95%d7%93%d7%95%d7%aa%d7%99%d7%a0%d7%95", "", "", "2013-04-12 12:33:59", "2013-04-12 09:33:59", "", "0", "http://techwebtesting.com/rublaw/?page_id=94", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("95", "1", "2012-07-20 12:19:31", "2012-07-20 09:19:31", "", "אודותינו", "", "inherit", "open", "open", "", "94-revision", "", "", "2012-07-20 12:19:31", "2012-07-20 09:19:31", "", "94", "http://techwebtesting.com/rublaw/94-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("118", "1", "2013-04-12 12:33:49", "2013-04-12 09:33:49", "<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' מספק שירותים משפטיים בתחום המשפט המסחרי ובמקרקעין-נדל\"ן.</strong></p>\n<p style=\"text-align: justify;\">אנו מציעים שירות איכותי המבוסס על מספר עקרונות:</p>\n<p style=\"text-align: justify;\"><strong>מחויבות לכל אורך הדרך</strong> – אנו מחויבים למטרות הלקוח ומספקים שירות המבוסס על ניסיון רב, הבנה מעמיקה, ואכפתיות.</p>\n<p style=\"text-align: justify;\"><strong>קשר אישי</strong> - אצלנו הלקוח אינו \"תיק\" או \"סוגיה משפטית\" אלא קודם כל אדם שזקוק לעזרה משפטית. גישה זו מנחה אותנו לכל אורך הדרך בקשרי לקוחות.</p>\n<p style=\"text-align: justify;\"><strong>מומחיות ומיומנות</strong> - מייסד המשרד והעומד בראשו, עו\"ד פיני רובינשטיין, הוא משפטן בעל ותק מקצועי וניסיון רב ממנו נהנים הצוות המקצועי וכלל הלקוחות.</p>\n<p style=\"text-align: justify;\"><strong>פתרונות יצירתיים</strong> – אנו גאים לספק ללקוחותינו גישה מעמיקה, ניתוח משפטי, יוזמה, ויישום עדכני של דינים, תיקוני חוק ותקנות חדשים.</p>\n<p style=\"text-align: justify;\">הודות לשירות לקוחות ללא פשרות, נהנה המשרד מבסיס לקוחות מגוון הכולל: גופים ציבוריים, חברות מסחריות, ולקוחות פרטיים.</p>\n\n<h2 style=\"text-align: justify;\">פתרונות משפטיים</h2>\n<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' הינו משרד בוטיק מהמובילים בארץ, המתמחה במשפט ומסחרי ובמקרקעין-נדל\"ן. המשרד </strong><strong>מספק שירותים משפטיים, ייעוץ, ליווי, וייצוג בתחומים הבאים:</strong></p>\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong></p>\n<p style=\"text-align: justify;\">החוק מחייב חברות לטפל בהיבט המשפטי של הישות העסקית ברמה כמעט יומיומית. אנו מספקים שירותים משפטיים למגוון חברות מסקטורים שונים של המשק, ובכך מסייעים להן למנף את עסקיהן.</p>\n<p style=\"text-align: justify;\">תחום זה ידוע כתחום דינאמי הכולל התמחויות רבות, לרבות:</p>\n<p style=\"text-align: justify;\">*ייעוץ משפטי מסחרי.</p>\n<p style=\"text-align: justify;\">*עריכת חוזים.</p>\n<p style=\"text-align: justify;\">*תכנון עסקאות.</p>\n<p style=\"text-align: justify;\">*הסכמי מייסדים ויזמות.</p>\n<p style=\"text-align: justify;\">*מכירה ורכישה של חברות.</p>\n<p style=\"text-align: justify;\">*טיפול משפטי בסכסוכים מסחריים בין חברות.</p>\n<p style=\"text-align: justify;\">*פתרון סכסוכים בין בעלי מניות.</p>\n<p style=\"text-align: justify;\">*פירוק חברה מרצון (או שלא מרצון).</p>\n<p style=\"text-align: justify;\">*טיפול בכל הנושאים המשפטיים שהם חלק מהתנהלותן השוטפת של חברות (על בסיס ריטיינר חודשי או על בסיס הסכם התקשרות אחר) ועוד.</p>\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong></p>\n<p style=\"text-align: justify;\">כמעט כל אחד מאתנו נזקק במהלך חייו לעורך דין המתמחה בדיני מקרקעין. תחום זה כולל:</p>\n<p style=\"text-align: justify;\">*רכישת דירה ונכסים פרטיים או מסחריים אחרים.</p>\n<p style=\"text-align: justify;\">*מכירת דירה ונכסים פרטיים או מסחריים אחרים.</p>\n<p style=\"text-align: justify;\">*קניית מגרש לבנייה.</p>\n<p style=\"text-align: justify;\">*עסקאות מכר במושבים ובהרחבות.</p>\n<p style=\"text-align: justify;\">*עסקאות קומבינציה.</p>\n<p style=\"text-align: justify;\">*יעוץ וסיוע משפטי בענייני תכנון ובנייה.</p>\n<p style=\"text-align: justify;\">*טיפול בענייני הפקעות מקרקעין.</p>\n<p style=\"text-align: justify;\">*תביעות בגין ירידת ערך בגין פגיעת תוכנית.</p>\n<p style=\"text-align: justify;\">*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.</p>\n<p style=\"text-align: justify;\">אלו רק חלק מהפעולות שכדאי ורצוי לעשות בעזרת עורך דין המתמחה במקרקעין ונדל\"ן.</p>\n<p style=\"text-align: justify;\">אל תוותר על הייעוץ המקצועי ביותר שיחסוך לך כספים ועוגמת נפש.</p>\n<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין</strong></p>\n<p style=\"text-align: justify;\">עסקאות מקרקעין כוללות הוצאות גבוהות נוספות (מעבר לעלות הנכס עצמו) בגין מיסים שונים, כגון:</p>\n<p style=\"text-align: justify;\">*מס רכישה.</p>\n<p style=\"text-align: justify;\">*מס שבח.</p>\n<p style=\"text-align: justify;\">*מע\"מ.</p>\n<p style=\"text-align: justify;\">*היטל השבחה ועוד.</p>\n<p style=\"text-align: justify;\">ביצוע עסקאות בעלות כה גבוהה דורשת ליווי מקצועי שיחסוך לך כסף רב בהווה ובעתיד.</p>\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong></p>\n<p style=\"text-align: justify;\">במקרים רבים (מידי) עסקים וארגונים משלמים ארנונה גבוהה מידי!</p>\n<p style=\"text-align: justify;\">משרדנו עורך בדיקה ומטפל במקרים שבהם מתגלה עודף גביה.</p>\n<p style=\"text-align: justify;\">אנו נסייע לך לתבוע את ההחזרים המגיעים לך במקרים שיימצאו חיובי יתר.</p>\n<p style=\"text-align: justify;\">עסקים רבים כבר נהנו מהפחתת החיובים השוטפים, ומהחזרים כספיים משמעותיים.</p>\n<p style=\"text-align: justify;\">בנוסף, אנו מספקים שירות משפטי במקרים הבאים:</p>\n<p style=\"text-align: justify;\">ייצוג בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה.</p>\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה מנהליים שהתיישנו.</p>\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה אישית (של חובות ארנונה של חברה מבעלי המניות בחברה).</p>\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בניה</strong></p>\n<p style=\"text-align: justify;\">למרבה הצער, דיירים רבים נזקקים לייצוג וליווי משפטי בתביעות ליקויי בנייה נגד קבלני בניין, בגין כשלים בבניה. אל תתפשר - בעזרת טיפול משפטי הולם תוכל לאכוף את התחייבויות הקבלן כלפיך, וליהנות מנכס שעומד בסטנדרטים ובתקנים הנדרשים!</p>\n<p style=\"text-align: justify;\"><strong>אם יש לך בעיה משפטית - צור קשר!</strong></p>\n<p style=\"text-align: justify;\">אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</p>\n<p style=\"text-align: justify;\">ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</p>\n<p style=\"text-align: justify;\"><strong>לתיאום פגישה, התקשר עכשיו: 03-6246250</strong></p>", "אודותינו", "", "inherit", "open", "open", "", "94-autosave", "", "", "2013-04-12 12:33:49", "2013-04-12 09:33:49", "", "94", "http://techwebtesting.com/rublaw/94-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("305", "1", "2012-10-10 08:57:51", "2012-10-10 06:57:51", "<p style=\"text-align: justify;\"><strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong>\r\n<strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.</p>\r\n<p style=\"text-align: justify;\"> <strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.\r\nמיסוי מקרקעין\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\',\r\nבעיות משפטיות - הופכות לפתרונות מקצועיים.</p>\r\n<p style=\"text-align: justify;\"><strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-15", "", "", "2012-10-10 08:57:51", "2012-10-10 06:57:51", "", "2", "http://ru-law.co.il/2-revision-15/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("304", "1", "2012-09-20 16:54:00", "2012-09-20 13:54:00", "<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' מספק שירותים משפטיים בתחום האזרחי-מסחרי.</strong></p>\r\n<p style=\"text-align: justify;\">אנו מציעים שירות איכותי המבוסס על מספר עקרונות:</p>\r\n<p style=\"text-align: justify;\"><strong>מחויבות לכל אורך הדרך</strong> – אנו מחויבים למטרות הלקוח ומספקים שירות המבוסס על ניסיון רב, הבנה מעמיקה, ואכפתיות.</p>\r\n<p style=\"text-align: justify;\"><strong>קשר אישי</strong> - אצלנו הלקוח אינו \"תיק\" או \"סוגיה משפטית\" אלא קודם כל אדם שזקוק לעזרה משפטית. גישה זו מנחה אותנו לכל אורך הדרך בקשרי לקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>מומחיות ומיומנות</strong> - מייסד המשרד והעומד בראשו, עו\"ד פיני רובינשטיין, הוא משפטן בעל ותק מקצועי וניסיון רב ממנו נהנים הצוות המקצועי וכלל הלקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>פתרונות יצירתיים</strong> – אנו גאים לספק ללקוחותינו גישה מעמיקה, ניתוח משפטי, יוזמה, ויישום עדכני של דינים, תיקוני חוק ותקנות חדשים.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">הודות לשירות לקוחות ללא פשרות, נהנה המשרד מבסיס לקוחות מגוון הכולל: גופים ציבוריים, חברות מסחריות, ולקוחות פרטיים.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n\r\n<h2 style=\"text-align: justify;\">פתרונות משפטיים</h2>\r\n<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' הוא \"משרד בוטיק\"</strong></p>\r\n<p style=\"text-align: justify;\"><strong>המספק ייעוץ, ליווי, וייצוג, בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב חברות לטפל בהיבט המשפטי של הישות העסקית ברמה כמעט יומיומית. אנו מספקים שירותים משפטיים למגוון חברות מסקטורים שונים של המשק, ובכך מסייעים להן למנף את עסקיהן.</p>\r\n<p style=\"text-align: justify;\">תחום זה ידוע כתחום דינאמי הכולל התמחויות רבות, לרבות:</p>\r\n<p style=\"text-align: justify;\">*ייעוץ משפטי מסחרי.</p>\r\n<p style=\"text-align: justify;\">*עריכת חוזים.</p>\r\n<p style=\"text-align: justify;\">*תכנון עסקאות.</p>\r\n<p style=\"text-align: justify;\">*הסכמי מייסדים ויזמות.</p>\r\n<p style=\"text-align: justify;\">*מכירה ורכישה של חברות.</p>\r\n<p style=\"text-align: justify;\">*טיפול משפטי בסכסוכים מסחריים בין חברות.</p>\r\n<p style=\"text-align: justify;\">*פתרון סכסוכים בין בעלי מניות.</p>\r\n<p style=\"text-align: justify;\">*פירוק חברה מרצון (או שלא מרצון).</p>\r\n<p style=\"text-align: justify;\">*טיפול בכל הנושאים המשפטיים שהם חלק מהתנהלותן השוטפת של חברות (על בסיס ריטיינר חודשי או על בסיס הסכם התקשרות אחר) ועוד.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong></p>\r\n<p style=\"text-align: justify;\">כמעט כל אחד מאתנו נזקק במהלך חייו לעורך דין המתמחה בדיני מקרקעין. תחום זה כולל:</p>\r\n<p style=\"text-align: justify;\">*רכישת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*מכירת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*קניית מגרש לבנייה.</p>\r\n<p style=\"text-align: justify;\">*עסקאות מכר במושבים ובהרחבות.</p>\r\n<p style=\"text-align: justify;\">*עסקאות קומבינציה.</p>\r\n<p style=\"text-align: justify;\">*יעוץ וסיוע משפטי בענייני תכנון ובנייה.</p>\r\n<p style=\"text-align: justify;\">*טיפול בענייני הפקעות מקרקעין.</p>\r\n<p style=\"text-align: justify;\">*תביעות בגין ירידת ערך בגין פגיעת תוכנית.</p>\r\n<p style=\"text-align: justify;\">*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">אלו רק חלק מהפעולות שכדאי ורצוי לעשות בעזרת עורך דין המתמחה במקרקעין ונדל\"ן.</p>\r\n<p style=\"text-align: justify;\">אל תוותר על הייעוץ המקצועי ביותר שיחסוך לך כספים ועוגמת נפש.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"> <strong>מיסוי מקרקעין</strong></p>\r\n<p style=\"text-align: justify;\">עסקאות מקרקעין כוללות הוצאות גבוהות נוספות (מעבר לעלות הנכס עצמו) בגין מיסים שונים:</p>\r\n<p style=\"text-align: justify;\">*מס רכישה.</p>\r\n<p style=\"text-align: justify;\">*מס שבח.</p>\r\n<p style=\"text-align: justify;\">*מע\"מ (במקרים מסוימים).</p>\r\n<p style=\"text-align: justify;\">*היטל השבחה (במקרים מסוימים) ועוד.</p>\r\n<p style=\"text-align: justify;\">ביצוע עסקאות בעלות כה גבוהה דורשת ליווי מקצועי שיחסוך לך כסף רב בהווה ובעתיד.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים (מידי) עסקים וארגונים משלמים ארנונה גבוהה מידי!</p>\r\n<p style=\"text-align: justify;\">משרדנו עורך בדיקה ומטפל במקרים שבהם מתגלה עודף גביה.</p>\r\n<p style=\"text-align: justify;\">אנו נסייע לך לתבוע את ההחזרים המגיעים לך במקרים שיימצאו חיובי יתר.</p>\r\n<p style=\"text-align: justify;\">עסקים רבים כבר נהנו מהפחתת החיובים השוטפים, ומהחזרים כספיים משמעותיים.</p>\r\n<p style=\"text-align: justify;\">בנוסף, אנו מספקים שירות משפטי במקרים הבאים:</p>\r\n<p style=\"text-align: justify;\">ייצוג בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה מנהליים שהתיישנו.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה אישית (של חובות ארנונה של חברה מבעלי המניות בחברה).</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בניה</strong></p>\r\n<p style=\"text-align: justify;\">למרבה הצער, דיירים רבים נזקקים לייצוג וליווי משפטי בתביעות ליקויי בנייה נגד קבלני בניין, בגין כשלים בבניה. אל תתפשר - בעזרת טיפול משפטי הולם תוכל לאכוף את התחייבויות הקבלן כלפיך, וליהנות מנכס שעומד בסטנדרטים ובתקנים הנדרשים!</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>אם יש לך בעיה משפטית - צור קשר!</strong></p>\r\n<p style=\"text-align: justify;\">אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</p>\r\n<p style=\"text-align: justify;\">ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אודותינו", "", "inherit", "open", "open", "", "94-revision-9", "", "", "2012-09-20 16:54:00", "2012-09-20 13:54:00", "", "94", "http://ru-law.co.il/94-revision-9/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("125", "1", "2012-07-20 12:58:27", "2012-07-20 09:58:27", "אאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאא", "אודותינו", "", "inherit", "open", "open", "", "94-revision-5", "", "", "2012-07-20 12:58:27", "2012-07-20 09:58:27", "", "94", "http://techwebtesting.com/rublaw/94-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("96", "1", "2012-07-20 12:21:39", "2012-07-20 09:21:39", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!\r\n</strong>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong></strong></p>\r\n<strong>כך אי אפשר להפסיד: אתה משלם בעיקר על בסיס הצלחה, ונהנה מהחזרים גבוהים!</strong>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</p>\r\n&nbsp;", "הפחתת ארנונה", "", "publish", "open", "open", "", "%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94", "", "", "2014-03-26 16:19:33", "2014-03-26 14:19:33", "", "0", "http://techwebtesting.com/rublaw/?page_id=96", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("278", "1", "2012-10-09 12:51:57", "2012-10-09 10:51:57", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong>\r\n\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n<strong></strong>\r\n\r\n<strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n\r\n&nbsp;\r\n\r\nהמומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!\r\n<p style=\"text-align: justify;\"></p>\r\n&nbsp;\r\n<p style=\"text-align: justify;\"></p>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 12:51:57", "2012-10-09 10:51:57", "", "96", "http://ru-law.co.il/96-revision-11/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("279", "1", "2012-10-09 12:52:55", "2012-10-09 10:52:55", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong>\r\n\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n<strong></strong>\r\n\r\n<strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n\r\nהמומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!\r\n\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 12:52:55", "2012-10-09 10:52:55", "", "96", "http://ru-law.co.il/96-revision-12/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("274", "1", "2012-10-09 11:53:05", "2012-10-09 09:53:05", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.\r\n\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").\r\n\r\nכיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.\r\n<p style=\"text-align: justify;\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: ע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>\r\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-18", "", "", "2012-10-09 11:53:05", "2012-10-09 09:53:05", "", "239", "http://ru-law.co.il/239-revision-18/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("97", "1", "2012-07-20 12:21:29", "2012-07-20 09:21:29", "", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-07-20 12:21:29", "2012-07-20 09:21:29", "", "96", "http://techwebtesting.com/rublaw/96-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("98", "1", "2012-07-20 12:22:29", "2012-07-20 09:22:29", "<p style=\"text-align: justify;\"><strong>רכישת דירה הינה העסקה הכלכלית המשמעותית ביותר לרוב האנשים. </strong>\r\n<strong>לכן כאשר מתגלים ליקויי בנייה נגרם לרוכשים נזק כלכלי עצום, ועוגמת נפש רבה.</strong>\r\nמשרדנו מנוסה בייצוג וליווי משפטי של דיירים בתביעות ליקויי בניה נגד קבלני בנין בגין כשלים בבניה.\r\nדוגמאות לליקויי בניה נפוצים:\r\n*חוסר התאמה במידות של חלקי המבנה.\r\n*רטיבות או נזילות.\r\n*סדקים שנפערו בקירות או ברצפה.\r\n*קילופי טיח ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>החוק פועל לטובתך!</strong>\r\nבמשך השנים גברה המודעות הציבורית לתחום זה וגם החקיקה עודכנה - והיא פועלת לטובתך.\r\nמגיע לך פיצוי על  איחור במסירת חזקה בדירה, על עגמת נפש המתלווה לליקוים, הפסד ימי עבודה, הוצאות בגין דיור חלופי או בגין חוות דעת של מומחים, אי-רישום דירה בטאבו (על ידי הקבלן), רשלנות ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>דרוש מהקבלן לקחת אחריות למחדלים!</strong>\r\nבהתאם להוראות חוק המכר (דירות), אחריותו של הקבלן מוגבלת לתקופה שבין שנה עד ל-7 שנים.\r\nבנוסף, קובע החוק כי לפני הגשת תביעה משפטית לפיצוי כספי, יש לפנות לקבלן ולתת הזדמנות נאותה לתקן ליקויים.</p>\r\n<p style=\"text-align: justify;\">שווה להיעזר בשירותי עורך דין מומחה שיפנה לקבלן במכתב דרישה לתיקון הליקויים, בסמוך למועד היווצרות ליקויי הבניה וגילויים. כשמדובר בליקויי בניה משמעותיים שאינם בגדר \"ליקויי בניה אסתטיים\" יש מספר פעולות שעליך לבצע כדי להוכיח את טענותיך ולדרוש שהצדק יעשה.\r\nאנו ערוכים לסייע לך עם המידע מקצועי שיעזור לך לזכות במה שמגיע לך על פי חוק.</p>\r\n<p style=\"text-align: justify;\">שירות משפטי מקצועי  נותן לך מענה יקר ערך!\r\n<strong>משרדנו יסייע לך לקבל נכס שעומד בתקנות הבנייה, ואשר מעניק לך תמורה הולמת לכספך!</strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה", "", "publish", "open", "open", "", "%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94", "", "", "2013-06-06 09:19:50", "2013-06-06 06:19:50", "", "0", "http://techwebtesting.com/rublaw/?page_id=98", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("99", "1", "2012-07-20 12:22:21", "2012-07-20 09:22:21", "", "ליקויי בנייה", "", "inherit", "open", "open", "", "98-revision", "", "", "2012-07-20 12:22:21", "2012-07-20 09:22:21", "", "98", "http://techwebtesting.com/rublaw/98-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("100", "1", "2012-07-20 12:23:52", "2012-07-20 09:23:52", "<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין בישראל הוא בין הגבוהים בעולם!</strong></p>\r\n<p style=\"text-align: justify;\">עלות המקרקעין אינה מסתכמת במחיר הנכס, כפי שנקבע בתנאי העסקה, אלא כוללת הוצאות גבוהות נוספות בגין מיסים שונים: מס רכישה, מס שבח, היטל השבחה (במקרים מסוימים) ומע\"מ.</p>\r\n<p style=\"text-align: justify;\">מערכת המיסוי בתחום זה מוסדרת בחוק מיסוי מקרקעין (שבח ורכישה), תשכ\"ג-1963.</p>\r\n<p style=\"text-align: justify;\">חוק זה מגדיר את המונחים \"מכר מקרקעין\" ו\"זכות במקרקעין\" בצורה רחבה, וזאת כדי לאפשר למערכת להטיל מס על כמה שיותר עסקאות. זכות במקרקעין כוללת:</p>\r\n<p style=\"text-align: justify;\">*בעלות.</p>\r\n<p style=\"text-align: justify;\">*חכירה לדורות (חכירה לתקופה הארוכה מ- 25 שנה).</p>\r\n<p style=\"text-align: justify;\">*זכות בתאגיד אשר מלוא נכסיו הינם נכסי מקרקעין.</p>\r\n<p style=\"text-align: justify;\">*זכות לקבל מקרקעין בעתיד.</p>\r\n<p style=\"text-align: justify;\">*הרשאה לשימוש במקרקעין השייכים למדינה.</p>\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, דיני המס בעסקאות מקרקעין מקנים בתנאים מסוימים הנחות ופטורים הן למוכר והן לרוכש. כך למשל, במספר מקרים חריגים העברת זכות במקרקעין לא תחשב כמכירה: הפקעת מקרקעין ללא תמורה, חלוקת עיזבון ליורשים, או העברת בעלות שנעשית על פי פסק דין בהליך גירושין.</p>\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\"><strong>סוף מעשה במחשבה תחילה!</strong></p>\r\n<p style=\"text-align: justify;\">לכן עוד בטרם ביצוע העסקה עליך לפנות לעורך דין הבקיא בנישה המשפטית של מיסי מקרקעין על מנת לערוך תכנון מס מתאים. תכנון נכון יחסוך לך הרבה כסף!</p>", "מיסוי מקרקעין", "", "publish", "open", "open", "", "%d7%9e%d7%99%d7%a1%d7%95%d7%99-%d7%9e%d7%a7%d7%a8%d7%a7%d7%a2%d7%99%d7%9f", "", "", "2012-09-20 19:06:12", "2012-09-20 16:06:12", "", "0", "http://techwebtesting.com/rublaw/?page_id=100", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("101", "1", "2012-07-20 12:23:44", "2012-07-20 09:23:44", "", "מיסוי מקרקעין", "", "inherit", "open", "open", "", "100-revision", "", "", "2012-07-20 12:23:44", "2012-07-20 09:23:44", "", "100", "http://techwebtesting.com/rublaw/100-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("102", "1", "2012-07-20 12:24:40", "2012-07-20 09:24:40", "<strong>שירות משפטי מקצועי נותן לך שקט נפשי.</strong>\r\n\r\n<strong>כך תוכל לנהל עסקאות באופן יעיל ובטוח.</strong>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה במקרקעין-נדל\"ן. למשרדנו ניסיון רב בליווי לקוחות עסקיים ופרטיים במגוון רחב של תחומי המקרקעין ונדל\"ן, ביניהם רכישה ומכירה, הסכמי ליווי בנקאיים, קבוצות רכישה, רישומים בלשכת רישום המקרקעין, רישום פרצלציה, איחוד וחלוקה, בית משותף, הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף, עסקאות תמ\"א 38 והתחדשות עירונית, עסקאות מכר במושבים ובהרחבות, עסקאות קומבינציה, יעוץ וסיוע משפטי בענייני תכנון ובנייה, טיפול בענייני הפקעות מקרקעין, תביעות בגין ירידת ערך בגין פגיעת תוכנית, פינויים, הגנת הדייר, ייצוג בבתי משפט ועוד.</p>\r\n<p style=\"text-align: justify;\"><span style=\"text-align: justify;\">כעורכי דין, מתפקידנו לתרום מהידע המקצועי שלנו לכל אורך הדרך, בכל שלב משלבי העסקה, ובכלל זאת:</span></p>\r\n<p style=\"text-align: justify;\">*בדיקת היבטי המיסוי וכדאיות עתידית.</p>\r\n<p style=\"text-align: justify;\">*תכנון מס לתשלום מינימאלי, ובמקרים מסוימים אף לקבלת פטור.</p>\r\n<p style=\"text-align: justify;\">*ליווי במשא ומתן והדרכה של הרוכשים מול קבלנים, לרבות: בדיקה מקיפה של תנאי החוזה ושמירה על זכויות הרוכשים, בדיקת בטחונות ועוד.</p>\r\n<p style=\"text-align: justify;\">*יעוץ בכל הקשור לנוסח החוזה עד למעמד חתימת החוזה, כולל: בדיקת הזכויות של הנכס (בטאבו, במינהל מקרקעי ישראל ובחברה משכנת), בדיקת עיקולים, משכנתאות, שעבודים, צווי הריסה וכו\'.</p>\r\n<p style=\"text-align: justify;\">*ובשלב אחרון, רישום הזכויות בפנקסי המקרקעין.</p>\r\n<p style=\"text-align: center;\"> <span style=\"color: #ff0000;\"><strong>פנה/י עכשיו לפגישת ייעוץ ללא תשלום וללא התחייבות!</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</strong></span></p>", "מקרקעין ונדל\"ן", "", "publish", "open", "open", "", "%d7%9e%d7%a7%d7%a8%d7%a7%d7%a2%d7%99%d7%9f-%d7%95%d7%a0%d7%93%d7%9c%d7%9f", "", "", "2013-09-15 18:40:48", "2013-09-15 15:40:48", "", "0", "http://techwebtesting.com/rublaw/?page_id=102", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("103", "1", "2012-07-20 12:24:31", "2012-07-20 09:24:31", "", "מקרקעין ונדל\"ן", "", "inherit", "open", "open", "", "102-revision", "", "", "2012-07-20 12:24:31", "2012-07-20 09:24:31", "", "102", "http://techwebtesting.com/rublaw/102-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("104", "1", "2012-07-20 12:25:23", "2012-07-20 09:25:23", "<p style=\"text-align: justify;\">שירות בהתאמה אישית מעניק ללקוח העסקי פתרונות משפטיים נכונים למינוף עסקיו.</p>\r\n<p style=\"text-align: justify;\">\"משפט מסחרי\" הוא מונח שמתאר תחום דינאמי ורבגוני.</p>\r\n<p style=\"text-align: justify;\">במשרד פ. רובינשטיין אנו מעניקים ייעוץ משפטי שוטף הקשור בפעילותן המסחרית והיומיומית של חברות. אנו מקדישים את הזמן הדרוש כדי להעריך ולהבין את צרכי הנהלת החברה, עסקיה, ואת הסביבה העסקית שבה היא פועלת.</p>\r\n<p style=\"text-align: justify;\">התוצאה של תהליך עבודה זה היא שירות משפטי שמותאם לצרכיו הספציפיים של כל לקוח. שירות זה כולל ייעוץ משפטי בתחומים הבאים:</p>\r\n<p style=\"text-align: justify;\">*ניסוח וניהול משא ומתן בנוגע להסכמים מסחריים שונים, לרבות הסכמי רישוי, פיתוח, זיכיונות, מיזמים משותפים, הסכמים למיקור חוץ, הסכמי עבודה, הסכמי מכר ורכש, ועוד.</p>\r\n<p style=\"text-align: justify;\">*מבנה וצורת התאגדות.</p>\r\n<p style=\"text-align: justify;\">*נושאים רגולטורים וליווי הלקוח מול גופים ממשלתיים.</p>\r\n<p style=\"text-align: justify;\">משא ומתן לגבי פרויקטים ועסקאות של מכירת מניות או נכסים, מיזוגים וארגון מחדש, לרבות ביצוע, או הכנת החברה לבדיקת נאותות.</p>\r\n<p style=\"text-align: justify;\">*ליווי משפטי ללקוחות בכל הקשור לדיני תאגידים, מסמכי חברה, דיווחים והגשות לרשם החברות.</p>\r\n<p style=\"text-align: justify;\">*פתרונות משפטיים בנוגע לסכסוכים בין חברות, סכסוכים בין בעלי מניות או מחלוקות עסקיות אחרות.</p>\r\n<p style=\"text-align: justify;\">*הליכים לפירוק חברה מרצון (ושלא מרצון), כולל: עריכת תצהירים ודיווחים לרשם החברות, הגשת בקשות, והפסקת חיובי אגרות וקנסות שלא לצורך.</p>\r\n<p style=\"text-align: justify;\">*ייצוג הלקוח בבית המשפט (ליטיגציה), בערכאות ובוררויות שונות בתחומי המשפט המסחרי-אזרחי.</p>\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\">יש לנו ניסיון רב בייעוץ וליווי משפטי לסקטורים מגוונים.</p>\r\n<p style=\"text-align: justify;\">אנו מספקים את הצרכים המשפטיים השוטפים, העסקיים, והאסטרטגיים של חברות רבות.</p>", "משפט מסחרי", "", "publish", "open", "open", "", "%d7%9e%d7%a9%d7%a4%d7%98-%d7%9e%d7%a1%d7%97%d7%a8%d7%99", "", "", "2012-09-20 19:09:50", "2012-09-20 16:09:50", "", "0", "http://techwebtesting.com/rublaw/?page_id=104", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("105", "1", "2012-07-20 12:25:12", "2012-07-20 09:25:12", "", "משפט מסחרי", "", "inherit", "open", "open", "", "104-revision", "", "", "2012-07-20 12:25:12", "2012-07-20 09:25:12", "", "104", "http://techwebtesting.com/rublaw/104-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("106", "1", "2012-07-20 12:27:21", "2012-07-20 09:27:21", " ", "", "", "publish", "open", "open", "", "106", "", "", "2012-07-26 08:41:04", "2012-07-26 05:41:04", "", "0", "http://techwebtesting.com/rublaw/?p=106", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("107", "1", "2012-07-20 12:27:21", "2012-07-20 09:27:21", "", "מקרקעין ונדל\"ן", "", "publish", "open", "open", "", "%d7%9e%d7%a7%d7%a8%d7%a7%d7%a2%d7%99%d7%9f-%d7%95%d7%a0%d7%93%d7%9c%d7%9f-2", "", "", "2012-07-26 08:41:04", "2012-07-26 05:41:04", "", "0", "http://techwebtesting.com/rublaw/?p=107", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("108", "1", "2012-07-20 12:27:21", "2012-07-20 09:27:21", " ", "", "", "publish", "open", "open", "", "108", "", "", "2012-07-26 08:41:04", "2012-07-26 05:41:04", "", "0", "http://techwebtesting.com/rublaw/?p=108", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("109", "1", "2012-07-20 12:27:21", "2012-07-20 09:27:21", " ", "", "", "publish", "open", "open", "", "109", "", "", "2012-07-26 08:41:04", "2012-07-26 05:41:04", "", "0", "http://techwebtesting.com/rublaw/?p=109", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("110", "1", "2012-07-20 12:27:21", "2012-07-20 09:27:21", " ", "", "", "publish", "open", "open", "", "110", "", "", "2012-07-26 08:41:04", "2012-07-26 05:41:04", "", "0", "http://techwebtesting.com/rublaw/?p=110", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("111", "1", "2012-07-20 12:27:21", "2012-07-20 09:27:21", " ", "", "", "publish", "open", "open", "", "111", "", "", "2012-07-26 08:41:04", "2012-07-26 05:41:04", "", "0", "http://techwebtesting.com/rublaw/?p=111", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("112", "1", "2012-07-15 13:40:29", "2012-07-15 13:40:29", "This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:\r\n\r\n<blockquote>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my blog. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</blockquote>\r\n\r\n...or something like this:\r\n\r\n<blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickies to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>\r\n\r\nAs a new WordPress user, you should go to <a href=\"http://techwebtesting.com/rublaw/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!", "עמוד לדוגמא", "", "inherit", "open", "open", "", "2-revision", "", "", "2012-07-15 13:40:29", "2012-07-15 13:40:29", "", "2", "http://techwebtesting.com/rublaw/2-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("117", "1", "2012-07-20 12:53:25", "2012-07-20 09:53:25", "אאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאא", "אודותינו", "", "inherit", "open", "open", "", "94-revision-3", "", "", "2012-07-20 12:53:25", "2012-07-20 09:53:25", "", "94", "http://techwebtesting.com/rublaw/94-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("119", "1", "2012-07-20 12:54:05", "2012-07-20 09:54:05", "אאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאא", "אודותינו", "", "inherit", "open", "open", "", "94-revision-4", "", "", "2012-07-20 12:54:05", "2012-07-20 09:54:05", "", "94", "http://techwebtesting.com/rublaw/94-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("436", "1", "2012-12-27 17:29:33", "2012-12-27 15:29:33", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!\r\n</strong>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong></strong></p>\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</p>\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "closed", "open", "", "96-revision-v1", "", "", "2012-12-27 17:29:33", "2012-12-27 15:29:33", "", "96", "http://ru-law.co.il/96-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("273", "1", "2012-10-03 14:57:50", "2012-10-03 12:57:50", "<p style=\"text-align: justify;\"><strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.</p>\r\n<p style=\"text-align: justify;\">ההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).</p>\r\n<p style=\"text-align: justify;\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong></p>\r\n<p style=\"text-align: justify;\">בעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.</p>\r\n<p style=\"text-align: justify;\">כמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">השירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –</p>\r\n<p style=\"text-align: justify;\">החל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.</p>\r\n<p style=\"text-align: justify;\">אין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.</p>\r\n<p style=\"text-align: justify;\"><strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong></p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><span style=\"color: #ff0000;\"><strong>לצורך בדיקת חיובי הארנונה של העסק שלך, <span style=\"text-decoration: underline;\">ללא כל התחייבות</span>, פנה/י כעת ללא דיחוי!!!</strong></span></p>\r\n<p style=\"text-align: justify;\"><span style=\"color: #ff0000;\"><strong>שלח/י אלינו חשבון אחרון, </strong><strong>לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\"><span style=\"color: #ff0000;\">info@ru-law.co.il</span></a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</strong></span></p>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-03 14:57:50", "2012-10-03 12:57:50", "", "96", "http://ru-law.co.il/96-revision-9/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("132", "1", "2012-07-20 12:21:39", "2012-07-20 09:21:39", "בבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבב", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-07-20 12:21:39", "2012-07-20 09:21:39", "", "96", "http://techwebtesting.com/rublaw/96-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("137", "1", "2012-07-20 12:31:37", "2012-07-20 09:31:37", "דף הבית\r\n\r\n&nbsp;\r\n\r\nכקגלךכגקכלגלכגדלכגחדלכדג", "דף הבית", "", "inherit", "open", "open", "", "2-revision-3", "", "", "2012-07-20 12:31:37", "2012-07-20 09:31:37", "", "2", "http://techwebtesting.com/rublaw/2-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("138", "1", "2012-07-25 16:23:44", "2012-07-25 13:23:44", "<strong>אתה זכאי להגנה המשפטית הטובה ביותר.</strong>\r\n\r\n<strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n\r\n&nbsp;\r\n\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong>\r\n\r\n&nbsp;\r\n\r\n<strong>משפט מסחרי</strong>\r\n\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.\r\n\r\n&nbsp;\r\n\r\n<strong>מקרקעין ונדל\"ן</strong>\r\n\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\n\r\nהשקע את כספך בחוכמה.\r\n\r\n&nbsp;\r\n\r\nמיסוי מקרקעין\r\n\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\n\r\nליווי משפטי מקצועי יחסוך לך כסף רב.\r\n\r\n&nbsp;\r\n\r\n<strong>הפחתת ארנונה</strong>\r\n\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).\r\n\r\n&nbsp;\r\n\r\n<strong>טיפול משפטי בליקויי בנייה</strong>\r\n\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\n\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\n\r\nאל תוותר על זכויותיך!\r\n\r\n&nbsp;\r\n\r\n<strong>במשרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n\r\n<strong>בעיות משפטיות - הופכות לפתרונות מקצועיים.</strong>\r\n\r\nאנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:\r\n\r\nז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.\r\n\r\n<strong>לתיאום פגישה, התקשר עכשיו:</strong> <strong>03-6246248</strong>\r\n\r\n&nbsp;", "דף הבית", "", "inherit", "open", "open", "", "2-revision-4", "", "", "2012-07-25 16:23:44", "2012-07-25 13:23:44", "", "2", "http://techwebtesting.com/rublaw/2-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("154", "1", "2012-07-26 08:39:41", "2012-07-26 05:39:41", "<strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n\r\n&nbsp;\r\n\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong>\r\n\r\n&nbsp;\r\n\r\n<strong>משפט מסחרי</strong>\r\n\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.\r\n\r\n&nbsp;\r\n\r\n<strong>מקרקעין ונדל\"ן</strong>\r\n\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\n\r\nהשקע את כספך בחוכמה.\r\n\r\n&nbsp;\r\n\r\n<strong>מיסוי מקרקעין</strong>\r\n\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\n\r\nליווי משפטי מקצועי יחסוך לך כסף רב.\r\n\r\n&nbsp;\r\n\r\n<strong>הפחתת ארנונה</strong>\r\n\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).\r\n\r\n&nbsp;\r\n\r\n<strong>טיפול משפטי בליקויי בנייה</strong>\r\n\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\n\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\n\r\nאל תוותר על זכויותיך!\r\n\r\n&nbsp;\r\n\r\n<strong>במשרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n\r\n<strong>בעיות משפטיות - הופכות לפתרונות מקצועיים.</strong>\r\n\r\nאנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:\r\n\r\nז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.\r\n\r\n<strong>לתיאום פגישה, התקשר עכשיו:</strong> <strong>03-6246248</strong>\r\n\r\n&nbsp;", "אתה זכאי להגנה המשפטית הטובה ביות", "", "inherit", "open", "open", "", "2-revision-6", "", "", "2012-07-26 08:39:41", "2012-07-26 05:39:41", "", "2", "http://techwebtesting.com/rublaw/2-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("142", "1", "2012-07-23 15:22:24", "2012-07-23 12:22:24", "אאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאאא", "אודותינו", "", "inherit", "open", "open", "", "94-revision-6", "", "", "2012-07-23 15:22:24", "2012-07-23 12:22:24", "", "94", "http://techwebtesting.com/rublaw/94-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("143", "1", "2012-07-25 16:43:45", "2012-07-25 13:43:45", "<h3><strong>משרד עורכי דין פ. רובינשטיין ושות\' מספק שירותים משפטיים בתחום האזרחי-מסחרי.</strong>\r\nאנו מציעים שירות איכותי המבוסס על מספר עקרונות:\r\n<strong>מחויבות לכל אורך הדרך</strong> – אנו מחויבים למטרות הלקוח ומספקים שירות המבוסס על ניסיון רב, הבנה מעמיקה, ואכפתיות.\r\n<strong>קשר אישי</strong> - אצלנו הלקוח אינו \"תיק\" או \"סוגיה משפטית\" אלא קודם כל אדם שזקוק לעזרה משפטית. גישה זו מנחה אותנו לכל אורך הדרך בקשרי לקוחות.\r\n<strong>מומחיות ומיומנות</strong> - מייסד המשרד והעומד בראשו, עו\"ד פיני רובינשטיין, הוא משפטן בעל ותק מקצועי וניסיון רב ממנו נהנים הצוות המקצועי וכלל הלקוחות.\r\n<strong>פתרונות יצירתיים</strong> – אנו גאים לספק ללקוחותינו גישה מעמיקה, ניתוח משפטי, יוזמה, ויישום עדכני של דינים, תיקוני חוק ותקנות חדשים.\r\n\r\nהודות לשירות לקוחות ללא פשרות, נהנה המשרד מבסיס לקוחות מגוון הכולל: גופים ציבוריים, חברות מסחריות, ולקוחות פרטיים.\r\n\r\nפתרונות משפטיים\r\nמשרד עורכי דין פ. רובינשטיין ושות\' הוא \"משרד בוטיק\"\r\nהמספק ייעוץ, ליווי, וייצוג, בתחומים הבאים:\r\n\r\nמשפט מסחרי\r\nהחוק מחייב חברות לטפל בהיבט המשפטי של הישות העסקית ברמה כמעט יומיומית. אנו מספקים שירותים משפטיים למגוון חברות מסקטורים שונים של המשק, ובכך מסייעים להן למנף את עסקיהן.\r\nתחום זה ידוע כתחום דינאמי הכולל התמחויות רבות, לרבות:\r\nייעוץ משפטי מסחרי.\r\nעריכת חוזים.\r\nתכנון עסקאות.\r\nהסכמי מייסדים ויזמות.\r\nמכירה ורכישה של חברות.\r\nטיפול משפטי בסכסוכים מסחריים בין חברות.\r\nפתרון סכסוכים בין בעלי מניות.\r\nפירוק חברה מרצון (או שלא מרצון).\r\nטיפול בכל הנושאים המשפטיים שהם חלק מהתנהלותן השוטפת של חברות (על בסיס ריטיינר חודשי או על בסיס הסכם התקשרות אחר) ועוד.\r\n\r\nמקרקעין ונדל\"ן\r\nכמעט כל אחד מאתנו נזקק במהלך חייו לעורך דין המתמחה בדיני מקרקעין. תחום זה כולל:\r\nרכישת דירה ונכסים פרטיים או מסחריים אחרים.\r\nמכירת דירה ונכסים פרטיים או מסחריים אחרים.\r\nקניית מגרש לבנייה.\r\nעסקאות מכר במושבים ובהרחבות.\r\nעסקאות קומבינציה.\r\nיעוץ וסיוע משפטי בענייני תכנון ובנייה.\r\nטיפול בענייני הפקעות מקרקעין.\r\nתביעות בגין ירידת ערך בגין פגיעת תוכנית.\r\nהסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.\r\n\r\nאלו רק חלק מהפעולות שכדאי ורצוי לעשות בעזרת עורך דין המתמחה במקרקעין ונדל\"ן.\r\nאל תוותר על הייעוץ המקצועי ביותר שיחסוך לך כספים ועוגמת נפש.\r\n\r\n\r\nמיסוי מקרקעין\r\nעסקאות מקרקעין כוללות הוצאות גבוהות נוספות (מעבר לעלות הנכס עצמו) בגין מיסים שונים:\r\nמס רכישה.\r\nמס שבח.\r\nמע\"מ (במקרים מסוימים).\r\nהיטל השבחה (במקרים מסוימים) ועוד.\r\n\r\nביצוע עסקאות בעלות כה גבוהה דורשת ליווי מקצועי שיחסוך לך כסף רב בהווה ובעתיד.\r\n\r\n\r\nהפחתת ארנונה\r\nבמקרים רבים (מידי) עסקים וארגונים משלמים ארנונה גבוהה מידי!\r\nמשרדנו עורך בדיקה ומטפל במקרים שבהם מתגלה עודף גביה.\r\nאנו נסייע לך לתבוע את ההחזרים המגיעים לך במקרים שיימצאו חיובי יתר.\r\nעסקים רבים כבר נהנו מהפחתת החיובים השוטפים, ומהחזרים כספיים משמעותיים.\r\nבנוסף, אנו מספקים שירות משפטי במקרים הבאים:\r\nייצוג בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה.\r\nייצוג בתביעות בעלי נכסים כנגד הליכי גבייה מנהליים שהתיישנו.\r\nייצוג בתביעות בעלי נכסים כנגד הליכי גבייה אישית (של חובות ארנונה של חברה מבעלי המניות בחברה).\r\n\r\nטיפול משפטי בליקויי בניה\r\nלמרבה הצער, דיירים רבים נזקקים לייצוג וליווי משפטי בתביעות ליקויי בנייה נגד קבלני בניין, בגין כשלים בבניה. אל תתפשר - בעזרת טיפול משפטי הולם תוכל לאכוף את התחייבויות הקבלן כלפיך, וליהנות מנכס שעומד בסטנדרטים ובתקנים הנדרשים!\r\n\r\nאם יש לך בעיה משפטית - צור קשר!\r\nאנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:\r\nז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.\r\n\r\nלתיאום פגישה, התקשר עכשיו: 03-6246248</h3>", "אודותינו", "", "inherit", "open", "open", "", "94-revision-7", "", "", "2012-07-25 16:43:45", "2012-07-25 13:43:45", "", "94", "http://techwebtesting.com/rublaw/94-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("144", "1", "2012-09-20 19:09:30", "2012-09-20 16:09:30", "<p style=\"text-align: justify;\">שירות בהתאמה אישית מעניק ללקוח העסקי פתרונות משפטיים נכונים למינוף עסקיו.</p>\r\n<p style=\"text-align: justify;\">\"משפט מסחרי\" הוא מונח שמתאר תחום דינאמי ורבגוני.</p>\r\n<p style=\"text-align: justify;\">במשרד פ. רובינשטיין אנו מעניקים ייעוץ משפטי שוטף הקשור בפעילותן המסחרית והיומיומית של חברות. אנו מקדישים את הזמן הדרוש כדי להעריך ולהבין את צרכי הנהלת החברה, עסקיה, ואת הסביבה העסקית שבה היא פועלת.</p>\r\n<p style=\"text-align: justify;\">התוצאה של תהליך עבודה זה היא שירות משפטי שמותאם לצרכיו הספציפיים של כל לקוח. שירות זה כולל ייעוץ משפטי בתחומים הבאים:</p>\r\n<p style=\"text-align: justify;\">*ניסוח וניהול משא ומתן בנוגע להסכמים מסחריים שונים, לרבות הסכמי רישוי, פיתוח, זיכיונות, מיזמים משותפים, הסכמים למיקור חוץ, הסכמי עבודה, הסכמי מכר ורכש, ועוד.</p>\r\n<p style=\"text-align: justify;\">*מבנה וצורת התאגדות.</p>\r\n<p style=\"text-align: justify;\">*נושאים רגולטורים וליווי הלקוח מול גופים ממשלתיים.</p>\r\n<p style=\"text-align: justify;\">משא ומתן לגבי פרויקטים ועסקאות של מכירת מניות או נכסים, מיזוגים וארגון מחדש, לרבות ביצוע, או הכנת החברה לבדיקת נאותות.</p>\r\n<p style=\"text-align: justify;\">*ליווי משפטי ללקוחות בכל הקשור לדיני תאגידים, מסמכי חברה, דיווחים והגשות לרשם החברות.</p>\r\n<p style=\"text-align: justify;\">*פתרונות משפטיים בנוגע לסכסוכים בין חברות, סכסוכים בין בעלי מניות או מחלוקות עסקיות אחרות.</p>\r\n<p style=\"text-align: justify;\">*הליכים לפירוק חברה מרצון (ושלא מרצון), כולל: עריכת תצהירים ודיווחים לרשם החברות, הגשת בקשות, והפסקת חיובי אגרות וקנסות שלא לצורך.</p>\r\n<p style=\"text-align: justify;\">*ייצוג הלקוח בבית המשפט (ליטיגציה), בערכאות ובוררויות שונות בתחומי המשפט המסחרי-אזרחי.</p>\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\">יש לנו ניסיון רב בייעוץ וליווי משפטי לסקטורים מגוונים.</p>\r\n<p style=\"text-align: justify;\">אנו מספקים את הצרכים המשפטיים השוטפים, העסקיים, והאסטרטגיים של חברות רבות.</p>", "משפט מסחרי", "", "inherit", "open", "open", "", "104-autosave", "", "", "2012-09-20 19:09:30", "2012-09-20 16:09:30", "", "104", "http://techwebtesting.com/rublaw/104-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("145", "1", "2012-07-20 12:25:23", "2012-07-20 09:25:23", "ווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווווו", "משפט מסחרי", "", "inherit", "open", "open", "", "104-revision-2", "", "", "2012-07-20 12:25:23", "2012-07-20 09:25:23", "", "104", "http://techwebtesting.com/rublaw/104-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("146", "1", "2013-09-15 18:40:32", "2013-09-15 15:40:32", "<strong>שירות משפטי מקצועי נותן לך שקט נפשי.</strong>\r\n\r\n<strong>כך תוכל לנהל עסקאות באופן יעיל ובטוח.</strong>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה במקרקעין-נדל\"ן. למשרדנו ניסיון רב בליווי לקוחות עסקיים ופרטיים במגוון רחב של תחומי המקרקעין ונדל\"ן, ביניהם רכישה ומכירה, הסכמי ליווי בנקאיים, קבוצות רכישה, רישומים בלשכת רישום המקרקעין, רישום פרצלציה, איחוד וחלוקה, בית משותף, הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף, עסקאות תמ\"א 38 והתחדשות עירונית, עסקאות מכר במושבים ובהרחבות, עסקאות קומבינציה, יעוץ וסיוע משפטי בענייני תכנון ובנייה, טיפול בענייני הפקעות מקרקעין, תביעות בגין ירידת ערך בגין פגיעת תוכנית, פינויים, הגנת הדייר, ייצוג בבתי משפט ועוד.</p>\r\n<p style=\"text-align: justify;\"><span style=\"text-align: justify;\">כעורכי דין, מתפקידנו לתרום מהידע המקצועי שלנו לכל אורך הדרך, בכל שלב משלבי העסקה, ובכלל זאת:</span></p>\r\n<p style=\"text-align: justify;\">*בדיקת היבטי המיסוי וכדאיות עתידית.</p>\r\n<p style=\"text-align: justify;\">*תכנון מס לתשלום מינימאלי, ובמקרים מסוימים אף לקבלת פטור.</p>\r\n<p style=\"text-align: justify;\">*ליווי במשא ומתן והדרכה של הרוכשים מול קבלנים, לרבות: בדיקה מקיפה של תנאי החוזה ושמירה על זכויות הרוכשים, בדיקת בטחונות ועוד.</p>\r\n<p style=\"text-align: justify;\">*יעוץ בכל הקשור לנוסח החוזה עד למעמד חתימת החוזה, כולל: בדיקת הזכויות של הנכס (בטאבו, במינהל מקרקעי ישראל ובחברה משכנת), בדיקת עיקולים, משכנתאות, שעבודים, צווי הריסה וכו\'.</p>\r\n<p style=\"text-align: justify;\">*ובשלב אחרון, רישום הזכויות בפנקסי המקרקעין.</p>\r\n<p style=\"text-align: center;\"> <span style=\"color: #ff0000;\"><strong>פנה/י עכשיו לפגישת ייעוץ ללא תשלום וללא התחייבות!</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</strong></span></p>", "מקרקעין ונדל\"ן", "", "inherit", "open", "open", "", "102-autosave", "", "", "2013-09-15 18:40:32", "2013-09-15 15:40:32", "", "102", "http://techwebtesting.com/rublaw/102-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("332", "1", "2012-10-14 17:29:34", "2012-10-14 15:29:34", "<strong>שירות משפטי מקצועי נותן לך שקט נפשי.</strong>\r\n\r\n<strong>כך תוכל לנהל עסקאות באופן יעיל ובטוח.</strong>\r\n\r\nלמשרדנו ניסיון רב בליווי לקוחות עסקיים ופרטיים במגוון רחב של עסקאות מקרקעין ונדל\"ן:\r\n\r\n*רכישה ומכירה.\r\n\r\n*הסכמי ליווי בנקאיים.\r\n\r\n*קבוצות רכישה.\r\n\r\n*רישומים בלשכת רישום המקרקעין.\r\n\r\n*רישום פרצלציה.\r\n\r\n*איחוד וחלוקה.\r\n\r\nבית משותף.\r\n\r\n*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.\r\n\r\n*עסקאות תמ\"א 38 והתחדשות עירונית.\r\n\r\n*עסקאות מכר במושבים ובהרחבות.\r\n\r\n*עסקאות קומבינציה.\r\n\r\n*יעוץ וסיוע משפטי בענייני תכנון ובנייה.\r\n\r\nטיפול בענייני הפקעות מקרקעין.\r\n\r\n*תביעות בגין ירידת ערך בגין פגיעת תוכנית.\r\n\r\nכעורכי דין מתפקידנו לתרום מהידע המקצועי שלנו לכל אורך הדרך, בכל שלבי העסקה:\r\n\r\n*בדיקת היבטי המיסוי וכדאיות עתידית.\r\n\r\n*תכנון מס לתשלום מינימאלי, ובמקרים מסוימים אף לקבלת פטור.\r\n\r\n*ליווי במשא ומתן והדרכה של הרוכשים מול קבלנים, לרבות: בדיקה מקיפה של תנאי החוזה ושמירה על זכויות הרוכשים, בדיקת בטחונות ועוד.\r\n\r\n*יעוץ בכל הקשור לנוסח החוזה עד למעמד חתימת החוזה, כולל: בדיקת הזכויות של הנכס (בטאבו, במינהל מקרקעי ישראל ובחברה משכנת), בדיקת עיקולים, משכנתאות, שעבודים, צווי הריסה וכו\'.\r\n\r\n*ובשלב אחרון, רישום הזכויות בפנקסי המקרקעין.\r\n\r\n&nbsp;", "מקרקעין ונדל\"ן", "", "inherit", "open", "open", "", "102-revision-5", "", "", "2012-10-14 17:29:34", "2012-10-14 15:29:34", "", "102", "http://ru-law.co.il/102-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("147", "1", "2012-07-20 12:24:40", "2012-07-20 09:24:40", "ההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההההה", "מקרקעין ונדל\"ן", "", "inherit", "open", "open", "", "102-revision-2", "", "", "2012-07-20 12:24:40", "2012-07-20 09:24:40", "", "102", "http://techwebtesting.com/rublaw/102-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("148", "1", "2012-09-20 19:05:51", "2012-09-20 16:05:51", "<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין בישראל הוא בין הגבוהים בעולם!</strong></p>\r\n<p style=\"text-align: justify;\">עלות המקרקעין אינה מסתכמת במחיר הנכס, כפי שנקבע בתנאי העסקה, אלא כוללת הוצאות גבוהות נוספות בגין מיסים שונים: מס רכישה, מס שבח, היטל השבחה (במקרים מסוימים) ומע\"מ.</p>\r\n<p style=\"text-align: justify;\">מערכת המיסוי בתחום זה מוסדרת בחוק מיסוי מקרקעין (שבח ורכישה), תשכ\"ג-1963.</p>\r\n<p style=\"text-align: justify;\">חוק זה מגדיר את המונחים \"מכר מקרקעין\" ו\"זכות במקרקעין\" בצורה רחבה, וזאת כדי לאפשר למערכת להטיל מס על כמה שיותר עסקאות. זכות במקרקעין כוללת:</p>\r\n<p style=\"text-align: justify;\">*בעלות.</p>\r\n<p style=\"text-align: justify;\">*חכירה לדורות (חכירה לתקופה הארוכה מ- 25 שנה).</p>\r\n<p style=\"text-align: justify;\">*זכות בתאגיד אשר מלוא נכסיו הינם נכסי מקרקעין.</p>\r\n<p style=\"text-align: justify;\">*זכות לקבל מקרקעין בעתיד.</p>\r\n<p style=\"text-align: justify;\">*הרשאה לשימוש במקרקעין השייכים למדינה.</p>\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, דיני המס בעסקאות מקרקעין מקנים בתנאים מסוימים הנחות ופטורים הן למוכר והן לרוכש. כך למשל, במספר מקרים חריגים העברת זכות במקרקעין לא תחשב כמכירה: הפקעת מקרקעין ללא תמורה, חלוקת עיזבון ליורשים, או העברת בעלות שנעשית על פי פסק דין בהליך גירושין.</p>\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\"><strong>סוף מעשה במחשבה תחילה!</strong></p>\r\n<p style=\"text-align: justify;\">לכן עוד בטרם ביצוע העסקה עליך לפנות לעורך דין הבקיא בנישה המשפטית של מיסי מקרקעין על מנת לערוך תכנון מס מתאים. תכנון נכון יחסוך לך הרבה כסף!</p>", "מיסוי מקרקעין", "", "inherit", "open", "open", "", "100-autosave", "", "", "2012-09-20 19:05:51", "2012-09-20 16:05:51", "", "100", "http://techwebtesting.com/rublaw/100-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("149", "1", "2012-07-20 12:23:52", "2012-07-20 09:23:52", "דדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדדד", "מיסוי מקרקעין", "", "inherit", "open", "open", "", "100-revision-2", "", "", "2012-07-20 12:23:52", "2012-07-20 09:23:52", "", "100", "http://techwebtesting.com/rublaw/100-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("150", "1", "2012-07-24 17:09:33", "2012-07-24 14:09:33", "בבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבבב\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-07-24 17:09:33", "2012-07-24 14:09:33", "", "96", "http://techwebtesting.com/rublaw/96-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("151", "1", "2013-06-06 09:20:00", "2013-06-06 06:20:00", "<p style=\"text-align: justify;\"><strong>רכישת דירה הינה העסקה הכלכלית המשמעותית ביותר לרוב האנשים. </strong>\r\n<strong>לכן כאשר מתגלים ליקויי בנייה נגרם לרוכשים נזק כלכלי עצום, ועוגמת נפש רבה.</strong>\r\nמשרדנו מנוסה בייצוג וליווי משפטי של דיירים בתביעות ליקויי בניה נגד קבלני בנין בגין כשלים בבניה.\r\nדוגמאות לליקויי בניה נפוצים:\r\n*חוסר התאמה במידות של חלקי המבנה.\r\n*רטיבות או נזילות.\r\n*סדקים שנפערו בקירות או ברצפה.\r\n*קילופי טיח ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>החוק פועל לטובתך!</strong>\r\nבמשך השנים גברה המודעות הציבורית לתחום זה וגם החקיקה עודכנה - והיא פועלת לטובתך.\r\nמגיע לך פיצוי על  איחור במסירת חזקה בדירה, על עגמת נפש המתלווה לליקוים, הפסד ימי עבודה, הוצאות בגין דיור חלופי או בגין חוות דעת של מומחים, אי-רישום דירה בטאבו (על ידי הקבלן), רשלנות ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>דרוש מהקבלן לקחת אחריות למחדלים!</strong>\r\nבהתאם להוראות חוק המכר (דירות), אחריותו של הקבלן מוגבלת לתקופה שבין שנה עד ל-7 שנים.\r\nבנוסף, קובע החוק כי לפני הגשת תביעה משפטית לפיצוי כספי, יש לפנות לקבלן ולתת הזדמנות נאותה לתקן ליקויים.</p>\r\n<p style=\"text-align: justify;\">שווה להיעזר בשירותי עורך דין מומחה שיפנה לקבלן במכתב דרישה לתיקון הליקויים, בסמוך למועד היווצרות ליקויי הבניה וגילויים. כשמדובר בליקויי בניה משמעותיים שאינם בגדר \"ליקויי בניה אסתטיים\" יש מספר פעולות שעליך לבצע כדי להוכיח את טענותיך ולדרוש שהצדק יעשה.\r\nאנו ערוכים לסייע לך עם המידע מקצועי שיעזור לך לזכות במה שמגיע לך על פי חוק.</p>\r\n<p style=\"text-align: justify;\">שירות משפטי מקצועי  נותן לך מענה יקר ערך!\r\n<strong>משרדנו יסייע לך לקבל נכס שעומד בתקנות הבנייה, ואשר מעניק לך תמורה הולמת לכספך!</strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה", "", "inherit", "open", "open", "", "98-autosave", "", "", "2013-06-06 09:20:00", "2013-06-06 06:20:00", "", "98", "http://techwebtesting.com/rublaw/98-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("152", "1", "2012-07-20 12:22:29", "2012-07-20 09:22:29", "גגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגגג", "ליקויי בנייה", "", "inherit", "open", "open", "", "98-revision-2", "", "", "2012-07-20 12:22:29", "2012-07-20 09:22:29", "", "98", "http://techwebtesting.com/rublaw/98-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("153", "1", "2012-07-25 16:24:35", "2012-07-25 13:24:35", "<strong>אתה זכאי להגנה המשפטית הטובה ביותר.</strong>\r\n\r\n<strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n\r\n&nbsp;\r\n\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong>\r\n\r\n&nbsp;\r\n\r\n<strong>משפט מסחרי</strong>\r\n\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.\r\n\r\n&nbsp;\r\n\r\n<strong>מקרקעין ונדל\"ן</strong>\r\n\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\n\r\nהשקע את כספך בחוכמה.\r\n\r\n&nbsp;\r\n\r\n<strong>מיסוי מקרקעין</strong>\r\n\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\n\r\nליווי משפטי מקצועי יחסוך לך כסף רב.\r\n\r\n&nbsp;\r\n\r\n<strong>הפחתת ארנונה</strong>\r\n\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).\r\n\r\n&nbsp;\r\n\r\n<strong>טיפול משפטי בליקויי בנייה</strong>\r\n\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\n\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\n\r\nאל תוותר על זכויותיך!\r\n\r\n&nbsp;\r\n\r\n<strong>במשרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n\r\n<strong>בעיות משפטיות - הופכות לפתרונות מקצועיים.</strong>\r\n\r\nאנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:\r\n\r\nז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.\r\n\r\n<strong>לתיאום פגישה, התקשר עכשיו:</strong> <strong>03-6246248</strong>\r\n\r\n&nbsp;", "דף הבית", "", "inherit", "open", "open", "", "2-revision-5", "", "", "2012-07-25 16:24:35", "2012-07-25 13:24:35", "", "2", "http://techwebtesting.com/rublaw/2-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("174", "1", "2012-08-06 10:40:48", "2012-08-06 07:40:48", "", "contact-detales", "", "inherit", "open", "open", "", "contact-detales", "", "", "2012-08-06 10:40:48", "2012-08-06 07:40:48", "", "0", "http://ru-law.co.il/wp-content/uploads/2012/08/contact-detales.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("186", "1", "2012-08-07 22:58:03", "2012-08-07 19:58:03", "", "icon", "", "inherit", "open", "open", "", "icon", "", "", "2012-08-07 22:58:03", "2012-08-07 19:58:03", "", "0", "http://ru-law.co.il/wp-content/uploads/2012/08/icon.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("175", "1", "2012-08-06 10:56:35", "2012-08-06 07:56:35", "", "contact-detales-hover", "", "inherit", "open", "open", "", "contact-detales-hover", "", "", "2012-08-06 10:56:35", "2012-08-06 07:56:35", "", "0", "http://ru-law.co.il/wp-content/uploads/2012/08/contact-detales-hover.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("177", "1", "2012-08-06 11:44:38", "2012-08-06 08:44:38", " ", "", "", "publish", "open", "open", "", "177", "", "", "2012-08-06 11:44:38", "2012-08-06 08:44:38", "", "13", "http://ru-law.co.il/?p=177", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("168", "1", "2012-08-06 09:37:18", "2012-08-06 06:37:18", "", "1", "", "publish", "closed", "closed", "", "1", "", "", "2012-08-06 09:37:19", "2012-08-06 06:37:19", "", "0", "http://ru-law.co.il/?post_type=ps_promotion&#038;p=168", "0", "ps_promotion", "", "0");
INSERT INTO `wp_posts` VALUES("169", "1", "2012-08-06 09:37:02", "2012-08-06 06:37:02", "", "banner1", "", "inherit", "open", "open", "", "banner1", "", "", "2012-08-06 09:37:02", "2012-08-06 06:37:02", "", "168", "http://ru-law.co.il/wp-content/uploads/2012/08/banner1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("170", "1", "2012-08-06 09:38:08", "2012-08-06 06:38:08", "", "2", "", "publish", "closed", "closed", "", "2", "", "", "2012-08-06 09:38:08", "2012-08-06 06:38:08", "", "0", "http://ru-law.co.il/?post_type=ps_promotion&#038;p=170", "0", "ps_promotion", "", "0");
INSERT INTO `wp_posts` VALUES("171", "1", "2012-08-06 09:37:53", "2012-08-06 06:37:53", "", "banner2", "", "inherit", "open", "open", "", "banner2", "", "", "2012-08-06 09:37:53", "2012-08-06 06:37:53", "", "170", "http://ru-law.co.il/wp-content/uploads/2012/08/banner2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("172", "1", "2012-08-06 10:38:01", "2012-08-06 07:38:01", "", "3", "", "publish", "closed", "closed", "", "3", "", "", "2012-08-06 10:38:01", "2012-08-06 07:38:01", "", "0", "http://ru-law.co.il/?post_type=ps_promotion&#038;p=172", "0", "ps_promotion", "", "0");
INSERT INTO `wp_posts` VALUES("173", "1", "2012-08-06 10:37:46", "2012-08-06 07:37:46", "", "banner3", "", "inherit", "open", "open", "", "banner3", "", "", "2012-08-06 10:37:46", "2012-08-06 07:37:46", "", "172", "http://ru-law.co.il/wp-content/uploads/2012/08/banner3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("178", "1", "2012-08-06 11:44:38", "2012-08-06 08:44:38", " ", "", "", "publish", "open", "open", "", "178", "", "", "2012-08-06 11:44:38", "2012-08-06 08:44:38", "", "13", "http://ru-law.co.il/?p=178", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("179", "1", "2012-08-06 11:44:38", "2012-08-06 08:44:38", " ", "", "", "publish", "open", "open", "", "179", "", "", "2012-08-06 11:44:38", "2012-08-06 08:44:38", "", "13", "http://ru-law.co.il/?p=179", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("180", "1", "2012-08-06 11:44:38", "2012-08-06 08:44:38", "", "מקרקעין ונדל\"ן", "", "publish", "open", "open", "", "%d7%9e%d7%a7%d7%a8%d7%a7%d7%a2%d7%99%d7%9f-%d7%95%d7%a0%d7%93%d7%9c%d7%9f", "", "", "2012-08-06 11:44:38", "2012-08-06 08:44:38", "", "13", "http://ru-law.co.il/?p=180", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("181", "1", "2012-08-06 11:44:38", "2012-08-06 08:44:38", " ", "", "", "publish", "open", "open", "", "181", "", "", "2012-08-06 11:44:38", "2012-08-06 08:44:38", "", "13", "http://ru-law.co.il/?p=181", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("228", "1", "2012-10-05 16:58:22", "2012-10-05 14:58:22", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר ארנונה</span></strong></h1>\r\n<h3 style=\"text-align: center;\"><strong>(לעסקים המשלמים ארנונה בסכום של 5,000 ש\"ח לחודש ומעלה)</strong></h3>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: \'Times New Roman\';\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"rtl\" align=\"justify\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\">משרד עורכי הדין פ. רובינשטיין ושות\'</span></span> הינו משרד בוטיק מהמובילים בארץ, המתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר ארנונה רטרואקטיבי</span></strong> (החזר של תשלומי ארנונה ששולמו ביתר)<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו בעיקר על בסיס הצלחה</span></strong><span style=\"font-family: Times New Roman;\">.</span><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> </span><span style=\"color: #ff0000;\">ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246250</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין ואנו נחזור אליך בהקדם</span></strong></p>", "הפחתת ארנונה לעסקים", "", "publish", "open", "open", "", "%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94-%d7%9c%d7%a2%d7%a1%d7%a7%d7%99%d7%9d", "", "", "2014-05-11 16:16:47", "2014-05-11 13:16:47", "", "0", "http://ru-law.co.il/?p=228", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("450", "1", "2014-05-11 16:16:47", "2014-05-11 13:16:47", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר ארנונה</span></strong></h1>\r\n<h3 style=\"text-align: center;\"><strong>(לעסקים המשלמים ארנונה בסכום של 5,000 ש\"ח לחודש ומעלה)</strong></h3>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: \'Times New Roman\';\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"rtl\" align=\"justify\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\">משרד עורכי הדין פ. רובינשטיין ושות\'</span></span> הינו משרד בוטיק מהמובילים בארץ, המתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר ארנונה רטרואקטיבי</span></strong> (החזר של תשלומי ארנונה ששולמו ביתר)<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו בעיקר על בסיס הצלחה</span></strong><span style=\"font-family: Times New Roman;\">.</span><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> </span><span style=\"color: #ff0000;\">ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246250</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין ואנו נחזור אליך בהקדם</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "closed", "open", "", "228-revision-v1", "", "", "2014-05-11 16:16:47", "2014-05-11 13:16:47", "", "228", "http://ru-law.co.il/228-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("196", "1", "2012-09-20 12:41:25", "2012-09-20 09:41:25", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<p style=\"text-align: center;\"><em><strong>למשרדנו נסיון עשיר ורב בפירוק חברות ובעבודה מול רשם החברות והגורמים השונים</strong></em></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי מלא של הליך פירוק החברה / סגירת החברה ברשם החברות עד לסיום ההליך.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>", "פירוק חברה - סגירת חברה", "", "publish", "open", "open", "", "%d7%9e%d7%91%d7%a6%d7%a2-%d7%a4%d7%99%d7%a8%d7%95%d7%a7-%d7%97%d7%91%d7%a8%d7%94-%d7%9e%d7%a8%d7%a6%d7%95%d7%9f-%d7%a1%d7%92%d7%99%d7%a8%d7%aa-%d7%97%d7%91%d7%a8%d7%94-%d7%9c%d7%90-%d7%a4%d7%a2", "", "", "2013-11-13 13:54:27", "2013-11-13 11:54:27", "", "0", "http://ru-law.co.il/?p=196", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("428", "1", "2013-11-13 13:47:21", "2013-11-13 11:47:21", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<p style=\"text-align: center;\"><em><strong>למשרדנו נסיון עשיר ורב בפירוק חברות ובעבודה מול רשם החברות והגורמים השונים</strong></em></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי מלא של הליך פירוק החברה / סגירת החברה ברשם החברות עד לסיום ההליך.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-38", "", "", "2013-11-13 13:47:21", "2013-11-13 11:47:21", "", "196", "http://ru-law.co.il/196-revision-38/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("396", "1", "2013-06-11 09:41:16", "2013-06-11 06:41:16", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מחיר מיוחד שאסור לפרסם*</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מחיר מיוחד לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי מלא של הליך פירוק החברה / סגירת החברה ברשם החברות עד לסיום ההליך.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-33", "", "", "2013-06-11 09:41:16", "2013-06-11 06:41:16", "", "196", "http://ru-law.co.il/196-revision-33/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("380", "1", "2013-06-05 19:38:38", "2013-06-05 16:38:38", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה - במחיר מיוחד</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מחיר שאסור לפרסם*</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>הנחה לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> אל תפספס/י את המחיר המיוחד- פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">אל תפספס/י את המחיר המיוחד - פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">אל תפספס/י את המחיר המיוחד- פנה/י עכשיו בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-30", "", "", "2013-06-05 19:38:38", "2013-06-05 16:38:38", "", "196", "http://ru-law.co.il/196-revision-30/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("300", "1", "2012-10-10 11:42:12", "2012-10-10 09:42:12", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברה מרצון (סגירת חברה מרצון) וביטול חוב אגרות לרשם החברות במחיר מוזל ל- 20 לקוחות נוספים הפונים אלינו דרך האתר (<em><strong>במהלך חודש אוקטובר 2012 בלבד</strong></em>):</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">444 $ כולל מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. כולל אגרות.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-17", "", "", "2012-10-10 11:42:12", "2012-10-10 09:42:12", "", "196", "http://ru-law.co.il/196-revision-17/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("295", "1", "2012-10-06 12:39:52", "2012-10-06 10:39:52", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברה מרצון (סגירת חברה מרצון) וביטול חוב אגרות לרשם החברות במחיר מוזל ל- 20 לקוחות נוספים הפונים אלינו דרך האתר (<em><strong>במהלך חודש אוקטובר 2012 בלבד</strong></em>):</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">444 $ כולל מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">\r\nלפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\">\r\nשירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: center;\"></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-15", "", "", "2012-10-06 12:39:52", "2012-10-06 10:39:52", "", "196", "http://ru-law.co.il/196-revision-15/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("264", "1", "2012-10-06 12:33:14", "2012-10-06 10:33:14", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברה מרצון (סגירת חברה מרצון) וביטול חוב אגרות לרשם החברות במחיר מוזל ל- 20 לקוחות נוספים הפונים אלינו דרך האתר (<em><strong>במהלך חודש אוקטובר 2012 בלבד</strong></em>):</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">444 $ כולל מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: center;\"></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-14", "", "", "2012-10-06 12:33:14", "2012-10-06 10:33:14", "", "196", "http://ru-law.co.il/196-revision-14/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("198", "1", "2012-09-20 12:16:19", "2012-09-20 09:16:19", "לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:\n<p style=\"text-align: center;\"><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה) וביטול חוב אגרות לרשם החברות</span></p>\n\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\nב- 6 החודשים האחרונים פירקנו יותר מ- 200 חברות וביטלנו אגרות בסכום כולל של כ- 1,415,200 ש\"ח\n\nשירות פירוק חברה / סגירת חברה לא פעילה כולל:\n\n• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).\n\n• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.\n\n• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.\n\n&nbsp;\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\n&nbsp;\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\n <strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong>\n\nכיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.\n\n<strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong>\n\nבהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).\n\n<strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong>\n\nלא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.\n\n<strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong>\n\nבדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.\n\n<strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong>\n\nניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.\n\n<strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong>\n\nהחוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה מרצון - סגירת חברה לא פעילה", "", "inherit", "open", "open", "", "196-revision", "", "", "2012-09-20 12:16:19", "2012-09-20 09:16:19", "", "196", "http://ru-law.co.il/196-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("199", "1", "2012-09-20 12:17:19", "2012-09-20 09:17:19", "לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:\n<h3 style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה) וביטול חוב אגרות לרשם החברות</span></strong></h3>\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\nב- 6 החודשים האחרונים פירקנו יותר מ- 200 חברות וביטלנו אגרות בסכום כולל של כ- 1,415,200 ש\"ח\n\nשירות פירוק חברה / סגירת חברה לא פעילה כולל:\n\n• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).\n\n• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.\n\n• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.\n\n&nbsp;\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\n&nbsp;\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\n <strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong>\n\nכיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.\n\n<strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong>\n\nבהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).\n\n<strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong>\n\nלא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.\n\n<strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong>\n\nבדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.\n\n<strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong>\n\nניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.\n\n<strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong>\n\nהחוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה מרצון - סגירת חברה לא פעילה", "", "inherit", "open", "open", "", "196-revision-2", "", "", "2012-09-20 12:17:19", "2012-09-20 09:17:19", "", "196", "http://ru-law.co.il/196-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("200", "1", "2012-09-20 12:21:51", "2012-09-20 09:21:51", "לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:\r\n<h3 style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה) וביטול חוב אגרות לרשם החברות</span></strong></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: right;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n <strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong>\r\n\r\nכיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.\r\n\r\n<strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong>\r\n\r\nבהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).\r\n\r\n<strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong>\r\n\r\nלא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.\r\n\r\n<strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong>\r\n\r\nבדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.\r\n\r\n<strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong>\r\n\r\nניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.\r\n\r\n<strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong>\r\n\r\nהחוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה מרצון - סגירת חברה לא פעילה", "", "inherit", "open", "open", "", "196-revision-3", "", "", "2012-09-20 12:21:51", "2012-09-20 09:21:51", "", "196", "http://ru-law.co.il/196-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("201", "1", "2012-09-20 12:33:23", "2012-09-20 09:33:23", "לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:\r\n<h3 style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה) וביטול חוב אגרות לרשם החברות</span></strong></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: right;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n <strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong>\r\n\r\nכיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.\r\n\r\n<strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong>\r\n\r\nבהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).\r\n\r\n<strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong>\r\n\r\nלא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.\r\n\r\n<strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong>\r\n\r\nבדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.\r\n\r\n<strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong>\r\n\r\nניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.\r\n\r\n<strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong>\r\n\r\nהחוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה מרצון - סגירת חברה לא פעילה", "", "inherit", "open", "open", "", "196-revision-4", "", "", "2012-09-20 12:33:23", "2012-09-20 09:33:23", "", "196", "http://ru-law.co.il/196-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("202", "1", "2012-09-20 12:33:51", "2012-09-20 09:33:51", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה) וביטול חוב אגרות לרשם החברות</span></strong></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: right;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n <strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong>\r\n\r\nכיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.\r\n\r\n<strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong>\r\n\r\nבהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).\r\n\r\n<strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong>\r\n\r\nלא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.\r\n\r\n<strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong>\r\n\r\nבדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.\r\n\r\n<strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong>\r\n\r\nניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.\r\n\r\n<strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong>\r\n\r\nהחוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה מרצון - סגירת חברה לא פעילה", "", "inherit", "open", "open", "", "196-revision-5", "", "", "2012-09-20 12:33:51", "2012-09-20 09:33:51", "", "196", "http://ru-law.co.il/196-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("203", "1", "2012-09-20 12:36:20", "2012-09-20 09:36:20", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: right;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n <strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong>\r\n\r\nכיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.\r\n\r\n<strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong>\r\n\r\nבהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).\r\n\r\n<strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong>\r\n\r\nלא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.\r\n\r\n<strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong>\r\n\r\nבדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.\r\n\r\n<strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong>\r\n\r\nניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.\r\n\r\n<strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong>\r\n\r\nהחוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה מרצון - סגירת חברה לא פעילה", "", "inherit", "open", "open", "", "196-revision-6", "", "", "2012-09-20 12:36:20", "2012-09-20 09:36:20", "", "196", "http://ru-law.co.il/196-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("204", "1", "2012-09-20 12:37:03", "2012-09-20 09:37:03", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: right;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n <strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong>\r\n\r\nכיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.\r\n\r\n<strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong>\r\n\r\nבהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).\r\n\r\n<strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong>\r\n\r\nלא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.\r\n\r\n<strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong>\r\n\r\nבדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.\r\n\r\n<strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong>\r\n\r\nניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.\r\n\r\n<strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong>\r\n\r\nהחוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה מרצון - סגירת חברה לא פעילה", "", "inherit", "open", "open", "", "196-revision-7", "", "", "2012-09-20 12:37:03", "2012-09-20 09:37:03", "", "196", "http://ru-law.co.il/196-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("205", "1", "2012-09-20 12:39:11", "2012-09-20 09:39:11", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה מרצון - סגירת חברה לא פעילה", "", "inherit", "open", "open", "", "196-revision-8", "", "", "2012-09-20 12:39:11", "2012-09-20 09:39:11", "", "196", "http://ru-law.co.il/196-revision-8/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("206", "1", "2012-09-20 12:39:50", "2012-09-20 09:39:50", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה מרצון - סגירת חברה לא פעילה", "", "inherit", "open", "open", "", "196-revision-9", "", "", "2012-09-20 12:39:50", "2012-09-20 09:39:50", "", "196", "http://ru-law.co.il/196-revision-9/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("207", "1", "2012-09-20 12:41:02", "2012-09-20 09:41:02", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong> </p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה מרצון - סגירת חברה לא פעילה", "", "inherit", "open", "open", "", "196-revision-10", "", "", "2012-09-20 12:41:02", "2012-09-20 09:41:02", "", "196", "http://ru-law.co.il/196-revision-10/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("208", "1", "2013-11-13 13:54:44", "2013-11-13 11:54:44", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<p style=\"text-align: center;\"><em><strong>למשרדנו נסיון עשיר ורב בפירוק חברות ובעבודה מול רשם החברות והגורמים השונים</strong></em></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי מלא של הליך פירוק החברה / סגירת החברה ברשם החברות עד לסיום ההליך.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>", "פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-autosave", "", "", "2013-11-13 13:54:44", "2013-11-13 11:54:44", "", "196", "http://ru-law.co.il/196-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("427", "1", "2013-07-30 15:55:17", "2013-07-30 12:55:17", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>במחיר מיוחד לזמן מוגבל !</strong></span></h2>\r\n<p style=\"text-align: center;\"><em><strong>למשרדנו נסיון עשיר ורב בפירוק חברות ובעבודה מול רשם החברות והגורמים השונים</strong></em></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי מלא של הליך פירוק החברה / סגירת החברה ברשם החברות עד לסיום ההליך.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-37", "", "", "2013-07-30 15:55:17", "2013-07-30 12:55:17", "", "196", "http://ru-law.co.il/196-revision-37/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("394", "1", "2013-06-05 19:39:59", "2013-06-05 16:39:59", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה - במחיר מיוחד</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מחיר שאסור לפרסם*</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>הנחה לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> אל תפספס/י את המחיר המיוחד- פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">אל תפספס/י את המחיר המיוחד - פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">אל תפספס/י את המחיר המיוחד- פנה/י עכשיו בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-31", "", "", "2013-06-05 19:39:59", "2013-06-05 16:39:59", "", "196", "http://ru-law.co.il/196-revision-31/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("379", "1", "2013-06-05 19:36:23", "2013-06-05 16:36:23", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה - במחיר מיוחד</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>$444 כולל מע\"מ*</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 12px;\">* (כולל מע\"מ. לא כולל אגרות בסך של 124 עד 248 ש\"ח. לפי שער של 4 ש\"ח לדולר)</span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>הנחה לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> אל תפספס/י את המחיר המוזל - פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">אל תפספס/י את המחיר המוזל - פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">אל תפספס/י את המחיר המוזל - פנה/י עכשיו בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-29", "", "", "2013-06-05 19:36:23", "2013-06-05 16:36:23", "", "196", "http://ru-law.co.il/196-revision-29/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("364", "1", "2013-03-04 11:03:40", "2013-03-04 09:03:40", "<p style=\"text-align: justify;\"></p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מיוחד</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">מחיר שאסור לפרסם</span></strong></h2>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>הנחה לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-23", "", "", "2013-03-04 11:03:40", "2013-03-04 09:03:40", "", "196", "http://ru-law.co.il/196-revision-23/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("363", "1", "2013-02-23 21:32:50", "2013-02-23 19:32:50", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברה מרצון (סגירת חברה מרצון) וביטול חוב אגרות לרשם החברות במחיר מוזל ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">מחיר מיוחד שאסור לפרסם</span></strong></h2>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-22", "", "", "2013-02-23 21:32:50", "2013-02-23 19:32:50", "", "196", "http://ru-law.co.il/196-revision-22/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("263", "1", "2012-10-03 14:48:00", "2012-10-03 12:48:00", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong> </p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong> </p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-13", "", "", "2012-10-03 14:48:00", "2012-10-03 12:48:00", "", "196", "http://ru-law.co.il/196-revision-13/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("209", "1", "2012-09-20 12:41:25", "2012-09-20 09:41:25", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong> </p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה מרצון - סגירת חברה לא פעילה", "", "inherit", "open", "open", "", "196-revision-11", "", "", "2012-09-20 12:41:25", "2012-09-20 09:41:25", "", "196", "http://ru-law.co.il/196-revision-11/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("211", "1", "2012-07-25 16:52:47", "2012-07-25 13:52:47", "<strong>משרד עורכי דין פ. רובינשטיין ושות\' מספק שירותים משפטיים בתחום האזרחי-מסחרי.</strong>\r\n\r\nאנו מציעים שירות איכותי המבוסס על מספר עקרונות:\r\n\r\n<strong>מחויבות לכל אורך הדרך</strong> – אנו מחויבים למטרות הלקוח ומספקים שירות המבוסס על ניסיון רב, הבנה מעמיקה, ואכפתיות.\r\n\r\n<strong>קשר אישי</strong> - אצלנו הלקוח אינו \"תיק\" או \"סוגיה משפטית\" אלא קודם כל אדם שזקוק לעזרה משפטית. גישה זו מנחה אותנו לכל אורך הדרך בקשרי לקוחות.\r\n\r\n<strong>מומחיות ומיומנות</strong> - מייסד המשרד והעומד בראשו, עו\"ד פיני רובינשטיין, הוא משפטן בעל ותק מקצועי וניסיון רב ממנו נהנים הצוות המקצועי וכלל הלקוחות.\r\n\r\n<strong>פתרונות יצירתיים</strong> – אנו גאים לספק ללקוחותינו גישה מעמיקה, ניתוח משפטי, יוזמה, ויישום עדכני של דינים, תיקוני חוק ותקנות חדשים.\r\n\r\n&nbsp;\r\n\r\nהודות לשירות לקוחות ללא פשרות, נהנה המשרד מבסיס לקוחות מגוון הכולל: גופים ציבוריים, חברות מסחריות, ולקוחות פרטיים.\r\n\r\n&nbsp;\r\n<h2>פתרונות משפטיים</h2>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\' הוא \"משרד בוטיק\"</strong>\r\n\r\n<strong>המספק ייעוץ, ליווי, וייצוג, בתחומים הבאים:</strong>\r\n\r\n&nbsp;\r\n\r\n<strong>משפט מסחרי</strong>\r\n\r\nהחוק מחייב חברות לטפל בהיבט המשפטי של הישות העסקית ברמה כמעט יומיומית. אנו מספקים שירותים משפטיים למגוון חברות מסקטורים שונים של המשק, ובכך מסייעים להן למנף את עסקיהן.\r\n\r\nתחום זה ידוע כתחום דינאמי הכולל התמחויות רבות, לרבות:\r\n\r\n*ייעוץ משפטי מסחרי.\r\n\r\n*עריכת חוזים.\r\n\r\n*תכנון עסקאות.\r\n\r\n*הסכמי מייסדים ויזמות.\r\n\r\n*מכירה ורכישה של חברות.\r\n\r\n*טיפול משפטי בסכסוכים מסחריים בין חברות.\r\n\r\n*פתרון סכסוכים בין בעלי מניות.\r\n\r\n*פירוק חברה מרצון (או שלא מרצון).\r\n\r\n*טיפול בכל הנושאים המשפטיים שהם חלק מהתנהלותן השוטפת של חברות (על בסיס ריטיינר חודשי או על בסיס הסכם התקשרות אחר) ועוד.\r\n\r\n&nbsp;\r\n\r\n<strong>מקרקעין ונדל\"ן</strong>\r\n\r\nכמעט כל אחד מאתנו נזקק במהלך חייו לעורך דין המתמחה בדיני מקרקעין. תחום זה כולל:\r\n\r\n*רכישת דירה ונכסים פרטיים או מסחריים אחרים.\r\n\r\n*מכירת דירה ונכסים פרטיים או מסחריים אחרים.\r\n\r\n*קניית מגרש לבנייה.\r\n\r\n*עסקאות מכר במושבים ובהרחבות.\r\n\r\n*עסקאות קומבינציה.\r\n\r\n*יעוץ וסיוע משפטי בענייני תכנון ובנייה.\r\n\r\n*טיפול בענייני הפקעות מקרקעין.\r\n\r\n*תביעות בגין ירידת ערך בגין פגיעת תוכנית.\r\n\r\n*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.\r\n\r\n&nbsp;\r\n\r\nאלו רק חלק מהפעולות שכדאי ורצוי לעשות בעזרת עורך דין המתמחה במקרקעין ונדל\"ן.\r\n\r\nאל תוותר על הייעוץ המקצועי ביותר שיחסוך לך כספים ועוגמת נפש.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n<strong>מיסוי מקרקעין</strong>\r\n\r\nעסקאות מקרקעין כוללות הוצאות גבוהות נוספות (מעבר לעלות הנכס עצמו) בגין מיסים שונים:\r\n\r\n*מס רכישה.\r\n\r\n*מס שבח.\r\n\r\n*מע\"מ (במקרים מסוימים).\r\n\r\n*היטל השבחה (במקרים מסוימים) ועוד.\r\n\r\nביצוע עסקאות בעלות כה גבוהה דורשת ליווי מקצועי שיחסוך לך כסף רב בהווה ובעתיד.\r\n\r\n&nbsp;\r\n\r\n<strong>הפחתת ארנונה</strong>\r\n\r\nבמקרים רבים (מידי) עסקים וארגונים משלמים ארנונה גבוהה מידי!\r\n\r\nמשרדנו עורך בדיקה ומטפל במקרים שבהם מתגלה עודף גביה.\r\n\r\nאנו נסייע לך לתבוע את ההחזרים המגיעים לך במקרים שיימצאו חיובי יתר.\r\n\r\nעסקים רבים כבר נהנו מהפחתת החיובים השוטפים, ומהחזרים כספיים משמעותיים.\r\n\r\nבנוסף, אנו מספקים שירות משפטי במקרים הבאים:\r\n\r\nייצוג בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה.\r\n\r\nייצוג בתביעות בעלי נכסים כנגד הליכי גבייה מנהליים שהתיישנו.\r\n\r\nייצוג בתביעות בעלי נכסים כנגד הליכי גבייה אישית (של חובות ארנונה של חברה מבעלי המניות בחברה).\r\n\r\n&nbsp;\r\n\r\n<strong>טיפול משפטי בליקויי בניה</strong>\r\n\r\nלמרבה הצער, דיירים רבים נזקקים לייצוג וליווי משפטי בתביעות ליקויי בנייה נגד קבלני בניין, בגין כשלים בבניה. אל תתפשר - בעזרת טיפול משפטי הולם תוכל לאכוף את התחייבויות הקבלן כלפיך, וליהנות מנכס שעומד בסטנדרטים ובתקנים הנדרשים!\r\n\r\n&nbsp;\r\n\r\n<strong>אם יש לך בעיה משפטית - צור קשר!</strong>\r\n\r\nאנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:\r\n\r\nז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.\r\n\r\n&nbsp;\r\n\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong>", "אודותינו", "", "inherit", "open", "open", "", "94-revision-8", "", "", "2012-07-25 16:52:47", "2012-07-25 13:52:47", "", "94", "http://ru-law.co.il/94-revision-8/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("212", "1", "2012-07-26 08:39:51", "2012-07-26 05:39:51", "<strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n\r\n&nbsp;\r\n\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong>\r\n\r\n&nbsp;\r\n\r\n<strong>משפט מסחרי</strong>\r\n\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.\r\n\r\n&nbsp;\r\n\r\n<strong>מקרקעין ונדל\"ן</strong>\r\n\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\n\r\nהשקע את כספך בחוכמה.\r\n\r\n&nbsp;\r\n\r\n<strong>מיסוי מקרקעין</strong>\r\n\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\n\r\nליווי משפטי מקצועי יחסוך לך כסף רב.\r\n\r\n&nbsp;\r\n\r\n<strong>הפחתת ארנונה</strong>\r\n\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).\r\n\r\n&nbsp;\r\n\r\n<strong>טיפול משפטי בליקויי בנייה</strong>\r\n\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\n\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\n\r\nאל תוותר על זכויותיך!\r\n\r\n&nbsp;\r\n\r\n<strong>במשרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n\r\n<strong>בעיות משפטיות - הופכות לפתרונות מקצועיים.</strong>\r\n\r\nאנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:\r\n\r\nז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.\r\n\r\n<strong>לתיאום פגישה, התקשר עכשיו:</strong> <strong>03-6246248</strong>\r\n\r\n&nbsp;", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-7", "", "", "2012-07-26 08:39:51", "2012-07-26 05:39:51", "", "2", "http://ru-law.co.il/2-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("213", "1", "2012-07-25 20:50:21", "2012-07-25 17:50:21", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong>\r\n\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\n\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\n\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n\r\n&nbsp;\r\n\r\n<strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\n\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\n\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\n\r\n&nbsp;\r\n\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\n\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\n\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n\r\n&nbsp;\r\n\r\nהמומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\n\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, שלח אלינו חשבון אחרון,\r\n\r\nלפקס: 03-6246247, ואנו נחזור אליך בהקדם.", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-07-25 20:50:21", "2012-07-25 17:50:21", "", "96", "http://ru-law.co.il/96-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("214", "1", "2012-09-20 17:08:50", "2012-09-20 14:08:50", "<p style=\"text-align: justify;\"><strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.</p>\r\n<p style=\"text-align: justify;\">ההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).</p>\r\n<p style=\"text-align: justify;\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong></p>\r\n<p style=\"text-align: justify;\">בעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.</p>\r\n<p style=\"text-align: justify;\">כמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">השירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –</p>\r\n<p style=\"text-align: justify;\">החל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.</p>\r\n<p style=\"text-align: justify;\">אין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.</p>\r\n<p style=\"text-align: justify;\"><strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong></p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<strong>לצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, שלח אלינו חשבון אחרון,            </strong><strong>לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, ואנו נחזור אליך בהקדם.</strong>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-09-20 17:08:50", "2012-09-20 14:08:50", "", "96", "http://ru-law.co.il/96-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("215", "1", "2012-07-25 20:52:28", "2012-07-25 17:52:28", "<strong>רכישת דירה הינה העסקה הכלכלית המשמעותית ביותר לרוב האנשים. </strong>\r\n<strong>לכן כאשר מתגלים ליקויי בנייה נגרם לרוכשים נזק כלכלי עצום, ועוגמת נפש רבה.</strong>\r\nמשרדנו מנוסה בייצוג וליווי משפטי של דיירים בתביעות ליקויי בניה נגד קבלני בנין בגין כשלים בבניה.\r\nדוגמאות לליקויי בניה נפוצים:\r\n*חוסר התאמה במידות של חלקי המבנה.\r\n*רטיבות או נזילות.\r\n*סדקים שנפערו בקירות או ברצפה.\r\n*קילופי טיח ועוד.\r\n\r\n<strong>החוק פועל לטובתך!</strong>\r\nבמשך השנים גברה המודעות הציבורית לתחום זה וגם החקיקה עודכנה - והיא פועלת לטובתך.\r\nמגיע לך פיצוי על  איחור במסירת חזקה בדירה, על עגמת נפש המתלווה לליקוים, הפסד ימי עבודה, הוצאות בגין דיור חלופי או בגין חוות דעת של מומחים, אי-רישום דירה בטאבו (על ידי הקבלן), רשלנות ועוד.\r\n\r\n<strong>דרוש מהקבלן לקחת אחריות למחדלים!</strong>\r\nבהתאם להוראות חוק המכר (דירות), אחריותו של הקבלן מוגבלת לתקופה שבין שנה עד ל-7 שנים.\r\nבנוסף, קובע החוק כי לפני הגשת תביעה משפטית לפיצוי כספי, יש לפנות לקבלן ולתת הזדמנות נאותה לתקן ליקויים.\r\n\r\nשווה להיעזר בשירותי עורך דין מומחה שיפנה לקבלן במכתב דרישה לתיקון הליקויים, בסמוך למועד היווצרות ליקויי הבניה וגילויים. כשמדובר בליקויי בניה משמעותיים שאינם בגדר \"ליקויי בניה אסתטיים\" יש מספר פעולות שעליך לבצע כדי להוכיח את טענותיך ולדרוש שהצדק יעשה.\r\nאנו ערוכים לסייע לך עם המידע מקצועי שיעזור לך לזכות במה שמגיע לך על פי חוק.\r\n\r\nשירות משפטי מקצועי  נותן לך מענה יקר ערך!\r\n<strong>משרדנו יסייע לך לקבל נכס שעומד בתקנות הבנייה, ואשר מעניק לך תמורה הולמת לכספך!</strong>", "ליקויי בנייה", "", "inherit", "open", "open", "", "98-revision-3", "", "", "2012-07-25 20:52:28", "2012-07-25 17:52:28", "", "98", "http://ru-law.co.il/98-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("216", "1", "2012-07-25 20:47:25", "2012-07-25 17:47:25", "<strong>מיסוי מקרקעין בישראל הוא בין הגבוהים בעולם!</strong>\r\n\r\nעלות המקרקעין אינה מסתכמת במחיר הנכס, כפי שנקבע בתנאי העסקה, אלא כוללת הוצאות גבוהות נוספות בגין מיסים שונים: <a href=\"http://www.msadv.co.il/page_bot.asp?page_parent=376&amp;site_lan=he\" target=\"_blank\">מס רכישה</a>, <a href=\"http://www.msadv.co.il/page_bot.asp?page_parent=394&amp;site_lan=he\" target=\"_blank\">מס שבח</a>, היטל השבחה (במקרים מסוימים) ומע\"מ.\r\n\r\nמערכת המיסוי בתחום זה מוסדרת ב<a href=\"http://www.msadv.co.il/page_bot.asp?site_lan=he&amp;page_parent=436\" target=\"_blank\">חוק מיסוי מקרקעין (שבח ורכישה), תשכ\"ג-1963</a>.\r\n\r\nחוק זה מגדיר את המונחים \"מכר מקרקעין\" ו\"זכות במקרקעין\" בצורה רחבה, וזאת כדי לאפשר למערכת להטיל מס על כמה שיותר עסקאות. זכות במקרקעין כוללת:\r\n\r\n*בעלות.\r\n\r\n*חכירה לדורות (חכירה לתקופה הארוכה מ- 25 שנה).\r\n\r\n*זכות בתאגיד אשר מלוא נכסיו הינם נכסי מקרקעין.\r\n\r\n*זכות לקבל מקרקעין בעתיד.\r\n\r\n*הרשאה לשימוש במקרקעין השייכים למדינה.\r\n\r\n&nbsp;\r\n\r\nיחד עם זאת, דיני המס בעסקאות מקרקעין מקנים בתנאים מסוימים הנחות ופטורים הן למוכר והן לרוכש. כך למשל, במספר מקרים חריגים העברת זכות במקרקעין לא תחשב כמכירה: הפקעת מקרקעין ללא תמורה, חלוקת עיזבון ליורשים, או העברת בעלות שנעשית על פי פסק דין בהליך גירושין.\r\n\r\n&nbsp;\r\n\r\n<strong>סוף מעשה במחשבה תחילה!</strong>\r\n\r\nלכן עוד בטרם ביצוע העסקה עליך לפנות לעורך דין הבקיא בנישה המשפטית של מיסי מקרקעין על מנת לערוך תכנון מס מתאים. תכנון נכון יחסוך לך הרבה כסף!", "מיסוי מקרקעין", "", "inherit", "open", "open", "", "100-revision-3", "", "", "2012-07-25 20:47:25", "2012-07-25 17:47:25", "", "100", "http://ru-law.co.il/100-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("217", "1", "2012-07-25 20:40:49", "2012-07-25 17:40:49", "<strong>שירות משפטי מקצועי נותן לך שקט נפשי.</strong>\r\n\r\n<strong>כך תוכל לנהל עסקאות באופן יעיל ובטוח.</strong>\r\n\r\nלמשרדנו ניסיון רב בליווי לקוחות עסקיים ופרטיים במגוון רחב של עסקאות מקרקעין ונדל\"ן:\r\n\r\n*רכישה ומכירה.\r\n\r\n*הסכמי ליווי בנקאיים.\r\n\r\n*קבוצות רכישה.\r\n\r\n*רישומים בלשכת רישום המקרקעין.\r\n\r\n*רישום פרצלציה.\r\n\r\n*איחוד וחלוקה.\r\n\r\nבית משותף.\r\n\r\n*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.\r\n\r\n*עסקאות תמ\"א 38 והתחדשות עירונית.\r\n\r\n*עסקאות מכר במושבים ובהרחבות.\r\n\r\n*עסקאות קומבינציה.\r\n\r\n*יעוץ וסיוע משפטי בענייני תכנון ובנייה.\r\n\r\nטיפול בענייני הפקעות מקרקעין.\r\n\r\n*תביעות בגין ירידת ערך בגין פגיעת תוכנית.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\nכעורכי דין מתפקידנו לתרום מהידע המקצועי שלנו לכל אורך הדרך, בכל שלבי העסקה:\r\n\r\n*בדיקת היבטי המיסוי וכדאיות עתידית.\r\n\r\n*תכנון מס לתשלום מינימאלי, ובמקרים מסוימים אף לקבלת פטור.\r\n\r\n*ליווי במשא ומתן והדרכה של הרוכשים מול קבלנים, לרבות: בדיקה מקיפה של תנאי החוזה ושמירה על זכויות הרוכשים, בדיקת בטחונות ועוד.\r\n\r\n*יעוץ בכל הקשור לנוסח החוזה עד למעמד חתימת החוזה, כולל: בדיקת הזכויות של הנכס (בטאבו, במינהל מקרקעי ישראל ובחברה משכנת), בדיקת עיקולים, משכנתאות, שעבודים, צווי הריסה וכו\'.\r\n\r\n*ובשלב אחרון, רישום הזכויות בפנקסי המקרקעין.\r\n\r\n&nbsp;", "מקרקעין ונדל\"ן", "", "inherit", "open", "open", "", "102-revision-3", "", "", "2012-07-25 20:40:49", "2012-07-25 17:40:49", "", "102", "http://ru-law.co.il/102-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("218", "1", "2012-07-25 20:35:57", "2012-07-25 17:35:57", "שירות בהתאמה אישית מעניק ללקוח העסקי פתרונות משפטיים נכונים למינוף עסקיו.\r\n\r\n\"משפט מסחרי\" הוא מונח שמתאר תחום דינאמי ורבגוני.\r\n\r\nבמשרד פ. רובינשטיין אנו מעניקים ייעוץ משפטי שוטף הקשור בפעילותן המסחרית והיומיומית של חברות. אנו מקדישים את הזמן הדרוש כדי להעריך ולהבין את צרכי הנהלת החברה, עסקיה, ואת הסביבה העסקית שבה היא פועלת.\r\n\r\nהתוצאה של תהליך עבודה זה היא שירות משפטי שמותאם לצרכיו הספציפיים של כל לקוח. שירות זה כולל ייעוץ משפטי בתחומים הבאים:\r\n\r\n*ניסוח וניהול משא ומתן בנוגע להסכמים מסחריים שונים, לרבות הסכמי רישוי, פיתוח, זיכיונות, מיזמים משותפים, הסכמים למיקור חוץ, הסכמי עבודה, הסכמי מכר ורכש, ועוד.\r\n\r\n*מבנה וצורת התאגדות.\r\n\r\n*נושאים רגולטורים וליווי הלקוח מול גופים ממשלתיים.\r\n\r\nמשא ומתן לגבי פרויקטים ועסקאות של מכירת מניות או נכסים, מיזוגים וארגון מחדש, לרבות ביצוע, או הכנת החברה לבדיקת נאותות.\r\n\r\n*ליווי משפטי ללקוחות בכל הקשור לדיני תאגידים, מסמכי חברה, דיווחים והגשות לרשם החברות.\r\n\r\n*פתרונות משפטיים בנוגע לסכסוכים בין חברות, סכסוכים בין בעלי מניות או מחלוקות עסקיות אחרות.\r\n\r\n*הליכים לפירוק חברה מרצון (ושלא מרצון), כולל: עריכת תצהירים ודיווחים לרשם החברות, הגשת בקשות, והפסקת חיובי אגרות וקנסות שלא לצורך.\r\n\r\n*ייצוג הלקוח בבית המשפט (ליטיגציה), בערכאות ובוררויות שונות בתחומי המשפט המסחרי-אזרחי.\r\n\r\n&nbsp;\r\n\r\nיש לנו ניסיון רב בייעוץ וליווי משפטי לסקטורים מגוונים.\r\n\r\nאנו מספקים את הצרכים המשפטיים השוטפים, העסקיים, והאסטרטגיים של חברות רבות.", "משפט מסחרי", "", "inherit", "open", "open", "", "104-revision-3", "", "", "2012-07-25 20:35:57", "2012-07-25 17:35:57", "", "104", "http://ru-law.co.il/104-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("219", "1", "2012-07-18 12:08:36", "2012-07-18 09:08:36", "&nbsp;\r\n<h2>אתרים ממשלתיים</h2>\r\n&gt;<a href=\"http://ozar.mof.gov.il/taxes/\"> רשות המיסים (מס הכנסה, מע\"מ, מכס)</a>\r\n\r\n&gt; <a href=\"http://www.court.gov.il/heb/home.htm\">הרשות השופטת</a>\r\n\r\n&gt; <a href=\"http://elyon1.court.gov.il/heb/avoda/AvodaHomePage.htm\">בתי הדין לעבודה</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/mojheb/rasuthataagidim\">רשם החברות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/Maskonot/\">רשם המשכונות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/ApotroposKlali/KonesRishmi\">הכונס הרשמי</a>\r\n<h2>מחשבונים</h2>\r\n&gt; <a href=\"https://www.misim.gov.il/svtsvazmit/\">מחשבון מס שבח</a>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/simulator_mekarkein/\">מחשבון מס רכישה</a>\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n<strong>\r\n</strong>", "קישורים", "", "inherit", "open", "open", "", "88-revision-v1", "", "", "2012-07-18 12:08:36", "2012-07-18 09:08:36", "", "88", "http://ru-law.co.il/88-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("220", "1", "2012-07-18 11:38:15", "2012-07-18 08:38:15", "כ\"ה סיון תשס\"ט\r\n\r\n‏17 יוני 2009\r\n\r\nמש- 04427109\r\n<h1>הוראת ביצוע מיסוי מקרקעין 8/2009</h1>\r\n<h1>הנדון: \"דמי מפתח\" - התרתם בניכוי בחישוב השבח</h1>\r\n<h2>1. כללי</h2>\r\nא. הוראת ביצוע זו עניינה במכירת זכות במקרקעין במובן חוק מיסוי מקרקעין (שבח ורכישה) התשכ\"ג - 1963 (להלן: \"החוק\") ע\"י מי שהיה דייר מוגן ובשלב מאוחר יותר רכש את זכות הבעלות. במקרה זה עולה השאלה האם יש להביא בחשבון בעת חישוב השבח את התשלום ששילם המוכר לרכישת זכות הדיירות המוגנת קרי, את תשלום דמי המפתח.\r\n\r\nב. עפ\"י חוק הגנת הדייר (נוסח משולב) התשל\"ב – 1972 (להלן: \"חוק הגנת הדייר\") , במכירת זכות דיירות מוגנת על ידי בעל הבית משלם הדייר הנכנס, דמי מפתח לבעל הבית. כמו כן, בעת החלפת דייר מוגן משלם הדייר הנכנס דמי מפתח, שחלקם משתלמים לבעל בית ויתרתם משתלמים לדייר היוצא.\r\n\r\nג. קבלת \"דמי מפתח\" בידי בעל הבית, תחויב במס פירותי לפי סעיף 2(6) לפקודה בשיעור מס הקבוע בסעיף 124 לפקודה.\r\n\r\nחלק התשלום המשולם לדייר היוצא חייב במס רווח הון לפי חלק ה\' לפקודה. אלא אם כן הזכויות הנמכרות הן \"בדירת מגורים\", שאינן מחויבות במס.\r\n<h2> חוק הגנת הדייר – מושגים</h2>\r\nחוק הגנת הדייר (נוסח משולב), התשל\"ב - 1972, (להלן-\"החוק\") מגדיר את זכויות וחובות של בעל הבית והדייר , ומונה את עילות הפינוי של הדייר המוגן. כמו כן החוק חל הן על דיירים המחזיקים בנכס עסקי וכן על דירות מגורים.\r\n\r\nד. תחולת החוק:\r\n\r\n1. נכס הנכלל בתחולת החוק, הינו:\r\n\r\nשכירות של בנין או חלק מבנין וחצר או גינה המשמשים את מטרת השכירות, למעט: (רשימה חלקית )\r\n\r\nא. קרקע פנויה שהושכרה לאחר 8.7.1955.\r\n\r\nב. שכירות לתקופה של יותר משבע שנים, שנעשתה לאחר 8.7.1955, ופורש בחוזה השכירות בכתב, כי הדייר לא יהיה מוגן על פי חוק זה. וכן שכירות של יותר מ - 14 שנה, שנעשתה לפני 8.7.1955.\r\n\r\nג. משק חקלאי.\r\n\r\nד. בניינים חדשים שנבנו לאחר 20.8.1968.\r\n<h2>2. \"דייר מוגן\" , על פי החוק , הוא:</h2>\r\nא. דייר ששילם דמי מפתח עבור הנכס המוחזק.\r\n\r\nב. דייר שלא שילם דמי מפתח, אך נכנס לנכס לפני שנת 1940.\r\n\r\nג. כל בן משפחה שהפך לדייר מוגן לאחר שעברה אליו הזכות מהדייר\r\n\r\nהמוגן המקורי על פי התנאים בחוק.\r\n\r\nד. דייר שנכנס לנכס לאחר 20.08.1968, ושילם דמי מפתח.\r\n\r\nה. \"דמי מפתח \" - כל תמורה שאינה דמי שכירות, הניתנת בקשר לשכירות של מושכר או בקשר לקבלת החזקה או להחזרת החזקה במושכר לפי חוק זה- ללא קשר למועד התשלום בפועל.\r\n\r\nו. \"בעל בית\" - מי שהשכיר נכס בשכירות ראשית, בין אם הוא בעלו של הנכס המושכר ובין אם לא, לרבות חליפיו.\r\n<h2> 2. פסק הדין בעניין פרוכטר (ע 1328/04, 1336/04)</h2>\r\nבפסק הדין בעניין פרוכטר נדונה השאלה כאמור בסעיף 1(א) לעיל, דעת הרוב פסקה כי בחישוב השבח יש לקבוע את שווי הרכישה של זכות הבעלות \"כשווי המכירה\" שנקבע בעת שהדייר המוגן רכש את זכות הבעלות – מחיר ששיקף שווי נמוך בשל היות הנכס \"תפוס\" כבר על ידו כדייר מוגן.\r\n\r\nבעמדתה זו, לא התחשבה דעת הרוב בעלות הנוספת שהיתה לדייר המוגן (דמי המפתח) ואשר בשלה שווי רכישת זכות הבעלות היה נמוך.\r\n\r\nדעת המיעוט, לעומת זאת קבעה כי יש להתחשב בעלות רכישת הדיירות המוגנת בעת חישוב השבח, בין היתר גם מהטעם שלאחר תיקון 55 לחוק ותיקון הרישא שבסעיף 39 לחוק, יש לראות בדמי מפתח הוצאה המותרת בניכויי \"כהוצאה שהוציא המוכר לרכישת הזכות במקרקעין\".\r\n<h2> 3. הוראות לפעולה</h2>\r\nעל מנת להגיע למיסוי נכון של הרווח הכלכלי האמיתי שנצמח למוכר זכות במקרקעין שהיה דייר מוגן ורכש את זכות הבעלות, ועל-מנת למנוע את העיוותים הכלכליים נשוא הו\"ב 24/85, נקבע כדלקמן:\r\n\r\nא. סעיף 3 בהוראת ביצוע 24/85 מיום 4.9.85 מבוטל.\r\n\r\nב. בחישוב השבח במכירת זכות במקרקעין ע\"י מי שהיה דייר מוגן ורכש את זכות הבעלות, יותרו בניכוי דמי המפתח ששולמו בשעתו על ידו לצורך רכישת זכות הדיירות המוגנת.\r\n\r\nהוצאת דמי המפתח תתואם מיום ההוצאה ועד ליום רכישת הבעלות בנכס, ותותר בניכוי ליום רכישת זכות הבעלות.\r\n\r\nיובהר, כי לא כל דייר מוגן נדרש לשלם דמי מפתח, לפיכך יש לקבל תיעוד או אסמכתאות על תשלום בפועל.\r\n\r\nג. דמי מפתח בעד שכירות מוגנת בבית עסק ששילם הדייר עד ליום 31/3/64, ניתן היה לנכותם על פי הפקודה, תקנות מס הכנסה (התרת הפחתות בעד הוצאות) התשל\"ט- 1978.\r\n\r\nלפיכך, על המנהל להשתכנע שדמי המפתח לא הותרו בניכוי על ידי פקיד השומה לפני התרתם בניכוי בחישוב השבח.\r\n\r\nד. תחולת ההוראה מיום הפצתה.\r\n\r\n<strong>בברכה,</strong><strong>רשות המסים בישראל</strong>", "מיסוי מקרקעין - דמי מפתח - התרתם בניכוי בחישוב השבח", "", "inherit", "open", "open", "", "64-revision-7", "", "", "2012-07-18 11:38:15", "2012-07-18 08:38:15", "", "64", "http://ru-law.co.il/64-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("221", "1", "2012-07-18 11:40:18", "2012-07-18 08:40:18", "<p style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n\r\n<h2>הגדרת \"דירת מגורים\" ו\"דירת מגורים מזכה\":</h2>\r\n\"דירת מגורים\" - דירה או חלק מדירה, שבנייתה נסתיימה והיא בבעלותו או בחכירתו של יחיד, ומשמשת למגורים או מיועדת למגורים לפי טיבה, למעט דירה המהווה מלאי עסקי לענין מס הכנסה.\r\n\r\n\"דירת מגורים מזכה\" – דירת מגורים ששימשה בעיקרה למגורים לפחות באחת משתי התקופות שלהלן:\r\n\r\n(1) ארבע חמישיות מהתקופה שבשלה מחושב השבח (לא תובא בחשבון התקופה שקדמה ליום 1.1.1998);\r\n\r\n(2) ארבע השנים שקדמו למכירתה;\r\n\r\nלענין זה יראו תקופה שבה לא נעשה בדירה שימוש כלשהו, או תקופה שבה שימשה הדירה לפעולות חינוך (גן ילדים, פעוטון, בית ספר, ישיבה) או דת כפי שקבע שר האוצר, באישור ועדת הכספים של הכנסת, כתקופה שבה שימשה הדירה למגורים.\r\n\r\nלפי פרשנות רשויות מיסוי מקרקעין, במונח \"שימשה בעיקרה למגורים\" הכוונה שלפחות 50% משטח הדירה שימש למגורים.\r\n<h2> תנאים כלליים:</h2>\r\nמוכר, בן זוגו (למעט בן זוג הגר דרך קבע בנפרד) וילדיהם שטרם מלאו להם 18 שנים, למעט ילדים נשואים, נחשבים כמוכר אחד.\r\n\r\nהמוכר לא יהא זכאי לפטור ממס שבח, אלא אם נמכרות כל הזכויות שיש לו בדירת מגורים מזכה.\r\n<h2> הפטורים:</h2>\r\n<h2> פטור ממס שבח במכירת דירה אחת ל- 4 שנים</h2>\r\nהמוכר לא מכר בארבע השנים שקדמו למכירה האמורה דירת מגורים אחרת בפטור ממס שבח; לענין זה, מכירה בפטור ממס שבח – לרבות מכירה בפטור חלקי, אך למעט:\r\n\r\n(א) מתנה פטורה על פי סעיף 62 לילדו או לבן זוגו של נותן המתנה;\r\n\r\n(ב) מתנה פטורה על פי סעיפים 60 או 61 (מתנה למדינה, לרשות מקומית, לקרן הקיימת לישראל, לקרן היסוד - המגבית המאוחדת לישראל או למוסד ציבורי);\r\n\r\n(ג) מכירה פטורה לפי סעיפים 49ז1, 64, 65, 67, 69 או 70 (החלפת מקרקעין בשל צו של רשות מוסמכת, חלוקת מקרקעין בין בעלים משותפים, מכירה מנאמן לנהנה, מכירת זכות לאיגוד על-ידי בעלי הזכויות באיגוד);\r\n\r\n(ד) מכירה בפטור מיוחד של דירה שנתקבלה בירושה (ראה להלן – פטור במכירת דירה שהתקבלה בירושה);\r\n<h2> פטור ממס שבח במכירת דירה יחידה</h2>\r\nהדירה הנמכרת היא דירתו היחידה של המוכר בישראל (לרבות ביהודה ושומרון ו/או חבל עזה) והמוכר לא מכר, במשך שמונה עשר החודשים שקדמו למכירה האמורה, דירת מגורים אחרת כאמור, בפטור ממס שבח לפי חלופה זו (פטור במכירת דירה יחידה), ובארבע השנים שקדמו למכירה לא היתה לו בעת ובעונה אחת יותר מדירת מגורים אחת.\r\n\r\nפטור זה לא יינתן במקרה של מכירת חלק בדירה שבה יש למוכר פחות מ-25%, ובמקרה של מכירת דירה שהושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997.\r\n\r\nלענין פטור זה, יראו את הדירה הנמכרת כדירת המגורים היחידה שבבעלות המוכר גם אם יש לו, בנוסף על הדירה הנמכרת, דירת מגורים שנתקיים לגביה אחד מאלה:\r\n\r\n(1) היא נרכשה כתחליף לדירה הנמכרת ב-18 החודשים שקדמו למכירה;\r\n\r\n(2) היא הושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997;\r\n\r\n(3) חלקו של המוכר בבעלות בדירה הנוספת הוא פחות מ-25%.\r\n\r\n&nbsp;\r\n\r\nואולם, יראו כדירת מגורים נוספת גם דירה המשמשת למגורים או מיועדת למגורים לפי טיבה שהיא בבעלותו של איגוד, למעט דירה המהווה מלאי עסקי לענין מס הכנסה, אך למוכר יש באמצעות זכויותיו באיגוד, במישרין או בעקיפין, 25% לפחות בבעלות בה והיא לא הושכרה בשכירות מוגנת לפני יום 1.1.1997; לענין זה, \"זכויות\" – כל אחת מאלה: הזכות לקבלת נכסי האיגוד בעת פירוקו, הזכות לקבל רווחים והזכות למנות מנהלים.\r\n<h2> פטור ממס שבח במכירת דירה שהתקבלה בירושה</h2>\r\nבמכירה של דירת מגורים מזכה שקיבל המוכר בירושה, יינתן הפטור ממס שבח בהתקיים כל אלה:\r\n\r\n(א) המוכר הוא בן זוגו של המוריש, או צאצא של המוריש, או בן זוגו של צאצא של המוריש;\r\n\r\n(ב) לפני פטירתו היה המוריש בעלה של דירת מגורים אחת בלבד;\r\n\r\n(ג) אילו היה המוריש עדיין בחיים ומוכר את דירת המגורים, היה פטור ממס שבח בשל המכירה.\r\n<h2> מכירת דירה בפטור חד-פעמי</h2>\r\nתושב ישראל המוכר דירת מגורים מזכה, יהא זכאי לפטור ממס שבח במכירתה גם אם אינו זכאי לפטור לפי אחת החלופות האחרות, ובלבד שנתקיימו כל אלה:\r\n\r\n(1) המוכר מכר בפטור ממס שבח דירה אחרת לפי פרק חמישי 1 לחוק (פרק הפטורים לדירות מגורים) בתוך שנים עשר החודשים שקדמו למכירה נושא הפטור (להלן – הדירה הראשונה);\r\n\r\n(2) סכום השווי של הדירה הראשונה ושל הדירה הנמכרת (להלן – הדירה השניה), ביחד, לא עלה על -.1,500,000 ₪;\r\n\r\n(3) המוכר רכש בשנה שלפני מכירת הדירה השניה או ירכוש בשנה שלאחר מכירתה, דירה אחרת (דירה המשמשת או המיועדת לשמש למגורים, ובדירה שבנייתה טרם נסתיימה, למעט דירה שאין עמה התחייבות מצד המוכר לסיים את הבניה), בישראל (לרבות ביהודה ושומרון ו/או חבל עזה), בסכום השווה לשלושה רבעים לפחות משווי שתי הדירות שמכר;\r\n\r\n(4) במידה וסכום השווי של הדירה הראשונה והדירה השניה, יחד, עלה על -.1,500,000 ₪ אך לא עלה על -.2,500,000 ₪, יהא המוכר זכאי לפטור ממס שבח במכירה של הדירה השניה, על סכום השווה להפרש שבין -.1,500,000 ₪ לבין סכום השווי של הדירה הראשונה; יתרת סכום השווי של הדירה השניה תחוייב במס שבח.\r\n\r\nפטור זה יינתן למוכר (כולל התא המשפחתי שלו) רק פעם אחת בחייו.\r\n<h2> סייגים במקרה של מכירת דירה שהתקבלה במתנה:</h2>\r\nעל אף האמור לעיל, לא יינתן פטור ממס שבח במכירת דירת מגורים שהמוכר קיבל אותה במתנה במקרים שלהלן:\r\n\r\n(1) אם הדירה לא שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 4 שנים מיום שנעשה בעלה, וכשנותן המתנה הוא הורה – 3 שנים מיום שנעשה בעלה;\r\n\r\n(2) אם הדירה שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 3 שנים מיום שהחל לגור בה דרך קבע בהיותו בעלה, וכשנותן המתנה הוא הורהו – רק לאחר שיחלפו שנתיים מיום שהחל לגור בה דרך קבע בהיותו בעלה, ואם הוא נשוי או אם הוא הורה יחיד כהגדרתו בסעיף 1 לחוק משפחות חד הוריות, התשנ\"ב-1992 – כעבור שנה אחת.\r\n\r\nיראו קבלת 50% לפחות ממחיר הדירה במתנה, בתוך שלוש שנים שקדמו לרכישתה, כקבלת הדירה במתנה.\r\n\r\nמוכר שקיבל את הדירה לפני שמלאו לו 18 שנים, יתחיל לגביו מנין השנים האמורות מיום שמלאו לו 18 שנים. אך אם הבעלות בדירה הנמכרת משותפת לבני-זוג, יביאו בחשבון לענין התקופות הנ\"ל את גילו של המבוגר שבהם.\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום מיסוי מקרקעין ונדל\"ן (מס שבח, מס מכירה, מס רכישה), ומעניק ייעוץ, הערכות ותכנון מס בעסקאות מקרקעין, לרבות טיפול בהגשת דיווחים על מכירת/רכישת זכויות במקרקעין, ייצוג בפני רשויות המס ומשרדי מיסוי מקרקעין בכל הליכי השומה ובפני וועדות ערר (לרבות השגות ועררים) ובבתי המשפט בכל הערכאות, מתן חוות דעת ועוד.", "מיסוי מקרקעין ומס שבח – פטור ממס שבח במכירת דירת מגורים מזכה", "", "inherit", "open", "open", "", "74-revision-6", "", "", "2012-07-18 11:40:18", "2012-07-18 08:40:18", "", "74", "http://ru-law.co.il/74-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("222", "1", "2012-09-20 19:20:41", "2012-09-20 16:20:41", "<p style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n\r\n<h2>הגדרת \"דירת מגורים\" ו\"דירת מגורים מזכה\":</h2>\r\n\"דירת מגורים\" - דירה או חלק מדירה, שבנייתה נסתיימה והיא בבעלותו או בחכירתו של יחיד, ומשמשת למגורים או מיועדת למגורים לפי טיבה, למעט דירה המהווה מלאי עסקי לענין מס הכנסה.\r\n\r\n\"דירת מגורים מזכה\" – דירת מגורים ששימשה בעיקרה למגורים לפחות באחת משתי התקופות שלהלן:\r\n\r\n(1) ארבע חמישיות מהתקופה שבשלה מחושב השבח (לא תובא בחשבון התקופה שקדמה ליום 1.1.1998);\r\n\r\n(2) ארבע השנים שקדמו למכירתה;\r\n\r\nלענין זה יראו תקופה שבה לא נעשה בדירה שימוש כלשהו, או תקופה שבה שימשה הדירה לפעולות חינוך (גן ילדים, פעוטון, בית ספר, ישיבה) או דת כפי שקבע שר האוצר, באישור ועדת הכספים של הכנסת, כתקופה שבה שימשה הדירה למגורים.\r\n\r\nלפי פרשנות רשויות מיסוי מקרקעין, במונח \"שימשה בעיקרה למגורים\" הכוונה שלפחות 50% משטח הדירה שימש למגורים.\r\n<h2> תנאים כלליים:</h2>\r\nמוכר, בן זוגו (למעט בן זוג הגר דרך קבע בנפרד) וילדיהם שטרם מלאו להם 18 שנים, למעט ילדים נשואים, נחשבים כמוכר אחד.\r\n\r\nהמוכר לא יהא זכאי לפטור ממס שבח, אלא אם נמכרות כל הזכויות שיש לו בדירת מגורים מזכה.\r\n<h2> הפטורים:</h2>\r\n<h2> פטור ממס שבח במכירת דירה אחת ל- 4 שנים</h2>\r\nהמוכר לא מכר בארבע השנים שקדמו למכירה האמורה דירת מגורים אחרת בפטור ממס שבח; לענין זה, מכירה בפטור ממס שבח – לרבות מכירה בפטור חלקי, אך למעט:\r\n\r\n(א) מתנה פטורה על פי סעיף 62 לילדו או לבן זוגו של נותן המתנה;\r\n\r\n(ב) מתנה פטורה על פי סעיפים 60 או 61 (מתנה למדינה, לרשות מקומית, לקרן הקיימת לישראל, לקרן היסוד - המגבית המאוחדת לישראל או למוסד ציבורי);\r\n\r\n(ג) מכירה פטורה לפי סעיפים 49ז1, 64, 65, 67, 69 או 70 (החלפת מקרקעין בשל צו של רשות מוסמכת, חלוקת מקרקעין בין בעלים משותפים, מכירה מנאמן לנהנה, מכירת זכות לאיגוד על-ידי בעלי הזכויות באיגוד);\r\n\r\n(ד) מכירה בפטור מיוחד של דירה שנתקבלה בירושה (ראה להלן – פטור במכירת דירה שהתקבלה בירושה);\r\n<h2> פטור ממס שבח במכירת דירה יחידה</h2>\r\nהדירה הנמכרת היא דירתו היחידה של המוכר בישראל (לרבות ביהודה ושומרון ו/או חבל עזה) והמוכר לא מכר, במשך שמונה עשר החודשים שקדמו למכירה האמורה, דירת מגורים אחרת כאמור, בפטור ממס שבח לפי חלופה זו (פטור במכירת דירה יחידה), ובארבע השנים שקדמו למכירה לא היתה לו בעת ובעונה אחת יותר מדירת מגורים אחת.\r\n\r\nפטור זה לא יינתן במקרה של מכירת חלק בדירה שבה יש למוכר פחות מ-25%, ובמקרה של מכירת דירה שהושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997.\r\n\r\nלענין פטור זה, יראו את הדירה הנמכרת כדירת המגורים היחידה שבבעלות המוכר גם אם יש לו, בנוסף על הדירה הנמכרת, דירת מגורים שנתקיים לגביה אחד מאלה:\r\n\r\n(1) היא נרכשה כתחליף לדירה הנמכרת ב-18 החודשים שקדמו למכירה;\r\n\r\n(2) היא הושכרה למגורים בשכירות מוגנת לפני יום 1.1.1997;\r\n\r\n(3) חלקו של המוכר בבעלות בדירה הנוספת הוא פחות מ-25%.\r\n\r\n&nbsp;\r\n\r\nואולם, יראו כדירת מגורים נוספת גם דירה המשמשת למגורים או מיועדת למגורים לפי טיבה שהיא בבעלותו של איגוד, למעט דירה המהווה מלאי עסקי לענין מס הכנסה, אך למוכר יש באמצעות זכויותיו באיגוד, במישרין או בעקיפין, 25% לפחות בבעלות בה והיא לא הושכרה בשכירות מוגנת לפני יום 1.1.1997; לענין זה, \"זכויות\" – כל אחת מאלה: הזכות לקבלת נכסי האיגוד בעת פירוקו, הזכות לקבל רווחים והזכות למנות מנהלים.\r\n<h2> פטור ממס שבח במכירת דירה שהתקבלה בירושה</h2>\r\nבמכירה של דירת מגורים מזכה שקיבל המוכר בירושה, יינתן הפטור ממס שבח בהתקיים כל אלה:\r\n\r\n(א) המוכר הוא בן זוגו של המוריש, או צאצא של המוריש, או בן זוגו של צאצא של המוריש;\r\n\r\n(ב) לפני פטירתו היה המוריש בעלה של דירת מגורים אחת בלבד;\r\n\r\n(ג) אילו היה המוריש עדיין בחיים ומוכר את דירת המגורים, היה פטור ממס שבח בשל המכירה.\r\n<h2> מכירת דירה בפטור חד-פעמי</h2>\r\nתושב ישראל המוכר דירת מגורים מזכה, יהא זכאי לפטור ממס שבח במכירתה גם אם אינו זכאי לפטור לפי אחת החלופות האחרות, ובלבד שנתקיימו כל אלה:\r\n\r\n(1) המוכר מכר בפטור ממס שבח דירה אחרת לפי פרק חמישי 1 לחוק (פרק הפטורים לדירות מגורים) בתוך שנים עשר החודשים שקדמו למכירה נושא הפטור (להלן – הדירה הראשונה);\r\n\r\n(2) סכום השווי של הדירה הראשונה ושל הדירה הנמכרת (להלן – הדירה השניה), ביחד, לא עלה על -.1,500,000 ₪;\r\n\r\n(3) המוכר רכש בשנה שלפני מכירת הדירה השניה או ירכוש בשנה שלאחר מכירתה, דירה אחרת (דירה המשמשת או המיועדת לשמש למגורים, ובדירה שבנייתה טרם נסתיימה, למעט דירה שאין עמה התחייבות מצד המוכר לסיים את הבניה), בישראל (לרבות ביהודה ושומרון ו/או חבל עזה), בסכום השווה לשלושה רבעים לפחות משווי שתי הדירות שמכר;\r\n\r\n(4) במידה וסכום השווי של הדירה הראשונה והדירה השניה, יחד, עלה על -.1,500,000 ₪ אך לא עלה על -.2,500,000 ₪, יהא המוכר זכאי לפטור ממס שבח במכירה של הדירה השניה, על סכום השווה להפרש שבין -.1,500,000 ₪ לבין סכום השווי של הדירה הראשונה; יתרת סכום השווי של הדירה השניה תחוייב במס שבח.\r\n\r\nפטור זה יינתן למוכר (כולל התא המשפחתי שלו) רק פעם אחת בחייו.\r\n<h2> סייגים במקרה של מכירת דירה שהתקבלה במתנה:</h2>\r\nעל אף האמור לעיל, לא יינתן פטור ממס שבח במכירת דירת מגורים שהמוכר קיבל אותה במתנה במקרים שלהלן:\r\n\r\n(1) אם הדירה לא שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 4 שנים מיום שנעשה בעלה, וכשנותן המתנה הוא הורה – 3 שנים מיום שנעשה בעלה;\r\n\r\n(2) אם הדירה שימשה דרך קבע למגוריו של המוכר – הפטור ממס שבח יינתן רק לאחר שיחלפו 3 שנים מיום שהחל לגור בה דרך קבע בהיותו בעלה, וכשנותן המתנה הוא הורהו – רק לאחר שיחלפו שנתיים מיום שהחל לגור בה דרך קבע בהיותו בעלה, ואם הוא נשוי או אם הוא הורה יחיד כהגדרתו בסעיף 1 לחוק משפחות חד הוריות, התשנ\"ב-1992 – כעבור שנה אחת.\r\n\r\nיראו קבלת 50% לפחות ממחיר הדירה במתנה, בתוך שלוש שנים שקדמו לרכישתה, כקבלת הדירה במתנה.\r\n\r\nמוכר שקיבל את הדירה לפני שמלאו לו 18 שנים, יתחיל לגביו מנין השנים האמורות מיום שמלאו לו 18 שנים. אך אם הבעלות בדירה הנמכרת משותפת לבני-זוג, יביאו בחשבון לענין התקופות הנ\"ל את גילו של המבוגר שבהם.\r\n\r\nמשרד עורכי הדין פ. רובינשטיין ושות\' מתמחה בתחום מיסוי מקרקעין ונדל\"ן (מס שבח, מס מכירה, מס רכישה), ומעניק ייעוץ, הערכות ותכנון מס בעסקאות מקרקעין, לרבות טיפול בהגשת דיווחים על מכירת/רכישת זכויות במקרקעין, ייצוג בפני רשויות המס ומשרדי מיסוי מקרקעין בכל הליכי השומה ובפני וועדות ערר (לרבות השגות ועררים) ובבתי המשפט בכל הערכאות, מתן חוות דעת ועוד.", "מיסוי מקרקעין ומס שבח – פטור ממס שבח במכירת דירת מגורים מזכה", "", "inherit", "open", "open", "", "74-revision-7", "", "", "2012-09-20 19:20:41", "2012-09-20 16:20:41", "", "74", "http://ru-law.co.il/74-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("223", "1", "2012-09-20 12:47:31", "2012-09-20 09:47:31", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברות מרצון (סגירת חברות מרצון) וביטול חוב אגרות לרשם החברות במחיר מיוחד ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">1,500 ש\"ח + מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n<p style=\"text-align: center;\"> </p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\">שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">שאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong> </p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n&nbsp;\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת באמצעות התיבה מימין</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-12", "", "", "2012-09-20 12:47:31", "2012-09-20 09:47:31", "", "196", "http://ru-law.co.il/196-revision-12/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("224", "1", "2012-09-20 17:11:30", "2012-09-20 14:11:30", "<p style=\"text-align: justify;\"><strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.</p>\r\n<p style=\"text-align: justify;\">ההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).</p>\r\n<p style=\"text-align: justify;\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong></p>\r\n<p style=\"text-align: justify;\">בעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.</p>\r\n<p style=\"text-align: justify;\">כמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">השירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –</p>\r\n<p style=\"text-align: justify;\">החל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.</p>\r\n<p style=\"text-align: justify;\">אין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.</p>\r\n<p style=\"text-align: justify;\"><strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong></p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>לצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, שלח אלינו חשבון אחרון, </strong><strong>לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, ואנו נחזור אליך בהקדם.</strong></p>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-09-20 17:11:30", "2012-09-20 14:11:30", "", "96", "http://ru-law.co.il/96-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("225", "1", "2012-10-03 14:49:32", "2012-10-03 12:49:32", "<p style=\"text-align: justify;\"><strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.</p>\r\n<p style=\"text-align: justify;\">ההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).</p>\r\n<p style=\"text-align: justify;\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong></p>\r\n<p style=\"text-align: justify;\">בעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.</p>\r\n<p style=\"text-align: justify;\">כמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">השירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –</p>\r\n<p style=\"text-align: justify;\">החל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.</p>\r\n<p style=\"text-align: justify;\">אין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.</p>\r\n<p style=\"text-align: justify;\"><strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong></p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>לצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, שלח אלינו חשבון אחרון, </strong><strong>לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה ואנו נחזור אליך בהקדם.</strong></p>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-03 14:49:32", "2012-10-03 12:49:32", "", "96", "http://ru-law.co.il/96-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("226", "1", "2012-10-03 14:53:20", "2012-10-03 12:53:20", "<p style=\"text-align: justify;\"><strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.</p>\r\n<p style=\"text-align: justify;\">ההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).</p>\r\n<p style=\"text-align: justify;\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong></p>\r\n<p style=\"text-align: justify;\">בעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.</p>\r\n<p style=\"text-align: justify;\">כמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">השירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –</p>\r\n<p style=\"text-align: justify;\">החל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.</p>\r\n<p style=\"text-align: justify;\">אין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.</p>\r\n<p style=\"text-align: justify;\"><strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong></p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"><span style=\"color: #ff0000;\"><strong>לצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!</strong></span></p>\r\n<p style=\"text-align: justify;\"><span style=\"color: #ff0000;\"><strong>שלח/י אלינו חשבון אחרון, </strong><strong>לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\"><span style=\"color: #ff0000;\">info@ru-law.co.il</span></a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</strong></span></p>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-03 14:53:20", "2012-10-03 12:53:20", "", "96", "http://ru-law.co.il/96-revision-8/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("232", "1", "2012-10-05 16:50:09", "2012-10-05 14:50:09", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\nעסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל i</span><span style=\"color: #ff0000;\"><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\"><a href=\"mailto:info@ru-law.co.il\"><span style=\"color: #ff0000;\">nfo@ru-law.co.il</span></a></span></span> או לפקס 03-6246247 ואנו נחזור אליך בהקדם</span></strong></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><strong>לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\">!!!</span></span></strong></p>\r\n<strong> להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248 או השאר פרטים בטופס \"צור קשר\" מימין</strong>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-05 16:50:09", "2012-10-05 14:50:09", "", "228", "http://ru-law.co.il/228-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("229", "1", "2012-10-05 16:40:14", "2012-10-05 14:40:14", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\nעסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span>\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\n<p dir=\"RTL\" align=\"CENTER\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו<span style=\"font-family: Times New Roman;\"><span style=\"color: #ff0000; font-family: Times New Roman;\">!</span></span></p>\n<p style=\"text-align: center;\"> לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל</p>\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\"><a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a></span></span> או לפקס מס\' 03-6246247 </span><span style=\"color: #ff0000;\">ואנו נחזור אליך בהקדם</span></p>\n<p dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\">!!!</span></span></span></strong></p>\n להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248 או השאר פרטים בטופס \"צור קשר\" מימין", "הפחתת ארנונה", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-05 16:40:14", "2012-10-05 14:40:14", "", "228", "http://ru-law.co.il/228-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("230", "1", "2012-10-05 16:41:10", "2012-10-05 14:41:10", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\nעסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"CENTER\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו<span style=\"font-family: Times New Roman;\"><span style=\"color: #ff0000; font-family: Times New Roman;\">!</span></span></p>\r\n<p style=\"text-align: center;\"> לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\"><a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a></span></span> או לפקס 03-6246247 </span><span style=\"color: #ff0000;\">ואנו נחזור אליך בהקדם</span></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\">!!!</span></span></span></strong></p>\r\n להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248 או השאר פרטים בטופס \"צור קשר\" מימין", "הפחתת ארנונה", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-05 16:41:10", "2012-10-05 14:41:10", "", "228", "http://ru-law.co.il/228-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("231", "1", "2012-10-05 16:41:28", "2012-10-05 14:41:28", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\nעסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"CENTER\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו<span style=\"font-family: Times New Roman;\"><span style=\"color: #ff0000; font-family: Times New Roman;\">!</span></span></p>\r\n<p style=\"text-align: center;\"> לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\"><a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a></span></span> או לפקס 03-6246247 </span><span style=\"color: #ff0000;\">ואנו נחזור אליך בהקדם</span></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\">!!!</span></span></span></strong></p>\r\n להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248 או השאר פרטים בטופס \"צור קשר\" מימין", "הפחתת ארנונה", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-05 16:41:28", "2012-10-05 14:41:28", "", "228", "http://ru-law.co.il/228-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("233", "1", "2012-10-05 16:53:37", "2012-10-05 14:53:37", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\nעסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"CENTER\"></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל i</span><span style=\"color: #ff0000;\"><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\"><a href=\"mailto:info@ru-law.co.il\"><span style=\"color: #ff0000;\">nfo@ru-law.co.il</span></a></span></span> או לפקס 03-6246247 ואנו נחזור אליך בהקדם</span></strong></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<strong><span style=\"color: #ff0000;\"> להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248 או השאר פרטים בטופס \"צור קשר\" מימין</span></strong>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-05 16:53:37", "2012-10-05 14:53:37", "", "228", "http://ru-law.co.il/228-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("234", "1", "2012-10-05 16:55:11", "2012-10-05 14:55:11", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\nעסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל i</span><span style=\"color: #ff0000;\"><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\"><a href=\"mailto:info@ru-law.co.il\"><span style=\"color: #ff0000;\">nfo@ru-law.co.il</span></a></span></span> או לפקס 03-6246247 ואנו נחזור אליך בהקדם</span></strong></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248 </span></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין</span></strong></p>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-05 16:55:11", "2012-10-05 14:55:11", "", "228", "http://ru-law.co.il/228-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("447", "1", "2014-05-11 16:16:57", "2014-05-11 13:16:57", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר ארנונה</span></strong></h1>\r\n<h3 style=\"text-align: center;\"><strong>(לעסקים המשלמים ארנונה בסכום של 5,000 ש\"ח לחודש ומעלה)</strong></h3>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: \'Times New Roman\';\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"rtl\" align=\"justify\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\">משרד עורכי הדין פ. רובינשטיין ושות\'</span></span> הינו משרד בוטיק מהמובילים בארץ, המתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר ארנונה רטרואקטיבי</span></strong> (החזר של תשלומי ארנונה ששולמו ביתר)<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו בעיקר על בסיס הצלחה</span></strong><span style=\"font-family: Times New Roman;\">.</span><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> </span><span style=\"color: #ff0000;\">ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246250</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין ואנו נחזור אליך בהקדם</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "closed", "open", "", "228-autosave-v1", "", "", "2014-05-11 16:16:57", "2014-05-11 13:16:57", "", "228", "http://ru-law.co.il/228-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("337", "1", "2012-10-18 16:48:58", "2012-10-18 14:48:58", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר ארנונה</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"rtl\" align=\"justify\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\">משרד עורכי הדין פ. רובינשטיין ושות\'</span></span> הינו משרד בוטיק מהמובילים בארץ, המתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר ארנונה רטרואקטיבי</span></strong> (החזר של תשלומי ארנונה ששולמו ביתר)<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> או לפקס</span><span style=\"color: #ff0000;\"> 03-6246247 ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">\r\nלבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">\r\nלהפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין ואנו נחזור אליך בהקדם</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-18 16:48:58", "2012-10-18 14:48:58", "", "228", "http://ru-law.co.il/228-revision-14/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("236", "1", "2012-10-05 16:58:22", "2012-10-05 14:58:22", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\nעסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל i</span><span style=\"color: #ff0000;\"><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\"><a href=\"mailto:info@ru-law.co.il\"><span style=\"color: #ff0000;\">nfo@ru-law.co.il</span></a></span></span> או לפקס 03-6246247 ואנו נחזור אליך בהקדם</span></strong></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין</span></strong></p>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-05 16:58:22", "2012-10-05 14:58:22", "", "228", "http://ru-law.co.il/228-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("237", "1", "2012-10-05 17:00:00", "2012-10-05 15:00:00", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\nעסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל i</span><span style=\"color: #ff0000;\"><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\"><a href=\"mailto:info@ru-law.co.il\"><span style=\"color: #ff0000;\">nfo@ru-law.co.il</span></a></span></span> או לפקס 03-6246247 ואנו נחזור אליך בהקדם</span></strong></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-05 17:00:00", "2012-10-05 15:00:00", "", "228", "http://ru-law.co.il/228-revision-8/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("238", "1", "2012-10-05 17:02:18", "2012-10-05 15:02:18", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\nעסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל i</span><span style=\"color: #ff0000;\"><span style=\"font-family: Times New Roman;\"><span style=\"font-family: Times New Roman;\"><a href=\"mailto:info@ru-law.co.il\"><span style=\"color: #ff0000;\">nfo@ru-law.co.il</span></a></span></span> או לפקס 03-6246247 ואנו נחזור אליך בהקדם</span></strong></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-05 17:02:18", "2012-10-05 15:02:18", "", "228", "http://ru-law.co.il/228-revision-9/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("239", "1", "2012-10-06 11:33:18", "2012-10-06 09:33:18", "מאת: פיני רובינשטיין, עו\"ד\r\n<p style=\"text-align: justify;\">חוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\r\n<p style=\"text-align: justify;\">בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p style=\"text-align: justify;\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p style=\"text-align: justify;\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: ע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>\r\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "publish", "open", "open", "", "%d7%94%d7%a7%d7%91%d7%9c%d7%9f-%d7%90%d7%97%d7%a8%d7%90%d7%99-%d7%92%d7%9d-%d7%9b%d7%9c%d7%a4%d7%99-%d7%a7%d7%95%d7%a0%d7%94-%d7%93%d7%99%d7%a8%d7%94-%d7%99%d7%93-%d7%a9%d7%a0%d7%99%d7%99%d7%94", "", "", "2012-10-10 09:01:22", "2012-10-10 07:01:22", "", "0", "http://ru-law.co.il/?p=239", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("240", "1", "2012-10-06 11:17:28", "2012-10-06 09:17:28", "<p dir=\"RTL\" align=\"RIGHT\">מאת: פיני רובינשטיין, עו\"ד</p>\n<p dir=\"RTL\" align=\"JUSTIFY\">חוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\n<p dir=\"RTL\" align=\"JUSTIFY\">בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\n<p dir=\"RTL\" align=\"JUSTIFY\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\n<p dir=\"RTL\" align=\"JUSTIFY\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision", "", "", "2012-10-06 11:17:28", "2012-10-06 09:17:28", "", "239", "http://ru-law.co.il/239-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("241", "1", "2012-10-06 11:17:39", "2012-10-06 09:17:39", "<p dir=\"RTL\" align=\"RIGHT\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">חוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-2", "", "", "2012-10-06 11:17:39", "2012-10-06 09:17:39", "", "239", "http://ru-law.co.il/239-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("242", "1", "2012-10-06 11:18:20", "2012-10-06 09:18:20", "<p dir=\"RTL\" align=\"RIGHT\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">חוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-3", "", "", "2012-10-06 11:18:20", "2012-10-06 09:18:20", "", "239", "http://ru-law.co.il/239-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("245", "1", "2012-10-06 11:22:39", "2012-10-06 09:22:39", "<p dir=\"RTL\" align=\"RIGHT\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">חוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-6", "", "", "2012-10-06 11:22:39", "2012-10-06 09:22:39", "", "239", "http://ru-law.co.il/239-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("243", "1", "2012-10-06 11:20:22", "2012-10-06 09:20:22", "<p dir=\"RTL\" align=\"RIGHT\">\r\nמאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-4", "", "", "2012-10-06 11:20:22", "2012-10-06 09:20:22", "", "239", "http://ru-law.co.il/239-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("244", "1", "2012-10-06 11:21:51", "2012-10-06 09:21:51", "<p dir=\"RTL\" align=\"RIGHT\">\r\nמאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-5", "", "", "2012-10-06 11:21:51", "2012-10-06 09:21:51", "", "239", "http://ru-law.co.il/239-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("248", "1", "2012-10-06 11:32:40", "2012-10-06 09:32:40", "<p dir=\"RTL\" align=\"RIGHT\">מאת: פיני רובינשטיין, עו\"ד\r\n\r\n\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.\r\n\r\n\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\n</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-9", "", "", "2012-10-06 11:32:40", "2012-10-06 09:32:40", "", "239", "http://ru-law.co.il/239-revision-9/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("246", "1", "2012-10-06 11:24:28", "2012-10-06 09:24:28", "<p dir=\"RTL\" align=\"RIGHT\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-7", "", "", "2012-10-06 11:24:28", "2012-10-06 09:24:28", "", "239", "http://ru-law.co.il/239-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("247", "1", "2012-10-06 11:24:58", "2012-10-06 09:24:58", "<p dir=\"RTL\" align=\"RIGHT\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\n\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\n\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-8", "", "", "2012-10-06 11:24:58", "2012-10-06 09:24:58", "", "239", "http://ru-law.co.il/239-revision-8/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("249", "1", "2012-10-06 11:32:53", "2012-10-06 09:32:53", "<p dir=\"RTL\" align=\"RIGHT\">מאת: פיני רובינשטיין, עו\"ד\r\n\r\n\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.\r\n\r\n\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\n</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-10", "", "", "2012-10-06 11:32:53", "2012-10-06 09:32:53", "", "239", "http://ru-law.co.il/239-revision-10/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("250", "1", "2012-10-10 09:02:30", "2012-10-10 07:02:30", "מאת: פיני רובינשטיין, עו\"ד\n<p style=\"text-align: justify;\">חוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\n<p style=\"text-align: justify;\">בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\n<p style=\"text-align: justify;\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\n<p style=\"text-align: justify;\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: ע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\n<p style=\"text-align: justify;\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-autosave", "", "", "2012-10-10 09:02:30", "2012-10-10 07:02:30", "", "239", "http://ru-law.co.il/239-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("252", "1", "2012-10-06 11:35:48", "2012-10-06 09:35:48", "<p dir=\"RTL\" align=\"RIGHT\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\nכיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\nיצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-12", "", "", "2012-10-06 11:35:48", "2012-10-06 09:35:48", "", "239", "http://ru-law.co.il/239-revision-12/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("251", "1", "2012-10-06 11:33:18", "2012-10-06 09:33:18", "<p dir=\"RTL\" align=\"RIGHT\">מאת: פיני רובינשטיין, עו\"ד\r\n\r\n\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.\r\n\r\n\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">\r\n</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-11", "", "", "2012-10-06 11:33:18", "2012-10-06 09:33:18", "", "239", "http://ru-law.co.il/239-revision-11/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("271", "1", "2012-10-09 11:51:41", "2012-10-09 09:51:41", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.\r\n\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").\r\n\r\nכיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.\r\n<p style=\"text-align: justify;\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: ע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>\r\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-17", "", "", "2012-10-09 11:51:41", "2012-10-09 09:51:41", "", "239", "http://ru-law.co.il/239-revision-17/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("261", "1", "2012-10-06 11:43:04", "2012-10-06 09:43:04", "מאת: פיני רובינשטיין, עו\"ד\r\n<p style=\"text-align: justify;\">חוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\r\n<p style=\"text-align: justify;\">בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p style=\"text-align: justify;\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p style=\"text-align: justify;\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: ע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>\r\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-15", "", "", "2012-10-06 11:43:04", "2012-10-06 09:43:04", "", "239", "http://ru-law.co.il/239-revision-15/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("253", "1", "2012-10-06 11:37:51", "2012-10-06 09:37:51", "מאת: פיני רובינשטיין, עו\"ד\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"חוק המכר דירות\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"קונה משנה\").\r\n\r\nכיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.\r\n\r\nיצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: עא 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].\r\n\r\nיחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].\r\n\r\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-13", "", "", "2012-10-06 11:37:51", "2012-10-06 09:37:51", "", "239", "http://ru-law.co.il/239-revision-13/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("339", "1", "2012-10-20 11:00:02", "2012-10-20 09:00:02", "<p dir=\"RTL\" align=\"JUSTIFY\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">עת\"מ 1472-09 קנר נ\' עיריית ירושלים, ניתן ביום 13.9.2012 ע\"י בית המשפט לעניינים מנהליים בירושלים.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\"><strong><span style=\"text-decoration: underline;\">עובדות:</span></strong></p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">1. העותר (להלן: \"קנר\") הינו המחזיק בדמי מפתח של שני מחסנים תת-קרקעיים המצויים בקומת המרתף של בניין ברח\' שמאי 17 בירושלים (להלן: \" המחסנים\"). גודלם של המחסנים הוא 85 מ\"ר ו- 41 מ\"ר.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">2. המחסנים משמשים לאחסנת סחורות הנמכרות בחנותו של קנר, המצויה ברח\' בן הלל 14 בירושלים. המחסנים מכילים סחורות לתקופות אחסון ארוכות, לקוחות החנות אינם מבקרים במחסנים ולא מתנהלת בהם כל פעילות עסקית או מסחרית.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">3. בין השנים 2002-2009 הטילה המשיבה (להלן: \"העירייה\") על מחסני העותר חיוב ארנונה לפי סיווג של \"משרדים, שירותים ומסחר\" הקיים בצו הארנונה של העירייה.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">4. לטענת קנר: א - לעירייה אין סמכות לחייבו בארנונה בגין המחסנים, שכן צו הארנונה של העירייה אינו כולל סיווג של מחסנים. ב - החלטת העירייה לסווג מחסנים תת-קרקעיים בסיווג \"משרדים, שירותים ומסחר\", הזהה לסיווג החל על משרדים וחנויות, היא החלטה בלתי סבירה באופן קיצוני, ועל כן יש לבטלה.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\"><span style=\"text-decoration: underline;\"><strong>בית המשפט לעניינים מנהליים פסק:</strong></span></p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">1. תקנה 1 לתקנות ההסדרים במשק המדינה (ארנונה כללית ברשויות המקומיות), תשס\"ו-2007 (להלן: \"תקנות ההסדרים\"), מגדירה את הסיווג של \"משרד, שירותים ומסחר\". הגדרה זו דומה להגדרת הסיווג \"משרדים שירותים ומסחר\" בצו הארנונה של העירייה.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">2. המכנה המשותף לכל סוגי הנכסים המנויים בהגדרה של \"משרד, שירותים ומסחר\" בצו הארנונה של העירייה, הוא שבכולם ניתן שירות לציבור או שנמכר בהם מוצר או משאב מסויים המשרת את הציבור, ונראה לכאורה כי הגדרה זו לא נתכוונה לכלול סוגי נכסים כגון מחסנים תת-קרקעיים, השונים במהותם מסוגי הנכסים המפורטים בהגדרה זו.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">3. משכך, הסיווג שעל פיו חייבה העירייה את קנר בארנונה (בסיווג \"משרד, שירותים ומסחר\"), בהיעדר סיווג של מחסן בצו הארנונה שלה, אינו סיווג המתאים לשימוש שנעשה בנכסים אלו, שכן המחסנים של קנר נמצאים מתחת לפני הקרקע, כאשר השימוש היחיד שנעשה בהם הוא איחסון סחורות הנמכרות בחנותו של קנר, שאינה סמוכה למחסנים.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">4. לעניין סבירות ההחלטה לסווג את המחסנים בסיווג \"משרד, שירותים ומסחר\" - התעלמות העירייה מהשוני במאפיינים של השטח, הסוג והשימוש בין מחסנים תת-קרקעיים ובין חנויות ומשרדים, עולה כדי חוסר סבירות קיצוני. אין זה סביר שהעירייה תחייב באותו תעריף, הן נכסים מסחריים עיקריים המצויים במרכז העיר או בקניון מרכזי והן מחסנים תת-קרקעיים המשמשים לאחסון בלבד ואינם צמודים לנכס העיקרי ומשמשים אותו בפעילות היומיומית.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">5. לא זו אף זו, בעמ\"נ 274/05 מנהל הארנונה של עיריית גבעתיים נ\' קו אופ הריבוע הכחול בע\"מ, נדונו בין היתר מחסנים שהיו מצויים בקומת המרתף של המבנה, ולגביהם נפסק כי יש לסווגם כמחסן <span style=\"text-decoration: underline;\">למרות צמידותם לנכס העיקרי</span>, שכן מיקומם, שאינו נגיש באופן יום-יומי, מצביע על הקושי בשימוש השוטף בהם. כמו כן העובדה שיש בהם פריטים הנמצאים במשך זמן, מעידה גם היא כי הם נועדו לאחסנה בלבד. הדברים הנ\"ל יפים גם לענייננו.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">6. <strong>לנוכח כל האמור, יש לדחות את וענת המשיבה לפיה יש לסווג את המחסנים של קנר באותו סיווג של הנכס העיקרי, קרי, חנותו של קנר. זאת, שכן מדובר במחסנים המרוחקים מן החנות וממוקמים בקומה תת-קרקעית ואין זיקה ישירם בינם לבינה, באופן שהם אינם משמשים אותה בניהול המסחר היום-יומי</strong>.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">7. כמו כן, <strong>בהיעדר סיווג מתאים וסביר למחסנים בצו הארנונה של העירייה, וכל עוד לא תוקן הצו, אין ביכולתה של העירייה לגבות מקנר חיוב בגין נכס שאין לו סיווג</strong>.</p>", "עיריית ירושלים אינה יכולה לגבות ארנונה על מחסנים, משלא קיים סיווג מתאים בצו הארנונה של ירושלים", "", "publish", "open", "open", "", "%d7%9e%d7%a9%d7%9c%d7%90-%d7%a7%d7%99%d7%99%d7%9d-%d7%a1%d7%99%d7%95%d7%95%d7%92-%d7%9e%d7%aa%d7%90%d7%99%d7%9d-%d7%91%d7%a6%d7%95-%d7%94%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94-%d7%a9%d7%9c-%d7%99%d7%a8", "", "", "2012-10-20 11:07:08", "2012-10-20 09:07:08", "", "0", "http://ru-law.co.il/?p=339", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("254", "1", "2012-10-06 11:42:04", "2012-10-06 09:42:04", "מאת: פיני רובינשטיין, עו\"ד\r\n<p style=\"text-align: justify;\">חוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\r\n<p style=\"text-align: justify;\">בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").</p>\r\n<p style=\"text-align: justify;\">כיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.</p>\r\n<p style=\"text-align: justify;\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: ע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>\r\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-14", "", "", "2012-10-06 11:42:04", "2012-10-06 09:42:04", "", "239", "http://ru-law.co.il/239-revision-14/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("345", "1", "2012-10-10 11:44:17", "2012-10-10 09:44:17", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברה מרצון (סגירת חברה מרצון) וביטול חוב אגרות לרשם החברות במחיר מוזל ל- 20 לקוחות נוספים הפונים אלינו דרך האתר (<em><strong>במהלך חודש אוקטובר 2012 בלבד</strong></em>):</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">444 $ כולל מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. כולל אגרות.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-18", "", "", "2012-10-10 11:44:17", "2012-10-10 09:44:17", "", "196", "http://ru-law.co.il/196-revision-18/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("350", "1", "2012-11-05 18:03:33", "2012-11-05 16:03:33", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני <a title=\"ליקויי בנייה\" href=\"http://ru-law.co.il/%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94/\" target=\"_blank\">ליקויי בנייה ותביעות קבלנים</a> ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> לתיקון הליקויים ולקבלת פיצויים כספיים !!!</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-11-05 18:03:33", "2012-11-05 16:03:33", "", "289", "http://ru-law.co.il/289-revision-19/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("348", "1", "2012-11-05 18:02:06", "2012-11-05 16:02:06", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני <a title=\"ליקויי בנייה\" href=\"http://ru-law.co.il/%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94/\" target=\"_blank\">ליקויי בנייה ותביעות קבלנים</a> ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> לתיקון הליקויים ולקבלת פיצויים כספיים !!!</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-11-05 18:02:06", "2012-11-05 16:02:06", "", "289", "http://ru-law.co.il/289-revision-18/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("346", "1", "2012-10-31 18:35:59", "2012-10-31 16:35:59", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני <a title=\"ליקויי בנייה\" href=\"http://ru-law.co.il/%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94/\" target=\"_blank\">ליקויי בנייה ותביעות קבלנים</a> ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> לתיקון הליקויים ולקבלת פיצויים כספיים !!!</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-31 18:35:59", "2012-10-31 16:35:59", "", "289", "http://ru-law.co.il/289-revision-16/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("347", "1", "2012-11-05 18:00:47", "2012-11-05 16:00:47", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני <a title=\"ליקויי בנייה\" href=\"http://ru-law.co.il/%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94/\" target=\"_blank\">ליקויי בנייה ותביעות קבלנים</a> ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> לתיקון הליקויים ולקבלת פיצויים כספיים !!!</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-11-05 18:00:47", "2012-11-05 16:00:47", "", "289", "http://ru-law.co.il/289-revision-17/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("267", "1", "2012-10-09 11:45:02", "2012-10-09 09:45:02", "<strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong>\r\n<strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.\r\n<strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.\r\nמיסוי מקרקעין\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.\r\n<strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).\r\n<strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\',\r\nבעיות משפטיות - הופכות לפתרונות מקצועיים.\r\n<strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-10", "", "", "2012-10-09 11:45:02", "2012-10-09 09:45:02", "", "2", "http://ru-law.co.il/2-revision-10/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("268", "1", "2012-10-09 11:47:14", "2012-10-09 09:47:14", "<strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong>\r\n<strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.\r\n<strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.\r\nמיסוי מקרקעין\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.\r\n<strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).\r\n<strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\',\r\nבעיות משפטיות - הופכות לפתרונות מקצועיים.\r\n<strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-11", "", "", "2012-10-09 11:47:14", "2012-10-09 09:47:14", "", "2", "http://ru-law.co.il/2-revision-11/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("269", "1", "2012-10-09 11:47:37", "2012-10-09 09:47:37", "<strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong>\r\n\r\n&nbsp;\r\n<strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.\r\n<strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.\r\nמיסוי מקרקעין\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.\r\n<strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).\r\n<strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\',\r\nבעיות משפטיות - הופכות לפתרונות מקצועיים.\r\n<strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-12", "", "", "2012-10-09 11:47:37", "2012-10-09 09:47:37", "", "2", "http://ru-law.co.il/2-revision-12/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("270", "1", "2012-10-06 12:14:13", "2012-10-06 10:14:13", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\n&nbsp;\r\n<p style=\"text-align: justify;\">חוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.</p>\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").\r\n\r\nכיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.\r\n<p style=\"text-align: justify;\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: ע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>\r\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-16", "", "", "2012-10-06 12:14:13", "2012-10-06 10:14:13", "", "239", "http://ru-law.co.il/239-revision-16/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("272", "1", "2012-10-09 11:48:35", "2012-10-09 09:48:35", "<strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong>\r\n<strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.\r\n\r\n&nbsp;\r\n<strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.\r\nמיסוי מקרקעין\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.\r\n\r\n&nbsp;\r\n<strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).\r\n\r\n&nbsp;\r\n<strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\',\r\nבעיות משפטיות - הופכות לפתרונות מקצועיים.\r\n\r\n&nbsp;\r\n<strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-13", "", "", "2012-10-09 11:48:35", "2012-10-09 09:48:35", "", "2", "http://ru-law.co.il/2-revision-13/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("298", "1", "2012-10-10 09:00:21", "2012-10-10 07:00:21", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.\r\n\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").\r\n\r\nכיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.\r\n<p style=\"text-align: justify;\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: ע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>\r\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-22", "", "", "2012-10-10 09:00:21", "2012-10-10 07:00:21", "", "239", "http://ru-law.co.il/239-revision-22/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("277", "1", "2012-10-09 12:40:19", "2012-10-09 10:40:19", "<p style=\"text-align: justify;\"> </p>\r\n<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong>\r\n\r\n&nbsp;\r\n\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n<strong></strong>\r\n\r\n<strong></strong> \r\n\r\n<strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n\r\n&nbsp;\r\n\r\nהמומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!\r\n<p style=\"text-align: justify;\"> </p>\r\n&nbsp;\r\n<p style=\"text-align: justify;\"> </p>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 12:40:19", "2012-10-09 10:40:19", "", "96", "http://ru-law.co.il/96-revision-10/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("275", "1", "2012-10-09 12:46:36", "2012-10-09 10:46:36", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\nכיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: ע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>\r\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-19", "", "", "2012-10-09 12:46:36", "2012-10-09 10:46:36", "", "239", "http://ru-law.co.il/239-revision-19/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("276", "1", "2012-10-09 12:48:03", "2012-10-09 10:48:03", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\nכיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: ע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\"> </p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>\r\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-20", "", "", "2012-10-09 12:48:03", "2012-10-09 10:48:03", "", "239", "http://ru-law.co.il/239-revision-20/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("280", "1", "2012-10-09 12:59:45", "2012-10-09 10:59:45", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong>\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n<strong></strong>\r\n\r\n<strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n\r\nהמומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!\r\n\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 12:59:45", "2012-10-09 10:59:45", "", "96", "http://ru-law.co.il/96-revision-13/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("281", "1", "2012-10-09 13:09:24", "2012-10-09 11:09:24", "<p style=\"text-align: justify;\"><strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong>\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n<strong></strong></p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong></p>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</p>\r\n<p style=\"text-align: justify;\"> </p>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 13:09:24", "2012-10-09 11:09:24", "", "96", "http://ru-law.co.il/96-revision-14/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("282", "1", "2012-10-09 13:17:03", "2012-10-09 11:17:03", "<p style=\"text-align: justify;\"><strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.</p>\r\n<p style=\"text-align: justify;\">ההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).</p>\r\n<p style=\"text-align: justify;\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<strong></strong>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong></p>\r\n<p style=\"text-align: justify;\">בעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong></strong></p>\r\n<p style=\"text-align: justify;\"><strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong></p>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</p>\r\n<p style=\"text-align: justify;\"> </p>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 13:17:03", "2012-10-09 11:17:03", "", "96", "http://ru-law.co.il/96-revision-15/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("284", "1", "2012-10-09 13:38:26", "2012-10-09 11:38:26", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong>\r\n\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n<strong></strong>\r\n\r\n<strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n\r\nהמומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!\r\n\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 13:38:26", "2012-10-09 11:38:26", "", "96", "http://ru-law.co.il/96-revision-17/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("285", "1", "2012-10-09 13:38:39", "2012-10-09 11:38:39", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong>\r\n\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n<strong></strong>\r\n\r\n<strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n\r\nהמומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!\r\n\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 13:38:39", "2012-10-09 11:38:39", "", "96", "http://ru-law.co.il/96-revision-18/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("283", "1", "2012-10-09 13:21:17", "2012-10-09 11:21:17", "<p style=\"text-align: justify;\"><strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.</p>\r\n<p style=\"text-align: justify;\">ההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).</p>\r\n<p style=\"text-align: justify;\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<strong></strong>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong></p>\r\n<p style=\"text-align: justify;\">בעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.</p>\r\n<p style=\"text-align: justify;\">כמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.</p>\r\n<p style=\"text-align: justify;\">השירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.</p>\r\n<p style=\"text-align: justify;\">אין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.</p>\r\n<strong></strong>\r\n<p style=\"text-align: justify;\"><strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong></p>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.</p>\r\n<p style=\"text-align: justify;\"><span style=\"color: #ff0000;\"><strong>לצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!</strong></span></p>\r\n<p style=\"text-align: justify;\"><span style=\"color: #ff0000;\"><strong>שלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\"><span style=\"color: #ff0000;\">info@ru-law.co.il</span></a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</strong></span></p>\r\n<p style=\"text-align: justify;\"> </p>", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 13:21:17", "2012-10-09 11:21:17", "", "96", "http://ru-law.co.il/96-revision-16/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("286", "1", "2012-10-09 13:40:11", "2012-10-09 11:40:11", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong>\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n<strong></strong>\r\n\r\n<strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n\r\nהמומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!\r\n\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 13:40:11", "2012-10-09 11:40:11", "", "96", "http://ru-law.co.il/96-revision-19/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("287", "1", "2012-10-09 13:41:46", "2012-10-09 11:41:46", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!</strong>\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n<strong></strong>\r\n\r\n<strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n\r\nהמומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!\r\n\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 13:41:46", "2012-10-09 11:41:46", "", "96", "http://ru-law.co.il/96-revision-20/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("289", "1", "2012-10-09 23:19:24", "2012-10-09 21:19:24", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>סובלים מליקויי בנייה בדירה? הגעתם לפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום מבוסס הצלחה!</strong></em></span></p>\r\n\r\n<ul>\r\n	<li><strong> קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong></li>\r\n	<li><strong> שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong><a href=\"http://ru-law.co.il/wp-content/uploads/2012/10/סטטוסקופ.png\"><img class=\"alignleft  wp-image-463\" alt=\"סטטוסקופ\" src=\"http://ru-law.co.il/wp-content/uploads/2012/10/סטטוסקופ.png\" width=\"144\" height=\"195\" /></a></li>\r\n	<li><strong> הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong></li>\r\n	<li><strong> הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong></li>\r\n	<li><strong> הקבלן מתחמק מתיקון ליקויי בנייה?</strong></li>\r\n	<li><strong> סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong></li>\r\n	<li><strong> הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong></li>\r\n	<li><strong> קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong></li>\r\n</ul>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום </em>להפסקת הסחבת! לתיקון הליקויים!! ולקבלת פיצויים כספיים!!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">בכל יום שעובר ללא טיפול משפטי מקצועי נפגעים הסיכויים לקבלת זכויותיכם מהקבלן</span></strong></p>\r\nמשרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. אנו בעלי נסיון רב שנים בטיפול בתביעות ליקויי בנייה וקבלנים.\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span><strong style=\"color: #ff0000;\">לייעוץ ראשוני ללא התחייבות </strong><em style=\"color: #ff0000;\"><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "publish", "open", "open", "", "%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94-%d7%aa%d7%91%d7%99%d7%a2%d7%95%d7%aa-%d7%a7%d7%91%d7%9c%d7%a0%d7%99%d7%9d", "", "", "2014-07-04 20:39:44", "2014-07-04 17:39:44", "", "0", "http://ru-law.co.il/?p=289", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("411", "1", "2013-07-22 22:46:46", "2013-07-22 19:46:46", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!!!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו ברובו על בסיס הצלחה-אחוזים בלבד !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>לקבלת הצעת מחיר ותיאום פגישה </strong><em><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</a></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-07-22 22:46:46", "2013-07-22 19:46:46", "", "289", "http://ru-law.co.il/289-revision-49/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("288", "1", "2012-10-09 13:42:50", "2012-10-09 11:42:50", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!\r\n</strong>\r\n\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n\r\n<strong></strong>\r\n\r\n<strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong></strong>\r\n\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n\r\nהמומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!\r\n\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 13:42:50", "2012-10-09 11:42:50", "", "96", "http://ru-law.co.il/96-revision-21/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("290", "1", "2012-10-09 23:16:32", "2012-10-09 21:16:32", "<span style=\"font-family: Arial; font-size: small;\">* קניתם חדשה וקיבלתם דירה עם ליקויי בנייה?</span>\n\n* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?\n\n* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?\n\n* הקבלן מתחמק מתיקון ליקויי בנייה?\n\n* סחבת מצד הקבלן בתיקון ליקויי בנייה?\n\n* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?\n\n* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?\n\n&nbsp;\n\nמשרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. פגישת ייעוץ ומכתב התראה ראשוני בחינם !!!\n\n&nbsp;\n\nפנו אלינו עוד היום ועצרו את הסחבת והזלזול מצד הקבלן. צרו קשר בטל\' 03-6246248 או מלאו את פרטיכם בטופס \"צור קשר\" מימין ואנו נחזור אליכם בתוך זמן קצר.", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-09 23:16:32", "2012-10-09 21:16:32", "", "289", "http://ru-law.co.il/289-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("291", "1", "2012-10-09 23:16:40", "2012-10-09 21:16:40", "<span style=\"font-family: Arial; font-size: small;\">* קניתם חדשה וקיבלתם דירה עם ליקויי בנייה?</span>\r\n\r\n* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?\r\n\r\n* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?\r\n\r\n* הקבלן מתחמק מתיקון ליקויי בנייה?\r\n\r\n* סחבת מצד הקבלן בתיקון ליקויי בנייה?\r\n\r\n* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?\r\n\r\n* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?\r\n\r\n&nbsp;\r\n\r\nמשרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. פגישת ייעוץ ומכתב התראה ראשוני בחינם !!!\r\n\r\n&nbsp;\r\n\r\nפנו אלינו עוד היום ועצרו את הסחבת והזלזול מצד הקבלן. צרו קשר בטל\' 03-6246248 או מלאו את פרטיכם בטופס \"צור קשר\" מימין ואנו נחזור אליכם בתוך זמן קצר.", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-09 23:16:40", "2012-10-09 21:16:40", "", "289", "http://ru-law.co.il/289-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("410", "1", "2013-06-23 16:28:41", "2013-06-23 13:28:41", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!!!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו ברובו על בסיס הצלחה-אחוזים בלבד !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">לקבלת יעוץ ראשוני או תיאום פגישה</span></strong></p>\r\n<p style=\"text-align: center;\"><em><strong><span style=\"color: #ff0000;\">התקשרו עכשיו 03-6246250</span></strong></em></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-23 16:28:41", "2013-06-23 13:28:41", "", "289", "http://ru-law.co.il/289-revision-48/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("366", "1", "2013-03-29 10:55:55", "2013-03-29 07:55:55", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום</em> להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק - ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-03-29 10:55:55", "2013-03-29 07:55:55", "", "289", "http://ru-law.co.il/289-revision-26/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("365", "1", "2013-03-01 08:47:27", "2013-03-01 06:47:27", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום</em> להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני <a title=\"ליקויי בנייה\" href=\"http://ru-law.co.il/%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94/\" target=\"_blank\">ליקויי בנייה ותביעות קבלנים</a> ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק - ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-03-01 08:47:27", "2013-03-01 06:47:27", "", "289", "http://ru-law.co.il/289-revision-25/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("361", "1", "2013-02-26 20:38:49", "2013-02-26 18:38:49", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"font-size: 18px; color: #ff0000;\">מחיר מוזל לפונים במהלך חודש פברואר 2013 !!!</span></strong></h2>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום</em> להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני <a title=\"ליקויי בנייה\" href=\"http://ru-law.co.il/%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94/\" target=\"_blank\">ליקויי בנייה ותביעות קבלנים</a> ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-02-26 20:38:49", "2013-02-26 18:38:49", "", "289", "http://ru-law.co.il/289-revision-23/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("293", "1", "2012-10-09 23:19:24", "2012-10-09 21:19:24", "* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?\r\n\r\n* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?\r\n\r\n* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?\r\n\r\n* הקבלן מתחמק מתיקון ליקויי בנייה?\r\n\r\n* סחבת מצד הקבלן בתיקון ליקויי בנייה?\r\n\r\n* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?\r\n\r\n* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?\r\n\r\nמשרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. פגישת ייעוץ ומכתב התראה ראשוני בחינם !!!\r\n\r\nפנו אלינו עוד היום ועצרו את הסחבת והזלזול מצד הקבלן. צרו קשר בטל\' 03-6246248 או מלאו את פרטיכם בטופס \"צור קשר\" מימין ואנו נחזור אליכם בתוך זמן קצר.", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-09 23:19:24", "2012-10-09 21:19:24", "", "289", "http://ru-law.co.il/289-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("294", "1", "2012-10-09 23:22:46", "2012-10-09 21:22:46", "* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?\r\n\r\n* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?\r\n\r\n* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?\r\n\r\n* הקבלן מתחמק מתיקון ליקויי בנייה?\r\n\r\n* סחבת מצד הקבלן בתיקון ליקויי בנייה?\r\n\r\n* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?\r\n\r\n* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?\r\n\r\nמשרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !!!</strong></span>\r\n\r\n<span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> ועצרו את הסחבת והזלזול מצד הקבלן. צרו קשר בטל\' 03-6246248 או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נחזור אליכם בתוך זמן קצר.</span>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-09 23:22:46", "2012-10-09 21:22:46", "", "289", "http://ru-law.co.il/289-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("296", "1", "2012-10-09 12:21:08", "2012-10-09 10:21:08", "<p style=\"text-align: justify;\"><strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong>\r\n<strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.</p>\r\n<p style=\"text-align: justify;\"> \r\n<strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.\r\nמיסוי מקרקעין\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.</p>\r\n<p style=\"text-align: justify;\"> \r\n<strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).</p>\r\n<p style=\"text-align: justify;\"> \r\n<strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\',\r\nבעיות משפטיות - הופכות לפתרונות מקצועיים.</p>\r\n<p style=\"text-align: justify;\"> \r\n<strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-14", "", "", "2012-10-09 12:21:08", "2012-10-09 10:21:08", "", "2", "http://ru-law.co.il/2-revision-14/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("297", "1", "2012-10-09 12:49:30", "2012-10-09 10:49:30", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nחוק המכר (דירות), התשל\"ג-1973 (להלן: \"<strong>חוק המכר דירות</strong>\"), נועד להסדיר את נושא רכישת דירות מקבלנים, תוך הגנה על זכויותיו של הרוכש.\r\n\r\nבחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן (קונה שרכש דירה ממוכר שרכש דירה מקבלן או מקונים אחרים בשרשרת) (להלן: \"<strong>קונה משנה</strong>\").\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\nכיום, בעקבות תיקון מס\' 5 שנכנס לתוקף ביום 6.4.2011, קובע חוק המכר דירות, כי אחריות הקבלן כלפי הקונה הראשון, תחול – בשינויים המחויבים – גם כלפי \"קונה משנה\", אך יחד עם זאת נקבע כי התיקון הנ\"ל לא יחול על דירה בבניין שבנייתו הסתיימה או שחוזה המכר לגביה נחתם לפני יום 6.4.2011.\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\">יצויין, כי גם במקרים שתיקון מס\' 5 הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי [כך נקבע ב: ע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רח\' נורית 19 א\' ואח\' (מיום 16.4.2012); וראו גם ת\"א (מחוזי חיפה) 1423/99 גינזבורג נ\' מורן חברה לבניין בע\"מ (מיום 17.2.2008)].</p>\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\"></p>\r\n<p style=\"text-align: justify;\">יחד עם זאת, במקרה שקונה המשנה היה מודע לליקויים בעת רכישת הדירה, או אז לא יוכל קונה המשנה לתבוע את הקבלן מכח חוק המכר דירות, וזאת לאור הוראות סעיף 12 לחוק המכר, התשכ\"ח-1968 (חוק המכר הכללי - ולא חוק המכר דירות), שבהלכה הפסוקה נקבע כי כוחו יפה גם ביחס לעסקאות לפי חוק המכר דירות [ראו: ע\"א8124/00 קניונים נכסים ובניין בע\"מ נ\' בני יעקב נדל\"ן בע\"מ, פ\"ד נו(5) 198, 217-215 (פס\"ד משנת 2002)].</p>\r\n&nbsp;", "הקבלן אחראי גם כלפי קונה דירה יד שנייה - תיקון חוק המכר (דירות)", "", "inherit", "open", "open", "", "239-revision-21", "", "", "2012-10-09 12:49:30", "2012-10-09 10:49:30", "", "239", "http://ru-law.co.il/239-revision-21/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("299", "1", "2012-10-09 23:28:56", "2012-10-09 21:28:56", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברה מרצון (סגירת חברה מרצון) וביטול חוב אגרות לרשם החברות במחיר מוזל ל- 20 לקוחות נוספים הפונים אלינו דרך האתר (<em><strong>במהלך חודש אוקטובר 2012 בלבד</strong></em>):</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">444 $ כולל מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. לא כולל אגרות בסך כולל של 248 ש\"ח.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-16", "", "", "2012-10-09 23:28:56", "2012-10-09 21:28:56", "", "196", "http://ru-law.co.il/196-revision-16/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("301", "1", "2012-10-09 23:24:01", "2012-10-09 21:24:01", "* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?\r\n\r\n* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?\r\n\r\n* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?\r\n\r\n* הקבלן מתחמק מתיקון ליקויי בנייה?\r\n\r\n* סחבת מצד הקבלן בתיקון ליקויי בנייה?\r\n\r\n* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?\r\n\r\n* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?\r\n\r\nמשרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !!!</strong></span>\r\n\r\n<span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> ועצרו את הסחבת והזלזול מצד הקבלן. צרו קשר בטל\' 03-6246248 או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נחזור אליכם בתוך זמן קצר.</span>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-09 23:24:01", "2012-10-09 21:24:01", "", "289", "http://ru-law.co.il/289-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("302", "1", "2012-10-11 14:53:53", "2012-10-11 12:53:53", "* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?\r\n\r\n* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?\r\n\r\n* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?\r\n\r\n* הקבלן מתחמק מתיקון ליקויי בנייה?\r\n\r\n* סחבת מצד הקבלן בתיקון ליקויי בנייה?\r\n\r\n* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?\r\n\r\n* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?\r\n\r\nמשרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !!!</strong></span>\r\n<p style=\"text-align: justify;\"><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> ועצרו את הסחבת והזלזול מצד הקבלן. צרו קשר בטל\' 03-6246248 או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></p>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-11 14:53:53", "2012-10-11 12:53:53", "", "289", "http://ru-law.co.il/289-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("303", "1", "2012-10-11 14:54:58", "2012-10-11 12:54:58", "* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?\r\n\r\n* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?\r\n\r\n* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?\r\n\r\n* הקבלן מתחמק מתיקון ליקויי בנייה?\r\n\r\n* סחבת מצד הקבלן בתיקון ליקויי בנייה?\r\n\r\n* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?\r\n\r\n* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?\r\n\r\nמשרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !!!</strong></span>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> ועצרו את הסחבת והזלזול מצד הקבלן. צרו קשר בטל\' 03-6246248 או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-11 14:54:58", "2012-10-11 12:54:58", "", "289", "http://ru-law.co.il/289-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("306", "1", "2012-10-12 11:49:57", "2012-10-12 09:49:57", "<p style=\"text-align: justify;\"><strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.</p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.</p>\r\n<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין</strong>\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\',\r\nבעיות משפטיות - הופכות לפתרונות מקצועיים.</p>\r\n<p style=\"text-align: justify;\"><strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-16", "", "", "2012-10-12 11:49:57", "2012-10-12 09:49:57", "", "2", "http://ru-law.co.il/2-revision-16/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("307", "1", "2012-10-11 14:57:38", "2012-10-11 12:57:38", "* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?\r\n\r\n* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?\r\n\r\n* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?\r\n\r\n* הקבלן מתחמק מתיקון ליקויי בנייה?\r\n\r\n* סחבת מצד הקבלן בתיקון ליקויי בנייה?\r\n\r\n* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?\r\n\r\n* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?\r\n\r\nמשרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !!!</strong></span>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> ועצרו את הסחבת והזלזול מצד הקבלן. צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-11 14:57:38", "2012-10-11 12:57:38", "", "289", "http://ru-law.co.il/289-revision-8/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("308", "1", "2012-10-12 12:15:06", "2012-10-12 10:15:06", "* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?\r\n\r\n* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?\r\n\r\n* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?\r\n\r\n* הקבלן מתחמק מתיקון ליקויי בנייה?\r\n\r\n* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?\r\n\r\n* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?\r\n\r\n* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?\r\n\r\nמשרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !</strong></span>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> לתיקון הליקויים ולקבלת פיצויים כספיים !!!</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-12 12:15:06", "2012-10-12 10:15:06", "", "289", "http://ru-law.co.il/289-revision-9/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("309", "1", "2012-10-12 12:16:29", "2012-10-12 10:16:29", "* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?\r\n\r\n* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?\r\n\r\n* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?\r\n\r\n* הקבלן מתחמק מתיקון ליקויי בנייה?\r\n\r\n* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?\r\n\r\n* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?\r\n\r\n* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?\r\n<p style=\"text-align: justify;\">משרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> לתיקון הליקויים ולקבלת פיצויים כספיים !!!</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-12 12:16:29", "2012-10-12 10:16:29", "", "289", "http://ru-law.co.il/289-revision-10/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("310", "1", "2012-09-20 19:12:41", "2012-09-20 16:12:41", "&nbsp;\r\n<h2>אתרים ממשלתיים</h2>\r\n&gt;<a href=\"http://ozar.mof.gov.il/taxes/\"> רשות המיסים (מס הכנסה, מע\"מ, מכס)</a>\r\n\r\n&gt; <a href=\"http://www.court.gov.il/heb/home.htm\">הרשות השופטת</a>\r\n\r\n&gt; <a href=\"http://elyon1.court.gov.il/heb/avoda/AvodaHomePage.htm\">בתי הדין לעבודה</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/mojheb/rasuthataagidim\">רשם החברות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/Maskonot/\">רשם המשכונות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/ApotroposKlali/KonesRishmi\">הכונס הרשמי</a>\r\n<h2></h2>\r\n<h2>מחשבונים</h2>\r\n&gt; <a href=\"https://www.misim.gov.il/svtsvazmit/\">מחשבון מס שבח</a>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/simulator_mekarkein/\">מחשבון מס רכישה</a>\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n<strong>\r\n</strong>", "קישורים", "", "inherit", "open", "open", "", "88-revision-v1", "", "", "2012-09-20 19:12:41", "2012-09-20 16:12:41", "", "88", "http://ru-law.co.il/88-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("311", "1", "2012-10-12 13:50:24", "2012-10-12 11:50:24", "&nbsp;\r\n<h2>אתרים ממשלתיים</h2>\r\n&gt;<a href=\"http://ozar.mof.gov.il/taxes/\"> רשות המיסים (מס הכנסה, מע\"מ, מכס)</a>\r\n\r\n&gt; <a href=\"http://www.court.gov.il/heb/home.htm\">הרשות השופטת</a>\r\n\r\n&gt; <a href=\"http://elyon1.court.gov.il/heb/avoda/AvodaHomePage.htm\">בתי הדין לעבודה</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/mojheb/rasuthataagidim\">רשם החברות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/Maskonot/\">רשם המשכונות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/ApotroposKlali/KonesRishmi\">הכונס הרשמי</a>\r\n<h2>מחשבונים</h2>\r\n&gt; <a href=\"https://www.misim.gov.il/svtsvazmit/\">מחשבון מס שבח</a>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/simulator_mekarkein/\">מחשבון מס רכישה</a>\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n<strong>\r\n</strong>", "קישורים", "", "inherit", "open", "open", "", "88-revision-v1", "", "", "2012-10-12 13:50:24", "2012-10-12 11:50:24", "", "88", "http://ru-law.co.il/88-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("312", "1", "2012-10-12 13:50:42", "2012-10-12 11:50:42", "&nbsp;\r\n<h2>אתרים ממשלתיים</h2>\r\n&gt;<a href=\"http://ozar.mof.gov.il/taxes/\"> רשות המיסים (מס הכנסה, מע\"מ, מכס)</a>\r\n\r\n&gt; <a href=\"http://www.court.gov.il/heb/home.htm\">הרשות השופטת</a>\r\n\r\n&gt; <a href=\"http://elyon1.court.gov.il/heb/avoda/AvodaHomePage.htm\">בתי הדין לעבודה</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/mojheb/rasuthataagidim\">רשם החברות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/Maskonot/\">רשם המשכונות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/ApotroposKlali/KonesRishmi\">הכונס הרשמי</a>\r\n<h2>מחשבונים</h2>\r\n&gt; <a href=\"https://www.misim.gov.il/svtsvazmit/\">מחשבון מס שבח</a>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/simulator_mekarkein/\">מחשבון מס רכישה</a>\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n<strong>\r\n</strong>", "קישורים", "", "inherit", "open", "open", "", "88-revision-v1", "", "", "2012-10-12 13:50:42", "2012-10-12 11:50:42", "", "88", "http://ru-law.co.il/88-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("313", "1", "2012-10-12 14:04:02", "2012-10-12 12:04:02", "&nbsp;\r\n<h2>אתרים ממשלתיים</h2>\r\n&gt;<a href=\"http://ozar.mof.gov.il/taxes/\"> רשות המיסים (מס הכנסה, מע\"מ, מכס)</a>\r\n\r\n&gt; <a href=\"http://www.court.gov.il/heb/home.htm\">הרשות השופטת</a>\r\n\r\n&gt; <a href=\"http://elyon1.court.gov.il/heb/avoda/AvodaHomePage.htm\">בתי הדין לעבודה</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/mojheb/rasuthataagidim\">רשם החברות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/Maskonot/\">רשם המשכונות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/ApotroposKlali/KonesRishmi\">הכונס הרשמי</a>\r\n<h2>ליקויי בנייה - בדק בית</h2>\r\n&gt; <a title=\"המרכז הישראלי בדק בית בע&quot;מ\" href=\"http://www.hometest.co.il/\" target=\"_blank\">המרכז הישראלי בדק בית</a>\r\n\r\n&gt; <a title=\"טרמינל בדק בית\" href=\"http://www.at-terminal.co.il/\" target=\"_blank\">טרמינל</a>\r\n<h2>מחשבונים</h2>\r\n&gt; <a href=\"https://www.misim.gov.il/svtsvazmit/\">מחשבון מס שבח</a>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/simulator_mekarkein/\">מחשבון מס רכישה</a>\r\n\r\n&nbsp;", "קישורים", "", "inherit", "open", "open", "", "88-revision-v1", "", "", "2012-10-12 14:04:02", "2012-10-12 12:04:02", "", "88", "http://ru-law.co.il/88-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("314", "1", "2012-10-12 14:06:44", "2012-10-12 12:06:44", "&nbsp;\r\n<h2>אתרים ממשלתיים</h2>\r\n&gt;<a href=\"http://ozar.mof.gov.il/taxes/\"> רשות המיסים (מס הכנסה, מע\"מ, מכס)</a>\r\n\r\n&gt; <a href=\"http://www.court.gov.il/heb/home.htm\">הרשות השופטת</a>\r\n\r\n&gt; <a href=\"http://elyon1.court.gov.il/heb/avoda/AvodaHomePage.htm\">בתי הדין לעבודה</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/mojheb/rasuthataagidim\">רשם החברות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/Maskonot/\">רשם המשכונות</a>\r\n\r\n&gt; <a href=\"http://www.justice.gov.il/MOJHeb/ApotroposKlali/KonesRishmi\">הכונס הרשמי</a>\r\n<h2>ליקויי בנייה - בדק בית</h2>\r\n&gt; <span style=\"color: #3366ff;\"><a title=\"המרכז הישראלי בדק בית בע&quot;מ\" href=\"http://www.hometest.co.il/\" target=\"_blank\"><span style=\"color: #3366ff;\">המרכז הישראלי בדק בית</span></a></span>\r\n\r\n&gt; <span style=\"color: #3366ff;\"><a title=\"טרמינל בדק בית\" href=\"http://www.at-terminal.co.il/\" target=\"_blank\"><span style=\"color: #3366ff;\">טרמינל</span></a></span>\r\n<h2>מחשבונים</h2>\r\n&gt; <a href=\"https://www.misim.gov.il/svtsvazmit/\">מחשבון מס שבח</a>\r\n\r\n&gt; <a href=\"https://www.misim.gov.il/simulator_mekarkein/\">מחשבון מס רכישה</a>\r\n\r\n&nbsp;", "קישורים", "", "inherit", "open", "open", "", "88-revision-v1", "", "", "2012-10-12 14:06:44", "2012-10-12 12:06:44", "", "88", "http://ru-law.co.il/88-revision-8/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("315", "1", "2012-10-12 15:51:08", "2012-10-12 13:51:08", "מאת: פיני רובינשטיין, עו\"ד\r\n<p style=\"text-align: justify;\">רע\"א 38146-05-12 עיריית פתח תקווה נ\' פדרל פרטס שותפות מוגבלת, ניתן ביום 2.10.2012 ע\"י בית המשפט המחוזי מרכז.</p>\r\n<span style=\"text-decoration: underline;\"><strong>עובדות</strong></span>\r\n<p style=\"text-align: justify;\">1. בקשת רשות ערעור על החלטת בית משפט השלום, לפיה נדחתה בקשת הנתבעת, עיריית פתח תקווה (להלן: \"העירייה\"), לסלק על הסף את תביעה כספית שהגישה נגדה המשיבה (להלן: \"התובעת\").</p>\r\n<p style=\"text-align: justify;\">2. ברקע הבקשה, תביעה להשבת כספי ארנונה שנגבו ביתר מהתובעת, זאת נוכח אי חוקיות שנפלה בתהליך חקיקת סווג הנכסים, משנעשתה ללא קבלת אישור השרים כנדרש.</p>\r\n<p style=\"text-align: justify;\">3. העירייה עתרה לדחיית התביעה על הסף מחמת חוסר סמכות עניינית. העירייה טענה, בין היתר, כי תביעה להשבת ארנונה ששולמה ביתר אינה תביעה כספית מובהקת, אלא מדובר בהשגה עקיפה על החלטתה בכל הנוגע לחיוב בארנונה, ולכן היה על התובעת לפנות בעניין זה בעתירה מינהלית לבית המשפט לעניינים מינהליים, במועד.</p>\r\n<p style=\"text-align: justify;\">4. בית משפט השלום קבע כי המבחן הקובע לעניין הכרעה בשאלת הסמכות העניינית הוא מבחן הסעד, ומאחר שהסעד המבוקש בתביעה הוא סעד כספי, אזי הסמכות נתונה לבית המשפט האזרחי, ובענייננו - לבית משפט השלום.</p>\r\n<span style=\"text-decoration: underline;\"><strong>בית המשפט המחוזי קבע</strong></span>\r\n<p style=\"text-align: justify;\">1. הסעד העיקרי הנתבע הוא פיצוי כספי, ובחינת חוקיותה של החלטת הרשות טפלה לו ועל כן סבורני, כי צדק בית המשפט קמא בקביעתו כי מסורה בידיו הסמכות העניינית לדון בתביעה.</p>\r\n<p style=\"text-align: justify;\">2. המדובר בענייננו בסעד של השבה, שהינו סעד כספי מובהק, ולא בביטול או שינוי החלטה מינהלית של העירייה שבה נתקפת ההחלטה המינהלית ישירות, שאז אכן היה יסוד לטענת העירייה, כי הסמכות נתונה לבית המשפט לעניינים מנהליים.</p>\r\n<p style=\"text-align: justify;\">3. אין כאן תקיפה של ההחלטה המינהלית, אלא תובענה כספית שההחלטה המינהלית נבחנת באופן נגרר וטפל לה, ובית המשפט האזרחי מוסמך לדון בה, וזאת במסגרת סמכותו של בית המשפט האזרחי לפי סעיף 76 לחוק בתי המשפט [נוסח משולב], תשמ\"ד-1984.</p>\r\n<p style=\"text-align: justify;\">4. שנית, וכידוע, <strong>אפילו נולדה עילת תביעה כספית בתחום המשפט המינהלי, נתונה הסמכות לדון בה לבתי המשפט האזרחיים. המבחן היחיד הקובע הוא מבחן הסעד \"ואין נפקא מינה לדינא, אם עילתה של התובענה נולדה בתחום המשפט המינהלי, שגם במקרה זה אין מדובר אלא ב\'תביעה אזרחית\', שהסמכות לדון בה נקבעת לפי סכום התביעה, ומי שתובע כסף אין לומר עליו שתביעתו היא כיסוי לדבר אחר\", זאת בהתאם להלכה שלפיה סמכותו העניינית של בית המשפט נקבעת לפי מבחן הסעד</strong>.</p>\r\n<p style=\"text-align: justify;\">5. בנסיבות אלה נדחית בקשת רשות הערעור של העירייה.</p>\r\n&nbsp;", "הסמכות לדון בתביעה להשבת כספי ארנונה שנגבו ביתר, נתונה בידי בתי המשפט האזרחיים - ולא בבית משפט מינהלי", "", "publish", "open", "open", "", "%d7%94%d7%a1%d7%9e%d7%9b%d7%95%d7%aa-%d7%9c%d7%93%d7%95%d7%9f-%d7%91%d7%aa%d7%91%d7%99%d7%a2%d7%94-%d7%9c%d7%94%d7%a9%d7%91%d7%aa-%d7%9b%d7%a1%d7%a4%d7%99-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94-%d7%a9", "", "", "2012-10-19 13:33:25", "2012-10-19 11:33:25", "", "0", "http://ru-law.co.il/?p=315", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("316", "1", "2012-10-12 15:49:47", "2012-10-12 13:49:47", "מאת: פיני רובינשטיין, עו\"ד\n\nרע\"א 38146-05-12 עיריית פתח תקווה נ\' פדרל פרטס שותפות מוגבלת, ניתן ביום 2.10.2012 ע\"י בית המשפט המחוזי מרכז.\n\n<strong>עובדות</strong>\n\n1. בקשת רשות ערעור על החלטת בית משפט השלום, לפיה נדחתה בקשת הנתבעת, עיריית פתח תקווה (להלן: \"העירייה\"), לסלק על הסף את תביעה כספית שהגישה נגדה המשיבה (להלן: \"התובעת\").\n\n2. ברקע הבקשה, תביעה להשבת כספי ארנונה שנגבו ביתר מהתובעת, זאת נוכח אי חוקיות שנפלה בתהליך חקיקת סווג הנכסים, משנעשתה ללא קבלת אישור השרים כנדרש.\n\n3. העירייה עתרה לדחיית התביעה על הסף מחמת חוסר סמכות עניינית. העירייה טענה, בין היתר, כי תביעה להשבת ארנונה ששולמה ביתר אינה תביעה כספית מובהקת, אלא מדובר בהשגה עקיפה על החלטתה בכל הנוגע לחיוב בארנונה, ולכן היה על התובעת לפנות בעניין זה בעתירה מינהלית לבית המשפט לעניינים מינהליים, במועד.\n\n4. בית משפט השלום קבע כי המבחן הקובע לעניין הכרעה בשאלת הסמכות העניינית הוא מבחן הסעד, ומאחר שהסעד המבוקש בתביעה הוא סעד כספי, אזי הסמכות נתונה לבית המשפט האזרחי, ובענייננו - לבית משפט השלום.\n\nבית המשפט המחוזי קבע\n\n1. הסעד העיקרי הנתבע הוא פיצוי כספי, ובחינת חוקיותה של החלטת הרשות טפלה לו ועל כן סבורני, כי צדק בית המשפט קמא בקביעתו כי מסורה בידיו הסמכות העניינית לדון בתביעה.\n\n2. המדובר בענייננו בסעד של השבה, שהינו סעד כספי מובהק, ולא בביטול או שינוי החלטה מינהלית של העירייה שבה נתקפת ההחלטה המינהלית ישירות, שאז אכן היה יסוד לטענת העירייה, כי הסמכות נתונה לבית המשפט לעניינים מנהליים.\n\n3. אין כאן תקיפה של ההחלטה המינהלית, אלא תובענה כספית שההחלטה המינהלית נבחנת באופן נגרר וטפל לה, ובית המשפט האזרחי מוסמך לדון בה, וזאת במסגרת סמכותו של בית המשפט האזרחי לפי סעיף 76 לחוק בתי המשפט [נוסח משולב], תשמ\"ד-1984.\n\n4. שנית, וכידוע, אפילו נולדה עילת תביעה כספית בתחום המשפט המינהלי, נתונה הסמכות לדון בה לבתי המשפט האזרחיים. המבחן היחיד הקובע הוא מבחן הסעד \"ואין נפקא מינה לדינא, אם עילתה של התובענה נולדה בתחום המשפט המינהלי, שגם במקרה זה אין מדובר אלא ב\'תביעה אזרחית\', שהסמכות לדון בה נקבעת לפי סכום התביעה, ומי שתובע כסף אין לומר עליו שתביעתו היא כיסוי לדבר אחר\", זאת בהתאם להלכה שלפיה סמכותו העניינית של בית המשפט נקבעת לפי מבחן הסעד.\n\n5. בנסיבות אלה נדחית בקשת רשות הערעור של העירייה.\n\n&nbsp;", "הסמכות לדון בתביעה להשבת כספי ארנונה שנגבו ביתר, נתונה בידי בתי המשפט האזרחיים - ולא בבית משפט מינהלי", "", "inherit", "open", "open", "", "315-revision", "", "", "2012-10-12 15:49:47", "2012-10-12 13:49:47", "", "315", "http://ru-law.co.il/315-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("317", "1", "2012-10-12 15:50:46", "2012-10-12 13:50:46", "מאת: פיני רובינשטיין, עו\"ד\n\nרע\"א 38146-05-12 עיריית פתח תקווה נ\' פדרל פרטס שותפות מוגבלת, ניתן ביום 2.10.2012 ע\"י בית המשפט המחוזי מרכז.\n\n<strong>עובדות</strong>\n\n1. בקשת רשות ערעור על החלטת בית משפט השלום, לפיה נדחתה בקשת הנתבעת, עיריית פתח תקווה (להלן: \"העירייה\"), לסלק על הסף את תביעה כספית שהגישה נגדה המשיבה (להלן: \"התובעת\").\n\n2. ברקע הבקשה, תביעה להשבת כספי ארנונה שנגבו ביתר מהתובעת, זאת נוכח אי חוקיות שנפלה בתהליך חקיקת סווג הנכסים, משנעשתה ללא קבלת אישור השרים כנדרש.\n\n3. העירייה עתרה לדחיית התביעה על הסף מחמת חוסר סמכות עניינית. העירייה טענה, בין היתר, כי תביעה להשבת ארנונה ששולמה ביתר אינה תביעה כספית מובהקת, אלא מדובר בהשגה עקיפה על החלטתה בכל הנוגע לחיוב בארנונה, ולכן היה על התובעת לפנות בעניין זה בעתירה מינהלית לבית המשפט לעניינים מינהליים, במועד.\n\n4. בית משפט השלום קבע כי המבחן הקובע לעניין הכרעה בשאלת הסמכות העניינית הוא מבחן הסעד, ומאחר שהסעד המבוקש בתביעה הוא סעד כספי, אזי הסמכות נתונה לבית המשפט האזרחי, ובענייננו - לבית משפט השלום.\n\n<strong>בית המשפט המחוזי קבע</strong>\n\n1. הסעד העיקרי הנתבע הוא פיצוי כספי, ובחינת חוקיותה של החלטת הרשות טפלה לו ועל כן סבורני, כי צדק בית המשפט קמא בקביעתו כי מסורה בידיו הסמכות העניינית לדון בתביעה.\n\n2. המדובר בענייננו בסעד של השבה, שהינו סעד כספי מובהק, ולא בביטול או שינוי החלטה מינהלית של העירייה שבה נתקפת ההחלטה המינהלית ישירות, שאז אכן היה יסוד לטענת העירייה, כי הסמכות נתונה לבית המשפט לעניינים מנהליים.\n\n3. אין כאן תקיפה של ההחלטה המינהלית, אלא תובענה כספית שההחלטה המינהלית נבחנת באופן נגרר וטפל לה, ובית המשפט האזרחי מוסמך לדון בה, וזאת במסגרת סמכותו של בית המשפט האזרחי לפי סעיף 76 לחוק בתי המשפט [נוסח משולב], תשמ\"ד-1984.\n\n4. שנית, וכידוע, <strong>אפילו נולדה עילת תביעה כספית בתחום המשפט המינהלי, נתונה הסמכות לדון בה לבתי המשפט האזרחיים. המבחן היחיד הקובע הוא מבחן הסעד \"ואין נפקא מינה לדינא, אם עילתה של התובענה נולדה בתחום המשפט המינהלי, שגם במקרה זה אין מדובר אלא ב\'תביעה אזרחית\', שהסמכות לדון בה נקבעת לפי סכום התביעה, ומי שתובע כסף אין לומר עליו שתביעתו היא כיסוי לדבר אחר\", זאת בהתאם להלכה שלפיה סמכותו העניינית של בית המשפט נקבעת לפי מבחן הסעד</strong>.\n\n5. בנסיבות אלה נדחית בקשת רשות הערעור של העירייה.\n\n&nbsp;", "הסמכות לדון בתביעה להשבת כספי ארנונה שנגבו ביתר, נתונה בידי בתי המשפט האזרחיים - ולא בבית משפט מינהלי", "", "inherit", "open", "open", "", "315-revision-2", "", "", "2012-10-12 15:50:46", "2012-10-12 13:50:46", "", "315", "http://ru-law.co.il/315-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("318", "1", "2012-10-12 15:53:57", "2012-10-12 13:53:57", "מאת: פיני רובינשטיין, עו\"ד\n<p style=\"text-align: justify;\">רע\"א 38146-05-12 עיריית פתח תקווה נ\' פדרל פרטס שותפות מוגבלת, ניתן ביום 2.10.2012 ע\"י בית המשפט המחוזי מרכז.</p>\n<strong>עובדות</strong>\n<p style=\"text-align: justify;\">1. בקשת רשות ערעור על החלטת בית משפט השלום, לפיה נדחתה בקשת הנתבעת, עיריית פתח תקווה (להלן: \"העירייה\"), לסלק על הסף את תביעה כספית שהגישה נגדה המשיבה (להלן: \"התובעת\").</p>\n<p style=\"text-align: justify;\">2. ברקע הבקשה, תביעה להשבת כספי ארנונה שנגבו ביתר מהתובעת, זאת נוכח אי חוקיות שנפלה בתהליך חקיקת סווג הנכסים, משנעשתה ללא קבלת אישור השרים כנדרש.</p>\n<p style=\"text-align: justify;\">3. העירייה עתרה לדחיית התביעה על הסף מחמת חוסר סמכות עניינית. העירייה טענה, בין היתר, כי תביעה להשבת ארנונה ששולמה ביתר אינה תביעה כספית מובהקת, אלא מדובר בהשגה עקיפה על החלטתה בכל הנוגע לחיוב בארנונה, ולכן היה על התובעת לפנות בעניין זה בעתירה מינהלית לבית המשפט לעניינים מינהליים, במועד.</p>\n<p style=\"text-align: justify;\">4. בית משפט השלום קבע כי המבחן הקובע לעניין הכרעה בשאלת הסמכות העניינית הוא מבחן הסעד, ומאחר שהסעד המבוקש בתביעה הוא סעד כספי, אזי הסמכות נתונה לבית המשפט האזרחי, ובענייננו - לבית משפט השלום.</p>\n<strong>בית המשפט המחוזי קבע</strong>\n<p style=\"text-align: justify;\">1. הסעד העיקרי הנתבע הוא פיצוי כספי, ובחינת חוקיותה של החלטת הרשות טפלה לו ועל כן סבורני, כי צדק בית המשפט קמא בקביעתו כי מסורה בידיו הסמכות העניינית לדון בתביעה.</p>\n<p style=\"text-align: justify;\">2. המדובר בענייננו בסעד של השבה, שהינו סעד כספי מובהק, ולא בביטול או שינוי החלטה מינהלית של העירייה שבה נתקפת ההחלטה המינהלית ישירות, שאז אכן היה יסוד לטענת העירייה, כי הסמכות נתונה לבית המשפט לעניינים מנהליים.</p>\n<p style=\"text-align: justify;\">3. אין כאן תקיפה של ההחלטה המינהלית, אלא תובענה כספית שההחלטה המינהלית נבחנת באופן נגרר וטפל לה, ובית המשפט האזרחי מוסמך לדון בה, וזאת במסגרת סמכותו של בית המשפט האזרחי לפי סעיף 76 לחוק בתי המשפט [נוסח משולב], תשמ\"ד-1984.</p>\n<p style=\"text-align: justify;\">4. שנית, וכידוע, <strong>אפילו נולדה עילת תביעה כספית בתחום המשפט המינהלי, נתונה הסמכות לדון בה לבתי המשפט האזרחיים. המבחן היחיד הקובע הוא מבחן הסעד \"ואין נפקא מינה לדינא, אם עילתה של התובענה נולדה בתחום המשפט המינהלי, שגם במקרה זה אין מדובר אלא ב\'תביעה אזרחית\', שהסמכות לדון בה נקבעת לפי סכום התביעה, ומי שתובע כסף אין לומר עליו שתביעתו היא כיסוי לדבר אחר\", זאת בהתאם להלכה שלפיה סמכותו העניינית של בית המשפט נקבעת לפי מבחן הסעד</strong>.</p>\n<p style=\"text-align: justify;\">5. בנסיבות אלה נדחית בקשת רשות הערעור של העירייה.</p>\n&nbsp;", "הסמכות לדון בתביעה להשבת כספי ארנונה שנגבו ביתר, נתונה בידי בתי המשפט האזרחיים - ולא בבית משפט מינהלי", "", "inherit", "open", "open", "", "315-autosave", "", "", "2012-10-12 15:53:57", "2012-10-12 13:53:57", "", "315", "http://ru-law.co.il/315-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("319", "1", "2012-10-12 15:51:08", "2012-10-12 13:51:08", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nרע\"א 38146-05-12 עיריית פתח תקווה נ\' פדרל פרטס שותפות מוגבלת, ניתן ביום 2.10.2012 ע\"י בית המשפט המחוזי מרכז.\r\n\r\n<strong>עובדות</strong>\r\n\r\n1. בקשת רשות ערעור על החלטת בית משפט השלום, לפיה נדחתה בקשת הנתבעת, עיריית פתח תקווה (להלן: \"העירייה\"), לסלק על הסף את תביעה כספית שהגישה נגדה המשיבה (להלן: \"התובעת\").\r\n\r\n2. ברקע הבקשה, תביעה להשבת כספי ארנונה שנגבו ביתר מהתובעת, זאת נוכח אי חוקיות שנפלה בתהליך חקיקת סווג הנכסים, משנעשתה ללא קבלת אישור השרים כנדרש.\r\n\r\n3. העירייה עתרה לדחיית התביעה על הסף מחמת חוסר סמכות עניינית. העירייה טענה, בין היתר, כי תביעה להשבת ארנונה ששולמה ביתר אינה תביעה כספית מובהקת, אלא מדובר בהשגה עקיפה על החלטתה בכל הנוגע לחיוב בארנונה, ולכן היה על התובעת לפנות בעניין זה בעתירה מינהלית לבית המשפט לעניינים מינהליים, במועד.\r\n\r\n4. בית משפט השלום קבע כי המבחן הקובע לעניין הכרעה בשאלת הסמכות העניינית הוא מבחן הסעד, ומאחר שהסעד המבוקש בתביעה הוא סעד כספי, אזי הסמכות נתונה לבית המשפט האזרחי, ובענייננו - לבית משפט השלום.\r\n\r\n<strong>בית המשפט המחוזי קבע</strong>\r\n\r\n1. הסעד העיקרי הנתבע הוא פיצוי כספי, ובחינת חוקיותה של החלטת הרשות טפלה לו ועל כן סבורני, כי צדק בית המשפט קמא בקביעתו כי מסורה בידיו הסמכות העניינית לדון בתביעה.\r\n\r\n2. המדובר בענייננו בסעד של השבה, שהינו סעד כספי מובהק, ולא בביטול או שינוי החלטה מינהלית של העירייה שבה נתקפת ההחלטה המינהלית ישירות, שאז אכן היה יסוד לטענת העירייה, כי הסמכות נתונה לבית המשפט לעניינים מנהליים.\r\n\r\n3. אין כאן תקיפה של ההחלטה המינהלית, אלא תובענה כספית שההחלטה המינהלית נבחנת באופן נגרר וטפל לה, ובית המשפט האזרחי מוסמך לדון בה, וזאת במסגרת סמכותו של בית המשפט האזרחי לפי סעיף 76 לחוק בתי המשפט [נוסח משולב], תשמ\"ד-1984.\r\n\r\n4. שנית, וכידוע, <strong>אפילו נולדה עילת תביעה כספית בתחום המשפט המינהלי, נתונה הסמכות לדון בה לבתי המשפט האזרחיים. המבחן היחיד הקובע הוא מבחן הסעד \"ואין נפקא מינה לדינא, אם עילתה של התובענה נולדה בתחום המשפט המינהלי, שגם במקרה זה אין מדובר אלא ב\'תביעה אזרחית\', שהסמכות לדון בה נקבעת לפי סכום התביעה, ומי שתובע כסף אין לומר עליו שתביעתו היא כיסוי לדבר אחר\", זאת בהתאם להלכה שלפיה סמכותו העניינית של בית המשפט נקבעת לפי מבחן הסעד</strong>.\r\n\r\n5. בנסיבות אלה נדחית בקשת רשות הערעור של העירייה.\r\n\r\n&nbsp;", "הסמכות לדון בתביעה להשבת כספי ארנונה שנגבו ביתר, נתונה בידי בתי המשפט האזרחיים - ולא בבית משפט מינהלי", "", "inherit", "open", "open", "", "315-revision-3", "", "", "2012-10-12 15:51:08", "2012-10-12 13:51:08", "", "315", "http://ru-law.co.il/315-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("320", "1", "2012-10-12 13:46:02", "2012-10-12 11:46:02", "<h1 style=\"text-align: center;\"><span style=\"text-decoration: underline;\"><strong><span style=\"color: #ff6600; text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?\r\n\r\n* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?\r\n\r\n* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?\r\n\r\n* הקבלן מתחמק מתיקון ליקויי בנייה?\r\n\r\n* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?\r\n\r\n* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?\r\n\r\n* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?\r\n<p style=\"text-align: justify;\">משרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> לתיקון הליקויים ולקבלת פיצויים כספיים !!!</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-12 13:46:02", "2012-10-12 11:46:02", "", "289", "http://ru-law.co.il/289-revision-11/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("321", "1", "2012-10-14 15:50:47", "2012-10-14 13:50:47", "<h1 style=\"text-align: center;\"><span style=\"text-decoration: underline;\"><strong><span style=\"color: #ff6600; text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: justify;\">משרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון של כ- 10 שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> לתיקון הליקויים ולקבלת פיצויים כספיים !!!</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-14 15:50:47", "2012-10-14 13:50:47", "", "289", "http://ru-law.co.il/289-revision-12/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("322", "1", "2012-10-05 17:21:04", "2012-10-05 15:21:04", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> או לפקס</span><span style=\"color: #ff0000;\"> 03-6246247 ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">\r\nלבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">\r\nלהפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-05 17:21:04", "2012-10-05 15:21:04", "", "228", "http://ru-law.co.il/228-revision-10/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("336", "1", "2012-10-18 16:47:35", "2012-10-18 14:47:35", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר ארנונה</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"rtl\" align=\"justify\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\">משרד עורכי הדין פ. רובינשטיין ושות\'</span></span> הינו משרד בוטיק מהמובילים בארץ, המתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר ארנונה רטרואקטיבי</span></strong> (החזר של תשלומי ארנונה ששולמו ביתר)<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> או לפקס</span><span style=\"color: #ff0000;\"> 03-6246247 ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">\r\nלבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">\r\nלהפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין ואנו נחזור אליך בהקדם</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-18 16:47:35", "2012-10-18 14:47:35", "", "228", "http://ru-law.co.il/228-revision-13/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("323", "1", "2012-10-14 16:53:04", "2012-10-14 14:53:04", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> או לפקס</span><span style=\"color: #ff0000;\"> 03-6246247 ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">\r\nלבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">\r\nלהפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין ואנו נחזור אליך בהקדם</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-14 16:53:04", "2012-10-14 14:53:04", "", "228", "http://ru-law.co.il/228-revision-11/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("324", "1", "2012-10-12 11:51:42", "2012-10-12 09:51:42", "<p style=\"text-align: justify;\"><strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\',</strong>\r\n<strong>\"משרד בוטיק\" המתמחה בפתרונות משפטיים בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.</p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.</p>\r\n<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין</strong>\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\',\r\nבעיות משפטיות - הופכות לפתרונות מקצועיים.</p>\r\n<p style=\"text-align: justify;\"><strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-17", "", "", "2012-10-12 11:51:42", "2012-10-12 09:51:42", "", "2", "http://ru-law.co.il/2-revision-17/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("325", "1", "2012-10-14 17:09:53", "2012-10-14 15:09:53", "<p style=\"text-align: justify;\"><strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\' הינו </strong><strong>\"משרד בוטיק\" מהמובילים בארץ, המתמחה בפתרונות משפטיים בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.</p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.</p>\r\n<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין</strong>\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\',\r\nבעיות משפטיות - הופכות לפתרונות מקצועיים.</p>\r\n<p style=\"text-align: justify;\"><strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-18", "", "", "2012-10-14 17:09:53", "2012-10-14 15:09:53", "", "2", "http://ru-law.co.il/2-revision-18/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("326", "1", "2012-10-12 11:45:22", "2012-10-12 09:45:22", "<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' מספק שירותים משפטיים בתחום האזרחי-מסחרי.</strong></p>\r\n<p style=\"text-align: justify;\">אנו מציעים שירות איכותי המבוסס על מספר עקרונות:</p>\r\n<p style=\"text-align: justify;\"><strong>מחויבות לכל אורך הדרך</strong> – אנו מחויבים למטרות הלקוח ומספקים שירות המבוסס על ניסיון רב, הבנה מעמיקה, ואכפתיות.</p>\r\n<p style=\"text-align: justify;\"><strong>קשר אישי</strong> - אצלנו הלקוח אינו \"תיק\" או \"סוגיה משפטית\" אלא קודם כל אדם שזקוק לעזרה משפטית. גישה זו מנחה אותנו לכל אורך הדרך בקשרי לקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>מומחיות ומיומנות</strong> - מייסד המשרד והעומד בראשו, עו\"ד פיני רובינשטיין, הוא משפטן בעל ותק מקצועי וניסיון רב ממנו נהנים הצוות המקצועי וכלל הלקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>פתרונות יצירתיים</strong> – אנו גאים לספק ללקוחותינו גישה מעמיקה, ניתוח משפטי, יוזמה, ויישום עדכני של דינים, תיקוני חוק ותקנות חדשים.</p>\r\n<p style=\"text-align: justify;\">הודות לשירות לקוחות ללא פשרות, נהנה המשרד מבסיס לקוחות מגוון הכולל: גופים ציבוריים, חברות מסחריות, ולקוחות פרטיים.</p>\r\n\r\n<h2 style=\"text-align: justify;\">פתרונות משפטיים</h2>\r\n<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' הוא \"משרד בוטיק\"</strong></p>\r\n<p style=\"text-align: justify;\"><strong>המספק ייעוץ, ליווי, וייצוג, בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב חברות לטפל בהיבט המשפטי של הישות העסקית ברמה כמעט יומיומית. אנו מספקים שירותים משפטיים למגוון חברות מסקטורים שונים של המשק, ובכך מסייעים להן למנף את עסקיהן.</p>\r\n<p style=\"text-align: justify;\">תחום זה ידוע כתחום דינאמי הכולל התמחויות רבות, לרבות:</p>\r\n<p style=\"text-align: justify;\">*ייעוץ משפטי מסחרי.</p>\r\n<p style=\"text-align: justify;\">*עריכת חוזים.</p>\r\n<p style=\"text-align: justify;\">*תכנון עסקאות.</p>\r\n<p style=\"text-align: justify;\">*הסכמי מייסדים ויזמות.</p>\r\n<p style=\"text-align: justify;\">*מכירה ורכישה של חברות.</p>\r\n<p style=\"text-align: justify;\">*טיפול משפטי בסכסוכים מסחריים בין חברות.</p>\r\n<p style=\"text-align: justify;\">*פתרון סכסוכים בין בעלי מניות.</p>\r\n<p style=\"text-align: justify;\">*פירוק חברה מרצון (או שלא מרצון).</p>\r\n<p style=\"text-align: justify;\">*טיפול בכל הנושאים המשפטיים שהם חלק מהתנהלותן השוטפת של חברות (על בסיס ריטיינר חודשי או על בסיס הסכם התקשרות אחר) ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong></p>\r\n<p style=\"text-align: justify;\">כמעט כל אחד מאתנו נזקק במהלך חייו לעורך דין המתמחה בדיני מקרקעין. תחום זה כולל:</p>\r\n<p style=\"text-align: justify;\">*רכישת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*מכירת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*קניית מגרש לבנייה.</p>\r\n<p style=\"text-align: justify;\">*עסקאות מכר במושבים ובהרחבות.</p>\r\n<p style=\"text-align: justify;\">*עסקאות קומבינציה.</p>\r\n<p style=\"text-align: justify;\">*יעוץ וסיוע משפטי בענייני תכנון ובנייה.</p>\r\n<p style=\"text-align: justify;\">*טיפול בענייני הפקעות מקרקעין.</p>\r\n<p style=\"text-align: justify;\">*תביעות בגין ירידת ערך בגין פגיעת תוכנית.</p>\r\n<p style=\"text-align: justify;\">*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.</p>\r\n<p style=\"text-align: justify;\">אלו רק חלק מהפעולות שכדאי ורצוי לעשות בעזרת עורך דין המתמחה במקרקעין ונדל\"ן.</p>\r\n<p style=\"text-align: justify;\">אל תוותר על הייעוץ המקצועי ביותר שיחסוך לך כספים ועוגמת נפש.</p>\r\n<p style=\"text-align: justify;\"> <strong>מיסוי מקרקעין</strong></p>\r\n<p style=\"text-align: justify;\">עסקאות מקרקעין כוללות הוצאות גבוהות נוספות (מעבר לעלות הנכס עצמו) בגין מיסים שונים:</p>\r\n<p style=\"text-align: justify;\">*מס רכישה.</p>\r\n<p style=\"text-align: justify;\">*מס שבח.</p>\r\n<p style=\"text-align: justify;\">*מע\"מ (במקרים מסוימים).</p>\r\n<p style=\"text-align: justify;\">*היטל השבחה (במקרים מסוימים) ועוד.</p>\r\n<p style=\"text-align: justify;\">ביצוע עסקאות בעלות כה גבוהה דורשת ליווי מקצועי שיחסוך לך כסף רב בהווה ובעתיד.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים (מידי) עסקים וארגונים משלמים ארנונה גבוהה מידי!</p>\r\n<p style=\"text-align: justify;\">משרדנו עורך בדיקה ומטפל במקרים שבהם מתגלה עודף גביה.</p>\r\n<p style=\"text-align: justify;\">אנו נסייע לך לתבוע את ההחזרים המגיעים לך במקרים שיימצאו חיובי יתר.</p>\r\n<p style=\"text-align: justify;\">עסקים רבים כבר נהנו מהפחתת החיובים השוטפים, ומהחזרים כספיים משמעותיים.</p>\r\n<p style=\"text-align: justify;\">בנוסף, אנו מספקים שירות משפטי במקרים הבאים:</p>\r\n<p style=\"text-align: justify;\">ייצוג בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה מנהליים שהתיישנו.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה אישית (של חובות ארנונה של חברה מבעלי המניות בחברה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בניה</strong></p>\r\n<p style=\"text-align: justify;\">למרבה הצער, דיירים רבים נזקקים לייצוג וליווי משפטי בתביעות ליקויי בנייה נגד קבלני בניין, בגין כשלים בבניה. אל תתפשר - בעזרת טיפול משפטי הולם תוכל לאכוף את התחייבויות הקבלן כלפיך, וליהנות מנכס שעומד בסטנדרטים ובתקנים הנדרשים!</p>\r\n<p style=\"text-align: justify;\"><strong>אם יש לך בעיה משפטית - צור קשר!</strong></p>\r\n<p style=\"text-align: justify;\">אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</p>\r\n<p style=\"text-align: justify;\">ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</p>\r\n<p style=\"text-align: justify;\"><strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אודותינו", "", "inherit", "open", "open", "", "94-revision-10", "", "", "2012-10-12 11:45:22", "2012-10-12 09:45:22", "", "94", "http://ru-law.co.il/94-revision-10/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("327", "1", "2012-10-14 17:16:22", "2012-10-14 15:16:22", "<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' מספק שירותים משפטיים בתחום המשפט המסחרי ובמקרקעין-נדל\"ן.</strong></p>\r\n<p style=\"text-align: justify;\">אנו מציעים שירות איכותי המבוסס על מספר עקרונות:</p>\r\n<p style=\"text-align: justify;\"><strong>מחויבות לכל אורך הדרך</strong> – אנו מחויבים למטרות הלקוח ומספקים שירות המבוסס על ניסיון רב, הבנה מעמיקה, ואכפתיות.</p>\r\n<p style=\"text-align: justify;\"><strong>קשר אישי</strong> - אצלנו הלקוח אינו \"תיק\" או \"סוגיה משפטית\" אלא קודם כל אדם שזקוק לעזרה משפטית. גישה זו מנחה אותנו לכל אורך הדרך בקשרי לקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>מומחיות ומיומנות</strong> - מייסד המשרד והעומד בראשו, עו\"ד פיני רובינשטיין, הוא משפטן בעל ותק מקצועי וניסיון רב ממנו נהנים הצוות המקצועי וכלל הלקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>פתרונות יצירתיים</strong> – אנו גאים לספק ללקוחותינו גישה מעמיקה, ניתוח משפטי, יוזמה, ויישום עדכני של דינים, תיקוני חוק ותקנות חדשים.</p>\r\n<p style=\"text-align: justify;\">הודות לשירות לקוחות ללא פשרות, נהנה המשרד מבסיס לקוחות מגוון הכולל: גופים ציבוריים, חברות מסחריות, ולקוחות פרטיים.</p>\r\n\r\n<h2 style=\"text-align: justify;\">פתרונות משפטיים</h2>\r\n<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' הוא \"משרד בוטיק\"</strong></p>\r\n<p style=\"text-align: justify;\"><strong>המספק ייעוץ, ליווי, וייצוג, בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב חברות לטפל בהיבט המשפטי של הישות העסקית ברמה כמעט יומיומית. אנו מספקים שירותים משפטיים למגוון חברות מסקטורים שונים של המשק, ובכך מסייעים להן למנף את עסקיהן.</p>\r\n<p style=\"text-align: justify;\">תחום זה ידוע כתחום דינאמי הכולל התמחויות רבות, לרבות:</p>\r\n<p style=\"text-align: justify;\">*ייעוץ משפטי מסחרי.</p>\r\n<p style=\"text-align: justify;\">*עריכת חוזים.</p>\r\n<p style=\"text-align: justify;\">*תכנון עסקאות.</p>\r\n<p style=\"text-align: justify;\">*הסכמי מייסדים ויזמות.</p>\r\n<p style=\"text-align: justify;\">*מכירה ורכישה של חברות.</p>\r\n<p style=\"text-align: justify;\">*טיפול משפטי בסכסוכים מסחריים בין חברות.</p>\r\n<p style=\"text-align: justify;\">*פתרון סכסוכים בין בעלי מניות.</p>\r\n<p style=\"text-align: justify;\">*פירוק חברה מרצון (או שלא מרצון).</p>\r\n<p style=\"text-align: justify;\">*טיפול בכל הנושאים המשפטיים שהם חלק מהתנהלותן השוטפת של חברות (על בסיס ריטיינר חודשי או על בסיס הסכם התקשרות אחר) ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong></p>\r\n<p style=\"text-align: justify;\">כמעט כל אחד מאתנו נזקק במהלך חייו לעורך דין המתמחה בדיני מקרקעין. תחום זה כולל:</p>\r\n<p style=\"text-align: justify;\">*רכישת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*מכירת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*קניית מגרש לבנייה.</p>\r\n<p style=\"text-align: justify;\">*עסקאות מכר במושבים ובהרחבות.</p>\r\n<p style=\"text-align: justify;\">*עסקאות קומבינציה.</p>\r\n<p style=\"text-align: justify;\">*יעוץ וסיוע משפטי בענייני תכנון ובנייה.</p>\r\n<p style=\"text-align: justify;\">*טיפול בענייני הפקעות מקרקעין.</p>\r\n<p style=\"text-align: justify;\">*תביעות בגין ירידת ערך בגין פגיעת תוכנית.</p>\r\n<p style=\"text-align: justify;\">*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.</p>\r\n<p style=\"text-align: justify;\">אלו רק חלק מהפעולות שכדאי ורצוי לעשות בעזרת עורך דין המתמחה במקרקעין ונדל\"ן.</p>\r\n<p style=\"text-align: justify;\">אל תוותר על הייעוץ המקצועי ביותר שיחסוך לך כספים ועוגמת נפש.</p>\r\n<p style=\"text-align: justify;\"> <strong>מיסוי מקרקעין</strong></p>\r\n<p style=\"text-align: justify;\">עסקאות מקרקעין כוללות הוצאות גבוהות נוספות (מעבר לעלות הנכס עצמו) בגין מיסים שונים:</p>\r\n<p style=\"text-align: justify;\">*מס רכישה.</p>\r\n<p style=\"text-align: justify;\">*מס שבח.</p>\r\n<p style=\"text-align: justify;\">*מע\"מ (במקרים מסוימים).</p>\r\n<p style=\"text-align: justify;\">*היטל השבחה (במקרים מסוימים) ועוד.</p>\r\n<p style=\"text-align: justify;\">ביצוע עסקאות בעלות כה גבוהה דורשת ליווי מקצועי שיחסוך לך כסף רב בהווה ובעתיד.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים (מידי) עסקים וארגונים משלמים ארנונה גבוהה מידי!</p>\r\n<p style=\"text-align: justify;\">משרדנו עורך בדיקה ומטפל במקרים שבהם מתגלה עודף גביה.</p>\r\n<p style=\"text-align: justify;\">אנו נסייע לך לתבוע את ההחזרים המגיעים לך במקרים שיימצאו חיובי יתר.</p>\r\n<p style=\"text-align: justify;\">עסקים רבים כבר נהנו מהפחתת החיובים השוטפים, ומהחזרים כספיים משמעותיים.</p>\r\n<p style=\"text-align: justify;\">בנוסף, אנו מספקים שירות משפטי במקרים הבאים:</p>\r\n<p style=\"text-align: justify;\">ייצוג בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה מנהליים שהתיישנו.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה אישית (של חובות ארנונה של חברה מבעלי המניות בחברה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בניה</strong></p>\r\n<p style=\"text-align: justify;\">למרבה הצער, דיירים רבים נזקקים לייצוג וליווי משפטי בתביעות ליקויי בנייה נגד קבלני בניין, בגין כשלים בבניה. אל תתפשר - בעזרת טיפול משפטי הולם תוכל לאכוף את התחייבויות הקבלן כלפיך, וליהנות מנכס שעומד בסטנדרטים ובתקנים הנדרשים!</p>\r\n<p style=\"text-align: justify;\"><strong>אם יש לך בעיה משפטית - צור קשר!</strong></p>\r\n<p style=\"text-align: justify;\">אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</p>\r\n<p style=\"text-align: justify;\">ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</p>\r\n<p style=\"text-align: justify;\"><strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אודותינו", "", "inherit", "open", "open", "", "94-revision-11", "", "", "2012-10-14 17:16:22", "2012-10-14 15:16:22", "", "94", "http://ru-law.co.il/94-revision-11/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("329", "1", "2012-10-09 13:50:26", "2012-10-09 11:50:26", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!\r\n</strong>\r\n\r\nבמקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).\r\n\r\n&nbsp;\r\n\r\n<strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong></strong>\r\n\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n\r\nהמומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!\r\n\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-09 13:50:26", "2012-10-09 11:50:26", "", "96", "http://ru-law.co.il/96-revision-22/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("328", "1", "2012-10-14 17:20:27", "2012-10-14 15:20:27", "<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' מספק שירותים משפטיים בתחום המשפט המסחרי ובמקרקעין-נדל\"ן.</strong></p>\r\n<p style=\"text-align: justify;\">אנו מציעים שירות איכותי המבוסס על מספר עקרונות:</p>\r\n<p style=\"text-align: justify;\"><strong>מחויבות לכל אורך הדרך</strong> – אנו מחויבים למטרות הלקוח ומספקים שירות המבוסס על ניסיון רב, הבנה מעמיקה, ואכפתיות.</p>\r\n<p style=\"text-align: justify;\"><strong>קשר אישי</strong> - אצלנו הלקוח אינו \"תיק\" או \"סוגיה משפטית\" אלא קודם כל אדם שזקוק לעזרה משפטית. גישה זו מנחה אותנו לכל אורך הדרך בקשרי לקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>מומחיות ומיומנות</strong> - מייסד המשרד והעומד בראשו, עו\"ד פיני רובינשטיין, הוא משפטן בעל ותק מקצועי וניסיון רב ממנו נהנים הצוות המקצועי וכלל הלקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>פתרונות יצירתיים</strong> – אנו גאים לספק ללקוחותינו גישה מעמיקה, ניתוח משפטי, יוזמה, ויישום עדכני של דינים, תיקוני חוק ותקנות חדשים.</p>\r\n<p style=\"text-align: justify;\">הודות לשירות לקוחות ללא פשרות, נהנה המשרד מבסיס לקוחות מגוון הכולל: גופים ציבוריים, חברות מסחריות, ולקוחות פרטיים.</p>\r\n\r\n<h2 style=\"text-align: justify;\">פתרונות משפטיים</h2>\r\n<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' הינו \"משרד בוטיק\" מהמובילים בארץ, </strong><strong>המספק ייעוץ, ליווי, וייצוג, בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב חברות לטפל בהיבט המשפטי של הישות העסקית ברמה כמעט יומיומית. אנו מספקים שירותים משפטיים למגוון חברות מסקטורים שונים של המשק, ובכך מסייעים להן למנף את עסקיהן.</p>\r\n<p style=\"text-align: justify;\">תחום זה ידוע כתחום דינאמי הכולל התמחויות רבות, לרבות:</p>\r\n<p style=\"text-align: justify;\">*ייעוץ משפטי מסחרי.</p>\r\n<p style=\"text-align: justify;\">*עריכת חוזים.</p>\r\n<p style=\"text-align: justify;\">*תכנון עסקאות.</p>\r\n<p style=\"text-align: justify;\">*הסכמי מייסדים ויזמות.</p>\r\n<p style=\"text-align: justify;\">*מכירה ורכישה של חברות.</p>\r\n<p style=\"text-align: justify;\">*טיפול משפטי בסכסוכים מסחריים בין חברות.</p>\r\n<p style=\"text-align: justify;\">*פתרון סכסוכים בין בעלי מניות.</p>\r\n<p style=\"text-align: justify;\">*פירוק חברה מרצון (או שלא מרצון).</p>\r\n<p style=\"text-align: justify;\">*טיפול בכל הנושאים המשפטיים שהם חלק מהתנהלותן השוטפת של חברות (על בסיס ריטיינר חודשי או על בסיס הסכם התקשרות אחר) ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong></p>\r\n<p style=\"text-align: justify;\">כמעט כל אחד מאתנו נזקק במהלך חייו לעורך דין המתמחה בדיני מקרקעין. תחום זה כולל:</p>\r\n<p style=\"text-align: justify;\">*רכישת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*מכירת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*קניית מגרש לבנייה.</p>\r\n<p style=\"text-align: justify;\">*עסקאות מכר במושבים ובהרחבות.</p>\r\n<p style=\"text-align: justify;\">*עסקאות קומבינציה.</p>\r\n<p style=\"text-align: justify;\">*יעוץ וסיוע משפטי בענייני תכנון ובנייה.</p>\r\n<p style=\"text-align: justify;\">*טיפול בענייני הפקעות מקרקעין.</p>\r\n<p style=\"text-align: justify;\">*תביעות בגין ירידת ערך בגין פגיעת תוכנית.</p>\r\n<p style=\"text-align: justify;\">*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.</p>\r\n<p style=\"text-align: justify;\">אלו רק חלק מהפעולות שכדאי ורצוי לעשות בעזרת עורך דין המתמחה במקרקעין ונדל\"ן.</p>\r\n<p style=\"text-align: justify;\">אל תוותר על הייעוץ המקצועי ביותר שיחסוך לך כספים ועוגמת נפש.</p>\r\n<p style=\"text-align: justify;\"> <strong>מיסוי מקרקעין</strong></p>\r\n<p style=\"text-align: justify;\">עסקאות מקרקעין כוללות הוצאות גבוהות נוספות (מעבר לעלות הנכס עצמו) בגין מיסים שונים:</p>\r\n<p style=\"text-align: justify;\">*מס רכישה.</p>\r\n<p style=\"text-align: justify;\">*מס שבח.</p>\r\n<p style=\"text-align: justify;\">*מע\"מ (במקרים מסוימים).</p>\r\n<p style=\"text-align: justify;\">*היטל השבחה (במקרים מסוימים) ועוד.</p>\r\n<p style=\"text-align: justify;\">ביצוע עסקאות בעלות כה גבוהה דורשת ליווי מקצועי שיחסוך לך כסף רב בהווה ובעתיד.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים (מידי) עסקים וארגונים משלמים ארנונה גבוהה מידי!</p>\r\n<p style=\"text-align: justify;\">משרדנו עורך בדיקה ומטפל במקרים שבהם מתגלה עודף גביה.</p>\r\n<p style=\"text-align: justify;\">אנו נסייע לך לתבוע את ההחזרים המגיעים לך במקרים שיימצאו חיובי יתר.</p>\r\n<p style=\"text-align: justify;\">עסקים רבים כבר נהנו מהפחתת החיובים השוטפים, ומהחזרים כספיים משמעותיים.</p>\r\n<p style=\"text-align: justify;\">בנוסף, אנו מספקים שירות משפטי במקרים הבאים:</p>\r\n<p style=\"text-align: justify;\">ייצוג בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה מנהליים שהתיישנו.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה אישית (של חובות ארנונה של חברה מבעלי המניות בחברה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בניה</strong></p>\r\n<p style=\"text-align: justify;\">למרבה הצער, דיירים רבים נזקקים לייצוג וליווי משפטי בתביעות ליקויי בנייה נגד קבלני בניין, בגין כשלים בבניה. אל תתפשר - בעזרת טיפול משפטי הולם תוכל לאכוף את התחייבויות הקבלן כלפיך, וליהנות מנכס שעומד בסטנדרטים ובתקנים הנדרשים!</p>\r\n<p style=\"text-align: justify;\"><strong>אם יש לך בעיה משפטית - צור קשר!</strong></p>\r\n<p style=\"text-align: justify;\">אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</p>\r\n<p style=\"text-align: justify;\">ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</p>\r\n<p style=\"text-align: justify;\"><strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אודותינו", "", "inherit", "open", "open", "", "94-revision-12", "", "", "2012-10-14 17:20:27", "2012-10-14 15:20:27", "", "94", "http://ru-law.co.il/94-revision-12/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("330", "1", "2012-10-14 17:25:45", "2012-10-14 15:25:45", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!\r\n</strong>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n&nbsp;\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong></strong></p>\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</p>\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-14 17:25:45", "2012-10-14 15:25:45", "", "96", "http://ru-law.co.il/96-revision-23/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("331", "1", "2012-09-20 19:08:15", "2012-09-20 16:08:15", "<strong>שירות משפטי מקצועי נותן לך שקט נפשי.</strong>\r\n\r\n<strong>כך תוכל לנהל עסקאות באופן יעיל ובטוח.</strong>\r\n\r\nלמשרדנו ניסיון רב בליווי לקוחות עסקיים ופרטיים במגוון רחב של עסקאות מקרקעין ונדל\"ן:\r\n\r\n*רכישה ומכירה.\r\n\r\n*הסכמי ליווי בנקאיים.\r\n\r\n*קבוצות רכישה.\r\n\r\n*רישומים בלשכת רישום המקרקעין.\r\n\r\n*רישום פרצלציה.\r\n\r\n*איחוד וחלוקה.\r\n\r\nבית משותף.\r\n\r\n*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.\r\n\r\n*עסקאות תמ\"א 38 והתחדשות עירונית.\r\n\r\n*עסקאות מכר במושבים ובהרחבות.\r\n\r\n*עסקאות קומבינציה.\r\n\r\n*יעוץ וסיוע משפטי בענייני תכנון ובנייה.\r\n\r\nטיפול בענייני הפקעות מקרקעין.\r\n\r\n*תביעות בגין ירידת ערך בגין פגיעת תוכנית.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\nכעורכי דין מתפקידנו לתרום מהידע המקצועי שלנו לכל אורך הדרך, בכל שלבי העסקה:\r\n\r\n*בדיקת היבטי המיסוי וכדאיות עתידית.\r\n\r\n*תכנון מס לתשלום מינימאלי, ובמקרים מסוימים אף לקבלת פטור.\r\n\r\n*ליווי במשא ומתן והדרכה של הרוכשים מול קבלנים, לרבות: בדיקה מקיפה של תנאי החוזה ושמירה על זכויות הרוכשים, בדיקת בטחונות ועוד.\r\n\r\n*יעוץ בכל הקשור לנוסח החוזה עד למעמד חתימת החוזה, כולל: בדיקת הזכויות של הנכס (בטאבו, במינהל מקרקעי ישראל ובחברה משכנת), בדיקת עיקולים, משכנתאות, שעבודים, צווי הריסה וכו\'.\r\n\r\n*ובשלב אחרון, רישום הזכויות בפנקסי המקרקעין.\r\n\r\n&nbsp;", "מקרקעין ונדל\"ן", "", "inherit", "open", "open", "", "102-revision-4", "", "", "2012-09-20 19:08:15", "2012-09-20 16:08:15", "", "102", "http://ru-law.co.il/102-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("333", "1", "2012-10-14 15:53:15", "2012-10-14 13:53:15", "<h1 style=\"text-align: center;\"><span style=\"text-decoration: underline;\"><strong><span style=\"color: #ff6600; text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: justify;\">משרדנו מטפל בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> לתיקון הליקויים ולקבלת פיצויים כספיים !!!</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-14 15:53:15", "2012-10-14 13:53:15", "", "289", "http://ru-law.co.il/289-revision-13/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("334", "1", "2012-10-16 12:38:57", "2012-10-16 10:38:57", "<h1 style=\"text-align: center;\"><span style=\"text-decoration: underline;\"><strong><span style=\"color: #ff6600; text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> לתיקון הליקויים ולקבלת פיצויים כספיים !!!</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-16 12:38:57", "2012-10-16 10:38:57", "", "289", "http://ru-law.co.il/289-revision-14/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("335", "1", "2012-10-14 16:53:13", "2012-10-14 14:53:13", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר תשלומים</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עורכי הדין פ. רובינשטיין ושות\' </a></span></span>מתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"RTL\" align=\"JUSTIFY\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> או לפקס</span><span style=\"color: #ff0000;\"> 03-6246247 ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"RTL\" align=\"CENTER\"><strong><span style=\"color: #ff0000;\">\r\nלבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">\r\nלהפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין ואנו נחזור אליך בהקדם</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-14 16:53:13", "2012-10-14 14:53:13", "", "228", "http://ru-law.co.il/228-revision-12/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("338", "1", "2012-10-12 15:52:51", "2012-10-12 13:52:51", "מאת: פיני רובינשטיין, עו\"ד\r\n<p style=\"text-align: justify;\">רע\"א 38146-05-12 עיריית פתח תקווה נ\' פדרל פרטס שותפות מוגבלת, ניתן ביום 2.10.2012 ע\"י בית המשפט המחוזי מרכז.</p>\r\n<strong>עובדות</strong>\r\n<p style=\"text-align: justify;\">1. בקשת רשות ערעור על החלטת בית משפט השלום, לפיה נדחתה בקשת הנתבעת, עיריית פתח תקווה (להלן: \"העירייה\"), לסלק על הסף את תביעה כספית שהגישה נגדה המשיבה (להלן: \"התובעת\").</p>\r\n<p style=\"text-align: justify;\">2. ברקע הבקשה, תביעה להשבת כספי ארנונה שנגבו ביתר מהתובעת, זאת נוכח אי חוקיות שנפלה בתהליך חקיקת סווג הנכסים, משנעשתה ללא קבלת אישור השרים כנדרש.</p>\r\n<p style=\"text-align: justify;\">3. העירייה עתרה לדחיית התביעה על הסף מחמת חוסר סמכות עניינית. העירייה טענה, בין היתר, כי תביעה להשבת ארנונה ששולמה ביתר אינה תביעה כספית מובהקת, אלא מדובר בהשגה עקיפה על החלטתה בכל הנוגע לחיוב בארנונה, ולכן היה על התובעת לפנות בעניין זה בעתירה מינהלית לבית המשפט לעניינים מינהליים, במועד.</p>\r\n<p style=\"text-align: justify;\">4. בית משפט השלום קבע כי המבחן הקובע לעניין הכרעה בשאלת הסמכות העניינית הוא מבחן הסעד, ומאחר שהסעד המבוקש בתביעה הוא סעד כספי, אזי הסמכות נתונה לבית המשפט האזרחי, ובענייננו - לבית משפט השלום.</p>\r\n<strong>בית המשפט המחוזי קבע</strong>\r\n<p style=\"text-align: justify;\">1. הסעד העיקרי הנתבע הוא פיצוי כספי, ובחינת חוקיותה של החלטת הרשות טפלה לו ועל כן סבורני, כי צדק בית המשפט קמא בקביעתו כי מסורה בידיו הסמכות העניינית לדון בתביעה.</p>\r\n<p style=\"text-align: justify;\">2. המדובר בענייננו בסעד של השבה, שהינו סעד כספי מובהק, ולא בביטול או שינוי החלטה מינהלית של העירייה שבה נתקפת ההחלטה המינהלית ישירות, שאז אכן היה יסוד לטענת העירייה, כי הסמכות נתונה לבית המשפט לעניינים מנהליים.</p>\r\n<p style=\"text-align: justify;\">3. אין כאן תקיפה של ההחלטה המינהלית, אלא תובענה כספית שההחלטה המינהלית נבחנת באופן נגרר וטפל לה, ובית המשפט האזרחי מוסמך לדון בה, וזאת במסגרת סמכותו של בית המשפט האזרחי לפי סעיף 76 לחוק בתי המשפט [נוסח משולב], תשמ\"ד-1984.</p>\r\n<p style=\"text-align: justify;\">4. שנית, וכידוע, <strong>אפילו נולדה עילת תביעה כספית בתחום המשפט המינהלי, נתונה הסמכות לדון בה לבתי המשפט האזרחיים. המבחן היחיד הקובע הוא מבחן הסעד \"ואין נפקא מינה לדינא, אם עילתה של התובענה נולדה בתחום המשפט המינהלי, שגם במקרה זה אין מדובר אלא ב\'תביעה אזרחית\', שהסמכות לדון בה נקבעת לפי סכום התביעה, ומי שתובע כסף אין לומר עליו שתביעתו היא כיסוי לדבר אחר\", זאת בהתאם להלכה שלפיה סמכותו העניינית של בית המשפט נקבעת לפי מבחן הסעד</strong>.</p>\r\n<p style=\"text-align: justify;\">5. בנסיבות אלה נדחית בקשת רשות הערעור של העירייה.</p>\r\n&nbsp;", "הסמכות לדון בתביעה להשבת כספי ארנונה שנגבו ביתר, נתונה בידי בתי המשפט האזרחיים - ולא בבית משפט מינהלי", "", "inherit", "open", "open", "", "315-revision-4", "", "", "2012-10-12 15:52:51", "2012-10-12 13:52:51", "", "315", "http://ru-law.co.il/315-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("340", "1", "2012-10-20 10:59:32", "2012-10-20 08:59:32", "<p dir=\"RTL\" align=\"JUSTIFY\">מאת: פיני רובינשטיין, עו\"ד</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">עת\"מ 1472-09 קנר נ\' עיריית ירושלים, ניתן ביום 13.9.2012 ע\"י בית המשפט לעניינים מנהליים בירושלים.</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\"><strong><span style=\"text-decoration: underline;\">עובדות:</span></strong></p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">1. העותר (להלן: \"קנר\") הינו המחזיק בדמי מפתח של שני מחסנים תת-קרקעיים המצויים בקומת המרתף של בניין ברח\' שמאי 17 בירושלים (להלן: \" המחסנים\"). גודלם של המחסנים הוא 85 מ\"ר ו- 41 מ\"ר.</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">2. המחסנים משמשים לאחסנת סחורות הנמכרות בחנותו של קנר, המצויה ברח\' בן הלל 14 בירושלים. המחסנים מכילים סחורות לתקופות אחסון ארוכות, לקוחות החנות אינם מבקרים במחסנים ולא מתנהלת בהם כל פעילות עסקית או מסחרית.</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">3. בין השנים 2002-2009 הטילה המשיבה (להלן: \"העירייה\") על מחסני העותר חיוב ארנונה לפי סיווג של \"משרדים, שירותים ומסחר\" הקיים בצו הארנונה של העירייה.</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">4. לטענת קנר: א - לעירייה אין סמכות לחייבו בארנונה בגין המחסנים, שכן צו הארנונה של העירייה אינו כולל סיווג של מחסנים. ב - החלטת העירייה לסווג מחסנים תת-קרקעיים בסיווג \"משרדים, שירותים ומסחר\", הזהה לסיווג החל על משרדים וחנויות, היא החלטה בלתי סבירה באופן קיצוני, ועל כן יש לבטלה.</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\"><span style=\"text-decoration: underline;\"><strong>בית המשפט לעניינים מנהליים פסק:</strong></span></p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">1. תקנה 1 לתקנות ההסדרים במשק המדינה (ארנונה כללית ברשויות המקומיות), תשס\"ו-2007 (להלן: \"תקנות ההסדרים\"), מגדירה את הסיווג של \"משרד, שירותים ומסחר\". הגדרה זו דומה להגדרת הסיווג \"משרדים שירותים ומסחר\" בצו הארנונה של העירייה.</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">2. המכנה המשותף לכל סוגי הנכסים המנויים בהגדרה של \"משרד, שירותים ומסחר\" בצו הארנונה של העירייה, הוא שבכולם ניתן שירות לציבור או שנמכר בהם מוצר או משאב מסויים המשרת את הציבור, ונראה לכאורה כי הגדרה זו לא נתכוונה לכלול סוגי נכסים כגון מחסנים תת-קרקעיים, השונים במהותם מסוגי הנכסים המפורטים בהגדרה זו.</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">3. משכך, הסיווג שעל פיו חייבה העירייה את קנר בארנונה (בסיווג \"משרד, שירותים ומסחר\"), בהיעדר סיווג של מחסן בצו הארנונה שלה, אינו סיווג המתאים לשימוש שנעשה בנכסים אלו, שכן המחסנים של קנר נמצאים מתחת לפני הקרקע, כאשר השימוש היחיד שנעשה בהם הוא איחסון סחורות הנמכרות בחנותו של קנר, שאינה סמוכה למחסנים.</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">4. לעניין סבירות ההחלטה לסווג את המחסנים בסיווג \"משרד, שירותים ומסחר\" - התעלמות העירייה מהשוני במאפיינים של השטח, הסוג והשימוש בין מחסנים תת-קרקעיים ובין חנויות ומשרדים, עולה כדי חוסר סבירות קיצוני. אין זה סביר שהעירייה תחייב באותו תעריף, הן נכסים מסחריים עיקריים המצויים במרכז העיר או בקניון מרכזי והן מחסנים תת-קרקעיים המשמשים לאחסון בלבד ואינם צמודים לנכס העיקרי ומשמשים אותו בפעילות היומיומית.</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">5. לא זו אף זו, בעמ\"נ 274/05 מנהל הארנונה של עיריית גבעתיים נ\' קו אופ הריבוע הכחול בע\"מ, נדונו בין היתר מחסנים שהיו מצויים בקומת המרתף של המבנה, ולגביהם נפסק כי יש לסווגם כמחסן <span style=\"text-decoration: underline;\">למרות צמידותם לנכס העיקרי</span>, שכן מיקומם, שאינו נגיש באופן יום-יומי, מצביע על הקושי בשימוש השוטף בהם. כמו כן העובדה שיש בהם פריטים הנמצאים במשך זמן, מעידה גם היא כי הם נועדו לאחסנה בלבד. הדברים הנ\"ל יפים גם לענייננו.</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">6. <strong>לנוכח כל האמור, יש לדחות את וענת המשיבה לפיה יש לסווג את המחסנים של קנר באותו סיווג של הנכס העיקרי, קרי, חנותו של קנר. זאת, שכן מדובר במחסנים המרוחקים מן החנות וממוקמים בקומה תת-קרקעית ואין זיקה ישירם בינם לבינה, באופן שהם אינם משמשים אותה בניהול המסחר היום-יומי</strong>.</p>\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">7. כמו כן, <strong>בהיעדר סיווג מתאים וסביר למחסנים בצו הארנונה של העירייה, וכל עוד לא תוקן הצו, אין ביכולתה של העירייה לגבות מקנר חיוב בגין נכס שאין לו סיווג</strong>.</p>", "משלא קיים סיווג מתאים בצו הארנונה של ירושלים, אין ביכולתה של העירייה לגבות ארנונה על מחסנים בירושלים", "", "inherit", "open", "open", "", "339-revision", "", "", "2012-10-20 10:59:32", "2012-10-20 08:59:32", "", "339", "http://ru-law.co.il/339-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("414", "1", "2013-07-30 10:10:49", "2013-07-30 07:10:49", "<h2><span style=\"font-size: 14px;\">(פורסם בגלובס - זירת העסקים של ישראל)</span></h2>\r\n<h2>גיליתם ליקויי בנייה בדירה החדשה? זה הפתרון</h2>\r\n<div>\r\n<h3>מהם ליקויי הבנייה הנפוצים? כיצד ומתי חשוב לזהותם? להלן מפת דרכים מסודרת</h3>\r\n</div>\r\n<div>\r\n<h6>רון קסלר</h6>\r\n<h5>5/6/13</h5>\r\n</div>\r\n<div>\r\n<p dir=\"rtl\">עם קבלת הדירה שרכשנו במיטב כספנו, השמחה מונעת מאיתנו לעיתים להבחין בפגמים ובליקויי הבנייה, ולפעמים אנו פשוט לא מיומנים דיינו בכדי לזהות אותם. \"ליקויי הבנייה הם רבים ומגוונים\", מסביר עו\"ד פיני רובינשטיין ממשרד עורכי הדין פ. רובינשטיין ושות\' (משרד בוטיק, מומחה לליקויי בנייה ותביעות קבלנים ויזמים). \"חשוב שאנשים ידעו שבית המשפט מתייחס לליקויי רטיבות כליקויים חמורים מאוד. מעבר לסכנה, יש כאן עניין חוסר נוחות ופגיעה משמעותית בחיי היום יום של הדייר. זהו אחד הליקויים שבגינם נוטים בתי המשפט לפסוק פיצויי עוגמת נפש גבוהים יחסית\".</p>\r\n<p dir=\"rtl\">- מה הם ליקויי הבנייה הנפוצים?</p>\r\n<p dir=\"rtl\">\"כשקונה דירה מגיע למעמד קבלת הדירה, הוא בוחן אותה יחד עם הקבלן. בדרך כלל הוא ישים לב בעיקר לליקויים קוסמטיים, כגון מרצפות סדוקות או שבורות, שקעים שלא הורכבו כראוי, הבדלי גוון בולטים בריצוף וכדומה, ואת זה הוא יציין בפרוטוקול המסירה. אולם יש ליקויים רבים שכלל לא נראים בעין בלתי מקצועית, ולעיתים גם עין כזו לא תראה אותם, והם יתגלו בבדיקה באמצעות מכשירי מדידה שונים.</p>\r\n<p dir=\"rtl\">\"לדוגמה, הקונה לא יידע שעל החלון להיות בגודל מסוים ובגובה מסוים מהרצפה, הוא אינו יודע שהמרפסת צריכה להיות בשיפוע מסוים, הוא לא יודע שאסור שמסילת האלומיניום של היציאה למרפסת או לגינה תבלוט מעל המרצפות, והוא גם לא יודע שהמרווחים בין המרצפות חייבים להיות במרחק מסוים. הקבלן מחויב לבנות בהתאם למפרט ובהתאם לתקנים ולתקנות הבנייה. הקונה הפשוט לא מכיר את התקנים והתקנות האלו, ובטח ובטח לא תמיד מתעמק ומבין את המפרט שכולל פרטים טכניים, כך שגם אם על פניו הדירה נראית לו בסדר, עדיין עלולים להיות בה ליקויים רבים\".</p>\r\n<p dir=\"rtl\">- ישנם ליקויים שיכולים להפתיע?</p>\r\n<p dir=\"rtl\">\" בהחלט. כך למשל, הזכרנו קודם את המרווחים שבין המרצפות. בתקנים ובתקנות נקבעו מרווחים כאלה. דוגמה נוספת שגם אותה הזכרנו קודם, היא גודל החלון ביחס לגודל החדר. מדובר בליקויים שמבחינת הדייר אולי לא נראים בעייתיים, אך לתקנים והתקנות יש היגיון והקריטריונים לא נקבעו סתם. הקריטריונים לגבי גודל החלון נועדו להבטיח שהפתח יאפשר אוורור טבעי של החדר, ואם החלון יהיה קטן ביחס לגודל החדר, הדבר לא יתאפשר\".</p>\r\n<p dir=\"rtl\">- קל להיות חכמים בדיעבד, אבל איך מגלים את זה בזמן?</p>\r\n<p dir=\"rtl\">\"אני ממליץ לקונה להגיע למעמד קבלת הדירה עם מומחה שהוא מהנדס בניין. יש לקחת בחשבון שלא תמיד הקבלן יאפשר זאת, ובמקרה כזה יש לדאוג שהמומחה יגיע אחרי הליך קבלת הדירה או ביום שלמחרת. ברוב המקרים הקבלן ינסה להיתלות בפרוטוקול המסירה ולטעון שהליקויים להם אתם טוענים לא צוינו שם, וכי בחתימתכם עליו ויתרתם על טענות לגבי ליקויים שלא צוינו בו. עמדה זו של הקבלנים בדרך כלל לא תתקבל על-ידי בית המשפט, אך עדיין מומלץ להיות זהירים בעניין ולא לחתום על פרוטוקול הכולל סעיפי ויתור שכאלה\".</p>\r\n<p dir=\"rtl\">- ומה אם לא הבאתי עמי מומחה למעמד המסירה ומאז עברו כבר שנה או שנתיים ויש ליקויים?</p>\r\n<p dir=\"rtl\">\"גם במקרה כזה עדיין לא איחרתם את הרכבת. פנו עוד היום למומחה כזה. חוות-דעת מטעם מומחה מהנדס בניין, היא הכרחית לצורך הגשת תביעה נגד הקבלן, ולכן, גם אם לא עשיתם זאת עד היום, עשו זאת כעת. חשוב שהמומחה יהיה בעל ניסיון בכתיבת חוות-דעת הנדסית לצרכים משפטיים, ולכן לא כל מהנדס בניין יכול להתאים. קיימות בשוק לא מעט חברות בדק בית בבעלותם של מומחים כאלה, או שהן מעסיקות אותם. רובם עושים עבודה טובה. פשוט כנסו לגוגל וחפשו \'חברות בדק בית\' ותמצאו היצע מגוון של חברות מומחים כאלו\".</p>\r\n<p dir=\"rtl\">- יש לי חוות-דעת הנדסית. מה עכשיו?</p>\r\n<p dir=\"rtl\">\"חוק המכר לדירות מחייב לתת לקבלן \'הזדמנות נאותה\' לתיקון הליקויים בעצמו \'תוך זמן סביר\'. כשמדובר בליקויים הניתנים לתיקון כמובן. לגבי ליקויים שאינם ניתנים לתיקון, ניתן להגיש תביעה בגינם, במקרה שהקבלן מסרב לפצות. ולכן, השלב הראשון הוא לשלוח את חוות-הדעת לקבלן בליווי מכתב דרישה לתיקון הליקויים המפורטים בחוות-הדעת. במקרה שהקבלן אכן מגיע לתקן את הליקויים או את חלקם, אני ממליץ להזמין את המומחה לבדיקה חוזרת שייתן חוות-דעת כתובה לגבי איכות התיקונים.</p>\r\n<p dir=\"rtl\">\"אם כל הליקויים תוקנו בצורה טובה, דיינו. אך אם המומחה קבע שהתיקונים לא טובים או שבמקרה שהקבלן תיקן רק חלק מהליקויים, השלב הבא הוא כבר פנייה לבית המשפט בתביעה נגד הקבלן, או נגד היזם במקרה שמי שמכר לכם את הדירה הוא יזם שבנה על-ידי חברה קבלנית.</p>\r\n<p dir=\"rtl\">\"חשוב מאוד להדגיש את נושא התיעוד של כל ההתנהלות של הקונים מול הקבלן. כל פנייה של הקונה לקבלן צריכה להיעשות בכתב עם אישור מסירה, בין אם זה בפקס ובין אם זה בדואר רשום\".</p>\r\n<p dir=\"rtl\">- האם אני צריך עו\"ד כדי לשלוח את חוות-הדעת לקבלן?</p>\r\n<p dir=\"rtl\">\"לא. אך בעיקרון, רצוי מאוד להכניס עו\"ד לתמונה, כבר בשלבים הראשונים בהם גיליתם ליקויי בנייה, שכן הוא יוכל להדריך ולהנחות אתכם בהתנהלות מול הקבלן והוא זה שידע להזיז דברים ולא לבזבז זמן רב על התנהלות עקרה מול הקבלן\".</p>\r\n<p dir=\"rtl\">- כמה זמן נמשך התהליך?</p>\r\n<p dir=\"rtl\">\"אורך החיים של תביעה כזאת הוא כשנתיים-שלוש, לפעמים יותר. לעיתים, אחרי הגשת התביעה ואחרי שהמומחה מטעם בית המשפט יגיש את חוות-דעתו הצדדים יהיו מוכנים להגיע לפשרה מסוימת ואז התהליך קצר יחסית\".</p>\r\n<p dir=\"rtl\">- קניתי דירה יד שנייה שנקנתה מקבלן, אך הקבלן טוען שאינו אחראי כלפיי, מה עושים?</p>\r\n<p dir=\"rtl\">\"בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן. כיום, בעקבות תיקון שנכנס לתוקף ביום 6.4.2011 (תיקון מס\' 5 לחוק המכר דירות), קובע החוק כי אחריות הקבלן כלפי הקונה הראשון תחול גם כלפי קונה משנה, אך יחד עם זאת נקבע כי התיקון לא יחול על דירה בבניין שבנייתו הסתיימה לפני ה- 6.4.2011 או שחוזה המכר לגביה נחתם לפני יום זה.</p>\r\n<p dir=\"rtl\">\"יצוין, כי גם במקרים שהתיקון הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי ובלבד שקונה המשנה לא היה מודע לליקויים בעת קניית הדירה מהקונה המקורי. בכל אופן, לקבלן יש אחריות נזיקית כלפי קונה המשנה גם אם חוק המכר לא חל על המקרה\".</p>\r\n<p style=\"text-align: center;\" dir=\"rtl\"><a href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\">לחצ/י כאן לקריאת הכתבה באתר גלובס</a></p>\r\n\r\n</div>", "כתבה בגלובס - עו\"ד פיני רובינשטיין מספק פתרונות בנושא ליקויי בנייה", "", "publish", "open", "open", "", "%d7%9b%d7%aa%d7%91%d7%94-%d7%91%d7%92%d7%9c%d7%95%d7%91%d7%a1-%d7%a2%d7%95%d7%93-%d7%a4%d7%99%d7%a0%d7%99-%d7%a8%d7%95%d7%91%d7%99%d7%a0%d7%a9%d7%98%d7%99%d7%99%d7%9f-%d7%9e%d7%a1%d7%a4%d7%a7", "", "", "2013-07-30 10:15:26", "2013-07-30 07:15:26", "", "0", "http://ru-law.co.il/?p=414", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("343", "1", "2012-10-20 11:00:02", "2012-10-20 09:00:02", "<p dir=\"RTL\" align=\"JUSTIFY\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">עת\"מ 1472-09 קנר נ\' עיריית ירושלים, ניתן ביום 13.9.2012 ע\"י בית המשפט לעניינים מנהליים בירושלים.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\"><strong><span style=\"text-decoration: underline;\">עובדות:</span></strong></p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">1. העותר (להלן: \"קנר\") הינו המחזיק בדמי מפתח של שני מחסנים תת-קרקעיים המצויים בקומת המרתף של בניין ברח\' שמאי 17 בירושלים (להלן: \" המחסנים\"). גודלם של המחסנים הוא 85 מ\"ר ו- 41 מ\"ר.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">2. המחסנים משמשים לאחסנת סחורות הנמכרות בחנותו של קנר, המצויה ברח\' בן הלל 14 בירושלים. המחסנים מכילים סחורות לתקופות אחסון ארוכות, לקוחות החנות אינם מבקרים במחסנים ולא מתנהלת בהם כל פעילות עסקית או מסחרית.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">3. בין השנים 2002-2009 הטילה המשיבה (להלן: \"העירייה\") על מחסני העותר חיוב ארנונה לפי סיווג של \"משרדים, שירותים ומסחר\" הקיים בצו הארנונה של העירייה.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">4. לטענת קנר: א - לעירייה אין סמכות לחייבו בארנונה בגין המחסנים, שכן צו הארנונה של העירייה אינו כולל סיווג של מחסנים. ב - החלטת העירייה לסווג מחסנים תת-קרקעיים בסיווג \"משרדים, שירותים ומסחר\", הזהה לסיווג החל על משרדים וחנויות, היא החלטה בלתי סבירה באופן קיצוני, ועל כן יש לבטלה.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\"><span style=\"text-decoration: underline;\"><strong>בית המשפט לעניינים מנהליים פסק:</strong></span></p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">1. תקנה 1 לתקנות ההסדרים במשק המדינה (ארנונה כללית ברשויות המקומיות), תשס\"ו-2007 (להלן: \"תקנות ההסדרים\"), מגדירה את הסיווג של \"משרד, שירותים ומסחר\". הגדרה זו דומה להגדרת הסיווג \"משרדים שירותים ומסחר\" בצו הארנונה של העירייה.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">2. המכנה המשותף לכל סוגי הנכסים המנויים בהגדרה של \"משרד, שירותים ומסחר\" בצו הארנונה של העירייה, הוא שבכולם ניתן שירות לציבור או שנמכר בהם מוצר או משאב מסויים המשרת את הציבור, ונראה לכאורה כי הגדרה זו לא נתכוונה לכלול סוגי נכסים כגון מחסנים תת-קרקעיים, השונים במהותם מסוגי הנכסים המפורטים בהגדרה זו.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">3. משכך, הסיווג שעל פיו חייבה העירייה את קנר בארנונה (בסיווג \"משרד, שירותים ומסחר\"), בהיעדר סיווג של מחסן בצו הארנונה שלה, אינו סיווג המתאים לשימוש שנעשה בנכסים אלו, שכן המחסנים של קנר נמצאים מתחת לפני הקרקע, כאשר השימוש היחיד שנעשה בהם הוא איחסון סחורות הנמכרות בחנותו של קנר, שאינה סמוכה למחסנים.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">4. לעניין סבירות ההחלטה לסווג את המחסנים בסיווג \"משרד, שירותים ומסחר\" - התעלמות העירייה מהשוני במאפיינים של השטח, הסוג והשימוש בין מחסנים תת-קרקעיים ובין חנויות ומשרדים, עולה כדי חוסר סבירות קיצוני. אין זה סביר שהעירייה תחייב באותו תעריף, הן נכסים מסחריים עיקריים המצויים במרכז העיר או בקניון מרכזי והן מחסנים תת-קרקעיים המשמשים לאחסון בלבד ואינם צמודים לנכס העיקרי ומשמשים אותו בפעילות היומיומית.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">5. לא זו אף זו, בעמ\"נ 274/05 מנהל הארנונה של עיריית גבעתיים נ\' קו אופ הריבוע הכחול בע\"מ, נדונו בין היתר מחסנים שהיו מצויים בקומת המרתף של המבנה, ולגביהם נפסק כי יש לסווגם כמחסן <span style=\"text-decoration: underline;\">למרות צמידותם לנכס העיקרי</span>, שכן מיקומם, שאינו נגיש באופן יום-יומי, מצביע על הקושי בשימוש השוטף בהם. כמו כן העובדה שיש בהם פריטים הנמצאים במשך זמן, מעידה גם היא כי הם נועדו לאחסנה בלבד. הדברים הנ\"ל יפים גם לענייננו.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">6. <strong>לנוכח כל האמור, יש לדחות את וענת המשיבה לפיה יש לסווג את המחסנים של קנר באותו סיווג של הנכס העיקרי, קרי, חנותו של קנר. זאת, שכן מדובר במחסנים המרוחקים מן החנות וממוקמים בקומה תת-קרקעית ואין זיקה ישירם בינם לבינה, באופן שהם אינם משמשים אותה בניהול המסחר היום-יומי</strong>.</p>\r\n<p style=\"text-align: justify;\" dir=\"RTL\" align=\"RIGHT\">7. כמו כן, <strong>בהיעדר סיווג מתאים וסביר למחסנים בצו הארנונה של העירייה, וכל עוד לא תוקן הצו, אין ביכולתה של העירייה לגבות מקנר חיוב בגין נכס שאין לו סיווג</strong>.</p>", "משלא קיים סיווג מתאים בצו הארנונה של ירושלים, אין ביכולתה של העירייה לגבות ארנונה על מחסנים בירושלים", "", "inherit", "open", "open", "", "339-revision-2", "", "", "2012-10-20 11:00:02", "2012-10-20 09:00:02", "", "339", "http://ru-law.co.il/339-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("344", "1", "2012-10-16 13:08:57", "2012-10-16 11:08:57", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"text-decoration: underline;\"><strong>פגישת ייעוץ ומכתב התראה ראשוני בחינם !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\"><em>פנו אלינו עוד היום</em> לתיקון הליקויים ולקבלת פיצויים כספיים !!!</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעות קבלנים", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-10-16 13:08:57", "2012-10-16 11:08:57", "", "289", "http://ru-law.co.il/289-revision-15/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("349", "1", "2012-10-18 16:50:25", "2012-10-18 14:50:25", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר ארנונה</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"rtl\" align=\"justify\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\">משרד עורכי הדין פ. רובינשטיין ושות\'</span></span> הינו משרד בוטיק מהמובילים בארץ, המתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר ארנונה רטרואקטיבי</span></strong> (החזר של תשלומי ארנונה ששולמו ביתר)<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> או לפקס</span><span style=\"color: #ff0000;\"> 03-6246247 ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין ואנו נחזור אליך בהקדם</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-10-18 16:50:25", "2012-10-18 14:50:25", "", "228", "http://ru-law.co.il/228-revision-15/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("351", "1", "2012-11-09 15:54:33", "2012-11-09 13:54:33", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום</em> להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני <a title=\"ליקויי בנייה\" href=\"http://ru-law.co.il/%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94/\" target=\"_blank\">ליקויי בנייה ותביעות קבלנים</a> ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-11-09 15:54:33", "2012-11-09 13:54:33", "", "289", "http://ru-law.co.il/289-revision-20/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("352", "1", "2012-11-08 19:16:32", "2012-11-08 17:16:32", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר ארנונה</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\n<h3 style=\"text-align: center;\"><strong>(לעסקים המשלמים ארנונה בסכום של 5,000 ש\"ח לחודש ומעלה)</strong></h3>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: \'Times New Roman\';\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"rtl\" align=\"justify\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\">משרד עורכי הדין פ. רובינשטיין ושות\'</span></span> הינו משרד בוטיק מהמובילים בארץ, המתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר ארנונה רטרואקטיבי</span></strong> (החזר של תשלומי ארנונה ששולמו ביתר)<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> או לפקס</span><span style=\"color: #ff0000;\"> 03-6246247 ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246248</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין ואנו נחזור אליך בהקדם</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-11-08 19:16:32", "2012-11-08 17:16:32", "", "228", "http://ru-law.co.il/228-revision-16/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("353", "1", "2012-11-05 17:58:06", "2012-11-05 15:58:06", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברה מרצון (סגירת חברה מרצון) וביטול חוב אגרות לרשם החברות במחיר מוזל ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">444 $ כולל מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. כולל אגרות.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-19", "", "", "2012-11-05 17:58:06", "2012-11-05 15:58:06", "", "196", "http://ru-law.co.il/196-revision-19/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("354", "1", "2012-10-14 17:23:43", "2012-10-14 15:23:43", "<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' מספק שירותים משפטיים בתחום המשפט המסחרי ובמקרקעין-נדל\"ן.</strong></p>\r\n<p style=\"text-align: justify;\">אנו מציעים שירות איכותי המבוסס על מספר עקרונות:</p>\r\n<p style=\"text-align: justify;\"><strong>מחויבות לכל אורך הדרך</strong> – אנו מחויבים למטרות הלקוח ומספקים שירות המבוסס על ניסיון רב, הבנה מעמיקה, ואכפתיות.</p>\r\n<p style=\"text-align: justify;\"><strong>קשר אישי</strong> - אצלנו הלקוח אינו \"תיק\" או \"סוגיה משפטית\" אלא קודם כל אדם שזקוק לעזרה משפטית. גישה זו מנחה אותנו לכל אורך הדרך בקשרי לקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>מומחיות ומיומנות</strong> - מייסד המשרד והעומד בראשו, עו\"ד פיני רובינשטיין, הוא משפטן בעל ותק מקצועי וניסיון רב ממנו נהנים הצוות המקצועי וכלל הלקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>פתרונות יצירתיים</strong> – אנו גאים לספק ללקוחותינו גישה מעמיקה, ניתוח משפטי, יוזמה, ויישום עדכני של דינים, תיקוני חוק ותקנות חדשים.</p>\r\n<p style=\"text-align: justify;\">הודות לשירות לקוחות ללא פשרות, נהנה המשרד מבסיס לקוחות מגוון הכולל: גופים ציבוריים, חברות מסחריות, ולקוחות פרטיים.</p>\r\n\r\n<h2 style=\"text-align: justify;\">פתרונות משפטיים</h2>\r\n<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' הינו \"משרד בוטיק\" מהמובילים בארץ, </strong><strong>המספק ייעוץ, ליווי, וייצוג, בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב חברות לטפל בהיבט המשפטי של הישות העסקית ברמה כמעט יומיומית. אנו מספקים שירותים משפטיים למגוון חברות מסקטורים שונים של המשק, ובכך מסייעים להן למנף את עסקיהן.</p>\r\n<p style=\"text-align: justify;\">תחום זה ידוע כתחום דינאמי הכולל התמחויות רבות, לרבות:</p>\r\n<p style=\"text-align: justify;\">*ייעוץ משפטי מסחרי.</p>\r\n<p style=\"text-align: justify;\">*עריכת חוזים.</p>\r\n<p style=\"text-align: justify;\">*תכנון עסקאות.</p>\r\n<p style=\"text-align: justify;\">*הסכמי מייסדים ויזמות.</p>\r\n<p style=\"text-align: justify;\">*מכירה ורכישה של חברות.</p>\r\n<p style=\"text-align: justify;\">*טיפול משפטי בסכסוכים מסחריים בין חברות.</p>\r\n<p style=\"text-align: justify;\">*פתרון סכסוכים בין בעלי מניות.</p>\r\n<p style=\"text-align: justify;\">*פירוק חברה מרצון (או שלא מרצון).</p>\r\n<p style=\"text-align: justify;\">*טיפול בכל הנושאים המשפטיים שהם חלק מהתנהלותן השוטפת של חברות (על בסיס ריטיינר חודשי או על בסיס הסכם התקשרות אחר) ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong></p>\r\n<p style=\"text-align: justify;\">כמעט כל אחד מאתנו נזקק במהלך חייו לעורך דין המתמחה בדיני מקרקעין. תחום זה כולל:</p>\r\n<p style=\"text-align: justify;\">*רכישת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*מכירת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*קניית מגרש לבנייה.</p>\r\n<p style=\"text-align: justify;\">*עסקאות מכר במושבים ובהרחבות.</p>\r\n<p style=\"text-align: justify;\">*עסקאות קומבינציה.</p>\r\n<p style=\"text-align: justify;\">*יעוץ וסיוע משפטי בענייני תכנון ובנייה.</p>\r\n<p style=\"text-align: justify;\">*טיפול בענייני הפקעות מקרקעין.</p>\r\n<p style=\"text-align: justify;\">*תביעות בגין ירידת ערך בגין פגיעת תוכנית.</p>\r\n<p style=\"text-align: justify;\">*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.</p>\r\n<p style=\"text-align: justify;\">אלו רק חלק מהפעולות שכדאי ורצוי לעשות בעזרת עורך דין המתמחה במקרקעין ונדל\"ן.</p>\r\n<p style=\"text-align: justify;\">אל תוותר על הייעוץ המקצועי ביותר שיחסוך לך כספים ועוגמת נפש.</p>\r\n<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין</strong></p>\r\n<p style=\"text-align: justify;\">עסקאות מקרקעין כוללות הוצאות גבוהות נוספות (מעבר לעלות הנכס עצמו) בגין מיסים שונים, כגון:</p>\r\n<p style=\"text-align: justify;\">*מס רכישה.</p>\r\n<p style=\"text-align: justify;\">*מס שבח.</p>\r\n<p style=\"text-align: justify;\">*מע\"מ.</p>\r\n<p style=\"text-align: justify;\">*היטל השבחה ועוד.</p>\r\n<p style=\"text-align: justify;\">ביצוע עסקאות בעלות כה גבוהה דורשת ליווי מקצועי שיחסוך לך כסף רב בהווה ובעתיד.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים (מידי) עסקים וארגונים משלמים ארנונה גבוהה מידי!</p>\r\n<p style=\"text-align: justify;\">משרדנו עורך בדיקה ומטפל במקרים שבהם מתגלה עודף גביה.</p>\r\n<p style=\"text-align: justify;\">אנו נסייע לך לתבוע את ההחזרים המגיעים לך במקרים שיימצאו חיובי יתר.</p>\r\n<p style=\"text-align: justify;\">עסקים רבים כבר נהנו מהפחתת החיובים השוטפים, ומהחזרים כספיים משמעותיים.</p>\r\n<p style=\"text-align: justify;\">בנוסף, אנו מספקים שירות משפטי במקרים הבאים:</p>\r\n<p style=\"text-align: justify;\">ייצוג בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה מנהליים שהתיישנו.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה אישית (של חובות ארנונה של חברה מבעלי המניות בחברה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בניה</strong></p>\r\n<p style=\"text-align: justify;\">למרבה הצער, דיירים רבים נזקקים לייצוג וליווי משפטי בתביעות ליקויי בנייה נגד קבלני בניין, בגין כשלים בבניה. אל תתפשר - בעזרת טיפול משפטי הולם תוכל לאכוף את התחייבויות הקבלן כלפיך, וליהנות מנכס שעומד בסטנדרטים ובתקנים הנדרשים!</p>\r\n<p style=\"text-align: justify;\"><strong>אם יש לך בעיה משפטית - צור קשר!</strong></p>\r\n<p style=\"text-align: justify;\">אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</p>\r\n<p style=\"text-align: justify;\">ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</p>\r\n<p style=\"text-align: justify;\"><strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אודותינו", "", "inherit", "open", "open", "", "94-revision-13", "", "", "2012-10-14 17:23:43", "2012-10-14 15:23:43", "", "94", "http://ru-law.co.il/94-revision-13/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("355", "1", "2012-10-14 17:11:12", "2012-10-14 15:11:12", "<p style=\"text-align: justify;\"><strong>במהלך החיים כל אחד מאתנו מעורב בעסקאות שונות, בין אם מדובר בעולם העסקים ובין אם מדובר בעסקאות נדל\"ן אישיות - מדובר בכספך, בזמנך, ובזכותך לקבל שירות אמין שאפשר לסמוך עליו.</strong>\r\n<strong>קבל ייעוץ משפטי מקצועי!</strong>\r\n<strong>משרד עורכי דין פ. רובינשטיין ושות\' הינו </strong><strong>\"משרד בוטיק\" מהמובילים בארץ, המתמחה בפתרונות משפטיים בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong>\r\nכל חברה מחויבת לטפל בהיבטים משפטיים שונים במהלך קיומה. טיפול משפטי נכון ומקצועי יאפשר לך למנף את עסקיך באופן המוצלח ביותר.</p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong>\r\nבמהלך ביצוע עסקאות מקרקעין תזדקק לייעוץ משפטי או מקצועי שיחסוך לך כספים ועוגמת נפש.\r\nהשקע את כספך בחוכמה.</p>\r\n<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין</strong>\r\nבעסקאות מקרקעין תמצא את עצמך משלם - משלם – ומשלם... מיסים שונים.\r\nליווי משפטי מקצועי יחסוך לך כסף רב.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong>\r\nהאם גם העסק שלך משלם ארנונה גבוהה מידי? יש סיכוי גבוה שכן. צוות משרדנו יבדוק אם גם אצלך הגבייה מופרזת או בלתי מוצדקת, ויטפל בכך ללא דיחוי כדי להפחית את החיובים, ולזכות אותך בהחזרים כספיים משמעותיים. בנוסף, אנו מייצגים בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה, ביטול הליכי גבייה מנהליים (בשל התיישנות חובות ארנונה), וכמו כן בביטול הליכי גבייה אישית של חובות ארנונה (של חברה מבעלי מניותיה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בנייה</strong>\r\nהקבלן לא עמד בהבטחות? קיבלת נכס פגום?\r\nדליפות, רטיבות, סדקים, וליקויי בנייה אחרים מורידים את ערך הנכס ופוגעים באיכות חייך.\r\nאל תוותר על זכויותיך!\r\nבמשרד עורכי דין פ. רובינשטיין ושות\', <em><strong>בעיות משפטיות - הופכות לפתרונות מקצועיים!!!</strong></em></p>\r\n<p style=\"text-align: justify;\"><strong>אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</strong>\r\n<strong>ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</strong>\r\n<strong>לתיאום פגישה, התקשר עכשיו: 03-6246248</strong></p>", "אתה זכאי להגנה המשפטית הטובה ביותר", "", "inherit", "open", "open", "", "2-revision-19", "", "", "2012-10-14 17:11:12", "2012-10-14 15:11:12", "", "2", "http://ru-law.co.il/2-revision-19/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("356", "1", "2012-10-14 17:26:58", "2012-10-14 15:26:58", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!\r\n</strong>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong></strong></p>\r\n<strong>כך אי אפשר להפסיד: אתה משלם על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, לפקס: 03-6246247 או למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</p>\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "open", "open", "", "96-revision-v1", "", "", "2012-10-14 17:26:58", "2012-10-14 15:26:58", "", "96", "http://ru-law.co.il/96-revision-24/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("357", "1", "2012-12-27 17:24:31", "2012-12-27 15:24:31", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברה מרצון (סגירת חברה מרצון) וביטול חוב אגרות לרשם החברות במחיר מוזל ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">444 $ כולל מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. כולל אגרות.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246248 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-20", "", "", "2012-12-27 17:24:31", "2012-12-27 15:24:31", "", "196", "http://ru-law.co.il/196-revision-20/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("358", "1", "2012-11-09 15:56:47", "2012-11-09 13:56:47", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום</em> להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני <a title=\"ליקויי בנייה\" href=\"http://ru-law.co.il/%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94/\" target=\"_blank\">ליקויי בנייה ותביעות קבלנים</a> ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2012-11-09 15:56:47", "2012-11-09 13:56:47", "", "289", "http://ru-law.co.il/289-revision-21/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("360", "1", "2013-02-16 11:20:45", "2013-02-16 09:20:45", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"font-size: 18px; color: #ff0000;\">מחיר מוזל לפונים במהלך חודש פברואר 2013 !!!</span></strong></h2>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום</em> להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני <a title=\"ליקויי בנייה\" href=\"http://ru-law.co.il/%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94/\" target=\"_blank\">ליקויי בנייה ותביעות קבלנים</a> ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> ! </strong></span>(ובנוסף, לפונים במהלך חודש פברואר 2013 יינתן מחיר מיוחד לטיפול בתיק).</p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק, וזאת ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-02-16 11:20:45", "2013-02-16 09:20:45", "", "289", "http://ru-law.co.il/289-revision-22/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("359", "1", "2012-12-27 17:32:18", "2012-12-27 15:32:18", "<p style=\"text-align: justify;\">לאור פניות רבות לקבלת המחיר המוזל לפירוק חברה, החלטנו להמשיך במבצע פירוק חברה מרצון (סגירת חברה מרצון) וביטול חוב אגרות לרשם החברות במחיר מוזל ל- 20 לקוחות נוספים הפונים אלינו דרך האתר:</p>\r\n\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מבצע</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">444 $ כולל מע\"מ*</span></strong></h2>\r\n<p style=\"text-align: center;\"><del>במקום $750+מע\"מ</del></p>\r\n<p style=\"text-align: center;\">*כולל שליחויות לרשם החברות. כולל אגרות.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מבצע לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות במחיר מבצע פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-21", "", "", "2012-12-27 17:32:18", "2012-12-27 15:32:18", "", "196", "http://ru-law.co.il/196-revision-21/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("362", "1", "2013-02-26 20:42:22", "2013-02-26 18:42:22", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"font-size: 18px; color: #ff0000;\">מחיר מוזל לפונים במהלך חודש פברואר 2013 !!!</span></strong></h2>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום</em> להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני <a title=\"ליקויי בנייה\" href=\"http://ru-law.co.il/%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94/\" target=\"_blank\">ליקויי בנייה ותביעות קבלנים</a> ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\"><strong></strong><strong><span style=\"color: #ff0000;\">צרו קשר טלפוני או <em>מלאו את פרטיכם</em> בטופס \"צור קשר\" מימין ואנו נשוב אליכם בהקדם כדי לקבוע פגישה ראשונה לשם עיון ובחינת התיק - ללא כל עלות או התחייבות מצידכם.</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-02-26 20:42:22", "2013-02-26 18:42:22", "", "289", "http://ru-law.co.il/289-revision-24/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("367", "1", "2013-03-29 10:52:32", "2013-03-29 07:52:32", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מיוחד</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">מחיר שאסור לפרסם</span></strong></h2>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>הנחה לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לקבלת המחיר המוזל פנה/י כעת בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לקבלת המחיר המוזל פנה/י כעת בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-24", "", "", "2013-03-29 10:52:32", "2013-03-29 07:52:32", "", "196", "http://ru-law.co.il/196-revision-24/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("368", "1", "2013-03-31 01:29:00", "2013-03-30 22:29:00", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מיוחד</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>$444 כולל מע\"מ*</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 12px;\">* (כולל מע\"מ. לא כולל אגרות בסך של 124 עד 248 ש\"ח. לפי שער של 4 ש\"ח לדולר)</span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>הנחה לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לקבלת המחיר המוזל פנה/י כעת בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לקבלת המחיר המוזל פנה/י כעת בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-25", "", "", "2013-03-31 01:29:00", "2013-03-30 22:29:00", "", "196", "http://ru-law.co.il/196-revision-25/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("369", "1", "2013-03-31 01:29:57", "2013-03-30 22:29:57", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה במחיר מיוחד</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>$444 כולל מע\"מ*</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 12px;\">* (כולל מע\"מ. לא כולל אגרות בסך של 124 עד 248 ש\"ח. לפי שער של 4 ש\"ח לדולר)</span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>הנחה לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לקבלת המחיר המוזל פנה/י כעת בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לקבלת המחיר המוזל פנה/י כעת בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לפירוק חברה מרצון - פירוק חברה לא פעילה וביטול חוב אגרות פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-26", "", "", "2013-03-31 01:29:57", "2013-03-30 22:29:57", "", "196", "http://ru-law.co.il/196-revision-26/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("370", "1", "2013-03-31 17:31:21", "2013-03-31 14:31:21", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה - במחיר מיוחד</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>$444 כולל מע\"מ*</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 12px;\">* (כולל מע\"מ. לא כולל אגרות בסך של 124 עד 248 ש\"ח. לפי שער של 4 ש\"ח לדולר)</span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>הנחה לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> אל תפספס/י את המחיר המוזל - פנה/י כעת בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">אל תפספס/י את המחיר המוזל - פנה/י כעת בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">אל תפספס/י את המחיר המוזל - פנה/י כעת בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-27", "", "", "2013-03-31 17:31:21", "2013-03-31 14:31:21", "", "196", "http://ru-law.co.il/196-revision-27/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("371", "1", "2012-10-14 17:33:41", "2012-10-14 15:33:41", "<strong>שירות משפטי מקצועי נותן לך שקט נפשי.</strong>\r\n\r\n<strong>כך תוכל לנהל עסקאות באופן יעיל ובטוח.</strong>\r\n\r\nלמשרדנו ניסיון רב בליווי לקוחות עסקיים ופרטיים במגוון רחב של עסקאות מקרקעין ונדל\"ן:\r\n\r\n*רכישה ומכירה.\r\n\r\n*הסכמי ליווי בנקאיים.\r\n\r\n*קבוצות רכישה.\r\n\r\n*רישומים בלשכת רישום המקרקעין.\r\n\r\n*רישום פרצלציה.\r\n\r\n*איחוד וחלוקה.\r\n\r\n*בית משותף.\r\n\r\n*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.\r\n\r\n*עסקאות תמ\"א 38 והתחדשות עירונית.\r\n\r\n*עסקאות מכר במושבים ובהרחבות.\r\n\r\n*עסקאות קומבינציה.\r\n\r\n*יעוץ וסיוע משפטי בענייני תכנון ובנייה.\r\n\r\n*טיפול בענייני הפקעות מקרקעין.\r\n\r\n*תביעות בגין ירידת ערך בגין פגיעת תוכנית.\r\n<p style=\"text-align: justify;\">כעורכי דין, מתפקידנו לתרום מהידע המקצועי שלנו לכל אורך הדרך, בכל שלב משלבי העסקה, ובכלל זאת:</p>\r\n<p style=\"text-align: justify;\">*בדיקת היבטי המיסוי וכדאיות עתידית.</p>\r\n<p style=\"text-align: justify;\">*תכנון מס לתשלום מינימאלי, ובמקרים מסוימים אף לקבלת פטור.</p>\r\n<p style=\"text-align: justify;\">*ליווי במשא ומתן והדרכה של הרוכשים מול קבלנים, לרבות: בדיקה מקיפה של תנאי החוזה ושמירה על זכויות הרוכשים, בדיקת בטחונות ועוד.</p>\r\n<p style=\"text-align: justify;\">*יעוץ בכל הקשור לנוסח החוזה עד למעמד חתימת החוזה, כולל: בדיקת הזכויות של הנכס (בטאבו, במינהל מקרקעי ישראל ובחברה משכנת), בדיקת עיקולים, משכנתאות, שעבודים, צווי הריסה וכו\'.</p>\r\n<p style=\"text-align: justify;\">*ובשלב אחרון, רישום הזכויות בפנקסי המקרקעין.</p>\r\n&nbsp;", "מקרקעין ונדל\"ן", "", "inherit", "open", "open", "", "102-revision-6", "", "", "2012-10-14 17:33:41", "2012-10-14 15:33:41", "", "102", "http://ru-law.co.il/102-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("372", "1", "2013-04-01 16:40:42", "2013-04-01 13:40:42", "<strong>שירות משפטי מקצועי נותן לך שקט נפשי.</strong>\r\n\r\n<strong>כך תוכל לנהל עסקאות באופן יעיל ובטוח.</strong>\r\n\r\nלמשרדנו ניסיון רב בליווי לקוחות עסקיים ופרטיים במגוון רחב של עסקאות מקרקעין ונדל\"ן:\r\n\r\n*רכישה ומכירה.\r\n\r\n*הסכמי ליווי בנקאיים.\r\n\r\n*קבוצות רכישה.\r\n\r\n*רישומים בלשכת רישום המקרקעין.\r\n\r\n*רישום פרצלציה.\r\n\r\n*איחוד וחלוקה.\r\n\r\n*בית משותף.\r\n\r\n*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.\r\n\r\n*עסקאות תמ\"א 38 והתחדשות עירונית.\r\n\r\n*עסקאות מכר במושבים ובהרחבות.\r\n\r\n*עסקאות קומבינציה.\r\n\r\n*יעוץ וסיוע משפטי בענייני תכנון ובנייה.\r\n\r\n*טיפול בענייני הפקעות מקרקעין.\r\n\r\n*תביעות בגין ירידת ערך בגין פגיעת תוכנית.\r\n<p style=\"text-align: justify;\">כעורכי דין, מתפקידנו לתרום מהידע המקצועי שלנו לכל אורך הדרך, בכל שלב משלבי העסקה, ובכלל זאת:</p>\r\n<p style=\"text-align: justify;\">*בדיקת היבטי המיסוי וכדאיות עתידית.</p>\r\n<p style=\"text-align: justify;\">*תכנון מס לתשלום מינימאלי, ובמקרים מסוימים אף לקבלת פטור.</p>\r\n<p style=\"text-align: justify;\">*ליווי במשא ומתן והדרכה של הרוכשים מול קבלנים, לרבות: בדיקה מקיפה של תנאי החוזה ושמירה על זכויות הרוכשים, בדיקת בטחונות ועוד.</p>\r\n<p style=\"text-align: justify;\">*יעוץ בכל הקשור לנוסח החוזה עד למעמד חתימת החוזה, כולל: בדיקת הזכויות של הנכס (בטאבו, במינהל מקרקעי ישראל ובחברה משכנת), בדיקת עיקולים, משכנתאות, שעבודים, צווי הריסה וכו\'.</p>\r\n<p style=\"text-align: justify;\">*ובשלב אחרון, רישום הזכויות בפנקסי המקרקעין.</p>\r\n<p style=\"text-align: center;\"> <span style=\"color: #ff0000;\"><strong>פנה/י עכשיו לפגישת ייעוץ ללא תשלום וללא התחייבות!</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</strong></span></p>", "מקרקעין ונדל\"ן", "", "inherit", "open", "open", "", "102-revision-7", "", "", "2013-04-01 16:40:42", "2013-04-01 13:40:42", "", "102", "http://ru-law.co.il/102-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("373", "1", "2013-04-12 12:29:52", "2013-04-12 09:29:52", "<strong>שירות משפטי מקצועי נותן לך שקט נפשי.</strong>\r\n\r\n<strong>כך תוכל לנהל עסקאות באופן יעיל ובטוח.</strong>\r\n\r\nמשרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה במקרקעין-נדל\"ן. למשרדנו ניסיון רב בליווי לקוחות עסקיים ופרטיים במגוון רחב של עסקאות מקרקעין ונדל\"ן:\r\n\r\n*רכישה ומכירה.\r\n\r\n*הסכמי ליווי בנקאיים.\r\n\r\n*קבוצות רכישה.\r\n\r\n*רישומים בלשכת רישום המקרקעין.\r\n\r\n*רישום פרצלציה.\r\n\r\n*איחוד וחלוקה.\r\n\r\n*בית משותף.\r\n\r\n*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.\r\n\r\n*עסקאות תמ\"א 38 והתחדשות עירונית.\r\n\r\n*עסקאות מכר במושבים ובהרחבות.\r\n\r\n*עסקאות קומבינציה.\r\n\r\n*יעוץ וסיוע משפטי בענייני תכנון ובנייה.\r\n\r\n*טיפול בענייני הפקעות מקרקעין.\r\n\r\n*תביעות בגין ירידת ערך בגין פגיעת תוכנית.\r\n<p style=\"text-align: justify;\">כעורכי דין, מתפקידנו לתרום מהידע המקצועי שלנו לכל אורך הדרך, בכל שלב משלבי העסקה, ובכלל זאת:</p>\r\n<p style=\"text-align: justify;\">*בדיקת היבטי המיסוי וכדאיות עתידית.</p>\r\n<p style=\"text-align: justify;\">*תכנון מס לתשלום מינימאלי, ובמקרים מסוימים אף לקבלת פטור.</p>\r\n<p style=\"text-align: justify;\">*ליווי במשא ומתן והדרכה של הרוכשים מול קבלנים, לרבות: בדיקה מקיפה של תנאי החוזה ושמירה על זכויות הרוכשים, בדיקת בטחונות ועוד.</p>\r\n<p style=\"text-align: justify;\">*יעוץ בכל הקשור לנוסח החוזה עד למעמד חתימת החוזה, כולל: בדיקת הזכויות של הנכס (בטאבו, במינהל מקרקעי ישראל ובחברה משכנת), בדיקת עיקולים, משכנתאות, שעבודים, צווי הריסה וכו\'.</p>\r\n<p style=\"text-align: justify;\">*ובשלב אחרון, רישום הזכויות בפנקסי המקרקעין.</p>\r\n<p style=\"text-align: center;\"> <span style=\"color: #ff0000;\"><strong>פנה/י עכשיו לפגישת ייעוץ ללא תשלום וללא התחייבות!</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</strong></span></p>", "מקרקעין ונדל\"ן", "", "inherit", "open", "open", "", "102-revision-8", "", "", "2013-04-12 12:29:52", "2013-04-12 09:29:52", "", "102", "http://ru-law.co.il/102-revision-8/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("374", "1", "2012-12-27 17:26:30", "2012-12-27 15:26:30", "<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' מספק שירותים משפטיים בתחום המשפט המסחרי ובמקרקעין-נדל\"ן.</strong></p>\r\n<p style=\"text-align: justify;\">אנו מציעים שירות איכותי המבוסס על מספר עקרונות:</p>\r\n<p style=\"text-align: justify;\"><strong>מחויבות לכל אורך הדרך</strong> – אנו מחויבים למטרות הלקוח ומספקים שירות המבוסס על ניסיון רב, הבנה מעמיקה, ואכפתיות.</p>\r\n<p style=\"text-align: justify;\"><strong>קשר אישי</strong> - אצלנו הלקוח אינו \"תיק\" או \"סוגיה משפטית\" אלא קודם כל אדם שזקוק לעזרה משפטית. גישה זו מנחה אותנו לכל אורך הדרך בקשרי לקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>מומחיות ומיומנות</strong> - מייסד המשרד והעומד בראשו, עו\"ד פיני רובינשטיין, הוא משפטן בעל ותק מקצועי וניסיון רב ממנו נהנים הצוות המקצועי וכלל הלקוחות.</p>\r\n<p style=\"text-align: justify;\"><strong>פתרונות יצירתיים</strong> – אנו גאים לספק ללקוחותינו גישה מעמיקה, ניתוח משפטי, יוזמה, ויישום עדכני של דינים, תיקוני חוק ותקנות חדשים.</p>\r\n<p style=\"text-align: justify;\">הודות לשירות לקוחות ללא פשרות, נהנה המשרד מבסיס לקוחות מגוון הכולל: גופים ציבוריים, חברות מסחריות, ולקוחות פרטיים.</p>\r\n\r\n<h2 style=\"text-align: justify;\">פתרונות משפטיים</h2>\r\n<p style=\"text-align: justify;\"><strong>משרד עורכי דין פ. רובינשטיין ושות\' הינו \"משרד בוטיק\" מהמובילים בארץ, </strong><strong>המספק ייעוץ, ליווי, וייצוג, בתחומים הבאים:</strong></p>\r\n<p style=\"text-align: justify;\"><strong>משפט מסחרי</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב חברות לטפל בהיבט המשפטי של הישות העסקית ברמה כמעט יומיומית. אנו מספקים שירותים משפטיים למגוון חברות מסקטורים שונים של המשק, ובכך מסייעים להן למנף את עסקיהן.</p>\r\n<p style=\"text-align: justify;\">תחום זה ידוע כתחום דינאמי הכולל התמחויות רבות, לרבות:</p>\r\n<p style=\"text-align: justify;\">*ייעוץ משפטי מסחרי.</p>\r\n<p style=\"text-align: justify;\">*עריכת חוזים.</p>\r\n<p style=\"text-align: justify;\">*תכנון עסקאות.</p>\r\n<p style=\"text-align: justify;\">*הסכמי מייסדים ויזמות.</p>\r\n<p style=\"text-align: justify;\">*מכירה ורכישה של חברות.</p>\r\n<p style=\"text-align: justify;\">*טיפול משפטי בסכסוכים מסחריים בין חברות.</p>\r\n<p style=\"text-align: justify;\">*פתרון סכסוכים בין בעלי מניות.</p>\r\n<p style=\"text-align: justify;\">*פירוק חברה מרצון (או שלא מרצון).</p>\r\n<p style=\"text-align: justify;\">*טיפול בכל הנושאים המשפטיים שהם חלק מהתנהלותן השוטפת של חברות (על בסיס ריטיינר חודשי או על בסיס הסכם התקשרות אחר) ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>מקרקעין ונדל\"ן</strong></p>\r\n<p style=\"text-align: justify;\">כמעט כל אחד מאתנו נזקק במהלך חייו לעורך דין המתמחה בדיני מקרקעין. תחום זה כולל:</p>\r\n<p style=\"text-align: justify;\">*רכישת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*מכירת דירה ונכסים פרטיים או מסחריים אחרים.</p>\r\n<p style=\"text-align: justify;\">*קניית מגרש לבנייה.</p>\r\n<p style=\"text-align: justify;\">*עסקאות מכר במושבים ובהרחבות.</p>\r\n<p style=\"text-align: justify;\">*עסקאות קומבינציה.</p>\r\n<p style=\"text-align: justify;\">*יעוץ וסיוע משפטי בענייני תכנון ובנייה.</p>\r\n<p style=\"text-align: justify;\">*טיפול בענייני הפקעות מקרקעין.</p>\r\n<p style=\"text-align: justify;\">*תביעות בגין ירידת ערך בגין פגיעת תוכנית.</p>\r\n<p style=\"text-align: justify;\">*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.</p>\r\n<p style=\"text-align: justify;\">אלו רק חלק מהפעולות שכדאי ורצוי לעשות בעזרת עורך דין המתמחה במקרקעין ונדל\"ן.</p>\r\n<p style=\"text-align: justify;\">אל תוותר על הייעוץ המקצועי ביותר שיחסוך לך כספים ועוגמת נפש.</p>\r\n<p style=\"text-align: justify;\"><strong>מיסוי מקרקעין</strong></p>\r\n<p style=\"text-align: justify;\">עסקאות מקרקעין כוללות הוצאות גבוהות נוספות (מעבר לעלות הנכס עצמו) בגין מיסים שונים, כגון:</p>\r\n<p style=\"text-align: justify;\">*מס רכישה.</p>\r\n<p style=\"text-align: justify;\">*מס שבח.</p>\r\n<p style=\"text-align: justify;\">*מע\"מ.</p>\r\n<p style=\"text-align: justify;\">*היטל השבחה ועוד.</p>\r\n<p style=\"text-align: justify;\">ביצוע עסקאות בעלות כה גבוהה דורשת ליווי מקצועי שיחסוך לך כסף רב בהווה ובעתיד.</p>\r\n<p style=\"text-align: justify;\"><strong>הפחתת ארנונה</strong></p>\r\n<p style=\"text-align: justify;\">במקרים רבים (מידי) עסקים וארגונים משלמים ארנונה גבוהה מידי!</p>\r\n<p style=\"text-align: justify;\">משרדנו עורך בדיקה ומטפל במקרים שבהם מתגלה עודף גביה.</p>\r\n<p style=\"text-align: justify;\">אנו נסייע לך לתבוע את ההחזרים המגיעים לך במקרים שיימצאו חיובי יתר.</p>\r\n<p style=\"text-align: justify;\">עסקים רבים כבר נהנו מהפחתת החיובים השוטפים, ומהחזרים כספיים משמעותיים.</p>\r\n<p style=\"text-align: justify;\">בנוסף, אנו מספקים שירות משפטי במקרים הבאים:</p>\r\n<p style=\"text-align: justify;\">ייצוג בעלי נכסים בתביעות ארנונה שהוגשו נגדם על ידי העירייה.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה מנהליים שהתיישנו.</p>\r\n<p style=\"text-align: justify;\">ייצוג בתביעות בעלי נכסים כנגד הליכי גבייה אישית (של חובות ארנונה של חברה מבעלי המניות בחברה).</p>\r\n<p style=\"text-align: justify;\"><strong>טיפול משפטי בליקויי בניה</strong></p>\r\n<p style=\"text-align: justify;\">למרבה הצער, דיירים רבים נזקקים לייצוג וליווי משפטי בתביעות ליקויי בנייה נגד קבלני בניין, בגין כשלים בבניה. אל תתפשר - בעזרת טיפול משפטי הולם תוכל לאכוף את התחייבויות הקבלן כלפיך, וליהנות מנכס שעומד בסטנדרטים ובתקנים הנדרשים!</p>\r\n<p style=\"text-align: justify;\"><strong>אם יש לך בעיה משפטית - צור קשר!</strong></p>\r\n<p style=\"text-align: justify;\">אנו מזמינים אותך לפגישה במשרדנו במתחם הבורסה:</p>\r\n<p style=\"text-align: justify;\">ז\'בוטינסקי 35, מגדל התאומים 2 (קומה 12) רמת-גן.</p>\r\n<p style=\"text-align: justify;\"><strong>לתיאום פגישה, התקשר עכשיו: 03-6246250</strong></p>", "אודותינו", "", "inherit", "open", "open", "", "94-revision-14", "", "", "2012-12-27 17:26:30", "2012-12-27 15:26:30", "", "94", "http://ru-law.co.il/94-revision-14/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("375", "1", "2013-03-29 11:02:45", "2013-03-29 08:02:45", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-03-29 11:02:45", "2013-03-29 08:02:45", "", "289", "http://ru-law.co.il/289-revision-27/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("376", "1", "2013-04-12 12:46:02", "2013-04-12 09:46:02", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקרו על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-04-12 12:46:02", "2013-04-12 09:46:02", "", "289", "http://ru-law.co.il/289-revision-28/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("377", "1", "2013-04-12 12:47:51", "2013-04-12 09:47:51", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקרו על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-04-12 12:47:51", "2013-04-12 09:47:51", "", "289", "http://ru-law.co.il/289-revision-29/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("378", "1", "2013-03-31 17:39:11", "2013-03-31 14:39:11", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה - במחיר מיוחד</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>$444 כולל מע\"מ*</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 12px;\">* (כולל מע\"מ. לא כולל אגרות בסך של 124 עד 248 ש\"ח. לפי שער של 4 ש\"ח לדולר)</span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>הנחה לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> אל תפספס/י את המחיר המוזל - פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">אל תפספס/י את המחיר המוזל - פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">אל תפספס/י את המחיר המוזל - פנה/י עכשיו בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-28", "", "", "2013-03-31 17:39:11", "2013-03-31 14:39:11", "", "196", "http://ru-law.co.il/196-revision-28/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("381", "1", "2013-04-12 12:50:33", "2013-04-12 09:50:33", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-04-12 12:50:33", "2013-04-12 09:50:33", "", "289", "http://ru-law.co.il/289-revision-30/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("382", "1", "2013-06-05 20:03:33", "2013-06-05 17:03:33", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: justify;\"><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\">לחץ כאן וקרא עלינו בכתבה בעיתון העסקים \"גלובס\"</a></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-05 20:03:33", "2013-06-05 17:03:33", "", "289", "http://ru-law.co.il/289-revision-31/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("383", "1", "2013-06-05 20:04:44", "2013-06-05 17:04:44", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #0000ff;\"><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחץ כאן וקרא עלינו בכתבה בעיתון העסקים \"גלובס\"</span></a></span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-05 20:04:44", "2013-06-05 17:04:44", "", "289", "http://ru-law.co.il/289-revision-32/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("384", "1", "2012-09-20 19:01:48", "2012-09-20 16:01:48", "<p style=\"text-align: justify;\"><strong>רכישת דירה הינה העסקה הכלכלית המשמעותית ביותר לרוב האנשים. </strong>\r\n<strong>לכן כאשר מתגלים ליקויי בנייה נגרם לרוכשים נזק כלכלי עצום, ועוגמת נפש רבה.</strong>\r\nמשרדנו מנוסה בייצוג וליווי משפטי של דיירים בתביעות ליקויי בניה נגד קבלני בנין בגין כשלים בבניה.\r\nדוגמאות לליקויי בניה נפוצים:\r\n*חוסר התאמה במידות של חלקי המבנה.\r\n*רטיבות או נזילות.\r\n*סדקים שנפערו בקירות או ברצפה.\r\n*קילופי טיח ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>החוק פועל לטובתך!</strong>\r\nבמשך השנים גברה המודעות הציבורית לתחום זה וגם החקיקה עודכנה - והיא פועלת לטובתך.\r\nמגיע לך פיצוי על  איחור במסירת חזקה בדירה, על עגמת נפש המתלווה לליקוים, הפסד ימי עבודה, הוצאות בגין דיור חלופי או בגין חוות דעת של מומחים, אי-רישום דירה בטאבו (על ידי הקבלן), רשלנות ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>דרוש מהקבלן לקחת אחריות למחדלים!</strong>\r\nבהתאם להוראות חוק המכר (דירות), אחריותו של הקבלן מוגבלת לתקופה שבין שנה עד ל-7 שנים.\r\nבנוסף, קובע החוק כי לפני הגשת תביעה משפטית לפיצוי כספי, יש לפנות לקבלן ולתת הזדמנות נאותה לתקן ליקויים.</p>\r\n<p style=\"text-align: justify;\">שווה להיעזר בשירותי עורך דין מומחה שיפנה לקבלן במכתב דרישה לתיקון הליקויים, בסמוך למועד היווצרות ליקויי הבניה וגילויים. כשמדובר בליקויי בניה משמעותיים שאינם בגדר \"ליקויי בניה אסתטיים\" יש מספר פעולות שעליך לבצע כדי להוכיח את טענותיך ולדרוש שהצדק יעשה.\r\nאנו ערוכים לסייע לך עם המידע מקצועי שיעזור לך לזכות במה שמגיע לך על פי חוק.</p>\r\n<p style=\"text-align: justify;\">שירות משפטי מקצועי  נותן לך מענה יקר ערך!\r\n<strong>משרדנו יסייע לך לקבל נכס שעומד בתקנות הבנייה, ואשר מעניק לך תמורה הולמת לכספך!</strong></p>", "ליקויי בנייה", "", "inherit", "open", "open", "", "98-revision-4", "", "", "2012-09-20 19:01:48", "2012-09-20 16:01:48", "", "98", "http://ru-law.co.il/98-revision-4/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("385", "1", "2013-06-05 20:18:59", "2013-06-05 17:18:59", "<p style=\"text-align: justify;\"><strong>רכישת דירה הינה העסקה הכלכלית המשמעותית ביותר לרוב האנשים. </strong>\r\n<strong>לכן כאשר מתגלים ליקויי בנייה נגרם לרוכשים נזק כלכלי עצום, ועוגמת נפש רבה.</strong>\r\nמשרדנו מנוסה בייצוג וליווי משפטי של דיירים בתביעות ליקויי בניה נגד קבלני בנין בגין כשלים בבניה.\r\nדוגמאות לליקויי בניה נפוצים:\r\n*חוסר התאמה במידות של חלקי המבנה.\r\n*רטיבות או נזילות.\r\n*סדקים שנפערו בקירות או ברצפה.\r\n*קילופי טיח ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>החוק פועל לטובתך!</strong>\r\nבמשך השנים גברה המודעות הציבורית לתחום זה וגם החקיקה עודכנה - והיא פועלת לטובתך.\r\nמגיע לך פיצוי על  איחור במסירת חזקה בדירה, על עגמת נפש המתלווה לליקוים, הפסד ימי עבודה, הוצאות בגין דיור חלופי או בגין חוות דעת של מומחים, אי-רישום דירה בטאבו (על ידי הקבלן), רשלנות ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>דרוש מהקבלן לקחת אחריות למחדלים!</strong>\r\nבהתאם להוראות חוק המכר (דירות), אחריותו של הקבלן מוגבלת לתקופה שבין שנה עד ל-7 שנים.\r\nבנוסף, קובע החוק כי לפני הגשת תביעה משפטית לפיצוי כספי, יש לפנות לקבלן ולתת הזדמנות נאותה לתקן ליקויים.</p>\r\n<p style=\"text-align: justify;\">שווה להיעזר בשירותי עורך דין מומחה שיפנה לקבלן במכתב דרישה לתיקון הליקויים, בסמוך למועד היווצרות ליקויי הבניה וגילויים. כשמדובר בליקויי בניה משמעותיים שאינם בגדר \"ליקויי בניה אסתטיים\" יש מספר פעולות שעליך לבצע כדי להוכיח את טענותיך ולדרוש שהצדק יעשה.\r\nאנו ערוכים לסייע לך עם המידע מקצועי שיעזור לך לזכות במה שמגיע לך על פי חוק.</p>\r\n<p style=\"text-align: justify;\">שירות משפטי מקצועי  נותן לך מענה יקר ערך!\r\n<strong>משרדנו יסייע לך לקבל נכס שעומד בתקנות הבנייה, ואשר מעניק לך תמורה הולמת לכספך!</strong></p>\r\n<p style=\"text-align: center;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\"</a></strong></p>", "ליקויי בנייה", "", "inherit", "open", "open", "", "98-revision-5", "", "", "2013-06-05 20:18:59", "2013-06-05 17:18:59", "", "98", "http://ru-law.co.il/98-revision-5/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("393", "1", "2013-06-06 09:21:21", "2013-06-06 06:21:21", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</a></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-06 09:21:21", "2013-06-06 06:21:21", "", "289", "http://ru-law.co.il/289-revision-36/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("387", "1", "2013-06-06 09:11:16", "2013-06-06 06:11:16", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\"</a><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"> בנושא ליקויי בנייה</a></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-06 09:11:16", "2013-06-06 06:11:16", "", "289", "http://ru-law.co.il/289-revision-34/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("386", "1", "2013-06-05 20:17:35", "2013-06-05 17:17:35", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #0000ff;\"><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\"</span></a></span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-05 20:17:35", "2013-06-05 17:17:35", "", "289", "http://ru-law.co.il/289-revision-33/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("390", "1", "2013-06-06 09:18:19", "2013-06-06 06:18:19", "<p style=\"text-align: justify;\"><strong>רכישת דירה הינה העסקה הכלכלית המשמעותית ביותר לרוב האנשים. </strong>\r\n<strong>לכן כאשר מתגלים ליקויי בנייה נגרם לרוכשים נזק כלכלי עצום, ועוגמת נפש רבה.</strong>\r\nמשרדנו מנוסה בייצוג וליווי משפטי של דיירים בתביעות ליקויי בניה נגד קבלני בנין בגין כשלים בבניה.\r\nדוגמאות לליקויי בניה נפוצים:\r\n*חוסר התאמה במידות של חלקי המבנה.\r\n*רטיבות או נזילות.\r\n*סדקים שנפערו בקירות או ברצפה.\r\n*קילופי טיח ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>החוק פועל לטובתך!</strong>\r\nבמשך השנים גברה המודעות הציבורית לתחום זה וגם החקיקה עודכנה - והיא פועלת לטובתך.\r\nמגיע לך פיצוי על  איחור במסירת חזקה בדירה, על עגמת נפש המתלווה לליקוים, הפסד ימי עבודה, הוצאות בגין דיור חלופי או בגין חוות דעת של מומחים, אי-רישום דירה בטאבו (על ידי הקבלן), רשלנות ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>דרוש מהקבלן לקחת אחריות למחדלים!</strong>\r\nבהתאם להוראות חוק המכר (דירות), אחריותו של הקבלן מוגבלת לתקופה שבין שנה עד ל-7 שנים.\r\nבנוסף, קובע החוק כי לפני הגשת תביעה משפטית לפיצוי כספי, יש לפנות לקבלן ולתת הזדמנות נאותה לתקן ליקויים.</p>\r\n<p style=\"text-align: justify;\">שווה להיעזר בשירותי עורך דין מומחה שיפנה לקבלן במכתב דרישה לתיקון הליקויים, בסמוך למועד היווצרות ליקויי הבניה וגילויים. כשמדובר בליקויי בניה משמעותיים שאינם בגדר \"ליקויי בניה אסתטיים\" יש מספר פעולות שעליך לבצע כדי להוכיח את טענותיך ולדרוש שהצדק יעשה.\r\nאנו ערוכים לסייע לך עם המידע מקצועי שיעזור לך לזכות במה שמגיע לך על פי חוק.</p>\r\n<p style=\"text-align: justify;\">שירות משפטי מקצועי  נותן לך מענה יקר ערך!\r\n<strong>משרדנו יסייע לך לקבל נכס שעומד בתקנות הבנייה, ואשר מעניק לך תמורה הולמת לכספך!</strong></p>\r\n<p style=\"text-align: center;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</a></strong></p>", "ליקויי בנייה", "", "inherit", "open", "open", "", "98-revision-8", "", "", "2013-06-06 09:18:19", "2013-06-06 06:18:19", "", "98", "http://ru-law.co.il/98-revision-8/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("388", "1", "2013-06-05 20:19:52", "2013-06-05 17:19:52", "<p style=\"text-align: justify;\"><strong>רכישת דירה הינה העסקה הכלכלית המשמעותית ביותר לרוב האנשים. </strong>\r\n<strong>לכן כאשר מתגלים ליקויי בנייה נגרם לרוכשים נזק כלכלי עצום, ועוגמת נפש רבה.</strong>\r\nמשרדנו מנוסה בייצוג וליווי משפטי של דיירים בתביעות ליקויי בניה נגד קבלני בנין בגין כשלים בבניה.\r\nדוגמאות לליקויי בניה נפוצים:\r\n*חוסר התאמה במידות של חלקי המבנה.\r\n*רטיבות או נזילות.\r\n*סדקים שנפערו בקירות או ברצפה.\r\n*קילופי טיח ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>החוק פועל לטובתך!</strong>\r\nבמשך השנים גברה המודעות הציבורית לתחום זה וגם החקיקה עודכנה - והיא פועלת לטובתך.\r\nמגיע לך פיצוי על  איחור במסירת חזקה בדירה, על עגמת נפש המתלווה לליקוים, הפסד ימי עבודה, הוצאות בגין דיור חלופי או בגין חוות דעת של מומחים, אי-רישום דירה בטאבו (על ידי הקבלן), רשלנות ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>דרוש מהקבלן לקחת אחריות למחדלים!</strong>\r\nבהתאם להוראות חוק המכר (דירות), אחריותו של הקבלן מוגבלת לתקופה שבין שנה עד ל-7 שנים.\r\nבנוסף, קובע החוק כי לפני הגשת תביעה משפטית לפיצוי כספי, יש לפנות לקבלן ולתת הזדמנות נאותה לתקן ליקויים.</p>\r\n<p style=\"text-align: justify;\">שווה להיעזר בשירותי עורך דין מומחה שיפנה לקבלן במכתב דרישה לתיקון הליקויים, בסמוך למועד היווצרות ליקויי הבניה וגילויים. כשמדובר בליקויי בניה משמעותיים שאינם בגדר \"ליקויי בניה אסתטיים\" יש מספר פעולות שעליך לבצע כדי להוכיח את טענותיך ולדרוש שהצדק יעשה.\r\nאנו ערוכים לסייע לך עם המידע מקצועי שיעזור לך לזכות במה שמגיע לך על פי חוק.</p>\r\n<p style=\"text-align: justify;\">שירות משפטי מקצועי  נותן לך מענה יקר ערך!\r\n<strong>משרדנו יסייע לך לקבל נכס שעומד בתקנות הבנייה, ואשר מעניק לך תמורה הולמת לכספך!</strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\"</span></a></strong></span></p>", "ליקויי בנייה", "", "inherit", "open", "open", "", "98-revision-6", "", "", "2013-06-05 20:19:52", "2013-06-05 17:19:52", "", "98", "http://ru-law.co.il/98-revision-6/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("389", "1", "2013-06-06 09:15:12", "2013-06-06 06:15:12", "<p style=\"text-align: justify;\"><strong>רכישת דירה הינה העסקה הכלכלית המשמעותית ביותר לרוב האנשים. </strong>\r\n<strong>לכן כאשר מתגלים ליקויי בנייה נגרם לרוכשים נזק כלכלי עצום, ועוגמת נפש רבה.</strong>\r\nמשרדנו מנוסה בייצוג וליווי משפטי של דיירים בתביעות ליקויי בניה נגד קבלני בנין בגין כשלים בבניה.\r\nדוגמאות לליקויי בניה נפוצים:\r\n*חוסר התאמה במידות של חלקי המבנה.\r\n*רטיבות או נזילות.\r\n*סדקים שנפערו בקירות או ברצפה.\r\n*קילופי טיח ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>החוק פועל לטובתך!</strong>\r\nבמשך השנים גברה המודעות הציבורית לתחום זה וגם החקיקה עודכנה - והיא פועלת לטובתך.\r\nמגיע לך פיצוי על  איחור במסירת חזקה בדירה, על עגמת נפש המתלווה לליקוים, הפסד ימי עבודה, הוצאות בגין דיור חלופי או בגין חוות דעת של מומחים, אי-רישום דירה בטאבו (על ידי הקבלן), רשלנות ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>דרוש מהקבלן לקחת אחריות למחדלים!</strong>\r\nבהתאם להוראות חוק המכר (דירות), אחריותו של הקבלן מוגבלת לתקופה שבין שנה עד ל-7 שנים.\r\nבנוסף, קובע החוק כי לפני הגשת תביעה משפטית לפיצוי כספי, יש לפנות לקבלן ולתת הזדמנות נאותה לתקן ליקויים.</p>\r\n<p style=\"text-align: justify;\">שווה להיעזר בשירותי עורך דין מומחה שיפנה לקבלן במכתב דרישה לתיקון הליקויים, בסמוך למועד היווצרות ליקויי הבניה וגילויים. כשמדובר בליקויי בניה משמעותיים שאינם בגדר \"ליקויי בניה אסתטיים\" יש מספר פעולות שעליך לבצע כדי להוכיח את טענותיך ולדרוש שהצדק יעשה.\r\nאנו ערוכים לסייע לך עם המידע מקצועי שיעזור לך לזכות במה שמגיע לך על פי חוק.</p>\r\n<p style=\"text-align: justify;\">שירות משפטי מקצועי  נותן לך מענה יקר ערך!\r\n<strong>משרדנו יסייע לך לקבל נכס שעומד בתקנות הבנייה, ואשר מעניק לך תמורה הולמת לכספך!</strong></p>\r\n<p style=\"text-align: center;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"לחצו כאן וקראו עלינו בכתבה בעיתון העסקים &quot;גלובס&quot; בנושא ליקויי בנייה\" target=\"_blank\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</a></strong></p>", "ליקויי בנייה", "", "inherit", "open", "open", "", "98-revision-7", "", "", "2013-06-06 09:15:12", "2013-06-06 06:15:12", "", "98", "http://ru-law.co.il/98-revision-7/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("391", "1", "2013-06-06 09:19:26", "2013-06-06 06:19:26", "<p style=\"text-align: justify;\"><strong>רכישת דירה הינה העסקה הכלכלית המשמעותית ביותר לרוב האנשים. </strong>\r\n<strong>לכן כאשר מתגלים ליקויי בנייה נגרם לרוכשים נזק כלכלי עצום, ועוגמת נפש רבה.</strong>\r\nמשרדנו מנוסה בייצוג וליווי משפטי של דיירים בתביעות ליקויי בניה נגד קבלני בנין בגין כשלים בבניה.\r\nדוגמאות לליקויי בניה נפוצים:\r\n*חוסר התאמה במידות של חלקי המבנה.\r\n*רטיבות או נזילות.\r\n*סדקים שנפערו בקירות או ברצפה.\r\n*קילופי טיח ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>החוק פועל לטובתך!</strong>\r\nבמשך השנים גברה המודעות הציבורית לתחום זה וגם החקיקה עודכנה - והיא פועלת לטובתך.\r\nמגיע לך פיצוי על  איחור במסירת חזקה בדירה, על עגמת נפש המתלווה לליקוים, הפסד ימי עבודה, הוצאות בגין דיור חלופי או בגין חוות דעת של מומחים, אי-רישום דירה בטאבו (על ידי הקבלן), רשלנות ועוד.</p>\r\n<p style=\"text-align: justify;\"><strong>דרוש מהקבלן לקחת אחריות למחדלים!</strong>\r\nבהתאם להוראות חוק המכר (דירות), אחריותו של הקבלן מוגבלת לתקופה שבין שנה עד ל-7 שנים.\r\nבנוסף, קובע החוק כי לפני הגשת תביעה משפטית לפיצוי כספי, יש לפנות לקבלן ולתת הזדמנות נאותה לתקן ליקויים.</p>\r\n<p style=\"text-align: justify;\">שווה להיעזר בשירותי עורך דין מומחה שיפנה לקבלן במכתב דרישה לתיקון הליקויים, בסמוך למועד היווצרות ליקויי הבניה וגילויים. כשמדובר בליקויי בניה משמעותיים שאינם בגדר \"ליקויי בניה אסתטיים\" יש מספר פעולות שעליך לבצע כדי להוכיח את טענותיך ולדרוש שהצדק יעשה.\r\nאנו ערוכים לסייע לך עם המידע מקצועי שיעזור לך לזכות במה שמגיע לך על פי חוק.</p>\r\n<p style=\"text-align: justify;\">שירות משפטי מקצועי  נותן לך מענה יקר ערך!\r\n<strong>משרדנו יסייע לך לקבל נכס שעומד בתקנות הבנייה, ואשר מעניק לך תמורה הולמת לכספך!</strong></p>\r\n<p style=\"text-align: right;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה", "", "inherit", "open", "open", "", "98-revision-9", "", "", "2013-06-06 09:19:26", "2013-06-06 06:19:26", "", "98", "http://ru-law.co.il/98-revision-9/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("392", "1", "2013-06-06 09:13:39", "2013-06-06 06:13:39", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #0000ff;\"><a title=\"ראיון לעיתון גלובס\" href=\"לחצו כאן וקראו עלינו בכתבה בעיתון העסקים &quot;גלובס&quot; בנושא ליקויי בנייה\" target=\"_blank\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</a></span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-06 09:13:39", "2013-06-06 06:13:39", "", "289", "http://ru-law.co.il/289-revision-35/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("395", "1", "2013-06-11 09:28:36", "2013-06-11 06:28:36", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">פירוק חברה מרצון - פירוק חברה לא פעילה - במחיר מיוחד</span></strong></h2>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מחיר שאסור לפרסם*</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>הנחה לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי ההליך של פירוק החברה / סגירת החברה ברשם החברות.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-32", "", "", "2013-06-11 09:28:36", "2013-06-11 06:28:36", "", "196", "http://ru-law.co.il/196-revision-32/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("397", "1", "2013-06-11 09:54:55", "2013-06-11 06:54:55", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>במחיר מיוחד שלא לפרסום</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מחיר מיוחד לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><em><strong>למשרדנו נסיון עשיר ורב בפירוק חברות ובעבודה מול רשם החברות והגורמים השונים</strong></em></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי מלא של הליך פירוק החברה / סגירת החברה ברשם החברות עד לסיום ההליך.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-34", "", "", "2013-06-11 09:54:55", "2013-06-11 06:54:55", "", "196", "http://ru-law.co.il/196-revision-34/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("398", "1", "2013-06-06 09:22:05", "2013-06-06 06:22:05", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-06 09:22:05", "2013-06-06 06:22:05", "", "289", "http://ru-law.co.il/289-revision-37/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("400", "1", "2013-06-11 20:55:17", "2013-06-11 17:55:17", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת והזלזול, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">התקשר/י אלינו כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-11 20:55:17", "2013-06-11 17:55:17", "", "289", "http://ru-law.co.il/289-revision-39/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("399", "1", "2013-06-11 20:44:45", "2013-06-11 17:44:45", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">ליקויי בנייה - תביעת קבלן - פיצויים כספיים</span></strong></span></h1>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן ביצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת והזלזול, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">צור/י קשר טלפוני כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-11 20:44:45", "2013-06-11 17:44:45", "", "289", "http://ru-law.co.il/289-revision-38/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("401", "1", "2012-12-27 17:22:45", "2012-12-27 15:22:45", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר ארנונה</span></strong></h1>\r\n<h2 style=\"text-align: center;\" dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה בלבד</span></strong></h2>\r\n<h3 style=\"text-align: center;\"><strong>(לעסקים המשלמים ארנונה בסכום של 5,000 ש\"ח לחודש ומעלה)</strong></h3>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: \'Times New Roman\';\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"rtl\" align=\"justify\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\">משרד עורכי הדין פ. רובינשטיין ושות\'</span></span> הינו משרד בוטיק מהמובילים בארץ, המתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר ארנונה רטרואקטיבי</span></strong> (החזר של תשלומי ארנונה ששולמו ביתר)<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו על בסיס הצלחה בלבד</span></strong><span style=\"font-family: Times New Roman;\">.</span><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> </span><span style=\"color: #ff0000;\">ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246250</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין ואנו נחזור אליך בהקדם</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "open", "open", "", "228-revision-v1", "", "", "2012-12-27 17:22:45", "2012-12-27 15:22:45", "", "228", "http://ru-law.co.il/228-revision-17/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("404", "1", "2013-06-15 11:17:03", "2013-06-15 08:17:03", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת והזלזול, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו על בסיס הצלחה-אחוזים</span></strong>.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">התקשר/י אלינו כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-15 11:17:03", "2013-06-15 08:17:03", "", "289", "http://ru-law.co.il/289-revision-42/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("402", "1", "2013-06-11 20:57:47", "2013-06-11 17:57:47", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת והזלזול, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">התקשר/י אלינו כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-11 20:57:47", "2013-06-11 17:57:47", "", "289", "http://ru-law.co.il/289-revision-40/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("403", "1", "2013-06-15 11:15:36", "2013-06-15 08:15:36", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"text-decoration: underline; font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י עכשיו </em>להפסקת הסחבת והזלזול, לתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו על בסיס הצלחה-אחוזים</span></strong>.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">התקשר/י אלינו כבר עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-15 11:15:36", "2013-06-15 08:15:36", "", "289", "http://ru-law.co.il/289-revision-41/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("405", "1", "2013-06-17 20:14:28", "2013-06-17 17:14:28", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו על בסיס הצלחה-אחוזים</span></strong>.</p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">התקשר/י אלינו עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-17 20:14:28", "2013-06-17 17:14:28", "", "289", "http://ru-law.co.il/289-revision-43/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("406", "1", "2013-06-23 11:44:17", "2013-06-23 08:44:17", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!!!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו ברובו על בסיס הצלחה-אחוזים בלבד !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">התקשר/י אלינו עכשיו או <em>מלא/י פרטים</em> בתיבת \"צור קשר\" מימין ואנו נשוב אליך בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-23 11:44:17", "2013-06-23 08:44:17", "", "289", "http://ru-law.co.il/289-revision-44/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("408", "1", "2013-06-23 16:27:41", "2013-06-23 13:27:41", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!!!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו ברובו על בסיס הצלחה-אחוזים בלבד !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">לקבלת יעוץ ראשוני או תיאום פגישה</span></strong></p>\r\n<p style=\"text-align: center;\"><em><strong><span style=\"color: #ff0000;\">התקשרו עכשיו 03-6246250</span></strong></em></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-23 16:27:41", "2013-06-23 13:27:41", "", "289", "http://ru-law.co.il/289-revision-46/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("409", "1", "2013-06-23 16:28:38", "2013-06-23 13:28:38", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!!!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו ברובו על בסיס הצלחה-אחוזים בלבד !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">לקבלת יעוץ ראשוני או תיאום פגישה</span></strong></p>\r\n<p style=\"text-align: center;\"><em><strong><span style=\"color: #ff0000;\">התקשרו עכשיו 03-6246250</span></strong></em></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-23 16:28:38", "2013-06-23 13:28:38", "", "289", "http://ru-law.co.il/289-revision-47/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("407", "1", "2013-06-23 16:26:02", "2013-06-23 13:26:02", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!!!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה. <span style=\"color: #ff0000; text-decoration: underline;\"><strong><span style=\"text-decoration: underline;\">פגישת ייעוץ ומכתב התראה ראשוני </span><span style=\"text-decoration: underline;\">בחינם</span> !</strong></span></p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו ברובו על בסיס הצלחה-אחוזים בלבד !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">לקבלת יעוץ ראשוני או תיאום פגישה</span></strong></p>\r\n<p style=\"text-align: center;\"><em><strong><span style=\"color: #ff0000;\">התקשרו עכשיו 03-6246250</span></strong></em></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</span></strong></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-06-23 16:26:02", "2013-06-23 13:26:02", "", "289", "http://ru-law.co.il/289-revision-45/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("412", "1", "2013-07-22 22:48:09", "2013-07-22 19:48:09", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!!!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו ברובו על בסיס הצלחה-אחוזים בלבד !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>לקבלת הצעת מחיר ותיאום פגישה </strong><em><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו עלינו בכתבה בעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-07-22 22:48:09", "2013-07-22 19:48:09", "", "289", "http://ru-law.co.il/289-revision-50/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("413", "1", "2013-07-22 22:51:56", "2013-07-22 19:51:56", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>ליקויי בנייה!! תביעת קבלן!! פיצויים כספיים!!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!!!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו ברובו על בסיס הצלחה-אחוזים בלבד !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>לקבלת הצעת מחיר ותיאום פגישה </strong><em><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-07-22 22:51:56", "2013-07-22 19:51:56", "", "289", "http://ru-law.co.il/289-revision-51/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("415", "1", "2013-07-30 10:10:10", "2013-07-30 07:10:10", "<h2><span style=\"font-size: 14px;\">(פרוסם בגלובס - זירת העסקים של ישראל)</span></h2>\n<h2>גיליתם ליקויי בנייה בדירה החדשה? זה הפתרון</h2>\n<div>\n<h3>מהם ליקויי הבנייה הנפוצים? כיצד ומתי חשוב לזהותם? להלן מפת דרכים מסודרת</h3>\n</div>\n<div>\n<h6>רון קסלר</h6>\n<h5>5/6/13</h5>\n</div>\n<div>\n<p dir=\"rtl\">עם קבלת הדירה שרכשנו במיטב כספנו, השמחה מונעת מאיתנו לעיתים להבחין בפגמים ובליקויי הבנייה, ולפעמים אנו פשוט לא מיומנים דיינו בכדי לזהות אותם. \"ליקויי הבנייה הם רבים ומגוונים\", מסביר עו\"ד פיני רובינשטיין ממשרד עורכי הדין פ. רובינשטיין ושות\' (משרד בוטיק, מומחה לליקויי בנייה ותביעות קבלנים ויזמים). \"חשוב שאנשים ידעו שבית המשפט מתייחס לליקויי רטיבות כליקויים חמורים מאוד. מעבר לסכנה, יש כאן עניין חוסר נוחות ופגיעה משמעותית בחיי היום יום של הדייר. זהו אחד הליקויים שבגינם נוטים בתי המשפט לפסוק פיצויי עוגמת נפש גבוהים יחסית\".</p>\n<p dir=\"rtl\">- מה הם ליקויי הבנייה הנפוצים?</p>\n<p dir=\"rtl\">\"כשקונה דירה מגיע למעמד קבלת הדירה, הוא בוחן אותה יחד עם הקבלן. בדרך כלל הוא ישים לב בעיקר לליקויים קוסמטיים, כגון מרצפות סדוקות או שבורות, שקעים שלא הורכבו כראוי, הבדלי גוון בולטים בריצוף וכדומה, ואת זה הוא יציין בפרוטוקול המסירה. אולם יש ליקויים רבים שכלל לא נראים בעין בלתי מקצועית, ולעיתים גם עין כזו לא תראה אותם, והם יתגלו בבדיקה באמצעות מכשירי מדידה שונים.</p>\n<p dir=\"rtl\">\"לדוגמה, הקונה לא יידע שעל החלון להיות בגודל מסוים ובגובה מסוים מהרצפה, הוא אינו יודע שהמרפסת צריכה להיות בשיפוע מסוים, הוא לא יודע שאסור שמסילת האלומיניום של היציאה למרפסת או לגינה תבלוט מעל המרצפות, והוא גם לא יודע שהמרווחים בין המרצפות חייבים להיות במרחק מסוים. הקבלן מחויב לבנות בהתאם למפרט ובהתאם לתקנים ולתקנות הבנייה. הקונה הפשוט לא מכיר את התקנים והתקנות האלו, ובטח ובטח לא תמיד מתעמק ומבין את המפרט שכולל פרטים טכניים, כך שגם אם על פניו הדירה נראית לו בסדר, עדיין עלולים להיות בה ליקויים רבים\".</p>\n<p dir=\"rtl\">- ישנם ליקויים שיכולים להפתיע?</p>\n<p dir=\"rtl\">\" בהחלט. כך למשל, הזכרנו קודם את המרווחים שבין המרצפות. בתקנים ובתקנות נקבעו מרווחים כאלה. דוגמה נוספת שגם אותה הזכרנו קודם, היא גודל החלון ביחס לגודל החדר. מדובר בליקויים שמבחינת הדייר אולי לא נראים בעייתיים, אך לתקנים והתקנות יש היגיון והקריטריונים לא נקבעו סתם. הקריטריונים לגבי גודל החלון נועדו להבטיח שהפתח יאפשר אוורור טבעי של החדר, ואם החלון יהיה קטן ביחס לגודל החדר, הדבר לא יתאפשר\".</p>\n<p dir=\"rtl\">- קל להיות חכמים בדיעבד, אבל איך מגלים את זה בזמן?</p>\n<p dir=\"rtl\">\"אני ממליץ לקונה להגיע למעמד קבלת הדירה עם מומחה שהוא מהנדס בניין. יש לקחת בחשבון שלא תמיד הקבלן יאפשר זאת, ובמקרה כזה יש לדאוג שהמומחה יגיע אחרי הליך קבלת הדירה או ביום שלמחרת. ברוב המקרים הקבלן ינסה להיתלות בפרוטוקול המסירה ולטעון שהליקויים להם אתם טוענים לא צוינו שם, וכי בחתימתכם עליו ויתרתם על טענות לגבי ליקויים שלא צוינו בו. עמדה זו של הקבלנים בדרך כלל לא תתקבל על-ידי בית המשפט, אך עדיין מומלץ להיות זהירים בעניין ולא לחתום על פרוטוקול הכולל סעיפי ויתור שכאלה\".</p>\n<p dir=\"rtl\">- ומה אם לא הבאתי עמי מומחה למעמד המסירה ומאז עברו כבר שנה או שנתיים ויש ליקויים?</p>\n<p dir=\"rtl\">\"גם במקרה כזה עדיין לא איחרתם את הרכבת. פנו עוד היום למומחה כזה. חוות-דעת מטעם מומחה מהנדס בניין, היא הכרחית לצורך הגשת תביעה נגד הקבלן, ולכן, גם אם לא עשיתם זאת עד היום, עשו זאת כעת. חשוב שהמומחה יהיה בעל ניסיון בכתיבת חוות-דעת הנדסית לצרכים משפטיים, ולכן לא כל מהנדס בניין יכול להתאים. קיימות בשוק לא מעט חברות בדק בית בבעלותם של מומחים כאלה, או שהן מעסיקות אותם. רובם עושים עבודה טובה. פשוט כנסו לגוגל וחפשו \'חברות בדק בית\' ותמצאו היצע מגוון של חברות מומחים כאלו\".</p>\n<p dir=\"rtl\">- יש לי חוות-דעת הנדסית. מה עכשיו?</p>\n<p dir=\"rtl\">\"חוק המכר לדירות מחייב לתת לקבלן \'הזדמנות נאותה\' לתיקון הליקויים בעצמו \'תוך זמן סביר\'. כשמדובר בליקויים הניתנים לתיקון כמובן. לגבי ליקויים שאינם ניתנים לתיקון, ניתן להגיש תביעה בגינם, במקרה שהקבלן מסרב לפצות. ולכן, השלב הראשון הוא לשלוח את חוות-הדעת לקבלן בליווי מכתב דרישה לתיקון הליקויים המפורטים בחוות-הדעת. במקרה שהקבלן אכן מגיע לתקן את הליקויים או את חלקם, אני ממליץ להזמין את המומחה לבדיקה חוזרת שייתן חוות-דעת כתובה לגבי איכות התיקונים.</p>\n<p dir=\"rtl\">\"אם כל הליקויים תוקנו בצורה טובה, דיינו. אך אם המומחה קבע שהתיקונים לא טובים או שבמקרה שהקבלן תיקן רק חלק מהליקויים, השלב הבא הוא כבר פנייה לבית המשפט בתביעה נגד הקבלן, או נגד היזם במקרה שמי שמכר לכם את הדירה הוא יזם שבנה על-ידי חברה קבלנית.</p>\n<p dir=\"rtl\">\"חשוב מאוד להדגיש את נושא התיעוד של כל ההתנהלות של הקונים מול הקבלן. כל פנייה של הקונה לקבלן צריכה להיעשות בכתב עם אישור מסירה, בין אם זה בפקס ובין אם זה בדואר רשום\".</p>\n<p dir=\"rtl\">- האם אני צריך עו\"ד כדי לשלוח את חוות-הדעת לקבלן?</p>\n<p dir=\"rtl\">\"לא. אך בעיקרון, רצוי מאוד להכניס עו\"ד לתמונה, כבר בשלבים הראשונים בהם גיליתם ליקויי בנייה, שכן הוא יוכל להדריך ולהנחות אתכם בהתנהלות מול הקבלן והוא זה שידע להזיז דברים ולא לבזבז זמן רב על התנהלות עקרה מול הקבלן\".</p>\n<p dir=\"rtl\">- כמה זמן נמשך התהליך?</p>\n<p dir=\"rtl\">\"אורך החיים של תביעה כזאת הוא כשנתיים-שלוש, לפעמים יותר. לעיתים, אחרי הגשת התביעה ואחרי שהמומחה מטעם בית המשפט יגיש את חוות-דעתו הצדדים יהיו מוכנים להגיע לפשרה מסוימת ואז התהליך קצר יחסית\".</p>\n<p dir=\"rtl\">- קניתי דירה יד שנייה שנקנתה מקבלן, אך הקבלן טוען שאינו אחראי כלפיי, מה עושים?</p>\n<p dir=\"rtl\">\"בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן. כיום, בעקבות תיקון שנכנס לתוקף ביום 6.4.2011 (תיקון מס\' 5 לחוק המכר דירות), קובע החוק כי אחריות הקבלן כלפי הקונה הראשון תחול גם כלפי קונה משנה, אך יחד עם זאת נקבע כי התיקון לא יחול על דירה בבניין שבנייתו הסתיימה לפני ה- 6.4.2011 או שחוזה המכר לגביה נחתם לפני יום זה.</p>\n<p dir=\"rtl\">\"יצוין, כי גם במקרים שהתיקון הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי ובלבד שקונה המשנה לא היה מודע לליקויים בעת קניית הדירה מהקונה המקורי. בכל אופן, לקבלן יש אחריות נזיקית כלפי קונה המשנה גם אם חוק המכר לא חל על המקרה\".</p>\n\n</div>", "כתבה בגלובס - עו\"ד פיני רובינשטיין מספק פתרונות בנושא ליקויי בנייה", "", "inherit", "open", "open", "", "414-revision", "", "", "2013-07-30 10:10:10", "2013-07-30 07:10:10", "", "414", "http://ru-law.co.il/414-revision/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("416", "1", "2013-07-30 10:15:37", "2013-07-30 07:15:37", "<h2><span style=\"font-size: 14px;\">(פורסם בגלובס - זירת העסקים של ישראל)</span></h2>\r\n<h2>גיליתם ליקויי בנייה בדירה החדשה? זה הפתרון</h2>\r\n<div>\r\n<h3>מהם ליקויי הבנייה הנפוצים? כיצד ומתי חשוב לזהותם? להלן מפת דרכים מסודרת</h3>\r\n</div>\r\n<div>\r\n<h6>רון קסלר</h6>\r\n<h5>5/6/13</h5>\r\n</div>\r\n<div>\r\n<p dir=\"rtl\">עם קבלת הדירה שרכשנו במיטב כספנו, השמחה מונעת מאיתנו לעיתים להבחין בפגמים ובליקויי הבנייה, ולפעמים אנו פשוט לא מיומנים דיינו בכדי לזהות אותם. \"ליקויי הבנייה הם רבים ומגוונים\", מסביר עו\"ד פיני רובינשטיין ממשרד עורכי הדין פ. רובינשטיין ושות\' (משרד בוטיק, מומחה לליקויי בנייה ותביעות קבלנים ויזמים). \"חשוב שאנשים ידעו שבית המשפט מתייחס לליקויי רטיבות כליקויים חמורים מאוד. מעבר לסכנה, יש כאן עניין חוסר נוחות ופגיעה משמעותית בחיי היום יום של הדייר. זהו אחד הליקויים שבגינם נוטים בתי המשפט לפסוק פיצויי עוגמת נפש גבוהים יחסית\".</p>\r\n<p dir=\"rtl\">- מה הם ליקויי הבנייה הנפוצים?</p>\r\n<p dir=\"rtl\">\"כשקונה דירה מגיע למעמד קבלת הדירה, הוא בוחן אותה יחד עם הקבלן. בדרך כלל הוא ישים לב בעיקר לליקויים קוסמטיים, כגון מרצפות סדוקות או שבורות, שקעים שלא הורכבו כראוי, הבדלי גוון בולטים בריצוף וכדומה, ואת זה הוא יציין בפרוטוקול המסירה. אולם יש ליקויים רבים שכלל לא נראים בעין בלתי מקצועית, ולעיתים גם עין כזו לא תראה אותם, והם יתגלו בבדיקה באמצעות מכשירי מדידה שונים.</p>\r\n<p dir=\"rtl\">\"לדוגמה, הקונה לא יידע שעל החלון להיות בגודל מסוים ובגובה מסוים מהרצפה, הוא אינו יודע שהמרפסת צריכה להיות בשיפוע מסוים, הוא לא יודע שאסור שמסילת האלומיניום של היציאה למרפסת או לגינה תבלוט מעל המרצפות, והוא גם לא יודע שהמרווחים בין המרצפות חייבים להיות במרחק מסוים. הקבלן מחויב לבנות בהתאם למפרט ובהתאם לתקנים ולתקנות הבנייה. הקונה הפשוט לא מכיר את התקנים והתקנות האלו, ובטח ובטח לא תמיד מתעמק ומבין את המפרט שכולל פרטים טכניים, כך שגם אם על פניו הדירה נראית לו בסדר, עדיין עלולים להיות בה ליקויים רבים\".</p>\r\n<p dir=\"rtl\">- ישנם ליקויים שיכולים להפתיע?</p>\r\n<p dir=\"rtl\">\" בהחלט. כך למשל, הזכרנו קודם את המרווחים שבין המרצפות. בתקנים ובתקנות נקבעו מרווחים כאלה. דוגמה נוספת שגם אותה הזכרנו קודם, היא גודל החלון ביחס לגודל החדר. מדובר בליקויים שמבחינת הדייר אולי לא נראים בעייתיים, אך לתקנים והתקנות יש היגיון והקריטריונים לא נקבעו סתם. הקריטריונים לגבי גודל החלון נועדו להבטיח שהפתח יאפשר אוורור טבעי של החדר, ואם החלון יהיה קטן ביחס לגודל החדר, הדבר לא יתאפשר\".</p>\r\n<p dir=\"rtl\">- קל להיות חכמים בדיעבד, אבל איך מגלים את זה בזמן?</p>\r\n<p dir=\"rtl\">\"אני ממליץ לקונה להגיע למעמד קבלת הדירה עם מומחה שהוא מהנדס בניין. יש לקחת בחשבון שלא תמיד הקבלן יאפשר זאת, ובמקרה כזה יש לדאוג שהמומחה יגיע אחרי הליך קבלת הדירה או ביום שלמחרת. ברוב המקרים הקבלן ינסה להיתלות בפרוטוקול המסירה ולטעון שהליקויים להם אתם טוענים לא צוינו שם, וכי בחתימתכם עליו ויתרתם על טענות לגבי ליקויים שלא צוינו בו. עמדה זו של הקבלנים בדרך כלל לא תתקבל על-ידי בית המשפט, אך עדיין מומלץ להיות זהירים בעניין ולא לחתום על פרוטוקול הכולל סעיפי ויתור שכאלה\".</p>\r\n<p dir=\"rtl\">- ומה אם לא הבאתי עמי מומחה למעמד המסירה ומאז עברו כבר שנה או שנתיים ויש ליקויים?</p>\r\n<p dir=\"rtl\">\"גם במקרה כזה עדיין לא איחרתם את הרכבת. פנו עוד היום למומחה כזה. חוות-דעת מטעם מומחה מהנדס בניין, היא הכרחית לצורך הגשת תביעה נגד הקבלן, ולכן, גם אם לא עשיתם זאת עד היום, עשו זאת כעת. חשוב שהמומחה יהיה בעל ניסיון בכתיבת חוות-דעת הנדסית לצרכים משפטיים, ולכן לא כל מהנדס בניין יכול להתאים. קיימות בשוק לא מעט חברות בדק בית בבעלותם של מומחים כאלה, או שהן מעסיקות אותם. רובם עושים עבודה טובה. פשוט כנסו לגוגל וחפשו \'חברות בדק בית\' ותמצאו היצע מגוון של חברות מומחים כאלו\".</p>\r\n<p dir=\"rtl\">- יש לי חוות-דעת הנדסית. מה עכשיו?</p>\r\n<p dir=\"rtl\">\"חוק המכר לדירות מחייב לתת לקבלן \'הזדמנות נאותה\' לתיקון הליקויים בעצמו \'תוך זמן סביר\'. כשמדובר בליקויים הניתנים לתיקון כמובן. לגבי ליקויים שאינם ניתנים לתיקון, ניתן להגיש תביעה בגינם, במקרה שהקבלן מסרב לפצות. ולכן, השלב הראשון הוא לשלוח את חוות-הדעת לקבלן בליווי מכתב דרישה לתיקון הליקויים המפורטים בחוות-הדעת. במקרה שהקבלן אכן מגיע לתקן את הליקויים או את חלקם, אני ממליץ להזמין את המומחה לבדיקה חוזרת שייתן חוות-דעת כתובה לגבי איכות התיקונים.</p>\r\n<p dir=\"rtl\">\"אם כל הליקויים תוקנו בצורה טובה, דיינו. אך אם המומחה קבע שהתיקונים לא טובים או שבמקרה שהקבלן תיקן רק חלק מהליקויים, השלב הבא הוא כבר פנייה לבית המשפט בתביעה נגד הקבלן, או נגד היזם במקרה שמי שמכר לכם את הדירה הוא יזם שבנה על-ידי חברה קבלנית.</p>\r\n<p dir=\"rtl\">\"חשוב מאוד להדגיש את נושא התיעוד של כל ההתנהלות של הקונים מול הקבלן. כל פנייה של הקונה לקבלן צריכה להיעשות בכתב עם אישור מסירה, בין אם זה בפקס ובין אם זה בדואר רשום\".</p>\r\n<p dir=\"rtl\">- האם אני צריך עו\"ד כדי לשלוח את חוות-הדעת לקבלן?</p>\r\n<p dir=\"rtl\">\"לא. אך בעיקרון, רצוי מאוד להכניס עו\"ד לתמונה, כבר בשלבים הראשונים בהם גיליתם ליקויי בנייה, שכן הוא יוכל להדריך ולהנחות אתכם בהתנהלות מול הקבלן והוא זה שידע להזיז דברים ולא לבזבז זמן רב על התנהלות עקרה מול הקבלן\".</p>\r\n<p dir=\"rtl\">- כמה זמן נמשך התהליך?</p>\r\n<p dir=\"rtl\">\"אורך החיים של תביעה כזאת הוא כשנתיים-שלוש, לפעמים יותר. לעיתים, אחרי הגשת התביעה ואחרי שהמומחה מטעם בית המשפט יגיש את חוות-דעתו הצדדים יהיו מוכנים להגיע לפשרה מסוימת ואז התהליך קצר יחסית\".</p>\r\n<p dir=\"rtl\">- קניתי דירה יד שנייה שנקנתה מקבלן, אך הקבלן טוען שאינו אחראי כלפיי, מה עושים?</p>\r\n<p dir=\"rtl\">\"בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן. כיום, בעקבות תיקון שנכנס לתוקף ביום 6.4.2011 (תיקון מס\' 5 לחוק המכר דירות), קובע החוק כי אחריות הקבלן כלפי הקונה הראשון תחול גם כלפי קונה משנה, אך יחד עם זאת נקבע כי התיקון לא יחול על דירה בבניין שבנייתו הסתיימה לפני ה- 6.4.2011 או שחוזה המכר לגביה נחתם לפני יום זה.</p>\r\n<p dir=\"rtl\">\"יצוין, כי גם במקרים שהתיקון הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי ובלבד שקונה המשנה לא היה מודע לליקויים בעת קניית הדירה מהקונה המקורי. בכל אופן, לקבלן יש אחריות נזיקית כלפי קונה המשנה גם אם חוק המכר לא חל על המקרה\".</p>\r\n<p style=\"text-align: center;\" dir=\"rtl\"><a href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\">לחצ/י כאן לקריאת הכתבה באתר גלובס</a></p>\r\n\r\n</div>", "כתבה בגלובס - עו\"ד פיני רובינשטיין מספק פתרונות בנושא ליקויי בנייה", "", "inherit", "open", "open", "", "414-autosave", "", "", "2013-07-30 10:15:37", "2013-07-30 07:15:37", "", "414", "http://ru-law.co.il/414-autosave/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("417", "1", "2013-07-30 10:10:49", "2013-07-30 07:10:49", "<h2><span style=\"font-size: 14px;\">(פורסם בגלובס - זירת העסקים של ישראל)</span></h2>\r\n<h2>גיליתם ליקויי בנייה בדירה החדשה? זה הפתרון</h2>\r\n<div>\r\n<h3>מהם ליקויי הבנייה הנפוצים? כיצד ומתי חשוב לזהותם? להלן מפת דרכים מסודרת</h3>\r\n</div>\r\n<div>\r\n<h6>רון קסלר</h6>\r\n<h5>5/6/13</h5>\r\n</div>\r\n<div>\r\n<p dir=\"rtl\">עם קבלת הדירה שרכשנו במיטב כספנו, השמחה מונעת מאיתנו לעיתים להבחין בפגמים ובליקויי הבנייה, ולפעמים אנו פשוט לא מיומנים דיינו בכדי לזהות אותם. \"ליקויי הבנייה הם רבים ומגוונים\", מסביר עו\"ד פיני רובינשטיין ממשרד עורכי הדין פ. רובינשטיין ושות\' (משרד בוטיק, מומחה לליקויי בנייה ותביעות קבלנים ויזמים). \"חשוב שאנשים ידעו שבית המשפט מתייחס לליקויי רטיבות כליקויים חמורים מאוד. מעבר לסכנה, יש כאן עניין חוסר נוחות ופגיעה משמעותית בחיי היום יום של הדייר. זהו אחד הליקויים שבגינם נוטים בתי המשפט לפסוק פיצויי עוגמת נפש גבוהים יחסית\".</p>\r\n<p dir=\"rtl\">- מה הם ליקויי הבנייה הנפוצים?</p>\r\n<p dir=\"rtl\">\"כשקונה דירה מגיע למעמד קבלת הדירה, הוא בוחן אותה יחד עם הקבלן. בדרך כלל הוא ישים לב בעיקר לליקויים קוסמטיים, כגון מרצפות סדוקות או שבורות, שקעים שלא הורכבו כראוי, הבדלי גוון בולטים בריצוף וכדומה, ואת זה הוא יציין בפרוטוקול המסירה. אולם יש ליקויים רבים שכלל לא נראים בעין בלתי מקצועית, ולעיתים גם עין כזו לא תראה אותם, והם יתגלו בבדיקה באמצעות מכשירי מדידה שונים.</p>\r\n<p dir=\"rtl\">\"לדוגמה, הקונה לא יידע שעל החלון להיות בגודל מסוים ובגובה מסוים מהרצפה, הוא אינו יודע שהמרפסת צריכה להיות בשיפוע מסוים, הוא לא יודע שאסור שמסילת האלומיניום של היציאה למרפסת או לגינה תבלוט מעל המרצפות, והוא גם לא יודע שהמרווחים בין המרצפות חייבים להיות במרחק מסוים. הקבלן מחויב לבנות בהתאם למפרט ובהתאם לתקנים ולתקנות הבנייה. הקונה הפשוט לא מכיר את התקנים והתקנות האלו, ובטח ובטח לא תמיד מתעמק ומבין את המפרט שכולל פרטים טכניים, כך שגם אם על פניו הדירה נראית לו בסדר, עדיין עלולים להיות בה ליקויים רבים\".</p>\r\n<p dir=\"rtl\">- ישנם ליקויים שיכולים להפתיע?</p>\r\n<p dir=\"rtl\">\" בהחלט. כך למשל, הזכרנו קודם את המרווחים שבין המרצפות. בתקנים ובתקנות נקבעו מרווחים כאלה. דוגמה נוספת שגם אותה הזכרנו קודם, היא גודל החלון ביחס לגודל החדר. מדובר בליקויים שמבחינת הדייר אולי לא נראים בעייתיים, אך לתקנים והתקנות יש היגיון והקריטריונים לא נקבעו סתם. הקריטריונים לגבי גודל החלון נועדו להבטיח שהפתח יאפשר אוורור טבעי של החדר, ואם החלון יהיה קטן ביחס לגודל החדר, הדבר לא יתאפשר\".</p>\r\n<p dir=\"rtl\">- קל להיות חכמים בדיעבד, אבל איך מגלים את זה בזמן?</p>\r\n<p dir=\"rtl\">\"אני ממליץ לקונה להגיע למעמד קבלת הדירה עם מומחה שהוא מהנדס בניין. יש לקחת בחשבון שלא תמיד הקבלן יאפשר זאת, ובמקרה כזה יש לדאוג שהמומחה יגיע אחרי הליך קבלת הדירה או ביום שלמחרת. ברוב המקרים הקבלן ינסה להיתלות בפרוטוקול המסירה ולטעון שהליקויים להם אתם טוענים לא צוינו שם, וכי בחתימתכם עליו ויתרתם על טענות לגבי ליקויים שלא צוינו בו. עמדה זו של הקבלנים בדרך כלל לא תתקבל על-ידי בית המשפט, אך עדיין מומלץ להיות זהירים בעניין ולא לחתום על פרוטוקול הכולל סעיפי ויתור שכאלה\".</p>\r\n<p dir=\"rtl\">- ומה אם לא הבאתי עמי מומחה למעמד המסירה ומאז עברו כבר שנה או שנתיים ויש ליקויים?</p>\r\n<p dir=\"rtl\">\"גם במקרה כזה עדיין לא איחרתם את הרכבת. פנו עוד היום למומחה כזה. חוות-דעת מטעם מומחה מהנדס בניין, היא הכרחית לצורך הגשת תביעה נגד הקבלן, ולכן, גם אם לא עשיתם זאת עד היום, עשו זאת כעת. חשוב שהמומחה יהיה בעל ניסיון בכתיבת חוות-דעת הנדסית לצרכים משפטיים, ולכן לא כל מהנדס בניין יכול להתאים. קיימות בשוק לא מעט חברות בדק בית בבעלותם של מומחים כאלה, או שהן מעסיקות אותם. רובם עושים עבודה טובה. פשוט כנסו לגוגל וחפשו \'חברות בדק בית\' ותמצאו היצע מגוון של חברות מומחים כאלו\".</p>\r\n<p dir=\"rtl\">- יש לי חוות-דעת הנדסית. מה עכשיו?</p>\r\n<p dir=\"rtl\">\"חוק המכר לדירות מחייב לתת לקבלן \'הזדמנות נאותה\' לתיקון הליקויים בעצמו \'תוך זמן סביר\'. כשמדובר בליקויים הניתנים לתיקון כמובן. לגבי ליקויים שאינם ניתנים לתיקון, ניתן להגיש תביעה בגינם, במקרה שהקבלן מסרב לפצות. ולכן, השלב הראשון הוא לשלוח את חוות-הדעת לקבלן בליווי מכתב דרישה לתיקון הליקויים המפורטים בחוות-הדעת. במקרה שהקבלן אכן מגיע לתקן את הליקויים או את חלקם, אני ממליץ להזמין את המומחה לבדיקה חוזרת שייתן חוות-דעת כתובה לגבי איכות התיקונים.</p>\r\n<p dir=\"rtl\">\"אם כל הליקויים תוקנו בצורה טובה, דיינו. אך אם המומחה קבע שהתיקונים לא טובים או שבמקרה שהקבלן תיקן רק חלק מהליקויים, השלב הבא הוא כבר פנייה לבית המשפט בתביעה נגד הקבלן, או נגד היזם במקרה שמי שמכר לכם את הדירה הוא יזם שבנה על-ידי חברה קבלנית.</p>\r\n<p dir=\"rtl\">\"חשוב מאוד להדגיש את נושא התיעוד של כל ההתנהלות של הקונים מול הקבלן. כל פנייה של הקונה לקבלן צריכה להיעשות בכתב עם אישור מסירה, בין אם זה בפקס ובין אם זה בדואר רשום\".</p>\r\n<p dir=\"rtl\">- האם אני צריך עו\"ד כדי לשלוח את חוות-הדעת לקבלן?</p>\r\n<p dir=\"rtl\">\"לא. אך בעיקרון, רצוי מאוד להכניס עו\"ד לתמונה, כבר בשלבים הראשונים בהם גיליתם ליקויי בנייה, שכן הוא יוכל להדריך ולהנחות אתכם בהתנהלות מול הקבלן והוא זה שידע להזיז דברים ולא לבזבז זמן רב על התנהלות עקרה מול הקבלן\".</p>\r\n<p dir=\"rtl\">- כמה זמן נמשך התהליך?</p>\r\n<p dir=\"rtl\">\"אורך החיים של תביעה כזאת הוא כשנתיים-שלוש, לפעמים יותר. לעיתים, אחרי הגשת התביעה ואחרי שהמומחה מטעם בית המשפט יגיש את חוות-דעתו הצדדים יהיו מוכנים להגיע לפשרה מסוימת ואז התהליך קצר יחסית\".</p>\r\n<p dir=\"rtl\">- קניתי דירה יד שנייה שנקנתה מקבלן, אך הקבלן טוען שאינו אחראי כלפיי, מה עושים?</p>\r\n<p dir=\"rtl\">\"בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן. כיום, בעקבות תיקון שנכנס לתוקף ביום 6.4.2011 (תיקון מס\' 5 לחוק המכר דירות), קובע החוק כי אחריות הקבלן כלפי הקונה הראשון תחול גם כלפי קונה משנה, אך יחד עם זאת נקבע כי התיקון לא יחול על דירה בבניין שבנייתו הסתיימה לפני ה- 6.4.2011 או שחוזה המכר לגביה נחתם לפני יום זה.</p>\r\n<p dir=\"rtl\">\"יצוין, כי גם במקרים שהתיקון הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי ובלבד שקונה המשנה לא היה מודע לליקויים בעת קניית הדירה מהקונה המקורי. בכל אופן, לקבלן יש אחריות נזיקית כלפי קונה המשנה גם אם חוק המכר לא חל על המקרה\".</p>\r\n\r\n</div>", "כתבה בגלובס - עו\"ד פיני רובינשטיין מספק פתרונות בנושא ליקויי בנייה", "", "inherit", "open", "open", "", "414-revision-2", "", "", "2013-07-30 10:10:49", "2013-07-30 07:10:49", "", "414", "http://ru-law.co.il/414-revision-2/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("418", "1", "2013-07-30 10:13:45", "2013-07-30 07:13:45", "<h2><span style=\"font-size: 14px;\">(פורסם בגלובס - זירת העסקים של ישראל)</span></h2>\r\n<h2>גיליתם ליקויי בנייה בדירה החדשה? זה הפתרון</h2>\r\n<div>\r\n<h3>מהם ליקויי הבנייה הנפוצים? כיצד ומתי חשוב לזהותם? להלן מפת דרכים מסודרת</h3>\r\n</div>\r\n<div>\r\n<h6>רון קסלר</h6>\r\n<h5>5/6/13</h5>\r\n</div>\r\n<div>\r\n<p dir=\"rtl\">עם קבלת הדירה שרכשנו במיטב כספנו, השמחה מונעת מאיתנו לעיתים להבחין בפגמים ובליקויי הבנייה, ולפעמים אנו פשוט לא מיומנים דיינו בכדי לזהות אותם. \"ליקויי הבנייה הם רבים ומגוונים\", מסביר עו\"ד פיני רובינשטיין ממשרד עורכי הדין פ. רובינשטיין ושות\' (משרד בוטיק, מומחה לליקויי בנייה ותביעות קבלנים ויזמים). \"חשוב שאנשים ידעו שבית המשפט מתייחס לליקויי רטיבות כליקויים חמורים מאוד. מעבר לסכנה, יש כאן עניין חוסר נוחות ופגיעה משמעותית בחיי היום יום של הדייר. זהו אחד הליקויים שבגינם נוטים בתי המשפט לפסוק פיצויי עוגמת נפש גבוהים יחסית\".</p>\r\n<p dir=\"rtl\">- מה הם ליקויי הבנייה הנפוצים?</p>\r\n<p dir=\"rtl\">\"כשקונה דירה מגיע למעמד קבלת הדירה, הוא בוחן אותה יחד עם הקבלן. בדרך כלל הוא ישים לב בעיקר לליקויים קוסמטיים, כגון מרצפות סדוקות או שבורות, שקעים שלא הורכבו כראוי, הבדלי גוון בולטים בריצוף וכדומה, ואת זה הוא יציין בפרוטוקול המסירה. אולם יש ליקויים רבים שכלל לא נראים בעין בלתי מקצועית, ולעיתים גם עין כזו לא תראה אותם, והם יתגלו בבדיקה באמצעות מכשירי מדידה שונים.</p>\r\n<p dir=\"rtl\">\"לדוגמה, הקונה לא יידע שעל החלון להיות בגודל מסוים ובגובה מסוים מהרצפה, הוא אינו יודע שהמרפסת צריכה להיות בשיפוע מסוים, הוא לא יודע שאסור שמסילת האלומיניום של היציאה למרפסת או לגינה תבלוט מעל המרצפות, והוא גם לא יודע שהמרווחים בין המרצפות חייבים להיות במרחק מסוים. הקבלן מחויב לבנות בהתאם למפרט ובהתאם לתקנים ולתקנות הבנייה. הקונה הפשוט לא מכיר את התקנים והתקנות האלו, ובטח ובטח לא תמיד מתעמק ומבין את המפרט שכולל פרטים טכניים, כך שגם אם על פניו הדירה נראית לו בסדר, עדיין עלולים להיות בה ליקויים רבים\".</p>\r\n<p dir=\"rtl\">- ישנם ליקויים שיכולים להפתיע?</p>\r\n<p dir=\"rtl\">\" בהחלט. כך למשל, הזכרנו קודם את המרווחים שבין המרצפות. בתקנים ובתקנות נקבעו מרווחים כאלה. דוגמה נוספת שגם אותה הזכרנו קודם, היא גודל החלון ביחס לגודל החדר. מדובר בליקויים שמבחינת הדייר אולי לא נראים בעייתיים, אך לתקנים והתקנות יש היגיון והקריטריונים לא נקבעו סתם. הקריטריונים לגבי גודל החלון נועדו להבטיח שהפתח יאפשר אוורור טבעי של החדר, ואם החלון יהיה קטן ביחס לגודל החדר, הדבר לא יתאפשר\".</p>\r\n<p dir=\"rtl\">- קל להיות חכמים בדיעבד, אבל איך מגלים את זה בזמן?</p>\r\n<p dir=\"rtl\">\"אני ממליץ לקונה להגיע למעמד קבלת הדירה עם מומחה שהוא מהנדס בניין. יש לקחת בחשבון שלא תמיד הקבלן יאפשר זאת, ובמקרה כזה יש לדאוג שהמומחה יגיע אחרי הליך קבלת הדירה או ביום שלמחרת. ברוב המקרים הקבלן ינסה להיתלות בפרוטוקול המסירה ולטעון שהליקויים להם אתם טוענים לא צוינו שם, וכי בחתימתכם עליו ויתרתם על טענות לגבי ליקויים שלא צוינו בו. עמדה זו של הקבלנים בדרך כלל לא תתקבל על-ידי בית המשפט, אך עדיין מומלץ להיות זהירים בעניין ולא לחתום על פרוטוקול הכולל סעיפי ויתור שכאלה\".</p>\r\n<p dir=\"rtl\">- ומה אם לא הבאתי עמי מומחה למעמד המסירה ומאז עברו כבר שנה או שנתיים ויש ליקויים?</p>\r\n<p dir=\"rtl\">\"גם במקרה כזה עדיין לא איחרתם את הרכבת. פנו עוד היום למומחה כזה. חוות-דעת מטעם מומחה מהנדס בניין, היא הכרחית לצורך הגשת תביעה נגד הקבלן, ולכן, גם אם לא עשיתם זאת עד היום, עשו זאת כעת. חשוב שהמומחה יהיה בעל ניסיון בכתיבת חוות-דעת הנדסית לצרכים משפטיים, ולכן לא כל מהנדס בניין יכול להתאים. קיימות בשוק לא מעט חברות בדק בית בבעלותם של מומחים כאלה, או שהן מעסיקות אותם. רובם עושים עבודה טובה. פשוט כנסו לגוגל וחפשו \'חברות בדק בית\' ותמצאו היצע מגוון של חברות מומחים כאלו\".</p>\r\n<p dir=\"rtl\">- יש לי חוות-דעת הנדסית. מה עכשיו?</p>\r\n<p dir=\"rtl\">\"חוק המכר לדירות מחייב לתת לקבלן \'הזדמנות נאותה\' לתיקון הליקויים בעצמו \'תוך זמן סביר\'. כשמדובר בליקויים הניתנים לתיקון כמובן. לגבי ליקויים שאינם ניתנים לתיקון, ניתן להגיש תביעה בגינם, במקרה שהקבלן מסרב לפצות. ולכן, השלב הראשון הוא לשלוח את חוות-הדעת לקבלן בליווי מכתב דרישה לתיקון הליקויים המפורטים בחוות-הדעת. במקרה שהקבלן אכן מגיע לתקן את הליקויים או את חלקם, אני ממליץ להזמין את המומחה לבדיקה חוזרת שייתן חוות-דעת כתובה לגבי איכות התיקונים.</p>\r\n<p dir=\"rtl\">\"אם כל הליקויים תוקנו בצורה טובה, דיינו. אך אם המומחה קבע שהתיקונים לא טובים או שבמקרה שהקבלן תיקן רק חלק מהליקויים, השלב הבא הוא כבר פנייה לבית המשפט בתביעה נגד הקבלן, או נגד היזם במקרה שמי שמכר לכם את הדירה הוא יזם שבנה על-ידי חברה קבלנית.</p>\r\n<p dir=\"rtl\">\"חשוב מאוד להדגיש את נושא התיעוד של כל ההתנהלות של הקונים מול הקבלן. כל פנייה של הקונה לקבלן צריכה להיעשות בכתב עם אישור מסירה, בין אם זה בפקס ובין אם זה בדואר רשום\".</p>\r\n<p dir=\"rtl\">- האם אני צריך עו\"ד כדי לשלוח את חוות-הדעת לקבלן?</p>\r\n<p dir=\"rtl\">\"לא. אך בעיקרון, רצוי מאוד להכניס עו\"ד לתמונה, כבר בשלבים הראשונים בהם גיליתם ליקויי בנייה, שכן הוא יוכל להדריך ולהנחות אתכם בהתנהלות מול הקבלן והוא זה שידע להזיז דברים ולא לבזבז זמן רב על התנהלות עקרה מול הקבלן\".</p>\r\n<p dir=\"rtl\">- כמה זמן נמשך התהליך?</p>\r\n<p dir=\"rtl\">\"אורך החיים של תביעה כזאת הוא כשנתיים-שלוש, לפעמים יותר. לעיתים, אחרי הגשת התביעה ואחרי שהמומחה מטעם בית המשפט יגיש את חוות-דעתו הצדדים יהיו מוכנים להגיע לפשרה מסוימת ואז התהליך קצר יחסית\".</p>\r\n<p dir=\"rtl\">- קניתי דירה יד שנייה שנקנתה מקבלן, אך הקבלן טוען שאינו אחראי כלפיי, מה עושים?</p>\r\n<p dir=\"rtl\">\"בחוק המכר דירות שהיה קיים עד 6.4.2011, הייתה חסרה התייחסות לשאלת תחולת החוק על קונה שרכש דירה יד שנייה ממוכר שאינו הקבלן. כיום, בעקבות תיקון שנכנס לתוקף ביום 6.4.2011 (תיקון מס\' 5 לחוק המכר דירות), קובע החוק כי אחריות הקבלן כלפי הקונה הראשון תחול גם כלפי קונה משנה, אך יחד עם זאת נקבע כי התיקון לא יחול על דירה בבניין שבנייתו הסתיימה לפני ה- 6.4.2011 או שחוזה המכר לגביה נחתם לפני יום זה.</p>\r\n<p dir=\"rtl\">\"יצוין, כי גם במקרים שהתיקון הנ\"ל אינו חל, עדיין עומדת לקונה המשנה עילת תביעה ישירה לפי חוק המכר דירות כלפי הקבלן. המתווה שבו נעשה שימוש הוא של המחאת זכויות הקונה הראשון לקונה המשנה, במפורש או במשתמע, להגיש תביעה נגד הקבלן, אך זאת רק בנסיבות שבהן לא הוגשה תביעה מטעם הקונים המקוריים ואין חשש לכפל פיצוי ובלבד שקונה המשנה לא היה מודע לליקויים בעת קניית הדירה מהקונה המקורי. בכל אופן, לקבלן יש אחריות נזיקית כלפי קונה המשנה גם אם חוק המכר לא חל על המקרה\".</p>\r\n<p style=\"text-align: center;\" dir=\"rtl\"><a href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\">לחצ/י כאן לקריאת הכתבה באתר גלובס</a></p>\r\n\r\n</div>", "כתבה בגלובס - עו\"ד פיני רובינשטיין מספק פתרונות בנושא ליקויי בנייה", "", "inherit", "open", "open", "", "414-revision-3", "", "", "2013-07-30 10:13:45", "2013-07-30 07:13:45", "", "414", "http://ru-law.co.il/414-revision-3/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("420", "1", "2013-07-26 18:51:15", "2013-07-26 15:51:15", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>לגיליתם ליקויי בנייה בדירה החדשה? אנחנו הפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו ברובו על בסיס הצלחה-אחוזים בלבד !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>לקבלת הצעת מחיר ותיאום פגישה </strong><em><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-07-26 18:51:15", "2013-07-26 15:51:15", "", "289", "http://ru-law.co.il/289-revision-52/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("421", "1", "2013-07-30 14:28:19", "2013-07-30 11:28:19", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>סובלים מליקויי בנייה בדירה? הגעתם לפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>לקבלת הצעת מחיר ותיאום פגישה </strong><em><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-07-30 14:28:19", "2013-07-30 11:28:19", "", "289", "http://ru-law.co.il/289-revision-53/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("422", "1", "2013-07-30 14:29:50", "2013-07-30 11:29:50", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>סובלים מליקויי בנייה בדירה? הגעתם לפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>לקבלת הצעת מחיר או תיאום פגישה </strong><em><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-07-30 14:29:50", "2013-07-30 11:29:50", "", "289", "http://ru-law.co.il/289-revision-54/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("423", "1", "2013-07-30 14:30:27", "2013-07-30 11:30:27", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>סובלים מליקויי בנייה בדירה? הגעתם לפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>לקבלת הצעת מחיר או תיאום פגישה </strong><em><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "open", "open", "", "289-revision-v1", "", "", "2013-07-30 14:30:27", "2013-07-30 11:30:27", "", "289", "http://ru-law.co.il/289-revision-55/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("424", "1", "2013-06-11 09:55:28", "2013-06-11 06:55:28", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>במחיר מיוחד שלא לפרסום</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מחיר מיוחד לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><em><strong>למשרדנו נסיון עשיר ורב בפירוק חברות ובעבודה מול רשם החברות והגורמים השונים</strong></em></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי מלא של הליך פירוק החברה / סגירת החברה ברשם החברות עד לסיום ההליך.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנה/י עכשיו בטל\': 03-6246250 או השאר פרטים בתיבה מימין ונחזור אליך בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-35", "", "", "2013-06-11 09:55:28", "2013-06-11 06:55:28", "", "196", "http://ru-law.co.il/196-revision-35/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("425", "1", "2013-07-30 15:54:23", "2013-07-30 12:54:23", "<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">פירוק חברה מרצון (סגירת חברה לא פעילה)</span></strong></span></h3>\r\n<h3 style=\"text-align: center;\"><span style=\"color: #000000;\"><strong><span style=\"text-decoration: underline;\">וביטול חוב אגרות לרשם החברות</span></strong></span></h3>\r\n<h2 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>במחיר מיוחד שלא לפרסום</strong></span></h2>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>מחיר מיוחד לזמן מוגבל !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><em><strong>למשרדנו נסיון עשיר ורב בפירוק חברות ובעבודה מול רשם החברות והגורמים השונים</strong></em></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\"> לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>\r\n<p style=\"text-align: right;\"><strong><span style=\"text-decoration: underline;\"> שירות פירוק חברה / סגירת חברה לא פעילה כולל</span></strong>:</p>\r\n<p style=\"text-align: justify;\">• הכנת כל המסמכים והתצהירים הנדרשים לפירוק החברה / סגירת החברה וביטול חוב האגרות לרשם החברות (כולל: תצהיר כושר פרעון, החלטה על פירוק החברה ומינוי מפרק, בקשה לביטול חוב אגרות ועוד).</p>\r\n<p style=\"text-align: justify;\">• החתמת הלקוח על המסמכים והתצהירים הנדרשים לפירוק חברה / סגירת חברה, לרבות אישור עו\"ד לאימות החתימות כנדרש ע\"י רשם החברות ועפ\"י הדין.</p>\r\n<p style=\"text-align: justify;\">• הגשת המסמכים לרשם החברות וליווי מלא של הליך פירוק החברה / סגירת החברה ברשם החברות עד לסיום ההליך.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"text-decoration: underline;\">\r\nשאלות נפוצות בנושא פירוק חברה לא פעילה</span></strong></p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה ומעולם לא פעלה, לא פתחה תיקים במע\"מ או במס הכנסה. האם ניתן למחוק את החברה מהמרשם?</strong></p>\r\n<p style=\"text-align: justify;\">כיום, בניגוד לעבר, החוק אינו מאפשר עוד למחוק חברות (ובכלל זאת חברה לא פעילה). לכן, כל חברה המבקשת להתפרק, חייבת לעשות זאת לפי ההליכים הקבועים בחוק. פירוק מרצון הוא אחד משלושת סוגי הפירוק הקבועים בחוק והקל מכולם. במידה והחברה לא פעלה מעולם, אזי יש באפשרותה להגיש בקשה לפטור מתשלום אגרות בתום הליך הפירוק מרצון של החברה.</p>\r\n<p style=\"text-align: justify;\"><strong>החברה שלי לא פעילה. החברה הפסיקה לפעול בשנת 2000, ותיקיה ברשויות המס נסגרו בשנת 2005. הגשתי לכם אישור רו\"ח המבקר והעתקי הדוחות עד 2005. מדוע מבקשים מהחברה חוב אגרות לשנים 2006-2010?</strong></p>\r\n<p style=\"text-align: justify;\">בהתאם לתקנות, ניתן לתת פטור מאגרות רק לחברה בפירוק אשר המציאה אישורים לגבי כל השנים שלגביהן קיימת יתרת חוב. על כן, בהתאם לאישורים שהוגשו, החברה פטורה מתשלום אגרות עד 2005, וחייבת בתשלום עבור השנים 2006-2010. על מנת לקבל פטור מתשלום אגרה לשנים אלו, עליה לפעול בהתאם לאמור בתקנות (אישורים מרשויות המס המציינים את מועד סגירת התיקים במס הכנסה ובמע\"מ).</p>\r\n<p style=\"text-align: justify;\"><strong>האם ניתן להגיש פלט מחשב משע\"מ המציין כי החברה אינה פעילה לצורך קבלת פטור מתשלום אגרות?</strong></p>\r\n<p style=\"text-align: justify;\">לא. אישורי רשויות המיסים חייבים להינתן על גבי טפסים מקוריים המיועדים לכך בחתימת פקיד שומה.</p>\r\n<p style=\"text-align: justify;\"><strong>מה צריך להיות כתוב בדו\"ח המפרק הסופי?</strong></p>\r\n<p style=\"text-align: justify;\">בדו\"ח המפרק צריך להיות מצוין כיצד התנהל הליך הפירוק, מה נעשה בנכסים, כיצד סולקו ההתחייבויות, ויש לציין בו מפורשות כי החברה פרעה כל חובותיה וכי לחברה אין חובות, התחייבויות ונכסים כל שהם.</p>\r\n<p style=\"text-align: justify;\"><strong>הגשתי תצהיר כושר פירעון לרשם החברות וטרם קבלתי אישור על רישומו. האם עלי לזמן את אסיפת בעלי המניות לצורך קבלת החלטה על פירוק מרצון של החברה? אם כן, תוך כמה זמן?</strong></p>\r\n<p style=\"text-align: justify;\">ניתן ורצוי לזמן את האסיפה מיד לאחר משלוח התצהירים לרשם החברות, אולם אין טעם לקיים את האסיפה לפני קבלת אישור רשם החברות על רישום התצהיר. מנגד, יש לקיים את האסיפה הכללית ולקבל החלטה על פירוק מרצון לא יאוחר מ-90 יום ממועד תצהיר כושר הפירעון. לפיכך, מומלץ לזמן את האסיפה למועד שבין 60-90 יום מחתימת תצהיר כושר הפירעון.</p>\r\n<p style=\"text-align: justify;\"><strong>אני מעוניין לפרק את החברה מרצון אך בתצהיר כושר הפירעון אני נדרש להצהיר ש\"החברה יכולה לעמוד בכל התחייבויותיה תוך 12 חודשים מיום תחילת הפירוק\". במידה ולחברה אין התחייבויות, האם אני פטור מהגשת תצהיר שכזה?</strong></p>\r\n<p style=\"text-align: justify;\">החוק מחייב הגשת תצהיר כושר פירעון כתנאי לפירוק מרצון של חברה. במידה ואין לחברה התחייבויות - אזי ממילא ההצהרה נכונה ותואמת את החוק.</p>\r\n<p style=\"text-align: center;\"> <strong><span style=\"color: #ff0000;\">לסגירת/פירוק חברה פנו עכשיו בטל\': 03-6246250 או השאירו פרטים בתיבה מימין ונחזור אליכם בהקדם</span></strong></p>", "מבצע פירוק חברה - סגירת חברה", "", "inherit", "open", "open", "", "196-revision-36", "", "", "2013-07-30 15:54:23", "2013-07-30 12:54:23", "", "196", "http://ru-law.co.il/196-revision-36/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("426", "1", "2013-04-12 12:30:13", "2013-04-12 09:30:13", "<strong>שירות משפטי מקצועי נותן לך שקט נפשי.</strong>\r\n\r\n<strong>כך תוכל לנהל עסקאות באופן יעיל ובטוח.</strong>\r\n\r\nמשרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה במקרקעין-נדל\"ן. למשרדנו ניסיון רב בליווי לקוחות עסקיים ופרטיים במגוון רחב של עסקאות מקרקעין ונדל\"ן:\r\n\r\n*רכישה ומכירה.\r\n\r\n*הסכמי ליווי בנקאיים.\r\n\r\n*קבוצות רכישה.\r\n\r\n*רישומים בלשכת רישום המקרקעין.\r\n\r\n*רישום פרצלציה.\r\n\r\n*איחוד וחלוקה.\r\n\r\n*בית משותף.\r\n\r\n*הסכמי שיתוף במקרקעין או תביעות לפירוק שיתוף.\r\n\r\n*עסקאות תמ\"א 38 והתחדשות עירונית.\r\n\r\n*עסקאות מכר במושבים ובהרחבות.\r\n\r\n*עסקאות קומבינציה.\r\n\r\n*יעוץ וסיוע משפטי בענייני תכנון ובנייה.\r\n\r\n*טיפול בענייני הפקעות מקרקעין.\r\n\r\n*תביעות בגין ירידת ערך בגין פגיעת תוכנית.\r\n<p style=\"text-align: justify;\">כעורכי דין, מתפקידנו לתרום מהידע המקצועי שלנו לכל אורך הדרך, בכל שלב משלבי העסקה, ובכלל זאת:</p>\r\n<p style=\"text-align: justify;\">*בדיקת היבטי המיסוי וכדאיות עתידית.</p>\r\n<p style=\"text-align: justify;\">*תכנון מס לתשלום מינימאלי, ובמקרים מסוימים אף לקבלת פטור.</p>\r\n<p style=\"text-align: justify;\">*ליווי במשא ומתן והדרכה של הרוכשים מול קבלנים, לרבות: בדיקה מקיפה של תנאי החוזה ושמירה על זכויות הרוכשים, בדיקת בטחונות ועוד.</p>\r\n<p style=\"text-align: justify;\">*יעוץ בכל הקשור לנוסח החוזה עד למעמד חתימת החוזה, כולל: בדיקת הזכויות של הנכס (בטאבו, במינהל מקרקעי ישראל ובחברה משכנת), בדיקת עיקולים, משכנתאות, שעבודים, צווי הריסה וכו\'.</p>\r\n<p style=\"text-align: justify;\">*ובשלב אחרון, רישום הזכויות בפנקסי המקרקעין.</p>\r\n<p style=\"text-align: center;\"> <span style=\"color: #ff0000;\"><strong>פנה/י עכשיו לפגישת ייעוץ ללא תשלום וללא התחייבות!</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>בטל\': 03-6246250 או השאר/י פרטים בתיבה מימין ונחזור אליך בהקדם</strong></span></p>", "מקרקעין ונדל\"ן", "", "inherit", "open", "open", "", "102-revision-9", "", "", "2013-04-12 12:30:13", "2013-04-12 09:30:13", "", "102", "http://ru-law.co.il/102-revision-9/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("429", "1", "2014-01-06 09:32:34", "2014-01-06 07:32:34", "<div id=\"contact-form\">\r\n    [text* your-name] \r\n    [text text-620] \r\n    [email* your-email] \r\n    [textarea your-message] \r\n[submit \" \"]\r\n</div>\nפנייה מהאתר\n[your-name] <[your-email]>\nמאת: [your-name] <[your-email]>\r\n\r\nתוכן ההודעה:\r\n[your-message]\r\n\r\n--\r\nThis e-mail was sent from a contact form on פ. רובינשטיין - משרד עורכי דין (http://ru-law.co.il)\ncarmit.mashiach@gmail.com\n\n\n\n\n[your-subject]\n[your-name] <[your-email]>\nתוכן ההודעה:\r\n[your-message]\r\n\r\n--\r\nThis e-mail was sent from a contact form on פ. רובינשטיין - משרד עורכי דין (http://ru-law.co.il)\n[your-email]\n\n\n\n<iframe src=\'http://ru-law.co.il/conversion-code.html\' width=\'1\' height=\'1\' frameborder=\'no\'></iframe>ההודעה נשלחה בהצלחה. תודה.\nשליחת ההודעה נכשלה. אנא נסה מאוחר יותר או פנה למנהל האתר בשיטה אחרת.\nאירעה תקלה. אנא בדוק את כל השדות ושלח שוב.\nשליחת ההודעה נכשלה. אנא נסה מאוחר יותר או פנה למנהל האתר בשיטה אחרת.\nלא אישרת את התנאים, אנא אשר על מנת להמשיך.\nנא למלא את כל שדות החובה.\nהקוד שהזנת שגוי.\nNumber format seems invalid.\nThis number is too small.\nThis number is too large.\nכתובת הדואר האלקטרוני אינה תקינה.\nURL seems invalid.\nTelephone number seems invalid.\nהתשובה אינה נכונה.\nDate format seems invalid.\nThis date is too early.\nThis date is too late.\nטעינת הקובץ נכשלה.\nסוג קובץ אסור.\nהקובץ גדול מדי.\nנכשלה טעינת הקובץ. אירעה שגיאה.", "טופס יצירת קשר חדש", "", "publish", "closed", "open", "", "%d7%98%d7%95%d7%a4%d7%a1-%d7%99%d7%a6%d7%99%d7%a8%d7%aa-%d7%a7%d7%a9%d7%a8-%d7%97%d7%93%d7%a9", "", "", "2014-01-06 10:46:07", "2014-01-06 08:46:07", "", "0", "http://ru-law.co.il/?post_type=wpcf7_contact_form&#038;p=429", "0", "wpcf7_contact_form", "", "0");
INSERT INTO `wp_posts` VALUES("433", "1", "2014-02-04 07:53:36", "2014-02-04 05:53:36", "<p dir=\"RTL\" align=\"JUSTIFY\">מאת: פיני רובינשטיין, עו\"ד</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">עת\"מ 1472-09 קנר נ\' עיריית ירושלים, ניתן ביום 13.9.2012 ע\"י בית המשפט לעניינים מנהליים בירושלים.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\"><strong><span style=\"text-decoration: underline;\">עובדות:</span></strong></p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">1. העותר (להלן: \"קנר\") הינו המחזיק בדמי מפתח של שני מחסנים תת-קרקעיים המצויים בקומת המרתף של בניין ברח\' שמאי 17 בירושלים (להלן: \" המחסנים\"). גודלם של המחסנים הוא 85 מ\"ר ו- 41 מ\"ר.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">2. המחסנים משמשים לאחסנת סחורות הנמכרות בחנותו של קנר, המצויה ברח\' בן הלל 14 בירושלים. המחסנים מכילים סחורות לתקופות אחסון ארוכות, לקוחות החנות אינם מבקרים במחסנים ולא מתנהלת בהם כל פעילות עסקית או מסחרית.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">3. בין השנים 2002-2009 הטילה המשיבה (להלן: \"העירייה\") על מחסני העותר חיוב ארנונה לפי סיווג של \"משרדים, שירותים ומסחר\" הקיים בצו הארנונה של העירייה.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">4. לטענת קנר: א - לעירייה אין סמכות לחייבו בארנונה בגין המחסנים, שכן צו הארנונה של העירייה אינו כולל סיווג של מחסנים. ב - החלטת העירייה לסווג מחסנים תת-קרקעיים בסיווג \"משרדים, שירותים ומסחר\", הזהה לסיווג החל על משרדים וחנויות, היא החלטה בלתי סבירה באופן קיצוני, ועל כן יש לבטלה.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\"><span style=\"text-decoration: underline;\"><strong>בית המשפט לעניינים מנהליים פסק:</strong></span></p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">1. תקנה 1 לתקנות ההסדרים במשק המדינה (ארנונה כללית ברשויות המקומיות), תשס\"ו-2007 (להלן: \"תקנות ההסדרים\"), מגדירה את הסיווג של \"משרד, שירותים ומסחר\". הגדרה זו דומה להגדרת הסיווג \"משרדים שירותים ומסחר\" בצו הארנונה של העירייה.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">2. המכנה המשותף לכל סוגי הנכסים המנויים בהגדרה של \"משרד, שירותים ומסחר\" בצו הארנונה של העירייה, הוא שבכולם ניתן שירות לציבור או שנמכר בהם מוצר או משאב מסויים המשרת את הציבור, ונראה לכאורה כי הגדרה זו לא נתכוונה לכלול סוגי נכסים כגון מחסנים תת-קרקעיים, השונים במהותם מסוגי הנכסים המפורטים בהגדרה זו.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">3. משכך, הסיווג שעל פיו חייבה העירייה את קנר בארנונה (בסיווג \"משרד, שירותים ומסחר\"), בהיעדר סיווג של מחסן בצו הארנונה שלה, אינו סיווג המתאים לשימוש שנעשה בנכסים אלו, שכן המחסנים של קנר נמצאים מתחת לפני הקרקע, כאשר השימוש היחיד שנעשה בהם הוא איחסון סחורות הנמכרות בחנותו של קנר, שאינה סמוכה למחסנים.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">4. לעניין סבירות ההחלטה לסווג את המחסנים בסיווג \"משרד, שירותים ומסחר\" - התעלמות העירייה מהשוני במאפיינים של השטח, הסוג והשימוש בין מחסנים תת-קרקעיים ובין חנויות ומשרדים, עולה כדי חוסר סבירות קיצוני. אין זה סביר שהעירייה תחייב באותו תעריף, הן נכסים מסחריים עיקריים המצויים במרכז העיר או בקניון מרכזי והן מחסנים תת-קרקעיים המשמשים לאחסון בלבד ואינם צמודים לנכס העיקרי ומשמשים אותו בפעילות היומיומית.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">5. לא זו אף זו, בעמ\"נ 274/05 מנהל הארנונה של עיריית גבעתיים נ\' קו אופ הריבוע הכחול בע\"מ, נדונו בין היתר מחסנים שהיו מצויים בקומת המרתף של המבנה, ולגביהם נפסק כי יש לסווגם כמחסן <span style=\"text-decoration: underline;\">למרות צמידותם לנכס העיקרי</span>, שכן מיקומם, שאינו נגיש באופן יום-יומי, מצביע על הקושי בשימוש השוטף בהם. כמו כן העובדה שיש בהם פריטים הנמצאים במשך זמן, מעידה גם היא כי הם נועדו לאחסנה בלבד. הדברים הנ\"ל יפים גם לענייננו.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">6. <strong>לנוכח כל האמור, יש לדחות את וענת המשיבה לפיה יש לסווג את המחסנים של קנר באותו סיווג של הנכס העיקרי, קרי, חנותו של קנר. זאת, שכן מדובר במחסנים המרוחקים מן החנות וממוקמים בקומה תת-קרקעית ואין זיקה ישירם בינם לבינה, באופן שהם אינם משמשים אותה בניהול המסחר היום-יומי</strong>.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\" align=\"RIGHT\">7. כמו כן, <strong>בהיעדר סיווג מתאים וסביר למחסנים בצו הארנונה של העירייה, וכל עוד לא תוקן הצו, אין ביכולתה של העירייה לגבות מקנר חיוב בגין נכס שאין לו סיווג</strong>.</p>", "עיריית ירושלים אינה יכולה לגבות ארנונה על מחסנים, משלא קיים סיווג מתאים בצו הארנונה של ירושלים", "", "inherit", "closed", "open", "", "339-autosave-v1", "", "", "2014-02-04 07:53:36", "2014-02-04 05:53:36", "", "339", "http://ru-law.co.il/339-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("435", "1", "2014-03-26 16:14:03", "2014-03-26 14:14:03", "<h1 style=\"text-align: center;\"><strong><span style=\"color: #ff0000; text-decoration: underline;\">הפחתת ארנונה לעסקים / החזר ארנונה</span></strong></h1>\r\n<h2 dir=\"rtl\" style=\"text-align: center;\" align=\"center\"><strong><span style=\"color: #ff0000;\">תשלום על בסיס הצלחה!</span></strong></h2>\r\n<h3 style=\"text-align: center;\"><strong>(לעסקים המשלמים ארנונה בסכום של 5,000 ש\"ח לחודש ומעלה)</strong></h3>\r\n<p style=\"text-align: justify;\">עסקים וארגונים רבים בישראל מחוייבים בתשלומי ארנונה ביתר – חיובי ארנונה הגבוהים בהרבה מעבר למותר<span style=\"font-family: \'Times New Roman\';\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">צמצום הזרמת הכספים מהשלטון המרכזי לשלטון המקומי שאנו עדים לו בשנים האחרונות, גורם לכך <span style=\"text-decoration: underline;\">שרשויות מקומיות רבות מנסות להגדיל את הכנסותיהן מארנונה לעסקים</span>, פעמים רבות בניגוד לדין.</p>\r\n<p dir=\"rtl\" align=\"justify\">כפי הנראה, <span style=\"text-decoration: underline;\">גם העסק שבניהולך מקבל חיובי ארנונה לעסקים הגבוהים מהמותר</span>, וזכותך לבדוק את חישוב הארנונה, לתקוף ולדרוש <strong><span style=\"text-decoration: underline;\">הפחתת חיובי הארנונה</span></strong> המוטלים על העסק ולקבל <strong><span style=\"text-decoration: underline;\">החזר רטרואקטיבי</span></strong> של תשלומי ארנונה ששולמו ביתר<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\">מאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבותם של החוק והפסיקה בנושא הפחתת ארנונה (וארנונה לעסקים), אזי, בכדי להצליח בהפחתת ארנונה וליהנות <strong><span style=\"text-decoration: underline;\">מחיסכון ומהחזרים משמעותיים</span></strong>, יש צורך להעזר במומחים לארנונה לעסקים - עו\"ד לארנונה<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\">משרד עורכי הדין פ. רובינשטיין ושות\'</span></span> הינו משרד בוטיק מהמובילים בארץ, המתמחה בתחום המיסוי העירוני בכלל ובתחום הארנונה לעסקים בפרט, ומטפל במקצועיות ובנחישות בבדיקת חישוב הארנונה ו<strong><span style=\"text-decoration: underline;\">בהפחתת ארנונה לעסקים</span></strong>, כולל טיפול <strong><span style=\"text-decoration: underline;\">בהחזר ארנונה רטרואקטיבי</span></strong> (החזר של תשלומי ארנונה ששולמו ביתר)<span style=\"font-family: Times New Roman;\">.</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"text-decoration: underline;\"><span style=\"color: #0000ff; text-decoration: underline;\"><a title=\"הפחתת ארנונה\" href=\"http://ru-law.co.il/%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94/\" target=\"_blank\">משרד עו\"ד פ. רובינשטיין</a></span></span> עומד לרשותך לאורך כל השלבים הנדרשים לצורך ערעור ותקיפת חיובי הארנונה – החל מהבדיקות המקדמיות של חישוב הארנונה ועד <strong><span style=\"text-decoration: underline;\">להפחתת ארנונה וקבלת החזרים</span></strong> – <strong><span style=\"text-decoration: underline;\">כל זאת כאשר התשלום עבור הפחתת הארנונה הינו בעיקר על בסיס הצלחה</span></strong><span style=\"font-family: Times New Roman;\">.</span><span style=\"font-family: Times New Roman;\">\r\n</span></p>\r\n<p dir=\"rtl\" align=\"justify\"><span style=\"color: #ff0000;\">מומלץ לפנות אלינו בהקדם האפשרי, בכדי לחסוך סכומי כסף גבוהים בהם הנך מחוייב ללא כל הצדקה ובניגוד לדין, ובכדי לקבל גם החזר רטרואקטיבי של חיובי ארנונה גבוהים שכבר שולמו !!</span></p>\r\n<p style=\"text-align: justify;\"><strong><span style=\"color: #ff0000;\">לצורך בדיקת חיובי הארנונה לעסק, כל שנדרש בשלב ראשון הינו משלוח חשבון ארנונה אחרון למייל <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a> </span><span style=\"color: #ff0000;\">ואנו נחזור אליך בהקדם.</span></strong></p>\r\n<p dir=\"rtl\" align=\"center\"><strong><span style=\"color: #ff0000;\">לבדיקת חיובי ארנונה לעסקים ללא התחייבות יש <span style=\"text-decoration: underline;\">לפנות אלינו ללא דיחוי</span> !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">להפחתת ארנונה פנה אלינו עכשיו בטל\' 03-6246250</span></strong></p>\r\n<p style=\"text-align: center;\"><strong></strong><strong><span style=\"color: #ff0000;\">או השאר פרטים בטופס \"צור קשר\" מימין ואנו נחזור אליך בהקדם</span></strong></p>", "הפחתת ארנונה לעסקים", "", "inherit", "closed", "open", "", "228-revision-v1", "", "", "2014-03-26 16:14:03", "2014-03-26 14:14:03", "", "228", "http://ru-law.co.il/228-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("439", "1", "2014-03-26 16:19:33", "2014-03-26 14:19:33", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!\r\n</strong>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong></strong></p>\r\n<strong>כך אי אפשר להפסיד: אתה משלם בעיקר על בסיס הצלחה, ונהנה מהחזרים גבוהים!</strong>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</p>\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "closed", "open", "", "96-revision-v1", "", "", "2014-03-26 16:19:33", "2014-03-26 14:19:33", "", "96", "http://ru-law.co.il/96-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("437", "1", "2014-03-26 16:18:20", "2014-03-26 14:18:20", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!\r\n</strong>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong></strong></p>\r\n<strong>כך אי אפשר להפסיד: אתה משלם בעיקר על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</p>\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "closed", "open", "", "96-revision-v1", "", "", "2014-03-26 16:18:20", "2014-03-26 14:18:20", "", "96", "http://ru-law.co.il/96-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("438", "1", "2014-03-26 16:18:29", "2014-03-26 14:18:29", "<strong>עסקים וארגונים רבים בישראל משלמים ארנונה גבוהה מידי!\r\n</strong>\r\n<p style=\"text-align: justify;\">במקרים רבים, רשויות מקומיות מנסות להגדיל את הכנסותיהן מארנונה לעסקים על ידי גביה מופרזת.\r\nההעלאה יכולה להיעשות במספר דרכים: העלאה ישירה, העלאה על ידי שינוי אופן מדידת הנכס, או על ידי שינוי סיווגו של הנכס (מנכס דל ארנונה לנכס עתיר ארנונה).\r\nמאחר והרשויות המקומיות מערימות קשיים ומנצלות את מורכבות החוק, לעיתים קרובות מדובר בהעלאה בלתי חוקית. כאשר עובדה זו מתגלה, אנו מגישים עתירות מנהליות או פונים בשם הלקוח לוועדת הערר של הרשות המקומית (כל מקרה לגופו כמובן).</p>\r\n<p style=\"text-align: justify;\"><strong>האם גם אתה משלם ארנונה גבוהה מידי?</strong>\r\nבעזרתנו תוכל לבדוק את חישובי הארנונה, לדרוש הפחתה, ולקבל החזרים.\r\nכמשרד אשר מתמחה במיסוי עירוני ובארנונה לעסקים בפרט, טיפלנו כבר במקרים רבים.\r\nהשירות שלנו כולל מעורבות בכל השלבים הנדרשים לצורך ערעור על חיובי הארנונה –\r\nהחל מהבדיקות המקדמיות של חישוב הארנונה, ועד לביצוע ההפחתה בפועל ולקבלת החזרים.\r\nאין ספק שסיכויי ההצלחה שלך גדלים כאשר אתה פועל יחד עם עורך דין מנוסה שבקיא בחקיקה ובהליכים הדרושים.\r\n<strong></strong></p>\r\n<strong>כך אי אפשר להפסיד: אתה משלם בעיקר על בסיס הצלחה, ונהנה מהחזרים גבוהים פי כמה!</strong>\r\n<p style=\"text-align: justify;\">המומחיות שלנו בנושא כבר הוכיחה את עצמה.\r\nלצורך בדיקת חיובי הארנונה של העסק שלך, ללא כל התחייבות, פנה/י כעת ללא דיחוי!!!\r\nשלח/י אלינו חשבון אחרון, למייל: <a href=\"mailto:info@ru-law.co.il\">info@ru-law.co.il</a>, או השאר/י פרטים בתיבה מימין ואנו נחזור אליך בהקדם!</p>\r\n&nbsp;", "הפחתת ארנונה", "", "inherit", "closed", "open", "", "96-autosave-v1", "", "", "2014-03-26 16:18:29", "2014-03-26 14:18:29", "", "96", "http://ru-law.co.il/96-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("449", "1", "2014-05-04 13:51:54", "2014-05-04 10:51:54", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>סובלים מליקויי בנייה בדירה? הגעתם לפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עוד היום </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">בכל יום שעובר ללא טיפול משפטי מקצועי, נפגעים סיכוייך לקבל את זכויותיך מהקבלן</span></strong></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span><strong style=\"color: #ff0000;\">לייעוץ ראשוני ללא התחייבות </strong><em style=\"color: #ff0000;\"><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "closed", "open", "", "289-revision-v1", "", "", "2014-05-04 13:51:54", "2014-05-04 10:51:54", "", "289", "http://ru-law.co.il/289-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("442", "1", "2014-04-09 22:05:16", "2014-04-09 19:05:16", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>סובלים מליקויי בנייה בדירה? הגעתם לפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עכשיו </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">בכל יום שעובר ללא טיפול משפטי מקצועי, נפגעים סיכוייך לקבל את זכויותיך מהקבלן</span></strong></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span><strong style=\"color: #ff0000;\">לייעוץ ראשוני ללא עלות </strong><em style=\"color: #ff0000;\"><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "closed", "open", "", "289-revision-v1", "", "", "2014-04-09 22:05:16", "2014-04-09 19:05:16", "", "289", "http://ru-law.co.il/289-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("444", "1", "2014-04-20 15:15:56", "2014-04-20 12:15:56", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>סובלים מליקויי בנייה בדירה? כאן הפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום על בסיס הצלחה!</strong></em></span></p>\r\n<strong>* קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong>\r\n\r\n<strong>* הקבלן מתחמק מתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong>\r\n\r\n<strong>* הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong>\r\n\r\n<strong>* קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנה/י אלינו עוד היום </em>להפסקת הסחבת ולתיקון הליקויים ולקבלת פיצויים כספיים !!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">בכל יום שעובר ללא טיפול משפטי מקצועי, נפגעים סיכוייך לקבל את זכויותיך מהקבלן</span></strong></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. נסיון רב שנים בטיפול בתביעות ליקויי בנייה.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span><strong style=\"color: #ff0000;\">לייעוץ ראשוני ללא התחייבות </strong><em style=\"color: #ff0000;\"><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "closed", "open", "", "289-revision-v1", "", "", "2014-04-20 15:15:56", "2014-04-20 12:15:56", "", "289", "http://ru-law.co.il/289-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("452", "1", "2014-05-20 20:00:49", "2014-05-20 17:00:49", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nת.א. 23311-07-10 נציגות הבית המשותף רח\' יקינטון ו-49 אחרים נ\' י.ב. זיו נכסים וקבלנות בע\"מ, ניתן ביום 3.5.2014 ע\"י בית משפט השלום בחיפה.\r\n\r\n<span style=\"text-decoration: underline;\"><strong>עובדות:</strong></span>\r\n<p style=\"text-align: justify;\">1. התובעת 1, היא \"נציגות הבית המשותף – ועד הבית ברח\' יקינטון 3, 3א\', 3ב\', לילך 2 ולוטם 1\" (להלן: \"הנציגות\"), המאגדת את ועדי הבתים בחמישה בנייני מגורים המצויים במתחם אחד בקריית ביאליק. התובעים 2 עד 50, הם בעלי חלק מהדירות במתחם, אשר ייפו את כוחה של הנציגות להגיש תביעה זו. יובהר, כי במתחם קיימות בסך הכל 58 דירות והדיירים הינם הבעלים של 49 מתוכן. הנציגות והדיירים יכונו להלן ביחד: \"התובעים\".</p>\r\n<p style=\"text-align: justify;\">2. הנתבעת 1, חברת י.ב. זיו נכסים וקבלנות בע\"מ, היא החברה שיזמה והקימה את המתחם. הנתבעת 2, איתן יהושוע ובניו בע\"מ, היא החברה הקבלנית שביצעה את עבודות הבנייה בפועל. שתי הנתבעות יכונו להלן ביחד: \"הנתבעות\".</p>\r\n<p style=\"text-align: justify;\">3. לטענת התובעים, ברכוש המשותף במתחם התגלו ליקויי בנייה רבים, אשר נגרמו בשל התנהלותן הרשלנית של הנתבעות בבניית המתחם, תוך הפרת חובות חקוקות והפרת ההסכמים בין הצדדים.</p>\r\n<p style=\"text-align: justify;\">4. נטען כי התובעים פנו לנתבעות בדרישות לתיקון הליקויים, אך כי הנתבעות התייחסו בזלזול לטענות והתיקונים שכן בוצעו היו \"מזעריים\" ולא נתנו פתרון ממשי לליקויים עצמם.</p>\r\n<p style=\"text-align: justify;\">5. הנתבעות טענו, בין יתר טענותיהן, כי מאחר והתובעים הם רק חלק מרוכשי הדירות, יש לפסוק לטובתם רק חלק יחסי מעלות תיקון הליקויים ברכוש המשותף, ביחס שבין השטחים שמחזיקים התובעים לבין השטחים של כל המתחם, כך שתבוא לידי ביטוי העובדה שרק 49 מתוך 58 הדיירים נטלו חלק בתביעה, כלומר – שיש לפסוק כפיצוי רק 84.6% מעלויות תיקון הליקויים.</p>\r\n<p style=\"text-align: justify;\"><span style=\"text-decoration: underline;\"><strong>בית משפט השלום פסק:</strong></span></p>\r\n<p style=\"text-align: justify;\">1. בע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רחוב נורית 19א (16.4.2012) הדיירים של אותם המבנים תיקנו את הדרוש תיקון על חשבונם והגישו תביעה כנגד הגורמים שלשיטתם היו אחראים לליקויים. לא כל הדיירים נמנו על התובעים – כמו במקרה דכאן. ביהמ\"ש המחוזי פסק כי על החברות הנתבעות לפצות את התובעים במלוא הסכום ולא רק בחלק יחסי. ביהמ\"ש העליון דחה את הערעור.\r\nבערעור הנ\"ל העיר השופט (כתוארו אז) מ\' חשין הערה שממנה עולה כי חשין היה מוכן לשקול אפשרות של <strong>פסיקת פיצויים כספיים ככל שהיה מוכח כי אלה מיועדים לשם תיקון כל הליקויים ברכוש המשותף</strong>.</p>\r\n<p style=\"text-align: justify;\">2. הזכות הקניינית של בעלי דירות בבית משותף ביחס לרכוש המשותף היא אכן בעלות בחלק יחסי בלתי מסוים (בעלות במנה \"המתמטית\" ולא בחלק פיזי כזה או אחר). עם זאת, מלשון החוק – כמו גם מתכליתו הכללית – עולה כי יש לראות באי-התאמה לפי חוק המכר (דירות), לרבות ביחס לרכוש המשותף, כהפרה של חיוב חוזי במסגרת חוזה המכר, ולא כפגיעה בזכותו הקניינית של הקונה ברכוש המשותף. לפיכך, <strong>כדי להחזיר את המצב לקדמותו, נדרש המוכר לספק לקונה חלק יחסי בלתי מסוים ברכוש משותף תקין ומתאים, ולא די בפיצוי כספי חלקי</strong>.</p>\r\n<p style=\"text-align: justify;\">3. <strong>הגם שהסעד המבוקש בתביעה לא היה \"ביצוע בעין\" של התיקונים אלא פיצוי כספי, הרי שבסופו של יום, לאחר שבוצעו התיקונים – מדובר בסעד השקול לסעד של \"ביצוע בעין\". לפיכך, גם לפי הלכת חשאי ונגזרותיה, ניתן לחייב את ה\"מוכר\" לפי חוק המכר (דירות) במלוא הסעד, אפילו מדובר בתביעת מקצת הקונים</strong>.</p>\r\n<p style=\"text-align: justify;\">4. <strong>אמנם התובעים לא מסכימים לאפשר לנתבעות לבצע את התיקונים בפועל (לאור הטענה כי ניסיונות לבצע חלק מהתיקונים כשל בעבר), אך בסעיף 5 לכתב התביעה קיימת התחייבות לפיה בכוונת הנציגות, הוועדים והדיירים לעשות שימוש בכספי הפיצוי לצורך תיקון בפועל של הליקויים. לטעמי יש בכך כדי לתת מענה לקושי העיוני שקיים בכל הנוגע לכך שלא כל הדיירים הצטרפו לתובעים - גם לפי הלכת חשאי.</strong></p>", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות והסעד המבוקש בתביעה הינו פיצוי כספי ולא \"ביצוע בעין\" של התיקונים", "publish", "closed", "open", "", "%d7%a0%d7%99%d7%aa%d7%9f-%d7%9c%d7%97%d7%99%d7%99%d7%91-%d7%90%d7%aa-%d7%94%d7%a7%d7%91%d7%9c%d7%9f-%d7%91%d7%9e%d7%9c%d7%95%d7%90-%d7%a2%d7%9c%d7%95%d7%99%d7%95%d7%aa-%d7%94%d7%aa%d7%99%d7%a7%d7%95", "", "", "2014-05-21 21:08:10", "2014-05-21 18:08:10", "", "0", "http://ru-law.co.il/?p=452", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("453", "1", "2014-05-20 20:00:49", "2014-05-20 17:00:49", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nת.א. 23311-07-10 נציגות הבית המשותף רח\' יקינטון ו-49 אחרים נ\' י.ב. זיו נכסים וקבלנות בע\"מ, ניתן ביום 3.5.2014 ע\"י בית משפט השלום בחיפה.\r\n\r\n<span style=\"text-decoration: underline;\"><strong>עובדות</strong></span>\r\n<p style=\"text-align: justify;\">1. התובעת 1, היא \"נציגות הבית המשותף – ועד הבית ברח\' יקינטון 3, 3א\', 3ב\', לילך 2 ולוטם 1\" (להלן: \"הנציגות\"), המאגדת את ועדי הבתים בחמישה בנייני מגורים המצויים במתחם אחד בקריית ביאליק. התובעים 2 עד 50, הם בעלי חלק מהדירות במתחם, אשר ייפו את כוחה של הנציגות להגיש תביעה זו. יובהר, כי במתחם קיימות בסך הכל 58 דירות והדיירים הינם הבעלים של 49 מתוכן. הנציגות והדיירים יכונו להלן ביחד: \"התובעים\".</p>\r\n<p style=\"text-align: justify;\">2. הנתבעת 1, חברת י.ב. זיו נכסים וקבלנות בע\"מ, היא החברה שיזמה והקימה את המתחם. הנתבעת 2, איתן יהושוע ובניו בע\"מ, היא החברה הקבלנית שביצעה את עבודות הבנייה בפועל. שתי הנתבעות יכונו להלן ביחד: \"הנתבעות\".</p>\r\n<p style=\"text-align: justify;\">3. לטענת התובעים, ברכוש המשותף במתחם התגלו ליקויי בנייה רבים, אשר נגרמו בשל התנהלותן הרשלנית של הנתבעות בבניית המתחם, תוך הפרת חובות חקוקות והפרת ההסכמים בין הצדדים.</p>\r\n<p style=\"text-align: justify;\">4. נטען כי התובעים פנו לנתבעות בדרישות לתיקון הליקויים, אך כי הנתבעות התייחסו בזלזול לטענות והתיקונים שכן בוצעו היו \"מזעריים\" ולא נתנו פתרון ממשי לליקויים עצמם.</p>\r\n<p style=\"text-align: justify;\">5. הנתבעות טענו, בין יתר טענותיהן, כי מאחר והתובעים הם רק חלק מרוכשי הדירות, יש לפסוק לטובתם רק חלק יחסי מעלות תיקון הליקויים ברכוש המשותף, ביחס שבין השטחים שמחזיקים התובעים לבין השטחים של כל המתחם, כך שתבוא לידי ביטוי העובדה שרק 49 מתוך 58 הדיירים נטלו חלק בתביעה, כלומר – שיש לפסוק כפיצוי רק 84.6% מעלויות תיקון הליקויים.</p>\r\n<p style=\"text-align: justify;\"><span style=\"text-decoration: underline;\"><strong>בית משפט השלום פסק</strong></span>:</p>\r\n<p style=\"text-align: justify;\">1. בע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רחוב נורית 19א (16.4.2012) הדיירים של אותם המבנים תיקנו את הדרוש תיקון על חשבונם והגישו תביעה כנגד הגורמים שלשיטתם היו אחראים לליקויים. לא כל הדיירים נמנו על התובעים – כמו במקרה דכאן. ביהמ\"ש המחוזי פסק כי על החברות הנתבעות לפצות את התובעים במלוא הסכום ולא רק בחלק יחסי. ביהמ\"ש העליון דחה את הערעור.\r\nבערעור הנ\"ל העיר השופט (כתוארו אז) מ\' חשין הערה שממנה עולה חשין היה מוכן לשקול אפשרות של פסיקת פיצויים כספיים ככל שהיה מוכח כי אלה מיועדים לשם תיקון כל הליקויים ברכוש המשותף.</p>\r\n<p style=\"text-align: justify;\">2. הזכות הקניינית של בעלי דירות בבית משותף ביחס לרכוש המשותף היא אכן בעלות בחלק יחסי בלתי מסוים (בעלות במנה \"המתמטית\" ולא בחלק פיזי כזה או אחר). עם זאת, מלשון החוק – כמו גם מתכליתו הכללית – עולה כי יש לראות באי-התאמה לפי חוק המכר (דירות), לרבות ביחס לרכוש המשותף, כהפרה של חיוב חוזי במסגרת חוזה המכר, ולא כפגיעה בזכותו הקניינית של הקונה ברכוש המשותף. לפיכך, כדי להחזיר את המצב לקדמותו, נדרש המוכר לספק לקונה חלק יחסי בלתי מסוים ברכוש משותף תקין ומתאים, ולא די בפיצוי כספי חלקי.</p>\r\n<p style=\"text-align: justify;\">3. הגם שהסעד המבוקש בתביעה לא היה \"ביצוע בעין\" של התיקונים אלא פיצוי כספי, הרי שבסופו של יום, לאחר שבוצעו התיקונים – מדובר בסעד השקול לסעד של \"ביצוע בעין\". לפיכך, גם לפי הלכת חשאי ונגזרותיה, ניתן לחייב את ה\"מוכר\" לפי חוק המכר (דירות) במלוא הסעד, אפילו מדובר בתביעת מקצת הקונים.</p>\r\n<p style=\"text-align: justify;\">4. אמנם התובעים לא מסכימים לאפשר לנתבעות לבצע את התיקונים בפועל (לאור הטענה כי ניסיונות לבצע חלק מהתיקונים כשל בעבר), אך בסעיף 5 לכתב התביעה קיימת התחייבות לפיה בכוונת הנציגות, הוועדים והדיירים לעשות שימוש בכספי הפיצוי לצורך תיקון בפועל של הליקויים. לטעמי יש בכך כדי לתת מענה לקושי העיוני שקיים בכל הנוגע לכך שלא כל הדיירים הצטרפו לתובעים - גם לפי הלכת חשאי.</p>", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות והסעד המבוקש בתביעה הינו פיצוי כספי ולא \"ביצוע בעין\" של התיקונים", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות והסעד המבוקש בתביעה הינו פיצוי כספי ולא \"ביצוע בעין\" של התיקונים", "inherit", "closed", "open", "", "452-revision-v1", "", "", "2014-05-20 20:00:49", "2014-05-20 17:00:49", "", "452", "http://ru-law.co.il/452-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("454", "1", "2014-05-24 00:18:04", "2014-05-23 21:18:04", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nת.א. 23311-07-10 נציגות הבית המשותף רח\' יקינטון ו-49 אחרים נ\' י.ב. זיו נכסים וקבלנות בע\"מ, ניתן ביום 3.5.2014 ע\"י בית משפט השלום בחיפה.\r\n\r\n<span style=\"text-decoration: underline;\"><strong>עובדות:</strong></span>\r\n<p style=\"text-align: justify;\">1. התובעת 1, היא \"נציגות הבית המשותף – ועד הבית ברח\' יקינטון 3, 3א\', 3ב\', לילך 2 ולוטם 1\" (להלן: \"הנציגות\"), המאגדת את ועדי הבתים בחמישה בנייני מגורים המצויים במתחם אחד בקריית ביאליק. התובעים 2 עד 50, הם בעלי חלק מהדירות במתחם, אשר ייפו את כוחה של הנציגות להגיש תביעה זו. יובהר, כי במתחם קיימות בסך הכל 58 דירות והדיירים הינם הבעלים של 49 מתוכן. הנציגות והדיירים יכונו להלן ביחד: \"התובעים\".</p>\r\n<p style=\"text-align: justify;\">2. הנתבעת 1, חברת י.ב. זיו נכסים וקבלנות בע\"מ, היא החברה שיזמה והקימה את המתחם. הנתבעת 2, איתן יהושוע ובניו בע\"מ, היא החברה הקבלנית שביצעה את עבודות הבנייה בפועל. שתי הנתבעות יכונו להלן ביחד: \"הנתבעות\".</p>\r\n<p style=\"text-align: justify;\">3. לטענת התובעים, ברכוש המשותף במתחם התגלו ליקויי בנייה רבים, אשר נגרמו בשל התנהלותן הרשלנית של הנתבעות בבניית המתחם, תוך הפרת חובות חקוקות והפרת ההסכמים בין הצדדים.</p>\r\n<p style=\"text-align: justify;\">4. נטען כי התובעים פנו לנתבעות בדרישות לתיקון הליקויים, אך כי הנתבעות התייחסו בזלזול לטענות והתיקונים שכן בוצעו היו \"מזעריים\" ולא נתנו פתרון ממשי לליקויים עצמם.</p>\r\n<p style=\"text-align: justify;\">5. הנתבעות טענו, בין יתר טענותיהן, כי מאחר והתובעים הם רק חלק מרוכשי הדירות, יש לפסוק לטובתם רק חלק יחסי מעלות תיקון הליקויים ברכוש המשותף, ביחס שבין השטחים שמחזיקים התובעים לבין השטחים של כל המתחם, כך שתבוא לידי ביטוי העובדה שרק 49 מתוך 58 הדיירים נטלו חלק בתביעה, כלומר – שיש לפסוק כפיצוי רק 84.6% מעלויות תיקון הליקויים.</p>\r\n<p style=\"text-align: justify;\"><span style=\"text-decoration: underline;\"><strong>בית משפט השלום פסק:</strong></span></p>\r\n<p style=\"text-align: justify;\">1. בע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רחוב נורית 19א (16.4.2012) הדיירים של אותם המבנים תיקנו את הדרוש תיקון על חשבונם והגישו תביעה כנגד הגורמים שלשיטתם היו אחראים לליקויים. לא כל הדיירים נמנו על התובעים – כמו במקרה דכאן. ביהמ\"ש המחוזי פסק כי על החברות הנתבעות לפצות את התובעים במלוא הסכום ולא רק בחלק יחסי. ביהמ\"ש העליון דחה את הערעור.\r\nבערעור הנ\"ל העיר השופט (כתוארו אז) מ\' חשין הערה שממנה עולה כי חשין היה מוכן לשקול אפשרות של <strong>פסיקת פיצויים כספיים ככל שהיה מוכח כי אלה מיועדים לשם תיקון כל הליקויים ברכוש המשותף</strong>.</p>\r\n<p style=\"text-align: justify;\">2. הזכות הקניינית של בעלי דירות בבית משותף ביחס לרכוש המשותף היא אכן בעלות בחלק יחסי בלתי מסוים (בעלות במנה \"המתמטית\" ולא בחלק פיזי כזה או אחר). עם זאת, מלשון החוק – כמו גם מתכליתו הכללית – עולה כי יש לראות באי-התאמה לפי חוק המכר (דירות), לרבות ביחס לרכוש המשותף, כהפרה של חיוב חוזי במסגרת חוזה המכר, ולא כפגיעה בזכותו הקניינית של הקונה ברכוש המשותף. לפיכך, <strong>כדי להחזיר את המצב לקדמותו, נדרש המוכר לספק לקונה חלק יחסי בלתי מסוים ברכוש משותף תקין ומתאים, ולא די בפיצוי כספי חלקי</strong>.</p>\r\n<p style=\"text-align: justify;\">3. <strong>הגם שהסעד המבוקש בתביעה לא היה \"ביצוע בעין\" של התיקונים אלא פיצוי כספי, הרי שבסופו של יום, לאחר שבוצעו התיקונים – מדובר בסעד השקול לסעד של \"ביצוע בעין\". לפיכך, גם לפי הלכת חשאי ונגזרותיה, ניתן לחייב את ה\"מוכר\" לפי חוק המכר (דירות) במלוא הסעד, אפילו מדובר בתביעת מקצת הקונים</strong>.</p>\r\n<p style=\"text-align: justify;\">4. <strong>אמנם התובעים לא מסכימים לאפשר לנתבעות לבצע את התיקונים בפועל (לאור הטענה כי ניסיונות לבצע חלק מהתיקונים כשל בעבר), אך בסעיף 5 לכתב התביעה קיימת התחייבות לפיה בכוונת הנציגות, הוועדים והדיירים לעשות שימוש בכספי הפיצוי לצורך תיקון בפועל של הליקויים. לטעמי יש בכך כדי לתת מענה לקושי העיוני שקיים בכל הנוגע לכך שלא כל הדיירים הצטרפו לתובעים - גם לפי הלכת חשאי.</strong></p>", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות והסעד המבוקש בתביעה הינו פיצוי כספי ולא \"ביצוע בעין\" של התיקונים", "inherit", "closed", "open", "", "452-autosave-v1", "", "", "2014-05-24 00:18:04", "2014-05-23 21:18:04", "", "452", "http://ru-law.co.il/452-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("457", "1", "2014-05-21 20:53:50", "2014-05-21 17:53:50", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nת.א. 23311-07-10 נציגות הבית המשותף רח\' יקינטון ו-49 אחרים נ\' י.ב. זיו נכסים וקבלנות בע\"מ, ניתן ביום 3.5.2014 ע\"י בית משפט השלום בחיפה.\r\n\r\n<span style=\"text-decoration: underline;\"><strong>עובדות</strong></span>\r\n<p style=\"text-align: justify;\">1. התובעת 1, היא \"נציגות הבית המשותף – ועד הבית ברח\' יקינטון 3, 3א\', 3ב\', לילך 2 ולוטם 1\" (להלן: \"הנציגות\"), המאגדת את ועדי הבתים בחמישה בנייני מגורים המצויים במתחם אחד בקריית ביאליק. התובעים 2 עד 50, הם בעלי חלק מהדירות במתחם, אשר ייפו את כוחה של הנציגות להגיש תביעה זו. יובהר, כי במתחם קיימות בסך הכל 58 דירות והדיירים הינם הבעלים של 49 מתוכן. הנציגות והדיירים יכונו להלן ביחד: \"התובעים\".</p>\r\n<p style=\"text-align: justify;\">2. הנתבעת 1, חברת י.ב. זיו נכסים וקבלנות בע\"מ, היא החברה שיזמה והקימה את המתחם. הנתבעת 2, איתן יהושוע ובניו בע\"מ, היא החברה הקבלנית שביצעה את עבודות הבנייה בפועל. שתי הנתבעות יכונו להלן ביחד: \"הנתבעות\".</p>\r\n<p style=\"text-align: justify;\">3. לטענת התובעים, ברכוש המשותף במתחם התגלו ליקויי בנייה רבים, אשר נגרמו בשל התנהלותן הרשלנית של הנתבעות בבניית המתחם, תוך הפרת חובות חקוקות והפרת ההסכמים בין הצדדים.</p>\r\n<p style=\"text-align: justify;\">4. נטען כי התובעים פנו לנתבעות בדרישות לתיקון הליקויים, אך כי הנתבעות התייחסו בזלזול לטענות והתיקונים שכן בוצעו היו \"מזעריים\" ולא נתנו פתרון ממשי לליקויים עצמם.</p>\r\n<p style=\"text-align: justify;\">5. הנתבעות טענו, בין יתר טענותיהן, כי מאחר והתובעים הם רק חלק מרוכשי הדירות, יש לפסוק לטובתם רק חלק יחסי מעלות תיקון הליקויים ברכוש המשותף, ביחס שבין השטחים שמחזיקים התובעים לבין השטחים של כל המתחם, כך שתבוא לידי ביטוי העובדה שרק 49 מתוך 58 הדיירים נטלו חלק בתביעה, כלומר – שיש לפסוק כפיצוי רק 84.6% מעלויות תיקון הליקויים.</p>\r\n<p style=\"text-align: justify;\"><span style=\"text-decoration: underline;\"><strong>בית משפט השלום פסק</strong></span>:</p>\r\n<p style=\"text-align: justify;\">1. בע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רחוב נורית 19א (16.4.2012) הדיירים של אותם המבנים תיקנו את הדרוש תיקון על חשבונם והגישו תביעה כנגד הגורמים שלשיטתם היו אחראים לליקויים. לא כל הדיירים נמנו על התובעים – כמו במקרה דכאן. ביהמ\"ש המחוזי פסק כי על החברות הנתבעות לפצות את התובעים במלוא הסכום ולא רק בחלק יחסי. ביהמ\"ש העליון דחה את הערעור.\r\nבערעור הנ\"ל העיר השופט (כתוארו אז) מ\' חשין הערה שממנה עולה כי חשין היה מוכן לשקול אפשרות של <strong>פסיקת פיצויים כספיים ככל שהיה מוכח כי אלה מיועדים לשם תיקון כל הליקויים ברכוש המשותף</strong>.</p>\r\n<p style=\"text-align: justify;\">2. הזכות הקניינית של בעלי דירות בבית משותף ביחס לרכוש המשותף היא אכן בעלות בחלק יחסי בלתי מסוים (בעלות במנה \"המתמטית\" ולא בחלק פיזי כזה או אחר). עם זאת, מלשון החוק – כמו גם מתכליתו הכללית – עולה כי יש לראות באי-התאמה לפי חוק המכר (דירות), לרבות ביחס לרכוש המשותף, כהפרה של חיוב חוזי במסגרת חוזה המכר, ולא כפגיעה בזכותו הקניינית של הקונה ברכוש המשותף. לפיכך, <strong>כדי להחזיר את המצב לקדמותו, נדרש המוכר לספק לקונה חלק יחסי בלתי מסוים ברכוש משותף תקין ומתאים, ולא די בפיצוי כספי חלקי</strong>.</p>\r\n<p style=\"text-align: justify;\">3. <strong>הגם שהסעד המבוקש בתביעה לא היה \"ביצוע בעין\" של התיקונים אלא פיצוי כספי, הרי שבסופו של יום, לאחר שבוצעו התיקונים – מדובר בסעד השקול לסעד של \"ביצוע בעין\". לפיכך, גם לפי הלכת חשאי ונגזרותיה, ניתן לחייב את ה\"מוכר\" לפי חוק המכר (דירות) במלוא הסעד, אפילו מדובר בתביעת מקצת הקונים</strong>.</p>\r\n<p style=\"text-align: justify;\">4. <strong>אמנם התובעים לא מסכימים לאפשר לנתבעות לבצע את התיקונים בפועל (לאור הטענה כי ניסיונות לבצע חלק מהתיקונים כשל בעבר), אך בסעיף 5 לכתב התביעה קיימת התחייבות לפיה בכוונת הנציגות, הוועדים והדיירים לעשות שימוש בכספי הפיצוי לצורך תיקון בפועל של הליקויים. לטעמי יש בכך כדי לתת מענה לקושי העיוני שקיים בכל הנוגע לכך שלא כל הדיירים הצטרפו לתובעים - גם לפי הלכת חשאי.</strong></p>", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות והסעד המבוקש בתביעה הינו פיצוי כספי ולא \"ביצוע בעין\" של התיקונים", "inherit", "closed", "open", "", "452-revision-v1", "", "", "2014-05-21 20:53:50", "2014-05-21 17:53:50", "", "452", "http://ru-law.co.il/452-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("456", "1", "2014-05-20 20:05:33", "2014-05-20 17:05:33", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nת.א. 23311-07-10 נציגות הבית המשותף רח\' יקינטון ו-49 אחרים נ\' י.ב. זיו נכסים וקבלנות בע\"מ, ניתן ביום 3.5.2014 ע\"י בית משפט השלום בחיפה.\r\n\r\n<span style=\"text-decoration: underline;\"><strong>עובדות</strong></span>\r\n<p style=\"text-align: justify;\">1. התובעת 1, היא \"נציגות הבית המשותף – ועד הבית ברח\' יקינטון 3, 3א\', 3ב\', לילך 2 ולוטם 1\" (להלן: \"הנציגות\"), המאגדת את ועדי הבתים בחמישה בנייני מגורים המצויים במתחם אחד בקריית ביאליק. התובעים 2 עד 50, הם בעלי חלק מהדירות במתחם, אשר ייפו את כוחה של הנציגות להגיש תביעה זו. יובהר, כי במתחם קיימות בסך הכל 58 דירות והדיירים הינם הבעלים של 49 מתוכן. הנציגות והדיירים יכונו להלן ביחד: \"התובעים\".</p>\r\n<p style=\"text-align: justify;\">2. הנתבעת 1, חברת י.ב. זיו נכסים וקבלנות בע\"מ, היא החברה שיזמה והקימה את המתחם. הנתבעת 2, איתן יהושוע ובניו בע\"מ, היא החברה הקבלנית שביצעה את עבודות הבנייה בפועל. שתי הנתבעות יכונו להלן ביחד: \"הנתבעות\".</p>\r\n<p style=\"text-align: justify;\">3. לטענת התובעים, ברכוש המשותף במתחם התגלו ליקויי בנייה רבים, אשר נגרמו בשל התנהלותן הרשלנית של הנתבעות בבניית המתחם, תוך הפרת חובות חקוקות והפרת ההסכמים בין הצדדים.</p>\r\n<p style=\"text-align: justify;\">4. נטען כי התובעים פנו לנתבעות בדרישות לתיקון הליקויים, אך כי הנתבעות התייחסו בזלזול לטענות והתיקונים שכן בוצעו היו \"מזעריים\" ולא נתנו פתרון ממשי לליקויים עצמם.</p>\r\n<p style=\"text-align: justify;\">5. הנתבעות טענו, בין יתר טענותיהן, כי מאחר והתובעים הם רק חלק מרוכשי הדירות, יש לפסוק לטובתם רק חלק יחסי מעלות תיקון הליקויים ברכוש המשותף, ביחס שבין השטחים שמחזיקים התובעים לבין השטחים של כל המתחם, כך שתבוא לידי ביטוי העובדה שרק 49 מתוך 58 הדיירים נטלו חלק בתביעה, כלומר – שיש לפסוק כפיצוי רק 84.6% מעלויות תיקון הליקויים.</p>\r\n<p style=\"text-align: justify;\"><span style=\"text-decoration: underline;\"><strong>בית משפט השלום פסק</strong></span>:</p>\r\n<p style=\"text-align: justify;\">1. בע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רחוב נורית 19א (16.4.2012) הדיירים של אותם המבנים תיקנו את הדרוש תיקון על חשבונם והגישו תביעה כנגד הגורמים שלשיטתם היו אחראים לליקויים. לא כל הדיירים נמנו על התובעים – כמו במקרה דכאן. ביהמ\"ש המחוזי פסק כי על החברות הנתבעות לפצות את התובעים במלוא הסכום ולא רק בחלק יחסי. ביהמ\"ש העליון דחה את הערעור.\r\nבערעור הנ\"ל העיר השופט (כתוארו אז) מ\' חשין הערה שממנה עולה חשין היה מוכן לשקול אפשרות של פסיקת פיצויים כספיים ככל שהיה מוכח כי אלה מיועדים לשם תיקון כל הליקויים ברכוש המשותף.</p>\r\n<p style=\"text-align: justify;\">2. הזכות הקניינית של בעלי דירות בבית משותף ביחס לרכוש המשותף היא אכן בעלות בחלק יחסי בלתי מסוים (בעלות במנה \"המתמטית\" ולא בחלק פיזי כזה או אחר). עם זאת, מלשון החוק – כמו גם מתכליתו הכללית – עולה כי יש לראות באי-התאמה לפי חוק המכר (דירות), לרבות ביחס לרכוש המשותף, כהפרה של חיוב חוזי במסגרת חוזה המכר, ולא כפגיעה בזכותו הקניינית של הקונה ברכוש המשותף. לפיכך, כדי להחזיר את המצב לקדמותו, נדרש המוכר לספק לקונה חלק יחסי בלתי מסוים ברכוש משותף תקין ומתאים, ולא די בפיצוי כספי חלקי.</p>\r\n<p style=\"text-align: justify;\">3. <strong>הגם שהסעד המבוקש בתביעה לא היה \"ביצוע בעין\" של התיקונים אלא פיצוי כספי, הרי שבסופו של יום, לאחר שבוצעו התיקונים – מדובר בסעד השקול לסעד של \"ביצוע בעין\". לפיכך, גם לפי הלכת חשאי ונגזרותיה, ניתן לחייב את ה\"מוכר\" לפי חוק המכר (דירות) במלוא הסעד, אפילו מדובר בתביעת מקצת הקונים</strong>.</p>\r\n<p style=\"text-align: justify;\">4. <strong>אמנם התובעים לא מסכימים לאפשר לנתבעות לבצע את התיקונים בפועל (לאור הטענה כי ניסיונות לבצע חלק מהתיקונים כשל בעבר), אך בסעיף 5 לכתב התביעה קיימת התחייבות לפיה בכוונת הנציגות, הוועדים והדיירים לעשות שימוש בכספי הפיצוי לצורך תיקון בפועל של הליקויים. לטעמי יש בכך כדי לתת מענה לקושי העיוני שקיים בכל הנוגע לכך שלא כל הדיירים הצטרפו לתובעים - גם לפי הלכת חשאי.</strong></p>", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות והסעד המבוקש בתביעה הינו פיצוי כספי ולא \"ביצוע בעין\" של התיקונים", "inherit", "closed", "open", "", "452-revision-v1", "", "", "2014-05-20 20:05:33", "2014-05-20 17:05:33", "", "452", "http://ru-law.co.il/452-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("455", "1", "2014-05-20 20:03:37", "2014-05-20 17:03:37", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nת.א. 23311-07-10 נציגות הבית המשותף רח\' יקינטון ו-49 אחרים נ\' י.ב. זיו נכסים וקבלנות בע\"מ, ניתן ביום 3.5.2014 ע\"י בית משפט השלום בחיפה.\r\n\r\n<span style=\"text-decoration: underline;\"><strong>עובדות</strong></span>\r\n<p style=\"text-align: justify;\">1. התובעת 1, היא \"נציגות הבית המשותף – ועד הבית ברח\' יקינטון 3, 3א\', 3ב\', לילך 2 ולוטם 1\" (להלן: \"הנציגות\"), המאגדת את ועדי הבתים בחמישה בנייני מגורים המצויים במתחם אחד בקריית ביאליק. התובעים 2 עד 50, הם בעלי חלק מהדירות במתחם, אשר ייפו את כוחה של הנציגות להגיש תביעה זו. יובהר, כי במתחם קיימות בסך הכל 58 דירות והדיירים הינם הבעלים של 49 מתוכן. הנציגות והדיירים יכונו להלן ביחד: \"התובעים\".</p>\r\n<p style=\"text-align: justify;\">2. הנתבעת 1, חברת י.ב. זיו נכסים וקבלנות בע\"מ, היא החברה שיזמה והקימה את המתחם. הנתבעת 2, איתן יהושוע ובניו בע\"מ, היא החברה הקבלנית שביצעה את עבודות הבנייה בפועל. שתי הנתבעות יכונו להלן ביחד: \"הנתבעות\".</p>\r\n<p style=\"text-align: justify;\">3. לטענת התובעים, ברכוש המשותף במתחם התגלו ליקויי בנייה רבים, אשר נגרמו בשל התנהלותן הרשלנית של הנתבעות בבניית המתחם, תוך הפרת חובות חקוקות והפרת ההסכמים בין הצדדים.</p>\r\n<p style=\"text-align: justify;\">4. נטען כי התובעים פנו לנתבעות בדרישות לתיקון הליקויים, אך כי הנתבעות התייחסו בזלזול לטענות והתיקונים שכן בוצעו היו \"מזעריים\" ולא נתנו פתרון ממשי לליקויים עצמם.</p>\r\n<p style=\"text-align: justify;\">5. הנתבעות טענו, בין יתר טענותיהן, כי מאחר והתובעים הם רק חלק מרוכשי הדירות, יש לפסוק לטובתם רק חלק יחסי מעלות תיקון הליקויים ברכוש המשותף, ביחס שבין השטחים שמחזיקים התובעים לבין השטחים של כל המתחם, כך שתבוא לידי ביטוי העובדה שרק 49 מתוך 58 הדיירים נטלו חלק בתביעה, כלומר – שיש לפסוק כפיצוי רק 84.6% מעלויות תיקון הליקויים.</p>\r\n<p style=\"text-align: justify;\"><span style=\"text-decoration: underline;\"><strong>בית משפט השלום פסק</strong></span>:</p>\r\n<p style=\"text-align: justify;\">1. בע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רחוב נורית 19א (16.4.2012) הדיירים של אותם המבנים תיקנו את הדרוש תיקון על חשבונם והגישו תביעה כנגד הגורמים שלשיטתם היו אחראים לליקויים. לא כל הדיירים נמנו על התובעים – כמו במקרה דכאן. ביהמ\"ש המחוזי פסק כי על החברות הנתבעות לפצות את התובעים במלוא הסכום ולא רק בחלק יחסי. ביהמ\"ש העליון דחה את הערעור.\r\nבערעור הנ\"ל העיר השופט (כתוארו אז) מ\' חשין הערה שממנה עולה חשין היה מוכן לשקול אפשרות של פסיקת פיצויים כספיים ככל שהיה מוכח כי אלה מיועדים לשם תיקון כל הליקויים ברכוש המשותף.</p>\r\n<p style=\"text-align: justify;\">2. הזכות הקניינית של בעלי דירות בבית משותף ביחס לרכוש המשותף היא אכן בעלות בחלק יחסי בלתי מסוים (בעלות במנה \"המתמטית\" ולא בחלק פיזי כזה או אחר). עם זאת, מלשון החוק – כמו גם מתכליתו הכללית – עולה כי יש לראות באי-התאמה לפי חוק המכר (דירות), לרבות ביחס לרכוש המשותף, כהפרה של חיוב חוזי במסגרת חוזה המכר, ולא כפגיעה בזכותו הקניינית של הקונה ברכוש המשותף. לפיכך, כדי להחזיר את המצב לקדמותו, נדרש המוכר לספק לקונה חלק יחסי בלתי מסוים ברכוש משותף תקין ומתאים, ולא די בפיצוי כספי חלקי.</p>\r\n<p style=\"text-align: justify;\">3. <strong>הגם שהסעד המבוקש בתביעה לא היה \"ביצוע בעין\" של התיקונים אלא פיצוי כספי, הרי שבסופו של יום, לאחר שבוצעו התיקונים – מדובר בסעד השקול לסעד של \"ביצוע בעין\". לפיכך, גם לפי הלכת חשאי ונגזרותיה, ניתן לחייב את ה\"מוכר\" לפי חוק המכר (דירות) במלוא הסעד, אפילו מדובר בתביעת מקצת הקונים</strong>.</p>\r\n<p style=\"text-align: justify;\">4. <strong>אמנם התובעים לא מסכימים לאפשר לנתבעות לבצע את התיקונים בפועל (לאור הטענה כי ניסיונות לבצע חלק מהתיקונים כשל בעבר), אך בסעיף 5 לכתב התביעה קיימת התחייבות לפיה בכוונת הנציגות, הוועדים והדיירים לעשות שימוש בכספי הפיצוי לצורך תיקון בפועל של הליקויים. לטעמי יש בכך כדי לתת מענה לקושי העיוני שקיים בכל הנוגע לכך שלא כל הדיירים הצטרפו לתובעים - גם לפי הלכת חשאי.</strong></p>", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות והסעד המבוקש בתביעה הינו פיצוי כספי ולא \"ביצוע בעין\" של התיקונים", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות והסעד המבוקש בתביעה הינו פיצוי כספי ולא \"ביצוע בעין\" של התיקונים", "inherit", "closed", "open", "", "452-revision-v1", "", "", "2014-05-20 20:03:37", "2014-05-20 17:03:37", "", "452", "http://ru-law.co.il/452-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("458", "1", "2014-05-21 21:08:10", "2014-05-21 18:08:10", "מאת: פיני רובינשטיין, עו\"ד\r\n\r\nת.א. 23311-07-10 נציגות הבית המשותף רח\' יקינטון ו-49 אחרים נ\' י.ב. זיו נכסים וקבלנות בע\"מ, ניתן ביום 3.5.2014 ע\"י בית משפט השלום בחיפה.\r\n\r\n<span style=\"text-decoration: underline;\"><strong>עובדות:</strong></span>\r\n<p style=\"text-align: justify;\">1. התובעת 1, היא \"נציגות הבית המשותף – ועד הבית ברח\' יקינטון 3, 3א\', 3ב\', לילך 2 ולוטם 1\" (להלן: \"הנציגות\"), המאגדת את ועדי הבתים בחמישה בנייני מגורים המצויים במתחם אחד בקריית ביאליק. התובעים 2 עד 50, הם בעלי חלק מהדירות במתחם, אשר ייפו את כוחה של הנציגות להגיש תביעה זו. יובהר, כי במתחם קיימות בסך הכל 58 דירות והדיירים הינם הבעלים של 49 מתוכן. הנציגות והדיירים יכונו להלן ביחד: \"התובעים\".</p>\r\n<p style=\"text-align: justify;\">2. הנתבעת 1, חברת י.ב. זיו נכסים וקבלנות בע\"מ, היא החברה שיזמה והקימה את המתחם. הנתבעת 2, איתן יהושוע ובניו בע\"מ, היא החברה הקבלנית שביצעה את עבודות הבנייה בפועל. שתי הנתבעות יכונו להלן ביחד: \"הנתבעות\".</p>\r\n<p style=\"text-align: justify;\">3. לטענת התובעים, ברכוש המשותף במתחם התגלו ליקויי בנייה רבים, אשר נגרמו בשל התנהלותן הרשלנית של הנתבעות בבניית המתחם, תוך הפרת חובות חקוקות והפרת ההסכמים בין הצדדים.</p>\r\n<p style=\"text-align: justify;\">4. נטען כי התובעים פנו לנתבעות בדרישות לתיקון הליקויים, אך כי הנתבעות התייחסו בזלזול לטענות והתיקונים שכן בוצעו היו \"מזעריים\" ולא נתנו פתרון ממשי לליקויים עצמם.</p>\r\n<p style=\"text-align: justify;\">5. הנתבעות טענו, בין יתר טענותיהן, כי מאחר והתובעים הם רק חלק מרוכשי הדירות, יש לפסוק לטובתם רק חלק יחסי מעלות תיקון הליקויים ברכוש המשותף, ביחס שבין השטחים שמחזיקים התובעים לבין השטחים של כל המתחם, כך שתבוא לידי ביטוי העובדה שרק 49 מתוך 58 הדיירים נטלו חלק בתביעה, כלומר – שיש לפסוק כפיצוי רק 84.6% מעלויות תיקון הליקויים.</p>\r\n<p style=\"text-align: justify;\"><span style=\"text-decoration: underline;\"><strong>בית משפט השלום פסק:</strong></span></p>\r\n<p style=\"text-align: justify;\">1. בע\"א 4720/10 אקרילית השקעות 1997 בע\"מ נ\' נציגות הבית המשותף רחוב נורית 19א (16.4.2012) הדיירים של אותם המבנים תיקנו את הדרוש תיקון על חשבונם והגישו תביעה כנגד הגורמים שלשיטתם היו אחראים לליקויים. לא כל הדיירים נמנו על התובעים – כמו במקרה דכאן. ביהמ\"ש המחוזי פסק כי על החברות הנתבעות לפצות את התובעים במלוא הסכום ולא רק בחלק יחסי. ביהמ\"ש העליון דחה את הערעור.\r\nבערעור הנ\"ל העיר השופט (כתוארו אז) מ\' חשין הערה שממנה עולה כי חשין היה מוכן לשקול אפשרות של <strong>פסיקת פיצויים כספיים ככל שהיה מוכח כי אלה מיועדים לשם תיקון כל הליקויים ברכוש המשותף</strong>.</p>\r\n<p style=\"text-align: justify;\">2. הזכות הקניינית של בעלי דירות בבית משותף ביחס לרכוש המשותף היא אכן בעלות בחלק יחסי בלתי מסוים (בעלות במנה \"המתמטית\" ולא בחלק פיזי כזה או אחר). עם זאת, מלשון החוק – כמו גם מתכליתו הכללית – עולה כי יש לראות באי-התאמה לפי חוק המכר (דירות), לרבות ביחס לרכוש המשותף, כהפרה של חיוב חוזי במסגרת חוזה המכר, ולא כפגיעה בזכותו הקניינית של הקונה ברכוש המשותף. לפיכך, <strong>כדי להחזיר את המצב לקדמותו, נדרש המוכר לספק לקונה חלק יחסי בלתי מסוים ברכוש משותף תקין ומתאים, ולא די בפיצוי כספי חלקי</strong>.</p>\r\n<p style=\"text-align: justify;\">3. <strong>הגם שהסעד המבוקש בתביעה לא היה \"ביצוע בעין\" של התיקונים אלא פיצוי כספי, הרי שבסופו של יום, לאחר שבוצעו התיקונים – מדובר בסעד השקול לסעד של \"ביצוע בעין\". לפיכך, גם לפי הלכת חשאי ונגזרותיה, ניתן לחייב את ה\"מוכר\" לפי חוק המכר (דירות) במלוא הסעד, אפילו מדובר בתביעת מקצת הקונים</strong>.</p>\r\n<p style=\"text-align: justify;\">4. <strong>אמנם התובעים לא מסכימים לאפשר לנתבעות לבצע את התיקונים בפועל (לאור הטענה כי ניסיונות לבצע חלק מהתיקונים כשל בעבר), אך בסעיף 5 לכתב התביעה קיימת התחייבות לפיה בכוונת הנציגות, הוועדים והדיירים לעשות שימוש בכספי הפיצוי לצורך תיקון בפועל של הליקויים. לטעמי יש בכך כדי לתת מענה לקושי העיוני שקיים בכל הנוגע לכך שלא כל הדיירים הצטרפו לתובעים - גם לפי הלכת חשאי.</strong></p>", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות", "ניתן לחייב את הקבלן במלוא עלויות התיקון של ליקויי הבנייה ברכוש המשותף, גם כשמדובר בתביעת חלק מרוכשי הדירות והסעד המבוקש בתביעה הינו פיצוי כספי ולא \"ביצוע בעין\" של התיקונים", "inherit", "closed", "open", "", "452-revision-v1", "", "", "2014-05-21 21:08:10", "2014-05-21 18:08:10", "", "452", "http://ru-law.co.il/452-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("460", "1", "2014-07-04 20:39:07", "2014-07-04 17:39:07", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>סובלים מליקויי בנייה בדירה? הגעתם לפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום מבוסס הצלחה!</strong></em></span></p>\r\n\r\n<ul>\r\n	<li><strong> קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong></li>\r\n	<li><strong> שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong><a href=\"http://ru-law.co.il/wp-content/uploads/2012/10/סטטוסקופ.png\"><img class=\"alignleft  wp-image-463\" alt=\"סטטוסקופ\" src=\"http://ru-law.co.il/wp-content/uploads/2012/10/סטטוסקופ.png\" width=\"144\" height=\"195\" /></a></li>\r\n	<li><strong> הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong></li>\r\n	<li><strong> הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong></li>\r\n	<li><strong> הקבלן מתחמק מתיקון ליקויי בנייה?</strong></li>\r\n	<li><strong> סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong></li>\r\n	<li><strong> הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong></li>\r\n	<li><strong> קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong></li>\r\n</ul>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום </em>להפסקת הסחבת! לתיקון הליקויים!! ולקבלת פיצויים כספיים!!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">בכל יום שעובר ללא טיפול משפטי מקצועי נפגעים הסיכויים לקבלת זכויותיכם מהקבלן</span></strong></p>\r\nמשרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. אנו בעלי נסיון רב שנים בטיפול בתביעות ליקויי בנייה וקבלנים.\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span><strong style=\"color: #ff0000;\">לייעוץ ראשוני ללא התחייבות </strong><em style=\"color: #ff0000;\"><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "closed", "open", "", "289-autosave-v1", "", "", "2014-07-04 20:39:07", "2014-07-04 17:39:07", "", "289", "http://ru-law.co.il/289-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("461", "1", "2014-07-04 20:17:25", "2014-07-04 17:17:25", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>סובלים מליקויי בנייה בדירה? הגעתם לפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום מבוסס הצלחה!</strong></em></span></p>\r\n\r\n<ul>\r\n	<li><strong> קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong></li>\r\n	<li><strong> שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong></li>\r\n	<li><strong> הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong></li>\r\n	<li><strong> הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong></li>\r\n	<li><strong> הקבלן מתחמק מתיקון ליקויי בנייה?</strong></li>\r\n	<li><strong> סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong></li>\r\n	<li><strong> הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong></li>\r\n	<li><strong> קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong></li>\r\n</ul>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום </em>להפסקת הסחבת! לתיקון הליקויים!! ולקבלת פיצויים כספיים!!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">בכל יום שעובר ללא טיפול משפטי מקצועי נפגעים הסיכויים לקבלת זכויותיכם מהקבלן</span></strong></p>\r\n<p style=\"text-align: justify;\">משרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. אנו בעלי נסיון רב שנים בטיפול בתביעות ליקויי בנייה וקבלנים.</p>\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span><strong style=\"color: #ff0000;\">לייעוץ ראשוני ללא התחייבות </strong><em style=\"color: #ff0000;\"><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "closed", "open", "", "289-revision-v1", "", "", "2014-07-04 20:17:25", "2014-07-04 17:17:25", "", "289", "http://ru-law.co.il/289-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("462", "1", "2014-07-04 20:32:00", "2014-07-04 17:32:00", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>סובלים מליקויי בנייה בדירה? הגעתם לפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום מבוסס הצלחה!</strong></em></span></p>\r\n\r\n<ul>\r\n	<li><strong> קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong></li>\r\n	<li><strong> שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong><a href=\"http://ru-law.co.il/wp-content/uploads/2012/07/s-banner2.png\"><img class=\"alignleft  wp-image-7\" alt=\"s-banner2\" src=\"http://ru-law.co.il/wp-content/uploads/2012/07/s-banner2.png\" width=\"155\" height=\"83\" /></a></li>\r\n	<li><strong> הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong></li>\r\n	<li><strong> הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong></li>\r\n	<li><strong> הקבלן מתחמק מתיקון ליקויי בנייה?</strong></li>\r\n	<li><strong> סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong></li>\r\n	<li><strong> הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong></li>\r\n	<li><strong> קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong></li>\r\n</ul>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום </em>להפסקת הסחבת! לתיקון הליקויים!! ולקבלת פיצויים כספיים!!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">בכל יום שעובר ללא טיפול משפטי מקצועי נפגעים הסיכויים לקבלת זכויותיכם מהקבלן</span></strong></p>\r\nמשרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. אנו בעלי נסיון רב שנים בטיפול בתביעות ליקויי בנייה וקבלנים.\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span><strong style=\"color: #ff0000;\">לייעוץ ראשוני ללא התחייבות </strong><em style=\"color: #ff0000;\"><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "closed", "open", "", "289-revision-v1", "", "", "2014-07-04 20:32:00", "2014-07-04 17:32:00", "", "289", "http://ru-law.co.il/289-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("463", "1", "2014-07-04 20:36:12", "2014-07-04 17:36:12", "", "סטטוסקופ", "", "inherit", "closed", "open", "", "%d7%a1%d7%98%d7%98%d7%95%d7%a1%d7%a7%d7%95%d7%a4", "", "", "2014-07-04 20:36:12", "2014-07-04 17:36:12", "", "289", "http://ru-law.co.il/wp-content/uploads/2012/10/סטטוסקופ.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("464", "1", "2014-07-04 20:39:44", "2014-07-04 17:39:44", "<h1 style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>סובלים מליקויי בנייה בדירה? הגעתם לפתרון!</strong></span></h1>\r\n<p style=\"text-align: center;\"><span style=\"font-size: 22px; color: #ff0000;\"><em><strong>תשלום מבוסס הצלחה!</strong></em></span></p>\r\n\r\n<ul>\r\n	<li><strong> קניתם דירה חדשה מקבלן וקיבלתם דירה עם ליקויי בנייה?</strong></li>\r\n	<li><strong> שיפצתם או בניתם דירה וקיבלתם דירה עם ליקויי בנייה?</strong><a href=\"http://ru-law.co.il/wp-content/uploads/2012/10/סטטוסקופ.png\"><img class=\"alignleft  wp-image-463\" alt=\"סטטוסקופ\" src=\"http://ru-law.co.il/wp-content/uploads/2012/10/סטטוסקופ.png\" width=\"144\" height=\"195\" /></a></li>\r\n	<li><strong> הקבלן מסרב או מתעלם מדרישותיכם לתיקון ליקויי בנייה בדירה?</strong></li>\r\n	<li><strong> הקבלן מכחיש קיומם של ליקויי בנייה בדירה?</strong></li>\r\n	<li><strong> הקבלן מתחמק מתיקון ליקויי בנייה?</strong></li>\r\n	<li><strong> סחבת וזלזול מצד הקבלן בתיקון ליקויי בנייה?</strong></li>\r\n	<li><strong> הקבלן מבצע רק תיקונים חלקיים או קוסמטיים?</strong></li>\r\n	<li><strong> קניתם דירה יד שנייה והקבלן מתכחש לאחריותו כלפיכם?</strong></li>\r\n</ul>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong><em>פנו אלינו עוד היום </em>להפסקת הסחבת! לתיקון הליקויים!! ולקבלת פיצויים כספיים!!!</strong></span></p>\r\n<p style=\"text-align: center;\"><strong><span style=\"color: #ff0000;\">בכל יום שעובר ללא טיפול משפטי מקצועי נפגעים הסיכויים לקבלת זכויותיכם מהקבלן</span></strong></p>\r\nמשרדנו הינו משרד בוטיק מהמובילים בארץ, המתמחה בענייני ליקויי בנייה ותביעות קבלנים ביעילות ובמקצועיות. אנו בעלי נסיון רב שנים בטיפול בתביעות ליקויי בנייה וקבלנים.\r\n<p style=\"text-align: justify;\">אנו בטוחים ביכולותינו להשיג עבורכם את התוצאה הטובה ביותר, ולכן, <strong><span style=\"text-decoration: underline;\">התשלום עבור שירותינו המשפטיים הינו בעיקר על בסיס הצלחה-אחוזים !!!</span></strong></p>\r\n<p style=\"text-align: center;\"><span><strong style=\"color: #ff0000;\">לייעוץ ראשוני ללא התחייבות </strong><em style=\"color: #ff0000;\"><strong>התקשרו עכשיו 03-6246250</strong></em></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #ff0000;\"><strong>או השאירו פרטים בתיבה מימין ואנו נחזור אליכם בהקדם</strong></span></p>\r\n<p style=\"text-align: center;\"><span style=\"color: #0000ff;\"><strong><a title=\"ראיון לעיתון גלובס\" href=\"http://www.globes.co.il/news/article.aspx?did=1000849988\" target=\"_blank\"><span style=\"color: #0000ff;\">לחצו כאן וקראו ראיון שהעניק משרדנו לעיתון העסקים \"גלובס\" בנושא ליקויי בנייה</span></a></strong></span></p>", "ליקויי בנייה - תביעת קבלן", "", "inherit", "closed", "open", "", "289-revision-v1", "", "", "2014-07-04 20:39:44", "2014-07-04 17:39:44", "", "289", "http://ru-law.co.il/289-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("465", "1", "2014-07-31 16:03:40", "0000-00-00 00:00:00", "", "טיוטה משמירה אוטומטית", "", "auto-draft", "closed", "open", "", "", "", "", "2014-07-31 16:03:40", "0000-00-00 00:00:00", "", "0", "http://ru-law.co.il/?p=465", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("466", "1", "2014-07-31 16:10:01", "2014-07-31 13:10:01", "<p dir=\"RTL\" style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">עת\"מ 1311/07 רובינשטיין ואח\' נ\' עיריית רעננה, ניתן ביום 16.10.2007 ע\"י בית המשפט לעניינים מנהליים בתל-אביב.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">עובדות:</span></b></p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">1. העותרים הם בעלים משותפים של חברה פרטית שהחזיקה בשכירות חנות בקניון ברעננה וניהלה שם מסעדה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">2. החברה צברה הפסדים וחובות כספיים ולפיכך הפסיקה את פעילותה. כיוון שהחברה נותרה חייבת חובות ארנונה לרשות המקומית הופנתה אל כל אחד מן העותרים דרישת תשלום של מלוא חוב הארנונה בהתאם להוראות סעיפים 4 ו-5 לפקודת המיסים (גביה). ההודעות היתרו בעותרים שאם לא ישולם החוב במלואו יינקטו הליכי גביה מנהליים.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">3. דרישת חוב הארנונה של החברה מן העותרים מבוססת על הוראת סעיף 8[ג] לחוק הסדרים במשק המדינה (תיקוני חקיקה להשגת יעדי התקציב) תשנ\"ג – 1992 (להלן: \"<b>חוק ההסדרים</b>\"), לפיו ניתן לגבות חוב ארנונה סופי (חוב ארנונה שחלף לגביו מועד להגשה, ערר או ערעור או ניתנו בו פסק דין או החלטה חלוטים) בגין נכס שאינו משמש למגורים ומוחזק בידי חברה פרטית מבעל השליטה בחברה הפרטית אם התקיימו נסיבות מיוחדות המנויות בסעיף.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">4. העותרים טענו, בין היתר, כי סעיף 8[ג] לחוק ההסדרים מאפשר גבייה מבעלי השליטה בהליכי תביעה אזרחית בלבד ולא בהליכים מנהליים.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">5. עתירה זו מעוררת את שאלת חוקתיותה של הזכות לדרוש מבעל חברה את פירעון חובות הארנונה של החברה וכן את שאלת היקפה של זכות הדרישה האמורה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">בית המשפט לעניינים מנהליים פסק:</span></b><b></b></p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">1. הירידה אל קניינם של בעלי השליטה בחברה פרטית אפשרית כאשר מתברר שהחברה העבירה לבעלי השליטה נכס מנכסיה בלי תמורה (בנסיבות של העברת נכסים בתמורה חלקית אפשרות הירידה אל קניינו של בעל השליטה מצטמצמת באופן יחסי לפער שבין התמורה המלאה לתמורה החלקית).</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">2. העותרים טוענים שהנסיבה של העברת נכס של החברה שלא בתמורה לידיהם לא התקיימה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">3. מן המסמכים שצרפו העותרים לעתירתם עולה לכאורה שטענת העובדה שלהם נכונה. אולם, גם אם תאמר שהראיות להוכחת טענת העובדה הזו אינן מספיקות או שבית משפט זה איננו בית משפט מוסמך לקבוע עובדות ממין זה, גם אז תתעורר השאלה היכן, באלו דרכים, על פי איזה מנגנון תתברר טענת העובדה הזאת. שכן אם הטענה נכונה היא שומטת את הקרקע מתחת לפני האפשרות לגבות את חוב החברה מבעלי השליטה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">4. <b>לא מצאתי בחוק ההסדרים מנגנון מתאים לברור הטענה העובדתית. דרישת קיומו של המנגנון היא מאושיות הצדק הטבעי. שאם לא תאמר כך, מכתב הדרישה שיצא מגובה המס מטעם העירייה לנקיטת הליכים מנהליים בהתאם לפקודת המיסים (גבייה) הוא החלטה של רשות מנהלית החותכת עובדות בלי כל יכולת להשיג עליהן. הדבר אינו מתיישב עם שיטתנו המשפטית</b>.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">5. <b>בעקרון ניתן לקיים הליכי גביה מנהלית כנגד בעלי השליטה. אולם מקום שבעל השליטה  מבקש להתגונן כנגד דרישת התשלום בטענות של עובדה שאינן כלולות בעילות הערר לפי חוק הרשויות המקומיות, מן ההכרח לאפשר לו לערוך טענותיו בהליך שיפוטי ראוי. על כן בנסיבות כאלה אפשר לתבוע את החוב מבעלי השליטה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית</b>.</p>", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "publish", "closed", "open", "", "%d7%90%d7%a4%d7%a9%d7%a8-%d7%9c%d7%aa%d7%91%d7%95%d7%a2-%d7%97%d7%95%d7%91-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94-%d7%a9%d7%9c-%d7%97%d7%91%d7%a8%d7%94-%d7%9e%d7%91%d7%a2%d7%9c%d7%99-%d7%94%d7%a9%d7%9c", "", "", "2014-07-31 16:15:35", "2014-07-31 13:15:35", "", "0", "http://ru-law.co.il/?p=466", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("467", "1", "2014-07-31 16:10:01", "2014-07-31 13:10:01", "<p dir=\"RTL\" style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">עת\"מ 1311/07 רובינשטיין ואח\' נ\' עיריית רעננה, ניתן ביום 16.10.2007 ע\"י בית המשפט לעניינים מנהליים בתל-אביב.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">עובדות:</span></b></p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">1. העותרים הם בעלים משותפים של חברה פרטית שהחזיקה בשכירות חנות בקניון ברעננה וניהלה שם מסעדה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">2. החברה צברה הפסדים וחובות כספיים ולפיכך הפסיקה את פעילותה. כיוון שהחברה נותרה חייבת חובות ארנונה לרשות המקומית הופנתה אל כל אחד מן העותרים דרישת תשלום של מלוא חוב הארנונה בהתאם להוראות סעיפים 4 ו-5 לפקודת המיסים (גביה). ההודעות היתרו בעותרים שאם לא ישולם החוב במלואו יינקטו הליכי גביה מנהליים.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">3. דרישת חוב הארנונה של החברה מן העותרים מבוססת על הוראת סעיף 8[ג] לחוק הסדרים במשק המדינה (תיקוני חקיקה להשגת יעדי התקציב) תשנ\"ג – 1992 (להלן: \"<b>חוק ההסדרים</b>\"), לפיו ניתן לגבות חוב ארנונה סופי (חוב ארנונה שחלף לגביו מועד להגשה, ערר או ערעור או ניתנו בו פסק דין או החלטה חלוטים) בגין נכס שאינו משמש למגורים ומוחזק בידי חברה פרטית מבעל השליטה בחברה הפרטית אם התקיימו נסיבות מיוחדות המנויות בסעיף.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">4. העותרים טענו, בין היתר, כי סעיף 8[ג] לחוק ההסדרים מאפשר גבייה מבעלי השליטה בהליכי תביעה אזרחית בלבד ולא בהליכים מנהליים.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">3. עתירה זו מעוררת את שאלת חוקתיותה של הזכות לדרוש מבעל חברה את פירעון חובות הארנונה של החברה וכן את שאלת היקפה של זכות הדרישה האמורה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">בית המשפט לעניינים מנהליים פסק:</span></b><b></b></p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">1. הירידה אל קניינם של בעלי השליטה בחברת הישגים אפשרית כאשר מתברר שהחברה העבירה לבעלי השליטה נכס מנכסיה בלי תמורה (בנסיבות של העברת נכסים בתמורה חלקית אפשרות הירידה אל קניינו של בעל השליטה מצטמצמת באופן יחסי לפער שבין התמורה המלאה לתמורה החלקית).</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">2. העותרים טוענים  שהנסיבה של העברת נכס של החברה שלא בתמורה לידיהם לא התקיימה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">3. מן המסמכים שצרפו העותרים לעתירתם עולה לכאורה שטענת העובדה שלהם נכונה. אולם, גם אם תאמר שהראיות להוכחת טענת העובדה הזו אינן מספיקות או שבית משפט זה איננו בית משפט מוסמך לקבוע עובדות ממין זה, גם אז תתעורר השאלה היכן, באלו דרכים, על פי איזה מנגנון תתברר טענת העובדה הזאת. שכן אם הטענה נכונה היא שומטת את הקרקע מתחת לפני האפשרות לגבות את חוב החברה מבעלי השליטה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">4. <b>לא מצאתי בחוק ההסדרים מנגנון מתאים לברור הטענה העובדתית. דרישת קיומו של המנגנון היא מאושיות הצדק הטבעי. שאם לא תאמר כך, מכתב הדרישה שיצא מגובה המס מטעם העירייה לנקיטת הליכים מנהליים בהתאם לפקודת המיסים (גבייה) הוא החלטה של רשות מנהלית החותכת עובדות בלי כל יכולת להשיג עליהן. הדבר אינו מתיישב עם שיטתנו המשפטית</b>.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">5. <b>בעקרון ניתן לקיים הליכי גביה מנהלית כנגד בעלי השליטה. אולם מקום שבעל השליטה  מבקש להתגונן כנגד דרישת התשלום בטענות של עובדה שאינן כלולות בעילות הערר לפי חוק הרשויות המקומיות, מן ההכרח לאפשר לו לערוך טענותיו בהליך שיפוטי ראוי. על כן בנסיבות כאלה אפשר לתבוע את החוב מבעלי השליטה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית</b>.</p>", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "inherit", "closed", "open", "", "466-revision-v1", "", "", "2014-07-31 16:10:01", "2014-07-31 13:10:01", "", "466", "http://ru-law.co.il/466-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("468", "1", "2014-07-31 16:14:47", "2014-07-31 13:14:47", "<p dir=\"RTL\" style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\n<p dir=\"RTL\" style=\"text-align: justify;\">עת\"מ 1311/07 רובינשטיין ואח\' נ\' עיריית רעננה, ניתן ביום 16.10.2007 ע\"י בית המשפט לעניינים מנהליים בתל-אביב.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">עובדות:</span></b></p>\n<p dir=\"RTL\" style=\"text-align: justify;\">1. העותרים הם בעלים משותפים של חברה פרטית שהחזיקה בשכירות חנות בקניון ברעננה וניהלה שם מסעדה.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\">2. החברה צברה הפסדים וחובות כספיים ולפיכך הפסיקה את פעילותה. כיוון שהחברה נותרה חייבת חובות ארנונה לרשות המקומית הופנתה אל כל אחד מן העותרים דרישת תשלום של מלוא חוב הארנונה בהתאם להוראות סעיפים 4 ו-5 לפקודת המיסים (גביה). ההודעות היתרו בעותרים שאם לא ישולם החוב במלואו יינקטו הליכי גביה מנהליים.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\">3. דרישת חוב הארנונה של החברה מן העותרים מבוססת על הוראת סעיף 8[ג] לחוק הסדרים במשק המדינה (תיקוני חקיקה להשגת יעדי התקציב) תשנ\"ג – 1992 (להלן: \"<b>חוק ההסדרים</b>\"), לפיו ניתן לגבות חוב ארנונה סופי (חוב ארנונה שחלף לגביו מועד להגשה, ערר או ערעור או ניתנו בו פסק דין או החלטה חלוטים) בגין נכס שאינו משמש למגורים ומוחזק בידי חברה פרטית מבעל השליטה בחברה הפרטית אם התקיימו נסיבות מיוחדות המנויות בסעיף.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\">4. העותרים טענו, בין היתר, כי סעיף 8[ג] לחוק ההסדרים מאפשר גבייה מבעלי השליטה בהליכי תביעה אזרחית בלבד ולא בהליכים מנהליים.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\">5. עתירה זו מעוררת את שאלת חוקתיותה של הזכות לדרוש מבעל חברה את פירעון חובות הארנונה של החברה וכן את שאלת היקפה של זכות הדרישה האמורה.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">בית המשפט לעניינים מנהליים פסק:</span></b><b></b></p>\n<p dir=\"RTL\" style=\"text-align: justify;\">1. הירידה אל קניינם של בעלי השליטה בחברה פרטית אפשרית כאשר מתברר שהחברה העבירה לבעלי השליטה נכס מנכסיה בלי תמורה (בנסיבות של העברת נכסים בתמורה חלקית אפשרות הירידה אל קניינו של בעל השליטה מצטמצמת באופן יחסי לפער שבין התמורה המלאה לתמורה החלקית).</p>\n<p dir=\"RTL\" style=\"text-align: justify;\">2. העותרים טוענים שהנסיבה של העברת נכס של החברה שלא בתמורה לידיהם לא התקיימה.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\">3. מן המסמכים שצרפו העותרים לעתירתם עולה לכאורה שטענת העובדה שלהם נכונה. אולם, גם אם תאמר שהראיות להוכחת טענת העובדה הזו אינן מספיקות או שבית משפט זה איננו בית משפט מוסמך לקבוע עובדות ממין זה, גם אז תתעורר השאלה היכן, באלו דרכים, על פי איזה מנגנון תתברר טענת העובדה הזאת. שכן אם הטענה נכונה היא שומטת את הקרקע מתחת לפני האפשרות לגבות את חוב החברה מבעלי השליטה.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\">4. <b>לא מצאתי בחוק ההסדרים מנגנון מתאים לברור הטענה העובדתית. דרישת קיומו של המנגנון היא מאושיות הצדק הטבעי. שאם לא תאמר כך, מכתב הדרישה שיצא מגובה המס מטעם העירייה לנקיטת הליכים מנהליים בהתאם לפקודת המיסים (גבייה) הוא החלטה של רשות מנהלית החותכת עובדות בלי כל יכולת להשיג עליהן. הדבר אינו מתיישב עם שיטתנו המשפטית</b>.</p>\n<p dir=\"RTL\" style=\"text-align: justify;\">5. <b>בעקרון ניתן לקיים הליכי גביה מנהלית כנגד בעלי השליטה. אולם מקום שבעל השליטה  מבקש להתגונן כנגד דרישת התשלום בטענות של עובדה שאינן כלולות בעילות הערר לפי חוק הרשויות המקומיות, מן ההכרח לאפשר לו לערוך טענותיו בהליך שיפוטי ראוי. על כן בנסיבות כאלה אפשר לתבוע את החוב מבעלי השליטה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית</b>.</p>", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "inherit", "closed", "open", "", "466-autosave-v1", "", "", "2014-07-31 16:14:47", "2014-07-31 13:14:47", "", "466", "http://ru-law.co.il/466-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("469", "1", "2014-07-31 16:10:39", "2014-07-31 13:10:39", "<p dir=\"RTL\" style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">עת\"מ 1311/07 רובינשטיין ואח\' נ\' עיריית רעננה, ניתן ביום 16.10.2007 ע\"י בית המשפט לעניינים מנהליים בתל-אביב.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">עובדות:</span></b></p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">1. העותרים הם בעלים משותפים של חברה פרטית שהחזיקה בשכירות חנות בקניון ברעננה וניהלה שם מסעדה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">2. החברה צברה הפסדים וחובות כספיים ולפיכך הפסיקה את פעילותה. כיוון שהחברה נותרה חייבת חובות ארנונה לרשות המקומית הופנתה אל כל אחד מן העותרים דרישת תשלום של מלוא חוב הארנונה בהתאם להוראות סעיפים 4 ו-5 לפקודת המיסים (גביה). ההודעות היתרו בעותרים שאם לא ישולם החוב במלואו יינקטו הליכי גביה מנהליים.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">3. דרישת חוב הארנונה של החברה מן העותרים מבוססת על הוראת סעיף 8[ג] לחוק הסדרים במשק המדינה (תיקוני חקיקה להשגת יעדי התקציב) תשנ\"ג – 1992 (להלן: \"<b>חוק ההסדרים</b>\"), לפיו ניתן לגבות חוב ארנונה סופי (חוב ארנונה שחלף לגביו מועד להגשה, ערר או ערעור או ניתנו בו פסק דין או החלטה חלוטים) בגין נכס שאינו משמש למגורים ומוחזק בידי חברה פרטית מבעל השליטה בחברה הפרטית אם התקיימו נסיבות מיוחדות המנויות בסעיף.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">4. העותרים טענו, בין היתר, כי סעיף 8[ג] לחוק ההסדרים מאפשר גבייה מבעלי השליטה בהליכי תביעה אזרחית בלבד ולא בהליכים מנהליים.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">5. עתירה זו מעוררת את שאלת חוקתיותה של הזכות לדרוש מבעל חברה את פירעון חובות הארנונה של החברה וכן את שאלת היקפה של זכות הדרישה האמורה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">בית המשפט לעניינים מנהליים פסק:</span></b><b></b></p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">1. הירידה אל קניינם של בעלי השליטה בחברת הישגים אפשרית כאשר מתברר שהחברה העבירה לבעלי השליטה נכס מנכסיה בלי תמורה (בנסיבות של העברת נכסים בתמורה חלקית אפשרות הירידה אל קניינו של בעל השליטה מצטמצמת באופן יחסי לפער שבין התמורה המלאה לתמורה החלקית).</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">2. העותרים טוענים  שהנסיבה של העברת נכס של החברה שלא בתמורה לידיהם לא התקיימה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">3. מן המסמכים שצרפו העותרים לעתירתם עולה לכאורה שטענת העובדה שלהם נכונה. אולם, גם אם תאמר שהראיות להוכחת טענת העובדה הזו אינן מספיקות או שבית משפט זה איננו בית משפט מוסמך לקבוע עובדות ממין זה, גם אז תתעורר השאלה היכן, באלו דרכים, על פי איזה מנגנון תתברר טענת העובדה הזאת. שכן אם הטענה נכונה היא שומטת את הקרקע מתחת לפני האפשרות לגבות את חוב החברה מבעלי השליטה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">4. <b>לא מצאתי בחוק ההסדרים מנגנון מתאים לברור הטענה העובדתית. דרישת קיומו של המנגנון היא מאושיות הצדק הטבעי. שאם לא תאמר כך, מכתב הדרישה שיצא מגובה המס מטעם העירייה לנקיטת הליכים מנהליים בהתאם לפקודת המיסים (גבייה) הוא החלטה של רשות מנהלית החותכת עובדות בלי כל יכולת להשיג עליהן. הדבר אינו מתיישב עם שיטתנו המשפטית</b>.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">5. <b>בעקרון ניתן לקיים הליכי גביה מנהלית כנגד בעלי השליטה. אולם מקום שבעל השליטה  מבקש להתגונן כנגד דרישת התשלום בטענות של עובדה שאינן כלולות בעילות הערר לפי חוק הרשויות המקומיות, מן ההכרח לאפשר לו לערוך טענותיו בהליך שיפוטי ראוי. על כן בנסיבות כאלה אפשר לתבוע את החוב מבעלי השליטה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית</b>.</p>", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "inherit", "closed", "open", "", "466-revision-v1", "", "", "2014-07-31 16:10:39", "2014-07-31 13:10:39", "", "466", "http://ru-law.co.il/466-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("470", "1", "2014-07-31 16:12:41", "2014-07-31 13:12:41", "<p dir=\"RTL\" style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">עת\"מ 1311/07 רובינשטיין ואח\' נ\' עיריית רעננה, ניתן ביום 16.10.2007 ע\"י בית המשפט לעניינים מנהליים בתל-אביב.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">עובדות:</span></b></p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">1. העותרים הם בעלים משותפים של חברה פרטית שהחזיקה בשכירות חנות בקניון ברעננה וניהלה שם מסעדה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">2. החברה צברה הפסדים וחובות כספיים ולפיכך הפסיקה את פעילותה. כיוון שהחברה נותרה חייבת חובות ארנונה לרשות המקומית הופנתה אל כל אחד מן העותרים דרישת תשלום של מלוא חוב הארנונה בהתאם להוראות סעיפים 4 ו-5 לפקודת המיסים (גביה). ההודעות היתרו בעותרים שאם לא ישולם החוב במלואו יינקטו הליכי גביה מנהליים.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">3. דרישת חוב הארנונה של החברה מן העותרים מבוססת על הוראת סעיף 8[ג] לחוק הסדרים במשק המדינה (תיקוני חקיקה להשגת יעדי התקציב) תשנ\"ג – 1992 (להלן: \"<b>חוק ההסדרים</b>\"), לפיו ניתן לגבות חוב ארנונה סופי (חוב ארנונה שחלף לגביו מועד להגשה, ערר או ערעור או ניתנו בו פסק דין או החלטה חלוטים) בגין נכס שאינו משמש למגורים ומוחזק בידי חברה פרטית מבעל השליטה בחברה הפרטית אם התקיימו נסיבות מיוחדות המנויות בסעיף.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">4. העותרים טענו, בין היתר, כי סעיף 8[ג] לחוק ההסדרים מאפשר גבייה מבעלי השליטה בהליכי תביעה אזרחית בלבד ולא בהליכים מנהליים.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">5. עתירה זו מעוררת את שאלת חוקתיותה של הזכות לדרוש מבעל חברה את פירעון חובות הארנונה של החברה וכן את שאלת היקפה של זכות הדרישה האמורה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">בית המשפט לעניינים מנהליים פסק:</span></b><b></b></p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">1. הירידה אל קניינם של בעלי השליטה בחברה פרטית אפשרית כאשר מתברר שהחברה העבירה לבעלי השליטה נכס מנכסיה בלי תמורה (בנסיבות של העברת נכסים בתמורה חלקית אפשרות הירידה אל קניינו של בעל השליטה מצטמצמת באופן יחסי לפער שבין התמורה המלאה לתמורה החלקית).</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">2. העותרים טוענים  שהנסיבה של העברת נכס של החברה שלא בתמורה לידיהם לא התקיימה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">3. מן המסמכים שצרפו העותרים לעתירתם עולה לכאורה שטענת העובדה שלהם נכונה. אולם, גם אם תאמר שהראיות להוכחת טענת העובדה הזו אינן מספיקות או שבית משפט זה איננו בית משפט מוסמך לקבוע עובדות ממין זה, גם אז תתעורר השאלה היכן, באלו דרכים, על פי איזה מנגנון תתברר טענת העובדה הזאת. שכן אם הטענה נכונה היא שומטת את הקרקע מתחת לפני האפשרות לגבות את חוב החברה מבעלי השליטה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">4. <b>לא מצאתי בחוק ההסדרים מנגנון מתאים לברור הטענה העובדתית. דרישת קיומו של המנגנון היא מאושיות הצדק הטבעי. שאם לא תאמר כך, מכתב הדרישה שיצא מגובה המס מטעם העירייה לנקיטת הליכים מנהליים בהתאם לפקודת המיסים (גבייה) הוא החלטה של רשות מנהלית החותכת עובדות בלי כל יכולת להשיג עליהן. הדבר אינו מתיישב עם שיטתנו המשפטית</b>.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">5. <b>בעקרון ניתן לקיים הליכי גביה מנהלית כנגד בעלי השליטה. אולם מקום שבעל השליטה  מבקש להתגונן כנגד דרישת התשלום בטענות של עובדה שאינן כלולות בעילות הערר לפי חוק הרשויות המקומיות, מן ההכרח לאפשר לו לערוך טענותיו בהליך שיפוטי ראוי. על כן בנסיבות כאלה אפשר לתבוע את החוב מבעלי השליטה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית</b>.</p>", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "inherit", "closed", "open", "", "466-revision-v1", "", "", "2014-07-31 16:12:41", "2014-07-31 13:12:41", "", "466", "http://ru-law.co.il/466-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("471", "1", "2014-07-31 16:15:35", "2014-07-31 13:15:35", "<p dir=\"RTL\" style=\"text-align: justify;\">מאת: פיני רובינשטיין, עו\"ד</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">עת\"מ 1311/07 רובינשטיין ואח\' נ\' עיריית רעננה, ניתן ביום 16.10.2007 ע\"י בית המשפט לעניינים מנהליים בתל-אביב.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">עובדות:</span></b></p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">1. העותרים הם בעלים משותפים של חברה פרטית שהחזיקה בשכירות חנות בקניון ברעננה וניהלה שם מסעדה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">2. החברה צברה הפסדים וחובות כספיים ולפיכך הפסיקה את פעילותה. כיוון שהחברה נותרה חייבת חובות ארנונה לרשות המקומית הופנתה אל כל אחד מן העותרים דרישת תשלום של מלוא חוב הארנונה בהתאם להוראות סעיפים 4 ו-5 לפקודת המיסים (גביה). ההודעות היתרו בעותרים שאם לא ישולם החוב במלואו יינקטו הליכי גביה מנהליים.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">3. דרישת חוב הארנונה של החברה מן העותרים מבוססת על הוראת סעיף 8[ג] לחוק הסדרים במשק המדינה (תיקוני חקיקה להשגת יעדי התקציב) תשנ\"ג – 1992 (להלן: \"<b>חוק ההסדרים</b>\"), לפיו ניתן לגבות חוב ארנונה סופי (חוב ארנונה שחלף לגביו מועד להגשה, ערר או ערעור או ניתנו בו פסק דין או החלטה חלוטים) בגין נכס שאינו משמש למגורים ומוחזק בידי חברה פרטית מבעל השליטה בחברה הפרטית אם התקיימו נסיבות מיוחדות המנויות בסעיף.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">4. העותרים טענו, בין היתר, כי סעיף 8[ג] לחוק ההסדרים מאפשר גבייה מבעלי השליטה בהליכי תביעה אזרחית בלבד ולא בהליכים מנהליים.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">5. עתירה זו מעוררת את שאלת חוקתיותה של הזכות לדרוש מבעל חברה את פירעון חובות הארנונה של החברה וכן את שאלת היקפה של זכות הדרישה האמורה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\"><b><span style=\"text-decoration: underline;\">בית המשפט לעניינים מנהליים פסק:</span></b><b></b></p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">1. הירידה אל קניינם של בעלי השליטה בחברה פרטית אפשרית כאשר מתברר שהחברה העבירה לבעלי השליטה נכס מנכסיה בלי תמורה (בנסיבות של העברת נכסים בתמורה חלקית אפשרות הירידה אל קניינו של בעל השליטה מצטמצמת באופן יחסי לפער שבין התמורה המלאה לתמורה החלקית).</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">2. העותרים טוענים שהנסיבה של העברת נכס של החברה שלא בתמורה לידיהם לא התקיימה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">3. מן המסמכים שצרפו העותרים לעתירתם עולה לכאורה שטענת העובדה שלהם נכונה. אולם, גם אם תאמר שהראיות להוכחת טענת העובדה הזו אינן מספיקות או שבית משפט זה איננו בית משפט מוסמך לקבוע עובדות ממין זה, גם אז תתעורר השאלה היכן, באלו דרכים, על פי איזה מנגנון תתברר טענת העובדה הזאת. שכן אם הטענה נכונה היא שומטת את הקרקע מתחת לפני האפשרות לגבות את חוב החברה מבעלי השליטה.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">4. <b>לא מצאתי בחוק ההסדרים מנגנון מתאים לברור הטענה העובדתית. דרישת קיומו של המנגנון היא מאושיות הצדק הטבעי. שאם לא תאמר כך, מכתב הדרישה שיצא מגובה המס מטעם העירייה לנקיטת הליכים מנהליים בהתאם לפקודת המיסים (גבייה) הוא החלטה של רשות מנהלית החותכת עובדות בלי כל יכולת להשיג עליהן. הדבר אינו מתיישב עם שיטתנו המשפטית</b>.</p>\r\n<p dir=\"RTL\" style=\"text-align: justify;\">5. <b>בעקרון ניתן לקיים הליכי גביה מנהלית כנגד בעלי השליטה. אולם מקום שבעל השליטה  מבקש להתגונן כנגד דרישת התשלום בטענות של עובדה שאינן כלולות בעילות הערר לפי חוק הרשויות המקומיות, מן ההכרח לאפשר לו לערוך טענותיו בהליך שיפוטי ראוי. על כן בנסיבות כאלה אפשר לתבוע את החוב מבעלי השליטה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית</b>.</p>", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "אפשר לתבוע חוב ארנונה של חברה מבעלי השליטה בה רק בהליך של תביעה אזרחית ולא בהליך גבייה מנהלית", "inherit", "closed", "open", "", "466-revision-v1", "", "", "2014-07-31 16:15:35", "2014-07-31 13:15:35", "", "466", "http://ru-law.co.il/466-revision-v1/", "0", "revision", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("1", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("2", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("3", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("4", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("52", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("46", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("6", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("74", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("51", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("64", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("61", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("57", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("5", "14", "0");
INSERT INTO `wp_term_relationships` VALUES("56", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("91", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("111", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("110", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("109", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("108", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("107", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("106", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("114", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("177", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("178", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("179", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("180", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("181", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("196", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("64", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("74", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("228", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("289", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("239", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("239", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("315", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("315", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("339", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("339", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("414", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("414", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("452", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("452", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("466", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("466", "16", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("1", "1", "category", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "link_category", "", "0", "5");
INSERT INTO `wp_term_taxonomy` VALUES("12", "12", "nav_menu", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("11", "11", "nav_menu", "", "0", "7");
INSERT INTO `wp_term_taxonomy` VALUES("14", "14", "link_category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("13", "13", "category", "", "0", "10");
INSERT INTO `wp_term_taxonomy` VALUES("15", "15", "nav_menu", "", "0", "7");
INSERT INTO `wp_term_taxonomy` VALUES("16", "16", "category", "", "13", "3");
INSERT INTO `wp_term_taxonomy` VALUES("17", "17", "category", "", "13", "3");
INSERT INTO `wp_term_taxonomy` VALUES("18", "18", "category", "", "13", "2");
INSERT INTO `wp_term_taxonomy` VALUES("19", "19", "category", "", "13", "0");
INSERT INTO `wp_term_taxonomy` VALUES("20", "20", "category", "", "13", "0");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("1", "כללי", "%d7%9b%d7%9c%d7%9c%d7%99", "0");
INSERT INTO `wp_terms` VALUES("2", "קישורים", "%d7%a7%d7%99%d7%a9%d7%95%d7%a8%d7%99%d7%9d", "0");
INSERT INTO `wp_terms` VALUES("12", "תפריט ראשי", "%d7%aa%d7%a4%d7%a8%d7%99%d7%98-%d7%a8%d7%90%d7%a9%d7%99", "0");
INSERT INTO `wp_terms` VALUES("11", "תפריט צד ימין", "%d7%aa%d7%a4%d7%a8%d7%99%d7%98-%d7%a6%d7%93-%d7%99%d7%9e%d7%99%d7%9f", "0");
INSERT INTO `wp_terms` VALUES("13", "מאמרים", "%d7%9e%d7%90%d7%9e%d7%a8%d7%99%d7%9d", "0");
INSERT INTO `wp_terms` VALUES("14", "אתרים ממשלתיים", "%d7%90%d7%aa%d7%a8%d7%99%d7%9d-%d7%9e%d7%9e%d7%a9%d7%9c%d7%aa%d7%99%d7%99%d7%9d", "0");
INSERT INTO `wp_terms` VALUES("15", "תפריט עליון", "%d7%aa%d7%a4%d7%a8%d7%99%d7%98-%d7%a2%d7%9c%d7%99%d7%95%d7%9f", "0");
INSERT INTO `wp_terms` VALUES("16", "הפחתת ארנונה", "%d7%94%d7%a4%d7%97%d7%aa%d7%aa-%d7%90%d7%a8%d7%a0%d7%95%d7%a0%d7%94", "0");
INSERT INTO `wp_terms` VALUES("17", "ליקויי בנייה", "%d7%9c%d7%99%d7%a7%d7%95%d7%99%d7%99-%d7%91%d7%a0%d7%99%d7%99%d7%94", "0");
INSERT INTO `wp_terms` VALUES("18", "מיסוי מקרקעין", "%d7%9e%d7%99%d7%a1%d7%95%d7%99-%d7%9e%d7%a7%d7%a8%d7%a7%d7%a2%d7%99%d7%9f", "0");
INSERT INTO `wp_terms` VALUES("19", "מקרקעין ונדל\"ן", "%d7%9e%d7%a7%d7%a8%d7%a7%d7%a2%d7%99%d7%9f-%d7%95%d7%a0%d7%93%d7%9c%d7%9f", "0");
INSERT INTO `wp_terms` VALUES("20", "משפט מסחרי", "%d7%9e%d7%a9%d7%a4%d7%98-%d7%9e%d7%a1%d7%97%d7%a8%d7%99", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("2", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "nickname", "admin");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("7", "1", "admin_color", "light");
INSERT INTO `wp_usermeta` VALUES("8", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("9", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("10", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";s:1:\"1\";}");
INSERT INTO `wp_usermeta` VALUES("11", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("12", "1", "dismissed_wp_pointers", "wp330_toolbar,wp330_media_uploader,wp330_saving_widgets,wp360_revisions,wp350_media,jwl_utmce_pointer");
INSERT INTO `wp_usermeta` VALUES("13", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("14", "1", "wp_dashboard_quick_press_last_post_id", "465");
INSERT INTO `wp_usermeta` VALUES("15", "1", "managenav-menuscolumnshidden", "a:4:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";}");
INSERT INTO `wp_usermeta` VALUES("16", "1", "metaboxhidden_nav-menus", "a:2:{i:0;s:8:\"add-post\";i:1;s:12:\"add-post_tag\";}");
INSERT INTO `wp_usermeta` VALUES("17", "1", "nav_menu_recently_edited", "11");
INSERT INTO `wp_usermeta` VALUES("18", "1", "closedpostboxes_cfseven", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("19", "1", "metaboxhidden_cfseven", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("20", "1", "wp_user-settings", "editor=tinymce&urlbutton=post&hidetb=1&imgsize=full&wplink=1&libraryContent=browse&align=left");
INSERT INTO `wp_usermeta` VALUES("21", "1", "wp_user-settings-time", "1404495117");
INSERT INTO `wp_usermeta` VALUES("22", "1", "meta-box-order_page", "a:3:{s:4:\"side\";s:36:\"submitdiv,pageparentdiv,postimagediv\";s:6:\"normal\";s:70:\"postcustom,commentstatusdiv,commentsdiv,slugdiv,authordiv,revisionsdiv\";s:8:\"advanced\";s:0:\"\";}");
INSERT INTO `wp_usermeta` VALUES("23", "1", "screen_layout_page", "2");
INSERT INTO `wp_usermeta` VALUES("24", "1", "closedpostboxes_page", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("25", "1", "metaboxhidden_page", "a:6:{i:0;s:10:\"postcustom\";i:1;s:16:\"commentstatusdiv\";i:2;s:11:\"commentsdiv\";i:3;s:7:\"slugdiv\";i:4;s:9:\"authordiv\";i:5;s:12:\"revisionsdiv\";}");
INSERT INTO `wp_usermeta` VALUES("26", "1", "closedpostboxes_ps_promotion", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("27", "1", "metaboxhidden_ps_promotion", "a:1:{i:0;s:7:\"slugdiv\";}");
INSERT INTO `wp_usermeta` VALUES("28", "1", "closedpostboxes_post", "a:1:{i:0;s:12:\"revisionsdiv\";}");
INSERT INTO `wp_usermeta` VALUES("29", "1", "metaboxhidden_post", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("30", "1", "aim", "");
INSERT INTO `wp_usermeta` VALUES("31", "1", "yim", "");
INSERT INTO `wp_usermeta` VALUES("32", "1", "jabber", "");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "admin", "$P$BrhilE1MMCKen1N5OUSm0RvVTNxTvE0", "admin", "info@ru-law.co.il", "", "2012-07-15 13:40:29", "", "0", "admin");

/* INSERT TABLE DATA: wp_vslider */
INSERT INTO `wp_vslider` VALUES("1", "vslider_options", "1");

SET FOREIGN_KEY_CHECKS = 1;